declare namespace org {
    namespace eclipse {
        namespace jetty {
            namespace util {
                abstract class AbstractTrie<V> implements org.eclipse.jetty.util.Trie<V> {
                    protected constructor(arg0: boolean)
                    public put(arg0: V): boolean
                    public remove(arg0: string): V
                    public get(arg0: string): V
                    public get(arg0: java.nio.ByteBuffer): V
                    public getBest(arg0: string): V
                    public getBest(arg0: byte[], arg1: int, arg2: int): V
                    public isCaseInsensitive(): boolean
                    public static class: java.lang.Class<any>
                }
                namespace annotation {
                    interface ManagedAttribute extends java.lang.annotation.Annotation {
                        value(): string
                        name(): string
                        readonly(): boolean
                        proxied(): boolean
                        setter(): string
                    }
                    interface ManagedObject extends java.lang.annotation.Annotation {
                        value(): string
                    }
                    interface ManagedOperation extends java.lang.annotation.Annotation {
                        value(): string
                        impact(): string
                        proxied(): boolean
                    }
                    interface Name extends java.lang.annotation.Annotation {
                        value(): string
                        description(): string
                    }
                    
                }
                class ArrayQueue<E> extends java.util.AbstractList<E> implements java.util.Queue<E> {
                    public static DEFAULT_CAPACITY: int
                    public static DEFAULT_GROWTH: int
                    protected _lock: java.lang.Object
                    protected _growCapacity: int
                    protected _elements: java.lang.Object[]
                    protected _nextE: int
                    protected _nextSlot: int
                    protected _size: int
                    public constructor()
                    public constructor(arg0: java.lang.Object)
                    public constructor(arg0: int)
                    public constructor(arg0: int, arg1: int)
                    public constructor(arg0: int, arg1: int, arg2: java.lang.Object)
                    public lock(): java.lang.Object
                    public getCapacity(): int
                    public getNextSlotUnsafe(): int
                    public add(arg0: E): boolean
                    public offer(arg0: E): boolean
                    protected enqueue(arg0: E): boolean
                    public addUnsafe(arg0: E): void
                    public element(): E
                    public peek(): E
                    public peekUnsafe(): E
                    public poll(): E
                    public pollUnsafe(): E
                    protected dequeue(): E
                    public remove(): E
                    public clear(): void
                    public isEmpty(): boolean
                    public size(): int
                    public sizeUnsafe(): int
                    public get(arg0: int): E
                    public getUnsafe(arg0: int): E
                    public remove(arg0: int): E
                    public set(arg0: int, arg1: E): E
                    public add(arg0: int, arg1: E): void
                    protected resizeUnsafe(arg0: int): void
                    protected growUnsafe(): boolean
                    public static class: java.lang.Class<any>
                }
                class ArrayTernaryTrie<V> extends org.eclipse.jetty.util.AbstractTrie<V> {
                    public constructor()
                    public constructor(arg0: boolean)
                    public constructor(arg0: int)
                    public constructor(arg0: boolean, arg1: int)
                    public constructor(arg0: org.eclipse.jetty.util.ArrayTernaryTrie<V>, arg1: double)
                    public clear(): void
                    public put(arg0: string, arg1: V): boolean
                    public get(arg0: string, arg1: int, arg2: int): V
                    public get(arg0: java.nio.ByteBuffer, arg1: int, arg2: int): V
                    public getBest(arg0: string): V
                    public getBest(arg0: string, arg1: int, arg2: int): V
                    public getBest(arg0: java.nio.ByteBuffer, arg1: int, arg2: int): V
                    public toString(): string
                    public keySet(): java.util.Set<java.lang.String>
                    public isFull(): boolean
                    public static hilo(arg0: int): int
                    public dump(): void
                    public static class: java.lang.Class<any>
                }
                class ArrayTrie<V> extends org.eclipse.jetty.util.AbstractTrie<V> {
                    public constructor()
                    public constructor(arg0: int)
                    public clear(): void
                    public put(arg0: string, arg1: V): boolean
                    public get(arg0: string, arg1: int, arg2: int): V
                    public get(arg0: java.nio.ByteBuffer, arg1: int, arg2: int): V
                    public getBest(arg0: byte[], arg1: int, arg2: int): V
                    public getBest(arg0: java.nio.ByteBuffer, arg1: int, arg2: int): V
                    public getBest(arg0: string, arg1: int, arg2: int): V
                    public toString(): string
                    public keySet(): java.util.Set<java.lang.String>
                    public isFull(): boolean
                    public static class: java.lang.Class<any>
                }
                class ArrayUtil implements java.lang.Cloneable , java.io.Serializable {
                    public constructor()
                    public static removeFromArray<T>(arg0: T[], arg1: java.lang.Object): T[]
                    public static addToArray<T>(arg0: T[], arg1: T, arg2: java.lang.Class<any>): T[]
                    public static prependToArray<T>(arg0: T, arg1: T[], arg2: java.lang.Class<any>): T[]
                    public static asMutableList<E>(arg0: E[]): java.util.List<E>
                    public static removeNulls<T>(arg0: T[]): T[]
                    public static class: java.lang.Class<any>
                }
                class Atomics {
                    public static updateMin(arg0: java.util.concurrent.atomic.AtomicLong, arg1: long): boolean
                    public static updateMax(arg0: java.util.concurrent.atomic.AtomicLong, arg1: long): boolean
                    public static updateMin(arg0: java.util.concurrent.atomic.AtomicInteger, arg1: int): boolean
                    public static updateMax(arg0: java.util.concurrent.atomic.AtomicInteger, arg1: int): boolean
                    public static class: java.lang.Class<any>
                }
                interface Attributes {
                    removeAttribute(arg0: string): void
                    setAttribute(arg0: string, arg1: java.lang.Object): void
                    getAttribute(arg0: string): java.lang.Object
                    getAttributeNames(): java.util.Enumeration<java.lang.String>
                    clearAttributes(): void
                }
                class AttributesMap implements org.eclipse.jetty.util.Attributes {
                    public constructor()
                    public constructor(arg0: org.eclipse.jetty.util.AttributesMap)
                    public removeAttribute(arg0: string): void
                    public setAttribute(arg0: string, arg1: java.lang.Object): void
                    public getAttribute(arg0: string): java.lang.Object
                    public getAttributeNames(): java.util.Enumeration<java.lang.String>
                    public getAttributeNameSet(): java.util.Set<java.lang.String>
                    public getAttributeEntrySet(): java.util.Set<java.util.Map$Entry<java.lang.String, java.lang.Object>>
                    public static getAttributeNamesCopy(arg0: org.eclipse.jetty.util.Attributes): java.util.Enumeration<java.lang.String>
                    public clearAttributes(): void
                    public size(): int
                    public toString(): string
                    public addAll(arg0: org.eclipse.jetty.util.Attributes): void
                    public static class: java.lang.Class<any>
                }
                class B64Code {
                    public static encode(arg0: string): string
                    public static encode(arg0: string, arg1: string): string
                    public static encode(arg0: string, arg1: java.nio.charset.Charset): string
                    public static encode(arg0: byte[]): char[]
                    public static encode(arg0: byte[], arg1: boolean): char[]
                    public static decode(arg0: string, arg1: string): string
                    public static decode(arg0: string, arg1: java.nio.charset.Charset): string
                    public static decode(arg0: char[]): byte[]
                    public static decode(arg0: string): byte[]
                    public static decode(arg0: string, arg1: java.io.ByteArrayOutputStream): void
                    public static decodeRFC4648URL(arg0: string): byte[]
                    public static decodeRFC4648URL(arg0: string, arg1: java.io.ByteArrayOutputStream): void
                    public static encode(arg0: int, arg1: java.lang.Appendable): void
                    public static encode(arg0: long, arg1: java.lang.Appendable): void
                    public static class: java.lang.Class<any>
                }
                class BlockingArrayQueue$Itr implements java.util.ListIterator<E> {
                    public constructor(arg0: org.eclipse.jetty.util.BlockingArrayQueue, arg1: java.lang.Object[], arg2: int)
                    public hasNext(): boolean
                    public next(): E
                    public hasPrevious(): boolean
                    public previous(): E
                    public nextIndex(): int
                    public previousIndex(): int
                    public remove(): void
                    public set(arg0: E): void
                    public add(arg0: E): void
                    public static class: java.lang.Class<any>
                }
                class BlockingArrayQueue<E> extends java.util.AbstractList<E> implements java.util.concurrent.BlockingQueue<E> {
                    public static DEFAULT_CAPACITY: int
                    public static DEFAULT_GROWTH: int
                    public constructor()
                    public constructor(arg0: int)
                    public constructor(arg0: int, arg1: int)
                    public constructor(arg0: int, arg1: int, arg2: int)
                    public clear(): void
                    public size(): int
                    public iterator(): java.util.Iterator<E>
                    public poll(): E
                    public peek(): E
                    public remove(): E
                    public element(): E
                    public offer(arg0: E): boolean
                    public add(arg0: E): boolean
                    public put(arg0: E): void
                    public offer(arg0: E, arg1: long, arg2: java.util.concurrent.TimeUnit): boolean
                    public take(): E
                    public poll(arg0: long, arg1: java.util.concurrent.TimeUnit): E
                    public remove(arg0: java.lang.Object): boolean
                    public remainingCapacity(): int
                    public drainTo(arg0: java.util.Collection<E>): int
                    public drainTo(arg0: java.util.Collection<E>, arg1: int): int
                    public get(arg0: int): E
                    public add(arg0: int, arg1: E): void
                    public set(arg0: int, arg1: E): E
                    public remove(arg0: int): E
                    public listIterator(arg0: int): java.util.ListIterator<E>
                    public getCapacity(): int
                    public getMaxCapacity(): int
                    public static class: java.lang.Class<any>
                }
                class BlockingCallback$1 extends java.lang.Throwable {
                    public toString(): string
                    public static class: java.lang.Class<any>
                }
                class BlockingCallback$2 extends java.io.InterruptedIOException {
                    public static class: java.lang.Class<any>
                }
                class BlockingCallback implements org.eclipse.jetty.util.Callback$NonBlocking {
                    public constructor()
                    public succeeded(): void
                    public failed(arg0: java.lang.Throwable): void
                    public block(): void
                    public toString(): string
                    public static class: java.lang.Class<any>
                }
                class BufferUtil {
                    public static EMPTY_BUFFER: java.nio.ByteBuffer
                    public constructor()
                    public static allocate(arg0: int): java.nio.ByteBuffer
                    public static allocateDirect(arg0: int): java.nio.ByteBuffer
                    public static clear(arg0: java.nio.ByteBuffer): void
                    public static clearToFill(arg0: java.nio.ByteBuffer): void
                    public static flipToFill(arg0: java.nio.ByteBuffer): int
                    public static flipToFlush(arg0: java.nio.ByteBuffer, arg1: int): void
                    public static toArray(arg0: java.nio.ByteBuffer): byte[]
                    public static isEmpty(arg0: java.nio.ByteBuffer): boolean
                    public static hasContent(arg0: java.nio.ByteBuffer): boolean
                    public static isFull(arg0: java.nio.ByteBuffer): boolean
                    public static length(arg0: java.nio.ByteBuffer): int
                    public static space(arg0: java.nio.ByteBuffer): int
                    public static compact(arg0: java.nio.ByteBuffer): boolean
                    public static put(arg0: java.nio.ByteBuffer, arg1: java.nio.ByteBuffer): int
                    public static flipPutFlip(arg0: java.nio.ByteBuffer, arg1: java.nio.ByteBuffer): int
                    public static append(arg0: java.nio.ByteBuffer, arg1: byte[], arg2: int, arg3: int): void
                    public static append(arg0: java.nio.ByteBuffer, arg1: byte): void
                    public static append(arg0: java.nio.ByteBuffer, arg1: java.nio.ByteBuffer): int
                    public static fill(arg0: java.nio.ByteBuffer, arg1: byte[], arg2: int, arg3: int): int
                    public static readFrom(arg0: java.io.File, arg1: java.nio.ByteBuffer): void
                    public static readFrom(arg0: java.io.InputStream, arg1: int, arg2: java.nio.ByteBuffer): void
                    public static writeTo(arg0: java.nio.ByteBuffer, arg1: java.io.OutputStream): void
                    public static toString(arg0: java.nio.ByteBuffer): string
                    public static toUTF8String(arg0: java.nio.ByteBuffer): string
                    public static toString(arg0: java.nio.ByteBuffer, arg1: java.nio.charset.Charset): string
                    public static toString(arg0: java.nio.ByteBuffer, arg1: int, arg2: int, arg3: java.nio.charset.Charset): string
                    public static toInt(arg0: java.nio.ByteBuffer): int
                    public static toInt(arg0: java.nio.ByteBuffer, arg1: int, arg2: int): int
                    public static takeInt(arg0: java.nio.ByteBuffer): int
                    public static toLong(arg0: java.nio.ByteBuffer): long
                    public static putHexInt(arg0: java.nio.ByteBuffer, arg1: int): void
                    public static putDecInt(arg0: java.nio.ByteBuffer, arg1: int): void
                    public static putDecLong(arg0: java.nio.ByteBuffer, arg1: long): void
                    public static toBuffer(arg0: int): java.nio.ByteBuffer
                    public static toBuffer(arg0: long): java.nio.ByteBuffer
                    public static toBuffer(arg0: string): java.nio.ByteBuffer
                    public static toBuffer(arg0: string, arg1: java.nio.charset.Charset): java.nio.ByteBuffer
                    public static toBuffer(arg0: byte[]): java.nio.ByteBuffer
                    public static toBuffer(arg0: byte[], arg1: int, arg2: int): java.nio.ByteBuffer
                    public static toDirectBuffer(arg0: string): java.nio.ByteBuffer
                    public static toDirectBuffer(arg0: string, arg1: java.nio.charset.Charset): java.nio.ByteBuffer
                    public static toMappedBuffer(arg0: java.io.File): java.nio.ByteBuffer
                    public static toBuffer(arg0: org.eclipse.jetty.util.resource.Resource, arg1: boolean): java.nio.ByteBuffer
                    public static toSummaryString(arg0: java.nio.ByteBuffer): string
                    public static toDetailString(arg0: java.nio.ByteBuffer[]): string
                    public static toIDString(arg0: java.nio.ByteBuffer): string
                    public static toDetailString(arg0: java.nio.ByteBuffer): string
                    public static toHexSummary(arg0: java.nio.ByteBuffer): string
                    public static putCRLF(arg0: java.nio.ByteBuffer): void
                    public static isPrefix(arg0: java.nio.ByteBuffer, arg1: java.nio.ByteBuffer): boolean
                    public static ensureCapacity(arg0: java.nio.ByteBuffer, arg1: int): java.nio.ByteBuffer
                    public static class: java.lang.Class<any>
                }
                class ByteArrayISO8859Writer extends java.io.Writer {
                    public constructor()
                    public constructor(arg0: int)
                    public constructor(arg0: byte[])
                    public getLock(): java.lang.Object
                    public size(): int
                    public capacity(): int
                    public spareCapacity(): int
                    public setLength(arg0: int): void
                    public getBuf(): byte[]
                    public writeTo(arg0: java.io.OutputStream): void
                    public write(arg0: char): void
                    public write(arg0: char[]): void
                    public write(arg0: char[], arg1: int, arg2: int): void
                    public write(arg0: string): void
                    public write(arg0: string, arg1: int, arg2: int): void
                    public flush(): void
                    public resetWriter(): void
                    public close(): void
                    public destroy(): void
                    public ensureSpareCapacity(arg0: int): void
                    public getByteArray(): byte[]
                    public static class: java.lang.Class<any>
                }
                class ByteArrayOutputStream2 extends java.io.ByteArrayOutputStream {
                    public constructor()
                    public constructor(arg0: int)
                    public getBuf(): byte[]
                    public getCount(): int
                    public setCount(arg0: int): void
                    public reset(arg0: int): void
                    public writeUnchecked(arg0: int): void
                    public toString(arg0: java.nio.charset.Charset): string
                    public static class: java.lang.Class<any>
                }
                class Callback$1 implements org.eclipse.jetty.util.Callback {
                    public static class: java.lang.Class<any>
                }
                class Callback$Adapter implements org.eclipse.jetty.util.Callback {
                    public constructor()
                    public static class: java.lang.Class<any>
                }
                interface Callback$NonBlocking extends org.eclipse.jetty.util.Callback {
                    isNonBlocking(): boolean
                }
                interface Callback {
                    NOOP: org.eclipse.jetty.util.Callback
                    succeeded(): void
                    failed(arg0: java.lang.Throwable): void
                    isNonBlocking(): boolean
                }
                class ClassLoadingObjectInputStream extends java.io.ObjectInputStream {
                    public constructor(arg0: java.io.InputStream)
                    public constructor()
                    public resolveClass(arg0: java.io.ObjectStreamClass): java.lang.Class<any>
                    protected resolveProxyClass(arg0: java.lang.String[]): java.lang.Class<any>
                    public static class: java.lang.Class<any>
                }
                class CompletableCallback$1 {
                    public static class: java.lang.Class<any>
                }
                class CompletableCallback$State extends java.lang.Enum<org.eclipse.jetty.util.CompletableCallback$State> {
                    public static IDLE: org.eclipse.jetty.util.CompletableCallback$State
                    public static SUCCEEDED: org.eclipse.jetty.util.CompletableCallback$State
                    public static FAILED: org.eclipse.jetty.util.CompletableCallback$State
                    public static COMPLETED: org.eclipse.jetty.util.CompletableCallback$State
                    public static values(): org.eclipse.jetty.util.CompletableCallback$State[]
                    public static valueOf(arg0: string): org.eclipse.jetty.util.CompletableCallback$State
                    public static class: java.lang.Class<any>
                }
                abstract class CompletableCallback implements org.eclipse.jetty.util.Callback {
                    public constructor()
                    public succeeded(): void
                    public failed(arg0: java.lang.Throwable): void
                    public resume(): void
                    public abort(arg0: java.lang.Throwable): void
                    public tryComplete(): boolean
                    public static class: java.lang.Class<any>
                }
                namespace component {
                    abstract class AbstractLifeCycle$AbstractLifeCycleListener implements org.eclipse.jetty.util.component.LifeCycle$Listener {
                        public constructor()
                        public lifeCycleFailure(arg0: org.eclipse.jetty.util.component.LifeCycle, arg1: java.lang.Throwable): void
                        public lifeCycleStarted(arg0: org.eclipse.jetty.util.component.LifeCycle): void
                        public lifeCycleStarting(arg0: org.eclipse.jetty.util.component.LifeCycle): void
                        public lifeCycleStopped(arg0: org.eclipse.jetty.util.component.LifeCycle): void
                        public lifeCycleStopping(arg0: org.eclipse.jetty.util.component.LifeCycle): void
                        public static class: java.lang.Class<any>
                    }
                    abstract class AbstractLifeCycle implements org.eclipse.jetty.util.component.LifeCycle {
                        public static STOPPED: string
                        public static FAILED: string
                        public static STARTING: string
                        public static STARTED: string
                        public static STOPPING: string
                        public static RUNNING: string
                        public constructor()
                        protected doStart(): void
                        protected doStop(): void
                        public start(): void
                        public stop(): void
                        public isRunning(): boolean
                        public isStarted(): boolean
                        public isStarting(): boolean
                        public isStopping(): boolean
                        public isStopped(): boolean
                        public isFailed(): boolean
                        public addLifeCycleListener(arg0: org.eclipse.jetty.util.component.LifeCycle$Listener): void
                        public removeLifeCycleListener(arg0: org.eclipse.jetty.util.component.LifeCycle$Listener): void
                        public getState(): string
                        public static getState(arg0: org.eclipse.jetty.util.component.LifeCycle): string
                        public getStopTimeout(): long
                        public setStopTimeout(arg0: long): void
                        public static class: java.lang.Class<any>
                    }
                    interface Container$InheritedListener extends org.eclipse.jetty.util.component.Container$Listener {
                    }
                    interface Container$Listener {
                        beanAdded(arg0: org.eclipse.jetty.util.component.Container, arg1: java.lang.Object): void
                        beanRemoved(arg0: org.eclipse.jetty.util.component.Container, arg1: java.lang.Object): void
                    }
                    interface Container {
                        addBean(arg0: java.lang.Object): boolean
                        getBeans(): java.util.Collection<java.lang.Object>
                        getBeans<T>(arg0: java.lang.Class<T>): java.util.Collection<T>
                        getBean<T>(arg0: java.lang.Class<T>): T
                        removeBean(arg0: java.lang.Object): boolean
                        addEventListener(arg0: org.eclipse.jetty.util.component.Container$Listener): void
                        removeEventListener(arg0: org.eclipse.jetty.util.component.Container$Listener): void
                    }
                    class ContainerLifeCycle$1 {
                        public static class: java.lang.Class<any>
                    }
                    class ContainerLifeCycle$Bean {
                        public isManaged(): boolean
                        public toString(): string
                        public static class: java.lang.Class<any>
                    }
                    class ContainerLifeCycle$Managed extends java.lang.Enum<org.eclipse.jetty.util.component.ContainerLifeCycle$Managed> {
                        public static POJO: org.eclipse.jetty.util.component.ContainerLifeCycle$Managed
                        public static MANAGED: org.eclipse.jetty.util.component.ContainerLifeCycle$Managed
                        public static UNMANAGED: org.eclipse.jetty.util.component.ContainerLifeCycle$Managed
                        public static AUTO: org.eclipse.jetty.util.component.ContainerLifeCycle$Managed
                        public static values(): org.eclipse.jetty.util.component.ContainerLifeCycle$Managed[]
                        public static valueOf(arg0: string): org.eclipse.jetty.util.component.ContainerLifeCycle$Managed
                        public static class: java.lang.Class<any>
                    }
                    class ContainerLifeCycle extends org.eclipse.jetty.util.component.AbstractLifeCycle implements org.eclipse.jetty.util.component.Container , org.eclipse.jetty.util.component.Destroyable , org.eclipse.jetty.util.component.Dumpable {
                        public constructor()
                        protected doStart(): void
                        protected start(arg0: org.eclipse.jetty.util.component.LifeCycle): void
                        protected stop(arg0: org.eclipse.jetty.util.component.LifeCycle): void
                        protected doStop(): void
                        public destroy(): void
                        public contains(arg0: java.lang.Object): boolean
                        public isManaged(arg0: java.lang.Object): boolean
                        public addBean(arg0: java.lang.Object): boolean
                        public addBean(arg0: java.lang.Object, arg1: boolean): boolean
                        public addBean(arg0: java.lang.Object, arg1: org.eclipse.jetty.util.component.ContainerLifeCycle$Managed): boolean
                        public addManaged(arg0: org.eclipse.jetty.util.component.LifeCycle): void
                        public addEventListener(arg0: org.eclipse.jetty.util.component.Container$Listener): void
                        public manage(arg0: java.lang.Object): void
                        public unmanage(arg0: java.lang.Object): void
                        public getBeans(): java.util.Collection<java.lang.Object>
                        public setBeans(arg0: java.util.Collection<java.lang.Object>): void
                        public getBeans<T>(arg0: java.lang.Class<T>): java.util.Collection<T>
                        public getBean<T>(arg0: java.lang.Class<T>): T
                        public removeBeans<T>(): void
                        public removeBean<T>(arg0: java.lang.Object): boolean
                        public removeEventListener<T>(arg0: org.eclipse.jetty.util.component.Container$Listener): void
                        public setStopTimeout<T>(arg0: long): void
                        public dumpStdErr<T>(): void
                        public dump<T>(): string
                        public static dump<T>(arg0: org.eclipse.jetty.util.component.Dumpable): string
                        public dump<T>(arg0: java.lang.Appendable): void
                        protected dumpThis<T>(arg0: java.lang.Appendable): void
                        public static dumpObject<T>(arg0: java.lang.Appendable, arg1: java.lang.Object): void
                        public dump<T>(arg0: java.lang.Appendable, arg1: string): void
                        protected dumpBeans<T>(arg0: java.lang.Appendable, arg1: string, ...arg2: java.util.Collection<any>[]): void
                        public static dump<T>(arg0: java.lang.Appendable, arg1: string, ...arg2: java.util.Collection<any>[]): void
                        public updateBean<T>(arg0: java.lang.Object, arg1: java.lang.Object): void
                        public updateBean<T>(arg0: java.lang.Object, arg1: java.lang.Object, arg2: boolean): void
                        public updateBeans<T>(arg0: java.lang.Object[], arg1: java.lang.Object[]): void
                        public static class: java.lang.Class<any>
                    }
                    interface Destroyable {
                        destroy(): void
                    }
                    
                    interface Destroyable$$Lambda {
                        (): void
                    }
                    interface Dumpable {
                        dump(): string
                        dump(arg0: java.lang.Appendable, arg1: string): void
                    }
                    class DumpableCollection implements org.eclipse.jetty.util.component.Dumpable {
                        public constructor(arg0: string, arg1: java.util.Collection<any>)
                        public dump(): string
                        public dump(arg0: java.lang.Appendable, arg1: string): void
                        public static class: java.lang.Class<any>
                    }
                    class FileDestroyable implements org.eclipse.jetty.util.component.Destroyable {
                        public constructor()
                        public constructor(arg0: string)
                        public constructor(arg0: java.io.File)
                        public addFile(arg0: string): void
                        public addFile(arg0: java.io.File): void
                        public addFiles(arg0: java.util.Collection<java.io.File>): void
                        public removeFile(arg0: string): void
                        public removeFile(arg0: java.io.File): void
                        public destroy(): void
                        public static class: java.lang.Class<any>
                    }
                    class FileNoticeLifeCycleListener implements org.eclipse.jetty.util.component.LifeCycle$Listener {
                        public constructor(arg0: string)
                        public lifeCycleStarting(arg0: org.eclipse.jetty.util.component.LifeCycle): void
                        public lifeCycleStarted(arg0: org.eclipse.jetty.util.component.LifeCycle): void
                        public lifeCycleFailure(arg0: org.eclipse.jetty.util.component.LifeCycle, arg1: java.lang.Throwable): void
                        public lifeCycleStopping(arg0: org.eclipse.jetty.util.component.LifeCycle): void
                        public lifeCycleStopped(arg0: org.eclipse.jetty.util.component.LifeCycle): void
                        public static class: java.lang.Class<any>
                    }
                    interface Graceful {
                        shutdown(): java.util.concurrent.Future<java.lang.Void>
                    }
                    
                    interface Graceful$$Lambda {
                        (): java.util.concurrent.Future<java.lang.Void>
                    }
                    interface LifeCycle$Listener extends java.util.EventListener {
                        lifeCycleStarting(arg0: org.eclipse.jetty.util.component.LifeCycle): void
                        lifeCycleStarted(arg0: org.eclipse.jetty.util.component.LifeCycle): void
                        lifeCycleFailure(arg0: org.eclipse.jetty.util.component.LifeCycle, arg1: java.lang.Throwable): void
                        lifeCycleStopping(arg0: org.eclipse.jetty.util.component.LifeCycle): void
                        lifeCycleStopped(arg0: org.eclipse.jetty.util.component.LifeCycle): void
                    }
                    interface LifeCycle {
                        start(): void
                        stop(): void
                        isRunning(): boolean
                        isStarted(): boolean
                        isStarting(): boolean
                        isStopping(): boolean
                        isStopped(): boolean
                        isFailed(): boolean
                        addLifeCycleListener(arg0: org.eclipse.jetty.util.component.LifeCycle$Listener): void
                        removeLifeCycleListener(arg0: org.eclipse.jetty.util.component.LifeCycle$Listener): void
                    }
                    
                }
                class ConcurrentArrayQueue$1 {
                    public toString(): string
                    public static class: java.lang.Class<any>
                }
                class ConcurrentArrayQueue$2 implements java.util.Iterator<T> {
                    public hasNext(): boolean
                    public next(): T
                    public remove(): void
                    public static class: java.lang.Class<any>
                }
                class ConcurrentArrayQueue$Block<E> {
                    protected constructor(arg0: int)
                    public peek(arg0: int): E
                    public store(arg0: int, arg1: E): boolean
                    public remove(arg0: int, arg1: java.lang.Object, arg2: boolean): boolean
                    public next(): org.eclipse.jetty.util.ConcurrentArrayQueue$Block<E>
                    public link(arg0: org.eclipse.jetty.util.ConcurrentArrayQueue$Block<E>): boolean
                    public head(): int
                    public tail(): int
                    public arrayCopy(): java.lang.Object[]
                    public static class: java.lang.Class<any>
                }
                class ConcurrentArrayQueue<T> extends java.util.AbstractQueue<T> {
                    public static DEFAULT_BLOCK_SIZE: int
                    public static REMOVED_ELEMENT: java.lang.Object
                    public constructor()
                    public constructor(arg0: int)
                    public getBlockSize(): int
                    protected getHeadBlock(): org.eclipse.jetty.util.ConcurrentArrayQueue$Block<T>
                    protected getTailBlock(): org.eclipse.jetty.util.ConcurrentArrayQueue$Block<T>
                    public offer(arg0: T): boolean
                    protected casTailBlock(arg0: org.eclipse.jetty.util.ConcurrentArrayQueue$Block<T>, arg1: org.eclipse.jetty.util.ConcurrentArrayQueue$Block<T>): boolean
                    public poll(): T
                    protected casHeadBlock(arg0: org.eclipse.jetty.util.ConcurrentArrayQueue$Block<T>, arg1: org.eclipse.jetty.util.ConcurrentArrayQueue$Block<T>): boolean
                    public peek(): T
                    public remove(arg0: java.lang.Object): boolean
                    public removeAll(arg0: java.util.Collection<any>): boolean
                    public retainAll(arg0: java.util.Collection<any>): boolean
                    public iterator(): java.util.Iterator<T>
                    public size(): int
                    protected newBlock(): org.eclipse.jetty.util.ConcurrentArrayQueue$Block<T>
                    protected getBlockCount(): int
                    public static class: java.lang.Class<any>
                }
                class ConcurrentHashSet<E> extends java.util.AbstractSet<E> implements java.util.Set<E> {
                    public constructor()
                    public add(arg0: E): boolean
                    public clear(): void
                    public contains(arg0: java.lang.Object): boolean
                    public containsAll(arg0: java.util.Collection<any>): boolean
                    public equals(arg0: java.lang.Object): boolean
                    public hashCode(): int
                    public isEmpty(): boolean
                    public iterator(): java.util.Iterator<E>
                    public remove(arg0: java.lang.Object): boolean
                    public removeAll(arg0: java.util.Collection<any>): boolean
                    public retainAll(arg0: java.util.Collection<any>): boolean
                    public size(): int
                    public toArray(): java.lang.Object[]
                    public toArray<T>(arg0: T[]): T[]
                    public toString<T>(): string
                    public static class: java.lang.Class<any>
                }
                class CountingCallback implements org.eclipse.jetty.util.Callback {
                    public constructor(arg0: org.eclipse.jetty.util.Callback, arg1: int)
                    public succeeded(): void
                    public failed(arg0: java.lang.Throwable): void
                    public toString(): string
                    public static class: java.lang.Class<any>
                }
                class DateCache$Tick {
                    public constructor(arg0: long, arg1: string)
                    public static class: java.lang.Class<any>
                }
                class DateCache {
                    public static DEFAULT_FORMAT: string
                    public constructor()
                    public constructor(arg0: string)
                    public constructor(arg0: string, arg1: java.util.Locale)
                    public constructor(arg0: string, arg1: java.util.Locale, arg2: string)
                    public constructor(arg0: string, arg1: java.util.Locale, arg2: java.util.TimeZone)
                    public getTimeZone(): java.util.TimeZone
                    public format(arg0: java.util.Date): string
                    public format(arg0: long): string
                    public formatNow(arg0: long): string
                    public now(): string
                    public tick(): org.eclipse.jetty.util.DateCache$Tick
                    protected formatTick(arg0: long): org.eclipse.jetty.util.DateCache$Tick
                    public getFormatString(): string
                    public static class: java.lang.Class<any>
                }
                class DecoratedObjectFactory implements java.lang.Iterable<org.eclipse.jetty.util.Decorator> {
                    public static ATTR: string
                    public constructor()
                    public addDecorator(arg0: org.eclipse.jetty.util.Decorator): void
                    public clear(): void
                    public createInstance<T>(arg0: java.lang.Class<T>): T
                    public decorate<T>(arg0: T): T
                    public destroy<T>(arg0: java.lang.Object): void
                    public getDecorators<T>(): java.util.List<org.eclipse.jetty.util.Decorator>
                    public iterator<T>(): java.util.Iterator<org.eclipse.jetty.util.Decorator>
                    public setDecorators<T>(arg0: java.util.List<org.eclipse.jetty.util.Decorator>): void
                    public toString<T>(): string
                    public static class: java.lang.Class<any>
                }
                interface Decorator {
                    decorate<T>(arg0: T): T
                    destroy(arg0: java.lang.Object): void
                }
                class Fields$1 {
                    public static class: java.lang.Class<any>
                }
                class Fields$Field {
                    public constructor(arg0: string, arg1: string)
                    public equals(arg0: org.eclipse.jetty.util.Fields$Field, arg1: boolean): boolean
                    public equals(arg0: java.lang.Object): boolean
                    public hashCode(): int
                    public getName(): string
                    public getValue(): string
                    public getValueAsInt(): java.lang.Integer
                    public getValues(): java.util.List<java.lang.String>
                    public hasMultipleValues(): boolean
                    public toString(): string
                    public static class: java.lang.Class<any>
                }
                class Fields implements java.lang.Iterable<org.eclipse.jetty.util.Fields$Field> {
                    public constructor()
                    public constructor(arg0: boolean)
                    public constructor(arg0: org.eclipse.jetty.util.Fields, arg1: boolean)
                    public equals(arg0: java.lang.Object): boolean
                    public hashCode(): int
                    public getNames(): java.util.Set<java.lang.String>
                    public get(arg0: string): org.eclipse.jetty.util.Fields$Field
                    public put(arg0: string, arg1: string): void
                    public put(arg0: org.eclipse.jetty.util.Fields$Field): void
                    public add(arg0: string, arg1: string): void
                    public remove(arg0: string): org.eclipse.jetty.util.Fields$Field
                    public clear(): void
                    public isEmpty(): boolean
                    public getSize(): int
                    public iterator(): java.util.Iterator<org.eclipse.jetty.util.Fields$Field>
                    public toString(): string
                    public static class: java.lang.Class<any>
                }
                class FutureCallback implements java.util.concurrent.Future<java.lang.Void> , org.eclipse.jetty.util.Callback {
                    public constructor()
                    public constructor(arg0: boolean)
                    public constructor(arg0: java.lang.Throwable)
                    public succeeded(): void
                    public failed(arg0: java.lang.Throwable): void
                    public cancel(arg0: boolean): boolean
                    public isCancelled(): boolean
                    public isDone(): boolean
                    public get(): java.lang.Void
                    public get(arg0: long, arg1: java.util.concurrent.TimeUnit): java.lang.Void
                    public static rethrow(arg0: java.util.concurrent.ExecutionException): void
                    public toString(): string
                    public get(arg0: long, arg1: java.util.concurrent.TimeUnit): java.lang.Object
                    public get(): java.lang.Object
                    public static class: java.lang.Class<any>
                }
                class FuturePromise<C> implements java.util.concurrent.Future<C> , org.eclipse.jetty.util.Promise<C> {
                    public constructor()
                    public constructor(arg0: C)
                    public constructor(arg0: C, arg1: java.lang.Throwable)
                    public succeeded(arg0: C): void
                    public failed(arg0: java.lang.Throwable): void
                    public cancel(arg0: boolean): boolean
                    public isCancelled(): boolean
                    public isDone(): boolean
                    public get(): C
                    public get(arg0: long, arg1: java.util.concurrent.TimeUnit): C
                    public static rethrow(arg0: java.util.concurrent.ExecutionException): void
                    public toString(): string
                    public static class: java.lang.Class<any>
                }
                class HostMap<TYPE> extends java.util.HashMap<java.lang.String, TYPE> {
                    public constructor()
                    public constructor(arg0: int)
                    public put(arg0: string, arg1: TYPE): TYPE
                    public get(arg0: java.lang.Object): TYPE
                    public getLazyMatches(arg0: string): java.lang.Object
                    public put(arg0: java.lang.Object, arg1: java.lang.Object): java.lang.Object
                    public static class: java.lang.Class<any>
                }
                class HttpCookieStore$Empty implements java.net.CookieStore {
                    public constructor()
                    public add(arg0: java.net.URI, arg1: java.net.HttpCookie): void
                    public get(arg0: java.net.URI): java.util.List<java.net.HttpCookie>
                    public getCookies(): java.util.List<java.net.HttpCookie>
                    public getURIs(): java.util.List<java.net.URI>
                    public remove(arg0: java.net.URI, arg1: java.net.HttpCookie): boolean
                    public removeAll(): boolean
                    public static class: java.lang.Class<any>
                }
                class HttpCookieStore implements java.net.CookieStore {
                    public constructor()
                    public add(arg0: java.net.URI, arg1: java.net.HttpCookie): void
                    public get(arg0: java.net.URI): java.util.List<java.net.HttpCookie>
                    public getCookies(): java.util.List<java.net.HttpCookie>
                    public getURIs(): java.util.List<java.net.URI>
                    public remove(arg0: java.net.URI, arg1: java.net.HttpCookie): boolean
                    public removeAll(): boolean
                    public static class: java.lang.Class<any>
                }
                class IncludeExclude<ITEM> {
                    public constructor()
                    public constructor(arg0: java.lang.Class<SET>, arg1: java.util.function$.BiFunction<SET, ITEM, java.lang.Boolean>)
                    public include<SET extends java.util.Set<ITEM>>(arg0: ITEM): void
                    public include<SET extends java.util.Set<ITEM>>(...arg0: ITEM[]): void
                    public exclude<SET extends java.util.Set<ITEM>>(arg0: ITEM): void
                    public exclude<SET extends java.util.Set<ITEM>>(...arg0: ITEM[]): void
                    public matches<SET extends java.util.Set<ITEM>>(arg0: ITEM): boolean
                    public size<SET extends java.util.Set<ITEM>>(): int
                    public getIncluded<SET extends java.util.Set<ITEM>>(): java.util.Set<ITEM>
                    public getExcluded<SET extends java.util.Set<ITEM>>(): java.util.Set<ITEM>
                    public clear<SET extends java.util.Set<ITEM>>(): void
                    public toString<SET extends java.util.Set<ITEM>>(): string
                    public static class: java.lang.Class<any>
                }
                class IntrospectionUtil {
                    public constructor()
                    public static isJavaBeanCompliantSetter(arg0: java.lang.reflect.Method): boolean
                    public static findMethod(arg0: java.lang.Class<any>, arg1: string, arg2: java.lang.Class<any>[], arg3: boolean, arg4: boolean): java.lang.reflect.Method
                    public static findField(arg0: java.lang.Class<any>, arg1: string, arg2: java.lang.Class<any>, arg3: boolean, arg4: boolean): java.lang.reflect.Field
                    public static isInheritable(arg0: java.lang.Package, arg1: java.lang.reflect.Member): boolean
                    public static checkParams(arg0: java.lang.Class<any>[], arg1: java.lang.Class<any>[], arg2: boolean): boolean
                    public static isSameSignature(arg0: java.lang.reflect.Method, arg1: java.lang.reflect.Method): boolean
                    public static isTypeCompatible(arg0: java.lang.Class<any>, arg1: java.lang.Class<any>, arg2: boolean): boolean
                    public static containsSameMethodSignature(arg0: java.lang.reflect.Method, arg1: java.lang.Class<any>, arg2: boolean): boolean
                    public static containsSameFieldName(arg0: java.lang.reflect.Field, arg1: java.lang.Class<any>, arg2: boolean): boolean
                    protected static findInheritedMethod(arg0: java.lang.Package, arg1: java.lang.Class<any>, arg2: string, arg3: java.lang.Class<any>[], arg4: boolean): java.lang.reflect.Method
                    protected static findInheritedField(arg0: java.lang.Package, arg1: java.lang.Class<any>, arg2: string, arg3: java.lang.Class<any>, arg4: boolean): java.lang.reflect.Field
                    public static class: java.lang.Class<any>
                }
                class IO$1 {
                    public static class: java.lang.Class<any>
                }
                class IO$ClosedIS extends java.io.InputStream {
                    public read(): int
                    public static class: java.lang.Class<any>
                }
                class IO$Job implements java.lang.Runnable {
                    public run(): void
                    public static class: java.lang.Class<any>
                }
                class IO$NullOS extends java.io.OutputStream {
                    public close(): void
                    public flush(): void
                    public write(arg0: byte[]): void
                    public write(arg0: byte[], arg1: int, arg2: int): void
                    public write(arg0: int): void
                    public static class: java.lang.Class<any>
                }
                class IO$NullWrite extends java.io.Writer {
                    public close(): void
                    public flush(): void
                    public write(arg0: char[]): void
                    public write(arg0: char[], arg1: int, arg2: int): void
                    public write(arg0: int): void
                    public write(arg0: string): void
                    public write(arg0: string, arg1: int, arg2: int): void
                    public static class: java.lang.Class<any>
                }
                class IO {
                    public static CRLF: string
                    public static CRLF_BYTES: byte[]
                    public static bufferSize: int
                    public constructor()
                    public static copy(arg0: java.io.InputStream, arg1: java.io.OutputStream): void
                    public static copy(arg0: java.io.Reader, arg1: java.io.Writer): void
                    public static copy(arg0: java.io.InputStream, arg1: java.io.OutputStream, arg2: long): void
                    public static copy(arg0: java.io.Reader, arg1: java.io.Writer, arg2: long): void
                    public static copy(arg0: java.io.File, arg1: java.io.File): void
                    public static copyDir(arg0: java.io.File, arg1: java.io.File): void
                    public static copyFile(arg0: java.io.File, arg1: java.io.File): void
                    public static toString(arg0: java.io.InputStream): string
                    public static toString(arg0: java.io.InputStream, arg1: string): string
                    public static toString(arg0: java.io.InputStream, arg1: java.nio.charset.Charset): string
                    public static toString(arg0: java.io.Reader): string
                    public static delete(arg0: java.io.File): boolean
                    public static close(arg0: java.io.Closeable): void
                    public static close(arg0: java.io.InputStream): void
                    public static close(arg0: java.io.OutputStream): void
                    public static close(arg0: java.io.Reader): void
                    public static close(arg0: java.io.Writer): void
                    public static readBytes(arg0: java.io.InputStream): byte[]
                    public static write(arg0: java.nio.channels.GatheringByteChannel, arg1: java.nio.ByteBuffer[], arg2: int, arg3: int): long
                    public static getNullStream(): java.io.OutputStream
                    public static getClosedStream(): java.io.InputStream
                    public static getNullWriter(): java.io.Writer
                    public static getNullPrintWriter(): java.io.PrintWriter
                    public static class: java.lang.Class<any>
                }
                class IPAddressMap$IPAddrPattern {
                    public constructor(arg0: string)
                    public match(arg0: string): boolean
                    public static class: java.lang.Class<any>
                }
                class IPAddressMap$OctetPattern extends java.util.BitSet {
                    public constructor(arg0: string)
                    public match(arg0: string): boolean
                    public match(arg0: int): boolean
                    public static class: java.lang.Class<any>
                }
                class IPAddressMap<TYPE> extends java.util.HashMap<java.lang.String, TYPE> {
                    public constructor()
                    public constructor(arg0: int)
                    public put(arg0: string, arg1: TYPE): TYPE
                    public get(arg0: java.lang.Object): TYPE
                    public match(arg0: string): TYPE
                    public getMatch(arg0: string): java.util.Map$Entry<java.lang.String, TYPE>
                    public getLazyMatches(arg0: string): java.lang.Object
                    public put(arg0: java.lang.Object, arg1: java.lang.Object): java.lang.Object
                    public static class: java.lang.Class<any>
                }
                class IteratingCallback$1 {
                    public static class: java.lang.Class<any>
                }
                class IteratingCallback$Action extends java.lang.Enum<org.eclipse.jetty.util.IteratingCallback$Action> {
                    public static IDLE: org.eclipse.jetty.util.IteratingCallback$Action
                    public static SCHEDULED: org.eclipse.jetty.util.IteratingCallback$Action
                    public static SUCCEEDED: org.eclipse.jetty.util.IteratingCallback$Action
                    public static values(): org.eclipse.jetty.util.IteratingCallback$Action[]
                    public static valueOf(arg0: string): org.eclipse.jetty.util.IteratingCallback$Action
                    public static class: java.lang.Class<any>
                }
                class IteratingCallback$State extends java.lang.Enum<org.eclipse.jetty.util.IteratingCallback$State> {
                    public static IDLE: org.eclipse.jetty.util.IteratingCallback$State
                    public static PROCESSING: org.eclipse.jetty.util.IteratingCallback$State
                    public static PENDING: org.eclipse.jetty.util.IteratingCallback$State
                    public static CALLED: org.eclipse.jetty.util.IteratingCallback$State
                    public static SUCCEEDED: org.eclipse.jetty.util.IteratingCallback$State
                    public static FAILED: org.eclipse.jetty.util.IteratingCallback$State
                    public static CLOSED: org.eclipse.jetty.util.IteratingCallback$State
                    public static values(): org.eclipse.jetty.util.IteratingCallback$State[]
                    public static valueOf(arg0: string): org.eclipse.jetty.util.IteratingCallback$State
                    public static class: java.lang.Class<any>
                }
                abstract class IteratingCallback implements org.eclipse.jetty.util.Callback {
                    protected constructor()
                    protected constructor(arg0: boolean)
                    protected process(): org.eclipse.jetty.util.IteratingCallback$Action
                    protected onCompleteSuccess(): void
                    protected onCompleteFailure(arg0: java.lang.Throwable): void
                    public iterate(): void
                    public succeeded(): void
                    public failed(arg0: java.lang.Throwable): void
                    public close(): void
                    public isClosed(): boolean
                    public isFailed(): boolean
                    public isSucceeded(): boolean
                    public reset(): boolean
                    public toString(): string
                    public static class: java.lang.Class<any>
                }
                abstract class IteratingNestedCallback extends org.eclipse.jetty.util.IteratingCallback {
                    public constructor(arg0: org.eclipse.jetty.util.Callback)
                    public isNonBlocking(): boolean
                    protected onCompleteSuccess(): void
                    protected onCompleteFailure(arg0: java.lang.Throwable): void
                    public toString(): string
                    public static class: java.lang.Class<any>
                }
                class Jetty {
                    public static VERSION: string
                    public static POWERED_BY: string
                    public static class: java.lang.Class<any>
                }
                class LazyList implements java.lang.Cloneable , java.io.Serializable {
                    public static add(arg0: java.lang.Object, arg1: java.lang.Object): java.lang.Object
                    public static add(arg0: java.lang.Object, arg1: int, arg2: java.lang.Object): java.lang.Object
                    public static addCollection(arg0: java.lang.Object, arg1: java.util.Collection<any>): java.lang.Object
                    public static addArray(arg0: java.lang.Object, arg1: java.lang.Object[]): java.lang.Object
                    public static ensureSize(arg0: java.lang.Object, arg1: int): java.lang.Object
                    public static remove(arg0: java.lang.Object, arg1: java.lang.Object): java.lang.Object
                    public static remove(arg0: java.lang.Object, arg1: int): java.lang.Object
                    public static getList<E>(arg0: java.lang.Object): java.util.List<E>
                    public static getList<E>(arg0: java.lang.Object, arg1: boolean): java.util.List<E>
                    public static hasEntry(arg0: java.lang.Object): boolean
                    public static isEmpty(arg0: java.lang.Object): boolean
                    public static toStringArray(arg0: java.lang.Object): java.lang.String[]
                    public static toArray(arg0: java.lang.Object, arg1: java.lang.Class<any>): java.lang.Object
                    public static size(arg0: java.lang.Object): int
                    public static get<E>(arg0: java.lang.Object, arg1: int): E
                    public static contains(arg0: java.lang.Object, arg1: java.lang.Object): boolean
                    public static clone(arg0: java.lang.Object): java.lang.Object
                    public static toString(arg0: java.lang.Object): string
                    public static iterator<E>(arg0: java.lang.Object): java.util.Iterator<E>
                    public static listIterator<E>(arg0: java.lang.Object): java.util.ListIterator<E>
                    public static class: java.lang.Class<any>
                }
                class LeakDetector$1 {
                    public static class: java.lang.Class<any>
                }
                class LeakDetector$LeakInfo extends java.lang.ref.PhantomReference<T> {
                    public getResourceDescription(): string
                    public getStackFrames(): java.lang.Throwable
                    public toString(): string
                    public static class: java.lang.Class<any>
                }
                class LeakDetector<T> extends org.eclipse.jetty.util.component.AbstractLifeCycle implements java.lang.Runnable {
                    public constructor()
                    public acquired(arg0: T): boolean
                    public released(arg0: T): boolean
                    public id(arg0: T): string
                    protected doStart(): void
                    protected doStop(): void
                    public run(): void
                    protected leaked(arg0: any): void
                    public static class: java.lang.Class<any>
                }
                class Loader {
                    public constructor()
                    public static getResource(arg0: java.lang.Class<any>, arg1: string): java.net.URL
                    public static loadClass(arg0: java.lang.Class, arg1: string): java.lang.Class
                    public static getResourceBundle(arg0: java.lang.Class<any>, arg1: string, arg2: boolean, arg3: java.util.Locale): java.util.ResourceBundle
                    public static getClassPath(arg0: java.lang.ClassLoader): string
                    public static class: java.lang.Class<any>
                }
                namespace log {
                    abstract class AbstractLogger implements org.eclipse.jetty.util.log.Logger {
                        public static LEVEL_DEFAULT: int
                        public static LEVEL_ALL: int
                        public static LEVEL_DEBUG: int
                        public static LEVEL_INFO: int
                        public static LEVEL_WARN: int
                        public static LEVEL_OFF: int
                        public constructor()
                        public getLogger(arg0: string): org.eclipse.jetty.util.log.Logger
                        protected newLogger(arg0: string): org.eclipse.jetty.util.log.Logger
                        public static lookupLoggingLevel(arg0: java.util.Properties, arg1: string): int
                        public static getLoggingProperty(arg0: java.util.Properties, arg1: string, arg2: string): string
                        protected static getLevelId(arg0: string, arg1: string): int
                        protected static condensePackageString(arg0: string): string
                        public debug(arg0: string, arg1: long): void
                        public static class: java.lang.Class<any>
                    }
                    class JavaUtilLog$1 implements java.security.PrivilegedAction<java.lang.Object> {
                        public run(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class JavaUtilLog extends org.eclipse.jetty.util.log.AbstractLogger {
                        public constructor()
                        public constructor(arg0: string)
                        public getName(): string
                        protected log(arg0: java.util.logging.Level, arg1: string, arg2: java.lang.Throwable): void
                        public warn(arg0: string, ...arg1: java.lang.Object[]): void
                        public warn(arg0: java.lang.Throwable): void
                        public warn(arg0: string, arg1: java.lang.Throwable): void
                        public info(arg0: string, ...arg1: java.lang.Object[]): void
                        public info(arg0: java.lang.Throwable): void
                        public info(arg0: string, arg1: java.lang.Throwable): void
                        public isDebugEnabled(): boolean
                        public setDebugEnabled(arg0: boolean): void
                        public debug(arg0: string, ...arg1: java.lang.Object[]): void
                        public debug(arg0: string, arg1: long): void
                        public debug(arg0: java.lang.Throwable): void
                        public debug(arg0: string, arg1: java.lang.Throwable): void
                        protected newLogger(arg0: string): org.eclipse.jetty.util.log.Logger
                        public ignore(arg0: java.lang.Throwable): void
                        public static class: java.lang.Class<any>
                    }
                    class JettyAwareLogger implements org.slf4j.Logger {
                        public constructor(arg0: org.slf4j.spi.LocationAwareLogger)
                        public getName(): string
                        public isTraceEnabled(): boolean
                        public trace(arg0: string): void
                        public trace(arg0: string, arg1: java.lang.Object): void
                        public trace(arg0: string, arg1: java.lang.Object, arg2: java.lang.Object): void
                        public trace(arg0: string, arg1: java.lang.Object[]): void
                        public trace(arg0: string, arg1: java.lang.Throwable): void
                        public isTraceEnabled(arg0: org.slf4j.Marker): boolean
                        public trace(arg0: org.slf4j.Marker, arg1: string): void
                        public trace(arg0: org.slf4j.Marker, arg1: string, arg2: java.lang.Object): void
                        public trace(arg0: org.slf4j.Marker, arg1: string, arg2: java.lang.Object, arg3: java.lang.Object): void
                        public trace(arg0: org.slf4j.Marker, arg1: string, arg2: java.lang.Object[]): void
                        public trace(arg0: org.slf4j.Marker, arg1: string, arg2: java.lang.Throwable): void
                        public isDebugEnabled(): boolean
                        public debug(arg0: string): void
                        public debug(arg0: string, arg1: java.lang.Object): void
                        public debug(arg0: string, arg1: java.lang.Object, arg2: java.lang.Object): void
                        public debug(arg0: string, arg1: java.lang.Object[]): void
                        public debug(arg0: string, arg1: java.lang.Throwable): void
                        public isDebugEnabled(arg0: org.slf4j.Marker): boolean
                        public debug(arg0: org.slf4j.Marker, arg1: string): void
                        public debug(arg0: org.slf4j.Marker, arg1: string, arg2: java.lang.Object): void
                        public debug(arg0: org.slf4j.Marker, arg1: string, arg2: java.lang.Object, arg3: java.lang.Object): void
                        public debug(arg0: org.slf4j.Marker, arg1: string, arg2: java.lang.Object[]): void
                        public debug(arg0: org.slf4j.Marker, arg1: string, arg2: java.lang.Throwable): void
                        public isInfoEnabled(): boolean
                        public info(arg0: string): void
                        public info(arg0: string, arg1: java.lang.Object): void
                        public info(arg0: string, arg1: java.lang.Object, arg2: java.lang.Object): void
                        public info(arg0: string, arg1: java.lang.Object[]): void
                        public info(arg0: string, arg1: java.lang.Throwable): void
                        public isInfoEnabled(arg0: org.slf4j.Marker): boolean
                        public info(arg0: org.slf4j.Marker, arg1: string): void
                        public info(arg0: org.slf4j.Marker, arg1: string, arg2: java.lang.Object): void
                        public info(arg0: org.slf4j.Marker, arg1: string, arg2: java.lang.Object, arg3: java.lang.Object): void
                        public info(arg0: org.slf4j.Marker, arg1: string, arg2: java.lang.Object[]): void
                        public info(arg0: org.slf4j.Marker, arg1: string, arg2: java.lang.Throwable): void
                        public isWarnEnabled(): boolean
                        public warn(arg0: string): void
                        public warn(arg0: string, arg1: java.lang.Object): void
                        public warn(arg0: string, arg1: java.lang.Object[]): void
                        public warn(arg0: string, arg1: java.lang.Object, arg2: java.lang.Object): void
                        public warn(arg0: string, arg1: java.lang.Throwable): void
                        public isWarnEnabled(arg0: org.slf4j.Marker): boolean
                        public warn(arg0: org.slf4j.Marker, arg1: string): void
                        public warn(arg0: org.slf4j.Marker, arg1: string, arg2: java.lang.Object): void
                        public warn(arg0: org.slf4j.Marker, arg1: string, arg2: java.lang.Object, arg3: java.lang.Object): void
                        public warn(arg0: org.slf4j.Marker, arg1: string, arg2: java.lang.Object[]): void
                        public warn(arg0: org.slf4j.Marker, arg1: string, arg2: java.lang.Throwable): void
                        public isErrorEnabled(): boolean
                        public error(arg0: string): void
                        public error(arg0: string, arg1: java.lang.Object): void
                        public error(arg0: string, arg1: java.lang.Object, arg2: java.lang.Object): void
                        public error(arg0: string, arg1: java.lang.Object[]): void
                        public error(arg0: string, arg1: java.lang.Throwable): void
                        public isErrorEnabled(arg0: org.slf4j.Marker): boolean
                        public error(arg0: org.slf4j.Marker, arg1: string): void
                        public error(arg0: org.slf4j.Marker, arg1: string, arg2: java.lang.Object): void
                        public error(arg0: org.slf4j.Marker, arg1: string, arg2: java.lang.Object, arg3: java.lang.Object): void
                        public error(arg0: org.slf4j.Marker, arg1: string, arg2: java.lang.Object[]): void
                        public error(arg0: org.slf4j.Marker, arg1: string, arg2: java.lang.Throwable): void
                        public toString(): string
                        public static class: java.lang.Class<any>
                    }
                    class JettyLogHandler extends java.util.logging.Handler {
                        public static config(): void
                        public constructor()
                        public publish(arg0: java.util.logging.LogRecord): void
                        public flush(): void
                        public close(): void
                        public static class: java.lang.Class<any>
                    }
                    class Log$1 implements java.security.PrivilegedAction<java.lang.Object> {
                        public run(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class Log {
                        public static EXCEPTION: string
                        public static IGNORED: string
                        protected static __props: java.util.Properties
                        public static __logClass: string
                        public static __ignored: boolean
                        public constructor()
                        public static initialized(): void
                        public static getLog(): org.eclipse.jetty.util.log.Logger
                        public static setLog(arg0: org.eclipse.jetty.util.log.Logger): void
                        public static getRootLogger(): org.eclipse.jetty.util.log.Logger
                        public static setLogToParent(arg0: string): void
                        public static getLogger(arg0: java.lang.Class<any>): org.eclipse.jetty.util.log.Logger
                        public static getLogger(arg0: string): org.eclipse.jetty.util.log.Logger
                        public static getLoggers(): java.util.Map<java.lang.String, org.eclipse.jetty.util.log.Logger>
                        public static class: java.lang.Class<any>
                    }
                    interface Logger {
                        getName(): string
                        warn(arg0: string, ...arg1: java.lang.Object[]): void
                        warn(arg0: java.lang.Throwable): void
                        warn(arg0: string, arg1: java.lang.Throwable): void
                        info(arg0: string, ...arg1: java.lang.Object[]): void
                        info(arg0: java.lang.Throwable): void
                        info(arg0: string, arg1: java.lang.Throwable): void
                        isDebugEnabled(): boolean
                        setDebugEnabled(arg0: boolean): void
                        debug(arg0: string, ...arg1: java.lang.Object[]): void
                        debug(arg0: string, arg1: long): void
                        debug(arg0: java.lang.Throwable): void
                        debug(arg0: string, arg1: java.lang.Throwable): void
                        getLogger(arg0: string): org.eclipse.jetty.util.log.Logger
                        ignore(arg0: java.lang.Throwable): void
                    }
                    class LoggerLog extends org.eclipse.jetty.util.log.AbstractLogger {
                        public constructor(arg0: java.lang.Object)
                        public getName(): string
                        public warn(arg0: string, ...arg1: java.lang.Object[]): void
                        public warn(arg0: java.lang.Throwable): void
                        public warn(arg0: string, arg1: java.lang.Throwable): void
                        public info(arg0: string, ...arg1: java.lang.Object[]): void
                        public info(arg0: java.lang.Throwable): void
                        public info(arg0: string, arg1: java.lang.Throwable): void
                        public isDebugEnabled(): boolean
                        public setDebugEnabled(arg0: boolean): void
                        public debug(arg0: string, ...arg1: java.lang.Object[]): void
                        public debug(arg0: java.lang.Throwable): void
                        public debug(arg0: string, arg1: java.lang.Throwable): void
                        public debug(arg0: string, arg1: long): void
                        public ignore(arg0: java.lang.Throwable): void
                        protected newLogger(arg0: string): org.eclipse.jetty.util.log.Logger
                        public static class: java.lang.Class<any>
                    }
                    class Slf4jLog extends org.eclipse.jetty.util.log.AbstractLogger {
                        public constructor()
                        public constructor(arg0: string)
                        public getName(): string
                        public warn(arg0: string, ...arg1: java.lang.Object[]): void
                        public warn(arg0: java.lang.Throwable): void
                        public warn(arg0: string, arg1: java.lang.Throwable): void
                        public info(arg0: string, ...arg1: java.lang.Object[]): void
                        public info(arg0: java.lang.Throwable): void
                        public info(arg0: string, arg1: java.lang.Throwable): void
                        public debug(arg0: string, ...arg1: java.lang.Object[]): void
                        public debug(arg0: string, arg1: long): void
                        public debug(arg0: java.lang.Throwable): void
                        public debug(arg0: string, arg1: java.lang.Throwable): void
                        public isDebugEnabled(): boolean
                        public setDebugEnabled(arg0: boolean): void
                        protected newLogger(arg0: string): org.eclipse.jetty.util.log.Logger
                        public ignore(arg0: java.lang.Throwable): void
                        public toString(): string
                        public static class: java.lang.Class<any>
                    }
                    class StacklessLogging implements java.lang.AutoCloseable {
                        public constructor(...arg0: java.lang.Class<any>[])
                        public close(): void
                        public static class: java.lang.Class<any>
                    }
                    class StdErrLog extends org.eclipse.jetty.util.log.AbstractLogger {
                        public static setTagPad(arg0: int): void
                        public static getLoggingLevel(arg0: java.util.Properties, arg1: string): int
                        public static getLogger(arg0: java.lang.Class<any>): org.eclipse.jetty.util.log.StdErrLog
                        public constructor()
                        public constructor(arg0: string)
                        public constructor(arg0: string, arg1: java.util.Properties)
                        public getName(): string
                        public setPrintLongNames(arg0: boolean): void
                        public isPrintLongNames(): boolean
                        public isHideStacks(): boolean
                        public setHideStacks(arg0: boolean): void
                        public isSource(): boolean
                        public setSource(arg0: boolean): void
                        public warn(arg0: string, ...arg1: java.lang.Object[]): void
                        public warn(arg0: java.lang.Throwable): void
                        public warn(arg0: string, arg1: java.lang.Throwable): void
                        public info(arg0: string, ...arg1: java.lang.Object[]): void
                        public info(arg0: java.lang.Throwable): void
                        public info(arg0: string, arg1: java.lang.Throwable): void
                        public isDebugEnabled(): boolean
                        public setDebugEnabled(arg0: boolean): void
                        public getLevel(): int
                        public setLevel(arg0: int): void
                        public setStdErrStream(arg0: java.io.PrintStream): void
                        public debug(arg0: string, ...arg1: java.lang.Object[]): void
                        public debug(arg0: string, arg1: long): void
                        public debug(arg0: java.lang.Throwable): void
                        public debug(arg0: string, arg1: java.lang.Throwable): void
                        protected format(arg0: java.lang.StringBuilder, arg1: java.lang.Throwable): void
                        protected format(arg0: java.lang.StringBuilder, arg1: java.lang.Throwable, arg2: string): void
                        protected newLogger(arg0: string): org.eclipse.jetty.util.log.Logger
                        public toString(): string
                        public ignore(arg0: java.lang.Throwable): void
                        public static class: java.lang.Class<any>
                    }
                    
                }
                class MemoryUtils$1 implements java.security.PrivilegedAction<java.lang.String> {
                    public run(): string
                    public run(): java.lang.Object
                    public static class: java.lang.Class<any>
                }
                class MemoryUtils {
                    public static getCacheLineBytes(): int
                    public static getIntegersPerCacheLine(): int
                    public static getLongsPerCacheLine(): int
                    public static class: java.lang.Class<any>
                }
                class MultiException extends java.lang.Exception {
                    public constructor()
                    public add(arg0: java.lang.Throwable): void
                    public size(): int
                    public getThrowables(): java.util.List<java.lang.Throwable>
                    public getThrowable(arg0: int): java.lang.Throwable
                    public ifExceptionThrow(): void
                    public ifExceptionThrowRuntime(): void
                    public ifExceptionThrowMulti(): void
                    public toString(): string
                    public static class: java.lang.Class<any>
                }
                class MultiMap$1 extends java.util.HashMap<java.lang.String, java.lang.String[]> {
                    public toString(): string
                    public static class: java.lang.Class<any>
                }
                class MultiMap<V> extends java.util.HashMap<java.lang.String, java.util.List<V>> {
                    public constructor()
                    public constructor(arg0: java.util.Map<java.lang.String, java.util.List<V>>)
                    public constructor(arg0: org.eclipse.jetty.util.MultiMap<V>)
                    public getValues(arg0: string): java.util.List<V>
                    public getValue(arg0: string, arg1: int): V
                    public getString(arg0: string): string
                    public put(arg0: string, arg1: V): java.util.List<V>
                    public putAllValues(arg0: java.util.Map<java.lang.String, V>): void
                    public putValues(arg0: string, arg1: java.util.List<V>): java.util.List<V>
                    public putValues(arg0: string, ...arg1: V[]): java.util.List<V>
                    public add(arg0: string, arg1: V): void
                    public addValues(arg0: string, arg1: java.util.List<V>): void
                    public addValues(arg0: string, arg1: V[]): void
                    public addAllValues(arg0: org.eclipse.jetty.util.MultiMap<V>): boolean
                    public removeValue(arg0: string, arg1: V): boolean
                    public containsSimpleValue(arg0: V): boolean
                    public toString(): string
                    public toStringArrayMap(): java.util.Map<java.lang.String, java.lang.String[]>
                    public static class: java.lang.Class<any>
                }
                class MultiPartInputStreamParser$1 extends java.io.FilterInputStream {
                    public read(): int
                    public static class: java.lang.Class<any>
                }
                class MultiPartInputStreamParser$Base64InputStream extends java.io.InputStream {
                    public constructor(arg0: org.eclipse.jetty.util.ReadLineInputStream)
                    public read(): int
                    public static class: java.lang.Class<any>
                }
                class MultiPartInputStreamParser$MultiPart implements javax.servlet.http.Part {
                    protected _name: string
                    protected _filename: string
                    protected _file: java.io.File
                    protected _out: java.io.OutputStream
                    protected _bout: org.eclipse.jetty.util.ByteArrayOutputStream2
                    protected _contentType: string
                    protected _headers: org.eclipse.jetty.util.MultiMap<java.lang.String>
                    protected _size: long
                    protected _temporary: boolean
                    public constructor(arg0: org.eclipse.jetty.util.MultiPartInputStreamParser, arg1: string, arg2: string)
                    protected setContentType(arg0: string): void
                    protected open(): void
                    protected close(): void
                    protected write(arg0: int): void
                    protected write(arg0: byte[], arg1: int, arg2: int): void
                    protected createFile(): void
                    protected setHeaders(arg0: org.eclipse.jetty.util.MultiMap<java.lang.String>): void
                    public getContentType(): string
                    public getHeader(arg0: string): string
                    public getHeaderNames(): java.util.Collection<java.lang.String>
                    public getHeaders(arg0: string): java.util.Collection<java.lang.String>
                    public getInputStream(): java.io.InputStream
                    public getSubmittedFileName(): string
                    public getBytes(): byte[]
                    public getName(): string
                    public getSize(): long
                    public write(arg0: string): void
                    public delete(): void
                    public cleanUp(): void
                    public getFile(): java.io.File
                    public getContentDispositionFilename(): string
                    public static class: java.lang.Class<any>
                }
                class MultiPartInputStreamParser {
                    public static __DEFAULT_MULTIPART_CONFIG: javax.servlet.MultipartConfigElement
                    protected _in: java.io.InputStream
                    protected _config: javax.servlet.MultipartConfigElement
                    protected _contentType: string
                    protected _parts: org.eclipse.jetty.util.MultiMap<javax.servlet.http.Part>
                    protected _tmpDir: java.io.File
                    protected _contextTmpDir: java.io.File
                    protected _deleteOnExit: boolean
                    public constructor(arg0: java.io.InputStream, arg1: string, arg2: javax.servlet.MultipartConfigElement, arg3: java.io.File)
                    public getParsedParts(): java.util.Collection<javax.servlet.http.Part>
                    public deleteParts(): void
                    public getParts(): java.util.Collection<javax.servlet.http.Part>
                    public getPart(arg0: string): javax.servlet.http.Part
                    protected parse(): void
                    public setDeleteOnExit(arg0: boolean): void
                    public isDeleteOnExit(): boolean
                    public static class: java.lang.Class<any>
                }
                class MultiPartOutputStream extends java.io.FilterOutputStream {
                    public static MULTIPART_MIXED: string
                    public static MULTIPART_X_MIXED_REPLACE: string
                    public constructor(arg0: java.io.OutputStream)
                    public constructor(arg0: java.io.OutputStream, arg1: string)
                    public close(): void
                    public getBoundary(): string
                    public getOut(): java.io.OutputStream
                    public startPart(arg0: string): void
                    public startPart(arg0: string, arg1: java.lang.String[]): void
                    public write(arg0: byte[], arg1: int, arg2: int): void
                    public static class: java.lang.Class<any>
                }
                class MultiPartWriter extends java.io.FilterWriter {
                    public static MULTIPART_MIXED: string
                    public static MULTIPART_X_MIXED_REPLACE: string
                    public constructor(arg0: java.io.Writer)
                    public close(): void
                    public getBoundary(): string
                    public startPart(arg0: string): void
                    public endPart(): void
                    public startPart(arg0: string, arg1: java.lang.String[]): void
                    public static class: java.lang.Class<any>
                }
                class PathWatcher$Config {
                    public static UNLIMITED_DEPTH: int
                    protected dir: java.nio.file.Path
                    protected recurseDepth: int
                    protected includes: java.util.List<java.nio.file.PathMatcher>
                    protected excludes: java.util.List<java.nio.file.PathMatcher>
                    protected excludeHidden: boolean
                    public constructor(arg0: java.nio.file.Path)
                    public addExclude(arg0: java.nio.file.PathMatcher | java.nio.file.PathMatcher$$Lambda): void
                    public addExclude(arg0: string): void
                    public addExcludeGlobRelative(arg0: string): void
                    public addExcludeHidden(): void
                    public addExcludes(arg0: java.util.List<java.lang.String>): void
                    public addInclude(arg0: java.nio.file.PathMatcher | java.nio.file.PathMatcher$$Lambda): void
                    public addInclude(arg0: string): void
                    public addIncludeGlobRelative(arg0: string): void
                    public addIncludes(arg0: java.util.List<java.lang.String>): void
                    public asSubConfig(arg0: java.nio.file.Path): org.eclipse.jetty.util.PathWatcher$Config
                    public getRecurseDepth(): int
                    public isRecurseDepthUnlimited(): boolean
                    public getPath(): java.nio.file.Path
                    public isExcluded(arg0: java.nio.file.Path): boolean
                    public isIncluded(arg0: java.nio.file.Path): boolean
                    public matches(arg0: java.nio.file.Path): boolean
                    public setRecurseDepth(arg0: int): void
                    public shouldRecurseDirectory(arg0: java.nio.file.Path): boolean
                    public toString(): string
                    public static class: java.lang.Class<any>
                }
                class PathWatcher$DepthLimitedFileVisitor extends java.nio.file.SimpleFileVisitor<java.nio.file.Path> {
                    public constructor(arg0: org.eclipse.jetty.util.PathWatcher, arg1: org.eclipse.jetty.util.PathWatcher$Config)
                    public preVisitDirectory(arg0: java.nio.file.Path, arg1: java.nio.file.attribute.BasicFileAttributes): java.nio.file.FileVisitResult
                    public visitFile(arg0: java.nio.file.Path, arg1: java.nio.file.attribute.BasicFileAttributes): java.nio.file.FileVisitResult
                    public visitFile(arg0: java.lang.Object, arg1: java.nio.file.attribute.BasicFileAttributes): java.nio.file.FileVisitResult
                    public preVisitDirectory(arg0: java.lang.Object, arg1: java.nio.file.attribute.BasicFileAttributes): java.nio.file.FileVisitResult
                    public static class: java.lang.Class<any>
                }
                interface PathWatcher$EventListListener extends java.util.EventListener {
                    onPathWatchEvents(arg0: java.util.List<org.eclipse.jetty.util.PathWatcher$PathWatchEvent>): void
                }
                interface PathWatcher$Listener extends java.util.EventListener {
                    onPathWatchEvent(arg0: org.eclipse.jetty.util.PathWatcher$PathWatchEvent): void
                }
                class PathWatcher$PathPendingEvents {
                    public constructor(arg0: java.nio.file.Path)
                    public constructor(arg0: java.nio.file.Path, arg1: org.eclipse.jetty.util.PathWatcher$PathWatchEvent)
                    public addEvent(arg0: org.eclipse.jetty.util.PathWatcher$PathWatchEvent): void
                    public getEvents(): java.util.List<org.eclipse.jetty.util.PathWatcher$PathWatchEvent>
                    public getTimestamp(): long
                    public isQuiet(arg0: long, arg1: long, arg2: java.util.concurrent.TimeUnit): boolean
                    public static class: java.lang.Class<any>
                }
                class PathWatcher$PathWatchEvent {
                    public constructor(arg0: java.nio.file.Path, arg1: org.eclipse.jetty.util.PathWatcher$PathWatchEventType)
                    public constructor(arg0: java.nio.file.Path, arg1: java.nio.file.WatchEvent<java.nio.file.Path>)
                    public equals(arg0: java.lang.Object): boolean
                    public getPath(): java.nio.file.Path
                    public getType(): org.eclipse.jetty.util.PathWatcher$PathWatchEventType
                    public incrementCount(arg0: int): void
                    public getCount(): int
                    public hashCode(): int
                    public toString(): string
                    public static class: java.lang.Class<any>
                }
                class PathWatcher$PathWatchEventType extends java.lang.Enum<org.eclipse.jetty.util.PathWatcher$PathWatchEventType> {
                    public static ADDED: org.eclipse.jetty.util.PathWatcher$PathWatchEventType
                    public static DELETED: org.eclipse.jetty.util.PathWatcher$PathWatchEventType
                    public static MODIFIED: org.eclipse.jetty.util.PathWatcher$PathWatchEventType
                    public static UNKNOWN: org.eclipse.jetty.util.PathWatcher$PathWatchEventType
                    public static values(): org.eclipse.jetty.util.PathWatcher$PathWatchEventType[]
                    public static valueOf(arg0: string): org.eclipse.jetty.util.PathWatcher$PathWatchEventType
                    public static class: java.lang.Class<any>
                }
                class PathWatcher extends org.eclipse.jetty.util.component.AbstractLifeCycle implements java.lang.Runnable {
                    protected static cast<T>(arg0: java.nio.file.WatchEvent<any>): java.nio.file.WatchEvent<T>
                    public constructor()
                    public watch(arg0: java.nio.file.Path): void
                    public watch(arg0: org.eclipse.jetty.util.PathWatcher$Config): void
                    protected prepareConfig(arg0: org.eclipse.jetty.util.PathWatcher$Config): void
                    public addListener(arg0: java.util.EventListener): void
                    protected doStart(): void
                    protected doStop(): void
                    public reset(): void
                    protected isNotifiable(): boolean
                    public getListeners(): java.util.Iterator<java.util.EventListener>
                    public getUpdateQuietTimeMillis(): long
                    protected notifyOnPathWatchEvents(arg0: java.util.List<org.eclipse.jetty.util.PathWatcher$PathWatchEvent>): void
                    protected register(arg0: java.nio.file.Path, arg1: org.eclipse.jetty.util.PathWatcher$Config): void
                    public removeListener(arg0: org.eclipse.jetty.util.PathWatcher$Listener): boolean
                    public run(): void
                    public addToPendingList(arg0: java.nio.file.Path, arg1: org.eclipse.jetty.util.PathWatcher$PathWatchEvent): void
                    public setNotifyExistingOnStart(arg0: boolean): void
                    public isNotifyExistingOnStart(): boolean
                    public setUpdateQuietTime(arg0: long, arg1: java.util.concurrent.TimeUnit): void
                    public toString(): string
                    public static class: java.lang.Class<any>
                }
                abstract class PatternMatcher {
                    public constructor()
                    public matched(arg0: java.net.URI): void
                    public match(arg0: java.util.regex.Pattern, arg1: java.net.URI[], arg2: boolean): void
                    public matchPatterns(arg0: java.util.regex.Pattern, arg1: java.net.URI[], arg2: boolean): void
                    public static class: java.lang.Class<any>
                }
                namespace preventers {
                    abstract class AbstractLeakPreventer extends org.eclipse.jetty.util.component.AbstractLifeCycle {
                        protected static LOG: org.eclipse.jetty.util.log.Logger
                        public constructor()
                        public prevent(arg0: java.lang.ClassLoader): void
                        protected doStart(): void
                        public static class: java.lang.Class<any>
                    }
                    class AppContextLeakPreventer extends org.eclipse.jetty.util.preventers.AbstractLeakPreventer {
                        public constructor()
                        public prevent(arg0: java.lang.ClassLoader): void
                        public static class: java.lang.Class<any>
                    }
                    class AWTLeakPreventer extends org.eclipse.jetty.util.preventers.AbstractLeakPreventer {
                        public constructor()
                        public prevent(arg0: java.lang.ClassLoader): void
                        public static class: java.lang.Class<any>
                    }
                    class DOMLeakPreventer extends org.eclipse.jetty.util.preventers.AbstractLeakPreventer {
                        public constructor()
                        public prevent(arg0: java.lang.ClassLoader): void
                        public static class: java.lang.Class<any>
                    }
                    class DriverManagerLeakPreventer extends org.eclipse.jetty.util.preventers.AbstractLeakPreventer {
                        public constructor()
                        public prevent(arg0: java.lang.ClassLoader): void
                        public static class: java.lang.Class<any>
                    }
                    class GCThreadLeakPreventer extends org.eclipse.jetty.util.preventers.AbstractLeakPreventer {
                        public constructor()
                        public prevent(arg0: java.lang.ClassLoader): void
                        public static class: java.lang.Class<any>
                    }
                    class Java2DLeakPreventer extends org.eclipse.jetty.util.preventers.AbstractLeakPreventer {
                        public constructor()
                        public prevent(arg0: java.lang.ClassLoader): void
                        public static class: java.lang.Class<any>
                    }
                    class LDAPLeakPreventer extends org.eclipse.jetty.util.preventers.AbstractLeakPreventer {
                        public constructor()
                        public prevent(arg0: java.lang.ClassLoader): void
                        public static class: java.lang.Class<any>
                    }
                    class LoginConfigurationLeakPreventer extends org.eclipse.jetty.util.preventers.AbstractLeakPreventer {
                        public constructor()
                        public prevent(arg0: java.lang.ClassLoader): void
                        public static class: java.lang.Class<any>
                    }
                    class SecurityProviderLeakPreventer extends org.eclipse.jetty.util.preventers.AbstractLeakPreventer {
                        public constructor()
                        public prevent(arg0: java.lang.ClassLoader): void
                        public static class: java.lang.Class<any>
                    }
                    
                }
                class Promise$Adapter<C> implements org.eclipse.jetty.util.Promise<C> {
                    public constructor()
                    public succeeded(arg0: C): void
                    public failed(arg0: java.lang.Throwable): void
                    public static class: java.lang.Class<any>
                }
                interface Promise<C> {
                    succeeded(arg0: C): void
                    failed(arg0: java.lang.Throwable): void
                }
                class QuotedStringTokenizer extends java.util.StringTokenizer {
                    public constructor(arg0: string, arg1: string, arg2: boolean, arg3: boolean)
                    public constructor(arg0: string, arg1: string, arg2: boolean)
                    public constructor(arg0: string, arg1: string)
                    public constructor(arg0: string)
                    public hasMoreTokens(): boolean
                    public nextToken(): string
                    public nextToken(arg0: string): string
                    public hasMoreElements(): boolean
                    public nextElement(): java.lang.Object
                    public countTokens(): int
                    public static quoteIfNeeded(arg0: string, arg1: string): string
                    public static quote(arg0: string): string
                    public static quoteOnly(arg0: java.lang.Appendable, arg1: string): void
                    public static quote(arg0: java.lang.Appendable, arg1: string): void
                    public static unquoteOnly(arg0: string): string
                    public static unquoteOnly(arg0: string, arg1: boolean): string
                    public static unquote(arg0: string): string
                    public static unquote(arg0: string, arg1: boolean): string
                    public static isQuoted(arg0: string): boolean
                    public getDouble(): boolean
                    public setDouble(arg0: boolean): void
                    public getSingle(): boolean
                    public setSingle(arg0: boolean): void
                    public static class: java.lang.Class<any>
                }
                class ReadLineInputStream extends java.io.BufferedInputStream {
                    public constructor(arg0: java.io.InputStream)
                    public constructor(arg0: java.io.InputStream, arg1: int)
                    public readLine(): string
                    public read(): int
                    public read(arg0: byte[], arg1: int, arg2: int): int
                    public static class: java.lang.Class<any>
                }
                class RegexSet extends java.util.AbstractSet<java.lang.String> {
                    public static MATCHER: java.util.function$.BiFunction<org.eclipse.jetty.util.RegexSet, java.lang.String, java.lang.Boolean>
                    public constructor()
                    public iterator(): java.util.Iterator<java.lang.String>
                    public size(): int
                    public add(arg0: string): boolean
                    public remove(arg0: java.lang.Object): boolean
                    public isEmpty(): boolean
                    public clear(): void
                    public matches(arg0: string): boolean
                    public add(arg0: java.lang.Object): boolean
                    public static class: java.lang.Class<any>
                }
                namespace resource {
                    class BadResource extends org.eclipse.jetty.util.resource.URLResource {
                        public exists(): boolean
                        public lastModified(): long
                        public isDirectory(): boolean
                        public length(): long
                        public getFile(): java.io.File
                        public getInputStream(): java.io.InputStream
                        public delete(): boolean
                        public renameTo(arg0: org.eclipse.jetty.util.resource.Resource): boolean
                        public list(): java.lang.String[]
                        public copyTo(arg0: java.io.File): void
                        public toString(): string
                        public static class: java.lang.Class<any>
                    }
                    class EmptyResource extends org.eclipse.jetty.util.resource.Resource {
                        public static INSTANCE: org.eclipse.jetty.util.resource.Resource
                        public isContainedIn(arg0: org.eclipse.jetty.util.resource.Resource): boolean
                        public close(): void
                        public exists(): boolean
                        public isDirectory(): boolean
                        public lastModified(): long
                        public length(): long
                        public getURL(): java.net.URL
                        public getFile(): java.io.File
                        public getName(): string
                        public getInputStream(): java.io.InputStream
                        public getReadableByteChannel(): java.nio.channels.ReadableByteChannel
                        public delete(): boolean
                        public renameTo(arg0: org.eclipse.jetty.util.resource.Resource): boolean
                        public list(): java.lang.String[]
                        public addPath(arg0: string): org.eclipse.jetty.util.resource.Resource
                        public static class: java.lang.Class<any>
                    }
                    class FileResource$1 extends java.net.MalformedURLException {
                        public static class: java.lang.Class<any>
                    }
                    class FileResource extends org.eclipse.jetty.util.resource.Resource {
                        public constructor(arg0: java.net.URL)
                        public constructor(arg0: java.net.URI)
                        public constructor(arg0: java.io.File)
                        public addPath(arg0: string): org.eclipse.jetty.util.resource.Resource
                        public getAlias(): java.net.URI
                        public exists(): boolean
                        public lastModified(): long
                        public isDirectory(): boolean
                        public length(): long
                        public getName(): string
                        public getFile(): java.io.File
                        public getInputStream(): java.io.InputStream
                        public getReadableByteChannel(): java.nio.channels.ReadableByteChannel
                        public delete(): boolean
                        public renameTo(arg0: org.eclipse.jetty.util.resource.Resource): boolean
                        public list(): java.lang.String[]
                        public equals(arg0: java.lang.Object): boolean
                        public hashCode(): int
                        public copyTo(arg0: java.io.File): void
                        public isContainedIn(arg0: org.eclipse.jetty.util.resource.Resource): boolean
                        public close(): void
                        public getURL(): java.net.URL
                        public getURI(): java.net.URI
                        public toString(): string
                        public static class: java.lang.Class<any>
                    }
                    class JarFileResource extends org.eclipse.jetty.util.resource.JarResource {
                        protected constructor(arg0: java.net.URL)
                        protected constructor(arg0: java.net.URL, arg1: boolean)
                        public close(): void
                        protected checkConnection(): boolean
                        protected newConnection(): void
                        public exists(): boolean
                        public isDirectory(): boolean
                        public lastModified(): long
                        public list(): java.lang.String[]
                        public length(): long
                        public static getNonCachingResource(arg0: org.eclipse.jetty.util.resource.Resource): org.eclipse.jetty.util.resource.Resource
                        public isContainedIn(arg0: org.eclipse.jetty.util.resource.Resource): boolean
                        public static class: java.lang.Class<any>
                    }
                    class JarResource$1 extends java.io.FilterInputStream {
                        public close(): void
                        public static class: java.lang.Class<any>
                    }
                    class JarResource extends org.eclipse.jetty.util.resource.URLResource {
                        protected _jarConnection: java.net.JarURLConnection
                        protected constructor(arg0: java.net.URL)
                        protected constructor(arg0: java.net.URL, arg1: boolean)
                        public close(): void
                        protected checkConnection(): boolean
                        protected newConnection(): void
                        public exists(): boolean
                        public getFile(): java.io.File
                        public getInputStream(): java.io.InputStream
                        public copyTo(arg0: java.io.File): void
                        public static newJarResource(arg0: org.eclipse.jetty.util.resource.Resource): org.eclipse.jetty.util.resource.Resource
                        public static class: java.lang.Class<any>
                    }
                    class PathResource extends org.eclipse.jetty.util.resource.Resource {
                        public constructor(arg0: java.io.File)
                        public constructor(arg0: java.nio.file.Path)
                        public constructor(arg0: java.net.URI)
                        public constructor(arg0: java.net.URL)
                        public addPath(arg0: string): org.eclipse.jetty.util.resource.Resource
                        public close(): void
                        public delete(): boolean
                        public equals(arg0: java.lang.Object): boolean
                        public exists(): boolean
                        public getFile(): java.io.File
                        public getPath(): java.nio.file.Path
                        public getInputStream(): java.io.InputStream
                        public getName(): string
                        public getReadableByteChannel(): java.nio.channels.ReadableByteChannel
                        public getURI(): java.net.URI
                        public getURL(): java.net.URL
                        public hashCode(): int
                        public isContainedIn(arg0: org.eclipse.jetty.util.resource.Resource): boolean
                        public isDirectory(): boolean
                        public lastModified(): long
                        public length(): long
                        public isAlias(): boolean
                        public getAliasPath(): java.nio.file.Path
                        public getAlias(): java.net.URI
                        public list(): java.lang.String[]
                        public renameTo(arg0: org.eclipse.jetty.util.resource.Resource): boolean
                        public copyTo(arg0: java.io.File): void
                        public toString(): string
                        public static class: java.lang.Class<any>
                    }
                    abstract class Resource implements org.eclipse.jetty.util.resource.ResourceFactory , java.io.Closeable {
                        public static __defaultUseCaches: boolean
                        public constructor()
                        public static setDefaultUseCaches(arg0: boolean): void
                        public static getDefaultUseCaches(): boolean
                        public static newResource(arg0: java.net.URI): org.eclipse.jetty.util.resource.Resource
                        public static newResource(arg0: java.net.URL): org.eclipse.jetty.util.resource.Resource
                        public static newResource(arg0: string): org.eclipse.jetty.util.resource.Resource
                        public static newResource(arg0: string, arg1: boolean): org.eclipse.jetty.util.resource.Resource
                        public static newResource(arg0: java.io.File): org.eclipse.jetty.util.resource.Resource
                        public static newSystemResource(arg0: string): org.eclipse.jetty.util.resource.Resource
                        public static newClassPathResource(arg0: string): org.eclipse.jetty.util.resource.Resource
                        public static newClassPathResource(arg0: string, arg1: boolean, arg2: boolean): org.eclipse.jetty.util.resource.Resource
                        public static isContainedIn(arg0: org.eclipse.jetty.util.resource.Resource, arg1: org.eclipse.jetty.util.resource.Resource): boolean
                        protected finalize(): void
                        public isContainedIn(arg0: org.eclipse.jetty.util.resource.Resource): boolean
                        public release(): void
                        public close(): void
                        public exists(): boolean
                        public isDirectory(): boolean
                        public lastModified(): long
                        public length(): long
                        public getURL(): java.net.URL
                        public getURI(): java.net.URI
                        public getFile(): java.io.File
                        public getName(): string
                        public getInputStream(): java.io.InputStream
                        public getReadableByteChannel(): java.nio.channels.ReadableByteChannel
                        public delete(): boolean
                        public renameTo(arg0: org.eclipse.jetty.util.resource.Resource): boolean
                        public list(): java.lang.String[]
                        public addPath(arg0: string): org.eclipse.jetty.util.resource.Resource
                        public getResource(arg0: string): org.eclipse.jetty.util.resource.Resource
                        public encode(arg0: string): string
                        public getAssociate(): java.lang.Object
                        public setAssociate(arg0: java.lang.Object): void
                        public isAlias(): boolean
                        public getAlias(): java.net.URI
                        public getListHTML(arg0: string, arg1: boolean): string
                        public writeTo(arg0: java.io.OutputStream, arg1: long, arg2: long): void
                        public copyTo(arg0: java.io.File): void
                        public getWeakETag(): string
                        public getWeakETag(arg0: string): string
                        public getAllResources(): java.util.Collection<org.eclipse.jetty.util.resource.Resource>
                        public static toURL(arg0: java.io.File): java.net.URL
                        public static class: java.lang.Class<any>
                    }
                    class ResourceCollection extends org.eclipse.jetty.util.resource.Resource {
                        public constructor()
                        public constructor(...arg0: org.eclipse.jetty.util.resource.Resource[])
                        public constructor(arg0: java.lang.String[])
                        public constructor(arg0: string)
                        public getResources(): org.eclipse.jetty.util.resource.Resource[]
                        public setResources(arg0: org.eclipse.jetty.util.resource.Resource[]): void
                        public setResourcesAsCSV(arg0: string): void
                        public addPath(arg0: string): org.eclipse.jetty.util.resource.Resource
                        protected findResource(arg0: string): java.lang.Object
                        public delete(): boolean
                        public exists(): boolean
                        public getFile(): java.io.File
                        public getInputStream(): java.io.InputStream
                        public getReadableByteChannel(): java.nio.channels.ReadableByteChannel
                        public getName(): string
                        public getURL(): java.net.URL
                        public isDirectory(): boolean
                        public lastModified(): long
                        public length(): long
                        public list(): java.lang.String[]
                        public close(): void
                        public renameTo(arg0: org.eclipse.jetty.util.resource.Resource): boolean
                        public copyTo(arg0: java.io.File): void
                        public toString(): string
                        public isContainedIn(arg0: org.eclipse.jetty.util.resource.Resource): boolean
                        public static class: java.lang.Class<any>
                    }
                    interface ResourceFactory {
                        getResource(arg0: string): org.eclipse.jetty.util.resource.Resource
                    }
                    
                    interface ResourceFactory$$Lambda {
                        (arg0: string): org.eclipse.jetty.util.resource.Resource
                    }
                    class URLResource extends org.eclipse.jetty.util.resource.Resource {
                        protected _url: java.net.URL
                        protected _urlString: string
                        protected _connection: java.net.URLConnection
                        protected _in: java.io.InputStream
                        protected constructor(arg0: java.net.URL, arg1: java.net.URLConnection)
                        protected constructor(arg0: java.net.URL, arg1: java.net.URLConnection, arg2: boolean)
                        protected checkConnection(): boolean
                        public close(): void
                        public exists(): boolean
                        public isDirectory(): boolean
                        public lastModified(): long
                        public length(): long
                        public getURL(): java.net.URL
                        public getFile(): java.io.File
                        public getName(): string
                        public getInputStream(): java.io.InputStream
                        protected getInputStream(arg0: boolean): java.io.InputStream
                        public getReadableByteChannel(): java.nio.channels.ReadableByteChannel
                        public delete(): boolean
                        public renameTo(arg0: org.eclipse.jetty.util.resource.Resource): boolean
                        public list(): java.lang.String[]
                        public addPath(arg0: string): org.eclipse.jetty.util.resource.Resource
                        public toString(): string
                        public hashCode(): int
                        public equals(arg0: java.lang.Object): boolean
                        public getUseCaches(): boolean
                        public isContainedIn(arg0: org.eclipse.jetty.util.resource.Resource): boolean
                        public static class: java.lang.Class<any>
                    }
                    
                }
                class RolloverFileOutputStream$1 {
                    public static class: java.lang.Class<any>
                }
                class RolloverFileOutputStream$RollTask extends java.util.TimerTask {
                    public run(): void
                    public static class: java.lang.Class<any>
                }
                class RolloverFileOutputStream extends java.io.FilterOutputStream {
                    public constructor(arg0: string)
                    public constructor(arg0: string, arg1: boolean)
                    public constructor(arg0: string, arg1: boolean, arg2: int)
                    public constructor(arg0: string, arg1: boolean, arg2: int, arg3: java.util.TimeZone)
                    public constructor(arg0: string, arg1: boolean, arg2: int, arg3: java.util.TimeZone, arg4: string, arg5: string)
                    public getFilename(): string
                    public getDatedFilename(): string
                    public getRetainDays(): int
                    public write(arg0: byte[]): void
                    public write(arg0: byte[], arg1: int, arg2: int): void
                    public close(): void
                    public static class: java.lang.Class<any>
                }
                class Scanner$1 extends java.util.TimerTask {
                    public run(): void
                    public static class: java.lang.Class<any>
                }
                class Scanner$2 {
                    public static class: java.lang.Class<any>
                }
                interface Scanner$BulkListener extends org.eclipse.jetty.util.Scanner$Listener {
                    filesChanged(arg0: java.util.List<java.lang.String>): void
                }
                interface Scanner$DiscreteListener extends org.eclipse.jetty.util.Scanner$Listener {
                    fileChanged(arg0: string): void
                    fileAdded(arg0: string): void
                    fileRemoved(arg0: string): void
                }
                interface Scanner$Listener {
                }
                class Scanner$Notification extends java.lang.Enum<org.eclipse.jetty.util.Scanner$Notification> {
                    public static ADDED: org.eclipse.jetty.util.Scanner$Notification
                    public static CHANGED: org.eclipse.jetty.util.Scanner$Notification
                    public static REMOVED: org.eclipse.jetty.util.Scanner$Notification
                    public static values(): org.eclipse.jetty.util.Scanner$Notification[]
                    public static valueOf(arg0: string): org.eclipse.jetty.util.Scanner$Notification
                    public static class: java.lang.Class<any>
                }
                interface Scanner$ScanCycleListener extends org.eclipse.jetty.util.Scanner$Listener {
                    scanStarted(arg0: int): void
                    scanEnded(arg0: int): void
                }
                interface Scanner$ScanListener extends org.eclipse.jetty.util.Scanner$Listener {
                    scan(): void
                }
                class Scanner$TimeNSize {
                    public constructor(arg0: long, arg1: long)
                    public hashCode(): int
                    public equals(arg0: java.lang.Object): boolean
                    public toString(): string
                    public static class: java.lang.Class<any>
                }
                class Scanner extends org.eclipse.jetty.util.component.AbstractLifeCycle {
                    public constructor()
                    public getScanInterval(): int
                    public setScanInterval(arg0: int): void
                    public setScanDirs(arg0: java.util.List<java.io.File>): void
                    public addScanDir(arg0: java.io.File): void
                    public getScanDirs(): java.util.List<java.io.File>
                    public setRecursive(arg0: boolean): void
                    public getRecursive(): boolean
                    public getScanDepth(): int
                    public setScanDepth(arg0: int): void
                    public setFilenameFilter(arg0: java.io.FilenameFilter | java.io.FilenameFilter$$Lambda): void
                    public getFilenameFilter(): java.io.FilenameFilter
                    public setReportExistingFilesOnStartup(arg0: boolean): void
                    public getReportExistingFilesOnStartup(): boolean
                    public setReportDirs(arg0: boolean): void
                    public getReportDirs(): boolean
                    public addListener(arg0: org.eclipse.jetty.util.Scanner$Listener): void
                    public removeListener(arg0: org.eclipse.jetty.util.Scanner$Listener): void
                    public doStart(): void
                    public newTimerTask(): java.util.TimerTask
                    public newTimer(): java.util.Timer
                    public schedule(): void
                    public doStop(): void
                    public exists(arg0: string): boolean
                    public scan(): void
                    public scanFiles(): void
                    public reportDifferences(arg0: java.util.Map<java.lang.String, org.eclipse.jetty.util.Scanner$TimeNSize>, arg1: java.util.Map<java.lang.String, org.eclipse.jetty.util.Scanner$TimeNSize>): void
                    public static class: java.lang.Class<any>
                }
                namespace security {
                    class CertificateUtils {
                        public constructor()
                        public static getKeyStore(arg0: org.eclipse.jetty.util.resource.Resource, arg1: string, arg2: string, arg3: string): java.security.KeyStore
                        public static loadCRL(arg0: string): java.util.Collection<java.security.cert.CRL>
                        public static class: java.lang.Class<any>
                    }
                    class CertificateValidator {
                        public constructor(arg0: java.security.KeyStore, arg1: java.util.Collection<java.security.cert.CRL>)
                        public validate(arg0: java.security.KeyStore): void
                        public validate(arg0: java.security.KeyStore, arg1: string): string
                        public validate(arg0: java.security.KeyStore, arg1: java.security.cert.Certificate): void
                        public validate(arg0: java.security.cert.Certificate[]): void
                        public getTrustStore(): java.security.KeyStore
                        public getCrls(): java.util.Collection<java.security.cert.CRL>
                        public getMaxCertPathLength(): int
                        public setMaxCertPathLength(arg0: int): void
                        public isEnableCRLDP(): boolean
                        public setEnableCRLDP(arg0: boolean): void
                        public isEnableOCSP(): boolean
                        public setEnableOCSP(arg0: boolean): void
                        public getOcspResponderURL(): string
                        public setOcspResponderURL(arg0: string): void
                        public static class: java.lang.Class<any>
                    }
                    class Constraint implements java.lang.Cloneable , java.io.Serializable {
                        public static __BASIC_AUTH: string
                        public static __FORM_AUTH: string
                        public static __DIGEST_AUTH: string
                        public static __CERT_AUTH: string
                        public static __CERT_AUTH2: string
                        public static __SPNEGO_AUTH: string
                        public static __NEGOTIATE_AUTH: string
                        public static DC_UNSET: int
                        public static DC_NONE: int
                        public static DC_INTEGRAL: int
                        public static DC_CONFIDENTIAL: int
                        public static DC_FORBIDDEN: int
                        public static NONE: string
                        public static ANY_ROLE: string
                        public static ANY_AUTH: string
                        public static validateMethod(arg0: string): boolean
                        public constructor()
                        public constructor(arg0: string, arg1: string)
                        public clone(): java.lang.Object
                        public setName(arg0: string): void
                        public getName(): string
                        public setRoles(arg0: java.lang.String[]): void
                        public isAnyRole(): boolean
                        public isAnyAuth(): boolean
                        public getRoles(): java.lang.String[]
                        public hasRole(arg0: string): boolean
                        public setAuthenticate(arg0: boolean): void
                        public getAuthenticate(): boolean
                        public isForbidden(): boolean
                        public setDataConstraint(arg0: int): void
                        public getDataConstraint(): int
                        public hasDataConstraint(): boolean
                        public toString(): string
                        public static class: java.lang.Class<any>
                    }
                    class Credential$Crypt extends org.eclipse.jetty.util.security.Credential {
                        public static __TYPE: string
                        public check(arg0: java.lang.Object): boolean
                        public static crypt(arg0: string, arg1: string): string
                        public static class: java.lang.Class<any>
                    }
                    class Credential$MD5 extends org.eclipse.jetty.util.security.Credential {
                        public static __TYPE: string
                        public static __md5Lock: java.lang.Object
                        public getDigest(): byte[]
                        public check(arg0: java.lang.Object): boolean
                        public static digest(arg0: string): string
                        public static class: java.lang.Class<any>
                    }
                    abstract class Credential implements java.io.Serializable {
                        public constructor()
                        public check(arg0: java.lang.Object): boolean
                        public static getCredential(arg0: string): org.eclipse.jetty.util.security.Credential
                        public static class: java.lang.Class<any>
                    }
                    class Password extends org.eclipse.jetty.util.security.Credential {
                        public static __OBFUSCATE: string
                        public constructor(arg0: string)
                        public toString(): string
                        public toStarString(): string
                        public check(arg0: java.lang.Object): boolean
                        public equals(arg0: java.lang.Object): boolean
                        public hashCode(): int
                        public static obfuscate(arg0: string): string
                        public static deobfuscate(arg0: string): string
                        public static getPassword(arg0: string, arg1: string, arg2: string): org.eclipse.jetty.util.security.Password
                        public static main(arg0: java.lang.String[]): void
                        public static class: java.lang.Class<any>
                    }
                    class UnixCrypt {
                        public static crypt(arg0: string, arg1: string): string
                        public static main(arg0: java.lang.String[]): void
                        public static class: java.lang.Class<any>
                    }
                    
                }
                class SharedBlockingCallback$1 extends java.lang.Throwable {
                    public toString(): string
                    public static class: java.lang.Class<any>
                }
                class SharedBlockingCallback$2 extends java.lang.Throwable {
                    public toString(): string
                    public static class: java.lang.Class<any>
                }
                class SharedBlockingCallback$3 extends java.lang.Throwable {
                    public toString(): string
                    public static class: java.lang.Class<any>
                }
                class SharedBlockingCallback$Blocker implements org.eclipse.jetty.util.Callback$NonBlocking , java.io.Closeable {
                    protected constructor(arg0: org.eclipse.jetty.util.SharedBlockingCallback)
                    public succeeded(): void
                    public failed(arg0: java.lang.Throwable): void
                    public block(): void
                    public close(): void
                    public toString(): string
                    public static class: java.lang.Class<any>
                }
                class SharedBlockingCallback$BlockerTimeoutException extends java.util.concurrent.TimeoutException {
                    public static class: java.lang.Class<any>
                }
                class SharedBlockingCallback {
                    public constructor()
                    protected getIdleTimeout(): long
                    public acquire(): org.eclipse.jetty.util.SharedBlockingCallback$Blocker
                    protected notComplete(arg0: org.eclipse.jetty.util.SharedBlockingCallback$Blocker): void
                    public static class: java.lang.Class<any>
                }
                class SocketAddressResolver$Async implements org.eclipse.jetty.util.SocketAddressResolver {
                    public constructor(arg0: java.util.concurrent.Executor | java.util.concurrent.Executor$$Lambda, arg1: org.eclipse.jetty.util.thread.Scheduler, arg2: long)
                    public getExecutor(): java.util.concurrent.Executor
                    public getScheduler(): org.eclipse.jetty.util.thread.Scheduler
                    public getTimeout(): long
                    public resolve(arg0: string, arg1: int, arg2: org.eclipse.jetty.util.Promise<java.util.List<java.net.InetSocketAddress>>): void
                    public static class: java.lang.Class<any>
                }
                class SocketAddressResolver$Sync implements org.eclipse.jetty.util.SocketAddressResolver {
                    public constructor()
                    public resolve(arg0: string, arg1: int, arg2: org.eclipse.jetty.util.Promise<java.util.List<java.net.InetSocketAddress>>): void
                    public static class: java.lang.Class<any>
                }
                interface SocketAddressResolver {
                    resolve(arg0: string, arg1: int, arg2: org.eclipse.jetty.util.Promise<java.util.List<java.net.InetSocketAddress>>): void
                }
                
                interface SocketAddressResolver$$Lambda {
                    (arg0: string, arg1: int, arg2: org.eclipse.jetty.util.Promise<java.util.List<java.net.InetSocketAddress>>): void
                }
                namespace ssl {
                    class AliasedX509ExtendedKeyManager extends javax.net.ssl.X509ExtendedKeyManager {
                        public constructor(arg0: javax.net.ssl.X509ExtendedKeyManager, arg1: string)
                        public getDelegate(): javax.net.ssl.X509ExtendedKeyManager
                        public chooseClientAlias(arg0: java.lang.String[], arg1: java.security.Principal[], arg2: java.net.Socket): string
                        public chooseServerAlias(arg0: string, arg1: java.security.Principal[], arg2: java.net.Socket): string
                        public getClientAliases(arg0: string, arg1: java.security.Principal[]): java.lang.String[]
                        public getServerAliases(arg0: string, arg1: java.security.Principal[]): java.lang.String[]
                        public getCertificateChain(arg0: string): java.security.cert.X509Certificate[]
                        public getPrivateKey(arg0: string): java.security.PrivateKey
                        public chooseEngineServerAlias(arg0: string, arg1: java.security.Principal[], arg2: javax.net.ssl.SSLEngine): string
                        public chooseEngineClientAlias(arg0: java.lang.String[], arg1: java.security.Principal[], arg2: javax.net.ssl.SSLEngine): string
                        public static class: java.lang.Class<any>
                    }
                    class SniX509ExtendedKeyManager extends javax.net.ssl.X509ExtendedKeyManager {
                        public static SNI_X509: string
                        public constructor(arg0: javax.net.ssl.X509ExtendedKeyManager)
                        public chooseClientAlias(arg0: java.lang.String[], arg1: java.security.Principal[], arg2: java.net.Socket): string
                        public chooseEngineClientAlias(arg0: java.lang.String[], arg1: java.security.Principal[], arg2: javax.net.ssl.SSLEngine): string
                        protected chooseServerAlias(arg0: string, arg1: java.security.Principal[], arg2: java.util.Collection<javax.net.ssl.SNIMatcher>, arg3: javax.net.ssl.SSLSession): string
                        public chooseServerAlias(arg0: string, arg1: java.security.Principal[], arg2: java.net.Socket): string
                        public chooseEngineServerAlias(arg0: string, arg1: java.security.Principal[], arg2: javax.net.ssl.SSLEngine): string
                        public getCertificateChain(arg0: string): java.security.cert.X509Certificate[]
                        public getClientAliases(arg0: string, arg1: java.security.Principal[]): java.lang.String[]
                        public getPrivateKey(arg0: string): java.security.PrivateKey
                        public getServerAliases(arg0: string, arg1: java.security.Principal[]): java.lang.String[]
                        public static class: java.lang.Class<any>
                    }
                    class SslContextFactory$1 implements javax.net.ssl.X509TrustManager {
                        public getAcceptedIssuers(): java.security.cert.X509Certificate[]
                        public checkClientTrusted(arg0: java.security.cert.X509Certificate[], arg1: string): void
                        public checkServerTrusted(arg0: java.security.cert.X509Certificate[], arg1: string): void
                        public static class: java.lang.Class<any>
                    }
                    class SslContextFactory$AliasSNIMatcher extends javax.net.ssl.SNIMatcher {
                        public matches(arg0: javax.net.ssl.SNIServerName): boolean
                        public getHost(): string
                        public getX509(): org.eclipse.jetty.util.ssl.X509
                        public static class: java.lang.Class<any>
                    }
                    class SslContextFactory$Factory {
                        public constructor(arg0: org.eclipse.jetty.util.ssl.SslContextFactory, arg1: java.security.KeyStore, arg2: java.security.KeyStore, arg3: javax.net.ssl.SSLContext)
                        public toString(): string
                        public static class: java.lang.Class<any>
                    }
                    class SslContextFactory extends org.eclipse.jetty.util.component.AbstractLifeCycle {
                        public static TRUST_ALL_CERTS: javax.net.ssl.TrustManager[]
                        public static DEFAULT_KEYMANAGERFACTORY_ALGORITHM: string
                        public static DEFAULT_TRUSTMANAGERFACTORY_ALGORITHM: string
                        public static KEYPASSWORD_PROPERTY: string
                        public static PASSWORD_PROPERTY: string
                        protected _factory: org.eclipse.jetty.util.ssl.SslContextFactory$Factory
                        public constructor()
                        public constructor(arg0: boolean)
                        public constructor(arg0: string)
                        public getSelectedProtocols(): java.lang.String[]
                        public getSelectedCipherSuites(): java.lang.String[]
                        public getCipherComparator(): java.util.Comparator<java.lang.String>
                        public setCipherComparator(arg0: java.util.Comparator<java.lang.String>): void
                        public getAliases(): java.util.Set<java.lang.String>
                        public getX509(arg0: string): org.eclipse.jetty.util.ssl.X509
                        protected doStart(): void
                        protected doStop(): void
                        public getExcludeProtocols(): java.lang.String[]
                        public setExcludeProtocols(...arg0: java.lang.String[]): void
                        public addExcludeProtocols(...arg0: java.lang.String[]): void
                        public getIncludeProtocols(): java.lang.String[]
                        public setIncludeProtocols(...arg0: java.lang.String[]): void
                        public getExcludeCipherSuites(): java.lang.String[]
                        public setExcludeCipherSuites(...arg0: java.lang.String[]): void
                        public addExcludeCipherSuites(...arg0: java.lang.String[]): void
                        public getIncludeCipherSuites(): java.lang.String[]
                        public setIncludeCipherSuites(...arg0: java.lang.String[]): void
                        public isUseCipherSuitesOrder(): boolean
                        public setUseCipherSuitesOrder(arg0: boolean): void
                        public getKeyStorePath(): string
                        public setKeyStorePath(arg0: string): void
                        public getKeyStoreProvider(): string
                        public setKeyStoreProvider(arg0: string): void
                        public getKeyStoreType(): string
                        public setKeyStoreType(arg0: string): void
                        public getCertAlias(): string
                        public setCertAlias(arg0: string): void
                        public setTrustStorePath(arg0: string): void
                        public getTrustStoreProvider(): string
                        public setTrustStoreProvider(arg0: string): void
                        public getTrustStoreType(): string
                        public setTrustStoreType(arg0: string): void
                        public getNeedClientAuth(): boolean
                        public setNeedClientAuth(arg0: boolean): void
                        public getWantClientAuth(): boolean
                        public setWantClientAuth(arg0: boolean): void
                        public isValidateCerts(): boolean
                        public setValidateCerts(arg0: boolean): void
                        public isValidatePeerCerts(): boolean
                        public setValidatePeerCerts(arg0: boolean): void
                        public setKeyStorePassword(arg0: string): void
                        public setKeyManagerPassword(arg0: string): void
                        public setTrustStorePassword(arg0: string): void
                        public getProvider(): string
                        public setProvider(arg0: string): void
                        public getProtocol(): string
                        public setProtocol(arg0: string): void
                        public getSecureRandomAlgorithm(): string
                        public setSecureRandomAlgorithm(arg0: string): void
                        public getSslKeyManagerFactoryAlgorithm(): string
                        public setSslKeyManagerFactoryAlgorithm(arg0: string): void
                        public getTrustManagerFactoryAlgorithm(): string
                        public isTrustAll(): boolean
                        public setTrustAll(arg0: boolean): void
                        public setTrustManagerFactoryAlgorithm(arg0: string): void
                        public isRenegotiationAllowed(): boolean
                        public setRenegotiationAllowed(arg0: boolean): void
                        public getCrlPath(): string
                        public setCrlPath(arg0: string): void
                        public getMaxCertPathLength(): int
                        public setMaxCertPathLength(arg0: int): void
                        public getSslContext(): javax.net.ssl.SSLContext
                        public setSslContext(arg0: javax.net.ssl.SSLContext): void
                        public setEndpointIdentificationAlgorithm(arg0: string): void
                        protected loadKeyStore(arg0: org.eclipse.jetty.util.resource.Resource): java.security.KeyStore
                        protected loadTrustStore(arg0: org.eclipse.jetty.util.resource.Resource): java.security.KeyStore
                        protected loadCRL(arg0: string): java.util.Collection<java.security.cert.CRL>
                        protected getKeyManagers(arg0: java.security.KeyStore): javax.net.ssl.KeyManager[]
                        protected getTrustManagers(arg0: java.security.KeyStore, arg1: java.util.Collection<java.security.cert.CRL>): javax.net.ssl.TrustManager[]
                        public selectProtocols(arg0: java.lang.String[], arg1: java.lang.String[]): void
                        protected selectCipherSuites(arg0: java.lang.String[], arg1: java.lang.String[]): void
                        protected processIncludeCipherSuites(arg0: java.lang.String[], arg1: java.util.List<java.lang.String>): void
                        protected removeExcludedCipherSuites(arg0: java.util.List<java.lang.String>): void
                        protected checkNotStarted(): void
                        protected checkIsStarted(): void
                        protected checkIsRunning(): void
                        public isEnableCRLDP(): boolean
                        public setEnableCRLDP(arg0: boolean): void
                        public isEnableOCSP(): boolean
                        public setEnableOCSP(arg0: boolean): void
                        public getOcspResponderURL(): string
                        public setOcspResponderURL(arg0: string): void
                        public setKeyStore(arg0: java.security.KeyStore): void
                        public getKeyStore(): java.security.KeyStore
                        public setTrustStore(arg0: java.security.KeyStore): void
                        public getTrustStore(): java.security.KeyStore
                        public setKeyStoreResource(arg0: org.eclipse.jetty.util.resource.Resource): void
                        public getKeyStoreResource(): org.eclipse.jetty.util.resource.Resource
                        public setTrustStoreResource(arg0: org.eclipse.jetty.util.resource.Resource): void
                        public getTrustStoreResource(): org.eclipse.jetty.util.resource.Resource
                        public isSessionCachingEnabled(): boolean
                        public setSessionCachingEnabled(arg0: boolean): void
                        public getSslSessionCacheSize(): int
                        public setSslSessionCacheSize(arg0: int): void
                        public getSslSessionTimeout(): int
                        public setSslSessionTimeout(arg0: int): void
                        public newSslServerSocket(arg0: string, arg1: int, arg2: int): javax.net.ssl.SSLServerSocket
                        public newSslSocket(): javax.net.ssl.SSLSocket
                        public newSSLEngine(): javax.net.ssl.SSLEngine
                        public newSSLEngine(arg0: string, arg1: int): javax.net.ssl.SSLEngine
                        public newSSLEngine(arg0: java.net.InetSocketAddress): javax.net.ssl.SSLEngine
                        public customize(arg0: javax.net.ssl.SSLEngine): void
                        public static getCertChain(arg0: javax.net.ssl.SSLSession): java.security.cert.X509Certificate[]
                        public static deduceKeyLength(arg0: string): int
                        public toString(): string
                        public static class: java.lang.Class<any>
                    }
                    class X509 {
                        public static isCertSign(arg0: java.security.cert.X509Certificate): boolean
                        public constructor(arg0: string, arg1: java.security.cert.X509Certificate)
                        protected addName(arg0: string): void
                        public getAlias(): string
                        public getCertificate(): java.security.cert.X509Certificate
                        public getHosts(): java.util.Set<java.lang.String>
                        public getWilds(): java.util.Set<java.lang.String>
                        public matches(arg0: string): boolean
                        public toString(): string
                        public static class: java.lang.Class<any>
                    }
                    
                }
                namespace statistic {
                    class CounterStatistic {
                        protected _max: java.util.concurrent.atomic.AtomicLong
                        protected _curr: java.util.concurrent.atomic.AtomicLong
                        protected _total: java.util.concurrent.atomic.AtomicLong
                        public constructor()
                        public reset(): void
                        public reset(arg0: long): void
                        public add(arg0: long): long
                        public increment(): long
                        public decrement(): long
                        public getMax(): long
                        public getCurrent(): long
                        public getTotal(): long
                        public toString(): string
                        public static class: java.lang.Class<any>
                    }
                    class SampleStatistic {
                        protected _max: java.util.concurrent.atomic.AtomicLong
                        protected _total: java.util.concurrent.atomic.AtomicLong
                        protected _count: java.util.concurrent.atomic.AtomicLong
                        protected _totalVariance100: java.util.concurrent.atomic.AtomicLong
                        public constructor()
                        public reset(): void
                        public set(arg0: long): void
                        public getMax(): long
                        public getTotal(): long
                        public getCount(): long
                        public getMean(): double
                        public getVariance(): double
                        public getStdDev(): double
                        public toString(): string
                        public static class: java.lang.Class<any>
                    }
                    
                }
                class StringUtil$1 {
                    public static class: java.lang.Class<any>
                }
                class StringUtil$CsvSplitState extends java.lang.Enum<org.eclipse.jetty.util.StringUtil$CsvSplitState> {
                    public static PRE_DATA: org.eclipse.jetty.util.StringUtil$CsvSplitState
                    public static QUOTE: org.eclipse.jetty.util.StringUtil$CsvSplitState
                    public static SLOSH: org.eclipse.jetty.util.StringUtil$CsvSplitState
                    public static DATA: org.eclipse.jetty.util.StringUtil$CsvSplitState
                    public static WHITE: org.eclipse.jetty.util.StringUtil$CsvSplitState
                    public static POST_DATA: org.eclipse.jetty.util.StringUtil$CsvSplitState
                    public static values(): org.eclipse.jetty.util.StringUtil$CsvSplitState[]
                    public static valueOf(arg0: string): org.eclipse.jetty.util.StringUtil$CsvSplitState
                    public static class: java.lang.Class<any>
                }
                class StringUtil {
                    public static ALL_INTERFACES: string
                    public static CRLF: string
                    public static __LINE_SEPARATOR: string
                    public static __ISO_8859_1: string
                    public static __UTF8: string
                    public static __UTF16: string
                    public static lowercases: char[]
                    public constructor()
                    public static normalizeCharset(arg0: string): string
                    public static normalizeCharset(arg0: string, arg1: int, arg2: int): string
                    public static asciiToLowerCase(arg0: string): string
                    public static startsWithIgnoreCase(arg0: string, arg1: string): boolean
                    public static endsWithIgnoreCase(arg0: string, arg1: string): boolean
                    public static indexFrom(arg0: string, arg1: string): int
                    public static replace(arg0: string, arg1: string, arg2: string): string
                    public static unquote(arg0: string): string
                    public static append(arg0: java.lang.StringBuilder, arg1: string, arg2: int, arg3: int): void
                    public static append(arg0: java.lang.StringBuilder, arg1: byte, arg2: int): void
                    public static append2digits(arg0: java.lang.StringBuffer, arg1: int): void
                    public static append2digits(arg0: java.lang.StringBuilder, arg1: int): void
                    public static nonNull(arg0: string): string
                    public static equals(arg0: string, arg1: char[], arg2: int, arg3: int): boolean
                    public static toUTF8String(arg0: byte[], arg1: int, arg2: int): string
                    public static toString(arg0: byte[], arg1: int, arg2: int, arg3: string): string
                    public static isBlank(arg0: string): boolean
                    public static isNotBlank(arg0: string): boolean
                    public static isUTF8(arg0: string): boolean
                    public static printable(arg0: string): string
                    public static printable(arg0: byte[]): string
                    public static getBytes(arg0: string): byte[]
                    public static getUtf8Bytes(arg0: string): byte[]
                    public static getBytes(arg0: string, arg1: string): byte[]
                    public static sidBytesToString(arg0: byte[]): string
                    public static sidStringToBytes(arg0: string): byte[]
                    public static toInt(arg0: string, arg1: int): int
                    public static toLong(arg0: string): long
                    public static truncate(arg0: string, arg1: int): string
                    public static arrayFromString(arg0: string): java.lang.String[]
                    public static csvSplit(arg0: string): java.lang.String[]
                    public static csvSplit(arg0: string, arg1: int, arg2: int): java.lang.String[]
                    public static csvSplit(arg0: java.util.List<java.lang.String>, arg1: string, arg2: int, arg3: int): java.util.List<java.lang.String>
                    public static sanitizeXmlString(arg0: string): string
                    public static valueOf(arg0: java.lang.Object): string
                    public static class: java.lang.Class<any>
                }
                namespace thread {
                    class ExecutionStrategy$Factory {
                        public constructor()
                        public static instanceFor(arg0: org.eclipse.jetty.util.thread.ExecutionStrategy$Producer | org.eclipse.jetty.util.thread.ExecutionStrategy$Producer, arg1: java.util.concurrent.Executor | java.util.concurrent.Executor$$Lambda): org.eclipse.jetty.util.thread.ExecutionStrategy
                        public static class: java.lang.Class<any>
                    }
                    interface ExecutionStrategy$Producer {
                        produce(): java.lang.Runnable
                    }
                    
                    interface ExecutionStrategy$Producer$$Lambda {
                        (): java.lang.Runnable
                    }
                    interface ExecutionStrategy {
                        dispatch(): void
                        execute(): void
                    }
                    class ExecutorThreadPool extends org.eclipse.jetty.util.component.AbstractLifeCycle implements org.eclipse.jetty.util.thread.ThreadPool , org.eclipse.jetty.util.component.LifeCycle {
                        public constructor(arg0: java.util.concurrent.ExecutorService)
                        public constructor()
                        public constructor(arg0: int)
                        public constructor(arg0: int, arg1: int, arg2: long)
                        public constructor(arg0: int, arg1: int, arg2: long, arg3: java.util.concurrent.TimeUnit)
                        public constructor(arg0: int, arg1: int, arg2: long, arg3: java.util.concurrent.TimeUnit, arg4: java.util.concurrent.BlockingQueue<java.lang.Runnable>)
                        public execute(arg0: java.lang.Runnable | java.lang.Runnable$$Lambda): void
                        public dispatch(arg0: java.lang.Runnable | java.lang.Runnable$$Lambda): boolean
                        public getIdleThreads(): int
                        public getThreads(): int
                        public isLowOnThreads(): boolean
                        public join(): void
                        protected doStop(): void
                        public static class: java.lang.Class<any>
                    }
                    class Locker$Lock implements java.lang.AutoCloseable {
                        public constructor(arg0: org.eclipse.jetty.util.thread.Locker)
                        public close(): void
                        public static class: java.lang.Class<any>
                    }
                    class Locker {
                        public constructor()
                        public constructor(arg0: boolean)
                        public lock(): org.eclipse.jetty.util.thread.Locker$Lock
                        public isLocked(): boolean
                        public static class: java.lang.Class<any>
                    }
                    class QueuedThreadPool$1 implements java.lang.Runnable {
                        public run(): void
                        public static class: java.lang.Class<any>
                    }
                    class QueuedThreadPool$2 implements org.eclipse.jetty.util.component.Dumpable {
                        public dump(arg0: java.lang.Appendable, arg1: string): void
                        public dump(): string
                        public static class: java.lang.Class<any>
                    }
                    class QueuedThreadPool$3 implements java.lang.Runnable {
                        public run(): void
                        public static class: java.lang.Class<any>
                    }
                    class QueuedThreadPool extends org.eclipse.jetty.util.component.AbstractLifeCycle implements org.eclipse.jetty.util.thread.ThreadPool$SizedThreadPool , org.eclipse.jetty.util.component.Dumpable {
                        public constructor()
                        public constructor(arg0: int)
                        public constructor(arg0: int, arg1: int)
                        public constructor(arg0: int, arg1: int, arg2: int)
                        public constructor(arg0: int, arg1: int, arg2: int, arg3: java.util.concurrent.BlockingQueue<java.lang.Runnable>)
                        public constructor(arg0: int, arg1: int, arg2: int, arg3: java.util.concurrent.BlockingQueue<java.lang.Runnable>, arg4: java.lang.ThreadGroup)
                        protected doStart(): void
                        protected doStop(): void
                        public setDaemon(arg0: boolean): void
                        public setIdleTimeout(arg0: int): void
                        public setMaxThreads(arg0: int): void
                        public setMinThreads(arg0: int): void
                        public setName(arg0: string): void
                        public setThreadsPriority(arg0: int): void
                        public getIdleTimeout(): int
                        public getMaxThreads(): int
                        public getMinThreads(): int
                        public getName(): string
                        public getThreadsPriority(): int
                        public getQueueSize(): int
                        public isDaemon(): boolean
                        public isDetailedDump(): boolean
                        public setDetailedDump(arg0: boolean): void
                        public execute(arg0: java.lang.Runnable | java.lang.Runnable$$Lambda): void
                        public join(): void
                        public getThreads(): int
                        public getIdleThreads(): int
                        public getBusyThreads(): int
                        public isLowOnThreads(): boolean
                        protected newThread(arg0: java.lang.Runnable | java.lang.Runnable$$Lambda): java.lang.Thread
                        public dump(): string
                        public dump(arg0: java.lang.Appendable, arg1: string): void
                        public toString(): string
                        protected runJob(arg0: java.lang.Runnable | java.lang.Runnable$$Lambda): void
                        protected getQueue(): java.util.concurrent.BlockingQueue<java.lang.Runnable>
                        public setQueue(arg0: java.util.concurrent.BlockingQueue<java.lang.Runnable>): void
                        public interruptThread(arg0: long): boolean
                        public dumpThread(arg0: long): string
                        public static class: java.lang.Class<any>
                    }
                    class ScheduledExecutorScheduler$1 implements java.util.concurrent.ThreadFactory {
                        public newThread(arg0: java.lang.Runnable | java.lang.Runnable$$Lambda): java.lang.Thread
                        public static class: java.lang.Class<any>
                    }
                    class ScheduledExecutorScheduler$2 implements org.eclipse.jetty.util.thread.Scheduler$Task {
                        public cancel(): boolean
                        public static class: java.lang.Class<any>
                    }
                    class ScheduledExecutorScheduler$ScheduledFutureTask implements org.eclipse.jetty.util.thread.Scheduler$Task {
                        public cancel(): boolean
                        public static class: java.lang.Class<any>
                    }
                    class ScheduledExecutorScheduler extends org.eclipse.jetty.util.component.AbstractLifeCycle implements org.eclipse.jetty.util.thread.Scheduler , org.eclipse.jetty.util.component.Dumpable {
                        public constructor()
                        public constructor(arg0: string, arg1: boolean)
                        public constructor(arg0: string, arg1: boolean, arg2: java.lang.ClassLoader)
                        public constructor(arg0: string, arg1: boolean, arg2: java.lang.ClassLoader, arg3: java.lang.ThreadGroup)
                        protected doStart(): void
                        protected doStop(): void
                        public schedule(arg0: java.lang.Runnable | java.lang.Runnable$$Lambda, arg1: long, arg2: java.util.concurrent.TimeUnit): org.eclipse.jetty.util.thread.Scheduler$Task
                        public dump(): string
                        public dump(arg0: java.lang.Appendable, arg1: string): void
                        public static class: java.lang.Class<any>
                    }
                    interface Scheduler$Task {
                        cancel(): boolean
                    }
                    
                    interface Scheduler$Task$$Lambda {
                        (): boolean
                    }
                    interface Scheduler extends org.eclipse.jetty.util.component.LifeCycle {
                        schedule(arg0: java.lang.Runnable | java.lang.Runnable$$Lambda, arg1: long, arg2: java.util.concurrent.TimeUnit): org.eclipse.jetty.util.thread.Scheduler$Task
                    }
                    class ShutdownThread extends java.lang.Thread {
                        public static getInstance(): org.eclipse.jetty.util.thread.ShutdownThread
                        public static register(...arg0: org.eclipse.jetty.util.component.LifeCycle[]): void
                        public static register(arg0: int, ...arg1: org.eclipse.jetty.util.component.LifeCycle[]): void
                        public static deregister(arg0: org.eclipse.jetty.util.component.LifeCycle): void
                        public static isRegistered(arg0: org.eclipse.jetty.util.component.LifeCycle): boolean
                        public run(): void
                        public static class: java.lang.Class<any>
                    }
                    namespace strategy {
                        class ExecuteProduceConsume$1 {
                            public static class: java.lang.Class<any>
                        }
                        class ExecuteProduceConsume$RunExecute implements java.lang.Runnable {
                            public run(): void
                            public static class: java.lang.Class<any>
                        }
                        class ExecuteProduceConsume implements org.eclipse.jetty.util.thread.ExecutionStrategy , java.lang.Runnable {
                            public constructor(arg0: org.eclipse.jetty.util.thread.ExecutionStrategy$Producer | org.eclipse.jetty.util.thread.ExecutionStrategy$Producer, arg1: java.util.concurrent.Executor | java.util.concurrent.Executor$$Lambda)
                            public constructor(arg0: org.eclipse.jetty.util.thread.ExecutionStrategy$Producer | org.eclipse.jetty.util.thread.ExecutionStrategy$Producer, arg1: java.util.concurrent.Executor | java.util.concurrent.Executor$$Lambda, arg2: org.eclipse.jetty.util.thread.ExecutionStrategy)
                            public execute(): void
                            public dispatch(): void
                            public run(): void
                            public isIdle(): boolean
                            public toString(): string
                            public static class: java.lang.Class<any>
                        }
                        class ProduceConsume implements org.eclipse.jetty.util.thread.ExecutionStrategy , java.lang.Runnable {
                            public constructor(arg0: org.eclipse.jetty.util.thread.ExecutionStrategy$Producer | org.eclipse.jetty.util.thread.ExecutionStrategy$Producer, arg1: java.util.concurrent.Executor | java.util.concurrent.Executor$$Lambda)
                            public execute(): void
                            public dispatch(): void
                            public run(): void
                            public static class: java.lang.Class<any>
                        }
                        class ProduceExecuteConsume implements org.eclipse.jetty.util.thread.ExecutionStrategy {
                            public constructor(arg0: org.eclipse.jetty.util.thread.ExecutionStrategy$Producer | org.eclipse.jetty.util.thread.ExecutionStrategy$Producer, arg1: java.util.concurrent.Executor | java.util.concurrent.Executor$$Lambda)
                            public execute(): void
                            public dispatch(): void
                            public static class: java.lang.Class<any>
                        }
                        
                    }
                    interface Sweeper$Sweepable {
                        sweep(): boolean
                    }
                    
                    interface Sweeper$Sweepable$$Lambda {
                        (): boolean
                    }
                    class Sweeper extends org.eclipse.jetty.util.component.AbstractLifeCycle implements java.lang.Runnable {
                        public constructor(arg0: org.eclipse.jetty.util.thread.Scheduler, arg1: long)
                        protected doStart(): void
                        protected doStop(): void
                        public getSize(): int
                        public offer(arg0: org.eclipse.jetty.util.thread.Sweeper$Sweepable | org.eclipse.jetty.util.thread.Sweeper$Sweepable): boolean
                        public remove(arg0: org.eclipse.jetty.util.thread.Sweeper$Sweepable | org.eclipse.jetty.util.thread.Sweeper$Sweepable): boolean
                        public run(): void
                        public static class: java.lang.Class<any>
                    }
                    class ThreadClassLoaderScope implements java.io.Closeable {
                        public constructor(arg0: java.lang.ClassLoader)
                        public close(): void
                        public getScopedClassLoader(): java.lang.ClassLoader
                        public static class: java.lang.Class<any>
                    }
                    interface ThreadPool$SizedThreadPool extends org.eclipse.jetty.util.thread.ThreadPool {
                        getMinThreads(): int
                        getMaxThreads(): int
                        setMinThreads(arg0: int): void
                        setMaxThreads(arg0: int): void
                    }
                    interface ThreadPool extends java.util.concurrent.Executor {
                        join(): void
                        getThreads(): int
                        getIdleThreads(): int
                        isLowOnThreads(): boolean
                    }
                    class TimerScheduler$1 {
                        public static class: java.lang.Class<any>
                    }
                    class TimerScheduler$SimpleTask extends java.util.TimerTask implements org.eclipse.jetty.util.thread.Scheduler$Task {
                        public run(): void
                        public toString(): string
                        public static class: java.lang.Class<any>
                    }
                    class TimerScheduler extends org.eclipse.jetty.util.component.AbstractLifeCycle implements org.eclipse.jetty.util.thread.Scheduler , java.lang.Runnable {
                        public constructor()
                        public constructor(arg0: string, arg1: boolean)
                        protected doStart(): void
                        protected doStop(): void
                        public schedule(arg0: java.lang.Runnable | java.lang.Runnable$$Lambda, arg1: long, arg2: java.util.concurrent.TimeUnit): org.eclipse.jetty.util.thread.Scheduler$Task
                        public run(): void
                        public static class: java.lang.Class<any>
                    }
                    
                }
                class TreeTrie<V> extends org.eclipse.jetty.util.AbstractTrie<V> {
                    public constructor()
                    public clear(): void
                    public put(arg0: string, arg1: V): boolean
                    public get(arg0: string, arg1: int, arg2: int): V
                    public get(arg0: java.nio.ByteBuffer, arg1: int, arg2: int): V
                    public getBest(arg0: byte[], arg1: int, arg2: int): V
                    public getBest(arg0: string, arg1: int, arg2: int): V
                    public getBest(arg0: java.nio.ByteBuffer, arg1: int, arg2: int): V
                    public toString(): string
                    public keySet(): java.util.Set<java.lang.String>
                    public isFull(): boolean
                    public static class: java.lang.Class<any>
                }
                interface Trie<V> {
                    put(arg0: string, arg1: V): boolean
                    put(arg0: V): boolean
                    remove(arg0: string): V
                    get(arg0: string): V
                    get(arg0: string, arg1: int, arg2: int): V
                    get(arg0: java.nio.ByteBuffer): V
                    get(arg0: java.nio.ByteBuffer, arg1: int, arg2: int): V
                    getBest(arg0: string): V
                    getBest(arg0: string, arg1: int, arg2: int): V
                    getBest(arg0: byte[], arg1: int, arg2: int): V
                    getBest(arg0: java.nio.ByteBuffer, arg1: int, arg2: int): V
                    keySet(): java.util.Set<java.lang.String>
                    isFull(): boolean
                    isCaseInsensitive(): boolean
                    clear(): void
                }
                class TypeUtil {
                    public static NO_ARGS: java.lang.Class<any>[]
                    public static CR: int
                    public static LF: int
                    public constructor()
                    public static asList<T>(arg0: T[]): java.util.List<T>
                    public static fromName(arg0: string): java.lang.Class<any>
                    public static toName(arg0: java.lang.Class<any>): string
                    public static valueOf(arg0: java.lang.Class<any>, arg1: string): java.lang.Object
                    public static valueOf(arg0: string, arg1: string): java.lang.Object
                    public static parseInt(arg0: string, arg1: int, arg2: int, arg3: int): int
                    public static parseInt(arg0: byte[], arg1: int, arg2: int, arg3: int): int
                    public static parseBytes(arg0: string, arg1: int): byte[]
                    public static toString(arg0: byte[], arg1: int): string
                    public static convertHexDigit(arg0: byte): byte
                    public static convertHexDigit(arg0: char): int
                    public static convertHexDigit(arg0: int): int
                    public static toHex(arg0: byte, arg1: java.lang.Appendable): void
                    public static toHex(arg0: int, arg1: java.lang.Appendable): void
                    public static toHex(arg0: long, arg1: java.lang.Appendable): void
                    public static toHexString(arg0: byte): string
                    public static toHexString(arg0: byte[]): string
                    public static toHexString(arg0: byte[], arg1: int, arg2: int): string
                    public static fromHexString(arg0: string): byte[]
                    public static dump(arg0: java.lang.Class<any>): void
                    public static dump(arg0: java.lang.ClassLoader): void
                    public static call(arg0: java.lang.Class<any>, arg1: string, arg2: java.lang.Object, arg3: java.lang.Object[]): java.lang.Object
                    public static construct(arg0: java.lang.Class<any>, arg1: java.lang.Object[]): java.lang.Object
                    public static construct(arg0: java.lang.Class<any>, arg1: java.lang.Object[], arg2: java.util.Map<java.lang.String, java.lang.Object>): java.lang.Object
                    public static isTrue(arg0: java.lang.Object): boolean
                    public static isFalse(arg0: java.lang.Object): boolean
                    public static class: java.lang.Class<any>
                }
                class Uptime$DefaultImpl implements org.eclipse.jetty.util.Uptime$Impl {
                    public mxBean: java.lang.Object
                    public uptimeMethod: java.lang.reflect.Method
                    public constructor()
                    public getUptime(): long
                    public static class: java.lang.Class<any>
                }
                interface Uptime$Impl {
                    getUptime(): long
                }
                
                interface Uptime$Impl$$Lambda {
                    (): long
                }
                class Uptime {
                    public static NOIMPL: int
                    public static getInstance(): org.eclipse.jetty.util.Uptime
                    public getImpl(): org.eclipse.jetty.util.Uptime$Impl
                    public setImpl(arg0: org.eclipse.jetty.util.Uptime$Impl | org.eclipse.jetty.util.Uptime$Impl): void
                    public static getUptime(): long
                    public static class: java.lang.Class<any>
                }
                class URIUtil implements java.lang.Cloneable {
                    public static SLASH: string
                    public static HTTP: string
                    public static HTTP_COLON: string
                    public static HTTPS: string
                    public static HTTPS_COLON: string
                    public static __CHARSET: java.nio.charset.Charset
                    public static encodePath(arg0: string): string
                    public static encodePath(arg0: java.lang.StringBuilder, arg1: string): java.lang.StringBuilder
                    public static encodeString(arg0: java.lang.StringBuilder, arg1: string, arg2: string): java.lang.StringBuilder
                    public static decodePath(arg0: string): string
                    public static decodePath(arg0: string, arg1: int, arg2: int): string
                    public static addPaths(arg0: string, arg1: string): string
                    public static parentPath(arg0: string): string
                    public static canonicalPath(arg0: string): string
                    public static compactPath(arg0: string): string
                    public static hasScheme(arg0: string): boolean
                    public static newURI(arg0: string, arg1: string, arg2: int, arg3: string, arg4: string): string
                    public static newURIBuilder(arg0: string, arg1: string, arg2: int): java.lang.StringBuilder
                    public static appendSchemeHostPort(arg0: java.lang.StringBuilder, arg1: string, arg2: string, arg3: int): void
                    public static appendSchemeHostPort(arg0: java.lang.StringBuffer, arg1: string, arg2: string, arg3: int): void
                    public static equalsIgnoreEncodings(arg0: string, arg1: string): boolean
                    public static class: java.lang.Class<any>
                }
                class UrlEncoded extends org.eclipse.jetty.util.MultiMap<java.lang.String> implements java.lang.Cloneable {
                    public static ENCODING: java.nio.charset.Charset
                    public constructor(arg0: org.eclipse.jetty.util.UrlEncoded)
                    public constructor()
                    public constructor(arg0: string)
                    public decode(arg0: string): void
                    public decode(arg0: string, arg1: java.nio.charset.Charset): void
                    public encode(): string
                    public encode(arg0: java.nio.charset.Charset): string
                    public encode(arg0: java.nio.charset.Charset, arg1: boolean): string
                    public static encode(arg0: org.eclipse.jetty.util.MultiMap<java.lang.String>, arg1: java.nio.charset.Charset, arg2: boolean): string
                    public static decodeTo(arg0: string, arg1: org.eclipse.jetty.util.MultiMap<java.lang.String>, arg2: string): void
                    public static decodeTo(arg0: string, arg1: org.eclipse.jetty.util.MultiMap<java.lang.String>, arg2: java.nio.charset.Charset): void
                    public static decodeUtf8To(arg0: string, arg1: org.eclipse.jetty.util.MultiMap<java.lang.String>): void
                    public static decodeUtf8To(arg0: string, arg1: int, arg2: int, arg3: org.eclipse.jetty.util.MultiMap<java.lang.String>): void
                    public static decode88591To(arg0: java.io.InputStream, arg1: org.eclipse.jetty.util.MultiMap<java.lang.String>, arg2: int, arg3: int): void
                    public static decodeUtf8To(arg0: java.io.InputStream, arg1: org.eclipse.jetty.util.MultiMap<java.lang.String>, arg2: int, arg3: int): void
                    public static decodeUtf16To(arg0: java.io.InputStream, arg1: org.eclipse.jetty.util.MultiMap<java.lang.String>, arg2: int, arg3: int): void
                    public static decodeTo(arg0: java.io.InputStream, arg1: org.eclipse.jetty.util.MultiMap<java.lang.String>, arg2: string, arg3: int, arg4: int): void
                    public static decodeTo(arg0: java.io.InputStream, arg1: org.eclipse.jetty.util.MultiMap<java.lang.String>, arg2: java.nio.charset.Charset, arg3: int, arg4: int): void
                    public static decodeString(arg0: string): string
                    public static decodeString(arg0: string, arg1: int, arg2: int, arg3: java.nio.charset.Charset): string
                    public static encodeString(arg0: string): string
                    public static encodeString(arg0: string, arg1: java.nio.charset.Charset): string
                    public clone(): java.lang.Object
                    public static class: java.lang.Class<any>
                }
                class Utf8Appendable$NotUtf8Exception extends java.lang.IllegalArgumentException {
                    public constructor(arg0: string)
                    public static class: java.lang.Class<any>
                }
                abstract class Utf8Appendable {
                    protected static LOG: org.eclipse.jetty.util.log.Logger
                    public static REPLACEMENT: char
                    public static REPLACEMENT_UTF8: byte[]
                    protected _appendable: java.lang.Appendable
                    protected _state: int
                    public constructor(arg0: java.lang.Appendable)
                    public length(): int
                    protected reset(): void
                    public append(arg0: char): void
                    public append(arg0: string): void
                    public append(arg0: string, arg1: int, arg2: int): void
                    public append(arg0: byte): void
                    public append(arg0: java.nio.ByteBuffer): void
                    public append(arg0: byte[], arg1: int, arg2: int): void
                    public append(arg0: byte[], arg1: int, arg2: int, arg3: int): boolean
                    protected appendByte(arg0: byte): void
                    public isUtf8SequenceComplete(): boolean
                    protected checkState(): void
                    public toReplacedString(): string
                    public static class: java.lang.Class<any>
                }
                class Utf8LineParser$1 {
                    public static class: java.lang.Class<any>
                }
                class Utf8LineParser$State extends java.lang.Enum<org.eclipse.jetty.util.Utf8LineParser$State> {
                    public static START: org.eclipse.jetty.util.Utf8LineParser$State
                    public static PARSE: org.eclipse.jetty.util.Utf8LineParser$State
                    public static END: org.eclipse.jetty.util.Utf8LineParser$State
                    public static values(): org.eclipse.jetty.util.Utf8LineParser$State[]
                    public static valueOf(arg0: string): org.eclipse.jetty.util.Utf8LineParser$State
                    public static class: java.lang.Class<any>
                }
                class Utf8LineParser {
                    public constructor()
                    public parse(arg0: java.nio.ByteBuffer): string
                    public static class: java.lang.Class<any>
                }
                class Utf8StringBuffer extends org.eclipse.jetty.util.Utf8Appendable {
                    public constructor()
                    public constructor(arg0: int)
                    public length(): int
                    public reset(): void
                    public getStringBuffer(): java.lang.StringBuffer
                    public toString(): string
                    public static class: java.lang.Class<any>
                }
                class Utf8StringBuilder extends org.eclipse.jetty.util.Utf8Appendable {
                    public constructor()
                    public constructor(arg0: int)
                    public length(): int
                    public reset(): void
                    public getStringBuilder(): java.lang.StringBuilder
                    public toString(): string
                    public static class: java.lang.Class<any>
                }
                
            }
            
        }
        
    }
    
}
