declare namespace org {
    namespace eclipse {
        namespace jetty {
            namespace websocket {
                namespace api {
                    namespace annotations {
                        interface OnWebSocketClose extends java.lang.annotation.Annotation {
                        }
                        interface OnWebSocketConnect extends java.lang.annotation.Annotation {
                        }
                        interface OnWebSocketError extends java.lang.annotation.Annotation {
                        }
                        interface OnWebSocketFrame extends java.lang.annotation.Annotation {
                        }
                        interface OnWebSocketMessage extends java.lang.annotation.Annotation {
                        }
                        interface WebSocket extends java.lang.annotation.Annotation {
                            inputBufferSize(): int
                            maxBinaryMessageSize(): int
                            maxIdleTime(): int
                            maxTextMessageSize(): int
                            batchMode(): org.eclipse.jetty.websocket.api.BatchMode
                        }
                        
                    }
                    class BadPayloadException extends org.eclipse.jetty.websocket.api.CloseException {
                        public constructor(arg0: string)
                        public constructor(arg0: string, arg1: java.lang.Throwable)
                        public constructor(arg0: java.lang.Throwable)
                        public static class: java.lang.Class<any>
                    }
                    class BatchMode extends java.lang.Enum<org.eclipse.jetty.websocket.api.BatchMode> {
                        public static AUTO: org.eclipse.jetty.websocket.api.BatchMode
                        public static ON: org.eclipse.jetty.websocket.api.BatchMode
                        public static OFF: org.eclipse.jetty.websocket.api.BatchMode
                        public static values(): org.eclipse.jetty.websocket.api.BatchMode[]
                        public static valueOf(arg0: string): org.eclipse.jetty.websocket.api.BatchMode
                        public static max(arg0: org.eclipse.jetty.websocket.api.BatchMode, arg1: org.eclipse.jetty.websocket.api.BatchMode): org.eclipse.jetty.websocket.api.BatchMode
                        public static class: java.lang.Class<any>
                    }
                    class CloseException extends org.eclipse.jetty.websocket.api.WebSocketException {
                        public constructor(arg0: int, arg1: string)
                        public constructor(arg0: int, arg1: string, arg2: java.lang.Throwable)
                        public constructor(arg0: int, arg1: java.lang.Throwable)
                        public getStatusCode(): int
                        public static class: java.lang.Class<any>
                    }
                    class CloseStatus {
                        public static MAX_REASON_PHRASE: int
                        public static trimMaxReasonLength(arg0: string): string
                        public constructor(arg0: int, arg1: string)
                        public getCode(): int
                        public getPhrase(): string
                        public static class: java.lang.Class<any>
                    }
                    namespace extensions {
                        interface Extension extends org.eclipse.jetty.websocket.api.extensions.IncomingFrames , org.eclipse.jetty.websocket.api.extensions.OutgoingFrames {
                            getConfig(): org.eclipse.jetty.websocket.api.extensions.ExtensionConfig
                            getName(): string
                            isRsv1User(): boolean
                            isRsv2User(): boolean
                            isRsv3User(): boolean
                            setNextIncomingFrames(arg0: org.eclipse.jetty.websocket.api.extensions.IncomingFrames): void
                            setNextOutgoingFrames(arg0: org.eclipse.jetty.websocket.api.extensions.OutgoingFrames | org.eclipse.jetty.websocket.api.extensions.OutgoingFrames$$Lambda): void
                        }
                        class ExtensionConfig {
                            public static parse(arg0: string): org.eclipse.jetty.websocket.api.extensions.ExtensionConfig
                            public static parseEnum(arg0: java.util.Enumeration<java.lang.String>): java.util.List<org.eclipse.jetty.websocket.api.extensions.ExtensionConfig>
                            public static parseList(...arg0: java.lang.String[]): java.util.List<org.eclipse.jetty.websocket.api.extensions.ExtensionConfig>
                            public static toHeaderValue(arg0: java.util.List<org.eclipse.jetty.websocket.api.extensions.ExtensionConfig>): string
                            public constructor(arg0: org.eclipse.jetty.websocket.api.extensions.ExtensionConfig)
                            public constructor(arg0: string)
                            public getName(): string
                            public getParameter(arg0: string, arg1: int): int
                            public getParameter(arg0: string, arg1: string): string
                            public getParameterizedName(): string
                            public getParameterKeys(): java.util.Set<java.lang.String>
                            public getParameters(): java.util.Map<java.lang.String, java.lang.String>
                            public init(arg0: org.eclipse.jetty.websocket.api.extensions.ExtensionConfig): void
                            public setParameter(arg0: string): void
                            public setParameter(arg0: string, arg1: int): void
                            public setParameter(arg0: string, arg1: string): void
                            public toString(): string
                            public static class: java.lang.Class<any>
                        }
                        abstract class ExtensionFactory implements java.lang.Iterable<java.lang.Class<org.eclipse.jetty.websocket.api.extensions.Extension>> {
                            public constructor()
                            public getAvailableExtensions(): java.util.Map<java.lang.String, java.lang.Class<org.eclipse.jetty.websocket.api.extensions.Extension>>
                            public getExtension(arg0: string): java.lang.Class<org.eclipse.jetty.websocket.api.extensions.Extension>
                            public getExtensionNames(): java.util.Set<java.lang.String>
                            public isAvailable(arg0: string): boolean
                            public iterator(): java.util.Iterator<java.lang.Class<org.eclipse.jetty.websocket.api.extensions.Extension>>
                            public newInstance(arg0: org.eclipse.jetty.websocket.api.extensions.ExtensionConfig): org.eclipse.jetty.websocket.api.extensions.Extension
                            public register(arg0: string, arg1: java.lang.Class<org.eclipse.jetty.websocket.api.extensions.Extension>): void
                            public unregister(arg0: string): void
                            public static class: java.lang.Class<any>
                        }
                        class Frame$Type extends java.lang.Enum<org.eclipse.jetty.websocket.api.extensions.Frame$Type> {
                            public static CONTINUATION: org.eclipse.jetty.websocket.api.extensions.Frame$Type
                            public static TEXT: org.eclipse.jetty.websocket.api.extensions.Frame$Type
                            public static BINARY: org.eclipse.jetty.websocket.api.extensions.Frame$Type
                            public static CLOSE: org.eclipse.jetty.websocket.api.extensions.Frame$Type
                            public static PING: org.eclipse.jetty.websocket.api.extensions.Frame$Type
                            public static PONG: org.eclipse.jetty.websocket.api.extensions.Frame$Type
                            public static values(): org.eclipse.jetty.websocket.api.extensions.Frame$Type[]
                            public static valueOf(arg0: string): org.eclipse.jetty.websocket.api.extensions.Frame$Type
                            public static from(arg0: byte): org.eclipse.jetty.websocket.api.extensions.Frame$Type
                            public getOpCode(): byte
                            public isControl(): boolean
                            public isData(): boolean
                            public isContinuation(): boolean
                            public toString(): string
                            public static class: java.lang.Class<any>
                        }
                        interface Frame {
                            getMask(): byte[]
                            getOpCode(): byte
                            getPayload(): java.nio.ByteBuffer
                            getPayloadLength(): int
                            getType(): org.eclipse.jetty.websocket.api.extensions.Frame$Type
                            hasPayload(): boolean
                            isFin(): boolean
                            isLast(): boolean
                            isMasked(): boolean
                            isRsv1(): boolean
                            isRsv2(): boolean
                            isRsv3(): boolean
                        }
                        interface IncomingFrames {
                            incomingError(arg0: java.lang.Throwable): void
                            incomingFrame(arg0: org.eclipse.jetty.websocket.api.extensions.Frame): void
                        }
                        interface OutgoingFrames {
                            outgoingFrame(arg0: org.eclipse.jetty.websocket.api.extensions.Frame, arg1: org.eclipse.jetty.websocket.api.WriteCallback, arg2: org.eclipse.jetty.websocket.api.BatchMode): void
                        }
                        
                        interface OutgoingFrames$$Lambda {
                            (arg0: org.eclipse.jetty.websocket.api.extensions.Frame, arg1: org.eclipse.jetty.websocket.api.WriteCallback, arg2: org.eclipse.jetty.websocket.api.BatchMode): void
                        }
                        
                    }
                    class InvalidWebSocketException extends org.eclipse.jetty.websocket.api.WebSocketException {
                        public constructor(arg0: string)
                        public constructor(arg0: string, arg1: java.lang.Throwable)
                        public static class: java.lang.Class<any>
                    }
                    class MessageTooLargeException extends org.eclipse.jetty.websocket.api.CloseException {
                        public constructor(arg0: string)
                        public constructor(arg0: string, arg1: java.lang.Throwable)
                        public constructor(arg0: java.lang.Throwable)
                        public static class: java.lang.Class<any>
                    }
                    class PolicyViolationException extends org.eclipse.jetty.websocket.api.CloseException {
                        public constructor(arg0: string)
                        public constructor(arg0: string, arg1: java.lang.Throwable)
                        public constructor(arg0: java.lang.Throwable)
                        public static class: java.lang.Class<any>
                    }
                    class ProtocolException extends org.eclipse.jetty.websocket.api.CloseException {
                        public constructor(arg0: string)
                        public constructor(arg0: string, arg1: java.lang.Throwable)
                        public constructor(arg0: java.lang.Throwable)
                        public static class: java.lang.Class<any>
                    }
                    interface RemoteEndpoint {
                        sendBytes(arg0: java.nio.ByteBuffer): void
                        sendBytesByFuture(arg0: java.nio.ByteBuffer): java.util.concurrent.Future<java.lang.Void>
                        sendBytes(arg0: java.nio.ByteBuffer, arg1: org.eclipse.jetty.websocket.api.WriteCallback): void
                        sendPartialBytes(arg0: java.nio.ByteBuffer, arg1: boolean): void
                        sendPartialString(arg0: string, arg1: boolean): void
                        sendPing(arg0: java.nio.ByteBuffer): void
                        sendPong(arg0: java.nio.ByteBuffer): void
                        sendString(arg0: string): void
                        sendStringByFuture(arg0: string): java.util.concurrent.Future<java.lang.Void>
                        sendString(arg0: string, arg1: org.eclipse.jetty.websocket.api.WriteCallback): void
                        getBatchMode(): org.eclipse.jetty.websocket.api.BatchMode
                        setBatchMode(arg0: org.eclipse.jetty.websocket.api.BatchMode): void
                        flush(): void
                    }
                    interface Session extends java.io.Closeable {
                        close(): void
                        close(arg0: org.eclipse.jetty.websocket.api.CloseStatus): void
                        close(arg0: int, arg1: string): void
                        disconnect(): void
                        getIdleTimeout(): long
                        getLocalAddress(): java.net.InetSocketAddress
                        getPolicy(): org.eclipse.jetty.websocket.api.WebSocketPolicy
                        getProtocolVersion(): string
                        getRemote(): org.eclipse.jetty.websocket.api.RemoteEndpoint
                        getRemoteAddress(): java.net.InetSocketAddress
                        getUpgradeRequest(): org.eclipse.jetty.websocket.api.UpgradeRequest
                        getUpgradeResponse(): org.eclipse.jetty.websocket.api.UpgradeResponse
                        isOpen(): boolean
                        isSecure(): boolean
                        setIdleTimeout(arg0: long): void
                        suspend(): org.eclipse.jetty.websocket.api.SuspendToken
                    }
                    class StatusCode {
                        public static NORMAL: int
                        public static SHUTDOWN: int
                        public static PROTOCOL: int
                        public static BAD_DATA: int
                        public static UNDEFINED: int
                        public static NO_CODE: int
                        public static NO_CLOSE: int
                        public static ABNORMAL: int
                        public static BAD_PAYLOAD: int
                        public static POLICY_VIOLATION: int
                        public static MESSAGE_TOO_LARGE: int
                        public static REQUIRED_EXTENSION: int
                        public static SERVER_ERROR: int
                        public static SERVICE_RESTART: int
                        public static TRY_AGAIN_LATER: int
                        public static FAILED_TLS_HANDSHAKE: int
                        public constructor()
                        public static class: java.lang.Class<any>
                    }
                    interface SuspendToken {
                        resume(): void
                    }
                    
                    interface SuspendToken$$Lambda {
                        (): void
                    }
                    class UpgradeException extends org.eclipse.jetty.websocket.api.WebSocketException {
                        public constructor(arg0: java.net.URI, arg1: int, arg2: string)
                        public constructor(arg0: java.net.URI, arg1: int, arg2: string, arg3: java.lang.Throwable)
                        public constructor(arg0: java.net.URI, arg1: java.lang.Throwable)
                        public getRequestURI(): java.net.URI
                        public getResponseStatusCode(): int
                        public static class: java.lang.Class<any>
                    }
                    class UpgradeRequest {
                        protected constructor()
                        public constructor(arg0: string)
                        public constructor(arg0: java.net.URI)
                        public addExtensions(...arg0: org.eclipse.jetty.websocket.api.extensions.ExtensionConfig[]): void
                        public addExtensions(...arg0: java.lang.String[]): void
                        public clearHeaders(): void
                        public getCookies(): java.util.List<java.net.HttpCookie>
                        public getExtensions(): java.util.List<org.eclipse.jetty.websocket.api.extensions.ExtensionConfig>
                        public getHeader(arg0: string): string
                        public getHeaderInt(arg0: string): int
                        public getHeaders(): java.util.Map<java.lang.String, java.util.List<java.lang.String>>
                        public getHeaders(arg0: string): java.util.List<java.lang.String>
                        public getHost(): string
                        public getHttpVersion(): string
                        public getMethod(): string
                        public getOrigin(): string
                        public getParameterMap(): java.util.Map<java.lang.String, java.util.List<java.lang.String>>
                        public getProtocolVersion(): string
                        public getQueryString(): string
                        public getRequestURI(): java.net.URI
                        public getSession(): java.lang.Object
                        public getSubProtocols(): java.util.List<java.lang.String>
                        public getUserPrincipal(): java.security.Principal
                        public hasSubProtocol(arg0: string): boolean
                        public isOrigin(arg0: string): boolean
                        public isSecure(): boolean
                        public setCookies(arg0: java.util.List<java.net.HttpCookie>): void
                        public setExtensions(arg0: java.util.List<org.eclipse.jetty.websocket.api.extensions.ExtensionConfig>): void
                        public setHeader(arg0: string, arg1: java.util.List<java.lang.String>): void
                        public setHeader(arg0: string, arg1: string): void
                        public setHeaders(arg0: java.util.Map<java.lang.String, java.util.List<java.lang.String>>): void
                        public setHttpVersion(arg0: string): void
                        public setMethod(arg0: string): void
                        protected setParameterMap(arg0: java.util.Map<java.lang.String, java.util.List<java.lang.String>>): void
                        public setRequestURI(arg0: java.net.URI): void
                        public setSession(arg0: java.lang.Object): void
                        public setSubProtocols(arg0: java.util.List<java.lang.String>): void
                        public setSubProtocols(...arg0: java.lang.String[]): void
                        public static class: java.lang.Class<any>
                    }
                    class UpgradeResponse {
                        public static SEC_WEBSOCKET_PROTOCOL: string
                        public constructor()
                        public addHeader(arg0: string, arg1: string): void
                        public getAcceptedSubProtocol(): string
                        public getExtensions(): java.util.List<org.eclipse.jetty.websocket.api.extensions.ExtensionConfig>
                        public getHeader(arg0: string): string
                        public getHeaderNames(): java.util.Set<java.lang.String>
                        public getHeaders(): java.util.Map<java.lang.String, java.util.List<java.lang.String>>
                        public getHeaders(arg0: string): java.util.List<java.lang.String>
                        public getStatusCode(): int
                        public getStatusReason(): string
                        public isSuccess(): boolean
                        public sendForbidden(arg0: string): void
                        public setAcceptedSubProtocol(arg0: string): void
                        public setExtensions(arg0: java.util.List<org.eclipse.jetty.websocket.api.extensions.ExtensionConfig>): void
                        public setHeader(arg0: string, arg1: string): void
                        public setStatusCode(arg0: int): void
                        public setStatusReason(arg0: string): void
                        public setSuccess(arg0: boolean): void
                        public static class: java.lang.Class<any>
                    }
                    namespace util {
                        class QuoteUtil$1 {
                            public static class: java.lang.Class<any>
                        }
                        class QuoteUtil$DeQuotingStringIterator$State extends java.lang.Enum<org.eclipse.jetty.websocket.api.util.QuoteUtil$DeQuotingStringIterator$State> {
                            public static START: org.eclipse.jetty.websocket.api.util.QuoteUtil$DeQuotingStringIterator$State
                            public static TOKEN: org.eclipse.jetty.websocket.api.util.QuoteUtil$DeQuotingStringIterator$State
                            public static QUOTE_SINGLE: org.eclipse.jetty.websocket.api.util.QuoteUtil$DeQuotingStringIterator$State
                            public static QUOTE_DOUBLE: org.eclipse.jetty.websocket.api.util.QuoteUtil$DeQuotingStringIterator$State
                            public static values(): org.eclipse.jetty.websocket.api.util.QuoteUtil$DeQuotingStringIterator$State[]
                            public static valueOf(arg0: string): org.eclipse.jetty.websocket.api.util.QuoteUtil$DeQuotingStringIterator$State
                            public static class: java.lang.Class<any>
                        }
                        class QuoteUtil$DeQuotingStringIterator implements java.util.Iterator<java.lang.String> {
                            public constructor(arg0: string, arg1: string)
                            public hasNext(): boolean
                            public next(): string
                            public remove(): void
                            public next(): java.lang.Object
                            public static class: java.lang.Class<any>
                        }
                        class QuoteUtil {
                            public static ABNF_REQUIRED_QUOTING: string
                            public constructor()
                            public static dequote(arg0: string): string
                            public static escape(arg0: java.lang.StringBuilder, arg1: string): void
                            public static quote(arg0: java.lang.StringBuilder, arg1: string): void
                            public static quoteIfNeeded(arg0: java.lang.StringBuilder, arg1: string, arg2: string): void
                            public static splitAt(arg0: string, arg1: string): java.util.Iterator<java.lang.String>
                            public static unescape(arg0: string): string
                            public static join(arg0: java.lang.Object[], arg1: string): string
                            public static join(arg0: java.util.Collection<any>, arg1: string): string
                            public static class: java.lang.Class<any>
                        }
                        class WSURI {
                            public constructor()
                            public static toHttp(arg0: java.net.URI): java.net.URI
                            public static toWebsocket(arg0: java.lang.CharSequence): java.net.URI
                            public static toWebsocket(arg0: java.lang.CharSequence, arg1: string): java.net.URI
                            public static toWebsocket(arg0: java.net.URI): java.net.URI
                            public static class: java.lang.Class<any>
                        }
                        
                    }
                    class WebSocketAdapter implements org.eclipse.jetty.websocket.api.WebSocketListener {
                        public constructor()
                        public getRemote(): org.eclipse.jetty.websocket.api.RemoteEndpoint
                        public getSession(): org.eclipse.jetty.websocket.api.Session
                        public isConnected(): boolean
                        public isNotConnected(): boolean
                        public onWebSocketBinary(arg0: byte[], arg1: int, arg2: int): void
                        public onWebSocketClose(arg0: int, arg1: string): void
                        public onWebSocketConnect(arg0: org.eclipse.jetty.websocket.api.Session): void
                        public onWebSocketError(arg0: java.lang.Throwable): void
                        public onWebSocketText(arg0: string): void
                        public static class: java.lang.Class<any>
                    }
                    class WebSocketBehavior extends java.lang.Enum<org.eclipse.jetty.websocket.api.WebSocketBehavior> {
                        public static CLIENT: org.eclipse.jetty.websocket.api.WebSocketBehavior
                        public static SERVER: org.eclipse.jetty.websocket.api.WebSocketBehavior
                        public static values(): org.eclipse.jetty.websocket.api.WebSocketBehavior[]
                        public static valueOf(arg0: string): org.eclipse.jetty.websocket.api.WebSocketBehavior
                        public static class: java.lang.Class<any>
                    }
                    interface WebSocketConnectionListener {
                        onWebSocketClose(arg0: int, arg1: string): void
                        onWebSocketConnect(arg0: org.eclipse.jetty.websocket.api.Session): void
                        onWebSocketError(arg0: java.lang.Throwable): void
                    }
                    class WebSocketException extends java.lang.RuntimeException {
                        public constructor()
                        public constructor(arg0: string)
                        public constructor(arg0: string, arg1: java.lang.Throwable)
                        public constructor(arg0: java.lang.Throwable)
                        public static class: java.lang.Class<any>
                    }
                    interface WebSocketFrameListener extends org.eclipse.jetty.websocket.api.WebSocketConnectionListener {
                        onWebSocketFrame(arg0: org.eclipse.jetty.websocket.api.extensions.Frame): void
                    }
                    interface WebSocketListener extends org.eclipse.jetty.websocket.api.WebSocketConnectionListener {
                        onWebSocketBinary(arg0: byte[], arg1: int, arg2: int): void
                        onWebSocketText(arg0: string): void
                    }
                    interface WebSocketPartialListener extends org.eclipse.jetty.websocket.api.WebSocketConnectionListener {
                        onWebSocketPartialBinary(arg0: java.nio.ByteBuffer, arg1: boolean): void
                        onWebSocketPartialText(arg0: string, arg1: boolean): void
                    }
                    interface WebSocketPingPongListener extends org.eclipse.jetty.websocket.api.WebSocketConnectionListener {
                        onWebSocketPing(arg0: java.nio.ByteBuffer): void
                        onWebSocketPong(arg0: java.nio.ByteBuffer): void
                    }
                    class WebSocketPolicy {
                        public static newClientPolicy(): org.eclipse.jetty.websocket.api.WebSocketPolicy
                        public static newServerPolicy(): org.eclipse.jetty.websocket.api.WebSocketPolicy
                        public constructor(arg0: org.eclipse.jetty.websocket.api.WebSocketBehavior)
                        public assertValidBinaryMessageSize(arg0: int): void
                        public assertValidTextMessageSize(arg0: int): void
                        public clonePolicy(): org.eclipse.jetty.websocket.api.WebSocketPolicy
                        public getAsyncWriteTimeout(): long
                        public getBehavior(): org.eclipse.jetty.websocket.api.WebSocketBehavior
                        public getIdleTimeout(): long
                        public getInputBufferSize(): int
                        public getMaxBinaryMessageBufferSize(): int
                        public getMaxBinaryMessageSize(): int
                        public getMaxTextMessageBufferSize(): int
                        public getMaxTextMessageSize(): int
                        public setAsyncWriteTimeout(arg0: long): void
                        public setIdleTimeout(arg0: long): void
                        public setInputBufferSize(arg0: int): void
                        public setMaxBinaryMessageBufferSize(arg0: int): void
                        public setMaxBinaryMessageSize(arg0: int): void
                        public setMaxTextMessageBufferSize(arg0: int): void
                        public setMaxTextMessageSize(arg0: int): void
                        public toString(): string
                        public static class: java.lang.Class<any>
                    }
                    class WebSocketTimeoutException extends org.eclipse.jetty.websocket.api.WebSocketException {
                        public constructor(arg0: string)
                        public constructor(arg0: string, arg1: java.lang.Throwable)
                        public constructor(arg0: java.lang.Throwable)
                        public static class: java.lang.Class<any>
                    }
                    interface WriteCallback {
                        writeFailed(arg0: java.lang.Throwable): void
                        writeSuccess(): void
                    }
                    
                }
                
            }
            
        }
        
    }
    
}
