declare namespace spark {
    class Service extends spark.Routable {
        public static readonly SPARK_DEFAULT_PORT: int
        protected static readonly DEFAULT_ACCEPT_TYPE: string
        protected initialized: boolean
        protected port: int
        protected ipAddress: string
        protected sslStores: spark.ssl.SslStores
        protected staticFileFolder: string
        protected externalStaticFileFolder: string
        protected webSocketHandlers: java.util.Map<java.lang.String, spark.embeddedserver.jetty.websocket.WebSocketHandlerWrapper>
        protected maxThreads: int
        protected minThreads: int
        protected threadIdleTimeoutMillis: int
        protected webSocketIdleTimeoutMillis: java.util.Optional<java.lang.Integer>
        protected server: spark.embeddedserver.EmbeddedServer
        protected pathDeque: java.util.Deque<java.lang.String>
        protected routes: spark.route.Routes
        public readonly redirect: spark.Redirect
        public readonly staticFiles: spark.Service$StaticFiles
        public static ignite(): spark.Service
        public ipAddress(arg0: java.lang.String | string): spark.Service
        public port(arg0: int): spark.Service
        public port(): int
        public secure(arg0: java.lang.String | string, arg1: java.lang.String | string, arg2: java.lang.String | string, arg3: java.lang.String | string): spark.Service
        public threadPool(arg0: int): spark.Service
        public threadPool(arg0: int, arg1: int, arg2: int): spark.Service
        public staticFileLocation(arg0: java.lang.String | string): spark.Service
        public externalStaticFileLocation(arg0: java.lang.String | string): spark.Service
        public webSocket(arg0: java.lang.String | string, arg1: java.lang.Class<any>): void
        public webSocket(arg0: java.lang.String | string, arg1: java.lang.Object): void
        public webSocketIdleTimeoutMillis(arg0: int): spark.Service
        public notFound(arg0: java.lang.String | string): void
        public internalServerError(arg0: java.lang.String | string): void
        public notFound(arg0: spark.Route | spark.Route$$Lambda): void
        public internalServerError(arg0: spark.Route | spark.Route$$Lambda): void
        public awaitInitialization(): void
        public stop(): void
        public path(arg0: java.lang.String | string, arg1: spark.RouteGroup | spark.RouteGroup$$Lambda): void
        public getPaths(): string
        public addRoute(arg0: java.lang.String | string, arg1: spark.RouteImpl | spark.RouteImpl$$Lambda): void
        public addFilter(arg0: java.lang.String | string, arg1: spark.FilterImpl | spark.FilterImpl$$Lambda): void
        public init(): void
        public exception(arg0: java.lang.Class<java.lang.Exception>, arg1: spark.ExceptionHandler | spark.ExceptionHandler$$Lambda): void
        public halt(): spark.HaltException
        public halt(arg0: int): spark.HaltException
        public halt(arg0: java.lang.String | string): spark.HaltException
        public halt(arg0: int, arg1: java.lang.String | string): spark.HaltException
        public patch(arg0: java.lang.String | string, arg1: java.lang.String | string, arg2: spark.Route | spark.Route$$Lambda, arg3: spark.ResponseTransformer | spark.ResponseTransformer$$Lambda): void
        public patch(arg0: java.lang.String | string, arg1: spark.Route | spark.Route$$Lambda, arg2: spark.ResponseTransformer | spark.ResponseTransformer$$Lambda): void
        public options(arg0: java.lang.String | string, arg1: java.lang.String | string, arg2: spark.Route | spark.Route$$Lambda, arg3: spark.ResponseTransformer | spark.ResponseTransformer$$Lambda): void
        public options(arg0: java.lang.String | string, arg1: spark.Route | spark.Route$$Lambda, arg2: spark.ResponseTransformer | spark.ResponseTransformer$$Lambda): void
        public trace(arg0: java.lang.String | string, arg1: java.lang.String | string, arg2: spark.Route | spark.Route$$Lambda, arg3: spark.ResponseTransformer | spark.ResponseTransformer$$Lambda): void
        public trace(arg0: java.lang.String | string, arg1: spark.Route | spark.Route$$Lambda, arg2: spark.ResponseTransformer | spark.ResponseTransformer$$Lambda): void
        public connect(arg0: java.lang.String | string, arg1: java.lang.String | string, arg2: spark.Route | spark.Route$$Lambda, arg3: spark.ResponseTransformer | spark.ResponseTransformer$$Lambda): void
        public connect(arg0: java.lang.String | string, arg1: spark.Route | spark.Route$$Lambda, arg2: spark.ResponseTransformer | spark.ResponseTransformer$$Lambda): void
        public head(arg0: java.lang.String | string, arg1: java.lang.String | string, arg2: spark.Route | spark.Route$$Lambda, arg3: spark.ResponseTransformer | spark.ResponseTransformer$$Lambda): void
        public head(arg0: java.lang.String | string, arg1: spark.Route | spark.Route$$Lambda, arg2: spark.ResponseTransformer | spark.ResponseTransformer$$Lambda): void
        public delete(arg0: java.lang.String | string, arg1: java.lang.String | string, arg2: spark.Route | spark.Route$$Lambda, arg3: spark.ResponseTransformer | spark.ResponseTransformer$$Lambda): void
        public delete(arg0: java.lang.String | string, arg1: spark.Route | spark.Route$$Lambda, arg2: spark.ResponseTransformer | spark.ResponseTransformer$$Lambda): void
        public put(arg0: java.lang.String | string, arg1: java.lang.String | string, arg2: spark.Route | spark.Route$$Lambda, arg3: spark.ResponseTransformer | spark.ResponseTransformer$$Lambda): void
        public put(arg0: java.lang.String | string, arg1: spark.Route | spark.Route$$Lambda, arg2: spark.ResponseTransformer | spark.ResponseTransformer$$Lambda): void
        public post(arg0: java.lang.String | string, arg1: java.lang.String | string, arg2: spark.Route | spark.Route$$Lambda, arg3: spark.ResponseTransformer | spark.ResponseTransformer$$Lambda): void
        public post(arg0: java.lang.String | string, arg1: spark.Route | spark.Route$$Lambda, arg2: spark.ResponseTransformer | spark.ResponseTransformer$$Lambda): void
        public get(arg0: java.lang.String | string, arg1: java.lang.String | string, arg2: spark.Route | spark.Route$$Lambda, arg3: spark.ResponseTransformer | spark.ResponseTransformer$$Lambda): void
        public get(arg0: java.lang.String | string, arg1: spark.Route | spark.Route$$Lambda, arg2: spark.ResponseTransformer | spark.ResponseTransformer$$Lambda): void
        public options(arg0: java.lang.String | string, arg1: java.lang.String | string, arg2: spark.TemplateViewRoute | spark.TemplateViewRoute$$Lambda, arg3: spark.TemplateEngine | spark.TemplateEngine$$Lambda): void
        public options(arg0: java.lang.String | string, arg1: spark.TemplateViewRoute | spark.TemplateViewRoute$$Lambda, arg2: spark.TemplateEngine | spark.TemplateEngine$$Lambda): void
        public connect(arg0: java.lang.String | string, arg1: java.lang.String | string, arg2: spark.TemplateViewRoute | spark.TemplateViewRoute$$Lambda, arg3: spark.TemplateEngine | spark.TemplateEngine$$Lambda): void
        public connect(arg0: java.lang.String | string, arg1: spark.TemplateViewRoute | spark.TemplateViewRoute$$Lambda, arg2: spark.TemplateEngine | spark.TemplateEngine$$Lambda): void
        public trace(arg0: java.lang.String | string, arg1: java.lang.String | string, arg2: spark.TemplateViewRoute | spark.TemplateViewRoute$$Lambda, arg3: spark.TemplateEngine | spark.TemplateEngine$$Lambda): void
        public trace(arg0: java.lang.String | string, arg1: spark.TemplateViewRoute | spark.TemplateViewRoute$$Lambda, arg2: spark.TemplateEngine | spark.TemplateEngine$$Lambda): void
        public head(arg0: java.lang.String | string, arg1: java.lang.String | string, arg2: spark.TemplateViewRoute | spark.TemplateViewRoute$$Lambda, arg3: spark.TemplateEngine | spark.TemplateEngine$$Lambda): void
        public head(arg0: java.lang.String | string, arg1: spark.TemplateViewRoute | spark.TemplateViewRoute$$Lambda, arg2: spark.TemplateEngine | spark.TemplateEngine$$Lambda): void
        public patch(arg0: java.lang.String | string, arg1: java.lang.String | string, arg2: spark.TemplateViewRoute | spark.TemplateViewRoute$$Lambda, arg3: spark.TemplateEngine | spark.TemplateEngine$$Lambda): void
        public patch(arg0: java.lang.String | string, arg1: spark.TemplateViewRoute | spark.TemplateViewRoute$$Lambda, arg2: spark.TemplateEngine | spark.TemplateEngine$$Lambda): void
        public delete(arg0: java.lang.String | string, arg1: java.lang.String | string, arg2: spark.TemplateViewRoute | spark.TemplateViewRoute$$Lambda, arg3: spark.TemplateEngine | spark.TemplateEngine$$Lambda): void
        public delete(arg0: java.lang.String | string, arg1: spark.TemplateViewRoute | spark.TemplateViewRoute$$Lambda, arg2: spark.TemplateEngine | spark.TemplateEngine$$Lambda): void
        public put(arg0: java.lang.String | string, arg1: java.lang.String | string, arg2: spark.TemplateViewRoute | spark.TemplateViewRoute$$Lambda, arg3: spark.TemplateEngine | spark.TemplateEngine$$Lambda): void
        public put(arg0: java.lang.String | string, arg1: spark.TemplateViewRoute | spark.TemplateViewRoute$$Lambda, arg2: spark.TemplateEngine | spark.TemplateEngine$$Lambda): void
        public post(arg0: java.lang.String | string, arg1: java.lang.String | string, arg2: spark.TemplateViewRoute | spark.TemplateViewRoute$$Lambda, arg3: spark.TemplateEngine | spark.TemplateEngine$$Lambda): void
        public post(arg0: java.lang.String | string, arg1: spark.TemplateViewRoute | spark.TemplateViewRoute$$Lambda, arg2: spark.TemplateEngine | spark.TemplateEngine$$Lambda): void
        public get(arg0: java.lang.String | string, arg1: java.lang.String | string, arg2: spark.TemplateViewRoute | spark.TemplateViewRoute$$Lambda, arg3: spark.TemplateEngine | spark.TemplateEngine$$Lambda): void
        public get(arg0: java.lang.String | string, arg1: spark.TemplateViewRoute | spark.TemplateViewRoute$$Lambda, arg2: spark.TemplateEngine | spark.TemplateEngine$$Lambda): void
        public afterAfter(arg0: java.lang.String | string, arg1: spark.Filter | spark.Filter$$Lambda): void
        public afterAfter(arg0: spark.Filter | spark.Filter$$Lambda): void
        public after(arg0: java.lang.String | string, arg1: java.lang.String | string, arg2: spark.Filter | spark.Filter$$Lambda): void
        public before(arg0: java.lang.String | string, arg1: java.lang.String | string, arg2: spark.Filter | spark.Filter$$Lambda): void
        public after(arg0: spark.Filter | spark.Filter$$Lambda): void
        public before(arg0: spark.Filter | spark.Filter$$Lambda): void
        public options(arg0: java.lang.String | string, arg1: java.lang.String | string, arg2: spark.Route | spark.Route$$Lambda): void
        public connect(arg0: java.lang.String | string, arg1: java.lang.String | string, arg2: spark.Route | spark.Route$$Lambda): void
        public trace(arg0: java.lang.String | string, arg1: java.lang.String | string, arg2: spark.Route | spark.Route$$Lambda): void
        public head(arg0: java.lang.String | string, arg1: java.lang.String | string, arg2: spark.Route | spark.Route$$Lambda): void
        public delete(arg0: java.lang.String | string, arg1: java.lang.String | string, arg2: spark.Route | spark.Route$$Lambda): void
        public patch(arg0: java.lang.String | string, arg1: java.lang.String | string, arg2: spark.Route | spark.Route$$Lambda): void
        public put(arg0: java.lang.String | string, arg1: java.lang.String | string, arg2: spark.Route | spark.Route$$Lambda): void
        public post(arg0: java.lang.String | string, arg1: java.lang.String | string, arg2: spark.Route | spark.Route$$Lambda): void
        public get(arg0: java.lang.String | string, arg1: java.lang.String | string, arg2: spark.Route | spark.Route$$Lambda): void
        public after(arg0: java.lang.String | string, arg1: spark.Filter | spark.Filter$$Lambda): void
        public before(arg0: java.lang.String | string, arg1: spark.Filter | spark.Filter$$Lambda): void
        public options(arg0: java.lang.String | string, arg1: spark.Route | spark.Route$$Lambda): void
        public connect(arg0: java.lang.String | string, arg1: spark.Route | spark.Route$$Lambda): void
        public trace(arg0: java.lang.String | string, arg1: spark.Route | spark.Route$$Lambda): void
        public head(arg0: java.lang.String | string, arg1: spark.Route | spark.Route$$Lambda): void
        public delete(arg0: java.lang.String | string, arg1: spark.Route | spark.Route$$Lambda): void
        public patch(arg0: java.lang.String | string, arg1: spark.Route | spark.Route$$Lambda): void
        public put(arg0: java.lang.String | string, arg1: spark.Route | spark.Route$$Lambda): void
        public post(arg0: java.lang.String | string, arg1: spark.Route | spark.Route$$Lambda): void
        public get(arg0: java.lang.String | string, arg1: spark.Route | spark.Route$$Lambda): void
        public static class: java.lang.Class<any>
    }
}