declare namespace com {
    namespace mysql {
        namespace cj {
            namespace api {
                interface CacheAdapter<K, V> {
                    get(arg0: K): V
                    put(arg0: K, arg1: V): void
                    invalidate(arg0: K): void
                    invalidateAll(arg0: java.util.Set<K>): void
                    invalidateAll(): void
                }
                interface CacheAdapterFactory<K, V> {
                    getInstance(arg0: com.mysql.cj.api.MysqlConnection, arg1: string, arg2: int, arg3: int, arg4: java.util.Properties): com.mysql.cj.api.CacheAdapter<K, V>
                }
                
                interface CacheAdapterFactory$$Lambda<K, V> {
                    (arg0: com.mysql.cj.api.MysqlConnection, arg1: string, arg2: int, arg3: int, arg4: java.util.Properties): com.mysql.cj.api.CacheAdapter<K, V>
                }
                interface MysqlConnection {
                    getPropertySet(): com.mysql.cj.api.conf.PropertySet
                    createNewIO(arg0: boolean): void
                    getId(): long
                    getProperties(): java.util.Properties
                    getProcessHost(): string
                    getConnectionMutex(): java.lang.Object
                    getSession(): com.mysql.cj.api.Session
                    getURL(): string
                    getUser(): string
                    getExceptionInterceptor(): com.mysql.cj.api.exceptions.ExceptionInterceptor
                }
                interface PingTarget {
                    doPing(): void
                }
                
                interface PingTarget$$Lambda {
                    (): void
                }
                interface ProfilerEvent {
                    TYPE_WARN: byte
                    TYPE_OBJECT_CREATION: byte
                    TYPE_PREPARE: byte
                    TYPE_QUERY: byte
                    TYPE_EXECUTE: byte
                    TYPE_FETCH: byte
                    TYPE_SLOW_QUERY: byte
                    getEventType(): byte
                    setEventType(arg0: byte): void
                    getEventDuration(): long
                    getDurationUnits(): string
                    getConnectionId(): long
                    getResultSetId(): int
                    getStatementId(): int
                    getMessage(): string
                    getEventCreationTime(): long
                    getCatalog(): string
                    getEventCreationPointAsString(): string
                    pack(): byte[]
                }
                interface ProfilerEventHandler {
                    init(arg0: com.mysql.cj.api.log.Log): void
                    destroy(): void
                    consumeEvent(arg0: com.mysql.cj.api.ProfilerEvent): void
                }
                interface Session {
                    getPropertySet(): com.mysql.cj.api.conf.PropertySet
                    changeUser(arg0: string, arg1: string, arg2: string): void
                    getExceptionInterceptor(): com.mysql.cj.api.exceptions.ExceptionInterceptor
                    setExceptionInterceptor(arg0: com.mysql.cj.api.exceptions.ExceptionInterceptor): void
                    characterSetNamesMatches(arg0: string): boolean
                    inTransactionOnServer(): boolean
                    getServerVariable(arg0: string): string
                    getServerVariable(arg0: string, arg1: int): int
                    getServerVariables(): java.util.Map<java.lang.String, java.lang.String>
                    setServerVariables(arg0: java.util.Map<java.lang.String, java.lang.String>): void
                    getServerDefaultCollationIndex(): int
                    setServerDefaultCollationIndex(arg0: int): void
                    abortInternal(): void
                    quit(): void
                    forceClose(): void
                    getServerVersion(): com.mysql.cj.core.ServerVersion
                    versionMeetsMinimum(arg0: int, arg1: int, arg2: int): boolean
                    getThreadId(): long
                    isSetNeededForAutoCommitMode(arg0: boolean): boolean
                    getLog(): com.mysql.cj.api.log.Log
                    setLog(arg0: com.mysql.cj.api.log.Log): void
                    configureTimezone(): void
                    getDefaultTimeZone(): java.util.TimeZone
                    getErrorMessageEncoding(): string
                    setErrorMessageEncoding(arg0: string): void
                    getMaxBytesPerChar(arg0: string): int
                    getMaxBytesPerChar(arg0: java.lang.Integer, arg1: string): int
                    getEncodingForIndex(arg0: int): string
                    getProfilerEventHandler(): com.mysql.cj.api.ProfilerEventHandler
                    setProfilerEventHandler(arg0: com.mysql.cj.api.ProfilerEventHandler): void
                    getServerSession(): com.mysql.cj.api.io.ServerSession
                    isSSLEstablished(): boolean
                    getRemoteSocketAddress(): java.net.SocketAddress
                    serverSupportsFracSecs(): boolean
                }
                interface WarningListener {
                    warningEncountered(arg0: string): void
                }
                
                interface WarningListener$$Lambda {
                    (arg0: string): void
                }
                namespace authentication {
                    interface AuthenticationProvider {
                        init(arg0: com.mysql.cj.api.io.Protocol, arg1: com.mysql.cj.api.conf.PropertySet, arg2: com.mysql.cj.api.exceptions.ExceptionInterceptor): void
                        connect(arg0: com.mysql.cj.api.io.ServerSession, arg1: string, arg2: string, arg3: string): void
                        changeUser(arg0: com.mysql.cj.api.io.ServerSession, arg1: string, arg2: string, arg3: string): void
                        getEncodingForHandshake(): string
                        getCharsetForHandshake(arg0: string, arg1: com.mysql.cj.core.ServerVersion): byte
                    }
                    
                }
                namespace conf {
                    interface ConnectionPropertiesTransform {
                        transformProperties(arg0: java.util.Properties): java.util.Properties
                    }
                    
                    interface ConnectionPropertiesTransform$$Lambda {
                        (arg0: java.util.Properties): java.util.Properties
                    }
                    interface DatabaseUrlContainer {
                        getDatabaseUrl(): string
                    }
                    
                    interface DatabaseUrlContainer$$Lambda {
                        (): string
                    }
                    interface ModifiableProperty<T> extends com.mysql.cj.api.conf.ReadableProperty<T> {
                        setFromString(arg0: string, arg1: com.mysql.cj.api.exceptions.ExceptionInterceptor): void
                        setValue(arg0: T): void
                        setValue(arg0: T, arg1: com.mysql.cj.api.exceptions.ExceptionInterceptor): void
                    }
                    interface PropertyDefinition<T> {
                        hasValueConstraints(): boolean
                        isRangeBased(): boolean
                        getName(): string
                        getDefaultValue(): T
                        isRuntimeModifiable(): boolean
                        getDescription(): string
                        getSinceVersion(): string
                        getCategory(): string
                        getOrder(): int
                        getAllowableValues(): java.lang.String[]
                        getLowerBound(): int
                        getUpperBound(): int
                        parseObject(arg0: string, arg1: com.mysql.cj.api.exceptions.ExceptionInterceptor): T
                        validateAllowableValues(arg0: string, arg1: com.mysql.cj.api.exceptions.ExceptionInterceptor): void
                        createRuntimeProperty(): com.mysql.cj.api.conf.RuntimeProperty<T>
                    }
                    interface PropertySet {
                        addProperty(arg0: com.mysql.cj.api.conf.RuntimeProperty<any>): void
                        removeProperty(arg0: string): void
                        getReadableProperty<T>(arg0: string): com.mysql.cj.api.conf.ReadableProperty<T>
                        getBooleanReadableProperty(arg0: string): com.mysql.cj.api.conf.ReadableProperty<java.lang.Boolean>
                        getIntegerReadableProperty(arg0: string): com.mysql.cj.api.conf.ReadableProperty<java.lang.Integer>
                        getLongReadableProperty(arg0: string): com.mysql.cj.api.conf.ReadableProperty<java.lang.Long>
                        getMemorySizeReadableProperty(arg0: string): com.mysql.cj.api.conf.ReadableProperty<java.lang.Integer>
                        getStringReadableProperty(arg0: string): com.mysql.cj.api.conf.ReadableProperty<java.lang.String>
                        getModifiableProperty<T>(arg0: string): com.mysql.cj.api.conf.ModifiableProperty<T>
                        initializeProperties(arg0: java.util.Properties): void
                        postInitialization(): void
                        exposeAsProperties(arg0: java.util.Properties): java.util.Properties
                    }
                    interface ReadableProperty<T> extends com.mysql.cj.api.conf.RuntimeProperty<T> {
                        getValue(): T
                        getInitialValue(): T
                        getStringValue(): string
                    }
                    interface RuntimeProperty$RuntimePropertyListener {
                        handlePropertyChange(arg0: com.mysql.cj.api.conf.RuntimeProperty<any>): void
                    }
                    
                    interface RuntimeProperty$RuntimePropertyListener$$Lambda {
                        (arg0: com.mysql.cj.api.conf.RuntimeProperty<any>): void
                    }
                    interface RuntimeProperty<T> {
                        getPropertyDefinition(): com.mysql.cj.api.conf.PropertyDefinition<T>
                        initializeFrom(arg0: java.util.Properties, arg1: com.mysql.cj.api.exceptions.ExceptionInterceptor): void
                        initializeFrom(arg0: javax.naming.Reference, arg1: com.mysql.cj.api.exceptions.ExceptionInterceptor): void
                        resetValue(): void
                        isExplicitlySet(): boolean
                        addListener(arg0: com.mysql.cj.api.conf.RuntimeProperty$RuntimePropertyListener | com.mysql.cj.api.conf.RuntimeProperty$RuntimePropertyListener): void
                        removeListener(arg0: com.mysql.cj.api.conf.RuntimeProperty$RuntimePropertyListener | com.mysql.cj.api.conf.RuntimeProperty$RuntimePropertyListener): void
                    }
                    
                }
                namespace exceptions {
                    interface DeadlockTimeoutRollbackMarker {
                    }
                    interface ExceptionInterceptor {
                        init(arg0: java.util.Properties, arg1: com.mysql.cj.api.log.Log): com.mysql.cj.api.exceptions.ExceptionInterceptor
                        destroy(): void
                        interceptException(arg0: java.lang.Exception): java.lang.Exception
                    }
                    interface StreamingNotifiable {
                        setWasStreamingResults(): void
                    }
                    
                    interface StreamingNotifiable$$Lambda {
                        (): void
                    }
                    
                }
                namespace io {
                    interface OutputStreamWatcher {
                        streamClosed(arg0: com.mysql.cj.api.io.WatchableStream): void
                    }
                    
                    interface OutputStreamWatcher$$Lambda {
                        (arg0: com.mysql.cj.api.io.WatchableStream): void
                    }
                    interface PacketReceivedTimeHolder {
                        getLastPacketReceivedTime(): long
                    }
                    
                    interface PacketReceivedTimeHolder$$Lambda {
                        (): long
                    }
                    interface PacketSentTimeHolder {
                        getLastPacketSentTime(): long
                    }
                    
                    interface PacketSentTimeHolder$$Lambda {
                        (): long
                    }
                    interface Protocol$GetProfilerEventHandlerInstanceFunction {
                        apply(): com.mysql.cj.api.ProfilerEventHandler
                    }
                    
                    interface Protocol$GetProfilerEventHandlerInstanceFunction$$Lambda {
                        (): com.mysql.cj.api.ProfilerEventHandler
                    }
                    interface Protocol {
                        init(arg0: com.mysql.cj.api.MysqlConnection, arg1: int, arg2: com.mysql.cj.api.io.SocketConnection, arg3: com.mysql.cj.api.conf.PropertySet): void
                        getPropertySet(): com.mysql.cj.api.conf.PropertySet
                        setPropertySet(arg0: com.mysql.cj.api.conf.PropertySet): void
                        readServerCapabilities(): com.mysql.cj.api.io.ServerCapabilities
                        getServerSession(): com.mysql.cj.api.io.ServerSession
                        getConnection(): com.mysql.cj.api.MysqlConnection
                        setConnection(arg0: com.mysql.cj.api.MysqlConnection): void
                        getSocketConnection(): com.mysql.cj.api.io.SocketConnection
                        getAuthenticationProvider(): com.mysql.cj.api.authentication.AuthenticationProvider
                        getExceptionInterceptor(): com.mysql.cj.api.exceptions.ExceptionInterceptor
                        getPacketSentTimeHolder(): com.mysql.cj.api.io.PacketSentTimeHolder
                        setPacketSentTimeHolder(arg0: com.mysql.cj.api.io.PacketSentTimeHolder | com.mysql.cj.api.io.PacketSentTimeHolder$$Lambda): void
                        getPacketReceivedTimeHolder(): com.mysql.cj.api.io.PacketReceivedTimeHolder
                        setPacketReceivedTimeHolder(arg0: com.mysql.cj.api.io.PacketReceivedTimeHolder | com.mysql.cj.api.io.PacketReceivedTimeHolder$$Lambda): void
                        connect(arg0: string, arg1: string, arg2: string): void
                        negotiateSSLConnection(arg0: int): void
                        rejectConnection(arg0: string): void
                        beforeHandshake(): void
                        afterHandshake(): void
                        changeDatabase(arg0: string): void
                        changeUser(arg0: string, arg1: string, arg2: string): void
                        getPasswordCharacterEncoding(): string
                        versionMeetsMinimum(arg0: int, arg1: int, arg2: int): boolean
                    }
                    interface ServerCapabilities {
                        getCapabilityFlags(): int
                        setCapabilityFlags(arg0: int): void
                        getServerVersion(): com.mysql.cj.core.ServerVersion
                        setServerVersion(arg0: com.mysql.cj.core.ServerVersion): void
                    }
                    interface ServerSession {
                        TRANSACTION_NOT_STARTED: int
                        TRANSACTION_IN_PROGRESS: int
                        TRANSACTION_STARTED: int
                        TRANSACTION_COMPLETED: int
                        JDBC_LOCAL_CHARACTER_SET_RESULTS: string
                        getCapabilities(): com.mysql.cj.api.io.ServerCapabilities
                        setCapabilities(arg0: com.mysql.cj.api.io.ServerCapabilities): void
                        getStatusFlags(): int
                        setStatusFlags(arg0: int): void
                        setStatusFlags(arg0: int, arg1: boolean): void
                        getOldStatusFlags(): int
                        setOldStatusFlags(arg0: int): void
                        getServerDefaultCollationIndex(): int
                        setServerDefaultCollationIndex(arg0: int): void
                        getTransactionState(): int
                        inTransactionOnServer(): boolean
                        cursorExists(): boolean
                        isAutocommit(): boolean
                        hasMoreResults(): boolean
                        isLastRowSent(): boolean
                        noGoodIndexUsed(): boolean
                        noIndexUsed(): boolean
                        queryWasSlow(): boolean
                        getClientParam(): long
                        setClientParam(arg0: long): void
                        useMultiResults(): boolean
                        hasLongColumnInfo(): boolean
                        setHasLongColumnInfo(arg0: boolean): void
                        getServerVariables(): java.util.Map<java.lang.String, java.lang.String>
                        getServerVariable(arg0: string): string
                        getServerVariable(arg0: string, arg1: int): int
                        setServerVariables(arg0: java.util.Map<java.lang.String, java.lang.String>): void
                        getServerVersion(): com.mysql.cj.core.ServerVersion
                        isVersion(arg0: com.mysql.cj.core.ServerVersion): boolean
                        getServerDefaultCharset(): string
                        getErrorMessageEncoding(): string
                        setErrorMessageEncoding(arg0: string): void
                        getMaxBytesPerChar(arg0: string): int
                        getMaxBytesPerChar(arg0: java.lang.Integer, arg1: string): int
                        getEncodingForIndex(arg0: int): string
                        configureCharacterSets(): void
                        getCharacterSetMetadata(): string
                        setCharacterSetMetadata(arg0: string): void
                        getMetadataCollationIndex(): int
                        setMetadataCollationIndex(arg0: int): void
                        getCharacterSetResultsOnServer(): string
                        setCharacterSetResultsOnServer(arg0: string): void
                    }
                    interface SocketConnection {
                        connect(arg0: string, arg1: int, arg2: java.util.Properties, arg3: com.mysql.cj.api.conf.PropertySet, arg4: com.mysql.cj.api.exceptions.ExceptionInterceptor, arg5: com.mysql.cj.api.log.Log, arg6: int): void
                        forceClose(): void
                        getNetworkResources(): com.mysql.cj.core.io.NetworkResources
                        getHost(): string
                        getPort(): int
                        getMysqlSocket(): java.net.Socket
                        setMysqlSocket(arg0: java.net.Socket): void
                        getMysqlInput(): com.mysql.cj.core.io.FullReadInputStream
                        setMysqlInput(arg0: java.io.InputStream): void
                        getMysqlOutput(): java.io.BufferedOutputStream
                        setMysqlOutput(arg0: java.io.BufferedOutputStream): void
                        isSSLEstablished(): boolean
                        getSocketFactory(): com.mysql.cj.api.io.SocketFactory
                        setSocketFactory(arg0: com.mysql.cj.api.io.SocketFactory): void
                        getExceptionInterceptor(): com.mysql.cj.api.exceptions.ExceptionInterceptor
                        getPropertySet(): com.mysql.cj.api.conf.PropertySet
                    }
                    interface SocketFactory extends com.mysql.cj.api.io.SocketMetadata {
                        afterHandshake(): java.net.Socket
                        beforeHandshake(): java.net.Socket
                        connect(arg0: string, arg1: int, arg2: java.util.Properties, arg3: int): java.net.Socket
                    }
                    interface SocketMetadata {
                        isLocallyConnected(arg0: com.mysql.cj.api.MysqlConnection): boolean
                        isLocallyConnected(arg0: com.mysql.cj.api.MysqlConnection, arg1: string): boolean
                    }
                    interface ValueDecoder {
                        decodeDate<T>(arg0: byte[], arg1: int, arg2: int, arg3: com.mysql.cj.api.io.ValueFactory<T>): T
                        decodeTime<T>(arg0: byte[], arg1: int, arg2: int, arg3: com.mysql.cj.api.io.ValueFactory<T>): T
                        decodeTimestamp<T>(arg0: byte[], arg1: int, arg2: int, arg3: com.mysql.cj.api.io.ValueFactory<T>): T
                        decodeInt1<T>(arg0: byte[], arg1: int, arg2: int, arg3: com.mysql.cj.api.io.ValueFactory<T>): T
                        decodeUInt1<T>(arg0: byte[], arg1: int, arg2: int, arg3: com.mysql.cj.api.io.ValueFactory<T>): T
                        decodeInt2<T>(arg0: byte[], arg1: int, arg2: int, arg3: com.mysql.cj.api.io.ValueFactory<T>): T
                        decodeUInt2<T>(arg0: byte[], arg1: int, arg2: int, arg3: com.mysql.cj.api.io.ValueFactory<T>): T
                        decodeInt4<T>(arg0: byte[], arg1: int, arg2: int, arg3: com.mysql.cj.api.io.ValueFactory<T>): T
                        decodeUInt4<T>(arg0: byte[], arg1: int, arg2: int, arg3: com.mysql.cj.api.io.ValueFactory<T>): T
                        decodeInt8<T>(arg0: byte[], arg1: int, arg2: int, arg3: com.mysql.cj.api.io.ValueFactory<T>): T
                        decodeUInt8<T>(arg0: byte[], arg1: int, arg2: int, arg3: com.mysql.cj.api.io.ValueFactory<T>): T
                        decodeFloat<T>(arg0: byte[], arg1: int, arg2: int, arg3: com.mysql.cj.api.io.ValueFactory<T>): T
                        decodeDouble<T>(arg0: byte[], arg1: int, arg2: int, arg3: com.mysql.cj.api.io.ValueFactory<T>): T
                        decodeDecimal<T>(arg0: byte[], arg1: int, arg2: int, arg3: com.mysql.cj.api.io.ValueFactory<T>): T
                        decodeByteArray<T>(arg0: byte[], arg1: int, arg2: int, arg3: com.mysql.cj.api.io.ValueFactory<T>): T
                        decodeBit<T>(arg0: byte[], arg1: int, arg2: int, arg3: com.mysql.cj.api.io.ValueFactory<T>): T
                    }
                    interface ValueFactory<T> {
                        createFromDate(arg0: int, arg1: int, arg2: int): T
                        createFromTime(arg0: int, arg1: int, arg2: int, arg3: int): T
                        createFromTimestamp(arg0: int, arg1: int, arg2: int, arg3: int, arg4: int, arg5: int, arg6: int): T
                        createFromLong(arg0: long): T
                        createFromBigInteger(arg0: java.math.BigInteger): T
                        createFromDouble(arg0: double): T
                        createFromBigDecimal(arg0: java.math.BigDecimal): T
                        createFromBytes(arg0: byte[], arg1: int, arg2: int): T
                        createFromBit(arg0: byte[], arg1: int, arg2: int): T
                        createFromNull(): T
                        getTargetTypeName(): string
                    }
                    interface WatchableStream {
                        setWatcher(arg0: com.mysql.cj.api.io.OutputStreamWatcher | com.mysql.cj.api.io.OutputStreamWatcher$$Lambda): void
                        size(): int
                        toByteArray(): byte[]
                        write(arg0: byte[], arg1: int, arg2: int): void
                    }
                    
                }
                namespace jdbc {
                    interface ClientInfoProvider {
                        initialize(arg0: java.sql.Connection, arg1: java.util.Properties): void
                        destroy(): void
                        getClientInfo(arg0: java.sql.Connection): java.util.Properties
                        getClientInfo(arg0: java.sql.Connection, arg1: string): string
                        setClientInfo(arg0: java.sql.Connection, arg1: java.util.Properties): void
                        setClientInfo(arg0: java.sql.Connection, arg1: string, arg2: string): void
                    }
                    interface JdbcConnection extends java.sql.Connection , com.mysql.cj.api.MysqlConnection {
                        getPropertySet(): com.mysql.cj.api.jdbc.JdbcPropertySet
                        getSession(): com.mysql.cj.mysqla.MysqlaSession
                        changeUser(arg0: string, arg1: string): void
                        clearHasTriedMaster(): void
                        clientPrepareStatement(arg0: string): java.sql.PreparedStatement
                        clientPrepareStatement(arg0: string, arg1: int): java.sql.PreparedStatement
                        clientPrepareStatement(arg0: string, arg1: int, arg2: int): java.sql.PreparedStatement
                        clientPrepareStatement(arg0: string, arg1: int[]): java.sql.PreparedStatement
                        clientPrepareStatement(arg0: string, arg1: int, arg2: int, arg3: int): java.sql.PreparedStatement
                        clientPrepareStatement(arg0: string, arg1: java.lang.String[]): java.sql.PreparedStatement
                        getActiveStatementCount(): int
                        getIdleFor(): long
                        getStatementComment(): string
                        hasTriedMaster(): boolean
                        isInGlobalTx(): boolean
                        setInGlobalTx(arg0: boolean): void
                        isMasterConnection(): boolean
                        isNoBackslashEscapesSet(): boolean
                        isSameResource(arg0: com.mysql.cj.api.jdbc.JdbcConnection): boolean
                        lowerCaseTableNames(): boolean
                        ping(): void
                        resetServerState(): void
                        serverPrepareStatement(arg0: string): java.sql.PreparedStatement
                        serverPrepareStatement(arg0: string, arg1: int): java.sql.PreparedStatement
                        serverPrepareStatement(arg0: string, arg1: int, arg2: int): java.sql.PreparedStatement
                        serverPrepareStatement(arg0: string, arg1: int, arg2: int, arg3: int): java.sql.PreparedStatement
                        serverPrepareStatement(arg0: string, arg1: int[]): java.sql.PreparedStatement
                        serverPrepareStatement(arg0: string, arg1: java.lang.String[]): java.sql.PreparedStatement
                        setFailedOver(arg0: boolean): void
                        setStatementComment(arg0: string): void
                        shutdownServer(): void
                        reportQueryTime(arg0: long): void
                        isAbonormallyLongQuery(arg0: long): boolean
                        getAutoIncrementIncrement(): int
                        hasSameProperties(arg0: com.mysql.cj.api.jdbc.JdbcConnection): boolean
                        getHost(): string
                        getHostPortPair(): string
                        setProxy(arg0: com.mysql.cj.api.jdbc.JdbcConnection): void
                        isServerLocal(): boolean
                        getSessionMaxRows(): int
                        setSessionMaxRows(arg0: int): void
                        setSchema(arg0: string): void
                        abortInternal(): void
                        checkClosed(): void
                        isProxySet(): boolean
                        duplicate(): com.mysql.cj.api.jdbc.JdbcConnection
                        execSQL(arg0: com.mysql.cj.jdbc.StatementImpl, arg1: string, arg2: int, arg3: com.mysql.cj.api.mysqla.io.PacketPayload, arg4: boolean, arg5: string, arg6: com.mysql.cj.api.mysqla.result.ColumnDefinition): com.mysql.cj.api.jdbc.result.ResultSetInternalMethods
                        execSQL(arg0: com.mysql.cj.jdbc.StatementImpl, arg1: string, arg2: int, arg3: com.mysql.cj.api.mysqla.io.PacketPayload, arg4: boolean, arg5: string, arg6: com.mysql.cj.api.mysqla.result.ColumnDefinition, arg7: boolean): com.mysql.cj.api.jdbc.result.ResultSetInternalMethods
                        generateConnectionCommentBlock(arg0: java.lang.StringBuilder): java.lang.StringBuilder
                        getCachedMetaData(arg0: string): com.mysql.cj.jdbc.result.CachedResultSetMetaData
                        getCancelTimer(): java.util.Timer
                        getCharacterSetMetadata(): string
                        getMetadataSafeStatement(): java.sql.Statement
                        getRequiresEscapingEncoder(): boolean
                        getServerVersion(): com.mysql.cj.core.ServerVersion
                        getStatementInterceptorsInstances(): java.util.List<com.mysql.cj.api.jdbc.interceptors.StatementInterceptor>
                        incrementNumberOfPreparedExecutes(): void
                        incrementNumberOfPrepares(): void
                        incrementNumberOfResultSetsCreated(): void
                        initializeResultsMetadataFromCache(arg0: string, arg1: com.mysql.cj.jdbc.result.CachedResultSetMetaData, arg2: com.mysql.cj.api.jdbc.result.ResultSetInternalMethods): void
                        initializeSafeStatementInterceptors(): void
                        isReadInfoMsgEnabled(): boolean
                        isReadOnly(arg0: boolean): boolean
                        pingInternal(arg0: boolean, arg1: int): void
                        realClose(arg0: boolean, arg1: boolean, arg2: boolean, arg3: java.lang.Throwable): void
                        recachePreparedStatement(arg0: com.mysql.cj.jdbc.ServerPreparedStatement): void
                        decachePreparedStatement(arg0: com.mysql.cj.jdbc.ServerPreparedStatement): void
                        registerQueryExecutionTime(arg0: long): void
                        registerStatement(arg0: com.mysql.cj.api.jdbc.Statement): void
                        reportNumberOfTablesAccessed(arg0: int): void
                        setReadInfoMsgEnabled(arg0: boolean): void
                        setReadOnlyInternal(arg0: boolean): void
                        storesLowerCaseTableName(): boolean
                        throwConnectionClosedException(): void
                        transactionBegun(): void
                        transactionCompleted(): void
                        unregisterStatement(arg0: com.mysql.cj.api.jdbc.Statement): void
                        unSafeStatementInterceptors(): void
                        useAnsiQuotedIdentifiers(): boolean
                        getMultiHostSafeProxy(): com.mysql.cj.api.jdbc.JdbcConnection
                        getClientInfoProviderImpl(): com.mysql.cj.api.jdbc.ClientInfoProvider
                        getSession(): com.mysql.cj.api.Session
                        getPropertySet(): com.mysql.cj.api.conf.PropertySet
                    }
                    interface JdbcPropertySet extends com.mysql.cj.api.conf.PropertySet {
                        getJdbcModifiableProperty<T>(arg0: string): com.mysql.cj.api.conf.ModifiableProperty<T>
                        exposeAsDriverPropertyInfo(arg0: java.util.Properties, arg1: int): java.sql.DriverPropertyInfo[]
                    }
                    interface ParameterBindings {
                        getArray(arg0: int): java.sql.Array
                        getAsciiStream(arg0: int): java.io.InputStream
                        getBigDecimal(arg0: int): java.math.BigDecimal
                        getBinaryStream(arg0: int): java.io.InputStream
                        getBlob(arg0: int): java.sql.Blob
                        getBoolean(arg0: int): boolean
                        getByte(arg0: int): byte
                        getBytes(arg0: int): byte[]
                        getCharacterStream(arg0: int): java.io.Reader
                        getClob(arg0: int): java.sql.Clob
                        getDate(arg0: int): java.sql.Date
                        getDouble(arg0: int): double
                        getFloat(arg0: int): float
                        getInt(arg0: int): int
                        getBigInteger(arg0: int): java.math.BigInteger
                        getLong(arg0: int): long
                        getNCharacterStream(arg0: int): java.io.Reader
                        getNClob(arg0: int): java.io.Reader
                        getObject(arg0: int): java.lang.Object
                        getRef(arg0: int): java.sql.Ref
                        getShort(arg0: int): short
                        getString(arg0: int): string
                        getTime(arg0: int): java.sql.Time
                        getTimestamp(arg0: int): java.sql.Timestamp
                        getURL(arg0: int): java.net.URL
                        isNull(arg0: int): boolean
                    }
                    interface Statement extends java.sql.Statement {
                        MAX_ROWS: int
                        OPEN_CURSOR_FLAG: byte
                        enableStreamingResults(): void
                        disableStreamingResults(): void
                        setLocalInfileInputStream(arg0: java.io.InputStream): void
                        getLocalInfileInputStream(): java.io.InputStream
                        setPingTarget(arg0: com.mysql.cj.api.PingTarget | com.mysql.cj.api.PingTarget$$Lambda): void
                        getExceptionInterceptor(): com.mysql.cj.api.exceptions.ExceptionInterceptor
                        removeOpenResultSet(arg0: com.mysql.cj.api.jdbc.result.ResultSetInternalMethods): void
                        getOpenResultSetCount(): int
                        setHoldResultsOpenOverClose(arg0: boolean): void
                    }
                    namespace ha {
                        interface BalanceStrategy {
                            pickConnection(arg0: com.mysql.cj.jdbc.ha.LoadBalancedConnectionProxy, arg1: java.util.List<java.lang.String>, arg2: java.util.Map<java.lang.String, com.mysql.cj.jdbc.ConnectionImpl>, arg3: long[], arg4: int): com.mysql.cj.jdbc.ConnectionImpl
                        }
                        
                        interface BalanceStrategy$$Lambda {
                            (arg0: com.mysql.cj.jdbc.ha.LoadBalancedConnectionProxy, arg1: java.util.List<java.lang.String>, arg2: java.util.Map<java.lang.String, com.mysql.cj.jdbc.ConnectionImpl>, arg3: long[], arg4: int): com.mysql.cj.jdbc.ConnectionImpl
                        }
                        interface LoadBalanceExceptionChecker {
                            init(arg0: java.util.Properties): void
                            destroy(): void
                            shouldExceptionTriggerFailover(arg0: java.lang.Throwable): boolean
                        }
                        interface LoadBalancedConnection extends com.mysql.cj.api.jdbc.JdbcConnection {
                            addHost(arg0: string): boolean
                            removeHost(arg0: string): void
                            removeHostWhenNotInUse(arg0: string): void
                            ping(arg0: boolean): void
                        }
                        interface ReplicationConnection extends com.mysql.cj.api.jdbc.JdbcConnection {
                            getConnectionGroupId(): long
                            getCurrentConnection(): com.mysql.cj.api.jdbc.JdbcConnection
                            getMasterConnection(): com.mysql.cj.api.jdbc.JdbcConnection
                            promoteSlaveToMaster(arg0: string): void
                            removeMasterHost(arg0: string): void
                            removeMasterHost(arg0: string, arg1: boolean): void
                            isHostMaster(arg0: string): boolean
                            getSlavesConnection(): com.mysql.cj.api.jdbc.JdbcConnection
                            addSlaveHost(arg0: string): void
                            removeSlave(arg0: string): void
                            removeSlave(arg0: string, arg1: boolean): void
                            isHostSlave(arg0: string): boolean
                        }
                        
                    }
                    namespace interceptors {
                        interface ConnectionLifecycleInterceptor {
                            init(arg0: com.mysql.cj.api.MysqlConnection, arg1: java.util.Properties, arg2: com.mysql.cj.api.log.Log): com.mysql.cj.api.jdbc.interceptors.ConnectionLifecycleInterceptor
                            destroy(): void
                            close(): void
                            commit(): boolean
                            rollback(): boolean
                            rollback(arg0: java.sql.Savepoint): boolean
                            setAutoCommit(arg0: boolean): boolean
                            setCatalog(arg0: string): boolean
                            transactionBegun(): boolean
                            transactionCompleted(): boolean
                        }
                        interface StatementInterceptor {
                            init(arg0: com.mysql.cj.api.MysqlConnection, arg1: java.util.Properties, arg2: com.mysql.cj.api.log.Log): com.mysql.cj.api.jdbc.interceptors.StatementInterceptor
                            preProcess<T extends com.mysql.cj.api.mysqla.result.Resultset>(arg0: string, arg1: com.mysql.cj.api.jdbc.Statement): T
                            executeTopLevelOnly(): boolean
                            destroy(): void
                            postProcess<T extends com.mysql.cj.api.mysqla.result.Resultset>(arg0: string, arg1: com.mysql.cj.api.jdbc.Statement, arg2: T, arg3: int, arg4: boolean, arg5: boolean, arg6: java.lang.Exception): T
                        }
                        
                    }
                    namespace result {
                        interface ResultSetInternalMethods extends java.sql.ResultSet , com.mysql.cj.api.mysqla.result.ResultsetRowsOwner , com.mysql.cj.api.mysqla.result.Resultset {
                            copy(arg0: com.mysql.cj.jdbc.io.ResultSetFactory): com.mysql.cj.api.jdbc.result.ResultSetInternalMethods
                            getObjectStoredProc(arg0: int, arg1: int): java.lang.Object
                            getObjectStoredProc(arg0: int, arg1: java.util.Map<java.lang.Object, java.lang.Object>, arg2: int): java.lang.Object
                            getObjectStoredProc(arg0: string, arg1: int): java.lang.Object
                            getObjectStoredProc(arg0: string, arg1: java.util.Map<java.lang.Object, java.lang.Object>, arg2: int): java.lang.Object
                            realClose(arg0: boolean): void
                            setFirstCharOfQuery(arg0: char): void
                            setOwningStatement(arg0: com.mysql.cj.jdbc.StatementImpl): void
                            getFirstCharOfQuery(): char
                            setStatementUsedForFetchingRows(arg0: com.mysql.cj.jdbc.PreparedStatement): void
                            setWrapperStatement(arg0: java.sql.Statement): void
                            initializeWithMetadata(): void
                            populateCachedMetaData(arg0: com.mysql.cj.jdbc.result.CachedResultSetMetaData): void
                            getBigInteger(arg0: int): java.math.BigInteger
                        }
                        
                    }
                    
                }
                namespace log {
                    interface Log {
                        LOGGER_INSTANCE_NAME: string
                        isDebugEnabled(): boolean
                        isErrorEnabled(): boolean
                        isFatalEnabled(): boolean
                        isInfoEnabled(): boolean
                        isTraceEnabled(): boolean
                        isWarnEnabled(): boolean
                        logDebug(arg0: java.lang.Object): void
                        logDebug(arg0: java.lang.Object, arg1: java.lang.Throwable): void
                        logError(arg0: java.lang.Object): void
                        logError(arg0: java.lang.Object, arg1: java.lang.Throwable): void
                        logFatal(arg0: java.lang.Object): void
                        logFatal(arg0: java.lang.Object, arg1: java.lang.Throwable): void
                        logInfo(arg0: java.lang.Object): void
                        logInfo(arg0: java.lang.Object, arg1: java.lang.Throwable): void
                        logTrace(arg0: java.lang.Object): void
                        logTrace(arg0: java.lang.Object, arg1: java.lang.Throwable): void
                        logWarn(arg0: java.lang.Object): void
                        logWarn(arg0: java.lang.Object, arg1: java.lang.Throwable): void
                    }
                    
                }
                namespace mysqla {
                    namespace authentication {
                        interface AuthenticationPlugin {
                            init(arg0: com.mysql.cj.api.io.Protocol): void
                            destroy(): void
                            getProtocolPluginName(): string
                            requiresConfidentiality(): boolean
                            isReusable(): boolean
                            setAuthenticationParameters(arg0: string, arg1: string): void
                            nextAuthenticationStep(arg0: com.mysql.cj.api.mysqla.io.PacketPayload, arg1: java.util.List<com.mysql.cj.api.mysqla.io.PacketPayload>): boolean
                        }
                        
                    }
                    namespace io {
                        class NativeProtocol$IntegerDataType extends java.lang.Enum<com.mysql.cj.api.mysqla.io.NativeProtocol$IntegerDataType> {
                            public static INT1: com.mysql.cj.api.mysqla.io.NativeProtocol$IntegerDataType
                            public static INT2: com.mysql.cj.api.mysqla.io.NativeProtocol$IntegerDataType
                            public static INT3: com.mysql.cj.api.mysqla.io.NativeProtocol$IntegerDataType
                            public static INT4: com.mysql.cj.api.mysqla.io.NativeProtocol$IntegerDataType
                            public static INT6: com.mysql.cj.api.mysqla.io.NativeProtocol$IntegerDataType
                            public static INT8: com.mysql.cj.api.mysqla.io.NativeProtocol$IntegerDataType
                            public static INT_LENENC: com.mysql.cj.api.mysqla.io.NativeProtocol$IntegerDataType
                            public static values(): com.mysql.cj.api.mysqla.io.NativeProtocol$IntegerDataType[]
                            public static valueOf(arg0: string): com.mysql.cj.api.mysqla.io.NativeProtocol$IntegerDataType
                            public static class: java.lang.Class<any>
                        }
                        class NativeProtocol$StringLengthDataType extends java.lang.Enum<com.mysql.cj.api.mysqla.io.NativeProtocol$StringLengthDataType> {
                            public static STRING_FIXED: com.mysql.cj.api.mysqla.io.NativeProtocol$StringLengthDataType
                            public static STRING_VAR: com.mysql.cj.api.mysqla.io.NativeProtocol$StringLengthDataType
                            public static values(): com.mysql.cj.api.mysqla.io.NativeProtocol$StringLengthDataType[]
                            public static valueOf(arg0: string): com.mysql.cj.api.mysqla.io.NativeProtocol$StringLengthDataType
                            public static class: java.lang.Class<any>
                        }
                        class NativeProtocol$StringSelfDataType extends java.lang.Enum<com.mysql.cj.api.mysqla.io.NativeProtocol$StringSelfDataType> {
                            public static STRING_TERM: com.mysql.cj.api.mysqla.io.NativeProtocol$StringSelfDataType
                            public static STRING_LENENC: com.mysql.cj.api.mysqla.io.NativeProtocol$StringSelfDataType
                            public static STRING_EOF: com.mysql.cj.api.mysqla.io.NativeProtocol$StringSelfDataType
                            public static values(): com.mysql.cj.api.mysqla.io.NativeProtocol$StringSelfDataType[]
                            public static valueOf(arg0: string): com.mysql.cj.api.mysqla.io.NativeProtocol$StringSelfDataType
                            public static class: java.lang.Class<any>
                        }
                        interface NativeProtocol extends com.mysql.cj.api.io.Protocol {
                            rejectProtocol(arg0: com.mysql.cj.api.mysqla.io.PacketPayload): void
                            getPacketReader(): com.mysql.cj.api.mysqla.io.PacketReader
                            readPacket(arg0: com.mysql.cj.api.mysqla.io.PacketPayload): com.mysql.cj.api.mysqla.io.PacketPayload
                            checkErrorPacket(): com.mysql.cj.api.mysqla.io.PacketPayload
                            send(arg0: com.mysql.cj.api.mysqla.io.PacketPayload, arg1: int): void
                            sendCommand(arg0: int, arg1: string, arg2: com.mysql.cj.api.mysqla.io.PacketPayload, arg3: boolean, arg4: string, arg5: int): com.mysql.cj.api.mysqla.io.PacketPayload
                            read<T extends com.mysql.cj.api.mysqla.result.ProtocolEntity>(arg0: java.lang.Class<T>, arg1: com.mysql.cj.api.mysqla.io.ProtocolEntityFactory<T>): T
                            read<T extends com.mysql.cj.api.mysqla.result.ProtocolEntity>(arg0: java.lang.Class<com.mysql.cj.api.mysqla.result.Resultset>, arg1: int, arg2: boolean, arg3: com.mysql.cj.api.mysqla.io.PacketPayload, arg4: boolean, arg5: com.mysql.cj.api.mysqla.result.ColumnDefinition, arg6: com.mysql.cj.api.mysqla.io.ProtocolEntityFactory<T>): T
                            setLocalInfileInputStream(arg0: java.io.InputStream): void
                            getLocalInfileInputStream(): java.io.InputStream
                        }
                        interface PacketHeader {
                            getBuffer(): byte[]
                            getPacketLength(): int
                            getPacketSequence(): byte
                        }
                        interface PacketPayload {
                            NO_LENGTH_LIMIT: int
                            NULL_LENGTH: long
                            TYPE_ID_ERROR: short
                            TYPE_ID_EOF: short
                            TYPE_ID_AUTH_SWITCH: short
                            TYPE_ID_LOCAL_INFILE: short
                            TYPE_ID_OK: short
                            getCapacity(): int
                            ensureCapacity(arg0: int): void
                            getByteBuffer(): byte[]
                            setByteBuffer(arg0: byte[]): void
                            getPayloadLength(): int
                            setPayloadLength(arg0: int): void
                            getPosition(): int
                            setPosition(arg0: int): void
                            isEOFPacket(): boolean
                            isAuthMethodSwitchRequestPacket(): boolean
                            isOKPacket(): boolean
                            isResultSetOKPacket(): boolean
                            isAuthMoreData(): boolean
                            writeInteger(arg0: com.mysql.cj.api.mysqla.io.NativeProtocol$IntegerDataType, arg1: long): void
                            readInteger(arg0: com.mysql.cj.api.mysqla.io.NativeProtocol$IntegerDataType): long
                            writeBytes(arg0: com.mysql.cj.api.mysqla.io.NativeProtocol$StringLengthDataType, arg1: byte[]): void
                            writeBytes(arg0: com.mysql.cj.api.mysqla.io.NativeProtocol$StringSelfDataType, arg1: byte[]): void
                            writeBytes(arg0: com.mysql.cj.api.mysqla.io.NativeProtocol$StringLengthDataType, arg1: byte[], arg2: int, arg3: int): void
                            writeBytes(arg0: com.mysql.cj.api.mysqla.io.NativeProtocol$StringSelfDataType, arg1: byte[], arg2: int, arg3: int): void
                            readBytes(arg0: com.mysql.cj.api.mysqla.io.NativeProtocol$StringSelfDataType): byte[]
                            skipBytes(arg0: com.mysql.cj.api.mysqla.io.NativeProtocol$StringSelfDataType): void
                            readBytes(arg0: com.mysql.cj.api.mysqla.io.NativeProtocol$StringLengthDataType, arg1: int): byte[]
                            readString(arg0: com.mysql.cj.api.mysqla.io.NativeProtocol$StringSelfDataType, arg1: string): string
                            readString(arg0: com.mysql.cj.api.mysqla.io.NativeProtocol$StringLengthDataType, arg1: string, arg2: int): string
                        }
                        interface PacketReader {
                            readHeader(): com.mysql.cj.api.mysqla.io.PacketHeader
                            readPayload(arg0: java.util.Optional<com.mysql.cj.api.mysqla.io.PacketPayload>, arg1: int): com.mysql.cj.api.mysqla.io.PacketPayload
                            getPacketSequence(): byte
                            resetPacketSequence(): void
                            undecorateAll(): com.mysql.cj.api.mysqla.io.PacketReader
                            undecorate(): com.mysql.cj.api.mysqla.io.PacketReader
                        }
                        interface PacketSender {
                            send(arg0: byte[], arg1: int, arg2: byte): void
                            undecorateAll(): com.mysql.cj.api.mysqla.io.PacketSender
                            undecorate(): com.mysql.cj.api.mysqla.io.PacketSender
                        }
                        interface ProtocolEntityFactory<T> {
                            createFromPacketPayload(arg0: com.mysql.cj.api.mysqla.io.PacketPayload): T
                            getResultSetType(): com.mysql.cj.api.mysqla.result.Resultset$Type
                            getResultSetConcurrency(): com.mysql.cj.api.mysqla.result.Resultset$Concurrency
                            getFetchSize(): int
                            createFromProtocolEntity(arg0: com.mysql.cj.api.mysqla.result.ProtocolEntity): T
                        }
                        interface ProtocolEntityReader<T extends com.mysql.cj.api.mysqla.result.ProtocolEntity> {
                            read(arg0: com.mysql.cj.api.mysqla.io.ProtocolEntityFactory<T>): T
                            read(arg0: int, arg1: boolean, arg2: com.mysql.cj.api.mysqla.io.PacketPayload, arg3: com.mysql.cj.api.mysqla.result.ColumnDefinition, arg4: com.mysql.cj.api.mysqla.io.ProtocolEntityFactory<T>): T
                        }
                        
                    }
                    namespace result {
                        interface ColumnDefinition extends com.mysql.cj.api.mysqla.result.ProtocolEntity {
                            getFields(): com.mysql.cj.core.result.Field[]
                            setFields(arg0: com.mysql.cj.core.result.Field[]): void
                            buildIndexMapping(): void
                            hasBuiltIndexMapping(): boolean
                            getColumnLabelToIndex(): java.util.Map<java.lang.String, java.lang.Integer>
                            setColumnLabelToIndex(arg0: java.util.Map<java.lang.String, java.lang.Integer>): void
                            getFullColumnNameToIndex(): java.util.Map<java.lang.String, java.lang.Integer>
                            setFullColumnNameToIndex(arg0: java.util.Map<java.lang.String, java.lang.Integer>): void
                            getColumnNameToIndex(): java.util.Map<java.lang.String, java.lang.Integer>
                            setColumnNameToIndex(arg0: java.util.Map<java.lang.String, java.lang.Integer>): void
                            getColumnToIndexCache(): java.util.Map<java.lang.String, java.lang.Integer>
                            setColumnToIndexCache(arg0: java.util.Map<java.lang.String, java.lang.Integer>): void
                            initializeFrom(arg0: com.mysql.cj.api.mysqla.result.ColumnDefinition): void
                            exportTo(arg0: com.mysql.cj.api.mysqla.result.ColumnDefinition): void
                            findColumn(arg0: string, arg1: boolean): int
                            hasLargeFields(): boolean
                        }
                        interface ProtocolEntity {
                        }
                        class Resultset$Concurrency extends java.lang.Enum<com.mysql.cj.api.mysqla.result.Resultset$Concurrency> {
                            public static READ_ONLY: com.mysql.cj.api.mysqla.result.Resultset$Concurrency
                            public static UPDATABLE: com.mysql.cj.api.mysqla.result.Resultset$Concurrency
                            public static values(): com.mysql.cj.api.mysqla.result.Resultset$Concurrency[]
                            public static valueOf(arg0: string): com.mysql.cj.api.mysqla.result.Resultset$Concurrency
                            public getIntValue(): int
                            public static fromValue(arg0: int, arg1: com.mysql.cj.api.mysqla.result.Resultset$Concurrency): com.mysql.cj.api.mysqla.result.Resultset$Concurrency
                            public static class: java.lang.Class<any>
                        }
                        class Resultset$Type extends java.lang.Enum<com.mysql.cj.api.mysqla.result.Resultset$Type> {
                            public static FORWARD_ONLY: com.mysql.cj.api.mysqla.result.Resultset$Type
                            public static SCROLL_INSENSITIVE: com.mysql.cj.api.mysqla.result.Resultset$Type
                            public static SCROLL_SENSITIVE: com.mysql.cj.api.mysqla.result.Resultset$Type
                            public static values(): com.mysql.cj.api.mysqla.result.Resultset$Type[]
                            public static valueOf(arg0: string): com.mysql.cj.api.mysqla.result.Resultset$Type
                            public getIntValue(): int
                            public static fromValue(arg0: int, arg1: com.mysql.cj.api.mysqla.result.Resultset$Type): com.mysql.cj.api.mysqla.result.Resultset$Type
                            public static class: java.lang.Class<any>
                        }
                        interface Resultset extends com.mysql.cj.api.mysqla.result.ProtocolEntity {
                            setColumnDefinition(arg0: com.mysql.cj.api.mysqla.result.ColumnDefinition): void
                            getColumnDefinition(): com.mysql.cj.api.mysqla.result.ColumnDefinition
                            hasRows(): boolean
                            initRowsWithMetadata(): void
                            getResultId(): int
                            setNextResultset(arg0: com.mysql.cj.api.mysqla.result.Resultset): void
                            getNextResultset(): com.mysql.cj.api.mysqla.result.Resultset
                            clearNextResultset(): void
                            getUpdateCount(): long
                            getUpdateID(): long
                            getServerInfo(): string
                        }
                        interface ResultsetRow extends com.mysql.cj.api.result.Row , com.mysql.cj.api.mysqla.result.ProtocolEntity {
                            isBinaryEncoded(): boolean
                        }
                        interface ResultsetRows extends com.mysql.cj.api.result.RowList , com.mysql.cj.api.mysqla.result.ProtocolEntity {
                            addRow(arg0: com.mysql.cj.api.result.Row): void
                            afterLast(): void
                            beforeFirst(): void
                            beforeLast(): void
                            close(): void
                            getOwner(): com.mysql.cj.api.mysqla.result.ResultsetRowsOwner
                            isAfterLast(): boolean
                            isBeforeFirst(): boolean
                            isDynamic(): boolean
                            isEmpty(): boolean
                            isFirst(): boolean
                            isLast(): boolean
                            moveRowRelative(arg0: int): void
                            setCurrentRow(arg0: int): void
                            setOwner(arg0: com.mysql.cj.api.mysqla.result.ResultsetRowsOwner): void
                            wasEmpty(): boolean
                            setMetadata(arg0: com.mysql.cj.api.mysqla.result.ColumnDefinition): void
                            getMetadata(): com.mysql.cj.api.mysqla.result.ColumnDefinition
                        }
                        interface ResultsetRowsOwner {
                            closeOwner(arg0: boolean): void
                            getConnection(): com.mysql.cj.api.MysqlConnection
                            getConnectionId(): long
                            getPointOfOrigin(): string
                            getOwnerFetchSize(): int
                            getCurrentCatalog(): string
                            getOwningStatementId(): int
                            getOwningStatementMaxRows(): int
                            getOwningStatementFetchSize(): int
                            getOwningStatementServerId(): long
                        }
                        
                    }
                    
                }
                namespace result {
                    interface Row {
                        getValue<T>(arg0: int, arg1: com.mysql.cj.api.io.ValueFactory<T>): T
                        setMetadata(arg0: com.mysql.cj.api.mysqla.result.ColumnDefinition): com.mysql.cj.api.result.Row
                        getBytes(arg0: int): byte[]
                        setBytes(arg0: int, arg1: byte[]): void
                        getNull(arg0: int): boolean
                        wasNull(): boolean
                    }
                    interface RowList extends java.util.Iterator<com.mysql.cj.api.result.Row> {
                        RESULT_SET_SIZE_UNKNOWN: int
                        previous(): com.mysql.cj.api.result.Row
                        get(arg0: int): com.mysql.cj.api.result.Row
                        getPosition(): int
                        size(): int
                    }
                    
                }
                namespace x {
                    namespace core {
                        interface ResultCtor<T> extends java.util.function$.Function<java.util.ArrayList<com.mysql.cj.core.result.Field>, java.util.function$.BiFunction<com.mysql.cj.api.result.RowList, java.util.function$.Supplier<com.mysql.cj.x.core.StatementExecuteOk>, T>> {
                        }
                        interface RowToElement<EL_T> extends java.util.function$.Function<com.mysql.cj.api.result.Row, EL_T> {
                        }
                        interface Warning {
                            getLevel(): int
                            getCode(): long
                            getMessage(): string
                        }
                        
                    }
                    namespace io {
                        interface ColToFieldTransformer extends java.util.function$.Function<com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData, com.mysql.cj.core.result.Field> {
                        }
                        interface DecoderFunction {
                            apply<T>(arg0: com.google.protobuf.CodedInputStream, arg1: com.mysql.cj.api.io.ValueFactory<T>): T
                        }
                        
                        interface DecoderFunction$$Lambda {
                            apply<T>(arg0: com.google.protobuf.CodedInputStream, arg1: com.mysql.cj.api.io.ValueFactory<T>): T
                        }
                        class MessageConstants {
                            public static MESSAGE_CLASS_TO_PARSER: java.util.Map<java.lang.Class<com.google.protobuf.GeneratedMessage>, com.google.protobuf.Parser<com.google.protobuf.GeneratedMessage>>
                            public static MESSAGE_CLASS_TO_TYPE: java.util.Map<java.lang.Class<com.google.protobuf.GeneratedMessage>, java.lang.Integer>
                            public static MESSAGE_TYPE_TO_CLASS: java.util.Map<java.lang.Integer, java.lang.Class<com.google.protobuf.GeneratedMessage>>
                            public static MESSAGE_CLASS_TO_CLIENT_MESSAGE_TYPE: java.util.Map<java.lang.Class<com.google.protobuf.MessageLite>, java.lang.Integer>
                            public constructor()
                            public static class: java.lang.Class<any>
                        }
                        interface MessageListener extends java.util.function$.BiFunction<java.lang.Class<com.google.protobuf.GeneratedMessage>, com.google.protobuf.GeneratedMessage, java.lang.Boolean> {
                            closed(): void
                            error(arg0: java.lang.Throwable): void
                        }
                        interface MessageReader {
                            getNextMessageClass(): java.lang.Class<com.google.protobuf.GeneratedMessage>
                            read<T extends com.google.protobuf.GeneratedMessage>(arg0: java.lang.Class<T>): T
                            parseNotice<T extends com.google.protobuf.GeneratedMessage>(arg0: com.google.protobuf.ByteString, arg1: java.lang.Class<T>): T
                        }
                        interface MessageWriter {
                            write(arg0: com.google.protobuf.MessageLite): void
                            setMaxAllowedPacket(arg0: int): void
                            getTypeForMessageClass(arg0: java.lang.Class<com.google.protobuf.MessageLite>): int
                        }
                        interface MetadataToRowToElement<T> extends java.util.function$.Function<java.util.ArrayList<com.mysql.cj.core.result.Field>, com.mysql.cj.api.x.core.RowToElement<T>> {
                        }
                        interface ResultListener {
                            onMetadata(arg0: java.util.ArrayList<com.mysql.cj.core.result.Field>): void
                            onRow(arg0: com.mysql.cj.x.io.XProtocolRow): void
                            onComplete(arg0: com.mysql.cj.x.core.StatementExecuteOk): void
                            onError(arg0: com.mysql.cj.x.core.XDevAPIError): void
                            onException(arg0: java.lang.Throwable): void
                        }
                        interface ResultStreamer {
                            finishStreaming(): void
                        }
                        
                        interface ResultStreamer$$Lambda {
                            (): void
                        }
                        class XpluginStatementCommand extends java.lang.Enum<com.mysql.cj.api.x.io.XpluginStatementCommand> {
                            public static XPLUGIN_STMT_CREATE_COLLECTION: com.mysql.cj.api.x.io.XpluginStatementCommand
                            public static XPLUGIN_STMT_CREATE_COLLECTION_INDEX: com.mysql.cj.api.x.io.XpluginStatementCommand
                            public static XPLUGIN_STMT_DROP_COLLECTION: com.mysql.cj.api.x.io.XpluginStatementCommand
                            public static XPLUGIN_STMT_DROP_COLLECTION_INDEX: com.mysql.cj.api.x.io.XpluginStatementCommand
                            public static XPLUGIN_STMT_PING: com.mysql.cj.api.x.io.XpluginStatementCommand
                            public static XPLUGIN_STMT_LIST_OBJECTS: com.mysql.cj.api.x.io.XpluginStatementCommand
                            public static XPLUGIN_STMT_ENABLE_NOTICES: com.mysql.cj.api.x.io.XpluginStatementCommand
                            public static XPLUGIN_STMT_DISABLE_NOTICES: com.mysql.cj.api.x.io.XpluginStatementCommand
                            public static XPLUGIN_STMT_LIST_NOTICES: com.mysql.cj.api.x.io.XpluginStatementCommand
                            public commandName: string
                            public static values(): com.mysql.cj.api.x.io.XpluginStatementCommand[]
                            public static valueOf(arg0: string): com.mysql.cj.api.x.io.XpluginStatementCommand
                            public static class: java.lang.Class<any>
                        }
                        
                    }
                    
                }
                namespace xdevapi {
                    interface AddStatement extends com.mysql.cj.api.xdevapi.Statement<com.mysql.cj.api.xdevapi.AddStatement, com.mysql.cj.api.xdevapi.Result> {
                        add(arg0: string): com.mysql.cj.api.xdevapi.AddStatement
                        add(...arg0: com.mysql.cj.xdevapi.DbDoc[]): com.mysql.cj.api.xdevapi.AddStatement
                    }
                    interface BaseSession {
                        getSchemas(): java.util.List<com.mysql.cj.api.xdevapi.Schema>
                        getSchema(arg0: string): com.mysql.cj.api.xdevapi.Schema
                        getDefaultSchemaName(): string
                        getDefaultSchema(): com.mysql.cj.api.xdevapi.Schema
                        createSchema(arg0: string): com.mysql.cj.api.xdevapi.Schema
                        createSchema(arg0: string, arg1: boolean): com.mysql.cj.api.xdevapi.Schema
                        dropSchema(arg0: string): void
                        dropCollection(arg0: string, arg1: string): void
                        dropTable(arg0: string, arg1: string): void
                        getUri(): string
                        isOpen(): boolean
                        close(): void
                        startTransaction(): void
                        commit(): void
                        rollback(): void
                    }
                    interface Collection extends com.mysql.cj.api.xdevapi.DatabaseObject {
                        add(arg0: java.util.Map<java.lang.String, any>): com.mysql.cj.api.xdevapi.AddStatement
                        add(...arg0: java.lang.String[]): com.mysql.cj.api.xdevapi.AddStatement
                        add(arg0: com.mysql.cj.xdevapi.DbDoc): com.mysql.cj.api.xdevapi.AddStatement
                        add(...arg0: com.mysql.cj.xdevapi.DbDoc[]): com.mysql.cj.api.xdevapi.AddStatement
                        find(): com.mysql.cj.api.xdevapi.FindStatement
                        find(arg0: string): com.mysql.cj.api.xdevapi.FindStatement
                        modify(): com.mysql.cj.api.xdevapi.ModifyStatement
                        modify(arg0: string): com.mysql.cj.api.xdevapi.ModifyStatement
                        remove(): com.mysql.cj.api.xdevapi.RemoveStatement
                        remove(arg0: string): com.mysql.cj.api.xdevapi.RemoveStatement
                        createIndex(arg0: string, arg1: boolean): com.mysql.cj.api.xdevapi.CreateCollectionIndexStatement
                        dropIndex(arg0: string): com.mysql.cj.api.xdevapi.DropCollectionIndexStatement
                        count(): long
                        newDoc(): com.mysql.cj.xdevapi.DbDoc
                    }
                    interface Column {
                        getSchemaName(): string
                        getTableName(): string
                        getTableLabel(): string
                        getColumnName(): string
                        getColumnLabel(): string
                        getType(): com.mysql.cj.api.xdevapi.Type
                        getLength(): long
                        getFractionalDigits(): int
                        isNumberSigned(): boolean
                        getCollationName(): string
                        getCharacterSetName(): string
                        isPadded(): boolean
                        isNullable(): boolean
                        isAutoIncrement(): boolean
                        isPrimaryKey(): boolean
                        isUniqueKey(): boolean
                        isPartKey(): boolean
                    }
                    interface ColumnDefinition$GeneratedColumnDefinition extends com.mysql.cj.api.xdevapi.ColumnDefinition<com.mysql.cj.api.xdevapi.ColumnDefinition$GeneratedColumnDefinition> {
                        stored(): com.mysql.cj.api.xdevapi.ColumnDefinition$GeneratedColumnDefinition
                    }
                    interface ColumnDefinition$StaticColumnDefinition extends com.mysql.cj.api.xdevapi.ColumnDefinition<com.mysql.cj.api.xdevapi.ColumnDefinition$StaticColumnDefinition> {
                        setDefault(arg0: string): com.mysql.cj.api.xdevapi.ColumnDefinition$StaticColumnDefinition
                        autoIncrement(): com.mysql.cj.api.xdevapi.ColumnDefinition$StaticColumnDefinition
                        foreignKey(arg0: string, ...arg1: java.lang.String[]): com.mysql.cj.api.xdevapi.ColumnDefinition$StaticColumnDefinition
                    }
                    interface ColumnDefinition<T extends com.mysql.cj.api.xdevapi.ColumnDefinition<T>> {
                        notNull(): T
                        uniqueIndex(): T
                        primaryKey(): T
                        comment(arg0: string): T
                        unsigned(): T
                        decimals(arg0: int): T
                        charset(arg0: string): T
                        collation(arg0: string): T
                        binary(): T
                        values(...arg0: java.lang.String[]): T
                    }
                    interface CreateCollectionIndexStatement extends com.mysql.cj.api.xdevapi.Statement<com.mysql.cj.api.xdevapi.CreateCollectionIndexStatement, com.mysql.cj.api.xdevapi.Result> {
                        field(arg0: string, arg1: string, arg2: boolean): com.mysql.cj.api.xdevapi.CreateCollectionIndexStatement
                    }
                    interface CreateTableStatement$CreateTableFullStatement extends com.mysql.cj.api.xdevapi.CreateTableStatement {
                        addColumn(arg0: com.mysql.cj.api.xdevapi.ColumnDefinition<any>): com.mysql.cj.api.xdevapi.CreateTableStatement$CreateTableFullStatement
                        addPrimaryKey(...arg0: java.lang.String[]): com.mysql.cj.api.xdevapi.CreateTableStatement$CreateTableFullStatement
                        addIndex(arg0: string, ...arg1: java.lang.String[]): com.mysql.cj.api.xdevapi.CreateTableStatement$CreateTableFullStatement
                        addUniqueIndex(arg0: string, ...arg1: java.lang.String[]): com.mysql.cj.api.xdevapi.CreateTableStatement$CreateTableFullStatement
                        addForeignKey(arg0: string, arg1: com.mysql.cj.api.xdevapi.ForeignKeyDefinition): com.mysql.cj.api.xdevapi.CreateTableStatement$CreateTableFullStatement
                        setInitialAutoIncrement(arg0: java.lang.Number): com.mysql.cj.api.xdevapi.CreateTableStatement$CreateTableFullStatement
                        setDefaultCharset(arg0: string): com.mysql.cj.api.xdevapi.CreateTableStatement$CreateTableFullStatement
                        setDefaultCollation(arg0: string): com.mysql.cj.api.xdevapi.CreateTableStatement$CreateTableFullStatement
                        setComment(arg0: string): com.mysql.cj.api.xdevapi.CreateTableStatement$CreateTableFullStatement
                        temporary(): com.mysql.cj.api.xdevapi.CreateTableStatement$CreateTableFullStatement
                        as(arg0: string): com.mysql.cj.api.xdevapi.CreateTableStatement$CreateTableFullStatement
                        as(arg0: com.mysql.cj.api.xdevapi.SelectStatement): com.mysql.cj.api.xdevapi.CreateTableStatement$CreateTableFullStatement
                    }
                    interface CreateTableStatement$CreateTableLikeStatement extends com.mysql.cj.api.xdevapi.CreateTableStatement {
                    }
                    interface CreateTableStatement$CreateTableSplitStatement extends com.mysql.cj.api.xdevapi.CreateTableStatement {
                        addColumn(arg0: com.mysql.cj.api.xdevapi.ColumnDefinition<any>): com.mysql.cj.api.xdevapi.CreateTableStatement$CreateTableFullStatement
                        addPrimaryKey(...arg0: java.lang.String[]): com.mysql.cj.api.xdevapi.CreateTableStatement$CreateTableFullStatement
                        addIndex(arg0: string, ...arg1: java.lang.String[]): com.mysql.cj.api.xdevapi.CreateTableStatement$CreateTableFullStatement
                        addUniqueIndex(arg0: string, ...arg1: java.lang.String[]): com.mysql.cj.api.xdevapi.CreateTableStatement$CreateTableFullStatement
                        addForeignKey(arg0: string, arg1: com.mysql.cj.api.xdevapi.ForeignKeyDefinition): com.mysql.cj.api.xdevapi.CreateTableStatement$CreateTableFullStatement
                        setInitialAutoIncrement(arg0: java.lang.Number): com.mysql.cj.api.xdevapi.CreateTableStatement$CreateTableFullStatement
                        setDefaultCharset(arg0: string): com.mysql.cj.api.xdevapi.CreateTableStatement$CreateTableFullStatement
                        setDefaultCollation(arg0: string): com.mysql.cj.api.xdevapi.CreateTableStatement$CreateTableFullStatement
                        setComment(arg0: string): com.mysql.cj.api.xdevapi.CreateTableStatement$CreateTableFullStatement
                        temporary(): com.mysql.cj.api.xdevapi.CreateTableStatement$CreateTableFullStatement
                        as(arg0: string): com.mysql.cj.api.xdevapi.CreateTableStatement$CreateTableFullStatement
                        as(arg0: com.mysql.cj.api.xdevapi.SelectStatement): com.mysql.cj.api.xdevapi.CreateTableStatement$CreateTableFullStatement
                        like(arg0: string): com.mysql.cj.api.xdevapi.CreateTableStatement$CreateTableLikeStatement
                    }
                    interface CreateTableStatement {
                        execute(): com.mysql.cj.api.xdevapi.Table
                    }
                    
                    interface CreateTableStatement$$Lambda {
                        (): com.mysql.cj.api.xdevapi.Table
                    }
                    interface DataStatement$Reducer<RES_ELEMENT_T, R> extends java.util.function$.BiFunction<R, RES_ELEMENT_T, R> {
                    }
                    interface DataStatement<STMT_T, RES_T, RES_ELEMENT_T> extends com.mysql.cj.api.xdevapi.Statement<STMT_T, RES_T> {
                        executeAsync<R>(arg0: R, arg1: com.mysql.cj.api.xdevapi.DataStatement$Reducer<RES_ELEMENT_T, R>): java.util.concurrent.CompletableFuture<R>
                    }
                    class DatabaseObject$DbObjectStatus extends java.lang.Enum<com.mysql.cj.api.xdevapi.DatabaseObject$DbObjectStatus> {
                        public static EXISTS: com.mysql.cj.api.xdevapi.DatabaseObject$DbObjectStatus
                        public static NOT_EXISTS: com.mysql.cj.api.xdevapi.DatabaseObject$DbObjectStatus
                        public static UNKNOWN: com.mysql.cj.api.xdevapi.DatabaseObject$DbObjectStatus
                        public static values(): com.mysql.cj.api.xdevapi.DatabaseObject$DbObjectStatus[]
                        public static valueOf(arg0: string): com.mysql.cj.api.xdevapi.DatabaseObject$DbObjectStatus
                        public static class: java.lang.Class<any>
                    }
                    class DatabaseObject$DbObjectType extends java.lang.Enum<com.mysql.cj.api.xdevapi.DatabaseObject$DbObjectType> {
                        public static COLLECTION: com.mysql.cj.api.xdevapi.DatabaseObject$DbObjectType
                        public static TABLE: com.mysql.cj.api.xdevapi.DatabaseObject$DbObjectType
                        public static VIEW: com.mysql.cj.api.xdevapi.DatabaseObject$DbObjectType
                        public static COLLECTION_VIEW: com.mysql.cj.api.xdevapi.DatabaseObject$DbObjectType
                        public static values(): com.mysql.cj.api.xdevapi.DatabaseObject$DbObjectType[]
                        public static valueOf(arg0: string): com.mysql.cj.api.xdevapi.DatabaseObject$DbObjectType
                        public static class: java.lang.Class<any>
                    }
                    interface DatabaseObject {
                        getSession(): com.mysql.cj.api.xdevapi.BaseSession
                        getSchema(): com.mysql.cj.api.xdevapi.Schema
                        getName(): string
                        existsInDatabase(): com.mysql.cj.api.xdevapi.DatabaseObject$DbObjectStatus
                    }
                    interface DeleteStatement extends com.mysql.cj.api.xdevapi.Statement<com.mysql.cj.api.xdevapi.DeleteStatement, com.mysql.cj.api.xdevapi.Result> {
                        where(arg0: string): com.mysql.cj.api.xdevapi.DeleteStatement
                        orderBy(...arg0: java.lang.String[]): com.mysql.cj.api.xdevapi.DeleteStatement
                        limit(arg0: long): com.mysql.cj.api.xdevapi.DeleteStatement
                    }
                    interface DocResult extends com.mysql.cj.api.xdevapi.FetchResult<com.mysql.cj.xdevapi.DbDoc> {
                    }
                    interface DropCollectionIndexStatement extends com.mysql.cj.api.xdevapi.Statement<com.mysql.cj.api.xdevapi.DropCollectionIndexStatement, com.mysql.cj.api.xdevapi.Result> {
                    }
                    class Expression {
                        public constructor(arg0: string)
                        public getExpressionString(): string
                        public static expr(arg0: string): com.mysql.cj.api.xdevapi.Expression
                        public static class: java.lang.Class<any>
                    }
                    interface FetchResult<T> extends java.util.Iterator<T> , java.lang.Iterable<T> {
                        hasData(): boolean
                        fetchOne(): T
                        iterator(): java.util.Iterator<T>
                        count(): long
                        fetchAll(): java.util.List<T>
                        getWarningsCount(): int
                        getWarnings(): java.util.Iterator<com.mysql.cj.api.xdevapi.Warning>
                    }
                    interface FindStatement extends com.mysql.cj.api.xdevapi.DataStatement<com.mysql.cj.api.xdevapi.FindStatement, com.mysql.cj.api.xdevapi.DocResult, com.mysql.cj.xdevapi.DbDoc> {
                        fields(...arg0: java.lang.String[]): com.mysql.cj.api.xdevapi.FindStatement
                        fields(arg0: com.mysql.cj.api.xdevapi.Expression): com.mysql.cj.api.xdevapi.FindStatement
                        groupBy(...arg0: java.lang.String[]): com.mysql.cj.api.xdevapi.FindStatement
                        having(arg0: string): com.mysql.cj.api.xdevapi.FindStatement
                        orderBy(...arg0: java.lang.String[]): com.mysql.cj.api.xdevapi.FindStatement
                        sort(...arg0: java.lang.String[]): com.mysql.cj.api.xdevapi.FindStatement
                        skip(arg0: long): com.mysql.cj.api.xdevapi.FindStatement
                        limit(arg0: long): com.mysql.cj.api.xdevapi.FindStatement
                    }
                    class ForeignKeyDefinition$1 {
                        public static class: java.lang.Class<any>
                    }
                    class ForeignKeyDefinition$ChangeMode extends java.lang.Enum<com.mysql.cj.api.xdevapi.ForeignKeyDefinition$ChangeMode> {
                        public static RESTRICT: com.mysql.cj.api.xdevapi.ForeignKeyDefinition$ChangeMode
                        public static CASCADE: com.mysql.cj.api.xdevapi.ForeignKeyDefinition$ChangeMode
                        public static SET_NULL: com.mysql.cj.api.xdevapi.ForeignKeyDefinition$ChangeMode
                        public static NO_ACTION: com.mysql.cj.api.xdevapi.ForeignKeyDefinition$ChangeMode
                        public static values(): com.mysql.cj.api.xdevapi.ForeignKeyDefinition$ChangeMode[]
                        public static valueOf(arg0: string): com.mysql.cj.api.xdevapi.ForeignKeyDefinition$ChangeMode
                        public getExpr(): string
                        public static class: java.lang.Class<any>
                    }
                    interface ForeignKeyDefinition {
                        setName(arg0: string): com.mysql.cj.api.xdevapi.ForeignKeyDefinition
                        fields(...arg0: java.lang.String[]): com.mysql.cj.api.xdevapi.ForeignKeyDefinition
                        refersTo(arg0: string, ...arg1: java.lang.String[]): com.mysql.cj.api.xdevapi.ForeignKeyDefinition
                        onDelete(arg0: com.mysql.cj.api.xdevapi.ForeignKeyDefinition$ChangeMode): com.mysql.cj.api.xdevapi.ForeignKeyDefinition
                        onUpdate(arg0: com.mysql.cj.api.xdevapi.ForeignKeyDefinition$ChangeMode): com.mysql.cj.api.xdevapi.ForeignKeyDefinition
                    }
                    interface InsertStatement extends com.mysql.cj.api.xdevapi.Statement<com.mysql.cj.api.xdevapi.InsertStatement, com.mysql.cj.api.xdevapi.Result> {
                        values(arg0: java.util.List<java.lang.Object>): com.mysql.cj.api.xdevapi.InsertStatement
                        values(...arg0: java.lang.Object[]): com.mysql.cj.api.xdevapi.InsertStatement
                    }
                    interface JsonValue {
                    }
                    interface ModifyStatement extends com.mysql.cj.api.xdevapi.Statement<com.mysql.cj.api.xdevapi.ModifyStatement, com.mysql.cj.api.xdevapi.Result> {
                        sort(...arg0: java.lang.String[]): com.mysql.cj.api.xdevapi.ModifyStatement
                        limit(arg0: long): com.mysql.cj.api.xdevapi.ModifyStatement
                        set(arg0: string, arg1: java.lang.Object): com.mysql.cj.api.xdevapi.ModifyStatement
                        change(arg0: string, arg1: java.lang.Object): com.mysql.cj.api.xdevapi.ModifyStatement
                        unset(...arg0: java.lang.String[]): com.mysql.cj.api.xdevapi.ModifyStatement
                        merge(arg0: string): com.mysql.cj.api.xdevapi.ModifyStatement
                        arrayInsert(arg0: string, arg1: java.lang.Object): com.mysql.cj.api.xdevapi.ModifyStatement
                        arrayAppend(arg0: string, arg1: java.lang.Object): com.mysql.cj.api.xdevapi.ModifyStatement
                        arrayDelete(arg0: string, arg1: int): com.mysql.cj.api.xdevapi.ModifyStatement
                    }
                    interface NodeSession extends com.mysql.cj.api.xdevapi.BaseSession {
                        sql(arg0: string): com.mysql.cj.api.xdevapi.SqlStatement
                    }
                    interface RemoveStatement extends com.mysql.cj.api.xdevapi.Statement<com.mysql.cj.api.xdevapi.RemoveStatement, com.mysql.cj.api.xdevapi.Result> {
                        orderBy(...arg0: java.lang.String[]): com.mysql.cj.api.xdevapi.RemoveStatement
                        limit(arg0: long): com.mysql.cj.api.xdevapi.RemoveStatement
                    }
                    interface Result {
                        getAffectedItemsCount(): long
                        getAutoIncrementValue(): java.lang.Long
                        getLastDocumentIds(): java.util.List<java.lang.String>
                        getWarningsCount(): int
                        getWarnings(): java.util.Iterator<com.mysql.cj.api.xdevapi.Warning>
                    }
                    interface Row {
                        getBigDecimal(arg0: string): java.math.BigDecimal
                        getBigDecimal(arg0: int): java.math.BigDecimal
                        getBoolean(arg0: string): boolean
                        getBoolean(arg0: int): boolean
                        getByte(arg0: string): byte
                        getByte(arg0: int): byte
                        getDate(arg0: string): java.sql.Date
                        getDate(arg0: int): java.sql.Date
                        getDbDoc(arg0: string): com.mysql.cj.xdevapi.DbDoc
                        getDbDoc(arg0: int): com.mysql.cj.xdevapi.DbDoc
                        getDouble(arg0: string): double
                        getDouble(arg0: int): double
                        getInt(arg0: string): int
                        getInt(arg0: int): int
                        getLong(arg0: string): long
                        getLong(arg0: int): long
                        getString(arg0: string): string
                        getString(arg0: int): string
                        getTime(arg0: string): java.sql.Time
                        getTime(arg0: int): java.sql.Time
                        getTimestamp(arg0: string): java.sql.Timestamp
                        getTimestamp(arg0: int): java.sql.Timestamp
                    }
                    interface RowResult extends com.mysql.cj.api.xdevapi.FetchResult<com.mysql.cj.api.xdevapi.Row> {
                        getColumnCount(): int
                        getColumns(): java.util.List<com.mysql.cj.api.xdevapi.Column>
                        getColumnNames(): java.util.List<java.lang.String>
                    }
                    interface Schema extends com.mysql.cj.api.xdevapi.DatabaseObject {
                        getCollections(): java.util.List<com.mysql.cj.api.xdevapi.Collection>
                        getCollections(arg0: string): java.util.List<com.mysql.cj.api.xdevapi.Collection>
                        getTables(): java.util.List<com.mysql.cj.api.xdevapi.Table>
                        getTables(arg0: string): java.util.List<com.mysql.cj.api.xdevapi.Table>
                        getCollection(arg0: string): com.mysql.cj.api.xdevapi.Collection
                        getCollection(arg0: string, arg1: boolean): com.mysql.cj.api.xdevapi.Collection
                        getCollectionAsTable(arg0: string): com.mysql.cj.api.xdevapi.Table
                        getTable(arg0: string): com.mysql.cj.api.xdevapi.Table
                        getTable(arg0: string, arg1: boolean): com.mysql.cj.api.xdevapi.Table
                        createCollection(arg0: string): com.mysql.cj.api.xdevapi.Collection
                        createCollection(arg0: string, arg1: boolean): com.mysql.cj.api.xdevapi.Collection
                        createTable(arg0: string): com.mysql.cj.api.xdevapi.CreateTableStatement$CreateTableSplitStatement
                        createTable(arg0: string, arg1: boolean): com.mysql.cj.api.xdevapi.CreateTableStatement$CreateTableSplitStatement
                        createView(arg0: string, arg1: boolean): com.mysql.cj.api.xdevapi.ViewCreate
                        alterView(arg0: string): com.mysql.cj.api.xdevapi.ViewUpdate
                        dropView(arg0: string): com.mysql.cj.api.xdevapi.ViewDrop
                    }
                    interface SelectStatement extends com.mysql.cj.api.xdevapi.DataStatement<com.mysql.cj.api.xdevapi.SelectStatement, com.mysql.cj.api.xdevapi.RowResult, com.mysql.cj.api.xdevapi.Row> {
                        where(arg0: string): com.mysql.cj.api.xdevapi.SelectStatement
                        groupBy(...arg0: java.lang.String[]): com.mysql.cj.api.xdevapi.SelectStatement
                        having(arg0: string): com.mysql.cj.api.xdevapi.SelectStatement
                        orderBy(...arg0: java.lang.String[]): com.mysql.cj.api.xdevapi.SelectStatement
                        limit(arg0: long): com.mysql.cj.api.xdevapi.SelectStatement
                        offset(arg0: long): com.mysql.cj.api.xdevapi.SelectStatement
                        getFindParams(): com.mysql.cj.xdevapi.FindParams
                    }
                    interface SqlResult extends com.mysql.cj.api.xdevapi.Result , com.mysql.cj.api.xdevapi.RowResult {
                        nextResult(): boolean
                    }
                    interface SqlStatement extends com.mysql.cj.api.xdevapi.Statement<com.mysql.cj.api.xdevapi.SqlStatement, com.mysql.cj.api.xdevapi.SqlResult> {
                    }
                    interface Statement<STMT_T, RES_T> {
                        execute(): RES_T
                        executeAsync(): java.util.concurrent.CompletableFuture<RES_T>
                        clearBindings(): STMT_T
                        bind(arg0: string, arg1: java.lang.Object): STMT_T
                        bind(arg0: java.util.Map<java.lang.String, java.lang.Object>): STMT_T
                        bind(arg0: java.util.List<java.lang.Object>): STMT_T
                        bind(...arg0: java.lang.Object[]): STMT_T
                    }
                    interface Table extends com.mysql.cj.api.xdevapi.DatabaseObject {
                        insert(): com.mysql.cj.api.xdevapi.InsertStatement
                        insert(...arg0: java.lang.String[]): com.mysql.cj.api.xdevapi.InsertStatement
                        insert(arg0: java.util.Map<java.lang.String, java.lang.Object>): com.mysql.cj.api.xdevapi.InsertStatement
                        select(...arg0: java.lang.String[]): com.mysql.cj.api.xdevapi.SelectStatement
                        update(): com.mysql.cj.api.xdevapi.UpdateStatement
                        delete(): com.mysql.cj.api.xdevapi.DeleteStatement
                        count(): long
                        isView(): boolean
                    }
                    class Type extends java.lang.Enum<com.mysql.cj.api.xdevapi.Type> {
                        public static BIT: com.mysql.cj.api.xdevapi.Type
                        public static TINYINT: com.mysql.cj.api.xdevapi.Type
                        public static SMALLINT: com.mysql.cj.api.xdevapi.Type
                        public static MEDIUMINT: com.mysql.cj.api.xdevapi.Type
                        public static INT: com.mysql.cj.api.xdevapi.Type
                        public static BIGINT: com.mysql.cj.api.xdevapi.Type
                        public static FLOAT: com.mysql.cj.api.xdevapi.Type
                        public static DECIMAL: com.mysql.cj.api.xdevapi.Type
                        public static DOUBLE: com.mysql.cj.api.xdevapi.Type
                        public static JSON: com.mysql.cj.api.xdevapi.Type
                        public static STRING: com.mysql.cj.api.xdevapi.Type
                        public static BYTES: com.mysql.cj.api.xdevapi.Type
                        public static TIME: com.mysql.cj.api.xdevapi.Type
                        public static DATE: com.mysql.cj.api.xdevapi.Type
                        public static DATETIME: com.mysql.cj.api.xdevapi.Type
                        public static TIMESTAMP: com.mysql.cj.api.xdevapi.Type
                        public static SET: com.mysql.cj.api.xdevapi.Type
                        public static ENUM: com.mysql.cj.api.xdevapi.Type
                        public static GEOMETRY: com.mysql.cj.api.xdevapi.Type
                        public static values(): com.mysql.cj.api.xdevapi.Type[]
                        public static valueOf(arg0: string): com.mysql.cj.api.xdevapi.Type
                        public static class: java.lang.Class<any>
                    }
                    interface UpdateStatement extends com.mysql.cj.api.xdevapi.Statement<com.mysql.cj.api.xdevapi.UpdateStatement, com.mysql.cj.api.xdevapi.Result> {
                        set(arg0: java.util.Map<java.lang.String, java.lang.Object>): com.mysql.cj.api.xdevapi.UpdateStatement
                        set(arg0: string, arg1: java.lang.Object): com.mysql.cj.api.xdevapi.UpdateStatement
                        where(arg0: string): com.mysql.cj.api.xdevapi.UpdateStatement
                        orderBy(...arg0: java.lang.String[]): com.mysql.cj.api.xdevapi.UpdateStatement
                        limit(arg0: long): com.mysql.cj.api.xdevapi.UpdateStatement
                    }
                    class UpdateType extends java.lang.Enum<com.mysql.cj.api.xdevapi.UpdateType> {
                        public static ITEM_REMOVE: com.mysql.cj.api.xdevapi.UpdateType
                        public static ITEM_SET: com.mysql.cj.api.xdevapi.UpdateType
                        public static ITEM_REPLACE: com.mysql.cj.api.xdevapi.UpdateType
                        public static ITEM_MERGE: com.mysql.cj.api.xdevapi.UpdateType
                        public static ARRAY_INSERT: com.mysql.cj.api.xdevapi.UpdateType
                        public static ARRAY_APPEND: com.mysql.cj.api.xdevapi.UpdateType
                        public static values(): com.mysql.cj.api.xdevapi.UpdateType[]
                        public static valueOf(arg0: string): com.mysql.cj.api.xdevapi.UpdateType
                        public static class: java.lang.Class<any>
                    }
                    interface ViewCreate extends com.mysql.cj.api.xdevapi.ViewDDL<com.mysql.cj.api.xdevapi.ViewCreate, com.mysql.cj.api.xdevapi.ViewCreateDefined> {
                    }
                    interface ViewCreateDefined extends com.mysql.cj.api.xdevapi.ViewDDL<com.mysql.cj.api.xdevapi.ViewCreateDefined, com.mysql.cj.api.xdevapi.ViewCreateDefined> {
                        execute(): com.mysql.cj.api.xdevapi.Table
                    }
                    class ViewDDL$ViewAlgorithm extends java.lang.Enum<com.mysql.cj.api.xdevapi.ViewDDL$ViewAlgorithm> {
                        public static UNDEFINED: com.mysql.cj.api.xdevapi.ViewDDL$ViewAlgorithm
                        public static MERGE: com.mysql.cj.api.xdevapi.ViewDDL$ViewAlgorithm
                        public static TEMPTABLE: com.mysql.cj.api.xdevapi.ViewDDL$ViewAlgorithm
                        public static values(): com.mysql.cj.api.xdevapi.ViewDDL$ViewAlgorithm[]
                        public static valueOf(arg0: string): com.mysql.cj.api.xdevapi.ViewDDL$ViewAlgorithm
                        public static class: java.lang.Class<any>
                    }
                    class ViewDDL$ViewCheckOption extends java.lang.Enum<com.mysql.cj.api.xdevapi.ViewDDL$ViewCheckOption> {
                        public static LOCAL: com.mysql.cj.api.xdevapi.ViewDDL$ViewCheckOption
                        public static CASCADED: com.mysql.cj.api.xdevapi.ViewDDL$ViewCheckOption
                        public static values(): com.mysql.cj.api.xdevapi.ViewDDL$ViewCheckOption[]
                        public static valueOf(arg0: string): com.mysql.cj.api.xdevapi.ViewDDL$ViewCheckOption
                        public static class: java.lang.Class<any>
                    }
                    class ViewDDL$ViewSqlSecurity extends java.lang.Enum<com.mysql.cj.api.xdevapi.ViewDDL$ViewSqlSecurity> {
                        public static INVOKER: com.mysql.cj.api.xdevapi.ViewDDL$ViewSqlSecurity
                        public static DEFINER: com.mysql.cj.api.xdevapi.ViewDDL$ViewSqlSecurity
                        public static values(): com.mysql.cj.api.xdevapi.ViewDDL$ViewSqlSecurity[]
                        public static valueOf(arg0: string): com.mysql.cj.api.xdevapi.ViewDDL$ViewSqlSecurity
                        public static class: java.lang.Class<any>
                    }
                    interface ViewDDL<T, D> {
                        columns(...arg0: java.lang.String[]): T
                        algorithm(arg0: com.mysql.cj.api.xdevapi.ViewDDL$ViewAlgorithm): T
                        security(arg0: com.mysql.cj.api.xdevapi.ViewDDL$ViewSqlSecurity): T
                        definer(arg0: string): T
                        definedAs(arg0: com.mysql.cj.api.xdevapi.SelectStatement): D
                        withCheckOption(arg0: com.mysql.cj.api.xdevapi.ViewDDL$ViewCheckOption): T
                    }
                    interface ViewDrop {
                        ifExists(): com.mysql.cj.api.xdevapi.ViewDrop
                        execute(): void
                    }
                    interface ViewUpdate extends com.mysql.cj.api.xdevapi.ViewDDL<com.mysql.cj.api.xdevapi.ViewUpdate, com.mysql.cj.api.xdevapi.ViewUpdate> {
                        execute(): com.mysql.cj.api.xdevapi.Table
                    }
                    interface Warning extends com.mysql.cj.api.x.core.Warning {
                    }
                    interface XSession extends com.mysql.cj.api.xdevapi.BaseSession {
                        bindToDefaultShard(): com.mysql.cj.api.xdevapi.NodeSession
                    }
                    
                }
                
            }
            namespace core {
                abstract class AbstractSession implements com.mysql.cj.api.Session {
                    protected propertySet: com.mysql.cj.api.conf.PropertySet
                    protected exceptionInterceptor: com.mysql.cj.api.exceptions.ExceptionInterceptor
                    protected log: com.mysql.cj.api.log.Log
                    protected static NULL_LOGGER: com.mysql.cj.api.log.Log
                    public constructor()
                    public getPropertySet(): com.mysql.cj.api.conf.PropertySet
                    public getExceptionInterceptor(): com.mysql.cj.api.exceptions.ExceptionInterceptor
                    public setExceptionInterceptor(arg0: com.mysql.cj.api.exceptions.ExceptionInterceptor): void
                    public getLog(): com.mysql.cj.api.log.Log
                    public setLog(arg0: com.mysql.cj.api.log.Log): void
                    public getProfilerEventHandler(): com.mysql.cj.api.ProfilerEventHandler
                    public setProfilerEventHandler(arg0: com.mysql.cj.api.ProfilerEventHandler): void
                    public static class: java.lang.Class<any>
                }
                class CharsetMapping {
                    public static MAP_SIZE: int
                    public static COLLATION_INDEX_TO_COLLATION_NAME: java.lang.String[]
                    public static COLLATION_INDEX_TO_CHARSET: com.mysql.cj.core.MysqlCharset[]
                    public static CHARSET_NAME_TO_CHARSET: java.util.Map<java.lang.String, com.mysql.cj.core.MysqlCharset>
                    public static CHARSET_NAME_TO_COLLATION_INDEX: java.util.Map<java.lang.String, java.lang.Integer>
                    public static UTF8MB4_INDEXES: java.util.Set<java.lang.Integer>
                    public static MYSQL_COLLATION_INDEX_utf8: int
                    public static MYSQL_COLLATION_INDEX_binary: int
                    public constructor()
                    public static getMysqlCharsetForJavaEncoding(arg0: string, arg1: com.mysql.cj.core.ServerVersion): string
                    public static getCollationIndexForJavaEncoding(arg0: string, arg1: com.mysql.cj.core.ServerVersion): int
                    public static getMysqlCharsetNameForCollationIndex(arg0: java.lang.Integer): string
                    public static getJavaEncodingForMysqlCharset(arg0: string, arg1: string): string
                    public static getJavaEncodingForMysqlCharset(arg0: string): string
                    public static getJavaEncodingForCollationIndex(arg0: java.lang.Integer, arg1: string): string
                    public static getJavaEncodingForCollationIndex(arg0: java.lang.Integer): string
                    public static getNumberOfCharsetsConfigured(): int
                    public static isMultibyteCharset(arg0: string): boolean
                    public static getMblen(arg0: string): int
                    public static class: java.lang.Class<any>
                }
                class Collation {
                    public index: int
                    public collationName: string
                    public priority: int
                    public mysqlCharset: com.mysql.cj.core.MysqlCharset
                    public constructor(arg0: int, arg1: string, arg2: int, arg3: string)
                    public toString(): string
                    public static class: java.lang.Class<any>
                }
                class Constants {
                    public static EMPTY_BYTE_ARRAY: byte[]
                    public static MILLIS_I18N: string
                    public static SLASH_STAR_SPACE_AS_BYTES: byte[]
                    public static SPACE_STAR_SLASH_SPACE_AS_BYTES: byte[]
                    public static JVM_VENDOR: string
                    public static JVM_VERSION: string
                    public static OS_NAME: string
                    public static OS_ARCH: string
                    public static OS_VERSION: string
                    public static PLATFORM_ENCODING: string
                    public static CJ_NAME: string
                    public static CJ_FULL_NAME: string
                    public static CJ_REVISION: string
                    public static CJ_VERSION: string
                    public static CJ_MAJOR_VERSION: string
                    public static CJ_MINOR_VERSION: string
                    public static CJ_LICENSE: string
                    public static class: java.lang.Class<any>
                }
                class LicenseConfiguration {
                    public static checkLicenseType(arg0: java.util.Map<java.lang.String, java.lang.String>): void
                    public static class: java.lang.Class<any>
                }
                class Messages {
                    public static getString(arg0: string): string
                    public static getString(arg0: string, arg1: java.lang.Object[]): string
                    public static class: java.lang.Class<any>
                }
                class MysqlCharset {
                    public charsetName: string
                    public mblen: int
                    public priority: int
                    public javaEncodingsUc: java.util.List<java.lang.String>
                    public minimumVersion: com.mysql.cj.core.ServerVersion
                    public constructor(arg0: string, arg1: int, arg2: int, arg3: java.lang.String[])
                    public constructor(arg0: string, arg1: int, arg2: int, arg3: java.lang.String[], arg4: com.mysql.cj.core.ServerVersion)
                    public toString(): string
                    public static class: java.lang.Class<any>
                }
                class MysqlType$1 {
                    public static class: java.lang.Class<any>
                }
                class MysqlType extends java.lang.Enum<com.mysql.cj.core.MysqlType> implements java.sql.SQLType {
                    public static DECIMAL: com.mysql.cj.core.MysqlType
                    public static DECIMAL_UNSIGNED: com.mysql.cj.core.MysqlType
                    public static TINYINT: com.mysql.cj.core.MysqlType
                    public static TINYINT_UNSIGNED: com.mysql.cj.core.MysqlType
                    public static BOOLEAN: com.mysql.cj.core.MysqlType
                    public static SMALLINT: com.mysql.cj.core.MysqlType
                    public static SMALLINT_UNSIGNED: com.mysql.cj.core.MysqlType
                    public static INT: com.mysql.cj.core.MysqlType
                    public static INT_UNSIGNED: com.mysql.cj.core.MysqlType
                    public static FLOAT: com.mysql.cj.core.MysqlType
                    public static FLOAT_UNSIGNED: com.mysql.cj.core.MysqlType
                    public static DOUBLE: com.mysql.cj.core.MysqlType
                    public static DOUBLE_UNSIGNED: com.mysql.cj.core.MysqlType
                    public static NULL: com.mysql.cj.core.MysqlType
                    public static TIMESTAMP: com.mysql.cj.core.MysqlType
                    public static BIGINT: com.mysql.cj.core.MysqlType
                    public static BIGINT_UNSIGNED: com.mysql.cj.core.MysqlType
                    public static MEDIUMINT: com.mysql.cj.core.MysqlType
                    public static MEDIUMINT_UNSIGNED: com.mysql.cj.core.MysqlType
                    public static DATE: com.mysql.cj.core.MysqlType
                    public static TIME: com.mysql.cj.core.MysqlType
                    public static DATETIME: com.mysql.cj.core.MysqlType
                    public static YEAR: com.mysql.cj.core.MysqlType
                    public static VARCHAR: com.mysql.cj.core.MysqlType
                    public static VARBINARY: com.mysql.cj.core.MysqlType
                    public static BIT: com.mysql.cj.core.MysqlType
                    public static JSON: com.mysql.cj.core.MysqlType
                    public static ENUM: com.mysql.cj.core.MysqlType
                    public static SET: com.mysql.cj.core.MysqlType
                    public static TINYBLOB: com.mysql.cj.core.MysqlType
                    public static TINYTEXT: com.mysql.cj.core.MysqlType
                    public static MEDIUMBLOB: com.mysql.cj.core.MysqlType
                    public static MEDIUMTEXT: com.mysql.cj.core.MysqlType
                    public static LONGBLOB: com.mysql.cj.core.MysqlType
                    public static LONGTEXT: com.mysql.cj.core.MysqlType
                    public static BLOB: com.mysql.cj.core.MysqlType
                    public static TEXT: com.mysql.cj.core.MysqlType
                    public static CHAR: com.mysql.cj.core.MysqlType
                    public static BINARY: com.mysql.cj.core.MysqlType
                    public static GEOMETRY: com.mysql.cj.core.MysqlType
                    public static UNKNOWN: com.mysql.cj.core.MysqlType
                    protected jdbcType: int
                    protected javaClass: java.lang.Class<any>
                    public static FIELD_FLAG_NOT_NULL: int
                    public static FIELD_FLAG_PRIMARY_KEY: int
                    public static FIELD_FLAG_UNIQUE_KEY: int
                    public static FIELD_FLAG_MULTIPLE_KEY: int
                    public static FIELD_FLAG_BLOB: int
                    public static FIELD_FLAG_UNSIGNED: int
                    public static FIELD_FLAG_ZEROFILL: int
                    public static FIELD_FLAG_BINARY: int
                    public static FIELD_FLAG_AUTO_INCREMENT: int
                    public static values(): com.mysql.cj.core.MysqlType[]
                    public static valueOf(arg0: string): com.mysql.cj.core.MysqlType
                    public static getByName(arg0: string): com.mysql.cj.core.MysqlType
                    public static getByJdbcType(arg0: int): com.mysql.cj.core.MysqlType
                    public static supportsConvert(arg0: int, arg1: int): boolean
                    public static isSigned(arg0: com.mysql.cj.core.MysqlType): boolean
                    public getName(): string
                    public getJdbcType(): int
                    public isAllowed(arg0: int): boolean
                    public getClassName(): string
                    public isDecimal(): boolean
                    public getPrecision(): java.lang.Long
                    public getCreateParams(): string
                    public getVendor(): string
                    public getVendorTypeNumber(): java.lang.Integer
                    public static class: java.lang.Class<any>
                }
                class ServerVersion implements java.lang.Comparable<com.mysql.cj.core.ServerVersion> {
                    public constructor(arg0: string, arg1: int, arg2: int, arg3: int)
                    public constructor(arg0: int, arg1: int, arg2: int)
                    public getMajor(): int
                    public getMinor(): int
                    public getSubminor(): int
                    public toString(): string
                    public compareTo(arg0: com.mysql.cj.core.ServerVersion): int
                    public meetsMinimum(arg0: com.mysql.cj.core.ServerVersion): boolean
                    public static parseVersion(arg0: string): com.mysql.cj.core.ServerVersion
                    public compareTo(arg0: java.lang.Object): int
                    public static class: java.lang.Class<any>
                }
                namespace admin {
                    class ServerController {
                        public static BASEDIR_KEY: string
                        public static DATADIR_KEY: string
                        public static DEFAULTS_FILE_KEY: string
                        public static EXECUTABLE_NAME_KEY: string
                        public static EXECUTABLE_PATH_KEY: string
                        public constructor(arg0: string)
                        public constructor(arg0: string, arg1: string)
                        public setBaseDir(arg0: string): void
                        public setDataDir(arg0: string): void
                        public start(): java.lang.Process
                        public stop(arg0: boolean): void
                        public forceStop(): void
                        public getServerProps(): java.util.Properties
                        public static class: java.lang.Class<any>
                    }
                    
                }
                namespace authentication {
                    class Security {
                        public static xorString(arg0: byte[], arg1: byte[], arg2: byte[], arg3: int): void
                        public static scramble411(arg0: string, arg1: byte[], arg2: string): byte[]
                        public static scramble411(arg0: byte[], arg1: byte[]): byte[]
                        public static class: java.lang.Class<any>
                    }
                    
                }
                namespace conf {
                    abstract class AbstractPropertyDefinition<T> implements com.mysql.cj.api.conf.PropertyDefinition<T> , java.io.Serializable {
                        public constructor(arg0: string, arg1: T, arg2: boolean, arg3: string, arg4: string, arg5: string, arg6: int)
                        public constructor(arg0: string, arg1: T, arg2: boolean, arg3: string, arg4: string, arg5: string, arg6: int, arg7: java.lang.String[])
                        public constructor(arg0: string, arg1: T, arg2: boolean, arg3: string, arg4: string, arg5: string, arg6: int, arg7: int, arg8: int)
                        public hasValueConstraints(): boolean
                        public isRangeBased(): boolean
                        public getName(): string
                        public setName(arg0: string): void
                        public getDefaultValue(): T
                        public setDefaultValue(arg0: T): void
                        public isRuntimeModifiable(): boolean
                        public setRuntimeModifiable(arg0: boolean): void
                        public getDescription(): string
                        public setDescription(arg0: string): void
                        public getSinceVersion(): string
                        public setSinceVersion(arg0: string): void
                        public getCategory(): string
                        public setCategory(arg0: string): void
                        public getOrder(): int
                        public setOrder(arg0: int): void
                        public getAllowableValues(): java.lang.String[]
                        public setAllowableValues(arg0: java.lang.String[]): void
                        public getLowerBound(): int
                        public setLowerBound(arg0: int): void
                        public getUpperBound(): int
                        public setUpperBound(arg0: int): void
                        public parseObject(arg0: string, arg1: com.mysql.cj.api.exceptions.ExceptionInterceptor): T
                        public validateAllowableValues(arg0: string, arg1: com.mysql.cj.api.exceptions.ExceptionInterceptor): void
                        public static class: java.lang.Class<any>
                    }
                    abstract class AbstractReadableProperty<T> extends com.mysql.cj.core.conf.AbstractRuntimeProperty<T> implements com.mysql.cj.api.conf.ReadableProperty<T> , java.io.Serializable {
                        public constructor()
                        protected constructor(arg0: com.mysql.cj.api.conf.PropertyDefinition<T>)
                        public getValue(): T
                        public getInitialValue(): T
                        public getStringValue(): string
                        public static class: java.lang.Class<any>
                    }
                    abstract class AbstractRuntimeProperty<T> implements com.mysql.cj.api.conf.RuntimeProperty<T> , java.io.Serializable {
                        protected valueAsObject: T
                        protected initialValueAsObject: T
                        protected wasExplicitlySet: boolean
                        public constructor()
                        protected constructor(arg0: com.mysql.cj.api.conf.PropertyDefinition<T>)
                        public getPropertyDefinition(): com.mysql.cj.api.conf.PropertyDefinition<T>
                        public initializeFrom(arg0: java.util.Properties, arg1: com.mysql.cj.api.exceptions.ExceptionInterceptor): void
                        public initializeFrom(arg0: javax.naming.Reference, arg1: com.mysql.cj.api.exceptions.ExceptionInterceptor): void
                        protected initializeFrom(arg0: string, arg1: com.mysql.cj.api.exceptions.ExceptionInterceptor): void
                        public setFromString(arg0: string, arg1: com.mysql.cj.api.exceptions.ExceptionInterceptor): void
                        public resetValue(): void
                        public isExplicitlySet(): boolean
                        public addListener(arg0: com.mysql.cj.api.conf.RuntimeProperty$RuntimePropertyListener | com.mysql.cj.api.conf.RuntimeProperty$RuntimePropertyListener): void
                        public removeListener(arg0: com.mysql.cj.api.conf.RuntimeProperty$RuntimePropertyListener | com.mysql.cj.api.conf.RuntimeProperty$RuntimePropertyListener): void
                        protected invokeListeners(): void
                        public static class: java.lang.Class<any>
                    }
                    class BooleanPropertyDefinition extends com.mysql.cj.core.conf.AbstractPropertyDefinition<java.lang.Boolean> {
                        public constructor(arg0: string, arg1: boolean, arg2: boolean, arg3: string, arg4: string, arg5: string, arg6: int)
                        public getAllowableValues(): java.lang.String[]
                        public parseObject(arg0: string, arg1: com.mysql.cj.api.exceptions.ExceptionInterceptor): boolean
                        public createRuntimeProperty(): com.mysql.cj.api.conf.RuntimeProperty<java.lang.Boolean>
                        public parseObject(arg0: string, arg1: com.mysql.cj.api.exceptions.ExceptionInterceptor): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class DefaultPropertySet implements com.mysql.cj.api.conf.PropertySet , java.io.Serializable {
                        public constructor()
                        public addProperty(arg0: com.mysql.cj.api.conf.RuntimeProperty<any>): void
                        public removeProperty(arg0: string): void
                        public getReadableProperty<T>(arg0: string): com.mysql.cj.api.conf.ReadableProperty<T>
                        public getBooleanReadableProperty<T>(arg0: string): com.mysql.cj.api.conf.ReadableProperty<java.lang.Boolean>
                        public getIntegerReadableProperty<T>(arg0: string): com.mysql.cj.api.conf.ReadableProperty<java.lang.Integer>
                        public getLongReadableProperty<T>(arg0: string): com.mysql.cj.api.conf.ReadableProperty<java.lang.Long>
                        public getMemorySizeReadableProperty<T>(arg0: string): com.mysql.cj.api.conf.ReadableProperty<java.lang.Integer>
                        public getStringReadableProperty<T>(arg0: string): com.mysql.cj.api.conf.ReadableProperty<java.lang.String>
                        public getModifiableProperty<T>(arg0: string): com.mysql.cj.api.conf.ModifiableProperty<T>
                        public initializeProperties<T>(arg0: java.util.Properties): void
                        public postInitialization<T>(): void
                        public exposeAsProperties<T>(arg0: java.util.Properties): java.util.Properties
                        public static class: java.lang.Class<any>
                    }
                    class IntegerPropertyDefinition extends com.mysql.cj.core.conf.AbstractPropertyDefinition<java.lang.Integer> {
                        protected multiplier: int
                        public constructor(arg0: string, arg1: int, arg2: boolean, arg3: string, arg4: string, arg5: string, arg6: int)
                        public constructor(arg0: string, arg1: int, arg2: boolean, arg3: string, arg4: string, arg5: string, arg6: int, arg7: int, arg8: int)
                        public isRangeBased(): boolean
                        public parseObject(arg0: string, arg1: com.mysql.cj.api.exceptions.ExceptionInterceptor): java.lang.Integer
                        public createRuntimeProperty(): com.mysql.cj.api.conf.RuntimeProperty<java.lang.Integer>
                        public parseObject(arg0: string, arg1: com.mysql.cj.api.exceptions.ExceptionInterceptor): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class LongPropertyDefinition extends com.mysql.cj.core.conf.AbstractPropertyDefinition<java.lang.Long> {
                        public constructor(arg0: string, arg1: long, arg2: boolean, arg3: string, arg4: string, arg5: string, arg6: int)
                        public constructor(arg0: string, arg1: long, arg2: boolean, arg3: string, arg4: string, arg5: string, arg6: int, arg7: long, arg8: long)
                        public parseObject(arg0: string, arg1: com.mysql.cj.api.exceptions.ExceptionInterceptor): java.lang.Long
                        public isRangeBased(): boolean
                        public createRuntimeProperty(): com.mysql.cj.api.conf.RuntimeProperty<java.lang.Long>
                        public parseObject(arg0: string, arg1: com.mysql.cj.api.exceptions.ExceptionInterceptor): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MemorySizePropertyDefinition extends com.mysql.cj.core.conf.IntegerPropertyDefinition {
                        public constructor(arg0: string, arg1: int, arg2: boolean, arg3: string, arg4: string, arg5: string, arg6: int)
                        public constructor(arg0: string, arg1: int, arg2: boolean, arg3: string, arg4: string, arg5: string, arg6: int, arg7: int, arg8: int)
                        public parseObject(arg0: string, arg1: com.mysql.cj.api.exceptions.ExceptionInterceptor): java.lang.Integer
                        public createRuntimeProperty(): com.mysql.cj.api.conf.RuntimeProperty<java.lang.Integer>
                        public parseObject(arg0: string, arg1: com.mysql.cj.api.exceptions.ExceptionInterceptor): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class ModifiableBooleanProperty extends com.mysql.cj.core.conf.ReadableBooleanProperty implements com.mysql.cj.api.conf.ModifiableProperty<java.lang.Boolean> , java.io.Serializable {
                        protected constructor(arg0: com.mysql.cj.api.conf.PropertyDefinition<java.lang.Boolean>)
                        protected initializeFrom(arg0: string, arg1: com.mysql.cj.api.exceptions.ExceptionInterceptor): void
                        public setValue(arg0: boolean): void
                        public setValue(arg0: boolean, arg1: com.mysql.cj.api.exceptions.ExceptionInterceptor): void
                        public resetValue(): void
                        public setValue(arg0: java.lang.Object, arg1: com.mysql.cj.api.exceptions.ExceptionInterceptor): void
                        public setValue(arg0: java.lang.Object): void
                        public static class: java.lang.Class<any>
                    }
                    class ModifiableIntegerProperty extends com.mysql.cj.core.conf.ReadableIntegerProperty implements com.mysql.cj.api.conf.ModifiableProperty<java.lang.Integer> , java.io.Serializable {
                        protected constructor(arg0: com.mysql.cj.api.conf.PropertyDefinition<java.lang.Integer>)
                        protected initializeFrom(arg0: string, arg1: com.mysql.cj.api.exceptions.ExceptionInterceptor): void
                        public setFromString(arg0: string, arg1: com.mysql.cj.api.exceptions.ExceptionInterceptor): void
                        public setValue(arg0: java.lang.Integer): void
                        public setValue(arg0: java.lang.Integer, arg1: com.mysql.cj.api.exceptions.ExceptionInterceptor): void
                        public resetValue(): void
                        public setValue(arg0: java.lang.Object, arg1: com.mysql.cj.api.exceptions.ExceptionInterceptor): void
                        public setValue(arg0: java.lang.Object): void
                        public static class: java.lang.Class<any>
                    }
                    class ModifiableLongProperty extends com.mysql.cj.core.conf.ReadableLongProperty implements com.mysql.cj.api.conf.ModifiableProperty<java.lang.Long> , java.io.Serializable {
                        protected constructor(arg0: com.mysql.cj.api.conf.PropertyDefinition<java.lang.Long>)
                        protected initializeFrom(arg0: string, arg1: com.mysql.cj.api.exceptions.ExceptionInterceptor): void
                        public setFromString(arg0: string, arg1: com.mysql.cj.api.exceptions.ExceptionInterceptor): void
                        public setValue(arg0: java.lang.Long): void
                        public setValue(arg0: java.lang.Long, arg1: com.mysql.cj.api.exceptions.ExceptionInterceptor): void
                        public resetValue(): void
                        public setValue(arg0: java.lang.Object, arg1: com.mysql.cj.api.exceptions.ExceptionInterceptor): void
                        public setValue(arg0: java.lang.Object): void
                        public static class: java.lang.Class<any>
                    }
                    class ModifiableMemorySizeProperty extends com.mysql.cj.core.conf.ReadableMemorySizeProperty implements com.mysql.cj.api.conf.ModifiableProperty<java.lang.Integer> , java.io.Serializable {
                        protected constructor(arg0: com.mysql.cj.api.conf.PropertyDefinition<java.lang.Integer>)
                        public setFromString(arg0: string, arg1: com.mysql.cj.api.exceptions.ExceptionInterceptor): void
                        protected initializeFrom(arg0: string, arg1: com.mysql.cj.api.exceptions.ExceptionInterceptor): void
                        public setValue(arg0: java.lang.Integer): void
                        public setValue(arg0: java.lang.Integer, arg1: com.mysql.cj.api.exceptions.ExceptionInterceptor): void
                        public resetValue(): void
                        public setValue(arg0: java.lang.Object, arg1: com.mysql.cj.api.exceptions.ExceptionInterceptor): void
                        public setValue(arg0: java.lang.Object): void
                        public static class: java.lang.Class<any>
                    }
                    class ModifiableStringProperty extends com.mysql.cj.core.conf.ReadableStringProperty implements com.mysql.cj.api.conf.ModifiableProperty<java.lang.String> , java.io.Serializable {
                        protected constructor(arg0: com.mysql.cj.api.conf.PropertyDefinition<java.lang.String>)
                        protected initializeFrom(arg0: string, arg1: com.mysql.cj.api.exceptions.ExceptionInterceptor): void
                        public setValue(arg0: string): void
                        public setValue(arg0: string, arg1: com.mysql.cj.api.exceptions.ExceptionInterceptor): void
                        public resetValue(): void
                        public setValue(arg0: java.lang.Object, arg1: com.mysql.cj.api.exceptions.ExceptionInterceptor): void
                        public setValue(arg0: java.lang.Object): void
                        public static class: java.lang.Class<any>
                    }
                    class PropertyDefinitions$1 extends java.util.HashMap<java.lang.String, java.lang.String> {
                        public static class: java.lang.Class<any>
                    }
                    class PropertyDefinitions$XmlMap {
                        protected ordered: java.util.Map<java.lang.Integer, java.util.Map<java.lang.String, com.mysql.cj.api.conf.PropertyDefinition<any>>>
                        protected alpha: java.util.Map<java.lang.String, com.mysql.cj.api.conf.PropertyDefinition<any>>
                        public static class: java.lang.Class<any>
                    }
                    class PropertyDefinitions {
                        public static SYSP_line_separator: string
                        public static SYSP_java_vendor: string
                        public static SYSP_java_version: string
                        public static SYSP_java_vm_vendor: string
                        public static SYSP_os_name: string
                        public static SYSP_os_arch: string
                        public static SYSP_os_version: string
                        public static SYSP_file_encoding: string
                        public static SYSP_testsuite_url: string
                        public static SYSP_testsuite_url_admin: string
                        public static SYSP_testsuite_url_cluster: string
                        public static SYSP_testsuite_url_openssl: string
                        public static SYSP_testsuite_url_mysqlx: string
                        public static SYSP_testsuite_cantGrant: string
                        public static SYSP_testsuite_disable_multihost_tests: string
                        public static SYSP_testsuite_ds_host: string
                        public static SYSP_testsuite_ds_port: string
                        public static SYSP_testsuite_ds_db: string
                        public static SYSP_testsuite_ds_user: string
                        public static SYSP_testsuite_ds_password: string
                        public static SYSP_testsuite_loadstoreperf_tabletype: string
                        public static SYSP_testsuite_loadstoreperf_useBigResults: string
                        public static SYSP_testsuite_miniAdminTest_runShutdown: string
                        public static SYSP_testsuite_noDebugOutput: string
                        public static SYSP_testsuite_retainArtifacts: string
                        public static SYSP_testsuite_runLongTests: string
                        public static SYSP_testsuite_serverController_basedir: string
                        public static PROTOCOL_PROPERTY_KEY: string
                        public static PATH_PROPERTY_KEY: string
                        public static TYPE_PROPERTY_KEY: string
                        public static HOST_PROPERTY_KEY: string
                        public static PORT_PROPERTY_KEY: string
                        public static DBNAME_PROPERTY_KEY: string
                        public static ADDRESS_PROPERTY_KEY: string
                        public static PRIORITY_PROPERTY_KEY: string
                        public static CATEGORY_AUTH: string
                        public static CATEGORY_CONNECTION: string
                        public static CATEGORY_SESSION: string
                        public static CATEGORY_NETWORK: string
                        public static CATEGORY_SECURITY: string
                        public static CATEGORY_STATEMENTS: string
                        public static CATEGORY_PREPARED_STATEMENTS: string
                        public static CATEGORY_RESULT_SETS: string
                        public static CATEGORY_METADATA: string
                        public static CATEGORY_BLOBS: string
                        public static CATEGORY_DATETIMES: string
                        public static CATEGORY_HA: string
                        public static CATEGORY_PERFORMANCE: string
                        public static CATEGORY_DEBUGING_PROFILING: string
                        public static CATEGORY_EXCEPTIONS: string
                        public static CATEGORY_INTEGRATION: string
                        public static CATEGORY_JDBC: string
                        public static CATEGORY_XDEVAPI: string
                        public static PROPERTY_CATEGORIES: java.lang.String[]
                        public static DEFAULT_VALUE_TRUE: boolean
                        public static DEFAULT_VALUE_FALSE: boolean
                        public static DEFAULT_VALUE_NULL_STRING: string
                        public static RUNTIME_MODIFIABLE: boolean
                        public static RUNTIME_NOT_MODIFIABLE: boolean
                        public static ZERO_DATETIME_BEHAVIOR_CONVERT_TO_NULL: string
                        public static ZERO_DATETIME_BEHAVIOR_EXCEPTION: string
                        public static ZERO_DATETIME_BEHAVIOR_ROUND: string
                        public static PROPERTY_NAME_TO_PROPERTY_DEFINITION: java.util.Map<java.lang.String, com.mysql.cj.api.conf.PropertyDefinition<any>>
                        public static PROPERTY_NAME_TO_ALIAS: java.util.Map<java.lang.String, java.lang.String>
                        public static PNAME_paranoid: string
                        public static PNAME_passwordCharacterEncoding: string
                        public static PNAME_serverRSAPublicKeyFile: string
                        public static PNAME_allowPublicKeyRetrieval: string
                        public static PNAME_clientCertificateKeyStoreUrl: string
                        public static PNAME_trustCertificateKeyStoreUrl: string
                        public static PNAME_clientCertificateKeyStoreType: string
                        public static PNAME_clientCertificateKeyStorePassword: string
                        public static PNAME_trustCertificateKeyStoreType: string
                        public static PNAME_trustCertificateKeyStorePassword: string
                        public static PNAME_verifyServerCertificate: string
                        public static PNAME_enabledSSLCipherSuites: string
                        public static PNAME_useUnbufferedInput: string
                        public static PNAME_profilerEventHandler: string
                        public static PNAME_allowLoadLocalInfile: string
                        public static PNAME_allowMultiQueries: string
                        public static PNAME_allowNanAndInf: string
                        public static PNAME_allowUrlInLocalInfile: string
                        public static PNAME_alwaysSendSetIsolation: string
                        public static PNAME_autoClosePStmtStreams: string
                        public static PNAME_allowMasterDownConnections: string
                        public static PNAME_allowSlaveDownConnections: string
                        public static PNAME_readFromMasterWhenNoSlaves: string
                        public static PNAME_autoDeserialize: string
                        public static PNAME_autoGenerateTestcaseScript: string
                        public static PNAME_autoReconnect: string
                        public static PNAME_autoReconnectForPools: string
                        public static PNAME_blobSendChunkSize: string
                        public static PNAME_autoSlowLog: string
                        public static PNAME_blobsAreStrings: string
                        public static PNAME_functionsNeverReturnBlobs: string
                        public static PNAME_cacheCallableStmts: string
                        public static PNAME_cachePrepStmts: string
                        public static PNAME_cacheResultSetMetadata: string
                        public static PNAME_serverConfigCacheFactory: string
                        public static PNAME_cacheServerConfiguration: string
                        public static PNAME_callableStmtCacheSize: string
                        public static PNAME_characterEncoding: string
                        public static PNAME_characterSetResults: string
                        public static PNAME_connectionAttributes: string
                        public static PNAME_clientInfoProvider: string
                        public static PNAME_clobberStreamingResults: string
                        public static PNAME_clobCharacterEncoding: string
                        public static PNAME_compensateOnDuplicateKeyUpdateCounts: string
                        public static PNAME_connectionCollation: string
                        public static PNAME_connectionLifecycleInterceptors: string
                        public static PNAME_connectTimeout: string
                        public static PNAME_continueBatchOnError: string
                        public static PNAME_createDatabaseIfNotExist: string
                        public static PNAME_defaultFetchSize: string
                        public static PNAME_useServerPrepStmts: string
                        public static PNAME_dontTrackOpenResources: string
                        public static PNAME_dumpQueriesOnException: string
                        public static PNAME_elideSetAutoCommits: string
                        public static PNAME_emptyStringsConvertToZero: string
                        public static PNAME_emulateLocators: string
                        public static PNAME_emulateUnsupportedPstmts: string
                        public static PNAME_enablePacketDebug: string
                        public static PNAME_enableQueryTimeouts: string
                        public static PNAME_explainSlowQueries: string
                        public static PNAME_exceptionInterceptors: string
                        public static PNAME_failOverReadOnly: string
                        public static PNAME_gatherPerfMetrics: string
                        public static PNAME_generateSimpleParameterMetadata: string
                        public static PNAME_holdResultsOpenOverStatementClose: string
                        public static PNAME_includeInnodbStatusInDeadlockExceptions: string
                        public static PNAME_includeThreadDumpInDeadlockExceptions: string
                        public static PNAME_includeThreadNamesAsStatementComment: string
                        public static PNAME_ignoreNonTxTables: string
                        public static PNAME_initialTimeout: string
                        public static PNAME_interactiveClient: string
                        public static PNAME_jdbcCompliantTruncation: string
                        public static PNAME_largeRowSizeThreshold: string
                        public static PNAME_loadBalanceStrategy: string
                        public static PNAME_loadBalanceBlacklistTimeout: string
                        public static PNAME_loadBalancePingTimeout: string
                        public static PNAME_loadBalanceValidateConnectionOnSwapServer: string
                        public static PNAME_loadBalanceConnectionGroup: string
                        public static PNAME_loadBalanceExceptionChecker: string
                        public static PNAME_loadBalanceSQLStateFailover: string
                        public static PNAME_loadBalanceSQLExceptionSubclassFailover: string
                        public static PNAME_loadBalanceAutoCommitStatementRegex: string
                        public static PNAME_loadBalanceAutoCommitStatementThreshold: string
                        public static PNAME_localSocketAddress: string
                        public static PNAME_locatorFetchBufferSize: string
                        public static PNAME_logger: string
                        public static PNAME_logSlowQueries: string
                        public static PNAME_logXaCommands: string
                        public static PNAME_maintainTimeStats: string
                        public static PNAME_maxQuerySizeToLog: string
                        public static PNAME_maxReconnects: string
                        public static PNAME_retriesAllDown: string
                        public static PNAME_maxRows: string
                        public static PNAME_metadataCacheSize: string
                        public static PNAME_netTimeoutForStreamingResults: string
                        public static PNAME_noAccessToProcedureBodies: string
                        public static PNAME_noDatetimeStringSync: string
                        public static PNAME_nullCatalogMeansCurrent: string
                        public static PNAME_nullNamePatternMatchesAll: string
                        public static PNAME_packetDebugBufferSize: string
                        public static PNAME_padCharsWithSpace: string
                        public static PNAME_pedantic: string
                        public static PNAME_pinGlobalTxToPhysicalConnection: string
                        public static PNAME_populateInsertRowWithDefaultValues: string
                        public static PNAME_prepStmtCacheSize: string
                        public static PNAME_prepStmtCacheSqlLimit: string
                        public static PNAME_parseInfoCacheFactory: string
                        public static PNAME_processEscapeCodesForPrepStmts: string
                        public static PNAME_profileSQL: string
                        public static PNAME_propertiesTransform: string
                        public static PNAME_queriesBeforeRetryMaster: string
                        public static PNAME_queryTimeoutKillsConnection: string
                        public static PNAME_reconnectAtTxEnd: string
                        public static PNAME_reportMetricsIntervalMillis: string
                        public static PNAME_requireSSL: string
                        public static PNAME_resourceId: string
                        public static PNAME_resultSetSizeThreshold: string
                        public static PNAME_rewriteBatchedStatements: string
                        public static PNAME_rollbackOnPooledClose: string
                        public static PNAME_secondsBeforeRetryMaster: string
                        public static PNAME_selfDestructOnPingSecondsLifetime: string
                        public static PNAME_selfDestructOnPingMaxOperations: string
                        public static PNAME_ha_enableJMX: string
                        public static PNAME_loadBalanceHostRemovalGracePeriod: string
                        public static PNAME_serverTimezone: string
                        public static PNAME_sessionVariables: string
                        public static PNAME_slowQueryThresholdMillis: string
                        public static PNAME_slowQueryThresholdNanos: string
                        public static PNAME_socketFactory: string
                        public static PNAME_socksProxyHost: string
                        public static PNAME_socksProxyPort: string
                        public static PNAME_socketTimeout: string
                        public static PNAME_statementInterceptors: string
                        public static PNAME_strictUpdates: string
                        public static PNAME_overrideSupportsIntegrityEnhancementFacility: string
                        public static PNAME_tcpNoDelay: string
                        public static PNAME_tcpKeepAlive: string
                        public static PNAME_tcpRcvBuf: string
                        public static PNAME_tcpSndBuf: string
                        public static PNAME_tcpTrafficClass: string
                        public static PNAME_tinyInt1isBit: string
                        public static PNAME_traceProtocol: string
                        public static PNAME_treatUtilDateAsTimestamp: string
                        public static PNAME_transformedBitIsBoolean: string
                        public static PNAME_useCompression: string
                        public static PNAME_useColumnNamesInFindColumn: string
                        public static PNAME_useConfigs: string
                        public static PNAME_useCursorFetch: string
                        public static PNAME_useHostsInPrivileges: string
                        public static PNAME_useInformationSchema: string
                        public static PNAME_useLocalSessionState: string
                        public static PNAME_useLocalTransactionState: string
                        public static PNAME_sendFractionalSeconds: string
                        public static PNAME_useNanosForElapsedTime: string
                        public static PNAME_useOldAliasMetadataBehavior: string
                        public static PNAME_useOldUTF8Behavior: string
                        public static PNAME_useOnlyServerErrorMessages: string
                        public static PNAME_useReadAheadInput: string
                        public static PNAME_useSSL: string
                        public static PNAME_useStreamLengthsInPrepStmts: string
                        public static PNAME_ultraDevHack: string
                        public static PNAME_useUsageAdvisor: string
                        public static PNAME_yearIsDateType: string
                        public static PNAME_zeroDateTimeBehavior: string
                        public static PNAME_useAffectedRows: string
                        public static PNAME_maxAllowedPacket: string
                        public static PNAME_authenticationPlugins: string
                        public static PNAME_disabledAuthenticationPlugins: string
                        public static PNAME_defaultAuthenticationPlugin: string
                        public static PNAME_disconnectOnExpiredPasswords: string
                        public static PNAME_getProceduresReturnsFunctions: string
                        public static PNAME_detectCustomCollations: string
                        public static PNAME_dontCheckOnDuplicateKeyUpdateInSQL: string
                        public static PNAME_readOnlyPropagatesToServer: string
                        public static PNAME_useAsyncProtocol: string
                        public static PNAME_sslEnable: string
                        public static PNAME_sslTrustStoreUrl: string
                        public static PNAME_sslTrustStoreType: string
                        public static PNAME_sslTrustStorePassword: string
                        public static PNAME_sslVerifyServerCertificate: string
                        public static PNAME_enableEscapeProcessing: string
                        public static PNAME_user: string
                        public static PNAME_password: string
                        public static PNAME_replicationConnectionGroup: string
                        public static PNAME_resultSetScannerRegex: string
                        public static PNAME_clientInfoSetSPName: string
                        public static PNAME_clientInfoGetSPName: string
                        public static PNAME_clientInfoGetBulkSPName: string
                        public static PNAME_clientInfoCatalog: string
                        public static PNAME_autoConfigureForColdFusion: string
                        public static PNAME_testsuite_faultInjection_serverCharsetIndex: string
                        public constructor()
                        public static getPropertyDefinition(arg0: string): com.mysql.cj.api.conf.PropertyDefinition<any>
                        public static createRuntimeProperty(arg0: string): com.mysql.cj.api.conf.RuntimeProperty<any>
                        public static exposeAsXml(): string
                        public static class: java.lang.Class<any>
                    }
                    class ReadableBooleanProperty extends com.mysql.cj.core.conf.AbstractReadableProperty<java.lang.Boolean> implements com.mysql.cj.api.conf.ReadableProperty<java.lang.Boolean> , java.io.Serializable {
                        protected constructor(arg0: com.mysql.cj.api.conf.PropertyDefinition<java.lang.Boolean>)
                        public static class: java.lang.Class<any>
                    }
                    class ReadableIntegerProperty extends com.mysql.cj.core.conf.AbstractReadableProperty<java.lang.Integer> implements com.mysql.cj.api.conf.ReadableProperty<java.lang.Integer> , java.io.Serializable {
                        public constructor(arg0: com.mysql.cj.api.conf.PropertyDefinition<java.lang.Integer>)
                        public getValue(): java.lang.Integer
                        public getValue(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class ReadableLongProperty extends com.mysql.cj.core.conf.AbstractReadableProperty<java.lang.Long> implements com.mysql.cj.api.conf.ReadableProperty<java.lang.Long> , java.io.Serializable {
                        protected constructor(arg0: com.mysql.cj.api.conf.PropertyDefinition<java.lang.Long>)
                        public getValue(): java.lang.Long
                        public getValue(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class ReadableMemorySizeProperty extends com.mysql.cj.core.conf.ReadableIntegerProperty implements com.mysql.cj.api.conf.ReadableProperty<java.lang.Integer> , java.io.Serializable {
                        protected valueAsString: string
                        protected constructor(arg0: com.mysql.cj.api.conf.PropertyDefinition<java.lang.Integer>)
                        public getStringValue(): string
                        public static class: java.lang.Class<any>
                    }
                    class ReadableStringProperty extends com.mysql.cj.core.conf.AbstractReadableProperty<java.lang.String> implements com.mysql.cj.api.conf.ReadableProperty<java.lang.String> , java.io.Serializable {
                        protected constructor(arg0: com.mysql.cj.api.conf.PropertyDefinition<java.lang.String>)
                        public getStringValue(): string
                        public static class: java.lang.Class<any>
                    }
                    class StringPropertyDefinition extends com.mysql.cj.core.conf.AbstractPropertyDefinition<java.lang.String> {
                        public constructor(arg0: string, arg1: string, arg2: boolean, arg3: string, arg4: string, arg5: string, arg6: int)
                        public constructor(arg0: string, arg1: string, arg2: boolean, arg3: string, arg4: string, arg5: string, arg6: int, arg7: java.lang.String[])
                        public parseObject(arg0: string, arg1: com.mysql.cj.api.exceptions.ExceptionInterceptor): string
                        public createRuntimeProperty(): com.mysql.cj.api.conf.RuntimeProperty<java.lang.String>
                        public parseObject(arg0: string, arg1: com.mysql.cj.api.exceptions.ExceptionInterceptor): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    namespace url {
                        class ConnectionUrl$1 extends com.mysql.cj.core.conf.url.ConnectionUrl {
                            public static class: java.lang.Class<any>
                        }
                        class ConnectionUrl$2 extends com.mysql.cj.core.conf.url.ConnectionUrl {
                            public static class: java.lang.Class<any>
                        }
                        class ConnectionUrl$3 {
                            public static class: java.lang.Class<any>
                        }
                        class ConnectionUrl$HostsCardinality$1 extends com.mysql.cj.core.conf.url.ConnectionUrl$HostsCardinality {
                            public assertSize(arg0: int): boolean
                            public static class: java.lang.Class<any>
                        }
                        class ConnectionUrl$HostsCardinality$2 extends com.mysql.cj.core.conf.url.ConnectionUrl$HostsCardinality {
                            public assertSize(arg0: int): boolean
                            public static class: java.lang.Class<any>
                        }
                        class ConnectionUrl$HostsCardinality$3 extends com.mysql.cj.core.conf.url.ConnectionUrl$HostsCardinality {
                            public assertSize(arg0: int): boolean
                            public static class: java.lang.Class<any>
                        }
                        abstract class ConnectionUrl$HostsCardinality extends java.lang.Enum<com.mysql.cj.core.conf.url.ConnectionUrl$HostsCardinality> {
                            public static SINGLE: com.mysql.cj.core.conf.url.ConnectionUrl$HostsCardinality
                            public static MULTIPLE: com.mysql.cj.core.conf.url.ConnectionUrl$HostsCardinality
                            public static ONE_OR_MORE: com.mysql.cj.core.conf.url.ConnectionUrl$HostsCardinality
                            public static values(): com.mysql.cj.core.conf.url.ConnectionUrl$HostsCardinality[]
                            public static valueOf(arg0: string): com.mysql.cj.core.conf.url.ConnectionUrl$HostsCardinality
                            public assertSize(arg0: int): boolean
                            public static class: java.lang.Class<any>
                        }
                        class ConnectionUrl$Type extends java.lang.Enum<com.mysql.cj.core.conf.url.ConnectionUrl$Type> {
                            public static SINGLE_CONNECTION: com.mysql.cj.core.conf.url.ConnectionUrl$Type
                            public static FAILOVER_CONNECTION: com.mysql.cj.core.conf.url.ConnectionUrl$Type
                            public static LOADBALANCE_CONNECTION: com.mysql.cj.core.conf.url.ConnectionUrl$Type
                            public static REPLICATION_CONNECTION: com.mysql.cj.core.conf.url.ConnectionUrl$Type
                            public static XDEVAPI_SESSION: com.mysql.cj.core.conf.url.ConnectionUrl$Type
                            public static values(): com.mysql.cj.core.conf.url.ConnectionUrl$Type[]
                            public static valueOf(arg0: string): com.mysql.cj.core.conf.url.ConnectionUrl$Type
                            public getProtocol(): string
                            public getCardinality(): com.mysql.cj.core.conf.url.ConnectionUrl$HostsCardinality
                            public static fromValue(arg0: string, arg1: int): com.mysql.cj.core.conf.url.ConnectionUrl$Type
                            public static class: java.lang.Class<any>
                        }
                        abstract class ConnectionUrl implements com.mysql.cj.api.conf.DatabaseUrlContainer {
                            protected type: com.mysql.cj.core.conf.url.ConnectionUrl$Type
                            protected originalConnStr: string
                            protected originalDatabase: string
                            protected hosts: java.util.List<com.mysql.cj.core.conf.url.HostInfo>
                            protected properties: java.util.Map<java.lang.String, java.lang.String>
                            public static getConnectionUrlInstance(arg0: string, arg1: java.util.Properties): com.mysql.cj.core.conf.url.ConnectionUrl
                            public static acceptsUrl(arg0: string): boolean
                            protected constructor()
                            public constructor(arg0: string)
                            protected constructor(arg0: com.mysql.cj.core.conf.url.ConnectionUrlParser, arg1: java.util.Properties)
                            protected collectProperties(arg0: com.mysql.cj.core.conf.url.ConnectionUrlParser, arg1: java.util.Properties): void
                            protected processColdFusionAutoConfiguration(): void
                            protected setupPropertiesTransformer(): void
                            protected expandPropertiesFromConfigFiles(arg0: java.util.Map<java.lang.String, java.lang.String>): void
                            public static getPropertiesFromConfigFiles(arg0: string): java.util.Properties
                            protected injectPerTypeProperties(arg0: java.util.Map<java.lang.String, java.lang.String>): void
                            protected collectHostsInfo(arg0: com.mysql.cj.core.conf.url.ConnectionUrlParser): void
                            protected fixHostInfo(arg0: com.mysql.cj.core.conf.url.HostInfo): com.mysql.cj.core.conf.url.HostInfo
                            protected preprocessPerTypeHostProperties(arg0: java.util.Map<java.lang.String, java.lang.String>): java.util.Map<java.lang.String, java.lang.String>
                            public getDefaultHost(): string
                            public getDefaultPort(): int
                            public getDefaultUser(): string
                            public getDefaultPassword(): string
                            protected fixKeysCase(arg0: java.util.Map<java.lang.String, java.lang.String>): void
                            protected fixProtocolDependencies(arg0: java.util.Map<java.lang.String, java.lang.String>): void
                            public getType(): com.mysql.cj.core.conf.url.ConnectionUrl$Type
                            public getDatabaseUrl(): string
                            public getDatabase(): string
                            public hostsCount(): int
                            public getMainHost(): com.mysql.cj.core.conf.url.HostInfo
                            public getHostsList(): java.util.List<com.mysql.cj.core.conf.url.HostInfo>
                            public getHostOrSpawnIsolated(arg0: string): com.mysql.cj.core.conf.url.HostInfo
                            public getHostOrSpawnIsolated(arg0: string, arg1: java.util.List<com.mysql.cj.core.conf.url.HostInfo>): com.mysql.cj.core.conf.url.HostInfo
                            public getOriginalProperties(): java.util.Map<java.lang.String, java.lang.String>
                            public getConnectionArgumentsAsProperties(): java.util.Properties
                            public toString(): string
                            public static class: java.lang.Class<any>
                        }
                        class ConnectionUrlParser$Pair<T, U> {
                            public left: T
                            public right: U
                            public constructor(arg0: T, arg1: U)
                            public toString(): string
                            public static class: java.lang.Class<any>
                        }
                        class ConnectionUrlParser implements com.mysql.cj.api.conf.DatabaseUrlContainer {
                            public static parseConnectionString(arg0: string): com.mysql.cj.core.conf.url.ConnectionUrlParser
                            public static parseUserInfo(arg0: string): com.mysql.cj.core.conf.url.ConnectionUrlParser$Pair<java.lang.String, java.lang.String>
                            public static parseHostPortPair(arg0: string): com.mysql.cj.core.conf.url.ConnectionUrlParser$Pair<java.lang.String, java.lang.Integer>
                            public getDatabaseUrl(): string
                            public getScheme(): string
                            public getAuthority(): string
                            public getPath(): string
                            public getQuery(): string
                            public getHosts(): java.util.List<com.mysql.cj.core.conf.url.HostInfo>
                            public getProperties(): java.util.Map<java.lang.String, java.lang.String>
                            public toString(): string
                            public static class: java.lang.Class<any>
                        }
                        class FailoverConnectionUrl extends com.mysql.cj.core.conf.url.ConnectionUrl {
                            protected constructor(arg0: com.mysql.cj.core.conf.url.ConnectionUrlParser, arg1: java.util.Properties)
                            protected injectPerTypeProperties(arg0: java.util.Map<java.lang.String, java.lang.String>): void
                            public static class: java.lang.Class<any>
                        }
                        class HostInfo implements com.mysql.cj.api.conf.DatabaseUrlContainer {
                            public constructor()
                            public constructor(arg0: com.mysql.cj.api.conf.DatabaseUrlContainer | com.mysql.cj.api.conf.DatabaseUrlContainer$$Lambda, arg1: string, arg2: int, arg3: string, arg4: string)
                            public constructor(arg0: com.mysql.cj.api.conf.DatabaseUrlContainer | com.mysql.cj.api.conf.DatabaseUrlContainer$$Lambda, arg1: string, arg2: int, arg3: string, arg4: string, arg5: java.util.Map<java.lang.String, java.lang.String>)
                            public getHost(): string
                            public getPort(): int
                            public getHostPortPair(): string
                            public getUser(): string
                            public getPassword(): string
                            public getHostProperties(): java.util.Map<java.lang.String, java.lang.String>
                            public getProperty(arg0: string): string
                            public getDatabase(): string
                            public exposeAsProperties(): java.util.Properties
                            public getDatabaseUrl(): string
                            public toString(): string
                            public static class: java.lang.Class<any>
                        }
                        class LoadbalanceConnectionUrl extends com.mysql.cj.core.conf.url.ConnectionUrl {
                            protected constructor(arg0: com.mysql.cj.core.conf.url.ConnectionUrlParser, arg1: java.util.Properties)
                            public constructor(arg0: java.util.List<com.mysql.cj.core.conf.url.HostInfo>, arg1: java.util.Map<java.lang.String, java.lang.String>)
                            protected injectPerTypeProperties(arg0: java.util.Map<java.lang.String, java.lang.String>): void
                            public getHostInfoListAsHostPortPairs(): java.util.List<java.lang.String>
                            public getHostInfoListFromHostPortPairs(arg0: java.util.Collection<java.lang.String>): java.util.List<com.mysql.cj.core.conf.url.HostInfo>
                            public static class: java.lang.Class<any>
                        }
                        class ReplicationConnectionUrl extends com.mysql.cj.core.conf.url.ConnectionUrl {
                            protected constructor(arg0: com.mysql.cj.core.conf.url.ConnectionUrlParser, arg1: java.util.Properties)
                            public constructor(arg0: java.util.List<com.mysql.cj.core.conf.url.HostInfo>, arg1: java.util.List<com.mysql.cj.core.conf.url.HostInfo>, arg2: java.util.Map<java.lang.String, java.lang.String>)
                            protected injectPerTypeProperties(arg0: java.util.Map<java.lang.String, java.lang.String>): void
                            public getMasterHostOrSpawnIsolated(arg0: string): com.mysql.cj.core.conf.url.HostInfo
                            public getMastersList(): java.util.List<com.mysql.cj.core.conf.url.HostInfo>
                            public getMastersListAsHostPortPairs(): java.util.List<java.lang.String>
                            public getMasterHostsListFromHostPortPairs(arg0: java.util.Collection<java.lang.String>): java.util.List<com.mysql.cj.core.conf.url.HostInfo>
                            public getSlaveHostOrSpawnIsolated(arg0: string): com.mysql.cj.core.conf.url.HostInfo
                            public getSlavesList(): java.util.List<com.mysql.cj.core.conf.url.HostInfo>
                            public getSlavesListAsHostPortPairs(): java.util.List<java.lang.String>
                            public getSlaveHostsListFromHostPortPairs(arg0: java.util.Collection<java.lang.String>): java.util.List<com.mysql.cj.core.conf.url.HostInfo>
                            public static class: java.lang.Class<any>
                        }
                        class SingleConnectionUrl extends com.mysql.cj.core.conf.url.ConnectionUrl {
                            protected constructor(arg0: com.mysql.cj.core.conf.url.ConnectionUrlParser, arg1: java.util.Properties)
                            public static class: java.lang.Class<any>
                        }
                        class XDevAPIConnectionUrl extends com.mysql.cj.core.conf.url.ConnectionUrl {
                            protected constructor(arg0: com.mysql.cj.core.conf.url.ConnectionUrlParser, arg1: java.util.Properties)
                            protected processColdFusionAutoConfiguration(): void
                            protected preprocessPerTypeHostProperties(arg0: java.util.Map<java.lang.String, java.lang.String>): java.util.Map<java.lang.String, java.lang.String>
                            public getDefaultPort(): int
                            protected fixProtocolDependencies(arg0: java.util.Map<java.lang.String, java.lang.String>): void
                            public static class: java.lang.Class<any>
                        }
                        
                    }
                    
                }
                namespace exceptions {
                    class AssertionFailedException extends com.mysql.cj.core.exceptions.CJException {
                        public static shouldNotHappen(arg0: java.lang.Exception): com.mysql.cj.core.exceptions.AssertionFailedException
                        public static shouldNotHappen(arg0: string): com.mysql.cj.core.exceptions.AssertionFailedException
                        public constructor(arg0: java.lang.Exception)
                        public constructor(arg0: string)
                        public static class: java.lang.Class<any>
                    }
                    class CJCommunicationsException extends com.mysql.cj.core.exceptions.CJException {
                        public constructor()
                        public constructor(arg0: string)
                        public constructor(arg0: string, arg1: java.lang.Throwable)
                        public constructor(arg0: java.lang.Throwable)
                        protected constructor(arg0: string, arg1: java.lang.Throwable, arg2: boolean, arg3: boolean)
                        public getMessage(): string
                        public init(arg0: com.mysql.cj.api.conf.PropertySet, arg1: com.mysql.cj.api.io.ServerSession, arg2: long, arg3: long): void
                        public static class: java.lang.Class<any>
                    }
                    class CJConnectionFeatureNotAvailableException extends com.mysql.cj.core.exceptions.CJCommunicationsException {
                        public constructor(arg0: com.mysql.cj.api.conf.PropertySet, arg1: com.mysql.cj.api.io.ServerSession, arg2: long, arg3: java.lang.Exception)
                        public getMessage(): string
                        public static class: java.lang.Class<any>
                    }
                    class CJException extends java.lang.RuntimeException {
                        public constructor()
                        public constructor(arg0: string)
                        public constructor(arg0: java.lang.Throwable)
                        public constructor(arg0: string, arg1: java.lang.Throwable)
                        protected constructor(arg0: string, arg1: java.lang.Throwable, arg2: boolean, arg3: boolean)
                        public getSQLState(): string
                        public setSQLState(arg0: string): void
                        public getVendorCode(): int
                        public setVendorCode(arg0: int): void
                        public isTransient(): boolean
                        public setTransient(arg0: boolean): void
                        public static class: java.lang.Class<any>
                    }
                    class CJOperationNotSupportedException extends com.mysql.cj.core.exceptions.CJException {
                        public constructor()
                        public constructor(arg0: string)
                        public static class: java.lang.Class<any>
                    }
                    class CJPacketTooBigException extends com.mysql.cj.core.exceptions.CJException {
                        public constructor()
                        public constructor(arg0: string)
                        public constructor(arg0: java.lang.Throwable)
                        public constructor(arg0: string, arg1: java.lang.Throwable)
                        public constructor(arg0: long, arg1: long)
                        public static class: java.lang.Class<any>
                    }
                    class CJTimeoutException extends com.mysql.cj.core.exceptions.CJException {
                        public constructor()
                        public constructor(arg0: string)
                        public constructor(arg0: java.lang.Throwable)
                        public constructor(arg0: string, arg1: java.lang.Throwable)
                        public static class: java.lang.Class<any>
                    }
                    class ClosedOnExpiredPasswordException extends com.mysql.cj.core.exceptions.CJException {
                        public constructor()
                        public constructor(arg0: string)
                        public constructor(arg0: string, arg1: java.lang.Throwable)
                        public constructor(arg0: java.lang.Throwable)
                        protected constructor(arg0: string, arg1: java.lang.Throwable, arg2: boolean, arg3: boolean)
                        public static class: java.lang.Class<any>
                    }
                    class ConnectionIsClosedException extends com.mysql.cj.core.exceptions.CJException {
                        public constructor()
                        public constructor(arg0: string)
                        public constructor(arg0: string, arg1: java.lang.Throwable)
                        public constructor(arg0: java.lang.Throwable)
                        protected constructor(arg0: string, arg1: java.lang.Throwable, arg2: boolean, arg3: boolean)
                        public static class: java.lang.Class<any>
                    }
                    class DataConversionException extends com.mysql.cj.core.exceptions.DataReadException {
                        public constructor(arg0: string)
                        public static class: java.lang.Class<any>
                    }
                    class DataReadException extends com.mysql.cj.core.exceptions.CJException {
                        public constructor(arg0: java.lang.Exception)
                        public constructor(arg0: string)
                        public static class: java.lang.Class<any>
                    }
                    class DataTruncationException extends com.mysql.cj.core.exceptions.CJException {
                        public constructor()
                        public constructor(arg0: string)
                        public constructor(arg0: string, arg1: java.lang.Throwable)
                        public constructor(arg0: java.lang.Throwable)
                        protected constructor(arg0: string, arg1: java.lang.Throwable, arg2: boolean, arg3: boolean)
                        public constructor(arg0: string, arg1: int, arg2: boolean, arg3: boolean, arg4: int, arg5: int, arg6: int)
                        public getIndex(): int
                        public setIndex(arg0: int): void
                        public isParameter(): boolean
                        public setParameter(arg0: boolean): void
                        public isRead(): boolean
                        public setRead(arg0: boolean): void
                        public getDataSize(): int
                        public setDataSize(arg0: int): void
                        public getTransferSize(): int
                        public setTransferSize(arg0: int): void
                        public static class: java.lang.Class<any>
                    }
                    class ExceptionFactory {
                        public constructor()
                        public static createException(arg0: string): com.mysql.cj.core.exceptions.CJException
                        public static createException<T extends com.mysql.cj.core.exceptions.CJException>(arg0: java.lang.Class<T>, arg1: string): T
                        public static createException(arg0: string, arg1: com.mysql.cj.api.exceptions.ExceptionInterceptor): com.mysql.cj.core.exceptions.CJException
                        public static createException<T extends com.mysql.cj.core.exceptions.CJException>(arg0: java.lang.Class<T>, arg1: string, arg2: com.mysql.cj.api.exceptions.ExceptionInterceptor): T
                        public static createException(arg0: string, arg1: java.lang.Throwable): com.mysql.cj.core.exceptions.CJException
                        public static createException<T extends com.mysql.cj.core.exceptions.CJException>(arg0: java.lang.Class<T>, arg1: string, arg2: java.lang.Throwable): T
                        public static createException(arg0: string, arg1: java.lang.Throwable, arg2: com.mysql.cj.api.exceptions.ExceptionInterceptor): com.mysql.cj.core.exceptions.CJException
                        public static createException(arg0: string, arg1: string, arg2: int, arg3: boolean, arg4: java.lang.Throwable, arg5: com.mysql.cj.api.exceptions.ExceptionInterceptor): com.mysql.cj.core.exceptions.CJException
                        public static createException<T extends com.mysql.cj.core.exceptions.CJException>(arg0: java.lang.Class<T>, arg1: string, arg2: java.lang.Throwable, arg3: com.mysql.cj.api.exceptions.ExceptionInterceptor): T
                        public static createCommunicationsException(arg0: com.mysql.cj.api.conf.PropertySet, arg1: com.mysql.cj.api.io.ServerSession, arg2: long, arg3: long, arg4: java.lang.Throwable, arg5: com.mysql.cj.api.exceptions.ExceptionInterceptor): com.mysql.cj.core.exceptions.CJCommunicationsException
                        public static createLinkFailureMessageBasedOnHeuristics(arg0: com.mysql.cj.api.conf.PropertySet, arg1: com.mysql.cj.api.io.ServerSession, arg2: long, arg3: long, arg4: java.lang.Throwable): string
                        public static class: java.lang.Class<any>
                    }
                    class FeatureNotAvailableException extends com.mysql.cj.core.exceptions.CJException {
                        public constructor()
                        public constructor(arg0: string)
                        public constructor(arg0: string, arg1: java.lang.Throwable)
                        public constructor(arg0: java.lang.Throwable)
                        public constructor(arg0: string, arg1: java.lang.Throwable, arg2: boolean, arg3: boolean)
                        public static class: java.lang.Class<any>
                    }
                    class InvalidConnectionAttributeException extends com.mysql.cj.core.exceptions.CJException {
                        public constructor()
                        public constructor(arg0: string)
                        public constructor(arg0: string, arg1: java.lang.Throwable)
                        public constructor(arg0: java.lang.Throwable)
                        public constructor(arg0: string, arg1: java.lang.Throwable, arg2: boolean, arg3: boolean)
                        public static class: java.lang.Class<any>
                    }
                    class MysqlErrorNumbers {
                        public static ER_ERROR_MESSAGES: int
                        public static ER_HASHCHK: int
                        public static ER_NISAMCHK: int
                        public static ER_NO: int
                        public static ER_YES: int
                        public static ER_CANT_CREATE_FILE: int
                        public static ER_CANT_CREATE_TABLE: int
                        public static ER_CANT_CREATE_DB: int
                        public static ER_DB_CREATE_EXISTS: int
                        public static ER_DB_DROP_EXISTS: int
                        public static ER_DB_DROP_DELETE: int
                        public static ER_DB_DROP_RMDIR: int
                        public static ER_CANT_DELETE_FILE: int
                        public static ER_CANT_FIND_SYSTEM_REC: int
                        public static ER_CANT_GET_STAT: int
                        public static ER_CANT_GET_WD: int
                        public static ER_CANT_LOCK: int
                        public static ER_CANT_OPEN_FILE: int
                        public static ER_FILE_NOT_FOUND: int
                        public static ER_CANT_READ_DIR: int
                        public static ER_CANT_SET_WD: int
                        public static ER_CHECKREAD: int
                        public static ER_DISK_FULL: int
                        public static ER_DUP_KEY: int
                        public static ER_ERROR_ON_CLOSE: int
                        public static ER_ERROR_ON_READ: int
                        public static ER_ERROR_ON_RENAME: int
                        public static ER_ERROR_ON_WRITE: int
                        public static ER_FILE_USED: int
                        public static ER_FILSORT_ABORT: int
                        public static ER_FORM_NOT_FOUND: int
                        public static ER_GET_ERRNO: int
                        public static ER_ILLEGAL_HA: int
                        public static ER_KEY_NOT_FOUND: int
                        public static ER_NOT_FORM_FILE: int
                        public static ER_NOT_KEYFILE: int
                        public static ER_OLD_KEYFILE: int
                        public static ER_OPEN_AS_READONLY: int
                        public static ER_OUTOFMEMORY: int
                        public static ER_OUT_OF_SORTMEMORY: int
                        public static ER_UNEXPECTED_EOF: int
                        public static ER_CON_COUNT_ERROR: int
                        public static ER_OUT_OF_RESOURCES: int
                        public static ER_BAD_HOST_ERROR: int
                        public static ER_HANDSHAKE_ERROR: int
                        public static ER_DBACCESS_DENIED_ERROR: int
                        public static ER_ACCESS_DENIED_ERROR: int
                        public static ER_NO_DB_ERROR: int
                        public static ER_UNKNOWN_COM_ERROR: int
                        public static ER_BAD_NULL_ERROR: int
                        public static ER_BAD_DB_ERROR: int
                        public static ER_TABLE_EXISTS_ERROR: int
                        public static ER_BAD_TABLE_ERROR: int
                        public static ER_NON_UNIQ_ERROR: int
                        public static ER_SERVER_SHUTDOWN: int
                        public static ER_BAD_FIELD_ERROR: int
                        public static ER_WRONG_FIELD_WITH_GROUP: int
                        public static ER_WRONG_GROUP_FIELD: int
                        public static ER_WRONG_SUM_SELECT: int
                        public static ER_WRONG_VALUE_COUNT: int
                        public static ER_TOO_LONG_IDENT: int
                        public static ER_DUP_FIELDNAME: int
                        public static ER_DUP_KEYNAME: int
                        public static ER_DUP_ENTRY: int
                        public static ER_WRONG_FIELD_SPEC: int
                        public static ER_PARSE_ERROR: int
                        public static ER_EMPTY_QUERY: int
                        public static ER_NONUNIQ_TABLE: int
                        public static ER_INVALID_DEFAULT: int
                        public static ER_MULTIPLE_PRI_KEY: int
                        public static ER_TOO_MANY_KEYS: int
                        public static ER_TOO_MANY_KEY_PARTS: int
                        public static ER_TOO_LONG_KEY: int
                        public static ER_KEY_COLUMN_DOES_NOT_EXITS: int
                        public static ER_BLOB_USED_AS_KEY: int
                        public static ER_TOO_BIG_FIELDLENGTH: int
                        public static ER_WRONG_AUTO_KEY: int
                        public static ER_READY: int
                        public static ER_NORMAL_SHUTDOWN: int
                        public static ER_GOT_SIGNAL: int
                        public static ER_SHUTDOWN_COMPLETE: int
                        public static ER_FORCING_CLOSE: int
                        public static ER_IPSOCK_ERROR: int
                        public static ER_NO_SUCH_INDEX: int
                        public static ER_WRONG_FIELD_TERMINATORS: int
                        public static ER_BLOBS_AND_NO_TERMINATED: int
                        public static ER_TEXTFILE_NOT_READABLE: int
                        public static ER_FILE_EXISTS_ERROR: int
                        public static ER_LOAD_INFO: int
                        public static ER_ALTER_INFO: int
                        public static ER_WRONG_SUB_KEY: int
                        public static ER_CANT_REMOVE_ALL_FIELDS: int
                        public static ER_CANT_DROP_FIELD_OR_KEY: int
                        public static ER_INSERT_INFO: int
                        public static ER_UPDATE_TABLE_USED: int
                        public static ER_NO_SUCH_THREAD: int
                        public static ER_KILL_DENIED_ERROR: int
                        public static ER_NO_TABLES_USED: int
                        public static ER_TOO_BIG_SET: int
                        public static ER_NO_UNIQUE_LOGFILE: int
                        public static ER_TABLE_NOT_LOCKED_FOR_WRITE: int
                        public static ER_TABLE_NOT_LOCKED: int
                        public static ER_BLOB_CANT_HAVE_DEFAULT: int
                        public static ER_WRONG_DB_NAME: int
                        public static ER_WRONG_TABLE_NAME: int
                        public static ER_TOO_BIG_SELECT: int
                        public static ER_UNKNOWN_ERROR: int
                        public static ER_UNKNOWN_PROCEDURE: int
                        public static ER_WRONG_PARAMCOUNT_TO_PROCEDURE: int
                        public static ER_WRONG_PARAMETERS_TO_PROCEDURE: int
                        public static ER_UNKNOWN_TABLE: int
                        public static ER_FIELD_SPECIFIED_TWICE: int
                        public static ER_INVALID_GROUP_FUNC_USE: int
                        public static ER_UNSUPPORTED_EXTENSION: int
                        public static ER_TABLE_MUST_HAVE_COLUMNS: int
                        public static ER_RECORD_FILE_FULL: int
                        public static ER_UNKNOWN_CHARACTER_SET: int
                        public static ER_TOO_MANY_TABLES: int
                        public static ER_TOO_MANY_FIELDS: int
                        public static ER_TOO_BIG_ROWSIZE: int
                        public static ER_STACK_OVERRUN: int
                        public static ER_WRONG_OUTER_JOIN: int
                        public static ER_NULL_COLUMN_IN_INDEX: int
                        public static ER_CANT_FIND_UDF: int
                        public static ER_CANT_INITIALIZE_UDF: int
                        public static ER_UDF_NO_PATHS: int
                        public static ER_UDF_EXISTS: int
                        public static ER_CANT_OPEN_LIBRARY: int
                        public static ER_CANT_FIND_DL_ENTRY: int
                        public static ER_FUNCTION_NOT_DEFINED: int
                        public static ER_HOST_IS_BLOCKED: int
                        public static ER_HOST_NOT_PRIVILEGED: int
                        public static ER_PASSWORD_ANONYMOUS_USER: int
                        public static ER_PASSWORD_NOT_ALLOWED: int
                        public static ER_PASSWORD_NO_MATCH: int
                        public static ER_UPDATE_INFO: int
                        public static ER_CANT_CREATE_THREAD: int
                        public static ER_WRONG_VALUE_COUNT_ON_ROW: int
                        public static ER_CANT_REOPEN_TABLE: int
                        public static ER_INVALID_USE_OF_NULL: int
                        public static ER_REGEXP_ERROR: int
                        public static ER_MIX_OF_GROUP_FUNC_AND_FIELDS: int
                        public static ER_NONEXISTING_GRANT: int
                        public static ER_TABLEACCESS_DENIED_ERROR: int
                        public static ER_COLUMNACCESS_DENIED_ERROR: int
                        public static ER_ILLEGAL_GRANT_FOR_TABLE: int
                        public static ER_GRANT_WRONG_HOST_OR_USER: int
                        public static ER_NO_SUCH_TABLE: int
                        public static ER_NONEXISTING_TABLE_GRANT: int
                        public static ER_NOT_ALLOWED_COMMAND: int
                        public static ER_SYNTAX_ERROR: int
                        public static ER_DELAYED_CANT_CHANGE_LOCK: int
                        public static ER_TOO_MANY_DELAYED_THREADS: int
                        public static ER_ABORTING_CONNECTION: int
                        public static ER_NET_PACKET_TOO_LARGE: int
                        public static ER_NET_READ_ERROR_FROM_PIPE: int
                        public static ER_NET_FCNTL_ERROR: int
                        public static ER_NET_PACKETS_OUT_OF_ORDER: int
                        public static ER_NET_UNCOMPRESS_ERROR: int
                        public static ER_NET_READ_ERROR: int
                        public static ER_NET_READ_INTERRUPTED: int
                        public static ER_NET_ERROR_ON_WRITE: int
                        public static ER_NET_WRITE_INTERRUPTED: int
                        public static ER_TOO_LONG_STRING: int
                        public static ER_TABLE_CANT_HANDLE_BLOB: int
                        public static ER_TABLE_CANT_HANDLE_AUTO_INCREMENT: int
                        public static ER_DELAYED_INSERT_TABLE_LOCKED: int
                        public static ER_WRONG_COLUMN_NAME: int
                        public static ER_WRONG_KEY_COLUMN: int
                        public static ER_WRONG_MRG_TABLE: int
                        public static ER_DUP_UNIQUE: int
                        public static ER_BLOB_KEY_WITHOUT_LENGTH: int
                        public static ER_PRIMARY_CANT_HAVE_NULL: int
                        public static ER_TOO_MANY_ROWS: int
                        public static ER_REQUIRES_PRIMARY_KEY: int
                        public static ER_NO_RAID_COMPILED: int
                        public static ER_UPDATE_WITHOUT_KEY_IN_SAFE_MODE: int
                        public static ER_KEY_DOES_NOT_EXITS: int
                        public static ER_CHECK_NO_SUCH_TABLE: int
                        public static ER_CHECK_NOT_IMPLEMENTED: int
                        public static ER_CANT_DO_THIS_DURING_AN_TRANSACTION: int
                        public static ER_ERROR_DURING_COMMIT: int
                        public static ER_ERROR_DURING_ROLLBACK: int
                        public static ER_ERROR_DURING_FLUSH_LOGS: int
                        public static ER_ERROR_DURING_CHECKPOINT: int
                        public static ER_NEW_ABORTING_CONNECTION: int
                        public static ER_DUMP_NOT_IMPLEMENTED: int
                        public static ER_FLUSH_MASTER_BINLOG_CLOSED: int
                        public static ER_INDEX_REBUILD: int
                        public static ER_MASTER: int
                        public static ER_MASTER_NET_READ: int
                        public static ER_MASTER_NET_WRITE: int
                        public static ER_FT_MATCHING_KEY_NOT_FOUND: int
                        public static ER_LOCK_OR_ACTIVE_TRANSACTION: int
                        public static ER_UNKNOWN_SYSTEM_VARIABLE: int
                        public static ER_CRASHED_ON_USAGE: int
                        public static ER_CRASHED_ON_REPAIR: int
                        public static ER_WARNING_NOT_COMPLETE_ROLLBACK: int
                        public static ER_TRANS_CACHE_FULL: int
                        public static ER_SLAVE_MUST_STOP: int
                        public static ER_SLAVE_NOT_RUNNING: int
                        public static ER_BAD_SLAVE: int
                        public static ER_MASTER_INFO: int
                        public static ER_SLAVE_THREAD: int
                        public static ER_TOO_MANY_USER_CONNECTIONS: int
                        public static ER_SET_CONSTANTS_ONLY: int
                        public static ER_LOCK_WAIT_TIMEOUT: int
                        public static ER_LOCK_TABLE_FULL: int
                        public static ER_READ_ONLY_TRANSACTION: int
                        public static ER_DROP_DB_WITH_READ_LOCK: int
                        public static ER_CREATE_DB_WITH_READ_LOCK: int
                        public static ER_WRONG_ARGUMENTS: int
                        public static ER_NO_PERMISSION_TO_CREATE_USER: int
                        public static ER_UNION_TABLES_IN_DIFFERENT_DIR: int
                        public static ER_LOCK_DEADLOCK: int
                        public static ER_TABLE_CANT_HANDLE_FT: int
                        public static ER_CANNOT_ADD_FOREIGN: int
                        public static ER_NO_REFERENCED_ROW: int
                        public static ER_ROW_IS_REFERENCED: int
                        public static ER_CONNECT_TO_MASTER: int
                        public static ER_QUERY_ON_MASTER: int
                        public static ER_ERROR_WHEN_EXECUTING_COMMAND: int
                        public static ER_WRONG_USAGE: int
                        public static ER_WRONG_NUMBER_OF_COLUMNS_IN_SELECT: int
                        public static ER_CANT_UPDATE_WITH_READLOCK: int
                        public static ER_MIXING_NOT_ALLOWED: int
                        public static ER_DUP_ARGUMENT: int
                        public static ER_USER_LIMIT_REACHED: int
                        public static ER_SPECIFIC_ACCESS_DENIED_ERROR: int
                        public static ER_LOCAL_VARIABLE: int
                        public static ER_GLOBAL_VARIABLE: int
                        public static ER_NO_DEFAULT: int
                        public static ER_WRONG_VALUE_FOR_VAR: int
                        public static ER_WRONG_TYPE_FOR_VAR: int
                        public static ER_VAR_CANT_BE_READ: int
                        public static ER_CANT_USE_OPTION_HERE: int
                        public static ER_NOT_SUPPORTED_YET: int
                        public static ER_MASTER_FATAL_ERROR_READING_BINLOG: int
                        public static ER_SLAVE_IGNORED_TABLE: int
                        public static ER_INCORRECT_GLOBAL_LOCAL_VAR: int
                        public static ER_WRONG_FK_DEF: int
                        public static ER_KEY_REF_DO_NOT_MATCH_TABLE_REF: int
                        public static ER_OPERAND_COLUMNS: int
                        public static ER_SUBQUERY_NO_1_ROW: int
                        public static ER_UNKNOWN_STMT_HANDLER: int
                        public static ER_CORRUPT_HELP_DB: int
                        public static ER_CYCLIC_REFERENCE: int
                        public static ER_AUTO_CONVERT: int
                        public static ER_ILLEGAL_REFERENCE: int
                        public static ER_DERIVED_MUST_HAVE_ALIAS: int
                        public static ER_SELECT_REDUCED: int
                        public static ER_TABLENAME_NOT_ALLOWED_HERE: int
                        public static ER_NOT_SUPPORTED_AUTH_MODE: int
                        public static ER_SPATIAL_CANT_HAVE_NULL: int
                        public static ER_COLLATION_CHARSET_MISMATCH: int
                        public static ER_SLAVE_WAS_RUNNING: int
                        public static ER_SLAVE_WAS_NOT_RUNNING: int
                        public static ER_TOO_BIG_FOR_UNCOMPRESS: int
                        public static ER_ZLIB_Z_MEM_ERROR: int
                        public static ER_ZLIB_Z_BUF_ERROR: int
                        public static ER_ZLIB_Z_DATA_ERROR: int
                        public static ER_CUT_VALUE_GROUP_CONCAT: int
                        public static ER_WARN_TOO_FEW_RECORDS: int
                        public static ER_WARN_TOO_MANY_RECORDS: int
                        public static ER_WARN_NULL_TO_NOTNULL: int
                        public static ER_WARN_DATA_OUT_OF_RANGE: int
                        public static ER_WARN_DATA_TRUNCATED: int
                        public static ER_WARN_USING_OTHER_HANDLER: int
                        public static ER_CANT_AGGREGATE_2COLLATIONS: int
                        public static ER_DROP_USER: int
                        public static ER_REVOKE_GRANTS: int
                        public static ER_CANT_AGGREGATE_3COLLATIONS: int
                        public static ER_CANT_AGGREGATE_NCOLLATIONS: int
                        public static ER_VARIABLE_IS_NOT_STRUCT: int
                        public static ER_UNKNOWN_COLLATION: int
                        public static ER_SLAVE_IGNORED_SSL_PARAMS: int
                        public static ER_SERVER_IS_IN_SECURE_AUTH_MODE: int
                        public static ER_WARN_FIELD_RESOLVED: int
                        public static ER_BAD_SLAVE_UNTIL_COND: int
                        public static ER_MISSING_SKIP_SLAVE: int
                        public static ER_UNTIL_COND_IGNORED: int
                        public static ER_WRONG_NAME_FOR_INDEX: int
                        public static ER_WRONG_NAME_FOR_CATALOG: int
                        public static ER_WARN_QC_RESIZE: int
                        public static ER_BAD_FT_COLUMN: int
                        public static ER_UNKNOWN_KEY_CACHE: int
                        public static ER_WARN_HOSTNAME_WONT_WORK: int
                        public static ER_UNKNOWN_STORAGE_ENGINE: int
                        public static ER_WARN_DEPRECATED_SYNTAX: int
                        public static ER_NON_UPDATABLE_TABLE: int
                        public static ER_FEATURE_DISABLED: int
                        public static ER_OPTION_PREVENTS_STATEMENT: int
                        public static ER_DUPLICATED_VALUE_IN_TYPE: int
                        public static ER_TRUNCATED_WRONG_VALUE: int
                        public static ER_TOO_MUCH_AUTO_TIMESTAMP_COLS: int
                        public static ER_INVALID_ON_UPDATE: int
                        public static ER_UNSUPPORTED_PS: int
                        public static ER_GET_ERRMSG: int
                        public static ER_GET_TEMPORARY_ERRMSG: int
                        public static ER_UNKNOWN_TIME_ZONE: int
                        public static ER_WARN_INVALID_TIMESTAMP: int
                        public static ER_INVALID_CHARACTER_STRING: int
                        public static ER_WARN_ALLOWED_PACKET_OVERFLOWED: int
                        public static ER_CONFLICTING_DECLARATIONS: int
                        public static ER_SP_NO_RECURSIVE_CREATE: int
                        public static ER_SP_ALREADY_EXISTS: int
                        public static ER_SP_DOES_NOT_EXIST: int
                        public static ER_SP_DROP_FAILED: int
                        public static ER_SP_STORE_FAILED: int
                        public static ER_SP_LILABEL_MISMATCH: int
                        public static ER_SP_LABEL_REDEFINE: int
                        public static ER_SP_LABEL_MISMATCH: int
                        public static ER_SP_UNINIT_VAR: int
                        public static ER_SP_BADSELECT: int
                        public static ER_SP_BADRETURN: int
                        public static ER_SP_BADSTATEMENT: int
                        public static ER_UPDATE_LOG_DEPRECATED_IGNORED: int
                        public static ER_UPDATE_LOG_DEPRECATED_TRANSLATED: int
                        public static ER_QUERY_INTERRUPTED: int
                        public static ER_SP_WRONG_NO_OF_ARGS: int
                        public static ER_SP_COND_MISMATCH: int
                        public static ER_SP_NORETURN: int
                        public static ER_SP_NORETURNEND: int
                        public static ER_SP_BAD_CURSOR_QUERY: int
                        public static ER_SP_BAD_CURSOR_SELECT: int
                        public static ER_SP_CURSOR_MISMATCH: int
                        public static ER_SP_CURSOR_ALREADY_OPEN: int
                        public static ER_SP_CURSOR_NOT_OPEN: int
                        public static ER_SP_UNDECLARED_VAR: int
                        public static ER_SP_WRONG_NO_OF_FETCH_ARGS: int
                        public static ER_SP_FETCH_NO_DATA: int
                        public static ER_SP_DUP_PARAM: int
                        public static ER_SP_DUP_VAR: int
                        public static ER_SP_DUP_COND: int
                        public static ER_SP_DUP_CURS: int
                        public static ER_SP_CANT_ALTER: int
                        public static ER_SP_SUBSELECT_NYI: int
                        public static ER_STMT_NOT_ALLOWED_IN_SF_OR_TRG: int
                        public static ER_SP_VARCOND_AFTER_CURSHNDLR: int
                        public static ER_SP_CURSOR_AFTER_HANDLER: int
                        public static ER_SP_CASE_NOT_FOUND: int
                        public static ER_FPARSER_TOO_BIG_FILE: int
                        public static ER_FPARSER_BAD_HEADER: int
                        public static ER_FPARSER_EOF_IN_COMMENT: int
                        public static ER_FPARSER_ERROR_IN_PARAMETER: int
                        public static ER_FPARSER_EOF_IN_UNKNOWN_PARAMETER: int
                        public static ER_VIEW_NO_EXPLAIN: int
                        public static ER_FRM_UNKNOWN_TYPE: int
                        public static ER_WRONG_OBJECT: int
                        public static ER_NONUPDATEABLE_COLUMN: int
                        public static ER_VIEW_SELECT_DERIVED: int
                        public static ER_VIEW_SELECT_CLAUSE: int
                        public static ER_VIEW_SELECT_VARIABLE: int
                        public static ER_VIEW_SELECT_TMPTABLE: int
                        public static ER_VIEW_WRONG_LIST: int
                        public static ER_WARN_VIEW_MERGE: int
                        public static ER_WARN_VIEW_WITHOUT_KEY: int
                        public static ER_VIEW_INVALID: int
                        public static ER_SP_NO_DROP_SP: int
                        public static ER_SP_GOTO_IN_HNDLR: int
                        public static ER_TRG_ALREADY_EXISTS: int
                        public static ER_TRG_DOES_NOT_EXIST: int
                        public static ER_TRG_ON_VIEW_OR_TEMP_TABLE: int
                        public static ER_TRG_CANT_CHANGE_ROW: int
                        public static ER_TRG_NO_SUCH_ROW_IN_TRG: int
                        public static ER_NO_DEFAULT_FOR_FIELD: int
                        public static ER_DIVISION_BY_ZERO: int
                        public static ER_TRUNCATED_WRONG_VALUE_FOR_FIELD: int
                        public static ER_ILLEGAL_VALUE_FOR_TYPE: int
                        public static ER_VIEW_NONUPD_CHECK: int
                        public static ER_VIEW_CHECK_FAILED: int
                        public static ER_PROCACCESS_DENIED_ERROR: int
                        public static ER_RELAY_LOG_FAIL: int
                        public static ER_PASSWD_LENGTH: int
                        public static ER_UNKNOWN_TARGET_BINLOG: int
                        public static ER_IO_ERR_LOG_INDEX_READ: int
                        public static ER_BINLOG_PURGE_PROHIBITED: int
                        public static ER_FSEEK_FAIL: int
                        public static ER_BINLOG_PURGE_FATAL_ERR: int
                        public static ER_LOG_IN_USE: int
                        public static ER_LOG_PURGE_UNKNOWN_ERR: int
                        public static ER_RELAY_LOG_INIT: int
                        public static ER_NO_BINARY_LOGGING: int
                        public static ER_RESERVED_SYNTAX: int
                        public static ER_WSAS_FAILED: int
                        public static ER_DIFF_GROUPS_PROC: int
                        public static ER_NO_GROUP_FOR_PROC: int
                        public static ER_ORDER_WITH_PROC: int
                        public static ER_LOGGING_PROHIBIT_CHANGING_OF: int
                        public static ER_NO_FILE_MAPPING: int
                        public static ER_WRONG_MAGIC: int
                        public static ER_PS_MANY_PARAM: int
                        public static ER_KEY_PART_0: int
                        public static ER_VIEW_CHECKSUM: int
                        public static ER_VIEW_MULTIUPDATE: int
                        public static ER_VIEW_NO_INSERT_FIELD_LIST: int
                        public static ER_VIEW_DELETE_MERGE_VIEW: int
                        public static ER_CANNOT_USER: int
                        public static ER_XAER_NOTA: int
                        public static ER_XAER_INVAL: int
                        public static ER_XAER_RMFAIL: int
                        public static ER_XAER_OUTSIDE: int
                        public static ER_XA_RMERR: int
                        public static ER_XA_RBROLLBACK: int
                        public static ER_NONEXISTING_PROC_GRANT: int
                        public static ER_PROC_AUTO_GRANT_FAIL: int
                        public static ER_PROC_AUTO_REVOKE_FAIL: int
                        public static ER_DATA_TOO_LONG: int
                        public static ER_SP_BAD_SQLSTATE: int
                        public static ER_STARTUP: int
                        public static ER_LOAD_FROM_FIXED_SIZE_ROWS_TO_VAR: int
                        public static ER_CANT_CREATE_USER_WITH_GRANT: int
                        public static ER_WRONG_VALUE_FOR_TYPE: int
                        public static ER_TABLE_DEF_CHANGED: int
                        public static ER_SP_DUP_HANDLER: int
                        public static ER_SP_NOT_VAR_ARG: int
                        public static ER_SP_NO_RETSET: int
                        public static ER_CANT_CREATE_GEOMETRY_OBJECT: int
                        public static ER_FAILED_ROUTINE_BREAK_BINLOG: int
                        public static ER_BINLOG_UNSAFE_ROUTINE: int
                        public static ER_BINLOG_CREATE_ROUTINE_NEED_SUPER: int
                        public static ER_EXEC_STMT_WITH_OPEN_CURSOR: int
                        public static ER_STMT_HAS_NO_OPEN_CURSOR: int
                        public static ER_COMMIT_NOT_ALLOWED_IN_SF_OR_TRG: int
                        public static ER_NO_DEFAULT_FOR_VIEW_FIELD: int
                        public static ER_SP_NO_RECURSION: int
                        public static ER_TOO_BIG_SCALE: int
                        public static ER_TOO_BIG_PRECISION: int
                        public static ER_M_BIGGER_THAN_D: int
                        public static ER_WRONG_LOCK_OF_SYSTEM_TABLE: int
                        public static ER_CONNECT_TO_FOREIGN_DATA_SOURCE: int
                        public static ER_QUERY_ON_FOREIGN_DATA_SOURCE: int
                        public static ER_FOREIGN_DATA_SOURCE_DOESNT_EXIST: int
                        public static ER_FOREIGN_DATA_STRING_INVALID_CANT_CREATE: int
                        public static ER_FOREIGN_DATA_STRING_INVALID: int
                        public static ER_CANT_CREATE_FEDERATED_TABLE: int
                        public static ER_TRG_IN_WRONG_SCHEMA: int
                        public static ER_STACK_OVERRUN_NEED_MORE: int
                        public static ER_TOO_LONG_BODY: int
                        public static ER_WARN_CANT_DROP_DEFAULT_KEYCACHE: int
                        public static ER_TOO_BIG_DISPLAYWIDTH: int
                        public static ER_XAER_DUPID: int
                        public static ER_DATETIME_FUNCTION_OVERFLOW: int
                        public static ER_CANT_UPDATE_USED_TABLE_IN_SF_OR_TRG: int
                        public static ER_VIEW_PREVENT_UPDATE: int
                        public static ER_PS_NO_RECURSION: int
                        public static ER_SP_CANT_SET_AUTOCOMMIT: int
                        public static ER_MALFORMED_DEFINER: int
                        public static ER_VIEW_FRM_NO_USER: int
                        public static ER_VIEW_OTHER_USER: int
                        public static ER_NO_SUCH_USER: int
                        public static ER_FORBID_SCHEMA_CHANGE: int
                        public static ER_ROW_IS_REFERENCED_2: int
                        public static ER_NO_REFERENCED_ROW_2: int
                        public static ER_SP_BAD_VAR_SHADOW: int
                        public static ER_TRG_NO_DEFINER: int
                        public static ER_OLD_FILE_FORMAT: int
                        public static ER_SP_RECURSION_LIMIT: int
                        public static ER_SP_PROC_TABLE_CORRUPT: int
                        public static ER_SP_WRONG_NAME: int
                        public static ER_TABLE_NEEDS_UPGRADE: int
                        public static ER_SP_NO_AGGREGATE: int
                        public static ER_MAX_PREPARED_STMT_COUNT_REACHED: int
                        public static ER_VIEW_RECURSIVE: int
                        public static ER_NON_GROUPING_FIELD_USED: int
                        public static ER_TABLE_CANT_HANDLE_SPKEYS: int
                        public static ER_NO_TRIGGERS_ON_SYSTEM_SCHEMA: int
                        public static ER_REMOVED_SPACES: int
                        public static ER_AUTOINC_READ_FAILED: int
                        public static ER_USERNAME: int
                        public static ER_HOSTNAME: int
                        public static ER_WRONG_STRING_LENGTH: int
                        public static ER_NON_INSERTABLE_TABLE: int
                        public static ER_ADMIN_WRONG_MRG_TABLE: int
                        public static ER_TOO_HIGH_LEVEL_OF_NESTING_FOR_SELECT: int
                        public static ER_NAME_BECOMES_EMPTY: int
                        public static ER_AMBIGUOUS_FIELD_TERM: int
                        public static ER_FOREIGN_SERVER_EXISTS: int
                        public static ER_FOREIGN_SERVER_DOESNT_EXIST: int
                        public static ER_ILLEGAL_HA_CREATE_OPTION: int
                        public static ER_PARTITION_REQUIRES_VALUES_ERROR: int
                        public static ER_PARTITION_WRONG_VALUES_ERROR: int
                        public static ER_PARTITION_MAXVALUE_ERROR: int
                        public static ER_PARTITION_SUBPARTITION_ERROR: int
                        public static ER_PARTITION_SUBPART_MIX_ERROR: int
                        public static ER_PARTITION_WRONG_NO_PART_ERROR: int
                        public static ER_PARTITION_WRONG_NO_SUBPART_ERROR: int
                        public static ER_WRONG_EXPR_IN_PARTITION_FUNC_ERROR: int
                        public static ER_NO_CONST_EXPR_IN_RANGE_OR_LIST_ERROR: int
                        public static ER_FIELD_NOT_FOUND_PART_ERROR: int
                        public static ER_LIST_OF_FIELDS_ONLY_IN_HASH_ERROR: int
                        public static ER_INCONSISTENT_PARTITION_INFO_ERROR: int
                        public static ER_PARTITION_FUNC_NOT_ALLOWED_ERROR: int
                        public static ER_PARTITIONS_MUST_BE_DEFINED_ERROR: int
                        public static ER_RANGE_NOT_INCREASING_ERROR: int
                        public static ER_INCONSISTENT_TYPE_OF_FUNCTIONS_ERROR: int
                        public static ER_MULTIPLE_DEF_CONST_IN_LIST_PART_ERROR: int
                        public static ER_PARTITION_ENTRY_ERROR: int
                        public static ER_MIX_HANDLER_ERROR: int
                        public static ER_PARTITION_NOT_DEFINED_ERROR: int
                        public static ER_TOO_MANY_PARTITIONS_ERROR: int
                        public static ER_SUBPARTITION_ERROR: int
                        public static ER_CANT_CREATE_HANDLER_FILE: int
                        public static ER_BLOB_FIELD_IN_PART_FUNC_ERROR: int
                        public static ER_UNIQUE_KEY_NEED_ALL_FIELDS_IN_PF: int
                        public static ER_NO_PARTS_ERROR: int
                        public static ER_PARTITION_MGMT_ON_NONPARTITIONED: int
                        public static ER_FOREIGN_KEY_ON_PARTITIONED: int
                        public static ER_DROP_PARTITION_NON_EXISTENT: int
                        public static ER_DROP_LAST_PARTITION: int
                        public static ER_COALESCE_ONLY_ON_HASH_PARTITION: int
                        public static ER_REORG_HASH_ONLY_ON_SAME_NO: int
                        public static ER_REORG_NO_PARAM_ERROR: int
                        public static ER_ONLY_ON_RANGE_LIST_PARTITION: int
                        public static ER_ADD_PARTITION_SUBPART_ERROR: int
                        public static ER_ADD_PARTITION_NO_NEW_PARTITION: int
                        public static ER_COALESCE_PARTITION_NO_PARTITION: int
                        public static ER_REORG_PARTITION_NOT_EXIST: int
                        public static ER_SAME_NAME_PARTITION: int
                        public static ER_NO_BINLOG_ERROR: int
                        public static ER_CONSECUTIVE_REORG_PARTITIONS: int
                        public static ER_REORG_OUTSIDE_RANGE: int
                        public static ER_PARTITION_FUNCTION_FAILURE: int
                        public static ER_PART_STATE_ERROR: int
                        public static ER_LIMITED_PART_RANGE: int
                        public static ER_PLUGIN_IS_NOT_LOADED: int
                        public static ER_WRONG_VALUE: int
                        public static ER_NO_PARTITION_FOR_GIVEN_VALUE: int
                        public static ER_FILEGROUP_OPTION_ONLY_ONCE: int
                        public static ER_CREATE_FILEGROUP_FAILED: int
                        public static ER_DROP_FILEGROUP_FAILED: int
                        public static ER_TABLESPACE_AUTO_EXTEND_ERROR: int
                        public static ER_WRONG_SIZE_NUMBER: int
                        public static ER_SIZE_OVERFLOW_ERROR: int
                        public static ER_ALTER_FILEGROUP_FAILED: int
                        public static ER_BINLOG_ROW_LOGGING_FAILED: int
                        public static ER_BINLOG_ROW_WRONG_TABLE_DEF: int
                        public static ER_BINLOG_ROW_RBR_TO_SBR: int
                        public static ER_EVENT_ALREADY_EXISTS: int
                        public static ER_EVENT_STORE_FAILED: int
                        public static ER_EVENT_DOES_NOT_EXIST: int
                        public static ER_EVENT_CANT_ALTER: int
                        public static ER_EVENT_DROP_FAILED: int
                        public static ER_EVENT_INTERVAL_NOT_POSITIVE_OR_TOO_BIG: int
                        public static ER_EVENT_ENDS_BEFORE_STARTS: int
                        public static ER_EVENT_EXEC_TIME_IN_THE_PAST: int
                        public static ER_EVENT_OPEN_TABLE_FAILED: int
                        public static ER_EVENT_NEITHER_M_EXPR_NOR_M_AT: int
                        public static ER_COL_COUNT_DOESNT_MATCH_CORRUPTED: int
                        public static ER_CANNOT_LOAD_FROM_TABLE: int
                        public static ER_EVENT_CANNOT_DELETE: int
                        public static ER_EVENT_COMPILE_ERROR: int
                        public static ER_EVENT_SAME_NAME: int
                        public static ER_EVENT_DATA_TOO_LONG: int
                        public static ER_DROP_INDEX_FK: int
                        public static ER_WARN_DEPRECATED_SYNTAX_WITH_VER: int
                        public static ER_CANT_WRITE_LOCK_LOG_TABLE: int
                        public static ER_CANT_LOCK_LOG_TABLE: int
                        public static ER_FOREIGN_DUPLICATE_KEY: int
                        public static ER_COL_COUNT_DOESNT_MATCH_PLEASE_UPDATE: int
                        public static ER_TEMP_TABLE_PREVENTS_SWITCH_OUT_OF_RBR: int
                        public static ER_STORED_FUNCTION_PREVENTS_SWITCH_BINLOG_FORMAT: int
                        public static ER_NDB_CANT_SWITCH_BINLOG_FORMAT: int
                        public static ER_PARTITION_NO_TEMPORARY: int
                        public static ER_PARTITION_CONST_DOMAIN_ERROR: int
                        public static ER_PARTITION_FUNCTION_IS_NOT_ALLOWED: int
                        public static ER_DDL_LOG_ERROR: int
                        public static ER_NULL_IN_VALUES_LESS_THAN: int
                        public static ER_WRONG_PARTITION_NAME: int
                        public static ER_CANT_CHANGE_TX_ISOLATION: int
                        public static ER_DUP_ENTRY_AUTOINCREMENT_CASE: int
                        public static ER_EVENT_MODIFY_QUEUE_ERROR: int
                        public static ER_EVENT_SET_VAR_ERROR: int
                        public static ER_PARTITION_MERGE_ERROR: int
                        public static ER_CANT_ACTIVATE_LOG: int
                        public static ER_RBR_NOT_AVAILABLE: int
                        public static ER_BASE64_DECODE_ERROR: int
                        public static ER_EVENT_RECURSION_FORBIDDEN: int
                        public static ER_EVENTS_DB_ERROR: int
                        public static ER_ONLY_INTEGERS_ALLOWED: int
                        public static ER_UNSUPORTED_LOG_ENGINE: int
                        public static ER_BAD_LOG_STATEMENT: int
                        public static ER_CANT_RENAME_LOG_TABLE: int
                        public static ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT: int
                        public static ER_WRONG_PARAMETERS_TO_NATIVE_FCT: int
                        public static ER_WRONG_PARAMETERS_TO_STORED_FCT: int
                        public static ER_NATIVE_FCT_NAME_COLLISION: int
                        public static ER_DUP_ENTRY_WITH_KEY_NAME: int
                        public static ER_BINLOG_PURGE_EMFILE: int
                        public static ER_EVENT_CANNOT_CREATE_IN_THE_PAST: int
                        public static ER_EVENT_CANNOT_ALTER_IN_THE_PAST: int
                        public static ER_SLAVE_INCIDENT: int
                        public static ER_NO_PARTITION_FOR_GIVEN_VALUE_SILENT: int
                        public static ER_BINLOG_UNSAFE_STATEMENT: int
                        public static ER_SLAVE_FATAL_ERROR: int
                        public static ER_SLAVE_RELAY_LOG_READ_FAILURE: int
                        public static ER_SLAVE_RELAY_LOG_WRITE_FAILURE: int
                        public static ER_SLAVE_CREATE_EVENT_FAILURE: int
                        public static ER_SLAVE_MASTER_COM_FAILURE: int
                        public static ER_BINLOG_LOGGING_IMPOSSIBLE: int
                        public static ER_VIEW_NO_CREATION_CTX: int
                        public static ER_VIEW_INVALID_CREATION_CTX: int
                        public static ER_SR_INVALID_CREATION_CTX: int
                        public static ER_TRG_CORRUPTED_FILE: int
                        public static ER_TRG_NO_CREATION_CTX: int
                        public static ER_TRG_INVALID_CREATION_CTX: int
                        public static ER_EVENT_INVALID_CREATION_CTX: int
                        public static ER_TRG_CANT_OPEN_TABLE: int
                        public static ER_CANT_CREATE_SROUTINE: int
                        public static ER_NEVER_USED: int
                        public static ER_NO_FORMAT_DESCRIPTION_EVENT_BEFORE_BINLOG_STATEMENT: int
                        public static ER_SLAVE_CORRUPT_EVENT: int
                        public static ER_LOAD_DATA_INVALID_COLUMN: int
                        public static ER_LOG_PURGE_NO_FILE: int
                        public static ER_XA_RBTIMEOUT: int
                        public static ER_XA_RBDEADLOCK: int
                        public static ER_NEED_REPREPARE: int
                        public static ER_DELAYED_NOT_SUPPORTED: int
                        public static WARN_NO_MASTER_INFO: int
                        public static WARN_OPTION_IGNORED: int
                        public static WARN_PLUGIN_DELETE_BUILTIN: int
                        public static WARN_PLUGIN_BUSY: int
                        public static ER_VARIABLE_IS_READONLY: int
                        public static ER_WARN_ENGINE_TRANSACTION_ROLLBACK: int
                        public static ER_SLAVE_HEARTBEAT_FAILURE: int
                        public static ER_SLAVE_HEARTBEAT_VALUE_OUT_OF_RANGE: int
                        public static ER_NDB_REPLICATION_SCHEMA_ERROR: int
                        public static ER_CONFLICT_FN_PARSE_ERROR: int
                        public static ER_EXCEPTIONS_WRITE_ERROR: int
                        public static ER_TOO_LONG_TABLE_COMMENT: int
                        public static ER_TOO_LONG_FIELD_COMMENT: int
                        public static ER_FUNC_INEXISTENT_NAME_COLLISION: int
                        public static ER_DATABASE_NAME: int
                        public static ER_TABLE_NAME: int
                        public static ER_PARTITION_NAME: int
                        public static ER_SUBPARTITION_NAME: int
                        public static ER_TEMPORARY_NAME: int
                        public static ER_RENAMED_NAME: int
                        public static ER_TOO_MANY_CONCURRENT_TRXS: int
                        public static WARN_NON_ASCII_SEPARATOR_NOT_IMPLEMENTED: int
                        public static ER_DEBUG_SYNC_TIMEOUT: int
                        public static ER_DEBUG_SYNC_HIT_LIMIT: int
                        public static ER_DUP_SIGNAL_SET: int
                        public static ER_SIGNAL_WARN: int
                        public static ER_SIGNAL_NOT_FOUND: int
                        public static ER_SIGNAL_EXCEPTION: int
                        public static ER_RESIGNAL_WITHOUT_ACTIVE_HANDLER: int
                        public static ER_SIGNAL_BAD_CONDITION_TYPE: int
                        public static WARN_COND_ITEM_TRUNCATED: int
                        public static ER_COND_ITEM_TOO_LONG: int
                        public static ER_UNKNOWN_LOCALE: int
                        public static ER_SLAVE_IGNORE_SERVER_IDS: int
                        public static ER_QUERY_CACHE_DISABLED: int
                        public static ER_SAME_NAME_PARTITION_FIELD: int
                        public static ER_PARTITION_COLUMN_LIST_ERROR: int
                        public static ER_WRONG_TYPE_COLUMN_VALUE_ERROR: int
                        public static ER_TOO_MANY_PARTITION_FUNC_FIELDS_ERROR: int
                        public static ER_MAXVALUE_IN_VALUES_IN: int
                        public static ER_TOO_MANY_VALUES_ERROR: int
                        public static ER_ROW_SINGLE_PARTITION_FIELD_ERROR: int
                        public static ER_FIELD_TYPE_NOT_ALLOWED_AS_PARTITION_FIELD: int
                        public static ER_PARTITION_FIELDS_TOO_LONG: int
                        public static ER_BINLOG_ROW_ENGINE_AND_STMT_ENGINE: int
                        public static ER_BINLOG_ROW_MODE_AND_STMT_ENGINE: int
                        public static ER_BINLOG_UNSAFE_AND_STMT_ENGINE: int
                        public static ER_BINLOG_ROW_INJECTION_AND_STMT_ENGINE: int
                        public static ER_BINLOG_STMT_MODE_AND_ROW_ENGINE: int
                        public static ER_BINLOG_ROW_INJECTION_AND_STMT_MODE: int
                        public static ER_BINLOG_MULTIPLE_ENGINES_AND_SELF_LOGGING_ENGINE: int
                        public static ER_BINLOG_UNSAFE_LIMIT: int
                        public static ER_BINLOG_UNSAFE_INSERT_DELAYED: int
                        public static ER_BINLOG_UNSAFE_SYSTEM_TABLE: int
                        public static ER_BINLOG_UNSAFE_AUTOINC_COLUMNS: int
                        public static ER_BINLOG_UNSAFE_UDF: int
                        public static ER_BINLOG_UNSAFE_SYSTEM_VARIABLE: int
                        public static ER_BINLOG_UNSAFE_SYSTEM_FUNCTION: int
                        public static ER_BINLOG_UNSAFE_NONTRANS_AFTER_TRANS: int
                        public static ER_MESSAGE_AND_STATEMENT: int
                        public static ER_SLAVE_CONVERSION_FAILED: int
                        public static ER_SLAVE_CANT_CREATE_CONVERSION: int
                        public static ER_INSIDE_TRANSACTION_PREVENTS_SWITCH_BINLOG_FORMAT: int
                        public static ER_PATH_LENGTH: int
                        public static ER_WARN_DEPRECATED_SYNTAX_NO_REPLACEMENT: int
                        public static ER_WRONG_NATIVE_TABLE_STRUCTURE: int
                        public static ER_WRONG_PERFSCHEMA_USAGE: int
                        public static ER_WARN_I_S_SKIPPED_TABLE: int
                        public static ER_INSIDE_TRANSACTION_PREVENTS_SWITCH_BINLOG_DIRECT: int
                        public static ER_STORED_FUNCTION_PREVENTS_SWITCH_BINLOG_DIRECT: int
                        public static ER_SPATIAL_MUST_HAVE_GEOM_COL: int
                        public static ER_TOO_LONG_INDEX_COMMENT: int
                        public static ER_LOCK_ABORTED: int
                        public static ER_DATA_OUT_OF_RANGE: int
                        public static ER_WRONG_SPVAR_TYPE_IN_LIMIT: int
                        public static ER_BINLOG_UNSAFE_MULTIPLE_ENGINES_AND_SELF_LOGGING_ENGINE: int
                        public static ER_BINLOG_UNSAFE_MIXED_STATEMENT: int
                        public static ER_INSIDE_TRANSACTION_PREVENTS_SWITCH_SQL_LOG_BIN: int
                        public static ER_STORED_FUNCTION_PREVENTS_SWITCH_SQL_LOG_BIN: int
                        public static ER_FAILED_READ_FROM_PAR_FILE: int
                        public static ER_VALUES_IS_NOT_INT_TYPE_ERROR: int
                        public static ER_ACCESS_DENIED_NO_PASSWORD_ERROR: int
                        public static ER_SET_PASSWORD_AUTH_PLUGIN: int
                        public static ER_GRANT_PLUGIN_USER_EXISTS: int
                        public static ER_TRUNCATE_ILLEGAL_FK: int
                        public static ER_PLUGIN_IS_PERMANENT: int
                        public static ER_SLAVE_HEARTBEAT_VALUE_OUT_OF_RANGE_MIN: int
                        public static ER_SLAVE_HEARTBEAT_VALUE_OUT_OF_RANGE_MAX: int
                        public static ER_STMT_CACHE_FULL: int
                        public static ER_MULTI_UPDATE_KEY_CONFLICT: int
                        public static ER_TABLE_NEEDS_REBUILD: int
                        public static WARN_OPTION_BELOW_LIMIT: int
                        public static ER_INDEX_COLUMN_TOO_LONG: int
                        public static ER_ERROR_IN_TRIGGER_BODY: int
                        public static ER_ERROR_IN_UNKNOWN_TRIGGER_BODY: int
                        public static ER_INDEX_CORRUPT: int
                        public static ER_UNDO_RECORD_TOO_BIG: int
                        public static ER_BINLOG_UNSAFE_INSERT_IGNORE_SELECT: int
                        public static ER_BINLOG_UNSAFE_INSERT_SELECT_UPDATE: int
                        public static ER_BINLOG_UNSAFE_REPLACE_SELECT: int
                        public static ER_BINLOG_UNSAFE_CREATE_IGNORE_SELECT: int
                        public static ER_BINLOG_UNSAFE_CREATE_REPLACE_SELECT: int
                        public static ER_BINLOG_UNSAFE_UPDATE_IGNORE: int
                        public static ER_PLUGIN_NO_UNINSTALL: int
                        public static ER_PLUGIN_NO_INSTALL: int
                        public static ER_BINLOG_UNSAFE_WRITE_AUTOINC_SELECT: int
                        public static ER_BINLOG_UNSAFE_CREATE_SELECT_AUTOINC: int
                        public static ER_BINLOG_UNSAFE_INSERT_TWO_KEYS: int
                        public static ER_TABLE_IN_FK_CHECK: int
                        public static ER_UNSUPPORTED_ENGINE: int
                        public static ER_BINLOG_UNSAFE_AUTOINC_NOT_FIRST: int
                        public static ER_CANNOT_LOAD_FROM_TABLE_V2: int
                        public static ER_MASTER_DELAY_VALUE_OUT_OF_RANGE: int
                        public static ER_ONLY_FD_AND_RBR_EVENTS_ALLOWED_IN_BINLOG_STATEMENT: int
                        public static ER_PARTITION_EXCHANGE_DIFFERENT_OPTION: int
                        public static ER_PARTITION_EXCHANGE_PART_TABLE: int
                        public static ER_PARTITION_EXCHANGE_TEMP_TABLE: int
                        public static ER_PARTITION_INSTEAD_OF_SUBPARTITION: int
                        public static ER_UNKNOWN_PARTITION: int
                        public static ER_TABLES_DIFFERENT_METADATA: int
                        public static ER_ROW_DOES_NOT_MATCH_PARTITION: int
                        public static ER_BINLOG_CACHE_SIZE_GREATER_THAN_MAX: int
                        public static ER_WARN_INDEX_NOT_APPLICABLE: int
                        public static ER_PARTITION_EXCHANGE_FOREIGN_KEY: int
                        public static ER_NO_SUCH_KEY_VALUE: int
                        public static ER_RPL_INFO_DATA_TOO_LONG: int
                        public static ER_NETWORK_READ_EVENT_CHECKSUM_FAILURE: int
                        public static ER_BINLOG_READ_EVENT_CHECKSUM_FAILURE: int
                        public static ER_BINLOG_STMT_CACHE_SIZE_GREATER_THAN_MAX: int
                        public static ER_CANT_UPDATE_TABLE_IN_CREATE_TABLE_SELECT: int
                        public static ER_PARTITION_CLAUSE_ON_NONPARTITIONED: int
                        public static ER_ROW_DOES_NOT_MATCH_GIVEN_PARTITION_SET: int
                        public static ER_NO_SUCH_PARTITION__UNUSED: int
                        public static ER_CHANGE_RPL_INFO_REPOSITORY_FAILURE: int
                        public static ER_WARNING_NOT_COMPLETE_ROLLBACK_WITH_CREATED_TEMP_TABLE: int
                        public static ER_WARNING_NOT_COMPLETE_ROLLBACK_WITH_DROPPED_TEMP_TABLE: int
                        public static ER_MTS_FEATURE_IS_NOT_SUPPORTED: int
                        public static ER_MTS_UPDATED_DBS_GREATER_MAX: int
                        public static ER_MTS_CANT_PARALLEL: int
                        public static ER_MTS_INCONSISTENT_DATA: int
                        public static ER_FULLTEXT_NOT_SUPPORTED_WITH_PARTITIONING: int
                        public static ER_DA_INVALID_CONDITION_NUMBER: int
                        public static ER_INSECURE_PLAIN_TEXT: int
                        public static ER_INSECURE_CHANGE_MASTER: int
                        public static ER_FOREIGN_DUPLICATE_KEY_WITH_CHILD_INFO: int
                        public static ER_FOREIGN_DUPLICATE_KEY_WITHOUT_CHILD_INFO: int
                        public static ER_SQLTHREAD_WITH_SECURE_SLAVE: int
                        public static ER_TABLE_HAS_NO_FT: int
                        public static ER_VARIABLE_NOT_SETTABLE_IN_SF_OR_TRIGGER: int
                        public static ER_VARIABLE_NOT_SETTABLE_IN_TRANSACTION: int
                        public static ER_GTID_NEXT_IS_NOT_IN_GTID_NEXT_LIST: int
                        public static ER_CANT_CHANGE_GTID_NEXT_IN_TRANSACTION_WHEN_GTID_NEXT_LIST_IS_NULL: int
                        public static ER_SET_STATEMENT_CANNOT_INVOKE_FUNCTION: int
                        public static ER_GTID_NEXT_CANT_BE_AUTOMATIC_IF_GTID_NEXT_LIST_IS_NON_NULL: int
                        public static ER_SKIPPING_LOGGED_TRANSACTION: int
                        public static ER_MALFORMED_GTID_SET_SPECIFICATION: int
                        public static ER_MALFORMED_GTID_SET_ENCODING: int
                        public static ER_MALFORMED_GTID_SPECIFICATION: int
                        public static ER_GNO_EXHAUSTED: int
                        public static ER_BAD_SLAVE_AUTO_POSITION: int
                        public static ER_AUTO_POSITION_REQUIRES_GTID_MODE_ON: int
                        public static ER_CANT_DO_IMPLICIT_COMMIT_IN_TRX_WHEN_GTID_NEXT_IS_SET: int
                        public static ER_GTID_MODE_2_OR_3_REQUIRES_ENFORCE_GTID_CONSISTENCY_ON: int
                        public static ER_GTID_MODE_REQUIRES_BINLOG: int
                        public static ER_CANT_SET_GTID_NEXT_TO_GTID_WHEN_GTID_MODE_IS_OFF: int
                        public static ER_CANT_SET_GTID_NEXT_TO_ANONYMOUS_WHEN_GTID_MODE_IS_ON: int
                        public static ER_CANT_SET_GTID_NEXT_LIST_TO_NON_NULL_WHEN_GTID_MODE_IS_OFF: int
                        public static ER_FOUND_GTID_EVENT_WHEN_GTID_MODE_IS_OFF: int
                        public static ER_GTID_UNSAFE_NON_TRANSACTIONAL_TABLE: int
                        public static ER_GTID_UNSAFE_CREATE_SELECT: int
                        public static ER_GTID_UNSAFE_CREATE_DROP_TEMPORARY_TABLE_IN_TRANSACTION: int
                        public static ER_GTID_MODE_CAN_ONLY_CHANGE_ONE_STEP_AT_A_TIME: int
                        public static ER_MASTER_HAS_PURGED_REQUIRED_GTIDS: int
                        public static ER_CANT_SET_GTID_NEXT_WHEN_OWNING_GTID: int
                        public static ER_UNKNOWN_EXPLAIN_FORMAT: int
                        public static ER_CANT_EXECUTE_IN_READ_ONLY_TRANSACTION: int
                        public static ER_TOO_LONG_TABLE_PARTITION_COMMENT: int
                        public static ER_SLAVE_CONFIGURATION: int
                        public static ER_INNODB_FT_LIMIT: int
                        public static ER_INNODB_NO_FT_TEMP_TABLE: int
                        public static ER_INNODB_FT_WRONG_DOCID_COLUMN: int
                        public static ER_INNODB_FT_WRONG_DOCID_INDEX: int
                        public static ER_INNODB_ONLINE_LOG_TOO_BIG: int
                        public static ER_UNKNOWN_ALTER_ALGORITHM: int
                        public static ER_UNKNOWN_ALTER_LOCK: int
                        public static ER_MTS_CHANGE_MASTER_CANT_RUN_WITH_GAPS: int
                        public static ER_MTS_RECOVERY_FAILURE: int
                        public static ER_MTS_RESET_WORKERS: int
                        public static ER_COL_COUNT_DOESNT_MATCH_CORRUPTED_V2: int
                        public static ER_SLAVE_SILENT_RETRY_TRANSACTION: int
                        public static ER_DISCARD_FK_CHECKS_RUNNING: int
                        public static ER_TABLE_SCHEMA_MISMATCH: int
                        public static ER_TABLE_IN_SYSTEM_TABLESPACE: int
                        public static ER_IO_READ_ERROR: int
                        public static ER_IO_WRITE_ERROR: int
                        public static ER_TABLESPACE_MISSING: int
                        public static ER_TABLESPACE_EXISTS: int
                        public static ER_TABLESPACE_DISCARDED: int
                        public static ER_INTERNAL_ERROR: int
                        public static ER_INNODB_IMPORT_ERROR: int
                        public static ER_INNODB_INDEX_CORRUPT: int
                        public static ER_INVALID_YEAR_COLUMN_LENGTH: int
                        public static ER_NOT_VALID_PASSWORD: int
                        public static ER_MUST_CHANGE_PASSWORD: int
                        public static ER_FK_NO_INDEX_CHILD: int
                        public static ER_FK_NO_INDEX_PARENT: int
                        public static ER_FK_FAIL_ADD_SYSTEM: int
                        public static ER_FK_CANNOT_OPEN_PARENT: int
                        public static ER_FK_INCORRECT_OPTION: int
                        public static ER_FK_DUP_NAME: int
                        public static ER_PASSWORD_FORMAT: int
                        public static ER_FK_COLUMN_CANNOT_DROP: int
                        public static ER_FK_COLUMN_CANNOT_DROP_CHILD: int
                        public static ER_FK_COLUMN_NOT_NULL: int
                        public static ER_DUP_INDEX: int
                        public static ER_FK_COLUMN_CANNOT_CHANGE: int
                        public static ER_FK_COLUMN_CANNOT_CHANGE_CHILD: int
                        public static ER_FK_CANNOT_DELETE_PARENT: int
                        public static ER_MALFORMED_PACKET: int
                        public static ER_READ_ONLY_MODE: int
                        public static ER_GTID_NEXT_TYPE_UNDEFINED_GROUP: int
                        public static ER_VARIABLE_NOT_SETTABLE_IN_SP: int
                        public static ER_CANT_SET_GTID_PURGED_WHEN_GTID_MODE_IS_OFF: int
                        public static ER_CANT_SET_GTID_PURGED_WHEN_GTID_EXECUTED_IS_NOT_EMPTY: int
                        public static ER_CANT_SET_GTID_PURGED_WHEN_OWNED_GTIDS_IS_NOT_EMPTY: int
                        public static ER_GTID_PURGED_WAS_CHANGED: int
                        public static ER_GTID_EXECUTED_WAS_CHANGED: int
                        public static ER_BINLOG_STMT_MODE_AND_NO_REPL_TABLES: int
                        public static ER_ALTER_OPERATION_NOT_SUPPORTED: int
                        public static ER_ALTER_OPERATION_NOT_SUPPORTED_REASON: int
                        public static ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_COPY: int
                        public static ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_PARTITION: int
                        public static ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_FK_RENAME: int
                        public static ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_COLUMN_TYPE: int
                        public static ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_FK_CHECK: int
                        public static ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_IGNORE: int
                        public static ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_NOPK: int
                        public static ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_AUTOINC: int
                        public static ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_HIDDEN_FTS: int
                        public static ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_CHANGE_FTS: int
                        public static ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_FTS: int
                        public static ER_SQL_SLAVE_SKIP_COUNTER_NOT_SETTABLE_IN_GTID_MODE: int
                        public static ER_DUP_UNKNOWN_IN_INDEX: int
                        public static ER_IDENT_CAUSES_TOO_LONG_PATH: int
                        public static ER_ALTER_OPERATION_NOT_SUPPORTED_REASON_NOT_NULL: int
                        public static ER_MUST_CHANGE_PASSWORD_LOGIN: int
                        public static ER_ROW_IN_WRONG_PARTITION: int
                        public static ER_MTS_EVENT_BIGGER_PENDING_JOBS_SIZE_MAX: int
                        public static ER_INNODB_NO_FT_USES_PARSER: int
                        public static ER_BINLOG_LOGICAL_CORRUPTION: int
                        public static ER_WARN_PURGE_LOG_IN_USE: int
                        public static ER_WARN_PURGE_LOG_IS_ACTIVE: int
                        public static ER_AUTO_INCREMENT_CONFLICT: int
                        public static WARN_ON_BLOCKHOLE_IN_RBR: int
                        public static ER_SLAVE_MI_INIT_REPOSITORY: int
                        public static ER_SLAVE_RLI_INIT_REPOSITORY: int
                        public static ER_ACCESS_DENIED_CHANGE_USER_ERROR: int
                        public static ER_INNODB_READ_ONLY: int
                        public static ER_STOP_SLAVE_SQL_THREAD_TIMEOUT: int
                        public static ER_STOP_SLAVE_IO_THREAD_TIMEOUT: int
                        public static ER_TABLE_CORRUPT: int
                        public static ER_TEMP_FILE_WRITE_FAILURE: int
                        public static ER_INNODB_FT_AUX_NOT_HEX_ID: int
                        public static ER_OLD_TEMPORALS_UPGRADED: int
                        public static ER_INNODB_FORCED_RECOVERY: int
                        public static ER_AES_INVALID_IV: int
                        public static ER_FILE_CORRUPT: int
                        public static ER_ERROR_ON_MASTER: int
                        public static ER_INCONSISTENT_ERROR: int
                        public static ER_STORAGE_ENGINE_NOT_LOADED: int
                        public static ER_GET_STACKED_DA_WITHOUT_ACTIVE_HANDLER: int
                        public static ER_WARN_LEGACY_SYNTAX_CONVERTED: int
                        public static ER_BINLOG_UNSAFE_FULLTEXT_PLUGIN: int
                        public static ER_CANNOT_DISCARD_TEMPORARY_TABLE: int
                        public static ER_FK_DEPTH_EXCEEDED: int
                        public static ER_COL_COUNT_DOESNT_MATCH_PLEASE_UPDATE_V2: int
                        public static ER_WARN_TRIGGER_DOESNT_HAVE_CREATED: int
                        public static ER_REFERENCED_TRG_DOES_NOT_EXIST: int
                        public static ER_EXPLAIN_NOT_SUPPORTED: int
                        public static ER_INVALID_FIELD_SIZE: int
                        public static ER_MISSING_HA_CREATE_OPTION: int
                        public static ER_ENGINE_OUT_OF_MEMORY: int
                        public static ER_PASSWORD_EXPIRE_ANONYMOUS_USER: int
                        public static ER_SLAVE_SQL_THREAD_MUST_STOP: int
                        public static ER_NO_FT_MATERIALIZED_SUBQUERY: int
                        public static ER_INNODB_UNDO_LOG_FULL: int
                        public static ER_INVALID_ARGUMENT_FOR_LOGARITHM: int
                        public static ER_SLAVE_IO_THREAD_MUST_STOP: int
                        public static ER_WARN_OPEN_TEMP_TABLES_MUST_BE_ZERO: int
                        public static ER_WARN_ONLY_MASTER_LOG_FILE_NO_POS: int
                        public static ER_QUERY_TIMEOUT: int
                        public static ER_NON_RO_SELECT_DISABLE_TIMER: int
                        public static ER_DUP_LIST_ENTRY: int
                        public static ER_SQL_MODE_NO_EFFECT: int
                        public static ER_X_SERVICE_ERROR: int
                        public static ER_X_SESSION: int
                        public static ER_X_INVALID_ARGUMENT: int
                        public static ER_X_MISSING_ARGUMENT: int
                        public static ER_X_BAD_INSERT_DATA: int
                        public static ER_X_CMD_NUM_ARGUMENTS: int
                        public static ER_X_CMD_ARGUMENT_TYPE: int
                        public static ER_X_CMD_ARGUMENT_VALUE: int
                        public static ER_X_BAD_UPDATE_DATA: int
                        public static ER_X_BAD_TYPE_OF_UPDATE: int
                        public static ER_X_BAD_COLUMN_TO_UPDATE: int
                        public static ER_X_BAD_MEMBER_TO_UPDATE: int
                        public static ER_X_BAD_STATEMENT_ID: int
                        public static ER_X_BAD_CURSOR_ID: int
                        public static ER_X_BAD_SCHEMA: int
                        public static ER_X_BAD_TABLE: int
                        public static ER_X_BAD_PROJECTION: int
                        public static ER_X_DOC_ID_MISSING: int
                        public static ER_X_DOC_ID_DUPLICATE: int
                        public static ER_X_DOC_REQUIRED_FIELD_MISSING: int
                        public static ER_X_PROJ_BAD_KEY_NAME: int
                        public static ER_X_BAD_DOC_PATH: int
                        public static ER_X_CURSOR_EXISTS: int
                        public static ER_X_EXPR_BAD_OPERATOR: int
                        public static ER_X_EXPR_BAD_NUM_ARGS: int
                        public static ER_X_EXPR_MISSING_ARG: int
                        public static ER_X_EXPR_BAD_TYPE_VALUE: int
                        public static ER_X_EXPR_BAD_VALUE: int
                        public static ER_X_EXPR_BAD_REGEX: int
                        public static ER_X_INVALID_COLLECTION: int
                        public static ER_X_INVALID_ADMIN_COMMAND: int
                        public static ER_X_EXPECT_NOT_OPEN: int
                        public static ER_X_EXPECT_FAILED: int
                        public static ER_X_EXPECT_BAD_CONDITION: int
                        public static ER_X_EXPECT_BAD_CONDITION_VALUE: int
                        public static ER_X_INVALID_NAMESPACE: int
                        public static ER_X_BAD_NOTICE: int
                        public static ER_X_CANNOT_DISABLE_NOTICE: int
                        public static ERROR_CODE_NULL_LOAD_BALANCED_CONNECTION: int
                        public static ERROR_CODE_REPLICATION_CONNECTION_WITH_NO_HOSTS: int
                        public static class: java.lang.Class<any>
                    }
                    class NumberOutOfRange extends com.mysql.cj.core.exceptions.DataReadException {
                        public constructor(arg0: string)
                        public static class: java.lang.Class<any>
                    }
                    class OperationCancelledException extends com.mysql.cj.core.exceptions.CJException {
                        public constructor()
                        public constructor(arg0: string)
                        public constructor(arg0: java.lang.Throwable)
                        public constructor(arg0: string, arg1: java.lang.Throwable)
                        public static class: java.lang.Class<any>
                    }
                    class PasswordExpiredException extends com.mysql.cj.core.exceptions.CJException {
                        public constructor()
                        public constructor(arg0: string)
                        public constructor(arg0: string, arg1: java.lang.Throwable)
                        public constructor(arg0: java.lang.Throwable)
                        protected constructor(arg0: string, arg1: java.lang.Throwable, arg2: boolean, arg3: boolean)
                        public static class: java.lang.Class<any>
                    }
                    class PropertyNotModifiableException extends com.mysql.cj.core.exceptions.CJException {
                        public constructor()
                        public constructor(arg0: string)
                        public constructor(arg0: string, arg1: java.lang.Throwable)
                        public constructor(arg0: java.lang.Throwable)
                        protected constructor(arg0: string, arg1: java.lang.Throwable, arg2: boolean, arg3: boolean)
                        public static class: java.lang.Class<any>
                    }
                    class RSAException extends com.mysql.cj.core.exceptions.CJException {
                        public constructor()
                        public constructor(arg0: string)
                        public constructor(arg0: string, arg1: java.lang.Throwable)
                        public constructor(arg0: java.lang.Throwable)
                        protected constructor(arg0: string, arg1: java.lang.Throwable, arg2: boolean, arg3: boolean)
                        public static class: java.lang.Class<any>
                    }
                    class SSLParamsException extends com.mysql.cj.core.exceptions.CJException {
                        public constructor()
                        public constructor(arg0: string)
                        public constructor(arg0: string, arg1: java.lang.Throwable)
                        public constructor(arg0: java.lang.Throwable)
                        public constructor(arg0: string, arg1: java.lang.Throwable, arg2: boolean, arg3: boolean)
                        public static class: java.lang.Class<any>
                    }
                    class StatementIsClosedException extends com.mysql.cj.core.exceptions.CJException {
                        public constructor()
                        public constructor(arg0: string)
                        public constructor(arg0: string, arg1: java.lang.Throwable)
                        public constructor(arg0: java.lang.Throwable)
                        protected constructor(arg0: string, arg1: java.lang.Throwable, arg2: boolean, arg3: boolean)
                        public static class: java.lang.Class<any>
                    }
                    class UnableToConnectException extends com.mysql.cj.core.exceptions.CJException {
                        public constructor()
                        public constructor(arg0: string)
                        public constructor(arg0: string, arg1: java.lang.Throwable)
                        public constructor(arg0: java.lang.Throwable)
                        public constructor(arg0: string, arg1: java.lang.Throwable, arg2: boolean, arg3: boolean)
                        public static class: java.lang.Class<any>
                    }
                    class WrongArgumentException extends com.mysql.cj.core.exceptions.CJException {
                        public constructor()
                        public constructor(arg0: string)
                        public constructor(arg0: string, arg1: java.lang.Throwable)
                        public constructor(arg0: java.lang.Throwable)
                        public constructor(arg0: string, arg1: java.lang.Throwable, arg2: boolean, arg3: boolean)
                        public static class: java.lang.Class<any>
                    }
                    
                }
                namespace io {
                    class AbstractProtocol$1 implements com.mysql.cj.api.io.PacketSentTimeHolder {
                        public getLastPacketSentTime(): long
                        public static class: java.lang.Class<any>
                    }
                    class AbstractProtocol$2 implements com.mysql.cj.api.io.PacketReceivedTimeHolder {
                        public getLastPacketReceivedTime(): long
                        public static class: java.lang.Class<any>
                    }
                    abstract class AbstractProtocol implements com.mysql.cj.api.io.Protocol {
                        protected connection: com.mysql.cj.api.MysqlConnection
                        protected socketConnection: com.mysql.cj.api.io.SocketConnection
                        protected propertySet: com.mysql.cj.api.conf.PropertySet
                        protected log: com.mysql.cj.api.log.Log
                        protected exceptionInterceptor: com.mysql.cj.api.exceptions.ExceptionInterceptor
                        protected authProvider: com.mysql.cj.api.authentication.AuthenticationProvider
                        protected packetDebugRingBuffer: java.util.LinkedList<java.lang.StringBuilder>
                        public constructor()
                        public getConnection(): com.mysql.cj.api.MysqlConnection
                        public setConnection(arg0: com.mysql.cj.api.MysqlConnection): void
                        public getSocketConnection(): com.mysql.cj.api.io.SocketConnection
                        public getAuthenticationProvider(): com.mysql.cj.api.authentication.AuthenticationProvider
                        public getExceptionInterceptor(): com.mysql.cj.api.exceptions.ExceptionInterceptor
                        public getPacketSentTimeHolder(): com.mysql.cj.api.io.PacketSentTimeHolder
                        public setPacketSentTimeHolder(arg0: com.mysql.cj.api.io.PacketSentTimeHolder | com.mysql.cj.api.io.PacketSentTimeHolder$$Lambda): void
                        public getPacketReceivedTimeHolder(): com.mysql.cj.api.io.PacketReceivedTimeHolder
                        public setPacketReceivedTimeHolder(arg0: com.mysql.cj.api.io.PacketReceivedTimeHolder | com.mysql.cj.api.io.PacketReceivedTimeHolder$$Lambda): void
                        public getPropertySet(): com.mysql.cj.api.conf.PropertySet
                        public setPropertySet(arg0: com.mysql.cj.api.conf.PropertySet): void
                        public static class: java.lang.Class<any>
                    }
                    abstract class AbstractSocketConnection implements com.mysql.cj.api.io.SocketConnection {
                        protected host: string
                        protected port: int
                        protected socketFactory: com.mysql.cj.api.io.SocketFactory
                        protected mysqlSocket: java.net.Socket
                        protected mysqlInput: com.mysql.cj.core.io.FullReadInputStream
                        protected mysqlOutput: java.io.BufferedOutputStream
                        protected exceptionInterceptor: com.mysql.cj.api.exceptions.ExceptionInterceptor
                        protected propertySet: com.mysql.cj.api.conf.PropertySet
                        public constructor()
                        public getHost(): string
                        public getPort(): int
                        public getMysqlSocket(): java.net.Socket
                        public setMysqlSocket(arg0: java.net.Socket): void
                        public getMysqlInput(): com.mysql.cj.core.io.FullReadInputStream
                        public setMysqlInput(arg0: java.io.InputStream): void
                        public getMysqlOutput(): java.io.BufferedOutputStream
                        public setMysqlOutput(arg0: java.io.BufferedOutputStream): void
                        public isSSLEstablished(): boolean
                        public getSocketFactory(): com.mysql.cj.api.io.SocketFactory
                        public setSocketFactory(arg0: com.mysql.cj.api.io.SocketFactory): void
                        public forceClose(): void
                        public getNetworkResources(): com.mysql.cj.core.io.NetworkResources
                        public getExceptionInterceptor(): com.mysql.cj.api.exceptions.ExceptionInterceptor
                        public getPropertySet(): com.mysql.cj.api.conf.PropertySet
                        protected createSocketFactory(arg0: string): com.mysql.cj.api.io.SocketFactory
                        public static class: java.lang.Class<any>
                    }
                    abstract class BaseDecoratingValueFactory<T> implements com.mysql.cj.api.io.ValueFactory<T> {
                        protected targetVf: com.mysql.cj.api.io.ValueFactory<T>
                        public constructor(arg0: com.mysql.cj.api.io.ValueFactory<T>)
                        public createFromDate(arg0: int, arg1: int, arg2: int): T
                        public createFromTime(arg0: int, arg1: int, arg2: int, arg3: int): T
                        public createFromTimestamp(arg0: int, arg1: int, arg2: int, arg3: int, arg4: int, arg5: int, arg6: int): T
                        public createFromLong(arg0: long): T
                        public createFromBigInteger(arg0: java.math.BigInteger): T
                        public createFromDouble(arg0: double): T
                        public createFromBigDecimal(arg0: java.math.BigDecimal): T
                        public createFromBytes(arg0: byte[], arg1: int, arg2: int): T
                        public createFromBit(arg0: byte[], arg1: int, arg2: int): T
                        public createFromNull(): T
                        public getTargetTypeName(): string
                        public static class: java.lang.Class<any>
                    }
                    class BigDecimalValueFactory extends com.mysql.cj.core.io.DefaultValueFactory<java.math.BigDecimal> {
                        public constructor()
                        public constructor(arg0: int)
                        public createFromBigInteger(arg0: java.math.BigInteger): java.math.BigDecimal
                        public createFromLong(arg0: long): java.math.BigDecimal
                        public createFromBigDecimal(arg0: java.math.BigDecimal): java.math.BigDecimal
                        public createFromDouble(arg0: double): java.math.BigDecimal
                        public createFromBit(arg0: byte[], arg1: int, arg2: int): java.math.BigDecimal
                        public getTargetTypeName(): string
                        public createFromBit(arg0: byte[], arg1: int, arg2: int): java.lang.Object
                        public createFromBigDecimal(arg0: java.math.BigDecimal): java.lang.Object
                        public createFromDouble(arg0: double): java.lang.Object
                        public createFromBigInteger(arg0: java.math.BigInteger): java.lang.Object
                        public createFromLong(arg0: long): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class BinaryStreamValueFactory extends com.mysql.cj.core.io.DefaultValueFactory<java.io.InputStream> {
                        public constructor()
                        public createFromBytes(arg0: byte[], arg1: int, arg2: int): java.io.InputStream
                        public getTargetTypeName(): string
                        public createFromBytes(arg0: byte[], arg1: int, arg2: int): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class BooleanValueFactory extends com.mysql.cj.core.io.DefaultValueFactory<java.lang.Boolean> {
                        public constructor()
                        public createFromLong(arg0: long): boolean
                        public createFromBigInteger(arg0: java.math.BigInteger): boolean
                        public createFromDouble(arg0: double): boolean
                        public createFromBigDecimal(arg0: java.math.BigDecimal): boolean
                        public createFromBit(arg0: byte[], arg1: int, arg2: int): boolean
                        public createFromNull(): boolean
                        public getTargetTypeName(): string
                        public createFromNull(): java.lang.Object
                        public createFromBit(arg0: byte[], arg1: int, arg2: int): java.lang.Object
                        public createFromBigDecimal(arg0: java.math.BigDecimal): java.lang.Object
                        public createFromDouble(arg0: double): java.lang.Object
                        public createFromBigInteger(arg0: java.math.BigInteger): java.lang.Object
                        public createFromLong(arg0: long): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class ByteValueFactory extends com.mysql.cj.core.io.DefaultValueFactory<java.lang.Byte> {
                        public constructor()
                        public createFromBigInteger(arg0: java.math.BigInteger): java.lang.Byte
                        public createFromLong(arg0: long): java.lang.Byte
                        public createFromBigDecimal(arg0: java.math.BigDecimal): java.lang.Byte
                        public createFromDouble(arg0: double): java.lang.Byte
                        public createFromBit(arg0: byte[], arg1: int, arg2: int): java.lang.Byte
                        public createFromNull(): java.lang.Byte
                        public getTargetTypeName(): string
                        public createFromNull(): java.lang.Object
                        public createFromBit(arg0: byte[], arg1: int, arg2: int): java.lang.Object
                        public createFromBigDecimal(arg0: java.math.BigDecimal): java.lang.Object
                        public createFromDouble(arg0: double): java.lang.Object
                        public createFromBigInteger(arg0: java.math.BigInteger): java.lang.Object
                        public createFromLong(arg0: long): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    abstract class DefaultValueFactory<T> implements com.mysql.cj.api.io.ValueFactory<T> {
                        public constructor()
                        public createFromDate(arg0: int, arg1: int, arg2: int): T
                        public createFromTime(arg0: int, arg1: int, arg2: int, arg3: int): T
                        public createFromTimestamp(arg0: int, arg1: int, arg2: int, arg3: int, arg4: int, arg5: int, arg6: int): T
                        public createFromLong(arg0: long): T
                        public createFromBigInteger(arg0: java.math.BigInteger): T
                        public createFromDouble(arg0: double): T
                        public createFromBigDecimal(arg0: java.math.BigDecimal): T
                        public createFromBytes(arg0: byte[], arg1: int, arg2: int): T
                        public createFromBit(arg0: byte[], arg1: int, arg2: int): T
                        public createFromNull(): T
                        public static class: java.lang.Class<any>
                    }
                    class DoubleValueFactory extends com.mysql.cj.core.io.DefaultValueFactory<java.lang.Double> {
                        public constructor()
                        public createFromBigInteger(arg0: java.math.BigInteger): java.lang.Double
                        public createFromLong(arg0: long): java.lang.Double
                        public createFromBigDecimal(arg0: java.math.BigDecimal): java.lang.Double
                        public createFromDouble(arg0: double): java.lang.Double
                        public createFromBit(arg0: byte[], arg1: int, arg2: int): java.lang.Double
                        public createFromNull(): java.lang.Double
                        public getTargetTypeName(): string
                        public createFromNull(): java.lang.Object
                        public createFromBit(arg0: byte[], arg1: int, arg2: int): java.lang.Object
                        public createFromBigDecimal(arg0: java.math.BigDecimal): java.lang.Object
                        public createFromDouble(arg0: double): java.lang.Object
                        public createFromBigInteger(arg0: java.math.BigInteger): java.lang.Object
                        public createFromLong(arg0: long): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class ExportControlled$1 implements javax.net.ssl.X509TrustManager {
                        public checkClientTrusted(arg0: java.security.cert.X509Certificate[], arg1: string): void
                        public checkServerTrusted(arg0: java.security.cert.X509Certificate[], arg1: string): void
                        public getAcceptedIssuers(): java.security.cert.X509Certificate[]
                        public static class: java.lang.Class<any>
                    }
                    class ExportControlled$StandardSSLSocketFactory implements com.mysql.cj.api.io.SocketFactory {
                        public constructor(arg0: javax.net.ssl.SSLSocketFactory, arg1: com.mysql.cj.api.io.SocketFactory, arg2: java.net.Socket)
                        public afterHandshake(): java.net.Socket
                        public beforeHandshake(): java.net.Socket
                        public connect(arg0: string, arg1: int, arg2: java.util.Properties, arg3: int): java.net.Socket
                        public isLocallyConnected(arg0: com.mysql.cj.api.MysqlConnection): boolean
                        public static class: java.lang.Class<any>
                    }
                    class ExportControlled {
                        public static enabled(): boolean
                        public static transformSocketToSSLSocket(arg0: com.mysql.cj.api.io.SocketConnection, arg1: com.mysql.cj.core.ServerVersion): void
                        public static getSSLContext(arg0: string, arg1: string, arg2: string, arg3: string, arg4: string, arg5: string, arg6: boolean, arg7: com.mysql.cj.api.exceptions.ExceptionInterceptor): javax.net.ssl.SSLContext
                        public static isSSLEstablished(arg0: java.net.Socket): boolean
                        public static decodeRSAPublicKey(arg0: string): java.security.interfaces.RSAPublicKey
                        public static encryptWithRSAPublicKey(arg0: byte[], arg1: java.security.interfaces.RSAPublicKey): byte[]
                        public static class: java.lang.Class<any>
                    }
                    class FloatValueFactory extends com.mysql.cj.core.io.DefaultValueFactory<java.lang.Float> {
                        public constructor()
                        public createFromBigInteger(arg0: java.math.BigInteger): java.lang.Float
                        public createFromLong(arg0: long): java.lang.Float
                        public createFromBigDecimal(arg0: java.math.BigDecimal): java.lang.Float
                        public createFromDouble(arg0: double): java.lang.Float
                        public createFromBit(arg0: byte[], arg1: int, arg2: int): java.lang.Float
                        public createFromNull(): java.lang.Float
                        public getTargetTypeName(): string
                        public createFromNull(): java.lang.Object
                        public createFromBit(arg0: byte[], arg1: int, arg2: int): java.lang.Object
                        public createFromBigDecimal(arg0: java.math.BigDecimal): java.lang.Object
                        public createFromDouble(arg0: double): java.lang.Object
                        public createFromBigInteger(arg0: java.math.BigInteger): java.lang.Object
                        public createFromLong(arg0: long): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class FloatingPointBoundsEnforcer<T> extends com.mysql.cj.core.io.BaseDecoratingValueFactory<T> {
                        public constructor(arg0: com.mysql.cj.api.io.ValueFactory<T>, arg1: double, arg2: double)
                        public createFromLong(arg0: long): T
                        public createFromBigInteger(arg0: java.math.BigInteger): T
                        public createFromDouble(arg0: double): T
                        public createFromBigDecimal(arg0: java.math.BigDecimal): T
                        public static class: java.lang.Class<any>
                    }
                    class FullReadInputStream extends java.io.FilterInputStream {
                        public constructor(arg0: java.io.InputStream)
                        public getUnderlyingStream(): java.io.InputStream
                        public readFully(arg0: byte[]): int
                        public readFully(arg0: byte[], arg1: int, arg2: int): int
                        public skipFully(arg0: long): long
                        public skipLengthEncodedInteger(): int
                        public static class: java.lang.Class<any>
                    }
                    class IntegerBoundsEnforcer<T> extends com.mysql.cj.core.io.BaseDecoratingValueFactory<T> {
                        public constructor(arg0: com.mysql.cj.api.io.ValueFactory<T>, arg1: long, arg2: long)
                        public createFromLong(arg0: long): T
                        public createFromBigInteger(arg0: java.math.BigInteger): T
                        public createFromDouble(arg0: double): T
                        public createFromBigDecimal(arg0: java.math.BigDecimal): T
                        public static class: java.lang.Class<any>
                    }
                    class IntegerValueFactory extends com.mysql.cj.core.io.DefaultValueFactory<java.lang.Integer> {
                        public constructor()
                        public createFromBigInteger(arg0: java.math.BigInteger): java.lang.Integer
                        public createFromLong(arg0: long): java.lang.Integer
                        public createFromBigDecimal(arg0: java.math.BigDecimal): java.lang.Integer
                        public createFromDouble(arg0: double): java.lang.Integer
                        public createFromBit(arg0: byte[], arg1: int, arg2: int): java.lang.Integer
                        public createFromNull(): java.lang.Integer
                        public getTargetTypeName(): string
                        public createFromNull(): java.lang.Object
                        public createFromBit(arg0: byte[], arg1: int, arg2: int): java.lang.Object
                        public createFromBigDecimal(arg0: java.math.BigDecimal): java.lang.Object
                        public createFromDouble(arg0: double): java.lang.Object
                        public createFromBigInteger(arg0: java.math.BigInteger): java.lang.Object
                        public createFromLong(arg0: long): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class LongValueFactory extends com.mysql.cj.core.io.DefaultValueFactory<java.lang.Long> {
                        public constructor()
                        public createFromBigInteger(arg0: java.math.BigInteger): java.lang.Long
                        public createFromLong(arg0: long): java.lang.Long
                        public createFromBigDecimal(arg0: java.math.BigDecimal): java.lang.Long
                        public createFromDouble(arg0: double): java.lang.Long
                        public createFromBit(arg0: byte[], arg1: int, arg2: int): java.lang.Long
                        public createFromNull(): java.lang.Long
                        public getTargetTypeName(): string
                        public createFromNull(): java.lang.Object
                        public createFromBit(arg0: byte[], arg1: int, arg2: int): java.lang.Object
                        public createFromBigDecimal(arg0: java.math.BigDecimal): java.lang.Object
                        public createFromDouble(arg0: double): java.lang.Object
                        public createFromBigInteger(arg0: java.math.BigInteger): java.lang.Object
                        public createFromLong(arg0: long): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlBinaryValueDecoder implements com.mysql.cj.api.io.ValueDecoder {
                        public constructor()
                        public decodeTimestamp<T>(arg0: byte[], arg1: int, arg2: int, arg3: com.mysql.cj.api.io.ValueFactory<T>): T
                        public decodeTime<T>(arg0: byte[], arg1: int, arg2: int, arg3: com.mysql.cj.api.io.ValueFactory<T>): T
                        public decodeDate<T>(arg0: byte[], arg1: int, arg2: int, arg3: com.mysql.cj.api.io.ValueFactory<T>): T
                        public decodeUInt1<T>(arg0: byte[], arg1: int, arg2: int, arg3: com.mysql.cj.api.io.ValueFactory<T>): T
                        public decodeInt1<T>(arg0: byte[], arg1: int, arg2: int, arg3: com.mysql.cj.api.io.ValueFactory<T>): T
                        public decodeUInt2<T>(arg0: byte[], arg1: int, arg2: int, arg3: com.mysql.cj.api.io.ValueFactory<T>): T
                        public decodeInt2<T>(arg0: byte[], arg1: int, arg2: int, arg3: com.mysql.cj.api.io.ValueFactory<T>): T
                        public decodeUInt4<T>(arg0: byte[], arg1: int, arg2: int, arg3: com.mysql.cj.api.io.ValueFactory<T>): T
                        public decodeInt4<T>(arg0: byte[], arg1: int, arg2: int, arg3: com.mysql.cj.api.io.ValueFactory<T>): T
                        public decodeInt8<T>(arg0: byte[], arg1: int, arg2: int, arg3: com.mysql.cj.api.io.ValueFactory<T>): T
                        public decodeUInt8<T>(arg0: byte[], arg1: int, arg2: int, arg3: com.mysql.cj.api.io.ValueFactory<T>): T
                        public decodeFloat<T>(arg0: byte[], arg1: int, arg2: int, arg3: com.mysql.cj.api.io.ValueFactory<T>): T
                        public decodeDouble<T>(arg0: byte[], arg1: int, arg2: int, arg3: com.mysql.cj.api.io.ValueFactory<T>): T
                        public decodeDecimal<T>(arg0: byte[], arg1: int, arg2: int, arg3: com.mysql.cj.api.io.ValueFactory<T>): T
                        public decodeByteArray<T>(arg0: byte[], arg1: int, arg2: int, arg3: com.mysql.cj.api.io.ValueFactory<T>): T
                        public decodeBit<T>(arg0: byte[], arg1: int, arg2: int, arg3: com.mysql.cj.api.io.ValueFactory<T>): T
                        public static class: java.lang.Class<any>
                    }
                    class MysqlTextValueDecoder implements com.mysql.cj.api.io.ValueDecoder {
                        public static DATE_BUF_LEN: int
                        public static TIME_STR_LEN_MIN: int
                        public static TIME_STR_LEN_MAX: int
                        public static TIMESTAMP_NOFRAC_STR_LEN: int
                        public static TIMESTAMP_STR_LEN_MAX: int
                        public static TIMESTAMP_STR_LEN_WITH_NANOS: int
                        public constructor()
                        public decodeDate<T>(arg0: byte[], arg1: int, arg2: int, arg3: com.mysql.cj.api.io.ValueFactory<T>): T
                        public decodeTime<T>(arg0: byte[], arg1: int, arg2: int, arg3: com.mysql.cj.api.io.ValueFactory<T>): T
                        public decodeTimestamp<T>(arg0: byte[], arg1: int, arg2: int, arg3: com.mysql.cj.api.io.ValueFactory<T>): T
                        public decodeUInt1<T>(arg0: byte[], arg1: int, arg2: int, arg3: com.mysql.cj.api.io.ValueFactory<T>): T
                        public decodeInt1<T>(arg0: byte[], arg1: int, arg2: int, arg3: com.mysql.cj.api.io.ValueFactory<T>): T
                        public decodeUInt2<T>(arg0: byte[], arg1: int, arg2: int, arg3: com.mysql.cj.api.io.ValueFactory<T>): T
                        public decodeInt2<T>(arg0: byte[], arg1: int, arg2: int, arg3: com.mysql.cj.api.io.ValueFactory<T>): T
                        public decodeUInt4<T>(arg0: byte[], arg1: int, arg2: int, arg3: com.mysql.cj.api.io.ValueFactory<T>): T
                        public decodeInt4<T>(arg0: byte[], arg1: int, arg2: int, arg3: com.mysql.cj.api.io.ValueFactory<T>): T
                        public decodeUInt8<T>(arg0: byte[], arg1: int, arg2: int, arg3: com.mysql.cj.api.io.ValueFactory<T>): T
                        public decodeInt8<T>(arg0: byte[], arg1: int, arg2: int, arg3: com.mysql.cj.api.io.ValueFactory<T>): T
                        public decodeFloat<T>(arg0: byte[], arg1: int, arg2: int, arg3: com.mysql.cj.api.io.ValueFactory<T>): T
                        public decodeDouble<T>(arg0: byte[], arg1: int, arg2: int, arg3: com.mysql.cj.api.io.ValueFactory<T>): T
                        public decodeDecimal<T>(arg0: byte[], arg1: int, arg2: int, arg3: com.mysql.cj.api.io.ValueFactory<T>): T
                        public decodeByteArray<T>(arg0: byte[], arg1: int, arg2: int, arg3: com.mysql.cj.api.io.ValueFactory<T>): T
                        public decodeBit<T>(arg0: byte[], arg1: int, arg2: int, arg3: com.mysql.cj.api.io.ValueFactory<T>): T
                        public static class: java.lang.Class<any>
                    }
                    class NamedPipeSocketFactory$NamedPipeSocket extends java.net.Socket {
                        public close(): void
                        public getInputStream(): java.io.InputStream
                        public getOutputStream(): java.io.OutputStream
                        public isClosed(): boolean
                        public static class: java.lang.Class<any>
                    }
                    class NamedPipeSocketFactory$RandomAccessFileInputStream extends java.io.InputStream {
                        public available(): int
                        public close(): void
                        public read(): int
                        public read(arg0: byte[]): int
                        public read(arg0: byte[], arg1: int, arg2: int): int
                        public static class: java.lang.Class<any>
                    }
                    class NamedPipeSocketFactory$RandomAccessFileOutputStream extends java.io.OutputStream {
                        public close(): void
                        public write(arg0: byte[]): void
                        public write(arg0: byte[], arg1: int, arg2: int): void
                        public write(arg0: int): void
                        public static class: java.lang.Class<any>
                    }
                    class NamedPipeSocketFactory implements com.mysql.cj.api.io.SocketFactory {
                        public static NAMED_PIPE_PROP_NAME: string
                        public constructor()
                        public afterHandshake(): java.net.Socket
                        public beforeHandshake(): java.net.Socket
                        public connect(arg0: string, arg1: int, arg2: java.util.Properties, arg3: int): java.net.Socket
                        public isLocallyConnected(arg0: com.mysql.cj.api.MysqlConnection): boolean
                        public static class: java.lang.Class<any>
                    }
                    class NetworkResources {
                        public constructor(arg0: java.net.Socket, arg1: java.io.InputStream, arg2: java.io.OutputStream)
                        public forceClose(): void
                        public static class: java.lang.Class<any>
                    }
                    class ReadAheadInputStream extends java.io.InputStream {
                        protected endOfCurrentData: int
                        protected currentPosition: int
                        protected doDebug: boolean
                        protected log: com.mysql.cj.api.log.Log
                        public read(arg0: byte[], arg1: int, arg2: int): int
                        public read(): int
                        public available(): int
                        public constructor(arg0: java.io.InputStream, arg1: boolean, arg2: com.mysql.cj.api.log.Log)
                        public constructor(arg0: java.io.InputStream, arg1: int, arg2: boolean, arg3: com.mysql.cj.api.log.Log)
                        public close(): void
                        public markSupported(): boolean
                        public skip(arg0: long): long
                        public static class: java.lang.Class<any>
                    }
                    class ShortValueFactory extends com.mysql.cj.core.io.DefaultValueFactory<java.lang.Short> {
                        public constructor()
                        public createFromBigInteger(arg0: java.math.BigInteger): java.lang.Short
                        public createFromLong(arg0: long): java.lang.Short
                        public createFromBigDecimal(arg0: java.math.BigDecimal): java.lang.Short
                        public createFromDouble(arg0: double): java.lang.Short
                        public createFromBit(arg0: byte[], arg1: int, arg2: int): java.lang.Short
                        public createFromNull(): java.lang.Short
                        public getTargetTypeName(): string
                        public createFromNull(): java.lang.Object
                        public createFromBit(arg0: byte[], arg1: int, arg2: int): java.lang.Object
                        public createFromBigDecimal(arg0: java.math.BigDecimal): java.lang.Object
                        public createFromDouble(arg0: double): java.lang.Object
                        public createFromBigInteger(arg0: java.math.BigInteger): java.lang.Object
                        public createFromLong(arg0: long): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class SocksProxySocketFactory extends com.mysql.cj.core.io.StandardSocketFactory {
                        public static SOCKS_DEFAULT_PORT: int
                        public constructor()
                        protected createSocket(arg0: java.util.Properties): java.net.Socket
                        public static class: java.lang.Class<any>
                    }
                    class StandardSocketFactory implements com.mysql.cj.api.io.SocketFactory {
                        public static TCP_KEEP_ALIVE_DEFAULT_VALUE: string
                        public static TCP_RCV_BUF_DEFAULT_VALUE: string
                        public static TCP_SND_BUF_DEFAULT_VALUE: string
                        public static TCP_TRAFFIC_CLASS_DEFAULT_VALUE: string
                        public static TCP_NO_DELAY_DEFAULT_VALUE: string
                        protected host: string
                        protected port: int
                        protected rawSocket: java.net.Socket
                        protected loginTimeoutCountdown: int
                        protected loginTimeoutCheckTimestamp: long
                        protected socketTimeoutBackup: int
                        public constructor()
                        public afterHandshake(): java.net.Socket
                        public beforeHandshake(): java.net.Socket
                        protected createSocket(arg0: java.util.Properties): java.net.Socket
                        public connect(arg0: string, arg1: int, arg2: java.util.Properties, arg3: int): java.net.Socket
                        protected resetLoginTimeCountdown(): void
                        protected getRealTimeout(arg0: int): int
                        public static class: java.lang.Class<any>
                    }
                    class StringConverter<T> extends com.mysql.cj.core.io.BaseDecoratingValueFactory<T> {
                        public constructor(arg0: string, arg1: com.mysql.cj.api.io.ValueFactory<T>)
                        public setEmptyStringsConvertToZero(arg0: boolean): void
                        public setEventSink(arg0: com.mysql.cj.api.ProfilerEventHandler): void
                        public createFromBytes(arg0: byte[], arg1: int, arg2: int): T
                        public createFromBit(arg0: byte[], arg1: int, arg2: int): T
                        public static class: java.lang.Class<any>
                    }
                    class StringValueFactory implements com.mysql.cj.api.io.ValueFactory<java.lang.String> {
                        public constructor()
                        public constructor(arg0: string)
                        public createFromDate(arg0: int, arg1: int, arg2: int): string
                        public createFromTime(arg0: int, arg1: int, arg2: int, arg3: int): string
                        public createFromTimestamp(arg0: int, arg1: int, arg2: int, arg3: int, arg4: int, arg5: int, arg6: int): string
                        public createFromLong(arg0: long): string
                        public createFromBigInteger(arg0: java.math.BigInteger): string
                        public createFromDouble(arg0: double): string
                        public createFromBigDecimal(arg0: java.math.BigDecimal): string
                        public createFromBytes(arg0: byte[], arg1: int, arg2: int): string
                        public createFromBit(arg0: byte[], arg1: int, arg2: int): string
                        public createFromNull(): string
                        public getTargetTypeName(): string
                        public createFromNull(): java.lang.Object
                        public createFromBit(arg0: byte[], arg1: int, arg2: int): java.lang.Object
                        public createFromBytes(arg0: byte[], arg1: int, arg2: int): java.lang.Object
                        public createFromBigDecimal(arg0: java.math.BigDecimal): java.lang.Object
                        public createFromDouble(arg0: double): java.lang.Object
                        public createFromBigInteger(arg0: java.math.BigInteger): java.lang.Object
                        public createFromLong(arg0: long): java.lang.Object
                        public createFromTimestamp(arg0: int, arg1: int, arg2: int, arg3: int, arg4: int, arg5: int, arg6: int): java.lang.Object
                        public createFromTime(arg0: int, arg1: int, arg2: int, arg3: int): java.lang.Object
                        public createFromDate(arg0: int, arg1: int, arg2: int): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class WatchableOutputStream extends java.io.ByteArrayOutputStream implements com.mysql.cj.api.io.WatchableStream {
                        public constructor()
                        public close(): void
                        public setWatcher(arg0: com.mysql.cj.api.io.OutputStreamWatcher | com.mysql.cj.api.io.OutputStreamWatcher$$Lambda): void
                        public static class: java.lang.Class<any>
                    }
                    class WatchableWriter extends java.io.CharArrayWriter {
                        public constructor()
                        public close(): void
                        public setWatcher(arg0: com.mysql.cj.core.io.WriterWatcher | com.mysql.cj.core.io.WriterWatcher$$Lambda): void
                        public static class: java.lang.Class<any>
                    }
                    interface WriterWatcher {
                        writerClosed(arg0: com.mysql.cj.core.io.WatchableWriter): void
                    }
                    
                    interface WriterWatcher$$Lambda {
                        (arg0: com.mysql.cj.core.io.WatchableWriter): void
                    }
                    class YearToDateValueFactory<T> extends com.mysql.cj.core.io.BaseDecoratingValueFactory<T> {
                        public constructor(arg0: com.mysql.cj.api.io.ValueFactory<T>)
                        public createFromLong(arg0: long): T
                        public static class: java.lang.Class<any>
                    }
                    class ZeroDateTimeToDefaultValueFactory<T> extends com.mysql.cj.core.io.BaseDecoratingValueFactory<T> {
                        public constructor(arg0: com.mysql.cj.api.io.ValueFactory<T>)
                        public createFromDate(arg0: int, arg1: int, arg2: int): T
                        public createFromTime(arg0: int, arg1: int, arg2: int, arg3: int): T
                        public createFromTimestamp(arg0: int, arg1: int, arg2: int, arg3: int, arg4: int, arg5: int, arg6: int): T
                        public static class: java.lang.Class<any>
                    }
                    class ZeroDateTimeToNullValueFactory<T> extends com.mysql.cj.core.io.BaseDecoratingValueFactory<T> {
                        public constructor(arg0: com.mysql.cj.api.io.ValueFactory<T>)
                        public createFromDate(arg0: int, arg1: int, arg2: int): T
                        public createFromTime(arg0: int, arg1: int, arg2: int, arg3: int): T
                        public createFromTimestamp(arg0: int, arg1: int, arg2: int, arg3: int, arg4: int, arg5: int, arg6: int): T
                        public static class: java.lang.Class<any>
                    }
                    
                }
                namespace log {
                    class Jdk14Logger implements com.mysql.cj.api.log.Log {
                        protected jdkLogger: java.util.logging.Logger
                        public constructor(arg0: string)
                        public isDebugEnabled(): boolean
                        public isErrorEnabled(): boolean
                        public isFatalEnabled(): boolean
                        public isInfoEnabled(): boolean
                        public isTraceEnabled(): boolean
                        public isWarnEnabled(): boolean
                        public logDebug(arg0: java.lang.Object): void
                        public logDebug(arg0: java.lang.Object, arg1: java.lang.Throwable): void
                        public logError(arg0: java.lang.Object): void
                        public logError(arg0: java.lang.Object, arg1: java.lang.Throwable): void
                        public logFatal(arg0: java.lang.Object): void
                        public logFatal(arg0: java.lang.Object, arg1: java.lang.Throwable): void
                        public logInfo(arg0: java.lang.Object): void
                        public logInfo(arg0: java.lang.Object, arg1: java.lang.Throwable): void
                        public logTrace(arg0: java.lang.Object): void
                        public logTrace(arg0: java.lang.Object, arg1: java.lang.Throwable): void
                        public logWarn(arg0: java.lang.Object): void
                        public logWarn(arg0: java.lang.Object, arg1: java.lang.Throwable): void
                        public static class: java.lang.Class<any>
                    }
                    class LogFactory {
                        public constructor()
                        public static getLogger(arg0: string, arg1: string, arg2: com.mysql.cj.api.exceptions.ExceptionInterceptor): com.mysql.cj.api.log.Log
                        public static class: java.lang.Class<any>
                    }
                    class NullLogger implements com.mysql.cj.api.log.Log {
                        public constructor(arg0: string)
                        public isDebugEnabled(): boolean
                        public isErrorEnabled(): boolean
                        public isFatalEnabled(): boolean
                        public isInfoEnabled(): boolean
                        public isTraceEnabled(): boolean
                        public isWarnEnabled(): boolean
                        public logDebug(arg0: java.lang.Object): void
                        public logDebug(arg0: java.lang.Object, arg1: java.lang.Throwable): void
                        public logError(arg0: java.lang.Object): void
                        public logError(arg0: java.lang.Object, arg1: java.lang.Throwable): void
                        public logFatal(arg0: java.lang.Object): void
                        public logFatal(arg0: java.lang.Object, arg1: java.lang.Throwable): void
                        public logInfo(arg0: java.lang.Object): void
                        public logInfo(arg0: java.lang.Object, arg1: java.lang.Throwable): void
                        public logTrace(arg0: java.lang.Object): void
                        public logTrace(arg0: java.lang.Object, arg1: java.lang.Throwable): void
                        public logWarn(arg0: java.lang.Object): void
                        public logWarn(arg0: java.lang.Object, arg1: java.lang.Throwable): void
                        public static class: java.lang.Class<any>
                    }
                    class Slf4JLogger implements com.mysql.cj.api.log.Log {
                        public constructor(arg0: string)
                        public isDebugEnabled(): boolean
                        public isErrorEnabled(): boolean
                        public isFatalEnabled(): boolean
                        public isInfoEnabled(): boolean
                        public isTraceEnabled(): boolean
                        public isWarnEnabled(): boolean
                        public logDebug(arg0: java.lang.Object): void
                        public logDebug(arg0: java.lang.Object, arg1: java.lang.Throwable): void
                        public logError(arg0: java.lang.Object): void
                        public logError(arg0: java.lang.Object, arg1: java.lang.Throwable): void
                        public logFatal(arg0: java.lang.Object): void
                        public logFatal(arg0: java.lang.Object, arg1: java.lang.Throwable): void
                        public logInfo(arg0: java.lang.Object): void
                        public logInfo(arg0: java.lang.Object, arg1: java.lang.Throwable): void
                        public logTrace(arg0: java.lang.Object): void
                        public logTrace(arg0: java.lang.Object, arg1: java.lang.Throwable): void
                        public logWarn(arg0: java.lang.Object): void
                        public logWarn(arg0: java.lang.Object, arg1: java.lang.Throwable): void
                        public static class: java.lang.Class<any>
                    }
                    class StandardLogger implements com.mysql.cj.api.log.Log {
                        public constructor(arg0: string)
                        public constructor(arg0: string, arg1: boolean)
                        public static startLoggingToBuffer(): void
                        public static dropBuffer(): void
                        public static getBuffer(): java.lang.Appendable
                        public isDebugEnabled(): boolean
                        public isErrorEnabled(): boolean
                        public isFatalEnabled(): boolean
                        public isInfoEnabled(): boolean
                        public isTraceEnabled(): boolean
                        public isWarnEnabled(): boolean
                        public logDebug(arg0: java.lang.Object): void
                        public logDebug(arg0: java.lang.Object, arg1: java.lang.Throwable): void
                        public logError(arg0: java.lang.Object): void
                        public logError(arg0: java.lang.Object, arg1: java.lang.Throwable): void
                        public logFatal(arg0: java.lang.Object): void
                        public logFatal(arg0: java.lang.Object, arg1: java.lang.Throwable): void
                        public logInfo(arg0: java.lang.Object): void
                        public logInfo(arg0: java.lang.Object, arg1: java.lang.Throwable): void
                        public logTrace(arg0: java.lang.Object): void
                        public logTrace(arg0: java.lang.Object, arg1: java.lang.Throwable): void
                        public logWarn(arg0: java.lang.Object): void
                        public logWarn(arg0: java.lang.Object, arg1: java.lang.Throwable): void
                        protected logInternal(arg0: int, arg1: java.lang.Object, arg2: java.lang.Throwable): void
                        public static class: java.lang.Class<any>
                    }
                    
                }
                namespace profiler {
                    class LoggingProfilerEventHandler implements com.mysql.cj.api.ProfilerEventHandler {
                        public constructor()
                        public consumeEvent(arg0: com.mysql.cj.api.ProfilerEvent): void
                        public destroy(): void
                        public init(arg0: com.mysql.cj.api.log.Log): void
                        public static class: java.lang.Class<any>
                    }
                    class ProfilerEventHandlerFactory {
                        public constructor()
                        public static getInstance(arg0: com.mysql.cj.api.Session): com.mysql.cj.api.ProfilerEventHandler
                        public static removeInstance(arg0: com.mysql.cj.api.Session): void
                        public static class: java.lang.Class<any>
                    }
                    class ProfilerEventImpl implements com.mysql.cj.api.ProfilerEvent {
                        protected connectionId: long
                        protected statementId: int
                        protected resultSetId: int
                        protected eventCreationTime: long
                        protected eventDuration: long
                        protected durationUnits: string
                        protected hostNameIndex: int
                        protected hostName: string
                        protected catalogIndex: int
                        protected catalog: string
                        protected eventCreationPointIndex: int
                        protected eventCreationPointDesc: string
                        protected message: string
                        public constructor(arg0: byte, arg1: string, arg2: string, arg3: long, arg4: int, arg5: int, arg6: long, arg7: long, arg8: string, arg9: string, arg10: string, arg11: string)
                        public getEventCreationPointAsString(): string
                        public toString(): string
                        public static unpack(arg0: byte[]): com.mysql.cj.api.ProfilerEvent
                        public pack(): byte[]
                        public getCatalog(): string
                        public getConnectionId(): long
                        public getEventCreationTime(): long
                        public getEventDuration(): long
                        public getDurationUnits(): string
                        public getEventType(): byte
                        public getResultSetId(): int
                        public getStatementId(): int
                        public getMessage(): string
                        public setEventType(arg0: byte): void
                        public static class: java.lang.Class<any>
                    }
                    
                }
                namespace result {
                    class BufferedRowList implements com.mysql.cj.api.result.RowList {
                        public constructor(arg0: java.util.List<com.mysql.cj.api.result.Row>)
                        public constructor(arg0: java.util.Iterator<com.mysql.cj.api.result.Row>)
                        public next(): com.mysql.cj.api.result.Row
                        public previous(): com.mysql.cj.api.result.Row
                        public get(arg0: int): com.mysql.cj.api.result.Row
                        public getPosition(): int
                        public size(): int
                        public hasNext(): boolean
                        public next(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class Field$1 {
                        public static class: java.lang.Class<any>
                    }
                    class Field {
                        public constructor(arg0: com.mysql.cj.core.util.LazyString, arg1: com.mysql.cj.core.util.LazyString, arg2: com.mysql.cj.core.util.LazyString, arg3: com.mysql.cj.core.util.LazyString, arg4: com.mysql.cj.core.util.LazyString, arg5: long, arg6: int, arg7: short, arg8: int, arg9: int, arg10: string, arg11: com.mysql.cj.core.MysqlType)
                        public constructor(arg0: string, arg1: string, arg2: int, arg3: string, arg4: com.mysql.cj.core.MysqlType, arg5: int)
                        public getEncoding(): string
                        public setEncoding(arg0: string, arg1: com.mysql.cj.core.ServerVersion): void
                        public getColumnLabel(): string
                        public getDatabaseName(): string
                        public getDecimals(): int
                        public getFullName(): string
                        public getLength(): long
                        public getMysqlTypeId(): int
                        public setMysqlTypeId(arg0: int): void
                        public getName(): string
                        public getOriginalName(): string
                        public getOriginalTableName(): string
                        public getJavaType(): int
                        public getTableName(): string
                        public isAutoIncrement(): boolean
                        public isBinary(): boolean
                        public setBinary(): void
                        public isBlob(): boolean
                        public setBlob(): void
                        public isMultipleKey(): boolean
                        public isNotNull(): boolean
                        public isPrimaryKey(): boolean
                        public isFromFunction(): boolean
                        public isReadOnly(): boolean
                        public isUniqueKey(): boolean
                        public isUnsigned(): boolean
                        public isZeroFill(): boolean
                        public toString(): string
                        public isSingleBit(): boolean
                        public getValueNeedsQuoting(): boolean
                        public getCollationIndex(): int
                        public getMysqlType(): com.mysql.cj.core.MysqlType
                        public setMysqlType(arg0: com.mysql.cj.core.MysqlType): void
                        public getFlags(): short
                        public setFlags(arg0: short): void
                        public static class: java.lang.Class<any>
                    }
                    
                }
                namespace util {
                    class Base64Decoder$IntWrapper {
                        public value: int
                        public constructor(arg0: int)
                        public static class: java.lang.Class<any>
                    }
                    class Base64Decoder {
                        public constructor()
                        public static decode(arg0: byte[], arg1: int, arg2: int): byte[]
                        public static class: java.lang.Class<any>
                    }
                    class EscapeTokenizer {
                        public constructor(arg0: string)
                        public hasMoreTokens(): boolean
                        public nextToken(): string
                        public sawVariableUse(): boolean
                        public static class: java.lang.Class<any>
                    }
                    class LRUCache extends java.util.LinkedHashMap<java.lang.Object, java.lang.Object> {
                        protected maxElements: int
                        public constructor(arg0: int)
                        protected removeEldestEntry(arg0: java.util.Map$Entry<java.lang.Object, java.lang.Object>): boolean
                        public static class: java.lang.Class<any>
                    }
                    class LazyString {
                        public constructor(arg0: string)
                        public constructor(arg0: byte[], arg1: int, arg2: int, arg3: string)
                        public toString(): string
                        public length(): int
                        public static class: java.lang.Class<any>
                    }
                    class LogUtils {
                        public static CALLER_INFORMATION_NOT_AVAILABLE: string
                        public constructor()
                        public static expandProfilerEventIfNecessary(arg0: java.lang.Object): java.lang.Object
                        public static findCallingClassAndMethod(arg0: java.lang.Throwable): string
                        public static class: java.lang.Class<any>
                    }
                    class PerVmServerConfigCacheFactory$1 implements com.mysql.cj.api.CacheAdapter<java.lang.String, java.util.Map<java.lang.String, java.lang.String>> {
                        public get(arg0: string): java.util.Map<java.lang.String, java.lang.String>
                        public put(arg0: string, arg1: java.util.Map<java.lang.String, java.lang.String>): void
                        public invalidate(arg0: string): void
                        public invalidateAll(arg0: java.util.Set<java.lang.String>): void
                        public invalidateAll(): void
                        public invalidate(arg0: java.lang.Object): void
                        public put(arg0: java.lang.Object, arg1: java.lang.Object): void
                        public get(arg0: java.lang.Object): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class PerVmServerConfigCacheFactory implements com.mysql.cj.api.CacheAdapterFactory<java.lang.String, java.util.Map<java.lang.String, java.lang.String>> {
                        public constructor()
                        public getInstance(arg0: com.mysql.cj.api.MysqlConnection, arg1: string, arg2: int, arg3: int, arg4: java.util.Properties): com.mysql.cj.api.CacheAdapter<java.lang.String, java.util.Map<java.lang.String, java.lang.String>>
                        public static class: java.lang.Class<any>
                    }
                    class StringUtils$SearchMode extends java.lang.Enum<com.mysql.cj.core.util.StringUtils$SearchMode> {
                        public static ALLOW_BACKSLASH_ESCAPE: com.mysql.cj.core.util.StringUtils$SearchMode
                        public static SKIP_BETWEEN_MARKERS: com.mysql.cj.core.util.StringUtils$SearchMode
                        public static SKIP_BLOCK_COMMENTS: com.mysql.cj.core.util.StringUtils$SearchMode
                        public static SKIP_LINE_COMMENTS: com.mysql.cj.core.util.StringUtils$SearchMode
                        public static SKIP_WHITE_SPACE: com.mysql.cj.core.util.StringUtils$SearchMode
                        public static values(): com.mysql.cj.core.util.StringUtils$SearchMode[]
                        public static valueOf(arg0: string): com.mysql.cj.core.util.StringUtils$SearchMode
                        public static class: java.lang.Class<any>
                    }
                    class StringUtils {
                        public static SEARCH_MODE__ALL: java.util.Set<com.mysql.cj.core.util.StringUtils$SearchMode>
                        public static SEARCH_MODE__MRK_COM_WS: java.util.Set<com.mysql.cj.core.util.StringUtils$SearchMode>
                        public static SEARCH_MODE__BSESC_COM_WS: java.util.Set<com.mysql.cj.core.util.StringUtils$SearchMode>
                        public static SEARCH_MODE__BSESC_MRK_WS: java.util.Set<com.mysql.cj.core.util.StringUtils$SearchMode>
                        public static SEARCH_MODE__COM_WS: java.util.Set<com.mysql.cj.core.util.StringUtils$SearchMode>
                        public static SEARCH_MODE__MRK_WS: java.util.Set<com.mysql.cj.core.util.StringUtils$SearchMode>
                        public static SEARCH_MODE__NONE: java.util.Set<com.mysql.cj.core.util.StringUtils$SearchMode>
                        public static WILD_COMPARE_NO_MATCH: int
                        public constructor()
                        public static dumpAsHex(arg0: byte[], arg1: int): string
                        public static firstNonWsCharUc(arg0: string): char
                        public static firstNonWsCharUc(arg0: string, arg1: int): char
                        public static firstAlphaCharUc(arg0: string, arg1: int): char
                        public static fixDecimalExponent(arg0: string): string
                        public static getBytes(arg0: string, arg1: string): byte[]
                        public static getBytesWrapped(arg0: string, arg1: char, arg2: char, arg3: string): byte[]
                        public static getInt(arg0: byte[]): int
                        public static getInt(arg0: byte[], arg1: int, arg2: int): int
                        public static getLong(arg0: byte[]): long
                        public static getLong(arg0: byte[], arg1: int, arg2: int): long
                        public static indexOfIgnoreCase(arg0: string, arg1: string): int
                        public static indexOfIgnoreCase(arg0: int, arg1: string, arg2: string): int
                        public static indexOfIgnoreCase(arg0: int, arg1: string, arg2: java.lang.String[], arg3: string, arg4: string, arg5: java.util.Set<com.mysql.cj.core.util.StringUtils$SearchMode>): int
                        public static indexOfIgnoreCase(arg0: int, arg1: string, arg2: string, arg3: string, arg4: string, arg5: java.util.Set<com.mysql.cj.core.util.StringUtils$SearchMode>): int
                        public static split(arg0: string, arg1: string, arg2: boolean): java.util.List<java.lang.String>
                        public static split(arg0: string, arg1: string, arg2: string, arg3: string, arg4: boolean): java.util.List<java.lang.String>
                        public static split(arg0: string, arg1: string, arg2: string, arg3: string, arg4: boolean, arg5: java.util.Set<com.mysql.cj.core.util.StringUtils$SearchMode>): java.util.List<java.lang.String>
                        public static startsWithIgnoreCase(arg0: string, arg1: int, arg2: string): boolean
                        public static startsWithIgnoreCase(arg0: string, arg1: string): boolean
                        public static startsWithIgnoreCaseAndNonAlphaNumeric(arg0: string, arg1: string): boolean
                        public static startsWithIgnoreCaseAndWs(arg0: string, arg1: string): boolean
                        public static startsWithIgnoreCaseAndWs(arg0: string, arg1: string, arg2: int): boolean
                        public static startsWithIgnoreCaseAndWs(arg0: string, arg1: java.lang.String[]): int
                        public static stripEnclosure(arg0: byte[], arg1: string, arg2: string): byte[]
                        public static toAsciiString(arg0: byte[]): string
                        public static toAsciiString(arg0: byte[], arg1: int, arg2: int): string
                        public static wildCompare(arg0: string, arg1: string): int
                        public static lastIndexOf(arg0: byte[], arg1: char): int
                        public static indexOf(arg0: byte[], arg1: char): int
                        public static isNullOrEmpty(arg0: string): boolean
                        public static stripComments(arg0: string, arg1: string, arg2: string, arg3: boolean, arg4: boolean, arg5: boolean, arg6: boolean): string
                        public static sanitizeProcOrFuncName(arg0: string): string
                        public static splitDBdotName(arg0: string, arg1: string, arg2: string, arg3: boolean): java.util.List<java.lang.String>
                        public static isEmptyOrWhitespaceOnly(arg0: string): boolean
                        public static escapeQuote(arg0: string, arg1: string): string
                        public static quoteIdentifier(arg0: string, arg1: string, arg2: boolean): string
                        public static quoteIdentifier(arg0: string, arg1: boolean): string
                        public static unQuoteIdentifier(arg0: string, arg1: string): string
                        public static indexOfQuoteDoubleAware(arg0: string, arg1: string, arg2: int): int
                        public static toString(arg0: byte[], arg1: int, arg2: int, arg3: string): string
                        public static toString(arg0: byte[], arg1: string): string
                        public static toString(arg0: byte[], arg1: int, arg2: int): string
                        public static toString(arg0: byte[]): string
                        public static getBytes(arg0: char[]): byte[]
                        public static getBytes(arg0: char[], arg1: string): byte[]
                        public static getBytes(arg0: char[], arg1: int, arg2: int): byte[]
                        public static getBytes(arg0: char[], arg1: int, arg2: int, arg3: string): byte[]
                        public static getBytes(arg0: string): byte[]
                        public static getBytes(arg0: string, arg1: int, arg2: int): byte[]
                        public static getBytes(arg0: string, arg1: int, arg2: int, arg3: string): byte[]
                        public static isValidIdChar(arg0: char): boolean
                        public static appendAsHex(arg0: java.lang.StringBuilder, arg1: byte[]): void
                        public static appendAsHex(arg0: java.lang.StringBuilder, arg1: int): void
                        public static getBytesNullTerminated(arg0: string, arg1: string): byte[]
                        public static canHandleAsServerPreparedStatementNoCache(arg0: string, arg1: com.mysql.cj.core.ServerVersion): boolean
                        public static padString(arg0: string, arg1: int): string
                        public static safeIntParse(arg0: string): int
                        public static isStrictlyNumeric(arg0: java.lang.CharSequence): boolean
                        public static safeTrim(arg0: string): string
                        public static class: java.lang.Class<any>
                    }
                    class TestUtils {
                        public constructor()
                        public static dumpTestcaseQuery(arg0: string): void
                        public static class: java.lang.Class<any>
                    }
                    class Util {
                        public constructor()
                        public static getJVMVersion(): int
                        public static jvmMeetsMinimum(arg0: int, arg1: int): boolean
                        public static getJVMUpdateNumber(): int
                        public static isColdFusion(): boolean
                        public static isCommunityEdition(arg0: string): boolean
                        public static isEnterpriseEdition(arg0: string): boolean
                        public static stackTraceToString(arg0: java.lang.Throwable): string
                        public static getInstance(arg0: string, arg1: java.lang.Class<any>[], arg2: java.lang.Object[], arg3: com.mysql.cj.api.exceptions.ExceptionInterceptor, arg4: string): java.lang.Object
                        public static getInstance(arg0: string, arg1: java.lang.Class<any>[], arg2: java.lang.Object[], arg3: com.mysql.cj.api.exceptions.ExceptionInterceptor): java.lang.Object
                        public static handleNewInstance(arg0: java.lang.reflect.Constructor<any>, arg1: java.lang.Object[], arg2: com.mysql.cj.api.exceptions.ExceptionInterceptor): java.lang.Object
                        public static interfaceExists(arg0: string): boolean
                        public static calculateDifferences(arg0: java.util.Map<any, any>, arg1: java.util.Map<any, any>): java.util.Map<java.lang.Object, java.lang.Object>
                        public static loadClasses<T>(arg0: string, arg1: string, arg2: com.mysql.cj.api.exceptions.ExceptionInterceptor): java.util.List<T>
                        public static isJdbcInterface(arg0: java.lang.Class<any>): boolean
                        public static isJdbcPackage(arg0: string): boolean
                        public static getImplementedInterfaces(arg0: java.lang.Class<any>): java.lang.Class<any>[]
                        public static secondsSinceMillis(arg0: long): long
                        public static truncateAndConvertToInt(arg0: long): int
                        public static truncateAndConvertToInt(arg0: long[]): int[]
                        public static class: java.lang.Class<any>
                    }
                    
                }
                
            }
            namespace jdbc {
                class AbandonedConnectionCleanupThread extends java.lang.Thread {
                    public constructor()
                    public run(): void
                    public static shutdown(): void
                    public static class: java.lang.Class<any>
                }
                abstract class AbstractJdbcConnection implements java.io.Serializable , com.mysql.cj.api.jdbc.JdbcConnection {
                    protected propertySet: com.mysql.cj.api.jdbc.JdbcPropertySet
                    public constructor()
                    public getPropertySet(): com.mysql.cj.api.jdbc.JdbcPropertySet
                    public getPropertySet(): com.mysql.cj.api.conf.PropertySet
                    public static class: java.lang.Class<any>
                }
                class Blob implements java.sql.Blob , com.mysql.cj.api.io.OutputStreamWatcher {
                    public constructor(arg0: byte[], arg1: com.mysql.cj.api.exceptions.ExceptionInterceptor)
                    public getBinaryStream(): java.io.InputStream
                    public getBytes(arg0: long, arg1: int): byte[]
                    public length(): long
                    public position(arg0: byte[], arg1: long): long
                    public position(arg0: java.sql.Blob, arg1: long): long
                    public setBinaryStream(arg0: long): java.io.OutputStream
                    public setBytes(arg0: long, arg1: byte[]): int
                    public setBytes(arg0: long, arg1: byte[], arg2: int, arg3: int): int
                    public streamClosed(arg0: byte[]): void
                    public streamClosed(arg0: com.mysql.cj.api.io.WatchableStream): void
                    public truncate(arg0: long): void
                    public free(): void
                    public getBinaryStream(arg0: long, arg1: long): java.io.InputStream
                    public static class: java.lang.Class<any>
                }
                class BlobFromLocator$LocatorInputStream extends java.io.InputStream {
                    public read(): int
                    public read(arg0: byte[], arg1: int, arg2: int): int
                    public read(arg0: byte[]): int
                    public close(): void
                    public static class: java.lang.Class<any>
                }
                class BlobFromLocator implements java.sql.Blob {
                    public constructor(arg0: com.mysql.cj.jdbc.result.ResultSetImpl, arg1: int, arg2: com.mysql.cj.api.exceptions.ExceptionInterceptor)
                    public setBinaryStream(arg0: long): java.io.OutputStream
                    public getBinaryStream(): java.io.InputStream
                    public setBytes(arg0: long, arg1: byte[], arg2: int, arg3: int): int
                    public setBytes(arg0: long, arg1: byte[]): int
                    public getBytes(arg0: long, arg1: int): byte[]
                    public length(): long
                    public position(arg0: java.sql.Blob, arg1: long): long
                    public position(arg0: byte[], arg1: long): long
                    public truncate(arg0: long): void
                    public free(): void
                    public getBinaryStream(arg0: long, arg1: long): java.io.InputStream
                    public static class: java.lang.Class<any>
                }
                class CallableStatement$1 {
                    public static class: java.lang.Class<any>
                }
                class CallableStatement$CallableStatementParam {
                    protected clone(): java.lang.Object
                    public static class: java.lang.Class<any>
                }
                class CallableStatement$CallableStatementParamInfo implements java.sql.ParameterMetaData {
                    protected checkBounds(arg0: int): void
                    protected clone(): java.lang.Object
                    public getParameterClassName(arg0: int): string
                    public getParameterCount(): int
                    public getParameterMode(arg0: int): int
                    public getParameterType(arg0: int): int
                    public getParameterTypeName(arg0: int): string
                    public getPrecision(arg0: int): int
                    public getScale(arg0: int): int
                    public isNullable(arg0: int): int
                    public isSigned(arg0: int): boolean
                    public isWrapperFor(arg0: java.lang.Class<any>): boolean
                    public unwrap<T>(arg0: java.lang.Class<T>): T
                    public static class: java.lang.Class<any>
                }
                class CallableStatement extends com.mysql.cj.jdbc.PreparedStatement implements java.sql.CallableStatement {
                    protected outputParamWasNull: boolean
                    protected paramInfo: com.mysql.cj.jdbc.CallableStatement$CallableStatementParamInfo
                    public constructor(arg0: com.mysql.cj.api.jdbc.JdbcConnection, arg1: com.mysql.cj.jdbc.CallableStatement$CallableStatementParamInfo)
                    protected static getInstance(arg0: com.mysql.cj.api.jdbc.JdbcConnection, arg1: string, arg2: string, arg3: boolean): com.mysql.cj.jdbc.CallableStatement
                    protected static getInstance(arg0: com.mysql.cj.api.jdbc.JdbcConnection, arg1: com.mysql.cj.jdbc.CallableStatement$CallableStatementParamInfo): com.mysql.cj.jdbc.CallableStatement
                    public constructor(arg0: com.mysql.cj.api.jdbc.JdbcConnection, arg1: string, arg2: string, arg3: boolean)
                    public addBatch(): void
                    public clearParameters(): void
                    public execute(): boolean
                    public executeQuery(): java.sql.ResultSet
                    public executeUpdate(): int
                    protected fixParameterName(arg0: string): string
                    public getArray(arg0: int): java.sql.Array
                    public getArray(arg0: string): java.sql.Array
                    public getBigDecimal(arg0: int): java.math.BigDecimal
                    public getBigDecimal(arg0: int, arg1: int): java.math.BigDecimal
                    public getBigDecimal(arg0: string): java.math.BigDecimal
                    public getBlob(arg0: int): java.sql.Blob
                    public getBlob(arg0: string): java.sql.Blob
                    public getBoolean(arg0: int): boolean
                    public getBoolean(arg0: string): boolean
                    public getByte(arg0: int): byte
                    public getByte(arg0: string): byte
                    public getBytes(arg0: int): byte[]
                    public getBytes(arg0: string): byte[]
                    public getClob(arg0: int): java.sql.Clob
                    public getClob(arg0: string): java.sql.Clob
                    public getDate(arg0: int): java.sql.Date
                    public getDate(arg0: int, arg1: java.util.Calendar): java.sql.Date
                    public getDate(arg0: string): java.sql.Date
                    public getDate(arg0: string, arg1: java.util.Calendar): java.sql.Date
                    public getDouble(arg0: int): double
                    public getDouble(arg0: string): double
                    public getFloat(arg0: int): float
                    public getFloat(arg0: string): float
                    public getInt(arg0: int): int
                    public getInt(arg0: string): int
                    public getLong(arg0: int): long
                    public getLong(arg0: string): long
                    protected getNamedParamIndex(arg0: string, arg1: boolean): int
                    public getObject(arg0: int): java.lang.Object
                    public getObject(arg0: int, arg1: java.util.Map<java.lang.String, java.lang.Class<any>>): java.lang.Object
                    public getObject(arg0: string): java.lang.Object
                    public getObject(arg0: string, arg1: java.util.Map<java.lang.String, java.lang.Class<any>>): java.lang.Object
                    public getObject<T>(arg0: int, arg1: java.lang.Class<T>): T
                    public getObject<T>(arg0: string, arg1: java.lang.Class<T>): T
                    protected getOutputParameters<T>(arg0: int): com.mysql.cj.api.jdbc.result.ResultSetInternalMethods
                    public getParameterMetaData<T>(): java.sql.ParameterMetaData
                    public getRef<T>(arg0: int): java.sql.Ref
                    public getRef<T>(arg0: string): java.sql.Ref
                    public getShort<T>(arg0: int): short
                    public getShort<T>(arg0: string): short
                    public getString<T>(arg0: int): string
                    public getString<T>(arg0: string): string
                    public getTime<T>(arg0: int): java.sql.Time
                    public getTime<T>(arg0: int, arg1: java.util.Calendar): java.sql.Time
                    public getTime<T>(arg0: string): java.sql.Time
                    public getTime<T>(arg0: string, arg1: java.util.Calendar): java.sql.Time
                    public getTimestamp<T>(arg0: int): java.sql.Timestamp
                    public getTimestamp<T>(arg0: int, arg1: java.util.Calendar): java.sql.Timestamp
                    public getTimestamp<T>(arg0: string): java.sql.Timestamp
                    public getTimestamp<T>(arg0: string, arg1: java.util.Calendar): java.sql.Timestamp
                    public getURL<T>(arg0: int): java.net.URL
                    public getURL<T>(arg0: string): java.net.URL
                    protected mapOutputParameterIndexToRsIndex<T>(arg0: int): int
                    protected registerOutParameter<T>(arg0: int, arg1: com.mysql.cj.core.MysqlType): void
                    public registerOutParameter<T>(arg0: int, arg1: int): void
                    public registerOutParameter<T>(arg0: int, arg1: java.sql.SQLType): void
                    protected registerOutParameter<T>(arg0: int, arg1: com.mysql.cj.core.MysqlType, arg2: int): void
                    public registerOutParameter<T>(arg0: int, arg1: int, arg2: int): void
                    public registerOutParameter<T>(arg0: int, arg1: java.sql.SQLType, arg2: int): void
                    protected registerOutParameter<T>(arg0: int, arg1: com.mysql.cj.core.MysqlType, arg2: string): void
                    public registerOutParameter<T>(arg0: int, arg1: int, arg2: string): void
                    public registerOutParameter<T>(arg0: int, arg1: java.sql.SQLType, arg2: string): void
                    public registerOutParameter<T>(arg0: string, arg1: int): void
                    public registerOutParameter<T>(arg0: string, arg1: java.sql.SQLType): void
                    public registerOutParameter<T>(arg0: string, arg1: int, arg2: int): void
                    public registerOutParameter<T>(arg0: string, arg1: java.sql.SQLType, arg2: int): void
                    public registerOutParameter<T>(arg0: string, arg1: int, arg2: string): void
                    public registerOutParameter<T>(arg0: string, arg1: java.sql.SQLType, arg2: string): void
                    public setAsciiStream<T>(arg0: string, arg1: java.io.InputStream, arg2: int): void
                    public setBigDecimal<T>(arg0: string, arg1: java.math.BigDecimal): void
                    public setBinaryStream<T>(arg0: string, arg1: java.io.InputStream, arg2: int): void
                    public setBoolean<T>(arg0: string, arg1: boolean): void
                    public setByte<T>(arg0: string, arg1: byte): void
                    public setBytes<T>(arg0: string, arg1: byte[]): void
                    public setCharacterStream<T>(arg0: string, arg1: java.io.Reader, arg2: int): void
                    public setDate<T>(arg0: string, arg1: java.sql.Date): void
                    public setDate<T>(arg0: string, arg1: java.sql.Date, arg2: java.util.Calendar): void
                    public setDouble<T>(arg0: string, arg1: double): void
                    public setFloat<T>(arg0: string, arg1: float): void
                    public setInt<T>(arg0: string, arg1: int): void
                    public setLong<T>(arg0: string, arg1: long): void
                    public setNull<T>(arg0: string, arg1: int): void
                    public setNull<T>(arg0: string, arg1: int, arg2: string): void
                    public setObject<T>(arg0: string, arg1: java.lang.Object): void
                    public setObject<T>(arg0: string, arg1: java.lang.Object, arg2: int): void
                    public setObject<T>(arg0: string, arg1: java.lang.Object, arg2: java.sql.SQLType): void
                    public setObject<T>(arg0: string, arg1: java.lang.Object, arg2: int, arg3: int): void
                    public setObject<T>(arg0: string, arg1: java.lang.Object, arg2: java.sql.SQLType, arg3: int): void
                    public setShort<T>(arg0: string, arg1: short): void
                    public setString<T>(arg0: string, arg1: string): void
                    public setTime<T>(arg0: string, arg1: java.sql.Time): void
                    public setTime<T>(arg0: string, arg1: java.sql.Time, arg2: java.util.Calendar): void
                    public setTimestamp<T>(arg0: string, arg1: java.sql.Timestamp): void
                    public setTimestamp<T>(arg0: string, arg1: java.sql.Timestamp, arg2: java.util.Calendar): void
                    public setURL<T>(arg0: string, arg1: java.net.URL): void
                    public wasNull<T>(): boolean
                    public executeBatch<T>(): int[]
                    protected getParameterIndexOffset<T>(): int
                    public setAsciiStream<T>(arg0: string, arg1: java.io.InputStream): void
                    public setAsciiStream<T>(arg0: string, arg1: java.io.InputStream, arg2: long): void
                    public setBinaryStream<T>(arg0: string, arg1: java.io.InputStream): void
                    public setBinaryStream<T>(arg0: string, arg1: java.io.InputStream, arg2: long): void
                    public setBlob<T>(arg0: string, arg1: java.sql.Blob): void
                    public setBlob<T>(arg0: string, arg1: java.io.InputStream): void
                    public setBlob<T>(arg0: string, arg1: java.io.InputStream, arg2: long): void
                    public setCharacterStream<T>(arg0: string, arg1: java.io.Reader): void
                    public setCharacterStream<T>(arg0: string, arg1: java.io.Reader, arg2: long): void
                    public setClob<T>(arg0: string, arg1: java.sql.Clob): void
                    public setClob<T>(arg0: string, arg1: java.io.Reader): void
                    public setClob<T>(arg0: string, arg1: java.io.Reader, arg2: long): void
                    public setNCharacterStream<T>(arg0: string, arg1: java.io.Reader): void
                    public setNCharacterStream<T>(arg0: string, arg1: java.io.Reader, arg2: long): void
                    protected checkReadOnlySafeStatement<T>(): boolean
                    public getRowId<T>(arg0: int): java.sql.RowId
                    public getRowId<T>(arg0: string): java.sql.RowId
                    public setRowId<T>(arg0: string, arg1: java.sql.RowId): void
                    public setNString<T>(arg0: string, arg1: string): void
                    public setNClob<T>(arg0: string, arg1: java.sql.NClob): void
                    public setNClob<T>(arg0: string, arg1: java.io.Reader): void
                    public setNClob<T>(arg0: string, arg1: java.io.Reader, arg2: long): void
                    public setSQLXML<T>(arg0: string, arg1: java.sql.SQLXML): void
                    public getSQLXML<T>(arg0: int): java.sql.SQLXML
                    public getSQLXML<T>(arg0: string): java.sql.SQLXML
                    public getNString<T>(arg0: int): string
                    public getNString<T>(arg0: string): string
                    public getNCharacterStream<T>(arg0: int): java.io.Reader
                    public getNCharacterStream<T>(arg0: string): java.io.Reader
                    public getCharacterStream<T>(arg0: int): java.io.Reader
                    public getCharacterStream<T>(arg0: string): java.io.Reader
                    public getNClob<T>(arg0: int): java.sql.NClob
                    public getNClob<T>(arg0: string): java.sql.NClob
                    protected s2b<T>(arg0: string): byte[]
                    public executeLargeUpdate<T>(): long
                    public executeLargeBatch<T>(): long[]
                    public static class: java.lang.Class<any>
                }
                class CallableStatementWrapper extends com.mysql.cj.jdbc.PreparedStatementWrapper implements java.sql.CallableStatement {
                    protected static getInstance(arg0: com.mysql.cj.jdbc.ConnectionWrapper, arg1: com.mysql.cj.jdbc.MysqlPooledConnection, arg2: java.sql.CallableStatement): com.mysql.cj.jdbc.CallableStatementWrapper
                    public constructor(arg0: com.mysql.cj.jdbc.ConnectionWrapper, arg1: com.mysql.cj.jdbc.MysqlPooledConnection, arg2: java.sql.CallableStatement)
                    public registerOutParameter(arg0: int, arg1: int): void
                    public registerOutParameter(arg0: int, arg1: int, arg2: int): void
                    public wasNull(): boolean
                    public getString(arg0: int): string
                    public getBoolean(arg0: int): boolean
                    public getByte(arg0: int): byte
                    public getShort(arg0: int): short
                    public getInt(arg0: int): int
                    public getLong(arg0: int): long
                    public getFloat(arg0: int): float
                    public getDouble(arg0: int): double
                    public getBigDecimal(arg0: int, arg1: int): java.math.BigDecimal
                    public getBytes(arg0: int): byte[]
                    public getDate(arg0: int): java.sql.Date
                    public getTime(arg0: int): java.sql.Time
                    public getTimestamp(arg0: int): java.sql.Timestamp
                    public getObject(arg0: int): java.lang.Object
                    public getBigDecimal(arg0: int): java.math.BigDecimal
                    public getObject(arg0: int, arg1: java.util.Map<java.lang.String, java.lang.Class<any>>): java.lang.Object
                    public getRef(arg0: int): java.sql.Ref
                    public getBlob(arg0: int): java.sql.Blob
                    public getClob(arg0: int): java.sql.Clob
                    public getArray(arg0: int): java.sql.Array
                    public getDate(arg0: int, arg1: java.util.Calendar): java.sql.Date
                    public getTime(arg0: int, arg1: java.util.Calendar): java.sql.Time
                    public getTimestamp(arg0: int, arg1: java.util.Calendar): java.sql.Timestamp
                    public registerOutParameter(arg0: int, arg1: int, arg2: string): void
                    public registerOutParameter(arg0: string, arg1: int): void
                    public registerOutParameter(arg0: string, arg1: int, arg2: int): void
                    public registerOutParameter(arg0: string, arg1: int, arg2: string): void
                    public getURL(arg0: int): java.net.URL
                    public setURL(arg0: string, arg1: java.net.URL): void
                    public setNull(arg0: string, arg1: int): void
                    public setBoolean(arg0: string, arg1: boolean): void
                    public setByte(arg0: string, arg1: byte): void
                    public setShort(arg0: string, arg1: short): void
                    public setInt(arg0: string, arg1: int): void
                    public setLong(arg0: string, arg1: long): void
                    public setFloat(arg0: string, arg1: float): void
                    public setDouble(arg0: string, arg1: double): void
                    public setBigDecimal(arg0: string, arg1: java.math.BigDecimal): void
                    public setString(arg0: string, arg1: string): void
                    public setBytes(arg0: string, arg1: byte[]): void
                    public setDate(arg0: string, arg1: java.sql.Date): void
                    public setTime(arg0: string, arg1: java.sql.Time): void
                    public setTimestamp(arg0: string, arg1: java.sql.Timestamp): void
                    public setAsciiStream(arg0: string, arg1: java.io.InputStream, arg2: int): void
                    public setBinaryStream(arg0: string, arg1: java.io.InputStream, arg2: int): void
                    public setObject(arg0: string, arg1: java.lang.Object, arg2: int, arg3: int): void
                    public setObject(arg0: string, arg1: java.lang.Object, arg2: int): void
                    public setObject(arg0: string, arg1: java.lang.Object): void
                    public setCharacterStream(arg0: string, arg1: java.io.Reader, arg2: int): void
                    public setDate(arg0: string, arg1: java.sql.Date, arg2: java.util.Calendar): void
                    public setTime(arg0: string, arg1: java.sql.Time, arg2: java.util.Calendar): void
                    public setTimestamp(arg0: string, arg1: java.sql.Timestamp, arg2: java.util.Calendar): void
                    public setNull(arg0: string, arg1: int, arg2: string): void
                    public getString(arg0: string): string
                    public getBoolean(arg0: string): boolean
                    public getByte(arg0: string): byte
                    public getShort(arg0: string): short
                    public getInt(arg0: string): int
                    public getLong(arg0: string): long
                    public getFloat(arg0: string): float
                    public getDouble(arg0: string): double
                    public getBytes(arg0: string): byte[]
                    public getDate(arg0: string): java.sql.Date
                    public getTime(arg0: string): java.sql.Time
                    public getTimestamp(arg0: string): java.sql.Timestamp
                    public getObject(arg0: string): java.lang.Object
                    public getBigDecimal(arg0: string): java.math.BigDecimal
                    public getObject(arg0: string, arg1: java.util.Map<java.lang.String, java.lang.Class<any>>): java.lang.Object
                    public getRef(arg0: string): java.sql.Ref
                    public getBlob(arg0: string): java.sql.Blob
                    public getClob(arg0: string): java.sql.Clob
                    public getArray(arg0: string): java.sql.Array
                    public getDate(arg0: string, arg1: java.util.Calendar): java.sql.Date
                    public getTime(arg0: string, arg1: java.util.Calendar): java.sql.Time
                    public getTimestamp(arg0: string, arg1: java.util.Calendar): java.sql.Timestamp
                    public getURL(arg0: string): java.net.URL
                    public getRowId(arg0: string): java.sql.RowId
                    public getRowId(arg0: int): java.sql.RowId
                    public setRowId(arg0: string, arg1: java.sql.RowId): void
                    public setNString(arg0: string, arg1: string): void
                    public setNCharacterStream(arg0: string, arg1: java.io.Reader, arg2: long): void
                    public setNClob(arg0: string, arg1: java.sql.NClob): void
                    public setClob(arg0: string, arg1: java.io.Reader, arg2: long): void
                    public setBlob(arg0: string, arg1: java.io.InputStream, arg2: long): void
                    public setNClob(arg0: string, arg1: java.io.Reader, arg2: long): void
                    public getNClob(arg0: string): java.sql.NClob
                    public getNClob(arg0: int): java.sql.NClob
                    public setSQLXML(arg0: string, arg1: java.sql.SQLXML): void
                    public getSQLXML(arg0: int): java.sql.SQLXML
                    public getSQLXML(arg0: string): java.sql.SQLXML
                    public getNString(arg0: int): string
                    public getNString(arg0: string): string
                    public getNCharacterStream(arg0: int): java.io.Reader
                    public getNCharacterStream(arg0: string): java.io.Reader
                    public getCharacterStream(arg0: int): java.io.Reader
                    public getCharacterStream(arg0: string): java.io.Reader
                    public setBlob(arg0: string, arg1: java.sql.Blob): void
                    public setClob(arg0: string, arg1: java.sql.Clob): void
                    public setAsciiStream(arg0: string, arg1: java.io.InputStream, arg2: long): void
                    public setBinaryStream(arg0: string, arg1: java.io.InputStream, arg2: long): void
                    public setCharacterStream(arg0: string, arg1: java.io.Reader, arg2: long): void
                    public setAsciiStream(arg0: string, arg1: java.io.InputStream): void
                    public setBinaryStream(arg0: string, arg1: java.io.InputStream): void
                    public setCharacterStream(arg0: string, arg1: java.io.Reader): void
                    public setNCharacterStream(arg0: string, arg1: java.io.Reader): void
                    public setClob(arg0: string, arg1: java.io.Reader): void
                    public setBlob(arg0: string, arg1: java.io.InputStream): void
                    public setNClob(arg0: string, arg1: java.io.Reader): void
                    public getObject<T>(arg0: int, arg1: java.lang.Class<T>): T
                    public getObject<T>(arg0: string, arg1: java.lang.Class<T>): T
                    public isWrapperFor<T>(arg0: java.lang.Class<any>): boolean
                    public close<T>(): void
                    public unwrap<T>(arg0: java.lang.Class<T>): T
                    public registerOutParameter<T>(arg0: int, arg1: java.sql.SQLType): void
                    public registerOutParameter<T>(arg0: int, arg1: java.sql.SQLType, arg2: int): void
                    public registerOutParameter<T>(arg0: int, arg1: java.sql.SQLType, arg2: string): void
                    public registerOutParameter<T>(arg0: string, arg1: java.sql.SQLType): void
                    public registerOutParameter<T>(arg0: string, arg1: java.sql.SQLType, arg2: int): void
                    public registerOutParameter<T>(arg0: string, arg1: java.sql.SQLType, arg2: string): void
                    public setObject<T>(arg0: int, arg1: java.lang.Object, arg2: java.sql.SQLType): void
                    public setObject<T>(arg0: int, arg1: java.lang.Object, arg2: java.sql.SQLType, arg3: int): void
                    public setObject<T>(arg0: string, arg1: java.lang.Object, arg2: java.sql.SQLType): void
                    public setObject<T>(arg0: string, arg1: java.lang.Object, arg2: java.sql.SQLType, arg3: int): void
                    public static class: java.lang.Class<any>
                }
                class ClientInfoProviderSP implements com.mysql.cj.api.jdbc.ClientInfoProvider {
                    public constructor()
                    public initialize(arg0: java.sql.Connection, arg1: java.util.Properties): void
                    public destroy(): void
                    public getClientInfo(arg0: java.sql.Connection): java.util.Properties
                    public getClientInfo(arg0: java.sql.Connection, arg1: string): string
                    public setClientInfo(arg0: java.sql.Connection, arg1: java.util.Properties): void
                    public setClientInfo(arg0: java.sql.Connection, arg1: string, arg2: string): void
                    public static class: java.lang.Class<any>
                }
                class Clob implements java.sql.Clob , com.mysql.cj.api.io.OutputStreamWatcher , com.mysql.cj.core.io.WriterWatcher {
                    public constructor(arg0: string, arg1: com.mysql.cj.api.exceptions.ExceptionInterceptor)
                    public getAsciiStream(): java.io.InputStream
                    public getCharacterStream(): java.io.Reader
                    public getSubString(arg0: long, arg1: int): string
                    public length(): long
                    public position(arg0: java.sql.Clob, arg1: long): long
                    public position(arg0: string, arg1: long): long
                    public setAsciiStream(arg0: long): java.io.OutputStream
                    public setCharacterStream(arg0: long): java.io.Writer
                    public setString(arg0: long, arg1: string): int
                    public setString(arg0: long, arg1: string, arg2: int, arg3: int): int
                    public streamClosed(arg0: com.mysql.cj.api.io.WatchableStream): void
                    public truncate(arg0: long): void
                    public writerClosed(arg0: char[]): void
                    public writerClosed(arg0: com.mysql.cj.core.io.WatchableWriter): void
                    public free(): void
                    public getCharacterStream(arg0: long, arg1: long): java.io.Reader
                    public static class: java.lang.Class<any>
                }
                class CommentClientInfoProvider implements com.mysql.cj.api.jdbc.ClientInfoProvider {
                    public constructor()
                    public initialize(arg0: java.sql.Connection, arg1: java.util.Properties): void
                    public destroy(): void
                    public getClientInfo(arg0: java.sql.Connection): java.util.Properties
                    public getClientInfo(arg0: java.sql.Connection, arg1: string): string
                    public setClientInfo(arg0: java.sql.Connection, arg1: java.util.Properties): void
                    public setClientInfo(arg0: java.sql.Connection, arg1: string, arg2: string): void
                    public static class: java.lang.Class<any>
                }
                class ConnectionGroup {
                    public registerConnectionProxy(arg0: com.mysql.cj.jdbc.ha.LoadBalancedConnectionProxy, arg1: java.util.List<java.lang.String>): long
                    public getGroupName(): string
                    public getInitialHosts(): java.util.Collection<java.lang.String>
                    public getActiveHostCount(): int
                    public getClosedHosts(): java.util.Collection<java.lang.String>
                    public getTotalLogicalConnectionCount(): long
                    public getActiveLogicalConnectionCount(): long
                    public getActivePhysicalConnectionCount(): long
                    public getTotalPhysicalConnectionCount(): long
                    public getTotalTransactionCount(): long
                    public closeConnectionProxy(arg0: com.mysql.cj.jdbc.ha.LoadBalancedConnectionProxy): void
                    public removeHost(arg0: string): void
                    public removeHost(arg0: string, arg1: boolean): void
                    public removeHost(arg0: string, arg1: boolean, arg2: boolean): void
                    public addHost(arg0: string): void
                    public addHost(arg0: string, arg1: boolean): void
                    public static class: java.lang.Class<any>
                }
                class ConnectionGroupManager {
                    public constructor()
                    public static getConnectionGroupInstance(arg0: string): com.mysql.cj.jdbc.ConnectionGroup
                    public static registerJmx(): void
                    public static getConnectionGroup(arg0: string): com.mysql.cj.jdbc.ConnectionGroup
                    public static addHost(arg0: string, arg1: string, arg2: boolean): void
                    public static getActiveHostCount(arg0: string): int
                    public static getActiveLogicalConnectionCount(arg0: string): long
                    public static getActivePhysicalConnectionCount(arg0: string): long
                    public static getTotalHostCount(arg0: string): int
                    public static getTotalLogicalConnectionCount(arg0: string): long
                    public static getTotalPhysicalConnectionCount(arg0: string): long
                    public static getTotalTransactionCount(arg0: string): long
                    public static removeHost(arg0: string, arg1: string): void
                    public static removeHost(arg0: string, arg1: string, arg2: boolean): void
                    public static getActiveHostLists(arg0: string): string
                    public static getRegisteredConnectionGroups(): string
                    public static class: java.lang.Class<any>
                }
                class ConnectionImpl$1 extends com.mysql.cj.jdbc.IterateBlock<com.mysql.cj.api.jdbc.interceptors.ConnectionLifecycleInterceptor> {
                    public static class: java.lang.Class<any>
                }
                class ConnectionImpl$10 extends com.mysql.cj.jdbc.IterateBlock<com.mysql.cj.api.jdbc.interceptors.ConnectionLifecycleInterceptor> {
                    public static class: java.lang.Class<any>
                }
                class ConnectionImpl$11 implements java.lang.Runnable {
                    public run(): void
                    public static class: java.lang.Class<any>
                }
                class ConnectionImpl$2 extends com.mysql.cj.jdbc.IterateBlock<com.mysql.cj.api.jdbc.interceptors.ConnectionLifecycleInterceptor> {
                    public static class: java.lang.Class<any>
                }
                class ConnectionImpl$3 extends com.mysql.cj.core.util.LRUCache {
                    protected removeEldestEntry(arg0: java.util.Map$Entry<java.lang.Object, java.lang.Object>): boolean
                    public static class: java.lang.Class<any>
                }
                class ConnectionImpl$4 implements com.mysql.cj.api.exceptions.ExceptionInterceptor {
                    public init(arg0: java.util.Properties, arg1: com.mysql.cj.api.log.Log): com.mysql.cj.api.exceptions.ExceptionInterceptor
                    public destroy(): void
                    public interceptException(arg0: java.lang.Exception): java.lang.Exception
                    public static class: java.lang.Class<any>
                }
                class ConnectionImpl$5 extends com.mysql.cj.jdbc.IterateBlock<com.mysql.cj.api.jdbc.interceptors.ConnectionLifecycleInterceptor> {
                    public static class: java.lang.Class<any>
                }
                class ConnectionImpl$6 extends com.mysql.cj.jdbc.IterateBlock<com.mysql.cj.api.jdbc.interceptors.ConnectionLifecycleInterceptor> {
                    public static class: java.lang.Class<any>
                }
                class ConnectionImpl$7 extends com.mysql.cj.jdbc.IterateBlock<com.mysql.cj.api.jdbc.interceptors.ConnectionLifecycleInterceptor> {
                    public static class: java.lang.Class<any>
                }
                class ConnectionImpl$8 extends com.mysql.cj.jdbc.IterateBlock<com.mysql.cj.api.jdbc.interceptors.ConnectionLifecycleInterceptor> {
                    public static class: java.lang.Class<any>
                }
                class ConnectionImpl$9 extends com.mysql.cj.jdbc.IterateBlock<com.mysql.cj.api.jdbc.interceptors.ConnectionLifecycleInterceptor> {
                    public static class: java.lang.Class<any>
                }
                class ConnectionImpl$CompoundCacheKey {
                    public equals(arg0: java.lang.Object): boolean
                    public hashCode(): int
                    public static class: java.lang.Class<any>
                }
                class ConnectionImpl$ExceptionInterceptorChain implements com.mysql.cj.api.exceptions.ExceptionInterceptor {
                    public interceptException(arg0: java.lang.Exception): java.lang.Exception
                    public destroy(): void
                    public init(arg0: java.util.Properties, arg1: com.mysql.cj.api.log.Log): com.mysql.cj.api.exceptions.ExceptionInterceptor
                    public getInterceptors(): java.util.List<com.mysql.cj.api.exceptions.ExceptionInterceptor>
                    public static class: java.lang.Class<any>
                }
                class ConnectionImpl extends com.mysql.cj.jdbc.AbstractJdbcConnection implements com.mysql.cj.api.jdbc.JdbcConnection {
                    public static charsetMap: java.util.Map<any, any>
                    protected static DEFAULT_LOGGER_CLASS: string
                    protected static roundRobinStatsMap: java.util.Map<any, any>
                    protected props: java.util.Properties
                    protected resultSetMetadataCache: com.mysql.cj.core.util.LRUCache
                    protected maxAllowedPacket: com.mysql.cj.api.conf.ModifiableProperty<java.lang.Integer>
                    protected nullStatementResultSetFactory: com.mysql.cj.jdbc.io.ResultSetFactory
                    public getHost(): string
                    public isProxySet(): boolean
                    public setProxy(arg0: com.mysql.cj.api.jdbc.JdbcConnection): void
                    public getMultiHostSafeProxy(): com.mysql.cj.api.jdbc.JdbcConnection
                    public getConnectionMutex(): java.lang.Object
                    protected static appendMessageToException(arg0: java.sql.SQLException, arg1: string, arg2: com.mysql.cj.api.exceptions.ExceptionInterceptor): java.sql.SQLException
                    public getCancelTimer(): java.util.Timer
                    public static getInstance(arg0: com.mysql.cj.core.conf.url.HostInfo): com.mysql.cj.api.jdbc.JdbcConnection
                    protected static getNextRoundRobinHostIndex(arg0: string, arg1: java.util.List<any>): int
                    protected constructor()
                    public constructor(arg0: com.mysql.cj.core.conf.url.HostInfo)
                    public unSafeStatementInterceptors(): void
                    public initializeSafeStatementInterceptors(): void
                    public getStatementInterceptorsInstances(): java.util.List<com.mysql.cj.api.jdbc.interceptors.StatementInterceptor>
                    public changeUser(arg0: string, arg1: string): void
                    public checkClosed(): void
                    public throwConnectionClosedException(): void
                    public abortInternal(): void
                    public clearHasTriedMaster(): void
                    public clearWarnings(): void
                    public clientPrepareStatement(arg0: string): java.sql.PreparedStatement
                    public clientPrepareStatement(arg0: string, arg1: int): java.sql.PreparedStatement
                    public clientPrepareStatement(arg0: string, arg1: int, arg2: int): java.sql.PreparedStatement
                    public clientPrepareStatement(arg0: string, arg1: int, arg2: int, arg3: boolean): java.sql.PreparedStatement
                    public clientPrepareStatement(arg0: string, arg1: int[]): java.sql.PreparedStatement
                    public clientPrepareStatement(arg0: string, arg1: java.lang.String[]): java.sql.PreparedStatement
                    public clientPrepareStatement(arg0: string, arg1: int, arg2: int, arg3: int): java.sql.PreparedStatement
                    public close(): void
                    public commit(): void
                    public createNewIO(arg0: boolean): void
                    public createStatement(): java.sql.Statement
                    public createStatement(arg0: int, arg1: int): java.sql.Statement
                    public createStatement(arg0: int, arg1: int, arg2: int): java.sql.Statement
                    public duplicate(): com.mysql.cj.api.jdbc.JdbcConnection
                    public execSQL(arg0: com.mysql.cj.jdbc.StatementImpl, arg1: string, arg2: int, arg3: com.mysql.cj.api.mysqla.io.PacketPayload, arg4: boolean, arg5: string, arg6: com.mysql.cj.api.mysqla.result.ColumnDefinition): com.mysql.cj.api.jdbc.result.ResultSetInternalMethods
                    public execSQL(arg0: com.mysql.cj.jdbc.StatementImpl, arg1: string, arg2: int, arg3: com.mysql.cj.api.mysqla.io.PacketPayload, arg4: boolean, arg5: string, arg6: com.mysql.cj.api.mysqla.result.ColumnDefinition, arg7: boolean): com.mysql.cj.api.jdbc.result.ResultSetInternalMethods
                    public generateConnectionCommentBlock(arg0: java.lang.StringBuilder): java.lang.StringBuilder
                    public getActiveStatementCount(): int
                    public getAutoCommit(): boolean
                    public getCatalog(): string
                    public getCharacterSetMetadata(): string
                    public getHoldability(): int
                    public getId(): long
                    public getIdleFor(): long
                    public getMetaData(): java.sql.DatabaseMetaData
                    public getMetadataSafeStatement(): java.sql.Statement
                    public getServerVersion(): com.mysql.cj.core.ServerVersion
                    public getTransactionIsolation(): int
                    public getTypeMap(): java.util.Map<java.lang.String, java.lang.Class<any>>
                    public getURL(): string
                    public getUser(): string
                    public getWarnings(): java.sql.SQLWarning
                    public hasSameProperties(arg0: com.mysql.cj.api.jdbc.JdbcConnection): boolean
                    public getProperties(): java.util.Properties
                    public hasTriedMaster(): boolean
                    public incrementNumberOfPreparedExecutes(): void
                    public incrementNumberOfPrepares(): void
                    public incrementNumberOfResultSetsCreated(): void
                    public isClosed(): boolean
                    public isInGlobalTx(): boolean
                    public isMasterConnection(): boolean
                    public isNoBackslashEscapesSet(): boolean
                    public isReadInfoMsgEnabled(): boolean
                    public isReadOnly(): boolean
                    public isReadOnly(arg0: boolean): boolean
                    public isSameResource(arg0: com.mysql.cj.api.jdbc.JdbcConnection): boolean
                    public getAutoIncrementIncrement(): int
                    public lowerCaseTableNames(): boolean
                    public nativeSQL(arg0: string): string
                    public ping(): void
                    public pingInternal(arg0: boolean, arg1: int): void
                    public prepareCall(arg0: string): java.sql.CallableStatement
                    public prepareCall(arg0: string, arg1: int, arg2: int): java.sql.CallableStatement
                    public prepareCall(arg0: string, arg1: int, arg2: int, arg3: int): java.sql.CallableStatement
                    public prepareStatement(arg0: string): java.sql.PreparedStatement
                    public prepareStatement(arg0: string, arg1: int): java.sql.PreparedStatement
                    public prepareStatement(arg0: string, arg1: int, arg2: int): java.sql.PreparedStatement
                    public prepareStatement(arg0: string, arg1: int, arg2: int, arg3: int): java.sql.PreparedStatement
                    public prepareStatement(arg0: string, arg1: int[]): java.sql.PreparedStatement
                    public prepareStatement(arg0: string, arg1: java.lang.String[]): java.sql.PreparedStatement
                    public realClose(arg0: boolean, arg1: boolean, arg2: boolean, arg3: java.lang.Throwable): void
                    public recachePreparedStatement(arg0: com.mysql.cj.jdbc.ServerPreparedStatement): void
                    public decachePreparedStatement(arg0: com.mysql.cj.jdbc.ServerPreparedStatement): void
                    public registerQueryExecutionTime(arg0: long): void
                    public registerStatement(arg0: com.mysql.cj.api.jdbc.Statement): void
                    public releaseSavepoint(arg0: java.sql.Savepoint): void
                    protected reportMetricsIfNeeded(): void
                    public reportNumberOfTablesAccessed(arg0: int): void
                    public resetServerState(): void
                    public rollback(): void
                    public rollback(arg0: java.sql.Savepoint): void
                    public serverPrepareStatement(arg0: string): java.sql.PreparedStatement
                    public serverPrepareStatement(arg0: string, arg1: int): java.sql.PreparedStatement
                    public serverPrepareStatement(arg0: string, arg1: int, arg2: int): java.sql.PreparedStatement
                    public serverPrepareStatement(arg0: string, arg1: int, arg2: int, arg3: int): java.sql.PreparedStatement
                    public serverPrepareStatement(arg0: string, arg1: int[]): java.sql.PreparedStatement
                    public serverPrepareStatement(arg0: string, arg1: java.lang.String[]): java.sql.PreparedStatement
                    public setAutoCommit(arg0: boolean): void
                    public setCatalog(arg0: string): void
                    public setFailedOver(arg0: boolean): void
                    public setHoldability(arg0: int): void
                    public setInGlobalTx(arg0: boolean): void
                    public setReadInfoMsgEnabled(arg0: boolean): void
                    public setReadOnly(arg0: boolean): void
                    public setReadOnlyInternal(arg0: boolean): void
                    public setSavepoint(): java.sql.Savepoint
                    public setSavepoint(arg0: string): java.sql.Savepoint
                    public setTransactionIsolation(arg0: int): void
                    public setTypeMap(arg0: java.util.Map<java.lang.String, java.lang.Class<any>>): void
                    public shutdownServer(): void
                    public unregisterStatement(arg0: com.mysql.cj.api.jdbc.Statement): void
                    public useAnsiQuotedIdentifiers(): boolean
                    public versionMeetsMinimum(arg0: int, arg1: int, arg2: int): boolean
                    public getCachedMetaData(arg0: string): com.mysql.cj.jdbc.result.CachedResultSetMetaData
                    public initializeResultsMetadataFromCache(arg0: string, arg1: com.mysql.cj.jdbc.result.CachedResultSetMetaData, arg2: com.mysql.cj.api.jdbc.result.ResultSetInternalMethods): void
                    public getStatementComment(): string
                    public setStatementComment(arg0: string): void
                    public reportQueryTime(arg0: long): void
                    public isAbonormallyLongQuery(arg0: long): boolean
                    public transactionBegun(): void
                    public transactionCompleted(): void
                    public storesLowerCaseTableName(): boolean
                    public getExceptionInterceptor(): com.mysql.cj.api.exceptions.ExceptionInterceptor
                    public getRequiresEscapingEncoder(): boolean
                    public isServerLocal(): boolean
                    public getSessionMaxRows(): int
                    public setSessionMaxRows(arg0: int): void
                    public setSchema(arg0: string): void
                    public getSchema(): string
                    public abort(arg0: java.util.concurrent.Executor | java.util.concurrent.Executor$$Lambda): void
                    public setNetworkTimeout(arg0: java.util.concurrent.Executor | java.util.concurrent.Executor$$Lambda, arg1: int): void
                    public getNetworkTimeout(): int
                    public createClob(): java.sql.Clob
                    public createBlob(): java.sql.Blob
                    public createNClob(): java.sql.NClob
                    public createSQLXML(): java.sql.SQLXML
                    public isValid(arg0: int): boolean
                    public getClientInfoProviderImpl(): com.mysql.cj.api.jdbc.ClientInfoProvider
                    public setClientInfo(arg0: string, arg1: string): void
                    public setClientInfo(arg0: java.util.Properties): void
                    public getClientInfo(arg0: string): string
                    public getClientInfo(): java.util.Properties
                    public createArrayOf(arg0: string, arg1: java.lang.Object[]): java.sql.Array
                    public createStruct(arg0: string, arg1: java.lang.Object[]): java.sql.Struct
                    public unwrap<T>(arg0: java.lang.Class<T>): T
                    public isWrapperFor<T>(arg0: java.lang.Class<any>): boolean
                    public getProcessHost<T>(): string
                    public getSession<T>(): com.mysql.cj.mysqla.MysqlaSession
                    public getHostPortPair<T>(): string
                    public getSession<T>(): com.mysql.cj.api.Session
                    public static class: java.lang.Class<any>
                }
                class ConnectionWrapper extends com.mysql.cj.jdbc.WrapperBase implements com.mysql.cj.api.jdbc.JdbcConnection {
                    protected mc: com.mysql.cj.api.jdbc.JdbcConnection
                    protected static getInstance(arg0: com.mysql.cj.jdbc.MysqlPooledConnection, arg1: com.mysql.cj.api.jdbc.JdbcConnection, arg2: boolean): com.mysql.cj.jdbc.ConnectionWrapper
                    public constructor(arg0: com.mysql.cj.jdbc.MysqlPooledConnection, arg1: com.mysql.cj.api.jdbc.JdbcConnection, arg2: boolean)
                    public setAutoCommit(arg0: boolean): void
                    public getAutoCommit(): boolean
                    public setCatalog(arg0: string): void
                    public getCatalog(): string
                    public isClosed(): boolean
                    public isMasterConnection(): boolean
                    public setHoldability(arg0: int): void
                    public getHoldability(): int
                    public getIdleFor(): long
                    public getMetaData(): java.sql.DatabaseMetaData
                    public setReadOnly(arg0: boolean): void
                    public isReadOnly(): boolean
                    public setSavepoint(): java.sql.Savepoint
                    public setSavepoint(arg0: string): java.sql.Savepoint
                    public setTransactionIsolation(arg0: int): void
                    public getTransactionIsolation(): int
                    public getTypeMap(): java.util.Map<java.lang.String, java.lang.Class<any>>
                    public getWarnings(): java.sql.SQLWarning
                    public clearWarnings(): void
                    public close(): void
                    public commit(): void
                    public createStatement(): java.sql.Statement
                    public createStatement(arg0: int, arg1: int): java.sql.Statement
                    public createStatement(arg0: int, arg1: int, arg2: int): java.sql.Statement
                    public nativeSQL(arg0: string): string
                    public prepareCall(arg0: string): java.sql.CallableStatement
                    public prepareCall(arg0: string, arg1: int, arg2: int): java.sql.CallableStatement
                    public prepareCall(arg0: string, arg1: int, arg2: int, arg3: int): java.sql.CallableStatement
                    public clientPrepare(arg0: string): java.sql.PreparedStatement
                    public clientPrepare(arg0: string, arg1: int, arg2: int): java.sql.PreparedStatement
                    public prepareStatement(arg0: string): java.sql.PreparedStatement
                    public prepareStatement(arg0: string, arg1: int, arg2: int): java.sql.PreparedStatement
                    public prepareStatement(arg0: string, arg1: int, arg2: int, arg3: int): java.sql.PreparedStatement
                    public prepareStatement(arg0: string, arg1: int): java.sql.PreparedStatement
                    public prepareStatement(arg0: string, arg1: int[]): java.sql.PreparedStatement
                    public prepareStatement(arg0: string, arg1: java.lang.String[]): java.sql.PreparedStatement
                    public releaseSavepoint(arg0: java.sql.Savepoint): void
                    public rollback(): void
                    public rollback(arg0: java.sql.Savepoint): void
                    public isSameResource(arg0: com.mysql.cj.api.jdbc.JdbcConnection): boolean
                    protected close(arg0: boolean): void
                    public checkClosed(): void
                    public isInGlobalTx(): boolean
                    public setInGlobalTx(arg0: boolean): void
                    public ping(): void
                    public changeUser(arg0: string, arg1: string): void
                    public clearHasTriedMaster(): void
                    public clientPrepareStatement(arg0: string): java.sql.PreparedStatement
                    public clientPrepareStatement(arg0: string, arg1: int): java.sql.PreparedStatement
                    public clientPrepareStatement(arg0: string, arg1: int, arg2: int): java.sql.PreparedStatement
                    public clientPrepareStatement(arg0: string, arg1: int, arg2: int, arg3: int): java.sql.PreparedStatement
                    public clientPrepareStatement(arg0: string, arg1: int[]): java.sql.PreparedStatement
                    public clientPrepareStatement(arg0: string, arg1: java.lang.String[]): java.sql.PreparedStatement
                    public getActiveStatementCount(): int
                    public getStatementComment(): string
                    public hasTriedMaster(): boolean
                    public isAbonormallyLongQuery(arg0: long): boolean
                    public isNoBackslashEscapesSet(): boolean
                    public lowerCaseTableNames(): boolean
                    public reportQueryTime(arg0: long): void
                    public resetServerState(): void
                    public serverPrepareStatement(arg0: string): java.sql.PreparedStatement
                    public serverPrepareStatement(arg0: string, arg1: int): java.sql.PreparedStatement
                    public serverPrepareStatement(arg0: string, arg1: int, arg2: int): java.sql.PreparedStatement
                    public serverPrepareStatement(arg0: string, arg1: int, arg2: int, arg3: int): java.sql.PreparedStatement
                    public serverPrepareStatement(arg0: string, arg1: int[]): java.sql.PreparedStatement
                    public serverPrepareStatement(arg0: string, arg1: java.lang.String[]): java.sql.PreparedStatement
                    public setFailedOver(arg0: boolean): void
                    public setStatementComment(arg0: string): void
                    public shutdownServer(): void
                    public getAutoIncrementIncrement(): int
                    public getExceptionInterceptor(): com.mysql.cj.api.exceptions.ExceptionInterceptor
                    public hasSameProperties(arg0: com.mysql.cj.api.jdbc.JdbcConnection): boolean
                    public getProperties(): java.util.Properties
                    public getHost(): string
                    public setProxy(arg0: com.mysql.cj.api.jdbc.JdbcConnection): void
                    public setTypeMap(arg0: java.util.Map<java.lang.String, java.lang.Class<any>>): void
                    public isServerLocal(): boolean
                    public setSchema(arg0: string): void
                    public getSchema(): string
                    public abort(arg0: java.util.concurrent.Executor | java.util.concurrent.Executor$$Lambda): void
                    public setNetworkTimeout(arg0: java.util.concurrent.Executor | java.util.concurrent.Executor$$Lambda, arg1: int): void
                    public getNetworkTimeout(): int
                    public abortInternal(): void
                    public getConnectionMutex(): java.lang.Object
                    public getSessionMaxRows(): int
                    public setSessionMaxRows(arg0: int): void
                    public createClob(): java.sql.Clob
                    public createBlob(): java.sql.Blob
                    public createNClob(): java.sql.NClob
                    public createSQLXML(): java.sql.SQLXML
                    public isValid(arg0: int): boolean
                    public setClientInfo(arg0: string, arg1: string): void
                    public setClientInfo(arg0: java.util.Properties): void
                    public getClientInfo(arg0: string): string
                    public getClientInfo(): java.util.Properties
                    public createArrayOf(arg0: string, arg1: java.lang.Object[]): java.sql.Array
                    public createStruct(arg0: string, arg1: java.lang.Object[]): java.sql.Struct
                    public unwrap<T>(arg0: java.lang.Class<T>): T
                    public isWrapperFor(arg0: java.lang.Class<any>): boolean
                    public getProcessHost(): string
                    public getSession(): com.mysql.cj.mysqla.MysqlaSession
                    public getId(): long
                    public getURL(): string
                    public getUser(): string
                    public createNewIO(arg0: boolean): void
                    public isProxySet(): boolean
                    public duplicate(): com.mysql.cj.api.jdbc.JdbcConnection
                    public execSQL(arg0: com.mysql.cj.jdbc.StatementImpl, arg1: string, arg2: int, arg3: com.mysql.cj.api.mysqla.io.PacketPayload, arg4: boolean, arg5: string, arg6: com.mysql.cj.api.mysqla.result.ColumnDefinition): com.mysql.cj.api.jdbc.result.ResultSetInternalMethods
                    public execSQL(arg0: com.mysql.cj.jdbc.StatementImpl, arg1: string, arg2: int, arg3: com.mysql.cj.api.mysqla.io.PacketPayload, arg4: boolean, arg5: string, arg6: com.mysql.cj.api.mysqla.result.ColumnDefinition, arg7: boolean): com.mysql.cj.api.jdbc.result.ResultSetInternalMethods
                    public getPropertySet(): com.mysql.cj.api.jdbc.JdbcPropertySet
                    public generateConnectionCommentBlock(arg0: java.lang.StringBuilder): java.lang.StringBuilder
                    public getCachedMetaData(arg0: string): com.mysql.cj.jdbc.result.CachedResultSetMetaData
                    public getCancelTimer(): java.util.Timer
                    public getCharacterSetMetadata(): string
                    public getMetadataSafeStatement(): java.sql.Statement
                    public getRequiresEscapingEncoder(): boolean
                    public getServerVersion(): com.mysql.cj.core.ServerVersion
                    public getStatementInterceptorsInstances(): java.util.List<com.mysql.cj.api.jdbc.interceptors.StatementInterceptor>
                    public incrementNumberOfPreparedExecutes(): void
                    public incrementNumberOfPrepares(): void
                    public incrementNumberOfResultSetsCreated(): void
                    public initializeResultsMetadataFromCache(arg0: string, arg1: com.mysql.cj.jdbc.result.CachedResultSetMetaData, arg2: com.mysql.cj.api.jdbc.result.ResultSetInternalMethods): void
                    public initializeSafeStatementInterceptors(): void
                    public isReadInfoMsgEnabled(): boolean
                    public isReadOnly(arg0: boolean): boolean
                    public pingInternal(arg0: boolean, arg1: int): void
                    public realClose(arg0: boolean, arg1: boolean, arg2: boolean, arg3: java.lang.Throwable): void
                    public recachePreparedStatement(arg0: com.mysql.cj.jdbc.ServerPreparedStatement): void
                    public decachePreparedStatement(arg0: com.mysql.cj.jdbc.ServerPreparedStatement): void
                    public registerQueryExecutionTime(arg0: long): void
                    public registerStatement(arg0: com.mysql.cj.api.jdbc.Statement): void
                    public reportNumberOfTablesAccessed(arg0: int): void
                    public setReadInfoMsgEnabled(arg0: boolean): void
                    public setReadOnlyInternal(arg0: boolean): void
                    public storesLowerCaseTableName(): boolean
                    public throwConnectionClosedException(): void
                    public transactionBegun(): void
                    public transactionCompleted(): void
                    public unregisterStatement(arg0: com.mysql.cj.api.jdbc.Statement): void
                    public unSafeStatementInterceptors(): void
                    public useAnsiQuotedIdentifiers(): boolean
                    public getMultiHostSafeProxy(): com.mysql.cj.api.jdbc.JdbcConnection
                    public getClientInfoProviderImpl(): com.mysql.cj.api.jdbc.ClientInfoProvider
                    public getHostPortPair(): string
                    public getSession(): com.mysql.cj.api.Session
                    public getPropertySet(): com.mysql.cj.api.conf.PropertySet
                    public static class: java.lang.Class<any>
                }
                class DatabaseMetaData$1 extends com.mysql.cj.jdbc.IterateBlock<java.lang.String> {
                    public static class: java.lang.Class<any>
                }
                class DatabaseMetaData$10 extends com.mysql.cj.jdbc.IterateBlock<java.lang.String> {
                    public static class: java.lang.Class<any>
                }
                class DatabaseMetaData$11 {
                    public static class: java.lang.Class<any>
                }
                class DatabaseMetaData$2 extends com.mysql.cj.jdbc.IterateBlock<java.lang.String> {
                    public static class: java.lang.Class<any>
                }
                class DatabaseMetaData$3 extends com.mysql.cj.jdbc.IterateBlock<java.lang.String> {
                    public static class: java.lang.Class<any>
                }
                class DatabaseMetaData$4 extends com.mysql.cj.jdbc.IterateBlock<java.lang.String> {
                    public static class: java.lang.Class<any>
                }
                class DatabaseMetaData$5 extends com.mysql.cj.jdbc.IterateBlock<java.lang.String> {
                    public static class: java.lang.Class<any>
                }
                class DatabaseMetaData$6 extends com.mysql.cj.jdbc.IterateBlock<java.lang.String> {
                    public static class: java.lang.Class<any>
                }
                class DatabaseMetaData$7 extends com.mysql.cj.jdbc.IterateBlock<java.lang.String> {
                    public static class: java.lang.Class<any>
                }
                class DatabaseMetaData$8 extends com.mysql.cj.jdbc.IterateBlock<java.lang.String> {
                    public static class: java.lang.Class<any>
                }
                class DatabaseMetaData$9 extends com.mysql.cj.jdbc.IterateBlock<java.lang.String> {
                    public static class: java.lang.Class<any>
                }
                class DatabaseMetaData$ComparableWrapper<K extends java.lang.Comparable<K>, V> implements java.lang.Comparable<com.mysql.cj.jdbc.DatabaseMetaData$ComparableWrapper<K, V>> {
                    public constructor(arg0: K, arg1: V)
                    public getKey(): K
                    public getValue(): V
                    public compareTo(arg0: com.mysql.cj.jdbc.DatabaseMetaData$ComparableWrapper<K, V>): int
                    public equals(arg0: java.lang.Object): boolean
                    public hashCode(): int
                    public toString(): string
                    public compareTo(arg0: java.lang.Object): int
                    public static class: java.lang.Class<any>
                }
                class DatabaseMetaData$IndexMetaDataKey implements java.lang.Comparable<com.mysql.cj.jdbc.DatabaseMetaData$IndexMetaDataKey> {
                    public compareTo(arg0: com.mysql.cj.jdbc.DatabaseMetaData$IndexMetaDataKey): int
                    public equals(arg0: java.lang.Object): boolean
                    public hashCode(): int
                    public compareTo(arg0: java.lang.Object): int
                    public static class: java.lang.Class<any>
                }
                abstract class DatabaseMetaData$IteratorWithCleanup<T> {
                    protected constructor(arg0: com.mysql.cj.jdbc.DatabaseMetaData)
                    public static class: java.lang.Class<any>
                }
                class DatabaseMetaData$LocalAndReferencedColumns {
                    public static class: java.lang.Class<any>
                }
                class DatabaseMetaData$ProcedureType extends java.lang.Enum<com.mysql.cj.jdbc.DatabaseMetaData$ProcedureType> {
                    public static PROCEDURE: com.mysql.cj.jdbc.DatabaseMetaData$ProcedureType
                    public static FUNCTION: com.mysql.cj.jdbc.DatabaseMetaData$ProcedureType
                    public static values(): com.mysql.cj.jdbc.DatabaseMetaData$ProcedureType[]
                    public static valueOf(arg0: string): com.mysql.cj.jdbc.DatabaseMetaData$ProcedureType
                    public static class: java.lang.Class<any>
                }
                class DatabaseMetaData$ResultSetIterator extends com.mysql.cj.jdbc.DatabaseMetaData$IteratorWithCleanup<java.lang.String> {
                    public static class: java.lang.Class<any>
                }
                class DatabaseMetaData$SingleStringIterator extends com.mysql.cj.jdbc.DatabaseMetaData$IteratorWithCleanup<java.lang.String> {
                    public static class: java.lang.Class<any>
                }
                class DatabaseMetaData$TableMetaDataKey implements java.lang.Comparable<com.mysql.cj.jdbc.DatabaseMetaData$TableMetaDataKey> {
                    public compareTo(arg0: com.mysql.cj.jdbc.DatabaseMetaData$TableMetaDataKey): int
                    public equals(arg0: java.lang.Object): boolean
                    public hashCode(): int
                    public compareTo(arg0: java.lang.Object): int
                    public static class: java.lang.Class<any>
                }
                class DatabaseMetaData$TableType extends java.lang.Enum<com.mysql.cj.jdbc.DatabaseMetaData$TableType> {
                    public static LOCAL_TEMPORARY: com.mysql.cj.jdbc.DatabaseMetaData$TableType
                    public static SYSTEM_TABLE: com.mysql.cj.jdbc.DatabaseMetaData$TableType
                    public static SYSTEM_VIEW: com.mysql.cj.jdbc.DatabaseMetaData$TableType
                    public static TABLE: com.mysql.cj.jdbc.DatabaseMetaData$TableType
                    public static VIEW: com.mysql.cj.jdbc.DatabaseMetaData$TableType
                    public static UNKNOWN: com.mysql.cj.jdbc.DatabaseMetaData$TableType
                    public static values(): com.mysql.cj.jdbc.DatabaseMetaData$TableType[]
                    public static valueOf(arg0: string): com.mysql.cj.jdbc.DatabaseMetaData$TableType
                    public static class: java.lang.Class<any>
                }
                class DatabaseMetaData$TypeDescriptor {
                    public static class: java.lang.Class<any>
                }
                class DatabaseMetaData implements java.sql.DatabaseMetaData {
                    protected static maxBufferSize: int
                    protected static MAX_IDENTIFIER_LENGTH: int
                    protected static TABLE_AS_BYTES: byte[]
                    protected static SYSTEM_TABLE_AS_BYTES: byte[]
                    protected static VIEW_AS_BYTES: byte[]
                    protected conn: com.mysql.cj.api.jdbc.JdbcConnection
                    protected database: string
                    protected quotedId: string
                    protected nullCatalogMeansCurrent: boolean
                    protected nullNamePatternMatchesAll: boolean
                    protected pedantic: boolean
                    protected tinyInt1isBit: boolean
                    protected transformedBitIsBoolean: boolean
                    protected useHostsInPrivileges: boolean
                    protected resultSetFactory: com.mysql.cj.jdbc.io.ResultSetFactory
                    protected static getInstance(arg0: com.mysql.cj.api.jdbc.JdbcConnection, arg1: string, arg2: boolean, arg3: com.mysql.cj.jdbc.io.ResultSetFactory): com.mysql.cj.jdbc.DatabaseMetaData
                    protected constructor(arg0: com.mysql.cj.api.jdbc.JdbcConnection, arg1: string, arg2: com.mysql.cj.jdbc.io.ResultSetFactory)
                    public allProceduresAreCallable(): boolean
                    public allTablesAreSelectable(): boolean
                    protected convertToJdbcFunctionList(arg0: string, arg1: java.sql.ResultSet, arg2: boolean, arg3: string, arg4: java.util.List<com.mysql.cj.jdbc.DatabaseMetaData$ComparableWrapper<java.lang.String, com.mysql.cj.api.result.Row>>, arg5: int, arg6: com.mysql.cj.core.result.Field[]): void
                    protected getFullyQualifiedName(arg0: string, arg1: string): string
                    protected getFunctionNoTableConstant(): int
                    protected convertToJdbcProcedureList(arg0: boolean, arg1: string, arg2: java.sql.ResultSet, arg3: boolean, arg4: string, arg5: java.util.List<com.mysql.cj.jdbc.DatabaseMetaData$ComparableWrapper<java.lang.String, com.mysql.cj.api.result.Row>>, arg6: int): void
                    protected getColumnType(arg0: boolean, arg1: boolean, arg2: boolean, arg3: boolean): int
                    protected static getProcedureOrFunctionColumnType(arg0: boolean, arg1: boolean, arg2: boolean, arg3: boolean): int
                    protected getExceptionInterceptor(): com.mysql.cj.api.exceptions.ExceptionInterceptor
                    public dataDefinitionCausesTransactionCommit(): boolean
                    public dataDefinitionIgnoredInTransactions(): boolean
                    public deletesAreDetected(arg0: int): boolean
                    public doesMaxRowSizeIncludeBlobs(): boolean
                    public extractForeignKeyForTable(arg0: java.util.ArrayList<com.mysql.cj.api.result.Row>, arg1: java.sql.ResultSet, arg2: string): java.util.List<com.mysql.cj.api.result.Row>
                    public extractForeignKeyFromCreateTable(arg0: string, arg1: string): java.sql.ResultSet
                    public getAttributes(arg0: string, arg1: string, arg2: string, arg3: string): java.sql.ResultSet
                    public getBestRowIdentifier(arg0: string, arg1: string, arg2: string, arg3: int, arg4: boolean): java.sql.ResultSet
                    protected getCatalogIterator(arg0: string): com.mysql.cj.jdbc.DatabaseMetaData$IteratorWithCleanup<java.lang.String>
                    public getCatalogs(): java.sql.ResultSet
                    public getCatalogSeparator(): string
                    public getCatalogTerm(): string
                    public getColumnPrivileges(arg0: string, arg1: string, arg2: string, arg3: string): java.sql.ResultSet
                    public getColumns(arg0: string, arg1: string, arg2: string, arg3: string): java.sql.ResultSet
                    protected createColumnsFields(): com.mysql.cj.core.result.Field[]
                    public getConnection(): java.sql.Connection
                    public getCrossReference(arg0: string, arg1: string, arg2: string, arg3: string, arg4: string, arg5: string): java.sql.ResultSet
                    protected createFkMetadataFields(): com.mysql.cj.core.result.Field[]
                    public getDatabaseMajorVersion(): int
                    public getDatabaseMinorVersion(): int
                    public getDatabaseProductName(): string
                    public getDatabaseProductVersion(): string
                    public getDefaultTransactionIsolation(): int
                    public getDriverMajorVersion(): int
                    public getDriverMinorVersion(): int
                    public getDriverName(): string
                    public getDriverVersion(): string
                    public getExportedKeys(arg0: string, arg1: string, arg2: string): java.sql.ResultSet
                    protected getExportKeyResults(arg0: string, arg1: string, arg2: string, arg3: java.util.List<com.mysql.cj.api.result.Row>, arg4: string): void
                    public getExtraNameCharacters(): string
                    protected getForeignKeyActions(arg0: string): int[]
                    public getIdentifierQuoteString(): string
                    public getImportedKeys(arg0: string, arg1: string, arg2: string): java.sql.ResultSet
                    protected getImportKeyResults(arg0: string, arg1: string, arg2: string, arg3: java.util.List<com.mysql.cj.api.result.Row>): void
                    public getIndexInfo(arg0: string, arg1: string, arg2: string, arg3: boolean, arg4: boolean): java.sql.ResultSet
                    protected createIndexInfoFields(): com.mysql.cj.core.result.Field[]
                    public getJDBCMajorVersion(): int
                    public getJDBCMinorVersion(): int
                    public getMaxBinaryLiteralLength(): int
                    public getMaxCatalogNameLength(): int
                    public getMaxCharLiteralLength(): int
                    public getMaxColumnNameLength(): int
                    public getMaxColumnsInGroupBy(): int
                    public getMaxColumnsInIndex(): int
                    public getMaxColumnsInOrderBy(): int
                    public getMaxColumnsInSelect(): int
                    public getMaxColumnsInTable(): int
                    public getMaxConnections(): int
                    public getMaxCursorNameLength(): int
                    public getMaxIndexLength(): int
                    public getMaxProcedureNameLength(): int
                    public getMaxRowSize(): int
                    public getMaxSchemaNameLength(): int
                    public getMaxStatementLength(): int
                    public getMaxStatements(): int
                    public getMaxTableNameLength(): int
                    public getMaxTablesInSelect(): int
                    public getMaxUserNameLength(): int
                    public getNumericFunctions(): string
                    public getPrimaryKeys(arg0: string, arg1: string, arg2: string): java.sql.ResultSet
                    public getProcedureColumns(arg0: string, arg1: string, arg2: string, arg3: string): java.sql.ResultSet
                    protected createProcedureColumnsFields(): com.mysql.cj.core.result.Field[]
                    protected getProcedureOrFunctionColumns(arg0: com.mysql.cj.core.result.Field[], arg1: string, arg2: string, arg3: string, arg4: string, arg5: boolean, arg6: boolean): java.sql.ResultSet
                    public getProcedures(arg0: string, arg1: string, arg2: string): java.sql.ResultSet
                    protected createFieldMetadataForGetProcedures(): com.mysql.cj.core.result.Field[]
                    protected getProceduresAndOrFunctions(arg0: com.mysql.cj.core.result.Field[], arg1: string, arg2: string, arg3: string, arg4: boolean, arg5: boolean): java.sql.ResultSet
                    public getProcedureTerm(): string
                    public getResultSetHoldability(): int
                    public getSchemas(): java.sql.ResultSet
                    public getSchemaTerm(): string
                    public getSearchStringEscape(): string
                    public getSQLKeywords(): string
                    public getSQLStateType(): int
                    public getStringFunctions(): string
                    public getSuperTables(arg0: string, arg1: string, arg2: string): java.sql.ResultSet
                    public getSuperTypes(arg0: string, arg1: string, arg2: string): java.sql.ResultSet
                    public getSystemFunctions(): string
                    protected getTableNameWithCase(arg0: string): string
                    public getTablePrivileges(arg0: string, arg1: string, arg2: string): java.sql.ResultSet
                    public getTables(arg0: string, arg1: string, arg2: string, arg3: java.lang.String[]): java.sql.ResultSet
                    protected createTablesFields(): com.mysql.cj.api.mysqla.result.ColumnDefinition
                    public getTableTypes(): java.sql.ResultSet
                    public getTimeDateFunctions(): string
                    public getTypeInfo(): java.sql.ResultSet
                    public getUDTs(arg0: string, arg1: string, arg2: string, arg3: int[]): java.sql.ResultSet
                    public getURL(): string
                    public getUserName(): string
                    public getVersionColumns(arg0: string, arg1: string, arg2: string): java.sql.ResultSet
                    public insertsAreDetected(arg0: int): boolean
                    public isCatalogAtStart(): boolean
                    public isReadOnly(): boolean
                    public locatorsUpdateCopy(): boolean
                    public nullPlusNonNullIsNull(): boolean
                    public nullsAreSortedAtEnd(): boolean
                    public nullsAreSortedAtStart(): boolean
                    public nullsAreSortedHigh(): boolean
                    public nullsAreSortedLow(): boolean
                    public othersDeletesAreVisible(arg0: int): boolean
                    public othersInsertsAreVisible(arg0: int): boolean
                    public othersUpdatesAreVisible(arg0: int): boolean
                    public ownDeletesAreVisible(arg0: int): boolean
                    public ownInsertsAreVisible(arg0: int): boolean
                    public ownUpdatesAreVisible(arg0: int): boolean
                    protected parseTableStatusIntoLocalAndReferencedColumns(arg0: string): com.mysql.cj.jdbc.DatabaseMetaData$LocalAndReferencedColumns
                    protected s2b(arg0: string): byte[]
                    public storesLowerCaseIdentifiers(): boolean
                    public storesLowerCaseQuotedIdentifiers(): boolean
                    public storesMixedCaseIdentifiers(): boolean
                    public storesMixedCaseQuotedIdentifiers(): boolean
                    public storesUpperCaseIdentifiers(): boolean
                    public storesUpperCaseQuotedIdentifiers(): boolean
                    public supportsAlterTableWithAddColumn(): boolean
                    public supportsAlterTableWithDropColumn(): boolean
                    public supportsANSI92EntryLevelSQL(): boolean
                    public supportsANSI92FullSQL(): boolean
                    public supportsANSI92IntermediateSQL(): boolean
                    public supportsBatchUpdates(): boolean
                    public supportsCatalogsInDataManipulation(): boolean
                    public supportsCatalogsInIndexDefinitions(): boolean
                    public supportsCatalogsInPrivilegeDefinitions(): boolean
                    public supportsCatalogsInProcedureCalls(): boolean
                    public supportsCatalogsInTableDefinitions(): boolean
                    public supportsColumnAliasing(): boolean
                    public supportsConvert(): boolean
                    public supportsConvert(arg0: int, arg1: int): boolean
                    public supportsCoreSQLGrammar(): boolean
                    public supportsCorrelatedSubqueries(): boolean
                    public supportsDataDefinitionAndDataManipulationTransactions(): boolean
                    public supportsDataManipulationTransactionsOnly(): boolean
                    public supportsDifferentTableCorrelationNames(): boolean
                    public supportsExpressionsInOrderBy(): boolean
                    public supportsExtendedSQLGrammar(): boolean
                    public supportsFullOuterJoins(): boolean
                    public supportsGetGeneratedKeys(): boolean
                    public supportsGroupBy(): boolean
                    public supportsGroupByBeyondSelect(): boolean
                    public supportsGroupByUnrelated(): boolean
                    public supportsIntegrityEnhancementFacility(): boolean
                    public supportsLikeEscapeClause(): boolean
                    public supportsLimitedOuterJoins(): boolean
                    public supportsMinimumSQLGrammar(): boolean
                    public supportsMixedCaseIdentifiers(): boolean
                    public supportsMixedCaseQuotedIdentifiers(): boolean
                    public supportsMultipleOpenResults(): boolean
                    public supportsMultipleResultSets(): boolean
                    public supportsMultipleTransactions(): boolean
                    public supportsNamedParameters(): boolean
                    public supportsNonNullableColumns(): boolean
                    public supportsOpenCursorsAcrossCommit(): boolean
                    public supportsOpenCursorsAcrossRollback(): boolean
                    public supportsOpenStatementsAcrossCommit(): boolean
                    public supportsOpenStatementsAcrossRollback(): boolean
                    public supportsOrderByUnrelated(): boolean
                    public supportsOuterJoins(): boolean
                    public supportsPositionedDelete(): boolean
                    public supportsPositionedUpdate(): boolean
                    public supportsResultSetConcurrency(arg0: int, arg1: int): boolean
                    public supportsResultSetHoldability(arg0: int): boolean
                    public supportsResultSetType(arg0: int): boolean
                    public supportsSavepoints(): boolean
                    public supportsSchemasInDataManipulation(): boolean
                    public supportsSchemasInIndexDefinitions(): boolean
                    public supportsSchemasInPrivilegeDefinitions(): boolean
                    public supportsSchemasInProcedureCalls(): boolean
                    public supportsSchemasInTableDefinitions(): boolean
                    public supportsSelectForUpdate(): boolean
                    public supportsStatementPooling(): boolean
                    public supportsStoredProcedures(): boolean
                    public supportsSubqueriesInComparisons(): boolean
                    public supportsSubqueriesInExists(): boolean
                    public supportsSubqueriesInIns(): boolean
                    public supportsSubqueriesInQuantifieds(): boolean
                    public supportsTableCorrelationNames(): boolean
                    public supportsTransactionIsolationLevel(arg0: int): boolean
                    public supportsTransactions(): boolean
                    public supportsUnion(): boolean
                    public supportsUnionAll(): boolean
                    public updatesAreDetected(arg0: int): boolean
                    public usesLocalFilePerTable(): boolean
                    public usesLocalFiles(): boolean
                    public getClientInfoProperties(): java.sql.ResultSet
                    public getFunctionColumns(arg0: string, arg1: string, arg2: string, arg3: string): java.sql.ResultSet
                    protected createFunctionColumnsFields(): com.mysql.cj.core.result.Field[]
                    public getFunctions(arg0: string, arg1: string, arg2: string): java.sql.ResultSet
                    public providesQueryObjectGenerator(): boolean
                    public getSchemas(arg0: string, arg1: string): java.sql.ResultSet
                    public supportsStoredFunctionsUsingCallSyntax(): boolean
                    protected prepareMetaDataSafeStatement(arg0: string): java.sql.PreparedStatement
                    public getPseudoColumns(arg0: string, arg1: string, arg2: string, arg3: string): java.sql.ResultSet
                    public generatedKeyAlwaysReturned(): boolean
                    public unwrap<T>(arg0: java.lang.Class<T>): T
                    public isWrapperFor<T>(arg0: java.lang.Class<any>): boolean
                    public getRowIdLifetime<T>(): java.sql.RowIdLifetime
                    public autoCommitFailureClosesAllResultSets<T>(): boolean
                    public getMetadataEncoding<T>(): string
                    public setMetadataEncoding<T>(arg0: string): void
                    public getMetadataCollationIndex<T>(): int
                    public setMetadataCollationIndex<T>(arg0: int): void
                    public static class: java.lang.Class<any>
                }
                class DatabaseMetaDataUsingInfoSchema$1 {
                    public static class: java.lang.Class<any>
                }
                class DatabaseMetaDataUsingInfoSchema$FunctionConstant extends java.lang.Enum<com.mysql.cj.jdbc.DatabaseMetaDataUsingInfoSchema$FunctionConstant> {
                    public static FUNCTION_COLUMN_UNKNOWN: com.mysql.cj.jdbc.DatabaseMetaDataUsingInfoSchema$FunctionConstant
                    public static FUNCTION_COLUMN_IN: com.mysql.cj.jdbc.DatabaseMetaDataUsingInfoSchema$FunctionConstant
                    public static FUNCTION_COLUMN_INOUT: com.mysql.cj.jdbc.DatabaseMetaDataUsingInfoSchema$FunctionConstant
                    public static FUNCTION_COLUMN_OUT: com.mysql.cj.jdbc.DatabaseMetaDataUsingInfoSchema$FunctionConstant
                    public static FUNCTION_COLUMN_RETURN: com.mysql.cj.jdbc.DatabaseMetaDataUsingInfoSchema$FunctionConstant
                    public static FUNCTION_COLUMN_RESULT: com.mysql.cj.jdbc.DatabaseMetaDataUsingInfoSchema$FunctionConstant
                    public static FUNCTION_NO_NULLS: com.mysql.cj.jdbc.DatabaseMetaDataUsingInfoSchema$FunctionConstant
                    public static FUNCTION_NULLABLE: com.mysql.cj.jdbc.DatabaseMetaDataUsingInfoSchema$FunctionConstant
                    public static FUNCTION_NULLABLE_UNKNOWN: com.mysql.cj.jdbc.DatabaseMetaDataUsingInfoSchema$FunctionConstant
                    public static values(): com.mysql.cj.jdbc.DatabaseMetaDataUsingInfoSchema$FunctionConstant[]
                    public static valueOf(arg0: string): com.mysql.cj.jdbc.DatabaseMetaDataUsingInfoSchema$FunctionConstant
                    public static class: java.lang.Class<any>
                }
                class DatabaseMetaDataUsingInfoSchema extends com.mysql.cj.jdbc.DatabaseMetaData {
                    protected constructor(arg0: com.mysql.cj.api.jdbc.JdbcConnection, arg1: string, arg2: com.mysql.cj.jdbc.io.ResultSetFactory)
                    protected executeMetadataQuery(arg0: java.sql.PreparedStatement): java.sql.ResultSet
                    public getColumnPrivileges(arg0: string, arg1: string, arg2: string, arg3: string): java.sql.ResultSet
                    public getColumns(arg0: string, arg1: string, arg2: string, arg3: string): java.sql.ResultSet
                    public getCrossReference(arg0: string, arg1: string, arg2: string, arg3: string, arg4: string, arg5: string): java.sql.ResultSet
                    public getExportedKeys(arg0: string, arg1: string, arg2: string): java.sql.ResultSet
                    public getImportedKeys(arg0: string, arg1: string, arg2: string): java.sql.ResultSet
                    public getIndexInfo(arg0: string, arg1: string, arg2: string, arg3: boolean, arg4: boolean): java.sql.ResultSet
                    public getPrimaryKeys(arg0: string, arg1: string, arg2: string): java.sql.ResultSet
                    public getProcedures(arg0: string, arg1: string, arg2: string): java.sql.ResultSet
                    protected getRoutineTypeConditionForGetProcedures(): string
                    public getProcedureColumns(arg0: string, arg1: string, arg2: string, arg3: string): java.sql.ResultSet
                    protected getRoutineTypeConditionForGetProcedureColumns(): string
                    public getTables(arg0: string, arg1: string, arg2: string, arg3: java.lang.String[]): java.sql.ResultSet
                    public getVersionColumns(arg0: string, arg1: string, arg2: string): java.sql.ResultSet
                    public getFunctionColumns(arg0: string, arg1: string, arg2: string, arg3: string): java.sql.ResultSet
                    protected getFunctionConstant(arg0: com.mysql.cj.jdbc.DatabaseMetaDataUsingInfoSchema$FunctionConstant): int
                    public getFunctions(arg0: string, arg1: string, arg2: string): java.sql.ResultSet
                    public static class: java.lang.Class<any>
                }
                class DocsConnectionPropsHelper {
                    public constructor()
                    public static main(arg0: java.lang.String[]): void
                    public static class: java.lang.Class<any>
                }
                class Driver extends com.mysql.cj.jdbc.NonRegisteringDriver implements java.sql.Driver {
                    public constructor()
                    public static class: java.lang.Class<any>
                }
                class EscapeProcessor {
                    public static escapeSQL(arg0: string, arg1: java.util.TimeZone, arg2: boolean, arg3: com.mysql.cj.api.exceptions.ExceptionInterceptor): java.lang.Object
                    public static class: java.lang.Class<any>
                }
                class EscapeProcessorResult {
                    public static class: java.lang.Class<any>
                }
                abstract class IterateBlock<T> {
                    public doForAll(): void
                    public fullIteration(): boolean
                    public static class: java.lang.Class<any>
                }
                class JdbcPropertySetImpl extends com.mysql.cj.core.conf.DefaultPropertySet implements com.mysql.cj.api.jdbc.JdbcPropertySet {
                    public constructor()
                    public getJdbcModifiableProperty<T>(arg0: string): com.mysql.cj.api.conf.ModifiableProperty<T>
                    public postInitialization<T>(): void
                    public exposeAsDriverPropertyInfo<T>(arg0: java.util.Properties, arg1: int): java.sql.DriverPropertyInfo[]
                    public static class: java.lang.Class<any>
                }
                class MysqlConnectionPoolDataSource extends com.mysql.cj.jdbc.MysqlDataSource implements javax.sql.ConnectionPoolDataSource {
                    public constructor()
                    public getPooledConnection(): javax.sql.PooledConnection
                    public getPooledConnection(arg0: string, arg1: string): javax.sql.PooledConnection
                    public static class: java.lang.Class<any>
                }
                class MysqlDataSource extends com.mysql.cj.jdbc.JdbcPropertySetImpl implements javax.sql.DataSource , javax.naming.Referenceable , java.io.Serializable , com.mysql.cj.api.jdbc.JdbcPropertySet {
                    protected static mysqlDriver: com.mysql.cj.jdbc.NonRegisteringDriver
                    protected logWriter: java.io.PrintWriter
                    protected databaseName: string
                    protected encoding: string
                    protected hostName: string
                    protected password: string
                    protected profileSQLString: string
                    protected url: string
                    protected user: string
                    protected explicitUrl: boolean
                    protected port: int
                    public constructor()
                    public getConnection(): java.sql.Connection
                    public getConnection(arg0: string, arg1: string): java.sql.Connection
                    public setDatabaseName(arg0: string): void
                    public getDatabaseName(): string
                    public setLogWriter(arg0: java.io.PrintWriter): void
                    public getLogWriter(): java.io.PrintWriter
                    public setLoginTimeout(arg0: int): void
                    public getLoginTimeout(): int
                    public setPassword(arg0: string): void
                    public setPort(arg0: int): void
                    public getPort(): int
                    public setPortNumber(arg0: int): void
                    public getPortNumber(): int
                    public setPropertiesViaRef(arg0: javax.naming.Reference): void
                    public getReference(): javax.naming.Reference
                    public setServerName(arg0: string): void
                    public getServerName(): string
                    public setURL(arg0: string): void
                    public getURL(): string
                    public setUrl(arg0: string): void
                    public getUrl(): string
                    public setUser(arg0: string): void
                    public getUser(): string
                    protected getConnection(arg0: java.util.Properties): java.sql.Connection
                    public getParentLogger(): java.util.logging.Logger
                    public unwrap<T>(arg0: java.lang.Class<T>): T
                    public isWrapperFor<T>(arg0: java.lang.Class<any>): boolean
                    public static class: java.lang.Class<any>
                }
                class MysqlDataSourceFactory implements javax.naming.spi.ObjectFactory {
                    protected static DATA_SOURCE_CLASS_NAME: string
                    protected static POOL_DATA_SOURCE_CLASS_NAME: string
                    protected static XA_DATA_SOURCE_CLASS_NAME: string
                    public constructor()
                    public getObjectInstance(arg0: java.lang.Object, arg1: javax.naming.Name, arg2: javax.naming.Context, arg3: java.util.Hashtable<any, any>): java.lang.Object
                    public static class: java.lang.Class<any>
                }
                class MysqlParameterMetadata implements java.sql.ParameterMetaData {
                    public getParameterCount(): int
                    public isNullable(arg0: int): int
                    public isSigned(arg0: int): boolean
                    public getPrecision(arg0: int): int
                    public getScale(arg0: int): int
                    public getParameterType(arg0: int): int
                    public getParameterTypeName(arg0: int): string
                    public getParameterClassName(arg0: int): string
                    public getParameterMode(arg0: int): int
                    public isWrapperFor(arg0: java.lang.Class<any>): boolean
                    public unwrap<T>(arg0: java.lang.Class<T>): T
                    public static class: java.lang.Class<any>
                }
                class MysqlPooledConnection implements javax.sql.PooledConnection {
                    public static CONNECTION_ERROR_EVENT: int
                    public static CONNECTION_CLOSED_EVENT: int
                    protected static getInstance(arg0: com.mysql.cj.api.jdbc.JdbcConnection): com.mysql.cj.jdbc.MysqlPooledConnection
                    public constructor(arg0: com.mysql.cj.api.jdbc.JdbcConnection)
                    public addConnectionEventListener(arg0: javax.sql.ConnectionEventListener): void
                    public removeConnectionEventListener(arg0: javax.sql.ConnectionEventListener): void
                    public getConnection(): java.sql.Connection
                    protected getConnection(arg0: boolean, arg1: boolean): java.sql.Connection
                    public close(): void
                    protected callConnectionEventListeners(arg0: int, arg1: java.sql.SQLException): void
                    protected getExceptionInterceptor(): com.mysql.cj.api.exceptions.ExceptionInterceptor
                    public addStatementEventListener(arg0: javax.sql.StatementEventListener): void
                    public removeStatementEventListener(arg0: javax.sql.StatementEventListener): void
                    public static class: java.lang.Class<any>
                }
                class MysqlSQLXML$SimpleSaxToReader extends org.xml.sax.helpers.DefaultHandler {
                    public startDocument(): void
                    public endDocument(): void
                    public startElement(arg0: string, arg1: string, arg2: string, arg3: org.xml.sax.Attributes): void
                    public characters(arg0: char[], arg1: int, arg2: int): void
                    public ignorableWhitespace(arg0: char[], arg1: int, arg2: int): void
                    public startCDATA(): void
                    public endCDATA(): void
                    public comment(arg0: char[], arg1: int, arg2: int): void
                    public static class: java.lang.Class<any>
                }
                class MysqlSQLXML implements java.sql.SQLXML {
                    public constructor(arg0: com.mysql.cj.api.jdbc.result.ResultSetInternalMethods, arg1: int, arg2: com.mysql.cj.api.exceptions.ExceptionInterceptor)
                    public constructor(arg0: com.mysql.cj.api.exceptions.ExceptionInterceptor)
                    public free(): void
                    public getString(): string
                    public setString(arg0: string): void
                    public isEmpty(): boolean
                    public getBinaryStream(): java.io.InputStream
                    public getCharacterStream(): java.io.Reader
                    public getSource<T extends javax.xml.transform.Source>(arg0: java.lang.Class<T>): T
                    public setBinaryStream<T extends javax.xml.transform.Source>(): java.io.OutputStream
                    public setCharacterStream<T extends javax.xml.transform.Source>(): java.io.Writer
                    public setResult<T extends javax.xml.transform.Result>(arg0: java.lang.Class<T>): T
                    protected readerToString<T extends javax.xml.transform.Source>(arg0: java.io.Reader): string
                    protected serializeAsCharacterStream<T extends javax.xml.transform.Source>(): java.io.Reader
                    protected domSourceToString<T extends javax.xml.transform.Source>(): string
                    protected serializeAsString<T extends javax.xml.transform.Source>(): string
                    public static class: java.lang.Class<any>
                }
                class MysqlSavepoint implements java.sql.Savepoint {
                    public getSavepointId(): int
                    public getSavepointName(): string
                    public static class: java.lang.Class<any>
                }
                class MysqlXAConnection extends com.mysql.cj.jdbc.MysqlPooledConnection implements javax.sql.XAConnection , javax.transaction.xa.XAResource {
                    protected logXaCommands: boolean
                    protected static getInstance(arg0: com.mysql.cj.api.jdbc.JdbcConnection, arg1: boolean): com.mysql.cj.jdbc.MysqlXAConnection
                    public constructor(arg0: com.mysql.cj.api.jdbc.JdbcConnection, arg1: boolean)
                    public getXAResource(): javax.transaction.xa.XAResource
                    public getTransactionTimeout(): int
                    public setTransactionTimeout(arg0: int): boolean
                    public isSameRM(arg0: javax.transaction.xa.XAResource): boolean
                    public recover(arg0: int): javax.transaction.xa.Xid[]
                    protected static recover(arg0: java.sql.Connection, arg1: int): javax.transaction.xa.Xid[]
                    public prepare(arg0: javax.transaction.xa.Xid): int
                    public forget(arg0: javax.transaction.xa.Xid): void
                    public rollback(arg0: javax.transaction.xa.Xid): void
                    public end(arg0: javax.transaction.xa.Xid, arg1: int): void
                    public start(arg0: javax.transaction.xa.Xid, arg1: int): void
                    public commit(arg0: javax.transaction.xa.Xid, arg1: boolean): void
                    protected static mapXAExceptionFromSQLException(arg0: java.sql.SQLException): javax.transaction.xa.XAException
                    public getConnection(): java.sql.Connection
                    public static class: java.lang.Class<any>
                }
                class MysqlXADataSource extends com.mysql.cj.jdbc.MysqlDataSource implements javax.sql.XADataSource {
                    public constructor()
                    public getXAConnection(): javax.sql.XAConnection
                    public getXAConnection(arg0: string, arg1: string): javax.sql.XAConnection
                    public static class: java.lang.Class<any>
                }
                class MysqlXAException extends javax.transaction.xa.XAException {
                    protected xidAsString: string
                    public constructor(arg0: int, arg1: string, arg2: string)
                    public constructor(arg0: string, arg1: string)
                    public getMessage(): string
                    public static class: java.lang.Class<any>
                }
                class MysqlXid implements javax.transaction.xa.Xid {
                    public constructor(arg0: byte[], arg1: byte[], arg2: int)
                    public equals(arg0: java.lang.Object): boolean
                    public getBranchQualifier(): byte[]
                    public getFormatId(): int
                    public getGlobalTransactionId(): byte[]
                    public hashCode(): int
                    public static class: java.lang.Class<any>
                }
                class NClob extends com.mysql.cj.jdbc.Clob implements java.sql.NClob {
                    public constructor(arg0: string, arg1: com.mysql.cj.api.exceptions.ExceptionInterceptor)
                    public static class: java.lang.Class<any>
                }
                class NonRegisteringDriver$1 {
                    public static class: java.lang.Class<any>
                }
                class NonRegisteringDriver$ConnectionPhantomReference extends java.lang.ref.PhantomReference<com.mysql.cj.jdbc.ConnectionImpl> {
                    public static class: java.lang.Class<any>
                }
                class NonRegisteringDriver implements java.sql.Driver {
                    protected static connectionPhantomRefs: java.util.concurrent.ConcurrentHashMap<com.mysql.cj.jdbc.NonRegisteringDriver$ConnectionPhantomReference, com.mysql.cj.jdbc.NonRegisteringDriver$ConnectionPhantomReference>
                    protected static refQueue: java.lang.ref.ReferenceQueue<com.mysql.cj.jdbc.ConnectionImpl>
                    public static getOSName(): string
                    public static getPlatform(): string
                    public constructor()
                    public acceptsURL(arg0: string): boolean
                    public connect(arg0: string, arg1: java.util.Properties): java.sql.Connection
                    protected static trackConnection(arg0: com.mysql.cj.api.jdbc.JdbcConnection): void
                    public getMajorVersion(): int
                    public getMinorVersion(): int
                    public getPropertyInfo(arg0: string, arg1: java.util.Properties): java.sql.DriverPropertyInfo[]
                    public jdbcCompliant(): boolean
                    public getParentLogger(): java.util.logging.Logger
                    public static class: java.lang.Class<any>
                }
                class PreparedStatement$1 {
                    public static class: java.lang.Class<any>
                }
                class PreparedStatement$AppendingBatchVisitor implements com.mysql.cj.jdbc.PreparedStatement$BatchVisitor {
                    public append(arg0: byte[]): com.mysql.cj.jdbc.PreparedStatement$BatchVisitor
                    public increment(): com.mysql.cj.jdbc.PreparedStatement$BatchVisitor
                    public decrement(): com.mysql.cj.jdbc.PreparedStatement$BatchVisitor
                    public merge(arg0: byte[], arg1: byte[]): com.mysql.cj.jdbc.PreparedStatement$BatchVisitor
                    public getStaticSqlStrings(): byte[][]
                    public toString(): string
                    public static class: java.lang.Class<any>
                }
                class PreparedStatement$BatchParams {
                    public isNull: boolean[]
                    public isStream: boolean[]
                    public parameterStreams: java.io.InputStream[]
                    public parameterStrings: byte[][]
                    public streamLengths: int[]
                    public static class: java.lang.Class<any>
                }
                interface PreparedStatement$BatchVisitor {
                    increment(): com.mysql.cj.jdbc.PreparedStatement$BatchVisitor
                    decrement(): com.mysql.cj.jdbc.PreparedStatement$BatchVisitor
                    append(arg0: byte[]): com.mysql.cj.jdbc.PreparedStatement$BatchVisitor
                    merge(arg0: byte[], arg1: byte[]): com.mysql.cj.jdbc.PreparedStatement$BatchVisitor
                }
                class PreparedStatement$EmulatedPreparedStatementBindings implements com.mysql.cj.api.jdbc.ParameterBindings {
                    public getArray(arg0: int): java.sql.Array
                    public getAsciiStream(arg0: int): java.io.InputStream
                    public getBigDecimal(arg0: int): java.math.BigDecimal
                    public getBinaryStream(arg0: int): java.io.InputStream
                    public getBlob(arg0: int): java.sql.Blob
                    public getBoolean(arg0: int): boolean
                    public getByte(arg0: int): byte
                    public getBytes(arg0: int): byte[]
                    public getCharacterStream(arg0: int): java.io.Reader
                    public getClob(arg0: int): java.sql.Clob
                    public getDate(arg0: int): java.sql.Date
                    public getDouble(arg0: int): double
                    public getFloat(arg0: int): float
                    public getInt(arg0: int): int
                    public getBigInteger(arg0: int): java.math.BigInteger
                    public getLong(arg0: int): long
                    public getNCharacterStream(arg0: int): java.io.Reader
                    public getNClob(arg0: int): java.io.Reader
                    public getObject(arg0: int): java.lang.Object
                    public getRef(arg0: int): java.sql.Ref
                    public getShort(arg0: int): short
                    public getString(arg0: int): string
                    public getTime(arg0: int): java.sql.Time
                    public getTimestamp(arg0: int): java.sql.Timestamp
                    public getURL(arg0: int): java.net.URL
                    public isNull(arg0: int): boolean
                    public static class: java.lang.Class<any>
                }
                class PreparedStatement$EndPoint {
                    public static class: java.lang.Class<any>
                }
                class PreparedStatement$ParseInfo {
                    public constructor(arg0: string, arg1: com.mysql.cj.api.jdbc.JdbcConnection, arg2: java.sql.DatabaseMetaData, arg3: string, arg4: boolean)
                    public static class: java.lang.Class<any>
                }
                class PreparedStatement extends com.mysql.cj.jdbc.StatementImpl implements java.sql.PreparedStatement {
                    protected batchHasPlainStatements: boolean
                    protected firstCharOfStmt: char
                    protected isLoadDataQuery: boolean
                    protected isNull: boolean[]
                    protected numberOfExecutions: int
                    protected originalSql: string
                    protected parameterCount: int
                    protected parameterMetaData: com.mysql.cj.jdbc.MysqlParameterMetadata
                    protected parameterTypes: com.mysql.cj.core.MysqlType[]
                    protected parseInfo: com.mysql.cj.jdbc.PreparedStatement$ParseInfo
                    protected usingAnsiMode: boolean
                    protected batchedValuesClause: string
                    protected batchCommandIndex: int
                    protected useStreamLengthsInPrepStmts: com.mysql.cj.api.conf.ReadableProperty<java.lang.Boolean>
                    protected autoClosePStmtStreams: com.mysql.cj.api.conf.ReadableProperty<java.lang.Boolean>
                    protected treatUtilDateAsTimestamp: com.mysql.cj.api.conf.ReadableProperty<java.lang.Boolean>
                    protected rewrittenBatchSize: int
                    protected static readFully(arg0: java.io.Reader, arg1: char[], arg2: int): int
                    protected static getInstance(arg0: com.mysql.cj.api.jdbc.JdbcConnection, arg1: string): com.mysql.cj.jdbc.PreparedStatement
                    protected static getInstance(arg0: com.mysql.cj.api.jdbc.JdbcConnection, arg1: string, arg2: string): com.mysql.cj.jdbc.PreparedStatement
                    protected static getInstance(arg0: com.mysql.cj.api.jdbc.JdbcConnection, arg1: string, arg2: string, arg3: com.mysql.cj.jdbc.PreparedStatement$ParseInfo): com.mysql.cj.jdbc.PreparedStatement
                    public constructor(arg0: com.mysql.cj.api.jdbc.JdbcConnection, arg1: string)
                    public constructor(arg0: com.mysql.cj.api.jdbc.JdbcConnection, arg1: string, arg2: string)
                    public constructor(arg0: com.mysql.cj.api.jdbc.JdbcConnection, arg1: string, arg2: string, arg3: com.mysql.cj.jdbc.PreparedStatement$ParseInfo)
                    public addBatch(): void
                    public addBatch(arg0: string): void
                    public asSql(): string
                    public asSql(arg0: boolean): string
                    public clearBatch(): void
                    public clearParameters(): void
                    protected checkReadOnlySafeStatement(): boolean
                    public execute(): boolean
                    protected executeBatchInternal(): long[]
                    public canRewriteAsMultiValueInsertAtSqlLevel(): boolean
                    protected getLocationOfOnDuplicateKeyUpdate(): int
                    protected executePreparedBatchAsMultiStatement(arg0: int): long[]
                    protected executeBatchedInserts(arg0: int): long[]
                    protected getValuesClause(): string
                    protected computeBatchSize(arg0: int): int
                    protected computeMaxParameterSetSizeAndBatchSize(arg0: int): long[]
                    protected executeBatchSerially(arg0: int): long[]
                    public getDateTime(arg0: string): string
                    protected executeInternal(arg0: int, arg1: com.mysql.cj.api.mysqla.io.PacketPayload, arg2: boolean, arg3: boolean, arg4: com.mysql.cj.api.mysqla.result.ColumnDefinition, arg5: boolean): com.mysql.cj.api.jdbc.result.ResultSetInternalMethods
                    public executeQuery(): java.sql.ResultSet
                    public executeUpdate(): int
                    protected executeUpdateInternal(arg0: boolean, arg1: boolean): long
                    protected executeUpdateInternal(arg0: byte[][], arg1: java.io.InputStream[], arg2: boolean[], arg3: int[], arg4: boolean[], arg5: boolean): long
                    protected containsOnDuplicateKeyUpdateInSQL(): boolean
                    protected fillSendPacket(): com.mysql.cj.api.mysqla.io.PacketPayload
                    protected fillSendPacket(arg0: byte[][], arg1: java.io.InputStream[], arg2: boolean[], arg3: int[]): com.mysql.cj.api.mysqla.io.PacketPayload
                    protected prepareBatchedInsertSQL(arg0: com.mysql.cj.api.jdbc.JdbcConnection, arg1: int): com.mysql.cj.jdbc.PreparedStatement
                    protected setRetrieveGeneratedKeys(arg0: boolean): void
                    public getRewrittenBatchSize(): int
                    public getNonRewrittenSql(): string
                    public getBytesRepresentation(arg0: int): byte[]
                    protected getBytesRepresentationForBatch(arg0: int, arg1: int): byte[]
                    public getMetaData(): java.sql.ResultSetMetaData
                    protected isSelectQuery(): boolean
                    public getParameterMetaData(): java.sql.ParameterMetaData
                    public isNull(arg0: int): boolean
                    public realClose(arg0: boolean, arg1: boolean): void
                    public setArray(arg0: int, arg1: java.sql.Array): void
                    public setAsciiStream(arg0: int, arg1: java.io.InputStream, arg2: int): void
                    public setBigDecimal(arg0: int, arg1: java.math.BigDecimal): void
                    public setBinaryStream(arg0: int, arg1: java.io.InputStream, arg2: int): void
                    public setBlob(arg0: int, arg1: java.io.InputStream, arg2: long): void
                    public setBlob(arg0: int, arg1: java.sql.Blob): void
                    public setBoolean(arg0: int, arg1: boolean): void
                    public setByte(arg0: int, arg1: byte): void
                    public setBytes(arg0: int, arg1: byte[]): void
                    public setBytes(arg0: int, arg1: byte[], arg2: boolean, arg3: boolean): void
                    public setBytesNoEscape(arg0: int, arg1: byte[]): void
                    public setBytesNoEscapeNoQuotes(arg0: int, arg1: byte[]): void
                    public setCharacterStream(arg0: int, arg1: java.io.Reader, arg2: int): void
                    public setClob(arg0: int, arg1: java.sql.Clob): void
                    public setDate(arg0: int, arg1: java.sql.Date): void
                    public setDate(arg0: int, arg1: java.sql.Date, arg2: java.util.Calendar): void
                    public setDouble(arg0: int, arg1: double): void
                    public setFloat(arg0: int, arg1: float): void
                    public setInt(arg0: int, arg1: int): void
                    protected setInternal(arg0: int, arg1: byte[]): void
                    protected checkBounds(arg0: int, arg1: int): void
                    protected setInternal(arg0: int, arg1: string): void
                    public setLong(arg0: int, arg1: long): void
                    public setBigInteger(arg0: int, arg1: java.math.BigInteger): void
                    public setNull(arg0: int, arg1: int): void
                    public setNull(arg0: int, arg1: com.mysql.cj.core.MysqlType): void
                    public setNull(arg0: int, arg1: int, arg2: string): void
                    public setObject(arg0: int, arg1: java.lang.Object): void
                    public setObject(arg0: int, arg1: java.lang.Object, arg2: int): void
                    public setObject(arg0: int, arg1: java.lang.Object, arg2: java.sql.SQLType): void
                    protected setObject(arg0: int, arg1: java.lang.Object, arg2: com.mysql.cj.core.MysqlType, arg3: int): void
                    public setObject(arg0: int, arg1: java.lang.Object, arg2: int, arg3: int): void
                    public setObject(arg0: int, arg1: java.lang.Object, arg2: java.sql.SQLType, arg3: int): void
                    protected setOneBatchedParameterSet(arg0: java.sql.PreparedStatement, arg1: int, arg2: java.lang.Object): int
                    public setRef(arg0: int, arg1: java.sql.Ref): void
                    public setShort(arg0: int, arg1: short): void
                    public setString(arg0: int, arg1: string): void
                    public setTime(arg0: int, arg1: java.sql.Time, arg2: java.util.Calendar): void
                    public setTime(arg0: int, arg1: java.sql.Time): void
                    public setTimestamp(arg0: int, arg1: java.sql.Timestamp, arg2: java.util.Calendar): void
                    public setTimestamp(arg0: int, arg1: java.sql.Timestamp): void
                    public setUnicodeStream(arg0: int, arg1: java.io.InputStream, arg2: int): void
                    public setURL(arg0: int, arg1: java.net.URL): void
                    public toString(): string
                    protected getParameterIndexOffset(): int
                    public setAsciiStream(arg0: int, arg1: java.io.InputStream): void
                    public setAsciiStream(arg0: int, arg1: java.io.InputStream, arg2: long): void
                    public setBinaryStream(arg0: int, arg1: java.io.InputStream): void
                    public setBinaryStream(arg0: int, arg1: java.io.InputStream, arg2: long): void
                    public setBlob(arg0: int, arg1: java.io.InputStream): void
                    public setCharacterStream(arg0: int, arg1: java.io.Reader): void
                    public setCharacterStream(arg0: int, arg1: java.io.Reader, arg2: long): void
                    public setClob(arg0: int, arg1: java.io.Reader): void
                    public setClob(arg0: int, arg1: java.io.Reader, arg2: long): void
                    public setNCharacterStream(arg0: int, arg1: java.io.Reader): void
                    public setNString(arg0: int, arg1: string): void
                    public setNCharacterStream(arg0: int, arg1: java.io.Reader, arg2: long): void
                    public setNClob(arg0: int, arg1: java.io.Reader): void
                    public setNClob(arg0: int, arg1: java.io.Reader, arg2: long): void
                    public getParameterBindings(): com.mysql.cj.api.jdbc.ParameterBindings
                    public getPreparedSql(): string
                    public getUpdateCount(): int
                    protected static canRewrite(arg0: string, arg1: boolean, arg2: int, arg3: int): boolean
                    public setRowId(arg0: int, arg1: java.sql.RowId): void
                    public setNClob(arg0: int, arg1: java.sql.NClob): void
                    public setSQLXML(arg0: int, arg1: java.sql.SQLXML): void
                    public executeLargeUpdate(): long
                    public static class: java.lang.Class<any>
                }
                class PreparedStatementWrapper extends com.mysql.cj.jdbc.StatementWrapper implements java.sql.PreparedStatement {
                    protected static getInstance(arg0: com.mysql.cj.jdbc.ConnectionWrapper, arg1: com.mysql.cj.jdbc.MysqlPooledConnection, arg2: java.sql.PreparedStatement): com.mysql.cj.jdbc.PreparedStatementWrapper
                    public setArray(arg0: int, arg1: java.sql.Array): void
                    public setAsciiStream(arg0: int, arg1: java.io.InputStream, arg2: int): void
                    public setBigDecimal(arg0: int, arg1: java.math.BigDecimal): void
                    public setBinaryStream(arg0: int, arg1: java.io.InputStream, arg2: int): void
                    public setBlob(arg0: int, arg1: java.sql.Blob): void
                    public setBoolean(arg0: int, arg1: boolean): void
                    public setByte(arg0: int, arg1: byte): void
                    public setBytes(arg0: int, arg1: byte[]): void
                    public setCharacterStream(arg0: int, arg1: java.io.Reader, arg2: int): void
                    public setClob(arg0: int, arg1: java.sql.Clob): void
                    public setDate(arg0: int, arg1: java.sql.Date): void
                    public setDate(arg0: int, arg1: java.sql.Date, arg2: java.util.Calendar): void
                    public setDouble(arg0: int, arg1: double): void
                    public setFloat(arg0: int, arg1: float): void
                    public setInt(arg0: int, arg1: int): void
                    public setLong(arg0: int, arg1: long): void
                    public getMetaData(): java.sql.ResultSetMetaData
                    public setNull(arg0: int, arg1: int): void
                    public setNull(arg0: int, arg1: int, arg2: string): void
                    public setObject(arg0: int, arg1: java.lang.Object): void
                    public setObject(arg0: int, arg1: java.lang.Object, arg2: int): void
                    public setObject(arg0: int, arg1: java.lang.Object, arg2: int, arg3: int): void
                    public getParameterMetaData(): java.sql.ParameterMetaData
                    public setRef(arg0: int, arg1: java.sql.Ref): void
                    public setShort(arg0: int, arg1: short): void
                    public setString(arg0: int, arg1: string): void
                    public setTime(arg0: int, arg1: java.sql.Time): void
                    public setTime(arg0: int, arg1: java.sql.Time, arg2: java.util.Calendar): void
                    public setTimestamp(arg0: int, arg1: java.sql.Timestamp): void
                    public setTimestamp(arg0: int, arg1: java.sql.Timestamp, arg2: java.util.Calendar): void
                    public setURL(arg0: int, arg1: java.net.URL): void
                    public setUnicodeStream(arg0: int, arg1: java.io.InputStream, arg2: int): void
                    public addBatch(): void
                    public clearParameters(): void
                    public execute(): boolean
                    public executeQuery(): java.sql.ResultSet
                    public executeUpdate(): int
                    public toString(): string
                    public setRowId(arg0: int, arg1: java.sql.RowId): void
                    public setNString(arg0: int, arg1: string): void
                    public setNCharacterStream(arg0: int, arg1: java.io.Reader, arg2: long): void
                    public setNClob(arg0: int, arg1: java.sql.NClob): void
                    public setClob(arg0: int, arg1: java.io.Reader, arg2: long): void
                    public setBlob(arg0: int, arg1: java.io.InputStream, arg2: long): void
                    public setNClob(arg0: int, arg1: java.io.Reader, arg2: long): void
                    public setSQLXML(arg0: int, arg1: java.sql.SQLXML): void
                    public setAsciiStream(arg0: int, arg1: java.io.InputStream, arg2: long): void
                    public setBinaryStream(arg0: int, arg1: java.io.InputStream, arg2: long): void
                    public setCharacterStream(arg0: int, arg1: java.io.Reader, arg2: long): void
                    public setAsciiStream(arg0: int, arg1: java.io.InputStream): void
                    public setBinaryStream(arg0: int, arg1: java.io.InputStream): void
                    public setCharacterStream(arg0: int, arg1: java.io.Reader): void
                    public setNCharacterStream(arg0: int, arg1: java.io.Reader): void
                    public setClob(arg0: int, arg1: java.io.Reader): void
                    public setBlob(arg0: int, arg1: java.io.InputStream): void
                    public setNClob(arg0: int, arg1: java.io.Reader): void
                    public isWrapperFor(arg0: java.lang.Class<any>): boolean
                    public unwrap<T>(arg0: java.lang.Class<T>): T
                    public close(): void
                    public executeLargeUpdate(): long
                    public setObject(arg0: int, arg1: java.lang.Object, arg2: java.sql.SQLType): void
                    public setObject(arg0: int, arg1: java.lang.Object, arg2: java.sql.SQLType, arg3: int): void
                    public static class: java.lang.Class<any>
                }
                class ServerPreparedStatement$BatchedBindValues {
                    public batchedParameterValues: com.mysql.cj.jdbc.ServerPreparedStatement$BindValue[]
                    public static class: java.lang.Class<any>
                }
                class ServerPreparedStatement$BindValue {
                    public boundBeforeExecutionNum: long
                    public bindLength: long
                    public bufferType: int
                    public doubleBinding: double
                    public floatBinding: float
                    public isLongData: boolean
                    public isNull: boolean
                    public isSet: boolean
                    public longBinding: long
                    public value: java.lang.Object
                    public tz: java.util.TimeZone
                    public toString(): string
                    public toString(arg0: boolean): string
                    public static class: java.lang.Class<any>
                }
                class ServerPreparedStatement extends com.mysql.cj.jdbc.PreparedStatement {
                    protected static BLOB_STREAM_READ_BUF_SIZE: int
                    protected isCached: boolean
                    protected static getInstance(arg0: com.mysql.cj.api.jdbc.JdbcConnection, arg1: string, arg2: string, arg3: int, arg4: int): com.mysql.cj.jdbc.ServerPreparedStatement
                    protected constructor(arg0: com.mysql.cj.api.jdbc.JdbcConnection, arg1: string, arg2: string, arg3: int, arg4: int)
                    public addBatch(): void
                    public asSql(arg0: boolean): string
                    protected checkClosed(): com.mysql.cj.api.jdbc.JdbcConnection
                    public clearParameters(): void
                    protected setClosed(arg0: boolean): void
                    public close(): void
                    protected executeBatchSerially(arg0: int): long[]
                    protected executeInternal(arg0: int, arg1: com.mysql.cj.api.mysqla.io.PacketPayload, arg2: boolean, arg3: boolean, arg4: com.mysql.cj.api.mysqla.result.ColumnDefinition, arg5: boolean): com.mysql.cj.api.jdbc.result.ResultSetInternalMethods
                    protected fillSendPacket(): com.mysql.cj.api.mysqla.io.PacketPayload
                    protected fillSendPacket(arg0: byte[][], arg1: java.io.InputStream[], arg2: boolean[], arg3: int[]): com.mysql.cj.api.mysqla.io.PacketPayload
                    protected getBinding(arg0: int, arg1: boolean): com.mysql.cj.jdbc.ServerPreparedStatement$BindValue
                    public getParameterBindValues(): com.mysql.cj.jdbc.ServerPreparedStatement$BindValue[]
                    public getMetaData(): java.sql.ResultSetMetaData
                    public getParameterMetaData(): java.sql.ParameterMetaData
                    public isNull(arg0: int): boolean
                    public realClose(arg0: boolean, arg1: boolean): void
                    protected rePrepare(): void
                    public setArray(arg0: int, arg1: java.sql.Array): void
                    public setAsciiStream(arg0: int, arg1: java.io.InputStream, arg2: int): void
                    public setBigDecimal(arg0: int, arg1: java.math.BigDecimal): void
                    public setBinaryStream(arg0: int, arg1: java.io.InputStream, arg2: int): void
                    public setBlob(arg0: int, arg1: java.sql.Blob): void
                    public setBoolean(arg0: int, arg1: boolean): void
                    public setByte(arg0: int, arg1: byte): void
                    public setBytes(arg0: int, arg1: byte[]): void
                    public setBytes(arg0: int, arg1: byte[], arg2: boolean, arg3: boolean): void
                    public setBytesNoEscapeNoQuotes(arg0: int, arg1: byte[]): void
                    public setCharacterStream(arg0: int, arg1: java.io.Reader, arg2: int): void
                    public setClob(arg0: int, arg1: java.sql.Clob): void
                    public setDate(arg0: int, arg1: java.sql.Date): void
                    public setDate(arg0: int, arg1: java.sql.Date, arg2: java.util.Calendar): void
                    public setDouble(arg0: int, arg1: double): void
                    public setFloat(arg0: int, arg1: float): void
                    public setInt(arg0: int, arg1: int): void
                    public setLong(arg0: int, arg1: long): void
                    public setNull(arg0: int, arg1: int): void
                    public setNull(arg0: int, arg1: int, arg2: string): void
                    public setRef(arg0: int, arg1: java.sql.Ref): void
                    public setShort(arg0: int, arg1: short): void
                    public setString(arg0: int, arg1: string): void
                    public setTime(arg0: int, arg1: java.sql.Time): void
                    public setTime(arg0: int, arg1: java.sql.Time, arg2: java.util.Calendar): void
                    public setTimestamp(arg0: int, arg1: java.sql.Timestamp): void
                    public setTimestamp(arg0: int, arg1: java.sql.Timestamp, arg2: java.util.Calendar): void
                    protected resetToType(arg0: com.mysql.cj.jdbc.ServerPreparedStatement$BindValue, arg1: int): void
                    public setUnicodeStream(arg0: int, arg1: java.io.InputStream, arg2: int): void
                    public setURL(arg0: int, arg1: java.net.URL): void
                    public toString(): string
                    public getServerStatementId(): long
                    public canRewriteAsMultiValueInsertAtSqlLevel(): boolean
                    public canRewriteAsMultivalueInsertStatement(): boolean
                    protected getLocationOfOnDuplicateKeyUpdate(): int
                    protected isOnDuplicateKeyUpdate(): boolean
                    protected computeMaxParameterSetSizeAndBatchSize(arg0: int): long[]
                    protected setOneBatchedParameterSet(arg0: java.sql.PreparedStatement, arg1: int, arg2: java.lang.Object): int
                    protected containsOnDuplicateKeyUpdateInSQL(): boolean
                    protected prepareBatchedInsertSQL(arg0: com.mysql.cj.api.jdbc.JdbcConnection, arg1: int): com.mysql.cj.jdbc.PreparedStatement
                    public setNCharacterStream(arg0: int, arg1: java.io.Reader, arg2: long): void
                    public setNClob(arg0: int, arg1: java.sql.NClob): void
                    public setNClob(arg0: int, arg1: java.io.Reader, arg2: long): void
                    public setNString(arg0: int, arg1: string): void
                    public setSQLXML(arg0: int, arg1: java.sql.SQLXML): void
                    public setPoolable(arg0: boolean): void
                    public static class: java.lang.Class<any>
                }
                class StatementImpl$CancelTask$1 extends java.lang.Thread {
                    public run(): void
                    public static class: java.lang.Class<any>
                }
                class StatementImpl$CancelTask extends java.util.TimerTask {
                    public run(): void
                    public static class: java.lang.Class<any>
                }
                class StatementImpl implements com.mysql.cj.api.jdbc.Statement {
                    protected static PING_MARKER: string
                    protected static ON_DUPLICATE_KEY_UPDATE_CLAUSE: java.lang.String[]
                    public cancelTimeoutMutex: java.lang.Object
                    public static USES_VARIABLES_FALSE: byte
                    public static USES_VARIABLES_TRUE: byte
                    public static USES_VARIABLES_UNKNOWN: byte
                    public wasCancelled: boolean
                    public wasCancelledByTimeout: boolean
                    protected batchedArgs: java.util.List<java.lang.Object>
                    protected charEncoding: string
                    protected connection: com.mysql.cj.api.jdbc.JdbcConnection
                    protected session: com.mysql.cj.mysqla.MysqlaSession
                    protected connectionId: long
                    protected doEscapeProcessing: boolean
                    protected eventSink: com.mysql.cj.api.ProfilerEventHandler
                    protected isClosed: boolean
                    protected lastInsertId: long
                    protected maxFieldSize: int
                    public maxRows: int
                    protected openResults: java.util.Set<com.mysql.cj.api.jdbc.result.ResultSetInternalMethods>
                    protected pedantic: boolean
                    protected pointOfOrigin: string
                    protected profileSQL: boolean
                    protected results: com.mysql.cj.api.jdbc.result.ResultSetInternalMethods
                    protected generatedKeysResults: com.mysql.cj.api.jdbc.result.ResultSetInternalMethods
                    protected resultSetConcurrency: int
                    protected resultSetType: int
                    protected statementId: int
                    protected timeoutInMillis: int
                    protected updateCount: long
                    protected useUsageAdvisor: boolean
                    protected warningChain: java.sql.SQLWarning
                    protected clearWarningsCalled: boolean
                    protected holdResultsOpenOverClose: boolean
                    protected batchedGeneratedKeys: java.util.ArrayList<com.mysql.cj.api.result.Row>
                    protected retrieveGeneratedKeys: boolean
                    protected continueBatchOnError: boolean
                    protected pingTarget: com.mysql.cj.api.PingTarget
                    protected lastQueryIsOnDupKeyUpdate: boolean
                    protected statementExecuting: java.util.concurrent.atomic.AtomicBoolean
                    protected autoGenerateTestcaseScript: com.mysql.cj.api.conf.ReadableProperty<java.lang.Boolean>
                    protected dontTrackOpenResources: com.mysql.cj.api.conf.ReadableProperty<java.lang.Boolean>
                    protected dumpQueriesOnException: com.mysql.cj.api.conf.ReadableProperty<java.lang.Boolean>
                    protected explainSlowQueries: com.mysql.cj.api.conf.ReadableProperty<java.lang.Boolean>
                    protected gatherPerfMetrics: com.mysql.cj.api.conf.ReadableProperty<java.lang.Boolean>
                    protected logSlowQueries: boolean
                    protected slowQueryThresholdMillis: com.mysql.cj.api.conf.ReadableProperty<java.lang.Integer>
                    protected useCursorFetch: boolean
                    protected rewriteBatchedStatements: com.mysql.cj.api.conf.ReadableProperty<java.lang.Boolean>
                    protected maxAllowedPacket: com.mysql.cj.api.conf.ReadableProperty<java.lang.Integer>
                    protected dontCheckOnDuplicateKeyUpdateInSQL: boolean
                    protected sendFractionalSeconds: com.mysql.cj.api.conf.ReadableProperty<java.lang.Boolean>
                    protected resultSetFactory: com.mysql.cj.jdbc.io.ResultSetFactory
                    public constructor(arg0: com.mysql.cj.api.jdbc.JdbcConnection, arg1: string)
                    public addBatch(arg0: string): void
                    public getBatchedArgs(): java.util.List<java.lang.Object>
                    public cancel(): void
                    protected checkClosed(): com.mysql.cj.api.jdbc.JdbcConnection
                    protected checkForDml(arg0: string, arg1: char): void
                    protected checkNullOrEmptyQuery(arg0: string): void
                    public clearBatch(): void
                    public clearWarnings(): void
                    public close(): void
                    protected closeAllOpenResults(): void
                    protected implicitlyCloseAllOpenResults(): void
                    public removeOpenResultSet(arg0: com.mysql.cj.api.jdbc.result.ResultSetInternalMethods): void
                    public getOpenResultSetCount(): int
                    protected createStreamingResultSet(): boolean
                    public enableStreamingResults(): void
                    public disableStreamingResults(): void
                    protected setupStreamingTimeout(arg0: com.mysql.cj.api.jdbc.JdbcConnection): void
                    public execute(arg0: string): boolean
                    protected statementBegins(): void
                    public resetCancelledState(): void
                    public execute(arg0: string, arg1: int): boolean
                    public execute(arg0: string, arg1: int[]): boolean
                    public execute(arg0: string, arg1: java.lang.String[]): boolean
                    public executeBatch(): int[]
                    protected executeBatchInternal(): long[]
                    protected hasDeadlockOrTimeoutRolledBackTx(arg0: java.sql.SQLException): boolean
                    protected processMultiCountsAndKeys(arg0: com.mysql.cj.jdbc.StatementImpl, arg1: int, arg2: long[]): int
                    protected handleExceptionForBatch(arg0: int, arg1: int, arg2: long[], arg3: java.sql.SQLException): java.sql.SQLException
                    public executeQuery(arg0: string): java.sql.ResultSet
                    protected doPingInstead(): void
                    protected generatePingResultSet(): com.mysql.cj.api.jdbc.result.ResultSetInternalMethods
                    public executeSimpleNonQuery(arg0: com.mysql.cj.api.jdbc.JdbcConnection, arg1: string): void
                    public executeUpdate(arg0: string): int
                    protected executeUpdateInternal(arg0: string, arg1: boolean, arg2: boolean): long
                    public executeUpdate(arg0: string, arg1: int): int
                    public executeUpdate(arg0: string, arg1: int[]): int
                    public executeUpdate(arg0: string, arg1: java.lang.String[]): int
                    public getConnection(): java.sql.Connection
                    public getFetchDirection(): int
                    public getFetchSize(): int
                    public getGeneratedKeys(): java.sql.ResultSet
                    protected getGeneratedKeysInternal(): com.mysql.cj.api.jdbc.result.ResultSetInternalMethods
                    protected getGeneratedKeysInternal(arg0: long): com.mysql.cj.api.jdbc.result.ResultSetInternalMethods
                    public getId(): int
                    public getLastInsertID(): long
                    public getLongUpdateCount(): long
                    public getMaxFieldSize(): int
                    public getMaxRows(): int
                    public getMoreResults(): boolean
                    public getMoreResults(arg0: int): boolean
                    public getQueryTimeout(): int
                    public getResultSet(): java.sql.ResultSet
                    public getResultSetConcurrency(): int
                    public getResultSetHoldability(): int
                    protected getResultSetInternal(): com.mysql.cj.api.jdbc.result.ResultSetInternalMethods
                    public getResultSetType(): int
                    public getUpdateCount(): int
                    public getWarnings(): java.sql.SQLWarning
                    protected realClose(arg0: boolean, arg1: boolean): void
                    public setCursorName(arg0: string): void
                    public setEscapeProcessing(arg0: boolean): void
                    public setFetchDirection(arg0: int): void
                    public setFetchSize(arg0: int): void
                    public setHoldResultsOpenOverClose(arg0: boolean): void
                    public setMaxFieldSize(arg0: int): void
                    public setMaxRows(arg0: int): void
                    public setQueryTimeout(arg0: int): void
                    protected getBatchedGeneratedKeys(arg0: java.sql.Statement): void
                    protected getBatchedGeneratedKeys(arg0: int): void
                    public isClosed(): boolean
                    public isPoolable(): boolean
                    public setPoolable(arg0: boolean): void
                    public isWrapperFor(arg0: java.lang.Class<any>): boolean
                    public unwrap<T>(arg0: java.lang.Class<T>): T
                    protected static findStartOfStatement<T>(arg0: string): int
                    public getLocalInfileInputStream<T>(): java.io.InputStream
                    public setLocalInfileInputStream<T>(arg0: java.io.InputStream): void
                    public setPingTarget<T>(arg0: com.mysql.cj.api.PingTarget | com.mysql.cj.api.PingTarget$$Lambda): void
                    public getExceptionInterceptor<T>(): com.mysql.cj.api.exceptions.ExceptionInterceptor
                    protected containsOnDuplicateKeyInString<T>(arg0: string): boolean
                    protected static getOnDuplicateKeyLocation<T>(arg0: string, arg1: boolean, arg2: boolean, arg3: boolean): int
                    public closeOnCompletion<T>(): void
                    public isCloseOnCompletion<T>(): boolean
                    public executeLargeBatch<T>(): long[]
                    public executeLargeUpdate<T>(arg0: string): long
                    public executeLargeUpdate<T>(arg0: string, arg1: int): long
                    public executeLargeUpdate<T>(arg0: string, arg1: int[]): long
                    public executeLargeUpdate<T>(arg0: string, arg1: java.lang.String[]): long
                    public getLargeMaxRows<T>(): long
                    public getLargeUpdateCount<T>(): long
                    public setLargeMaxRows<T>(arg0: long): void
                    public getCurrentCatalog<T>(): string
                    public getServerStatementId<T>(): long
                    public getResultSetFactory<T>(): com.mysql.cj.jdbc.io.ResultSetFactory
                    public static class: java.lang.Class<any>
                }
                class StatementWrapper extends com.mysql.cj.jdbc.WrapperBase implements java.sql.Statement {
                    protected wrappedStmt: java.sql.Statement
                    protected wrappedConn: com.mysql.cj.jdbc.ConnectionWrapper
                    protected static getInstance(arg0: com.mysql.cj.jdbc.ConnectionWrapper, arg1: com.mysql.cj.jdbc.MysqlPooledConnection, arg2: java.sql.Statement): com.mysql.cj.jdbc.StatementWrapper
                    public constructor(arg0: com.mysql.cj.jdbc.ConnectionWrapper, arg1: com.mysql.cj.jdbc.MysqlPooledConnection, arg2: java.sql.Statement)
                    public getConnection(): java.sql.Connection
                    public setCursorName(arg0: string): void
                    public setEscapeProcessing(arg0: boolean): void
                    public setFetchDirection(arg0: int): void
                    public getFetchDirection(): int
                    public setFetchSize(arg0: int): void
                    public getFetchSize(): int
                    public getGeneratedKeys(): java.sql.ResultSet
                    public setMaxFieldSize(arg0: int): void
                    public getMaxFieldSize(): int
                    public setMaxRows(arg0: int): void
                    public getMaxRows(): int
                    public getMoreResults(): boolean
                    public getMoreResults(arg0: int): boolean
                    public setQueryTimeout(arg0: int): void
                    public getQueryTimeout(): int
                    public getResultSet(): java.sql.ResultSet
                    public getResultSetConcurrency(): int
                    public getResultSetHoldability(): int
                    public getResultSetType(): int
                    public getUpdateCount(): int
                    public getWarnings(): java.sql.SQLWarning
                    public addBatch(arg0: string): void
                    public cancel(): void
                    public clearBatch(): void
                    public clearWarnings(): void
                    public close(): void
                    public execute(arg0: string, arg1: int): boolean
                    public execute(arg0: string, arg1: int[]): boolean
                    public execute(arg0: string, arg1: java.lang.String[]): boolean
                    public execute(arg0: string): boolean
                    public executeBatch(): int[]
                    public executeQuery(arg0: string): java.sql.ResultSet
                    public executeUpdate(arg0: string, arg1: int): int
                    public executeUpdate(arg0: string, arg1: int[]): int
                    public executeUpdate(arg0: string, arg1: java.lang.String[]): int
                    public executeUpdate(arg0: string): int
                    public enableStreamingResults(): void
                    public unwrap<T>(arg0: java.lang.Class<T>): T
                    public isWrapperFor(arg0: java.lang.Class<any>): boolean
                    public isClosed(): boolean
                    public setPoolable(arg0: boolean): void
                    public isPoolable(): boolean
                    public closeOnCompletion(): void
                    public isCloseOnCompletion(): boolean
                    public executeLargeBatch(): long[]
                    public executeLargeUpdate(arg0: string): long
                    public executeLargeUpdate(arg0: string, arg1: int): long
                    public executeLargeUpdate(arg0: string, arg1: int[]): long
                    public executeLargeUpdate(arg0: string, arg1: java.lang.String[]): long
                    public getLargeMaxRows(): long
                    public getLargeUpdateCount(): long
                    public setLargeMaxRows(arg0: long): void
                    public static class: java.lang.Class<any>
                }
                class SuspendableXAConnection extends com.mysql.cj.jdbc.MysqlPooledConnection implements javax.sql.XAConnection , javax.transaction.xa.XAResource {
                    protected static getInstance(arg0: com.mysql.cj.api.jdbc.JdbcConnection): com.mysql.cj.jdbc.SuspendableXAConnection
                    public constructor(arg0: com.mysql.cj.api.jdbc.JdbcConnection)
                    public getXAResource(): javax.transaction.xa.XAResource
                    public commit(arg0: javax.transaction.xa.Xid, arg1: boolean): void
                    public end(arg0: javax.transaction.xa.Xid, arg1: int): void
                    public forget(arg0: javax.transaction.xa.Xid): void
                    public getTransactionTimeout(): int
                    public isSameRM(arg0: javax.transaction.xa.XAResource): boolean
                    public prepare(arg0: javax.transaction.xa.Xid): int
                    public recover(arg0: int): javax.transaction.xa.Xid[]
                    public rollback(arg0: javax.transaction.xa.Xid): void
                    public setTransactionTimeout(arg0: int): boolean
                    public start(arg0: javax.transaction.xa.Xid, arg1: int): void
                    public getConnection(): java.sql.Connection
                    public close(): void
                    public static class: java.lang.Class<any>
                }
                class WrapperBase$ConnectionErrorFiringInvocationHandler implements java.lang.reflect.InvocationHandler {
                    public constructor(arg0: com.mysql.cj.jdbc.WrapperBase, arg1: java.lang.Object)
                    public invoke(arg0: java.lang.Object, arg1: java.lang.reflect.Method, arg2: java.lang.Object[]): java.lang.Object
                    public static class: java.lang.Class<any>
                }
                abstract class WrapperBase {
                    protected pooledConnection: com.mysql.cj.jdbc.MysqlPooledConnection
                    protected unwrappedInterfaces: java.util.Map<java.lang.Class<any>, java.lang.Object>
                    protected exceptionInterceptor: com.mysql.cj.api.exceptions.ExceptionInterceptor
                    protected checkAndFireConnectionError(arg0: java.sql.SQLException): void
                    protected constructor(arg0: com.mysql.cj.jdbc.MysqlPooledConnection)
                    public static class: java.lang.Class<any>
                }
                namespace admin {
                    class MiniAdmin {
                        public constructor(arg0: java.sql.Connection)
                        public constructor(arg0: string)
                        public constructor(arg0: string, arg1: java.util.Properties)
                        public shutdown(): void
                        public static class: java.lang.Class<any>
                    }
                    class TimezoneDump {
                        public constructor()
                        public static main(arg0: java.lang.String[]): void
                        public static class: java.lang.Class<any>
                    }
                    
                }
                namespace exceptions {
                    class CommunicationsException extends java.sql.SQLRecoverableException implements com.mysql.cj.api.exceptions.StreamingNotifiable {
                        public constructor(arg0: com.mysql.cj.api.jdbc.JdbcConnection, arg1: long, arg2: long, arg3: java.lang.Exception)
                        public constructor(arg0: string, arg1: java.lang.Throwable)
                        public getMessage(): string
                        public getSQLState(): string
                        public setWasStreamingResults(): void
                        public static class: java.lang.Class<any>
                    }
                    class ConnectionFeatureNotAvailableException extends com.mysql.cj.jdbc.exceptions.CommunicationsException {
                        public constructor(arg0: com.mysql.cj.api.jdbc.JdbcConnection, arg1: long, arg2: java.lang.Exception)
                        public constructor(arg0: string, arg1: java.lang.Throwable)
                        public getMessage(): string
                        public getSQLState(): string
                        public static class: java.lang.Class<any>
                    }
                    class MySQLQueryInterruptedException extends java.sql.SQLNonTransientException {
                        public constructor()
                        public constructor(arg0: string, arg1: string, arg2: int)
                        public constructor(arg0: string, arg1: string)
                        public constructor(arg0: string)
                        public static class: java.lang.Class<any>
                    }
                    class MySQLStatementCancelledException extends java.sql.SQLNonTransientException {
                        public constructor(arg0: string, arg1: string, arg2: int)
                        public constructor(arg0: string, arg1: string)
                        public constructor(arg0: string)
                        public constructor()
                        public static class: java.lang.Class<any>
                    }
                    class MySQLTimeoutException extends java.sql.SQLTimeoutException {
                        public constructor(arg0: string, arg1: string, arg2: int)
                        public constructor(arg0: string, arg1: string)
                        public constructor(arg0: string)
                        public constructor()
                        public static class: java.lang.Class<any>
                    }
                    class MySQLTransactionRollbackException extends java.sql.SQLTransactionRollbackException implements com.mysql.cj.api.exceptions.DeadlockTimeoutRollbackMarker {
                        public constructor(arg0: string, arg1: string, arg2: int)
                        public constructor(arg0: string, arg1: string)
                        public constructor(arg0: string)
                        public constructor()
                        public static class: java.lang.Class<any>
                    }
                    class MysqlDataTruncation extends java.sql.DataTruncation {
                        public constructor(arg0: string, arg1: int, arg2: boolean, arg3: boolean, arg4: int, arg5: int, arg6: int)
                        public getErrorCode(): int
                        public getMessage(): string
                        public static class: java.lang.Class<any>
                    }
                    class NotUpdatable extends java.sql.SQLException {
                        public static NOT_UPDATEABLE_MESSAGE: string
                        public constructor()
                        public constructor(arg0: string)
                        public static class: java.lang.Class<any>
                    }
                    class OperationNotSupportedException extends java.sql.SQLException {
                        public constructor()
                        public constructor(arg0: string)
                        public static class: java.lang.Class<any>
                    }
                    class PacketTooBigException extends java.sql.SQLException {
                        public constructor(arg0: long, arg1: long)
                        public constructor(arg0: string)
                        public static class: java.lang.Class<any>
                    }
                    class SQLError {
                        public static ER_WARNING_NOT_COMPLETE_ROLLBACK: int
                        public static SQL_STATE_BAD_SSL_PARAMS: string
                        public static SQL_STATE_WARNING: string
                        public static SQL_STATE_DISCONNECT_ERROR: string
                        public static SQL_STATE_DATE_TRUNCATED: string
                        public static SQL_STATE_PRIVILEGE_NOT_REVOKED: string
                        public static SQL_STATE_NO_DATA: string
                        public static SQL_STATE_WRONG_NO_OF_PARAMETERS: string
                        public static SQL_STATE_UNABLE_TO_CONNECT_TO_DATASOURCE: string
                        public static SQL_STATE_CONNECTION_IN_USE: string
                        public static SQL_STATE_CONNECTION_NOT_OPEN: string
                        public static SQL_STATE_CONNECTION_REJECTED: string
                        public static SQL_STATE_CONNECTION_FAILURE: string
                        public static SQL_STATE_TRANSACTION_RESOLUTION_UNKNOWN: string
                        public static SQL_STATE_COMMUNICATION_LINK_FAILURE: string
                        public static SQL_STATE_FEATURE_NOT_SUPPORTED: string
                        public static SQL_STATE_CARDINALITY_VIOLATION: string
                        public static SQL_STATE_INSERT_VALUE_LIST_NO_MATCH_COL_LIST: string
                        public static SQL_STATE_STRING_DATA_RIGHT_TRUNCATION: string
                        public static SQL_STATE_NUMERIC_VALUE_OUT_OF_RANGE: string
                        public static SQL_STATE_INVALID_DATETIME_FORMAT: string
                        public static SQL_STATE_DATETIME_FIELD_OVERFLOW: string
                        public static SQL_STATE_DIVISION_BY_ZERO: string
                        public static SQL_STATE_INVALID_CHARACTER_VALUE_FOR_CAST: string
                        public static SQL_STATE_INTEGRITY_CONSTRAINT_VIOLATION: string
                        public static SQL_STATE_INVALID_CURSOR_STATE: string
                        public static SQL_STATE_INVALID_TRANSACTION_STATE: string
                        public static SQL_STATE_INVALID_AUTH_SPEC: string
                        public static SQL_STATE_INVALID_TRANSACTION_TERMINATION: string
                        public static SQL_STATE_INVALID_CONDITION_NUMBER: string
                        public static SQL_STATE_INVALID_CATALOG_NAME: string
                        public static SQL_STATE_ROLLBACK_SERIALIZATION_FAILURE: string
                        public static SQL_STATE_SYNTAX_ERROR: string
                        public static SQL_STATE_ER_TABLE_EXISTS_ERROR: string
                        public static SQL_STATE_BASE_TABLE_OR_VIEW_NOT_FOUND: string
                        public static SQL_STATE_ER_NO_SUCH_INDEX: string
                        public static SQL_STATE_ER_DUP_FIELDNAME: string
                        public static SQL_STATE_ER_BAD_FIELD_ERROR: string
                        public static SQL_STATE_INVALID_CONNECTION_ATTRIBUTE: string
                        public static SQL_STATE_ERROR_IN_ROW: string
                        public static SQL_STATE_NO_ROWS_UPDATED_OR_DELETED: string
                        public static SQL_STATE_MORE_THAN_ONE_ROW_UPDATED_OR_DELETED: string
                        public static SQL_STATE_RESIGNAL_WHEN_HANDLER_NOT_ACTIVE: string
                        public static SQL_STATE_STACKED_DIAGNOSTICS_ACCESSED_WITHOUT_ACTIVE_HANDLER: string
                        public static SQL_STATE_CASE_NOT_FOUND_FOR_CASE_STATEMENT: string
                        public static SQL_STATE_NULL_VALUE_NOT_ALLOWED: string
                        public static SQL_STATE_INVALID_LOGARITHM_ARGUMENT: string
                        public static SQL_STATE_ACTIVE_SQL_TRANSACTION: string
                        public static SQL_STATE_READ_ONLY_SQL_TRANSACTION: string
                        public static SQL_STATE_SRE_PROHIBITED_SQL_STATEMENT_ATTEMPTED: string
                        public static SQL_STATE_SRE_FUNCTION_EXECUTED_NO_RETURN_STATEMENT: string
                        public static SQL_STATE_ER_QUERY_INTERRUPTED: string
                        public static SQL_STATE_BASE_TABLE_OR_VIEW_ALREADY_EXISTS: string
                        public static SQL_STATE_BASE_TABLE_NOT_FOUND: string
                        public static SQL_STATE_INDEX_ALREADY_EXISTS: string
                        public static SQL_STATE_INDEX_NOT_FOUND: string
                        public static SQL_STATE_COLUMN_ALREADY_EXISTS: string
                        public static SQL_STATE_COLUMN_NOT_FOUND: string
                        public static SQL_STATE_NO_DEFAULT_FOR_COLUMN: string
                        public static SQL_STATE_GENERAL_ERROR: string
                        public static SQL_STATE_MEMORY_ALLOCATION_FAILURE: string
                        public static SQL_STATE_INVALID_COLUMN_NUMBER: string
                        public static SQL_STATE_ILLEGAL_ARGUMENT: string
                        public static SQL_STATE_DRIVER_NOT_CAPABLE: string
                        public static SQL_STATE_TIMEOUT_EXPIRED: string
                        public static SQL_STATE_CLI_SPECIFIC_CONDITION: string
                        public static SQL_STATE_MEMORY_ALLOCATION_ERROR: string
                        public static SQL_STATE_XA_RBROLLBACK: string
                        public static SQL_STATE_XA_RBDEADLOCK: string
                        public static SQL_STATE_XA_RBTIMEOUT: string
                        public static SQL_STATE_XA_RMERR: string
                        public static SQL_STATE_XAER_NOTA: string
                        public static SQL_STATE_XAER_INVAL: string
                        public static SQL_STATE_XAER_RMFAIL: string
                        public static SQL_STATE_XAER_DUPID: string
                        public static SQL_STATE_XAER_OUTSIDE: string
                        public constructor()
                        public static dumpSqlStatesMappingsAsXml(): void
                        public static get(arg0: string): string
                        public static mysqlToSqlState(arg0: int): string
                        public static createSQLException(arg0: string, arg1: string, arg2: com.mysql.cj.api.exceptions.ExceptionInterceptor): java.sql.SQLException
                        public static createSQLException(arg0: string, arg1: com.mysql.cj.api.exceptions.ExceptionInterceptor): java.sql.SQLException
                        public static createSQLException(arg0: string, arg1: string, arg2: java.lang.Throwable, arg3: com.mysql.cj.api.exceptions.ExceptionInterceptor): java.sql.SQLException
                        public static createSQLException(arg0: string, arg1: string, arg2: int, arg3: com.mysql.cj.api.exceptions.ExceptionInterceptor): java.sql.SQLException
                        public static createSQLException(arg0: string, arg1: string, arg2: int, arg3: java.lang.Throwable, arg4: com.mysql.cj.api.exceptions.ExceptionInterceptor): java.sql.SQLException
                        public static createSQLException(arg0: string, arg1: string, arg2: int, arg3: boolean, arg4: com.mysql.cj.api.exceptions.ExceptionInterceptor): java.sql.SQLException
                        public static createSQLException(arg0: string, arg1: string, arg2: int, arg3: boolean, arg4: java.lang.Throwable, arg5: com.mysql.cj.api.exceptions.ExceptionInterceptor): java.sql.SQLException
                        public static createCommunicationsException(arg0: com.mysql.cj.api.jdbc.JdbcConnection, arg1: long, arg2: long, arg3: java.lang.Exception, arg4: com.mysql.cj.api.exceptions.ExceptionInterceptor): java.sql.SQLException
                        public static createCommunicationsException(arg0: string, arg1: java.lang.Throwable, arg2: com.mysql.cj.api.exceptions.ExceptionInterceptor): java.sql.SQLException
                        public static notUpdatable(): com.mysql.cj.jdbc.exceptions.NotUpdatable
                        public static createBatchUpdateException(arg0: java.sql.SQLException, arg1: long[], arg2: com.mysql.cj.api.exceptions.ExceptionInterceptor): java.sql.SQLException
                        public static createSQLFeatureNotSupportedException(): java.sql.SQLException
                        public static createSQLFeatureNotSupportedException(arg0: string, arg1: string, arg2: com.mysql.cj.api.exceptions.ExceptionInterceptor): java.sql.SQLException
                        public static class: java.lang.Class<any>
                    }
                    class SQLExceptionsMapping {
                        public constructor()
                        public static translateException(arg0: java.lang.Throwable, arg1: com.mysql.cj.api.exceptions.ExceptionInterceptor): java.sql.SQLException
                        public static translateException(arg0: java.lang.Throwable): java.sql.SQLException
                        public static class: java.lang.Class<any>
                    }
                    
                }
                namespace ha {
                    class BestResponseTimeBalanceStrategy implements com.mysql.cj.api.jdbc.ha.BalanceStrategy {
                        public constructor()
                        public pickConnection(arg0: com.mysql.cj.jdbc.ha.LoadBalancedConnectionProxy, arg1: java.util.List<java.lang.String>, arg2: java.util.Map<java.lang.String, com.mysql.cj.jdbc.ConnectionImpl>, arg3: long[], arg4: int): com.mysql.cj.jdbc.ConnectionImpl
                        public static class: java.lang.Class<any>
                    }
                    class FailoverConnectionProxy$FailoverJdbcInterfaceProxy extends com.mysql.cj.jdbc.ha.MultiHostConnectionProxy$JdbcInterfaceProxy {
                        public invoke(arg0: java.lang.Object, arg1: java.lang.reflect.Method, arg2: java.lang.Object[]): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class FailoverConnectionProxy extends com.mysql.cj.jdbc.ha.MultiHostConnectionProxy {
                        public static createProxyInstance(arg0: com.mysql.cj.core.conf.url.ConnectionUrl): com.mysql.cj.api.jdbc.JdbcConnection
                        public invokeMore(arg0: java.lang.Object, arg1: java.lang.reflect.Method, arg2: java.lang.Object[]): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class LoadBalancedAutoCommitInterceptor implements com.mysql.cj.api.jdbc.interceptors.StatementInterceptor {
                        public constructor()
                        public destroy(): void
                        public executeTopLevelOnly(): boolean
                        public init(arg0: com.mysql.cj.api.MysqlConnection, arg1: java.util.Properties, arg2: com.mysql.cj.api.log.Log): com.mysql.cj.api.jdbc.interceptors.StatementInterceptor
                        public postProcess<T extends com.mysql.cj.api.mysqla.result.Resultset>(arg0: string, arg1: com.mysql.cj.api.jdbc.Statement, arg2: T, arg3: int, arg4: boolean, arg5: boolean, arg6: java.lang.Exception): T
                        public preProcess<T extends com.mysql.cj.api.mysqla.result.Resultset>(arg0: string, arg1: com.mysql.cj.api.jdbc.Statement): T
                        public static class: java.lang.Class<any>
                    }
                    class LoadBalancedConnectionProxy$NullLoadBalancedConnectionProxy implements java.lang.reflect.InvocationHandler {
                        public constructor()
                        public invoke(arg0: java.lang.Object, arg1: java.lang.reflect.Method, arg2: java.lang.Object[]): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class LoadBalancedConnectionProxy extends com.mysql.cj.jdbc.ha.MultiHostConnectionProxy implements com.mysql.cj.api.PingTarget {
                        protected liveConnections: java.util.Map<java.lang.String, com.mysql.cj.jdbc.ConnectionImpl>
                        public static createProxyInstance(arg0: com.mysql.cj.core.conf.url.LoadbalanceConnectionUrl): com.mysql.cj.api.jdbc.ha.LoadBalancedConnection
                        public constructor(arg0: com.mysql.cj.core.conf.url.LoadbalanceConnectionUrl)
                        protected propagateProxyDown(arg0: com.mysql.cj.api.jdbc.JdbcConnection): void
                        public shouldExceptionTriggerFailover(arg0: java.lang.Throwable): boolean
                        public pickNewConnection(): void
                        public createConnectionForHost(arg0: com.mysql.cj.core.conf.url.HostInfo): com.mysql.cj.jdbc.ConnectionImpl
                        public createConnectionForHost(arg0: string): com.mysql.cj.jdbc.ConnectionImpl
                        public invokeMore(arg0: java.lang.Object, arg1: java.lang.reflect.Method, arg2: java.lang.Object[]): java.lang.Object
                        public doPing(): void
                        public addToGlobalBlacklist(arg0: string, arg1: long): void
                        public addToGlobalBlacklist(arg0: string): void
                        public isGlobalBlacklistEnabled(): boolean
                        public getGlobalBlacklist(): java.util.Map<java.lang.String, java.lang.Long>
                        public removeHostWhenNotInUse(arg0: string): void
                        public removeHost(arg0: string): void
                        public addHost(arg0: string): boolean
                        public inTransaction(): boolean
                        public getTransactionCount(): long
                        public getActivePhysicalConnectionCount(): long
                        public getTotalPhysicalConnectionCount(): long
                        public getConnectionGroupProxyID(): long
                        public getCurrentActiveHost(): string
                        public getCurrentTransactionDuration(): long
                        public static class: java.lang.Class<any>
                    }
                    class LoadBalancedMySQLConnection extends com.mysql.cj.jdbc.ha.MultiHostMySQLConnection implements com.mysql.cj.api.jdbc.ha.LoadBalancedConnection {
                        public constructor(arg0: com.mysql.cj.jdbc.ha.LoadBalancedConnectionProxy)
                        public getThisAsProxy(): com.mysql.cj.jdbc.ha.LoadBalancedConnectionProxy
                        public close(): void
                        public ping(): void
                        public ping(arg0: boolean): void
                        public addHost(arg0: string): boolean
                        public removeHost(arg0: string): void
                        public removeHostWhenNotInUse(arg0: string): void
                        public isWrapperFor(arg0: java.lang.Class<any>): boolean
                        public unwrap<T>(arg0: java.lang.Class<T>): T
                        public getThisAsProxy<T>(): com.mysql.cj.jdbc.ha.MultiHostConnectionProxy
                        public static class: java.lang.Class<any>
                    }
                    class MultiHostConnectionProxy$JdbcInterfaceProxy implements java.lang.reflect.InvocationHandler {
                        public invoke(arg0: java.lang.Object, arg1: java.lang.reflect.Method, arg2: java.lang.Object[]): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    abstract class MultiHostConnectionProxy implements java.lang.reflect.InvocationHandler {
                        protected connectionUrl: com.mysql.cj.core.conf.url.ConnectionUrl
                        protected lastExceptionDealtWith: java.lang.Throwable
                        protected getProxy(): com.mysql.cj.api.jdbc.JdbcConnection
                        protected setProxy(arg0: com.mysql.cj.api.jdbc.JdbcConnection): void
                        protected propagateProxyDown(arg0: com.mysql.cj.api.jdbc.JdbcConnection): void
                        public invoke(arg0: java.lang.Object, arg1: java.lang.reflect.Method, arg2: java.lang.Object[]): java.lang.Object
                        protected allowedOnClosedConnection(arg0: java.lang.reflect.Method): boolean
                        public static class: java.lang.Class<any>
                    }
                    class MultiHostMySQLConnection implements com.mysql.cj.api.jdbc.JdbcConnection {
                        protected thisAsProxy: com.mysql.cj.jdbc.ha.MultiHostConnectionProxy
                        public constructor(arg0: com.mysql.cj.jdbc.ha.MultiHostConnectionProxy)
                        public getThisAsProxy(): com.mysql.cj.jdbc.ha.MultiHostConnectionProxy
                        protected getActiveMySQLConnection(): com.mysql.cj.api.jdbc.JdbcConnection
                        public abortInternal(): void
                        public changeUser(arg0: string, arg1: string): void
                        public checkClosed(): void
                        public clearHasTriedMaster(): void
                        public clearWarnings(): void
                        public clientPrepareStatement(arg0: string, arg1: int, arg2: int, arg3: int): java.sql.PreparedStatement
                        public clientPrepareStatement(arg0: string, arg1: int, arg2: int): java.sql.PreparedStatement
                        public clientPrepareStatement(arg0: string, arg1: int): java.sql.PreparedStatement
                        public clientPrepareStatement(arg0: string, arg1: int[]): java.sql.PreparedStatement
                        public clientPrepareStatement(arg0: string, arg1: java.lang.String[]): java.sql.PreparedStatement
                        public clientPrepareStatement(arg0: string): java.sql.PreparedStatement
                        public close(): void
                        public commit(): void
                        public createNewIO(arg0: boolean): void
                        public createStatement(): java.sql.Statement
                        public createStatement(arg0: int, arg1: int, arg2: int): java.sql.Statement
                        public createStatement(arg0: int, arg1: int): java.sql.Statement
                        public duplicate(): com.mysql.cj.api.jdbc.JdbcConnection
                        public execSQL(arg0: com.mysql.cj.jdbc.StatementImpl, arg1: string, arg2: int, arg3: com.mysql.cj.api.mysqla.io.PacketPayload, arg4: boolean, arg5: string, arg6: com.mysql.cj.api.mysqla.result.ColumnDefinition, arg7: boolean): com.mysql.cj.api.jdbc.result.ResultSetInternalMethods
                        public execSQL(arg0: com.mysql.cj.jdbc.StatementImpl, arg1: string, arg2: int, arg3: com.mysql.cj.api.mysqla.io.PacketPayload, arg4: boolean, arg5: string, arg6: com.mysql.cj.api.mysqla.result.ColumnDefinition): com.mysql.cj.api.jdbc.result.ResultSetInternalMethods
                        public generateConnectionCommentBlock(arg0: java.lang.StringBuilder): java.lang.StringBuilder
                        public getActiveStatementCount(): int
                        public getAutoCommit(): boolean
                        public getAutoIncrementIncrement(): int
                        public getCachedMetaData(arg0: string): com.mysql.cj.jdbc.result.CachedResultSetMetaData
                        public getCancelTimer(): java.util.Timer
                        public getCatalog(): string
                        public getCharacterSetMetadata(): string
                        public getExceptionInterceptor(): com.mysql.cj.api.exceptions.ExceptionInterceptor
                        public getHoldability(): int
                        public getHost(): string
                        public getId(): long
                        public getIdleFor(): long
                        public getMultiHostSafeProxy(): com.mysql.cj.api.jdbc.JdbcConnection
                        public getMetaData(): java.sql.DatabaseMetaData
                        public getMetadataSafeStatement(): java.sql.Statement
                        public getProperties(): java.util.Properties
                        public getRequiresEscapingEncoder(): boolean
                        public getServerVersion(): com.mysql.cj.core.ServerVersion
                        public getSession(): com.mysql.cj.mysqla.MysqlaSession
                        public getStatementComment(): string
                        public getStatementInterceptorsInstances(): java.util.List<com.mysql.cj.api.jdbc.interceptors.StatementInterceptor>
                        public getTransactionIsolation(): int
                        public getTypeMap(): java.util.Map<java.lang.String, java.lang.Class<any>>
                        public getURL(): string
                        public getUser(): string
                        public getWarnings(): java.sql.SQLWarning
                        public hasSameProperties(arg0: com.mysql.cj.api.jdbc.JdbcConnection): boolean
                        public hasTriedMaster(): boolean
                        public incrementNumberOfPreparedExecutes(): void
                        public incrementNumberOfPrepares(): void
                        public incrementNumberOfResultSetsCreated(): void
                        public initializeResultsMetadataFromCache(arg0: string, arg1: com.mysql.cj.jdbc.result.CachedResultSetMetaData, arg2: com.mysql.cj.api.jdbc.result.ResultSetInternalMethods): void
                        public initializeSafeStatementInterceptors(): void
                        public isAbonormallyLongQuery(arg0: long): boolean
                        public isInGlobalTx(): boolean
                        public isMasterConnection(): boolean
                        public isNoBackslashEscapesSet(): boolean
                        public isReadInfoMsgEnabled(): boolean
                        public isReadOnly(): boolean
                        public isReadOnly(arg0: boolean): boolean
                        public isSameResource(arg0: com.mysql.cj.api.jdbc.JdbcConnection): boolean
                        public lowerCaseTableNames(): boolean
                        public nativeSQL(arg0: string): string
                        public ping(): void
                        public pingInternal(arg0: boolean, arg1: int): void
                        public prepareCall(arg0: string, arg1: int, arg2: int, arg3: int): java.sql.CallableStatement
                        public prepareCall(arg0: string, arg1: int, arg2: int): java.sql.CallableStatement
                        public prepareCall(arg0: string): java.sql.CallableStatement
                        public prepareStatement(arg0: string, arg1: int, arg2: int, arg3: int): java.sql.PreparedStatement
                        public prepareStatement(arg0: string, arg1: int, arg2: int): java.sql.PreparedStatement
                        public prepareStatement(arg0: string, arg1: int): java.sql.PreparedStatement
                        public prepareStatement(arg0: string, arg1: int[]): java.sql.PreparedStatement
                        public prepareStatement(arg0: string, arg1: java.lang.String[]): java.sql.PreparedStatement
                        public prepareStatement(arg0: string): java.sql.PreparedStatement
                        public realClose(arg0: boolean, arg1: boolean, arg2: boolean, arg3: java.lang.Throwable): void
                        public recachePreparedStatement(arg0: com.mysql.cj.jdbc.ServerPreparedStatement): void
                        public decachePreparedStatement(arg0: com.mysql.cj.jdbc.ServerPreparedStatement): void
                        public registerQueryExecutionTime(arg0: long): void
                        public registerStatement(arg0: com.mysql.cj.api.jdbc.Statement): void
                        public releaseSavepoint(arg0: java.sql.Savepoint): void
                        public reportNumberOfTablesAccessed(arg0: int): void
                        public reportQueryTime(arg0: long): void
                        public resetServerState(): void
                        public rollback(): void
                        public rollback(arg0: java.sql.Savepoint): void
                        public serverPrepareStatement(arg0: string, arg1: int, arg2: int, arg3: int): java.sql.PreparedStatement
                        public serverPrepareStatement(arg0: string, arg1: int, arg2: int): java.sql.PreparedStatement
                        public serverPrepareStatement(arg0: string, arg1: int): java.sql.PreparedStatement
                        public serverPrepareStatement(arg0: string, arg1: int[]): java.sql.PreparedStatement
                        public serverPrepareStatement(arg0: string, arg1: java.lang.String[]): java.sql.PreparedStatement
                        public serverPrepareStatement(arg0: string): java.sql.PreparedStatement
                        public setAutoCommit(arg0: boolean): void
                        public setCatalog(arg0: string): void
                        public setFailedOver(arg0: boolean): void
                        public setHoldability(arg0: int): void
                        public setInGlobalTx(arg0: boolean): void
                        public setProxy(arg0: com.mysql.cj.api.jdbc.JdbcConnection): void
                        public setReadInfoMsgEnabled(arg0: boolean): void
                        public setReadOnly(arg0: boolean): void
                        public setReadOnlyInternal(arg0: boolean): void
                        public setSavepoint(): java.sql.Savepoint
                        public setSavepoint(arg0: string): java.sql.Savepoint
                        public setStatementComment(arg0: string): void
                        public setTransactionIsolation(arg0: int): void
                        public shutdownServer(): void
                        public storesLowerCaseTableName(): boolean
                        public throwConnectionClosedException(): void
                        public transactionBegun(): void
                        public transactionCompleted(): void
                        public unregisterStatement(arg0: com.mysql.cj.api.jdbc.Statement): void
                        public unSafeStatementInterceptors(): void
                        public useAnsiQuotedIdentifiers(): boolean
                        public isClosed(): boolean
                        public isProxySet(): boolean
                        public setTypeMap(arg0: java.util.Map<java.lang.String, java.lang.Class<any>>): void
                        public isServerLocal(): boolean
                        public setSchema(arg0: string): void
                        public getSchema(): string
                        public abort(arg0: java.util.concurrent.Executor | java.util.concurrent.Executor$$Lambda): void
                        public setNetworkTimeout(arg0: java.util.concurrent.Executor | java.util.concurrent.Executor$$Lambda, arg1: int): void
                        public getNetworkTimeout(): int
                        public getConnectionMutex(): java.lang.Object
                        public getSessionMaxRows(): int
                        public setSessionMaxRows(arg0: int): void
                        public createSQLXML(): java.sql.SQLXML
                        public createArrayOf(arg0: string, arg1: java.lang.Object[]): java.sql.Array
                        public createStruct(arg0: string, arg1: java.lang.Object[]): java.sql.Struct
                        public getClientInfo(): java.util.Properties
                        public getClientInfo(arg0: string): string
                        public isValid(arg0: int): boolean
                        public setClientInfo(arg0: java.util.Properties): void
                        public setClientInfo(arg0: string, arg1: string): void
                        public isWrapperFor(arg0: java.lang.Class<any>): boolean
                        public unwrap<T>(arg0: java.lang.Class<T>): T
                        public createBlob<T>(): java.sql.Blob
                        public createClob<T>(): java.sql.Clob
                        public createNClob<T>(): java.sql.NClob
                        public getClientInfoProviderImpl<T>(): com.mysql.cj.api.jdbc.ClientInfoProvider
                        public getProcessHost<T>(): string
                        public getPropertySet<T>(): com.mysql.cj.api.jdbc.JdbcPropertySet
                        public getHostPortPair<T>(): string
                        public getSession<T>(): com.mysql.cj.api.Session
                        public getPropertySet<T>(): com.mysql.cj.api.conf.PropertySet
                        public static class: java.lang.Class<any>
                    }
                    class NdbLoadBalanceExceptionChecker extends com.mysql.cj.jdbc.ha.StandardLoadBalanceExceptionChecker {
                        public constructor()
                        public shouldExceptionTriggerFailover(arg0: java.lang.Throwable): boolean
                        public static class: java.lang.Class<any>
                    }
                    class RandomBalanceStrategy implements com.mysql.cj.api.jdbc.ha.BalanceStrategy {
                        public constructor()
                        public pickConnection(arg0: com.mysql.cj.jdbc.ha.LoadBalancedConnectionProxy, arg1: java.util.List<java.lang.String>, arg2: java.util.Map<java.lang.String, com.mysql.cj.jdbc.ConnectionImpl>, arg3: long[], arg4: int): com.mysql.cj.jdbc.ConnectionImpl
                        public static class: java.lang.Class<any>
                    }
                    class ReplicationConnectionGroup {
                        public getConnectionCount(): long
                        public registerReplicationConnection(arg0: com.mysql.cj.api.jdbc.ha.ReplicationConnection, arg1: java.util.List<java.lang.String>, arg2: java.util.List<java.lang.String>): long
                        public getGroupName(): string
                        public getMasterHosts(): java.util.Collection<java.lang.String>
                        public getSlaveHosts(): java.util.Collection<java.lang.String>
                        public addSlaveHost(arg0: string): void
                        public handleCloseConnection(arg0: com.mysql.cj.api.jdbc.ha.ReplicationConnection): void
                        public removeSlaveHost(arg0: string, arg1: boolean): void
                        public promoteSlaveToMaster(arg0: string): void
                        public removeMasterHost(arg0: string): void
                        public removeMasterHost(arg0: string, arg1: boolean): void
                        public getConnectionCountWithHostAsSlave(arg0: string): int
                        public getConnectionCountWithHostAsMaster(arg0: string): int
                        public getNumberOfSlavesAdded(): long
                        public getNumberOfSlavesRemoved(): long
                        public getNumberOfSlavePromotions(): long
                        public getTotalConnectionCount(): long
                        public getActiveConnectionCount(): long
                        public toString(): string
                        public static class: java.lang.Class<any>
                    }
                    class ReplicationConnectionGroupManager {
                        public constructor()
                        public static getConnectionGroupInstance(arg0: string): com.mysql.cj.jdbc.ha.ReplicationConnectionGroup
                        public static registerJmx(): void
                        public static getConnectionGroup(arg0: string): com.mysql.cj.jdbc.ha.ReplicationConnectionGroup
                        public static getGroupsMatching(arg0: string): java.util.Collection<com.mysql.cj.jdbc.ha.ReplicationConnectionGroup>
                        public static addSlaveHost(arg0: string, arg1: string): void
                        public static removeSlaveHost(arg0: string, arg1: string): void
                        public static removeSlaveHost(arg0: string, arg1: string, arg2: boolean): void
                        public static promoteSlaveToMaster(arg0: string, arg1: string): void
                        public static getSlavePromotionCount(arg0: string): long
                        public static removeMasterHost(arg0: string, arg1: string): void
                        public static removeMasterHost(arg0: string, arg1: string, arg2: boolean): void
                        public static getRegisteredReplicationConnectionGroups(): string
                        public static getNumberOfMasterPromotion(arg0: string): int
                        public static getConnectionCountWithHostAsSlave(arg0: string, arg1: string): int
                        public static getConnectionCountWithHostAsMaster(arg0: string, arg1: string): int
                        public static getSlaveHosts(arg0: string): java.util.Collection<java.lang.String>
                        public static getMasterHosts(arg0: string): java.util.Collection<java.lang.String>
                        public static getTotalConnectionCount(arg0: string): long
                        public static getActiveConnectionCount(arg0: string): long
                        public static class: java.lang.Class<any>
                    }
                    class ReplicationConnectionProxy extends com.mysql.cj.jdbc.ha.MultiHostConnectionProxy implements com.mysql.cj.api.PingTarget {
                        protected enableJMX: boolean
                        protected allowMasterDownConnections: boolean
                        protected allowSlaveDownConnections: boolean
                        protected readFromMasterWhenNoSlaves: boolean
                        protected readFromMasterWhenNoSlavesOriginal: boolean
                        protected readOnly: boolean
                        protected masterConnection: com.mysql.cj.api.jdbc.ha.LoadBalancedConnection
                        protected slavesConnection: com.mysql.cj.api.jdbc.ha.LoadBalancedConnection
                        public static createProxyInstance(arg0: com.mysql.cj.core.conf.url.ReplicationConnectionUrl): com.mysql.cj.api.jdbc.ha.ReplicationConnection
                        protected propagateProxyDown(arg0: com.mysql.cj.api.jdbc.JdbcConnection): void
                        public isMasterConnection(): boolean
                        public isSlavesConnection(): boolean
                        public doPing(): void
                        public getCurrentConnection(): com.mysql.cj.api.jdbc.JdbcConnection
                        public getConnectionGroupId(): long
                        public getMasterConnection(): com.mysql.cj.api.jdbc.JdbcConnection
                        public promoteSlaveToMaster(arg0: string): void
                        public removeMasterHost(arg0: string): void
                        public removeMasterHost(arg0: string, arg1: boolean): void
                        public removeMasterHost(arg0: string, arg1: boolean, arg2: boolean): void
                        public isHostMaster(arg0: string): boolean
                        public getSlavesConnection(): com.mysql.cj.api.jdbc.JdbcConnection
                        public addSlaveHost(arg0: string): void
                        public removeSlave(arg0: string): void
                        public removeSlave(arg0: string, arg1: boolean): void
                        public isHostSlave(arg0: string): boolean
                        public setReadOnly(arg0: boolean): void
                        public isReadOnly(): boolean
                        public static class: java.lang.Class<any>
                    }
                    class ReplicationMySQLConnection extends com.mysql.cj.jdbc.ha.MultiHostMySQLConnection implements com.mysql.cj.api.jdbc.ha.ReplicationConnection {
                        public constructor(arg0: com.mysql.cj.jdbc.ha.MultiHostConnectionProxy)
                        public getThisAsProxy(): com.mysql.cj.jdbc.ha.ReplicationConnectionProxy
                        protected getActiveMySQLConnection(): com.mysql.cj.api.jdbc.JdbcConnection
                        public getCurrentConnection(): com.mysql.cj.api.jdbc.JdbcConnection
                        public getConnectionGroupId(): long
                        public getMasterConnection(): com.mysql.cj.api.jdbc.JdbcConnection
                        public promoteSlaveToMaster(arg0: string): void
                        public removeMasterHost(arg0: string): void
                        public removeMasterHost(arg0: string, arg1: boolean): void
                        public isHostMaster(arg0: string): boolean
                        public getSlavesConnection(): com.mysql.cj.api.jdbc.JdbcConnection
                        public addSlaveHost(arg0: string): void
                        public removeSlave(arg0: string): void
                        public removeSlave(arg0: string, arg1: boolean): void
                        public isHostSlave(arg0: string): boolean
                        public setReadOnly(arg0: boolean): void
                        public isReadOnly(): boolean
                        public ping(): void
                        public changeUser(arg0: string, arg1: string): void
                        public setStatementComment(arg0: string): void
                        public hasSameProperties(arg0: com.mysql.cj.api.jdbc.JdbcConnection): boolean
                        public getProperties(): java.util.Properties
                        public abort(arg0: java.util.concurrent.Executor | java.util.concurrent.Executor$$Lambda): void
                        public abortInternal(): void
                        public setProxy(arg0: com.mysql.cj.api.jdbc.JdbcConnection): void
                        public isWrapperFor(arg0: java.lang.Class<any>): boolean
                        public unwrap<T>(arg0: java.lang.Class<T>): T
                        public clearHasTriedMaster<T>(): void
                        public getThisAsProxy<T>(): com.mysql.cj.jdbc.ha.MultiHostConnectionProxy
                        public static class: java.lang.Class<any>
                    }
                    class SequentialBalanceStrategy implements com.mysql.cj.api.jdbc.ha.BalanceStrategy {
                        public constructor()
                        public pickConnection(arg0: com.mysql.cj.jdbc.ha.LoadBalancedConnectionProxy, arg1: java.util.List<java.lang.String>, arg2: java.util.Map<java.lang.String, com.mysql.cj.jdbc.ConnectionImpl>, arg3: long[], arg4: int): com.mysql.cj.jdbc.ConnectionImpl
                        public static class: java.lang.Class<any>
                    }
                    class StandardLoadBalanceExceptionChecker implements com.mysql.cj.api.jdbc.ha.LoadBalanceExceptionChecker {
                        public constructor()
                        public shouldExceptionTriggerFailover(arg0: java.lang.Throwable): boolean
                        public destroy(): void
                        public init(arg0: java.util.Properties): void
                        public static class: java.lang.Class<any>
                    }
                    
                }
                namespace integration {
                    namespace c3p0 {
                        class MysqlConnectionTester implements com.mchange.v2.c3p0.QueryConnectionTester {
                            public constructor()
                            public activeCheckConnection(arg0: java.sql.Connection): int
                            public statusOnException(arg0: java.sql.Connection, arg1: java.lang.Throwable): int
                            public activeCheckConnection(arg0: java.sql.Connection, arg1: string): int
                            public static class: java.lang.Class<any>
                        }
                        
                    }
                    namespace jboss {
                        class ExtendedMysqlExceptionSorter extends org.jboss.resource.adapter.jdbc.vendor.MySQLExceptionSorter {
                            public constructor()
                            public isExceptionFatal(arg0: java.sql.SQLException): boolean
                            public static class: java.lang.Class<any>
                        }
                        class MysqlValidConnectionChecker implements org.jboss.resource.adapter.jdbc.ValidConnectionChecker , java.io.Serializable {
                            public constructor()
                            public isValidConnection(arg0: java.sql.Connection): java.sql.SQLException
                            public static class: java.lang.Class<any>
                        }
                        
                    }
                    
                }
                namespace interceptors {
                    class NoSubInterceptorWrapper implements com.mysql.cj.api.jdbc.interceptors.StatementInterceptor {
                        public constructor(arg0: com.mysql.cj.api.jdbc.interceptors.StatementInterceptor)
                        public destroy(): void
                        public executeTopLevelOnly(): boolean
                        public init(arg0: com.mysql.cj.api.MysqlConnection, arg1: java.util.Properties, arg2: com.mysql.cj.api.log.Log): com.mysql.cj.api.jdbc.interceptors.StatementInterceptor
                        public postProcess<T extends com.mysql.cj.api.mysqla.result.Resultset>(arg0: string, arg1: com.mysql.cj.api.jdbc.Statement, arg2: T, arg3: int, arg4: boolean, arg5: boolean, arg6: java.lang.Exception): T
                        public preProcess<T extends com.mysql.cj.api.mysqla.result.Resultset>(arg0: string, arg1: com.mysql.cj.api.jdbc.Statement): T
                        public getUnderlyingInterceptor<T extends com.mysql.cj.api.mysqla.result.Resultset>(): com.mysql.cj.api.jdbc.interceptors.StatementInterceptor
                        public static class: java.lang.Class<any>
                    }
                    class ResultSetScannerInterceptor$1 implements java.lang.reflect.InvocationHandler {
                        public invoke(arg0: java.lang.Object, arg1: java.lang.reflect.Method, arg2: java.lang.Object[]): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class ResultSetScannerInterceptor implements com.mysql.cj.api.jdbc.interceptors.StatementInterceptor {
                        protected regexP: java.util.regex.Pattern
                        public constructor()
                        public init(arg0: com.mysql.cj.api.MysqlConnection, arg1: java.util.Properties, arg2: com.mysql.cj.api.log.Log): com.mysql.cj.api.jdbc.interceptors.StatementInterceptor
                        public postProcess<T extends com.mysql.cj.api.mysqla.result.Resultset>(arg0: string, arg1: com.mysql.cj.api.jdbc.Statement, arg2: T, arg3: int, arg4: boolean, arg5: boolean, arg6: java.lang.Exception): T
                        public preProcess<T extends com.mysql.cj.api.mysqla.result.Resultset>(arg0: string, arg1: com.mysql.cj.api.jdbc.Statement): T
                        public executeTopLevelOnly<T extends com.mysql.cj.api.mysqla.result.Resultset>(): boolean
                        public destroy<T extends com.mysql.cj.api.mysqla.result.Resultset>(): void
                        public static class: java.lang.Class<any>
                    }
                    class ServerStatusDiffInterceptor implements com.mysql.cj.api.jdbc.interceptors.StatementInterceptor {
                        public constructor()
                        public init(arg0: com.mysql.cj.api.MysqlConnection, arg1: java.util.Properties, arg2: com.mysql.cj.api.log.Log): com.mysql.cj.api.jdbc.interceptors.StatementInterceptor
                        public postProcess<T extends com.mysql.cj.api.mysqla.result.Resultset>(arg0: string, arg1: com.mysql.cj.api.jdbc.Statement, arg2: T, arg3: int, arg4: boolean, arg5: boolean, arg6: java.lang.Exception): T
                        public preProcess<T extends com.mysql.cj.api.mysqla.result.Resultset>(arg0: string, arg1: com.mysql.cj.api.jdbc.Statement): T
                        public executeTopLevelOnly<T extends com.mysql.cj.api.mysqla.result.Resultset>(): boolean
                        public destroy<T extends com.mysql.cj.api.mysqla.result.Resultset>(): void
                        public static class: java.lang.Class<any>
                    }
                    class SessionAssociationInterceptor implements com.mysql.cj.api.jdbc.interceptors.StatementInterceptor {
                        protected currentSessionKey: string
                        protected static sessionLocal: java.lang.ThreadLocal<java.lang.String>
                        public constructor()
                        public static setSessionKey(arg0: string): void
                        public static resetSessionKey(): void
                        public static getSessionKey(): string
                        public executeTopLevelOnly(): boolean
                        public init(arg0: com.mysql.cj.api.MysqlConnection, arg1: java.util.Properties, arg2: com.mysql.cj.api.log.Log): com.mysql.cj.api.jdbc.interceptors.StatementInterceptor
                        public postProcess<T extends com.mysql.cj.api.mysqla.result.Resultset>(arg0: string, arg1: com.mysql.cj.api.jdbc.Statement, arg2: T, arg3: int, arg4: boolean, arg5: boolean, arg6: java.lang.Exception): T
                        public preProcess<T extends com.mysql.cj.api.mysqla.result.Resultset>(arg0: string, arg1: com.mysql.cj.api.jdbc.Statement): T
                        public destroy<T extends com.mysql.cj.api.mysqla.result.Resultset>(): void
                        public static class: java.lang.Class<any>
                    }
                    
                }
                namespace io {
                    class JdbcDateValueFactory extends com.mysql.cj.core.io.DefaultValueFactory<java.sql.Date> {
                        public constructor(arg0: java.util.TimeZone)
                        public constructor(arg0: java.util.TimeZone, arg1: com.mysql.cj.api.WarningListener | com.mysql.cj.api.WarningListener$$Lambda)
                        public createFromDate(arg0: int, arg1: int, arg2: int): java.sql.Date
                        public createFromTimestamp(arg0: int, arg1: int, arg2: int, arg3: int, arg4: int, arg5: int, arg6: int): java.sql.Date
                        public getTargetTypeName(): string
                        public createFromTimestamp(arg0: int, arg1: int, arg2: int, arg3: int, arg4: int, arg5: int, arg6: int): java.lang.Object
                        public createFromDate(arg0: int, arg1: int, arg2: int): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class JdbcLocalDateTimeValueFactory extends com.mysql.cj.core.io.DefaultValueFactory<java.time.LocalDateTime> {
                        public constructor()
                        public createFromDate(arg0: int, arg1: int, arg2: int): java.time.LocalDateTime
                        public createFromTime(arg0: int, arg1: int, arg2: int, arg3: int): java.time.LocalDateTime
                        public createFromTimestamp(arg0: int, arg1: int, arg2: int, arg3: int, arg4: int, arg5: int, arg6: int): java.time.LocalDateTime
                        public getTargetTypeName(): string
                        public createFromTimestamp(arg0: int, arg1: int, arg2: int, arg3: int, arg4: int, arg5: int, arg6: int): java.lang.Object
                        public createFromTime(arg0: int, arg1: int, arg2: int, arg3: int): java.lang.Object
                        public createFromDate(arg0: int, arg1: int, arg2: int): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class JdbcLocalDateValueFactory extends com.mysql.cj.core.io.DefaultValueFactory<java.time.LocalDate> {
                        public constructor()
                        public constructor(arg0: com.mysql.cj.api.WarningListener | com.mysql.cj.api.WarningListener$$Lambda)
                        public createFromDate(arg0: int, arg1: int, arg2: int): java.time.LocalDate
                        public createFromTimestamp(arg0: int, arg1: int, arg2: int, arg3: int, arg4: int, arg5: int, arg6: int): java.time.LocalDate
                        public getTargetTypeName(): string
                        public createFromTimestamp(arg0: int, arg1: int, arg2: int, arg3: int, arg4: int, arg5: int, arg6: int): java.lang.Object
                        public createFromDate(arg0: int, arg1: int, arg2: int): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class JdbcLocalTimeValueFactory extends com.mysql.cj.core.io.DefaultValueFactory<java.time.LocalTime> {
                        public constructor()
                        public constructor(arg0: com.mysql.cj.api.WarningListener | com.mysql.cj.api.WarningListener$$Lambda)
                        public createFromTime(arg0: int, arg1: int, arg2: int, arg3: int): java.time.LocalTime
                        public createFromTimestamp(arg0: int, arg1: int, arg2: int, arg3: int, arg4: int, arg5: int, arg6: int): java.time.LocalTime
                        public getTargetTypeName(): string
                        public createFromTimestamp(arg0: int, arg1: int, arg2: int, arg3: int, arg4: int, arg5: int, arg6: int): java.lang.Object
                        public createFromTime(arg0: int, arg1: int, arg2: int, arg3: int): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class JdbcTimeValueFactory extends com.mysql.cj.core.io.DefaultValueFactory<java.sql.Time> {
                        public constructor(arg0: java.util.TimeZone)
                        public constructor(arg0: java.util.TimeZone, arg1: com.mysql.cj.api.WarningListener | com.mysql.cj.api.WarningListener$$Lambda)
                        public createFromTime(arg0: int, arg1: int, arg2: int, arg3: int): java.sql.Time
                        public createFromTimestamp(arg0: int, arg1: int, arg2: int, arg3: int, arg4: int, arg5: int, arg6: int): java.sql.Time
                        public getTargetTypeName(): string
                        public createFromTimestamp(arg0: int, arg1: int, arg2: int, arg3: int, arg4: int, arg5: int, arg6: int): java.lang.Object
                        public createFromTime(arg0: int, arg1: int, arg2: int, arg3: int): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class JdbcTimestampValueFactory extends com.mysql.cj.core.io.DefaultValueFactory<java.sql.Timestamp> {
                        public constructor(arg0: java.util.TimeZone)
                        public getTimeZone(): java.util.TimeZone
                        public createFromDate(arg0: int, arg1: int, arg2: int): java.sql.Timestamp
                        public createFromTime(arg0: int, arg1: int, arg2: int, arg3: int): java.sql.Timestamp
                        public createFromTimestamp(arg0: int, arg1: int, arg2: int, arg3: int, arg4: int, arg5: int, arg6: int): java.sql.Timestamp
                        public getTargetTypeName(): string
                        public createFromTimestamp(arg0: int, arg1: int, arg2: int, arg3: int, arg4: int, arg5: int, arg6: int): java.lang.Object
                        public createFromTime(arg0: int, arg1: int, arg2: int, arg3: int): java.lang.Object
                        public createFromDate(arg0: int, arg1: int, arg2: int): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class ResultSetFactory implements com.mysql.cj.api.mysqla.io.ProtocolEntityFactory<com.mysql.cj.jdbc.result.ResultSetImpl> {
                        public constructor(arg0: com.mysql.cj.api.jdbc.JdbcConnection, arg1: com.mysql.cj.jdbc.StatementImpl)
                        public getResultSetType(): com.mysql.cj.api.mysqla.result.Resultset$Type
                        public getResultSetConcurrency(): com.mysql.cj.api.mysqla.result.Resultset$Concurrency
                        public getFetchSize(): int
                        public createFromProtocolEntity(arg0: com.mysql.cj.api.mysqla.result.ProtocolEntity): com.mysql.cj.jdbc.result.ResultSetImpl
                        public createFromResultsetRows(arg0: int, arg1: int, arg2: com.mysql.cj.api.mysqla.result.ResultsetRows): com.mysql.cj.jdbc.result.ResultSetImpl
                        public createFromProtocolEntity(arg0: com.mysql.cj.api.mysqla.result.ProtocolEntity): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    
                }
                namespace jmx {
                    class LoadBalanceConnectionGroupManager implements com.mysql.cj.jdbc.jmx.LoadBalanceConnectionGroupManagerMBean {
                        public constructor()
                        public registerJmx(): void
                        public addHost(arg0: string, arg1: string, arg2: boolean): void
                        public getActiveHostCount(arg0: string): int
                        public getActiveLogicalConnectionCount(arg0: string): long
                        public getActivePhysicalConnectionCount(arg0: string): long
                        public getTotalHostCount(arg0: string): int
                        public getTotalLogicalConnectionCount(arg0: string): long
                        public getTotalPhysicalConnectionCount(arg0: string): long
                        public getTotalTransactionCount(arg0: string): long
                        public removeHost(arg0: string, arg1: string): void
                        public getActiveHostsList(arg0: string): string
                        public getRegisteredConnectionGroups(): string
                        public stopNewConnectionsToHost(arg0: string, arg1: string): void
                        public static class: java.lang.Class<any>
                    }
                    interface LoadBalanceConnectionGroupManagerMBean {
                        getActiveHostCount(arg0: string): int
                        getTotalHostCount(arg0: string): int
                        getTotalLogicalConnectionCount(arg0: string): long
                        getActiveLogicalConnectionCount(arg0: string): long
                        getActivePhysicalConnectionCount(arg0: string): long
                        getTotalPhysicalConnectionCount(arg0: string): long
                        getTotalTransactionCount(arg0: string): long
                        removeHost(arg0: string, arg1: string): void
                        stopNewConnectionsToHost(arg0: string, arg1: string): void
                        addHost(arg0: string, arg1: string, arg2: boolean): void
                        getActiveHostsList(arg0: string): string
                        getRegisteredConnectionGroups(): string
                    }
                    class ReplicationGroupManager implements com.mysql.cj.jdbc.jmx.ReplicationGroupManagerMBean {
                        public constructor()
                        public registerJmx(): void
                        public addSlaveHost(arg0: string, arg1: string): void
                        public removeSlaveHost(arg0: string, arg1: string): void
                        public promoteSlaveToMaster(arg0: string, arg1: string): void
                        public removeMasterHost(arg0: string, arg1: string): void
                        public getMasterHostsList(arg0: string): string
                        public getSlaveHostsList(arg0: string): string
                        public getRegisteredConnectionGroups(): string
                        public getActiveMasterHostCount(arg0: string): int
                        public getActiveSlaveHostCount(arg0: string): int
                        public getSlavePromotionCount(arg0: string): int
                        public getTotalLogicalConnectionCount(arg0: string): long
                        public getActiveLogicalConnectionCount(arg0: string): long
                        public static class: java.lang.Class<any>
                    }
                    interface ReplicationGroupManagerMBean {
                        addSlaveHost(arg0: string, arg1: string): void
                        removeSlaveHost(arg0: string, arg1: string): void
                        promoteSlaveToMaster(arg0: string, arg1: string): void
                        removeMasterHost(arg0: string, arg1: string): void
                        getMasterHostsList(arg0: string): string
                        getSlaveHostsList(arg0: string): string
                        getRegisteredConnectionGroups(): string
                        getActiveMasterHostCount(arg0: string): int
                        getActiveSlaveHostCount(arg0: string): int
                        getSlavePromotionCount(arg0: string): int
                        getTotalLogicalConnectionCount(arg0: string): long
                        getActiveLogicalConnectionCount(arg0: string): long
                    }
                    
                }
                namespace result {
                    class CachedResultSetMetaData extends com.mysql.cj.mysqla.result.MysqlaColumnDefinition implements com.mysql.cj.api.mysqla.result.ColumnDefinition {
                        public constructor()
                        public getMetadata(): java.sql.ResultSetMetaData
                        public static class: java.lang.Class<any>
                    }
                    class ResultSetImpl$1 {
                        public static class: java.lang.Class<any>
                    }
                    class ResultSetImpl extends com.mysql.cj.mysqla.result.MysqlaResultset implements com.mysql.cj.api.jdbc.result.ResultSetInternalMethods , com.mysql.cj.api.WarningListener {
                        protected catalog: string
                        protected columnUsed: boolean[]
                        protected session: com.mysql.cj.mysqla.MysqlaSession
                        protected currentRow: int
                        protected eventSink: com.mysql.cj.api.ProfilerEventHandler
                        protected fetchDirection: int
                        protected fetchSize: int
                        protected firstCharOfQuery: char
                        protected isClosed: boolean
                        protected profileSQL: boolean
                        protected resultSetConcurrency: int
                        protected resultSetType: int
                        protected useUsageAdvisor: boolean
                        protected warningChain: java.sql.SQLWarning
                        protected wrapperStatement: java.sql.Statement
                        protected emptyStringsConvertToZero: com.mysql.cj.api.conf.ReadableProperty<java.lang.Boolean>
                        protected emulateLocators: com.mysql.cj.api.conf.ReadableProperty<java.lang.Boolean>
                        protected yearIsDateType: boolean
                        protected zeroDateTimeBehavior: string
                        public constructor(arg0: com.mysql.cj.mysqla.result.OkPacket, arg1: com.mysql.cj.api.jdbc.JdbcConnection, arg2: com.mysql.cj.jdbc.StatementImpl)
                        public constructor(arg0: com.mysql.cj.api.mysqla.result.ResultsetRows, arg1: com.mysql.cj.api.jdbc.JdbcConnection, arg2: com.mysql.cj.jdbc.StatementImpl)
                        public initializeWithMetadata(): void
                        public absolute(arg0: int): boolean
                        public afterLast(): void
                        public beforeFirst(): void
                        public cancelRowUpdates(): void
                        protected checkClosed(): com.mysql.cj.api.jdbc.JdbcConnection
                        protected checkColumnBounds(arg0: int): void
                        protected checkRowPos(): void
                        public clearWarnings(): void
                        public close(): void
                        public copy(arg0: com.mysql.cj.jdbc.io.ResultSetFactory): com.mysql.cj.api.jdbc.result.ResultSetInternalMethods
                        public populateCachedMetaData(arg0: com.mysql.cj.jdbc.result.CachedResultSetMetaData): void
                        public deleteRow(): void
                        public findColumn(arg0: string): int
                        public first(): boolean
                        public getArray(arg0: int): java.sql.Array
                        public getArray(arg0: string): java.sql.Array
                        public getAsciiStream(arg0: int): java.io.InputStream
                        public getAsciiStream(arg0: string): java.io.InputStream
                        public getBigDecimal(arg0: int): java.math.BigDecimal
                        public getBigDecimal(arg0: int, arg1: int): java.math.BigDecimal
                        public getBigDecimal(arg0: string): java.math.BigDecimal
                        public getBigDecimal(arg0: string, arg1: int): java.math.BigDecimal
                        public getBinaryStream(arg0: int): java.io.InputStream
                        public getBinaryStream(arg0: string): java.io.InputStream
                        public getBlob(arg0: int): java.sql.Blob
                        public getBlob(arg0: string): java.sql.Blob
                        public getBoolean(arg0: int): boolean
                        public getBoolean(arg0: string): boolean
                        public getByte(arg0: int): byte
                        public getByte(arg0: string): byte
                        public getBytes(arg0: int): byte[]
                        public getBytes(arg0: string): byte[]
                        public getCharacterStream(arg0: int): java.io.Reader
                        public getCharacterStream(arg0: string): java.io.Reader
                        public getClob(arg0: int): java.sql.Clob
                        public getClob(arg0: string): java.sql.Clob
                        public getDate(arg0: int): java.sql.Date
                        public getDate(arg0: int, arg1: java.util.Calendar): java.sql.Date
                        public getDate(arg0: string): java.sql.Date
                        public getDate(arg0: string, arg1: java.util.Calendar): java.sql.Date
                        public getDouble(arg0: int): double
                        public getDouble(arg0: string): double
                        public getFloat(arg0: int): float
                        public getFloat(arg0: string): float
                        public getInt(arg0: int): int
                        public getBigInteger(arg0: int): java.math.BigInteger
                        public getInt(arg0: string): int
                        public getLong(arg0: int): long
                        public getLong(arg0: string): long
                        public getShort(arg0: int): short
                        public getShort(arg0: string): short
                        public getString(arg0: int): string
                        public getString(arg0: string): string
                        public getTime(arg0: int): java.sql.Time
                        public getTime(arg0: int, arg1: java.util.Calendar): java.sql.Time
                        public getTime(arg0: string): java.sql.Time
                        public getTime(arg0: string, arg1: java.util.Calendar): java.sql.Time
                        public getTimestamp(arg0: int): java.sql.Timestamp
                        public getLocalDate(arg0: int): java.time.LocalDate
                        public getLocalDateTime(arg0: int): java.time.LocalDateTime
                        public getLocalTime(arg0: int): java.time.LocalTime
                        public getTimestamp(arg0: int, arg1: java.util.Calendar): java.sql.Timestamp
                        public getTimestamp(arg0: string): java.sql.Timestamp
                        public getTimestamp(arg0: string, arg1: java.util.Calendar): java.sql.Timestamp
                        public getNCharacterStream(arg0: int): java.io.Reader
                        public getNCharacterStream(arg0: string): java.io.Reader
                        public getNClob(arg0: int): java.sql.NClob
                        public getNClob(arg0: string): java.sql.NClob
                        public getNString(arg0: int): string
                        public getNString(arg0: string): string
                        public getConcurrency(): int
                        public getCursorName(): string
                        public getFetchDirection(): int
                        public getFetchSize(): int
                        public getFirstCharOfQuery(): char
                        public getMetaData(): java.sql.ResultSetMetaData
                        public getObject(arg0: int): java.lang.Object
                        public getObject<T>(arg0: int, arg1: java.lang.Class<T>): T
                        public getObject<T>(arg0: string, arg1: java.lang.Class<T>): T
                        public getObject<T>(arg0: int, arg1: java.util.Map<java.lang.String, java.lang.Class<any>>): java.lang.Object
                        public getObject<T>(arg0: string): java.lang.Object
                        public getObject<T>(arg0: string, arg1: java.util.Map<java.lang.String, java.lang.Class<any>>): java.lang.Object
                        public getObjectStoredProc<T>(arg0: int, arg1: int): java.lang.Object
                        public getObjectStoredProc<T>(arg0: int, arg1: java.util.Map<java.lang.Object, java.lang.Object>, arg2: int): java.lang.Object
                        public getObjectStoredProc<T>(arg0: string, arg1: int): java.lang.Object
                        public getObjectStoredProc<T>(arg0: string, arg1: java.util.Map<java.lang.Object, java.lang.Object>, arg2: int): java.lang.Object
                        public getRef<T>(arg0: int): java.sql.Ref
                        public getRef<T>(arg0: string): java.sql.Ref
                        public getRow<T>(): int
                        public getStatement<T>(): java.sql.Statement
                        public getType<T>(): int
                        public getUnicodeStream<T>(arg0: int): java.io.InputStream
                        public getUnicodeStream<T>(arg0: string): java.io.InputStream
                        public getURL<T>(arg0: int): java.net.URL
                        public getURL<T>(arg0: string): java.net.URL
                        public getWarnings<T>(): java.sql.SQLWarning
                        public insertRow<T>(): void
                        public isAfterLast<T>(): boolean
                        public isBeforeFirst<T>(): boolean
                        public isFirst<T>(): boolean
                        public isLast<T>(): boolean
                        public last<T>(): boolean
                        public moveToCurrentRow<T>(): void
                        public moveToInsertRow<T>(): void
                        public next<T>(): boolean
                        public prev<T>(): boolean
                        public previous<T>(): boolean
                        public realClose<T>(arg0: boolean): void
                        public isClosed<T>(): boolean
                        public refreshRow<T>(): void
                        public relative<T>(arg0: int): boolean
                        public rowDeleted<T>(): boolean
                        public rowInserted<T>(): boolean
                        public rowUpdated<T>(): boolean
                        public setFetchDirection<T>(arg0: int): void
                        public setFetchSize<T>(arg0: int): void
                        public setFirstCharOfQuery<T>(arg0: char): void
                        public setOwningStatement<T>(arg0: com.mysql.cj.jdbc.StatementImpl): void
                        public setResultSetConcurrency<T>(arg0: int): void
                        public setResultSetType<T>(arg0: int): void
                        public setServerInfo<T>(arg0: string): void
                        public setStatementUsedForFetchingRows<T>(arg0: com.mysql.cj.jdbc.PreparedStatement): void
                        public setWrapperStatement<T>(arg0: java.sql.Statement): void
                        public toString<T>(): string
                        public updateArray<T>(arg0: int, arg1: java.sql.Array): void
                        public updateArray<T>(arg0: string, arg1: java.sql.Array): void
                        public updateAsciiStream<T>(arg0: int, arg1: java.io.InputStream, arg2: int): void
                        public updateAsciiStream<T>(arg0: string, arg1: java.io.InputStream, arg2: int): void
                        public updateBigDecimal<T>(arg0: int, arg1: java.math.BigDecimal): void
                        public updateBigDecimal<T>(arg0: string, arg1: java.math.BigDecimal): void
                        public updateBinaryStream<T>(arg0: int, arg1: java.io.InputStream, arg2: int): void
                        public updateBinaryStream<T>(arg0: string, arg1: java.io.InputStream, arg2: int): void
                        public updateBlob<T>(arg0: int, arg1: java.sql.Blob): void
                        public updateBlob<T>(arg0: string, arg1: java.sql.Blob): void
                        public updateBoolean<T>(arg0: int, arg1: boolean): void
                        public updateBoolean<T>(arg0: string, arg1: boolean): void
                        public updateByte<T>(arg0: int, arg1: byte): void
                        public updateByte<T>(arg0: string, arg1: byte): void
                        public updateBytes<T>(arg0: int, arg1: byte[]): void
                        public updateBytes<T>(arg0: string, arg1: byte[]): void
                        public updateCharacterStream<T>(arg0: int, arg1: java.io.Reader, arg2: int): void
                        public updateCharacterStream<T>(arg0: string, arg1: java.io.Reader, arg2: int): void
                        public updateClob<T>(arg0: int, arg1: java.sql.Clob): void
                        public updateClob<T>(arg0: string, arg1: java.sql.Clob): void
                        public updateDate<T>(arg0: int, arg1: java.sql.Date): void
                        public updateDate<T>(arg0: string, arg1: java.sql.Date): void
                        public updateDouble<T>(arg0: int, arg1: double): void
                        public updateDouble<T>(arg0: string, arg1: double): void
                        public updateFloat<T>(arg0: int, arg1: float): void
                        public updateFloat<T>(arg0: string, arg1: float): void
                        public updateInt<T>(arg0: int, arg1: int): void
                        public updateInt<T>(arg0: string, arg1: int): void
                        public updateLong<T>(arg0: int, arg1: long): void
                        public updateLong<T>(arg0: string, arg1: long): void
                        public updateNull<T>(arg0: int): void
                        public updateNull<T>(arg0: string): void
                        public updateObject<T>(arg0: int, arg1: java.lang.Object): void
                        public updateObject<T>(arg0: int, arg1: java.lang.Object, arg2: int): void
                        public updateObject<T>(arg0: string, arg1: java.lang.Object): void
                        public updateObject<T>(arg0: string, arg1: java.lang.Object, arg2: int): void
                        public updateRef<T>(arg0: int, arg1: java.sql.Ref): void
                        public updateRef<T>(arg0: string, arg1: java.sql.Ref): void
                        public updateRow<T>(): void
                        public updateShort<T>(arg0: int, arg1: short): void
                        public updateShort<T>(arg0: string, arg1: short): void
                        public updateString<T>(arg0: int, arg1: string): void
                        public updateString<T>(arg0: string, arg1: string): void
                        public updateTime<T>(arg0: int, arg1: java.sql.Time): void
                        public updateTime<T>(arg0: string, arg1: java.sql.Time): void
                        public updateTimestamp<T>(arg0: int, arg1: java.sql.Timestamp): void
                        public updateTimestamp<T>(arg0: string, arg1: java.sql.Timestamp): void
                        public wasNull<T>(): boolean
                        protected getExceptionInterceptor<T>(): com.mysql.cj.api.exceptions.ExceptionInterceptor
                        public updateNCharacterStream<T>(arg0: int, arg1: java.io.Reader, arg2: int): void
                        public updateNCharacterStream<T>(arg0: string, arg1: java.io.Reader, arg2: int): void
                        public updateNClob<T>(arg0: string, arg1: java.sql.NClob): void
                        public updateRowId<T>(arg0: int, arg1: java.sql.RowId): void
                        public updateRowId<T>(arg0: string, arg1: java.sql.RowId): void
                        public getHoldability<T>(): int
                        public getRowId<T>(arg0: int): java.sql.RowId
                        public getRowId<T>(arg0: string): java.sql.RowId
                        public getSQLXML<T>(arg0: int): java.sql.SQLXML
                        public getSQLXML<T>(arg0: string): java.sql.SQLXML
                        public updateAsciiStream<T>(arg0: int, arg1: java.io.InputStream): void
                        public updateAsciiStream<T>(arg0: string, arg1: java.io.InputStream): void
                        public updateAsciiStream<T>(arg0: int, arg1: java.io.InputStream, arg2: long): void
                        public updateAsciiStream<T>(arg0: string, arg1: java.io.InputStream, arg2: long): void
                        public updateBinaryStream<T>(arg0: int, arg1: java.io.InputStream): void
                        public updateBinaryStream<T>(arg0: string, arg1: java.io.InputStream): void
                        public updateBinaryStream<T>(arg0: int, arg1: java.io.InputStream, arg2: long): void
                        public updateBinaryStream<T>(arg0: string, arg1: java.io.InputStream, arg2: long): void
                        public updateBlob<T>(arg0: int, arg1: java.io.InputStream): void
                        public updateBlob<T>(arg0: string, arg1: java.io.InputStream): void
                        public updateBlob<T>(arg0: int, arg1: java.io.InputStream, arg2: long): void
                        public updateBlob<T>(arg0: string, arg1: java.io.InputStream, arg2: long): void
                        public updateCharacterStream<T>(arg0: int, arg1: java.io.Reader): void
                        public updateCharacterStream<T>(arg0: string, arg1: java.io.Reader): void
                        public updateCharacterStream<T>(arg0: int, arg1: java.io.Reader, arg2: long): void
                        public updateCharacterStream<T>(arg0: string, arg1: java.io.Reader, arg2: long): void
                        public updateClob<T>(arg0: int, arg1: java.io.Reader): void
                        public updateClob<T>(arg0: string, arg1: java.io.Reader): void
                        public updateClob<T>(arg0: int, arg1: java.io.Reader, arg2: long): void
                        public updateClob<T>(arg0: string, arg1: java.io.Reader, arg2: long): void
                        public updateNCharacterStream<T>(arg0: int, arg1: java.io.Reader): void
                        public updateNCharacterStream<T>(arg0: string, arg1: java.io.Reader): void
                        public updateNCharacterStream<T>(arg0: int, arg1: java.io.Reader, arg2: long): void
                        public updateNCharacterStream<T>(arg0: string, arg1: java.io.Reader, arg2: long): void
                        public updateNClob<T>(arg0: int, arg1: java.sql.NClob): void
                        public updateNClob<T>(arg0: int, arg1: java.io.Reader): void
                        public updateNClob<T>(arg0: string, arg1: java.io.Reader): void
                        public updateNClob<T>(arg0: int, arg1: java.io.Reader, arg2: long): void
                        public updateNClob<T>(arg0: string, arg1: java.io.Reader, arg2: long): void
                        public updateNString<T>(arg0: int, arg1: string): void
                        public updateNString<T>(arg0: string, arg1: string): void
                        public updateSQLXML<T>(arg0: int, arg1: java.sql.SQLXML): void
                        public updateSQLXML<T>(arg0: string, arg1: java.sql.SQLXML): void
                        public isWrapperFor<T>(arg0: java.lang.Class<any>): boolean
                        public unwrap<T>(arg0: java.lang.Class<T>): T
                        public warningEncountered<T>(arg0: string): void
                        public updateObject<T>(arg0: int, arg1: java.lang.Object, arg2: java.sql.SQLType): void
                        public updateObject<T>(arg0: int, arg1: java.lang.Object, arg2: java.sql.SQLType, arg3: int): void
                        public updateObject<T>(arg0: string, arg1: java.lang.Object, arg2: java.sql.SQLType): void
                        public updateObject<T>(arg0: string, arg1: java.lang.Object, arg2: java.sql.SQLType, arg3: int): void
                        public getMetadata<T>(): com.mysql.cj.api.mysqla.result.ColumnDefinition
                        public getOwningStatement<T>(): com.mysql.cj.jdbc.StatementImpl
                        public closeOwner<T>(arg0: boolean): void
                        public getConnection<T>(): com.mysql.cj.api.jdbc.JdbcConnection
                        public getConnectionId<T>(): long
                        public getPointOfOrigin<T>(): string
                        public getOwnerFetchSize<T>(): int
                        public getCurrentCatalog<T>(): string
                        public getOwningStatementId<T>(): int
                        public getOwningStatementMaxRows<T>(): int
                        public getOwningStatementFetchSize<T>(): int
                        public getOwningStatementServerId<T>(): long
                        public getConnection<T>(): com.mysql.cj.api.MysqlConnection
                        public static class: java.lang.Class<any>
                    }
                    class ResultSetMetaData$1 {
                        public static class: java.lang.Class<any>
                    }
                    class ResultSetMetaData implements java.sql.ResultSetMetaData {
                        public constructor(arg0: com.mysql.cj.api.Session, arg1: com.mysql.cj.core.result.Field[], arg2: boolean, arg3: boolean, arg4: com.mysql.cj.api.exceptions.ExceptionInterceptor)
                        public getCatalogName(arg0: int): string
                        public getColumnCharacterEncoding(arg0: int): string
                        public getColumnCharacterSet(arg0: int): string
                        public getColumnClassName(arg0: int): string
                        public getColumnCount(): int
                        public getColumnDisplaySize(arg0: int): int
                        public getColumnLabel(arg0: int): string
                        public getColumnName(arg0: int): string
                        public getColumnType(arg0: int): int
                        public getColumnTypeName(arg0: int): string
                        protected getField(arg0: int): com.mysql.cj.core.result.Field
                        public getPrecision(arg0: int): int
                        public getPrecisionAdjustFactor(arg0: com.mysql.cj.core.result.Field): int
                        public getScale(arg0: int): int
                        public getSchemaName(arg0: int): string
                        public getTableName(arg0: int): string
                        public isAutoIncrement(arg0: int): boolean
                        public isCaseSensitive(arg0: int): boolean
                        public isCurrency(arg0: int): boolean
                        public isDefinitelyWritable(arg0: int): boolean
                        public isNullable(arg0: int): int
                        public isReadOnly(arg0: int): boolean
                        public isSearchable(arg0: int): boolean
                        public isSigned(arg0: int): boolean
                        public isWritable(arg0: int): boolean
                        public toString(): string
                        public isWrapperFor(arg0: java.lang.Class<any>): boolean
                        public unwrap<T>(arg0: java.lang.Class<T>): T
                        public getFields<T>(): com.mysql.cj.core.result.Field[]
                        public static class: java.lang.Class<any>
                    }
                    class UpdatableResultSet$1 {
                        public static class: java.lang.Class<any>
                    }
                    class UpdatableResultSet extends com.mysql.cj.jdbc.result.ResultSetImpl {
                        protected inserter: com.mysql.cj.jdbc.PreparedStatement
                        protected updater: com.mysql.cj.jdbc.PreparedStatement
                        protected doingUpdates: boolean
                        public constructor(arg0: com.mysql.cj.api.mysqla.result.ResultsetRows, arg1: com.mysql.cj.api.jdbc.JdbcConnection, arg2: com.mysql.cj.jdbc.StatementImpl)
                        public absolute(arg0: int): boolean
                        public afterLast(): void
                        public beforeFirst(): void
                        public cancelRowUpdates(): void
                        protected checkRowPos(): void
                        public checkUpdatability(): void
                        public deleteRow(): void
                        public first(): boolean
                        protected generateStatements(): void
                        public getConcurrency(): int
                        public insertRow(): void
                        public isAfterLast(): boolean
                        public isBeforeFirst(): boolean
                        public isFirst(): boolean
                        public isLast(): boolean
                        public last(): boolean
                        public moveToCurrentRow(): void
                        public moveToInsertRow(): void
                        public next(): boolean
                        public prev(): boolean
                        public previous(): boolean
                        public realClose(arg0: boolean): void
                        public refreshRow(): void
                        public relative(arg0: int): boolean
                        public rowDeleted(): boolean
                        public rowInserted(): boolean
                        public rowUpdated(): boolean
                        public setResultSetConcurrency(arg0: int): void
                        protected syncUpdate(): void
                        public updateAsciiStream(arg0: int, arg1: java.io.InputStream, arg2: int): void
                        public updateAsciiStream(arg0: string, arg1: java.io.InputStream, arg2: int): void
                        public updateBigDecimal(arg0: int, arg1: java.math.BigDecimal): void
                        public updateBigDecimal(arg0: string, arg1: java.math.BigDecimal): void
                        public updateBinaryStream(arg0: int, arg1: java.io.InputStream, arg2: int): void
                        public updateBinaryStream(arg0: string, arg1: java.io.InputStream, arg2: int): void
                        public updateBlob(arg0: int, arg1: java.sql.Blob): void
                        public updateBlob(arg0: string, arg1: java.sql.Blob): void
                        public updateBoolean(arg0: int, arg1: boolean): void
                        public updateBoolean(arg0: string, arg1: boolean): void
                        public updateByte(arg0: int, arg1: byte): void
                        public updateByte(arg0: string, arg1: byte): void
                        public updateBytes(arg0: int, arg1: byte[]): void
                        public updateBytes(arg0: string, arg1: byte[]): void
                        public updateCharacterStream(arg0: int, arg1: java.io.Reader, arg2: int): void
                        public updateCharacterStream(arg0: string, arg1: java.io.Reader, arg2: int): void
                        public updateClob(arg0: int, arg1: java.sql.Clob): void
                        public updateDate(arg0: int, arg1: java.sql.Date): void
                        public updateDate(arg0: string, arg1: java.sql.Date): void
                        public updateDouble(arg0: int, arg1: double): void
                        public updateDouble(arg0: string, arg1: double): void
                        public updateFloat(arg0: int, arg1: float): void
                        public updateFloat(arg0: string, arg1: float): void
                        public updateInt(arg0: int, arg1: int): void
                        public updateInt(arg0: string, arg1: int): void
                        public updateLong(arg0: int, arg1: long): void
                        public updateLong(arg0: string, arg1: long): void
                        public updateNull(arg0: int): void
                        public updateNull(arg0: string): void
                        public updateObject(arg0: int, arg1: java.lang.Object): void
                        public updateObject(arg0: int, arg1: java.lang.Object, arg2: int): void
                        protected updateObjectInternal(arg0: int, arg1: java.lang.Object, arg2: java.lang.Integer, arg3: int): void
                        protected updateObjectInternal(arg0: int, arg1: java.lang.Object, arg2: java.sql.SQLType, arg3: int): void
                        public updateObject(arg0: string, arg1: java.lang.Object): void
                        public updateObject(arg0: string, arg1: java.lang.Object, arg2: int): void
                        public updateObject(arg0: int, arg1: java.lang.Object, arg2: java.sql.SQLType): void
                        public updateObject(arg0: int, arg1: java.lang.Object, arg2: java.sql.SQLType, arg3: int): void
                        public updateObject(arg0: string, arg1: java.lang.Object, arg2: java.sql.SQLType): void
                        public updateObject(arg0: string, arg1: java.lang.Object, arg2: java.sql.SQLType, arg3: int): void
                        public updateRow(): void
                        public updateShort(arg0: int, arg1: short): void
                        public updateShort(arg0: string, arg1: short): void
                        public updateString(arg0: int, arg1: string): void
                        public updateString(arg0: string, arg1: string): void
                        public updateTime(arg0: int, arg1: java.sql.Time): void
                        public updateTime(arg0: string, arg1: java.sql.Time): void
                        public updateTimestamp(arg0: int, arg1: java.sql.Timestamp): void
                        public updateTimestamp(arg0: string, arg1: java.sql.Timestamp): void
                        public updateAsciiStream(arg0: int, arg1: java.io.InputStream): void
                        public updateAsciiStream(arg0: int, arg1: java.io.InputStream, arg2: long): void
                        public updateBinaryStream(arg0: int, arg1: java.io.InputStream): void
                        public updateBinaryStream(arg0: int, arg1: java.io.InputStream, arg2: long): void
                        public updateBlob(arg0: int, arg1: java.io.InputStream): void
                        public updateBlob(arg0: int, arg1: java.io.InputStream, arg2: long): void
                        public updateCharacterStream(arg0: int, arg1: java.io.Reader): void
                        public updateCharacterStream(arg0: int, arg1: java.io.Reader, arg2: long): void
                        public updateClob(arg0: int, arg1: java.io.Reader): void
                        public updateClob(arg0: int, arg1: java.io.Reader, arg2: long): void
                        public updateNCharacterStream(arg0: int, arg1: java.io.Reader): void
                        public updateNCharacterStream(arg0: int, arg1: java.io.Reader, arg2: long): void
                        public updateNClob(arg0: int, arg1: java.io.Reader): void
                        public updateNClob(arg0: int, arg1: java.io.Reader, arg2: long): void
                        public updateSQLXML(arg0: int, arg1: java.sql.SQLXML): void
                        public updateAsciiStream(arg0: string, arg1: java.io.InputStream): void
                        public updateAsciiStream(arg0: string, arg1: java.io.InputStream, arg2: long): void
                        public updateBinaryStream(arg0: string, arg1: java.io.InputStream): void
                        public updateBinaryStream(arg0: string, arg1: java.io.InputStream, arg2: long): void
                        public updateBlob(arg0: string, arg1: java.io.InputStream): void
                        public updateBlob(arg0: string, arg1: java.io.InputStream, arg2: long): void
                        public updateCharacterStream(arg0: string, arg1: java.io.Reader): void
                        public updateCharacterStream(arg0: string, arg1: java.io.Reader, arg2: long): void
                        public updateClob(arg0: string, arg1: java.io.Reader): void
                        public updateClob(arg0: string, arg1: java.io.Reader, arg2: long): void
                        public updateNCharacterStream(arg0: string, arg1: java.io.Reader): void
                        public updateNCharacterStream(arg0: string, arg1: java.io.Reader, arg2: long): void
                        public updateNClob(arg0: string, arg1: java.io.Reader): void
                        public updateNClob(arg0: string, arg1: java.io.Reader, arg2: long): void
                        public updateSQLXML(arg0: string, arg1: java.sql.SQLXML): void
                        public updateNCharacterStream(arg0: int, arg1: java.io.Reader, arg2: int): void
                        public updateNCharacterStream(arg0: string, arg1: java.io.Reader, arg2: int): void
                        public updateNClob(arg0: int, arg1: java.sql.NClob): void
                        public updateNClob(arg0: string, arg1: java.sql.NClob): void
                        public updateNString(arg0: int, arg1: string): void
                        public updateNString(arg0: string, arg1: string): void
                        public getHoldability(): int
                        public getNCharacterStream(arg0: int): java.io.Reader
                        public getNCharacterStream(arg0: string): java.io.Reader
                        public getNClob(arg0: int): java.sql.NClob
                        public getNClob(arg0: string): java.sql.NClob
                        public getNString(arg0: int): string
                        public getNString(arg0: string): string
                        public getSQLXML(arg0: int): java.sql.SQLXML
                        public getSQLXML(arg0: string): java.sql.SQLXML
                        public isClosed(): boolean
                        public isWrapperFor(arg0: java.lang.Class<any>): boolean
                        public unwrap<T>(arg0: java.lang.Class<T>): T
                        public static class: java.lang.Class<any>
                    }
                    
                }
                namespace util {
                    abstract class BaseBugReport {
                        public constructor()
                        public setUp(): void
                        public tearDown(): void
                        public runTest(): void
                        public run(): void
                        protected assertTrue(arg0: string, arg1: boolean): void
                        protected assertTrue(arg0: boolean): void
                        public getUrl(): string
                        public getConnection(): java.sql.Connection
                        public getNewConnection(): java.sql.Connection
                        public getConnection(arg0: string): java.sql.Connection
                        public getConnection(arg0: string, arg1: java.util.Properties): java.sql.Connection
                        public static class: java.lang.Class<any>
                    }
                    class ErrorMappingsDocGenerator {
                        public constructor()
                        public static main(arg0: java.lang.String[]): void
                        public static class: java.lang.Class<any>
                    }
                    class PerConnectionLRUFactory$PerConnectionLRU implements com.mysql.cj.api.CacheAdapter<java.lang.String, com.mysql.cj.jdbc.PreparedStatement$ParseInfo> {
                        protected constructor(arg0: com.mysql.cj.jdbc.util.PerConnectionLRUFactory, arg1: com.mysql.cj.api.MysqlConnection, arg2: int, arg3: int)
                        public get(arg0: string): com.mysql.cj.jdbc.PreparedStatement$ParseInfo
                        public put(arg0: string, arg1: com.mysql.cj.jdbc.PreparedStatement$ParseInfo): void
                        public invalidate(arg0: string): void
                        public invalidateAll(arg0: java.util.Set<java.lang.String>): void
                        public invalidateAll(): void
                        public invalidate(arg0: java.lang.Object): void
                        public put(arg0: java.lang.Object, arg1: java.lang.Object): void
                        public get(arg0: java.lang.Object): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class PerConnectionLRUFactory implements com.mysql.cj.api.CacheAdapterFactory<java.lang.String, com.mysql.cj.jdbc.PreparedStatement$ParseInfo> {
                        public constructor()
                        public getInstance(arg0: com.mysql.cj.api.MysqlConnection, arg1: string, arg2: int, arg3: int, arg4: java.util.Properties): com.mysql.cj.api.CacheAdapter<java.lang.String, com.mysql.cj.jdbc.PreparedStatement$ParseInfo>
                        public static class: java.lang.Class<any>
                    }
                    class PropertiesDocGenerator {
                        public constructor()
                        public static main(arg0: java.lang.String[]): void
                        public static class: java.lang.Class<any>
                    }
                    class ResultSetUtil {
                        public constructor()
                        public static appendResultSetSlashGStyle(arg0: java.lang.StringBuilder, arg1: java.sql.ResultSet): java.lang.StringBuilder
                        public static resultSetToMap(arg0: java.util.Map, arg1: java.sql.ResultSet): void
                        public static resultSetToMap(arg0: java.util.Map, arg1: java.sql.ResultSet, arg2: int, arg3: int): void
                        public static readObject(arg0: java.sql.ResultSet, arg1: int): java.lang.Object
                        public static convertShowWarningsToSQLWarnings(arg0: com.mysql.cj.api.MysqlConnection): java.sql.SQLWarning
                        public static convertShowWarningsToSQLWarnings(arg0: com.mysql.cj.api.MysqlConnection, arg1: int, arg2: boolean): java.sql.SQLWarning
                        public static appendDeadlockStatusInformation(arg0: com.mysql.cj.api.MysqlConnection, arg1: string, arg2: java.lang.StringBuilder): void
                        public static class: java.lang.Class<any>
                    }
                    class TimeUtil {
                        protected static systemNanoTimeMethod: java.lang.reflect.Method
                        public constructor()
                        public static nanoTimeAvailable(): boolean
                        public static getCurrentTimeNanosOrMillis(): long
                        public static getCanonicalTimezone(arg0: string, arg1: com.mysql.cj.api.exceptions.ExceptionInterceptor): string
                        public static formatNanos(arg0: int, arg1: boolean): string
                        public static truncateFractionalSeconds(arg0: java.sql.Timestamp): java.sql.Timestamp
                        public static class: java.lang.Class<any>
                    }
                    
                }
                
            }
            namespace mysqla {
                class MysqlaConstants {
                    public static MAX_PACKET_SIZE: int
                    public static HEADER_LENGTH: int
                    public static SEED_LENGTH: int
                    public static TYPE_ID_ERROR: short
                    public static TYPE_ID_EOF: short
                    public static TYPE_ID_LOCAL_INFILE: short
                    public static TYPE_ID_OK: short
                    public static BIN_LEN_INT1: int
                    public static BIN_LEN_INT2: int
                    public static BIN_LEN_INT4: int
                    public static BIN_LEN_INT8: int
                    public static BIN_LEN_FLOAT: int
                    public static BIN_LEN_DOUBLE: int
                    public static BIN_LEN_DATE: int
                    public static BIN_LEN_TIMESTAMP: int
                    public static BIN_LEN_TIMESTAMP_NO_US: int
                    public static BIN_LEN_TIME: int
                    public static BIN_LEN_TIME_NO_US: int
                    public static COM_SLEEP: int
                    public static COM_QUIT: int
                    public static COM_INIT_DB: int
                    public static COM_QUERY: int
                    public static COM_FIELD_LIST: int
                    public static COM_CREATE_DB: int
                    public static COM_DROP_DB: int
                    public static COM_REFRESH: int
                    public static COM_SHUTDOWN: int
                    public static COM_STATISTICS: int
                    public static COM_PROCESS_INFO: int
                    public static COM_CONNECT: int
                    public static COM_PROCESS_KILL: int
                    public static COM_DEBUG: int
                    public static COM_PING: int
                    public static COM_TIME: int
                    public static COM_DELAYED_INSERT: int
                    public static COM_CHANGE_USER: int
                    public static COM_BINLOG_DUMP: int
                    public static COM_TABLE_DUMP: int
                    public static COM_CONNECT_OUT: int
                    public static COM_REGISTER_SLAVE: int
                    public static COM_STMT_PREPARE: int
                    public static COM_STMT_EXECUTE: int
                    public static COM_STMT_SEND_LONG_DATA: int
                    public static COM_STMT_CLOSE: int
                    public static COM_STMT_RESET: int
                    public static COM_SET_OPTION: int
                    public static COM_STMT_FETCH: int
                    public static COM_DAEMON: int
                    public static COM_BINLOG_DUMP_GTID: int
                    public static COM_RESET_CONNECTION: int
                    public static FIELD_TYPE_DECIMAL: int
                    public static FIELD_TYPE_TINY: int
                    public static FIELD_TYPE_SHORT: int
                    public static FIELD_TYPE_LONG: int
                    public static FIELD_TYPE_FLOAT: int
                    public static FIELD_TYPE_DOUBLE: int
                    public static FIELD_TYPE_NULL: int
                    public static FIELD_TYPE_TIMESTAMP: int
                    public static FIELD_TYPE_LONGLONG: int
                    public static FIELD_TYPE_INT24: int
                    public static FIELD_TYPE_DATE: int
                    public static FIELD_TYPE_TIME: int
                    public static FIELD_TYPE_DATETIME: int
                    public static FIELD_TYPE_YEAR: int
                    public static FIELD_TYPE_VARCHAR: int
                    public static FIELD_TYPE_BIT: int
                    public static FIELD_TYPE_JSON: int
                    public static FIELD_TYPE_NEWDECIMAL: int
                    public static FIELD_TYPE_ENUM: int
                    public static FIELD_TYPE_SET: int
                    public static FIELD_TYPE_TINY_BLOB: int
                    public static FIELD_TYPE_MEDIUM_BLOB: int
                    public static FIELD_TYPE_LONG_BLOB: int
                    public static FIELD_TYPE_BLOB: int
                    public static FIELD_TYPE_VAR_STRING: int
                    public static FIELD_TYPE_STRING: int
                    public static FIELD_TYPE_GEOMETRY: int
                    public static NO_CHARSET_INFO: int
                    public constructor()
                    public static class: java.lang.Class<any>
                }
                class MysqlaSession$1 implements java.lang.Runnable {
                    public run(): void
                    public static class: java.lang.Class<any>
                }
                class MysqlaSession extends com.mysql.cj.core.AbstractSession implements com.mysql.cj.api.Session , java.io.Serializable {
                    protected protocol: com.mysql.cj.mysqla.io.MysqlaProtocol
                    protected socketTimeout: com.mysql.cj.api.conf.ModifiableProperty<java.lang.Integer>
                    public constructor(arg0: com.mysql.cj.core.conf.url.HostInfo, arg1: com.mysql.cj.api.conf.PropertySet)
                    public connect(arg0: com.mysql.cj.api.MysqlConnection, arg1: com.mysql.cj.core.conf.url.HostInfo, arg2: java.util.Properties, arg3: string, arg4: string, arg5: string, arg6: int): void
                    public getProtocol(): com.mysql.cj.mysqla.io.MysqlaProtocol
                    public changeUser(arg0: string, arg1: string, arg2: string): void
                    public characterSetNamesMatches(arg0: string): boolean
                    public getServerVariable(arg0: string): string
                    public getServerVariable(arg0: string, arg1: int): int
                    public inTransactionOnServer(): boolean
                    public getServerDefaultCollationIndex(): int
                    public setServerDefaultCollationIndex(arg0: int): void
                    public getServerVariables(): java.util.Map<java.lang.String, java.lang.String>
                    public setServerVariables(arg0: java.util.Map<java.lang.String, java.lang.String>): void
                    public abortInternal(): void
                    public quit(): void
                    public forceClose(): void
                    public getServerVersion(): com.mysql.cj.core.ServerVersion
                    public versionMeetsMinimum(arg0: int, arg1: int, arg2: int): boolean
                    public enableMultiQueries(): void
                    public disableMultiQueries(): void
                    public getThreadId(): long
                    public isSetNeededForAutoCommitMode(arg0: boolean): boolean
                    public configureTimezone(): void
                    public getDefaultTimeZone(): java.util.TimeZone
                    public getErrorMessageEncoding(): string
                    public setErrorMessageEncoding(arg0: string): void
                    public getServerCharset(): string
                    public getMaxBytesPerChar(arg0: string): int
                    public getMaxBytesPerChar(arg0: java.lang.Integer, arg1: string): int
                    public getEncodingForIndex(arg0: int): string
                    public getSessionMaxRows(): int
                    public setSessionMaxRows(arg0: int): void
                    public getHostInfo(): com.mysql.cj.core.conf.url.HostInfo
                    public setCharsetMaps(arg0: java.util.Map<java.lang.Integer, java.lang.String>, arg1: java.util.Map<java.lang.Integer, java.lang.String>, arg2: java.util.Map<java.lang.String, java.lang.Integer>): void
                    public setStatementInterceptors(arg0: java.util.List<com.mysql.cj.api.jdbc.interceptors.StatementInterceptor>): void
                    public isServerLocal(arg0: com.mysql.cj.api.jdbc.JdbcConnection): boolean
                    public shutdownServer(): void
                    public setSocketTimeout(arg0: java.util.concurrent.Executor | java.util.concurrent.Executor$$Lambda, arg1: int): void
                    public getSocketTimeout(): int
                    public sqlQueryDirect<T extends com.mysql.cj.api.mysqla.result.Resultset>(arg0: com.mysql.cj.jdbc.StatementImpl, arg1: string, arg2: string, arg3: com.mysql.cj.api.mysqla.io.PacketPayload, arg4: int, arg5: boolean, arg6: string, arg7: com.mysql.cj.api.mysqla.result.ColumnDefinition, arg8: com.mysql.cj.api.mysqla.io.ProtocolEntityFactory<T>): T
                    public checkForCharsetMismatch(): void
                    public getSharedSendPacket(): com.mysql.cj.api.mysqla.io.PacketPayload
                    public dumpPacketRingBuffer(): void
                    public invokeStatementInterceptorsPre<T extends com.mysql.cj.api.mysqla.result.Resultset>(arg0: string, arg1: com.mysql.cj.api.jdbc.Statement, arg2: boolean): T
                    public invokeStatementInterceptorsPost<T extends com.mysql.cj.api.mysqla.result.Resultset>(arg0: string, arg1: com.mysql.cj.api.jdbc.Statement, arg2: T, arg3: boolean, arg4: java.lang.Exception): T
                    public shouldIntercept<T extends com.mysql.cj.api.mysqla.result.Resultset>(): boolean
                    public getCurrentTimeNanosOrMillis<T extends com.mysql.cj.api.mysqla.result.Resultset>(): long
                    public sendCommand<T extends com.mysql.cj.api.mysqla.result.Resultset>(arg0: int, arg1: string, arg2: com.mysql.cj.api.mysqla.io.PacketPayload, arg3: boolean, arg4: string, arg5: int): com.mysql.cj.api.mysqla.io.PacketPayload
                    public getSlowQueryThreshold<T extends com.mysql.cj.api.mysqla.result.Resultset>(): long
                    public getQueryTimingUnits<T extends com.mysql.cj.api.mysqla.result.Resultset>(): string
                    public explainSlowQuery<T extends com.mysql.cj.api.mysqla.result.Resultset>(arg0: byte[], arg1: string): void
                    public hadWarnings<T extends com.mysql.cj.api.mysqla.result.Resultset>(): boolean
                    public clearInputStream<T extends com.mysql.cj.api.mysqla.result.Resultset>(): void
                    public readPacket<T extends com.mysql.cj.api.mysqla.result.Resultset>(): com.mysql.cj.api.mysqla.io.PacketPayload
                    public getNetworkResources<T extends com.mysql.cj.api.mysqla.result.Resultset>(): com.mysql.cj.core.io.NetworkResources
                    public getServerSession<T extends com.mysql.cj.api.mysqla.result.Resultset>(): com.mysql.cj.mysqla.io.MysqlaServerSession
                    public isSSLEstablished<T extends com.mysql.cj.api.mysqla.result.Resultset>(): boolean
                    public getCommandCount<T extends com.mysql.cj.api.mysqla.result.Resultset>(): int
                    public getRemoteSocketAddress<T extends com.mysql.cj.api.mysqla.result.Resultset>(): java.net.SocketAddress
                    public serverSupportsFracSecs<T extends com.mysql.cj.api.mysqla.result.Resultset>(): boolean
                    public getProfilerEventHandlerInstanceFunction<T extends com.mysql.cj.api.mysqla.result.Resultset>(): com.mysql.cj.api.ProfilerEventHandler
                    public getLocalInfileInputStream<T extends com.mysql.cj.api.mysqla.result.Resultset>(): java.io.InputStream
                    public setLocalInfileInputStream<T extends com.mysql.cj.api.mysqla.result.Resultset>(arg0: java.io.InputStream): void
                    public getServerSession<T extends com.mysql.cj.api.mysqla.result.Resultset>(): com.mysql.cj.api.io.ServerSession
                    public static class: java.lang.Class<any>
                }
                class MysqlaUtils {
                    public static encodeMysqlThreeByteInteger(arg0: int): byte[]
                    public static encodeMysqlThreeByteInteger(arg0: int, arg1: byte[], arg2: int): void
                    public static decodeMysqlThreeByteInteger(arg0: byte[]): int
                    public static decodeMysqlThreeByteInteger(arg0: byte[], arg1: int): int
                    public static bitToLong(arg0: byte[], arg1: int, arg2: int): long
                    public static extractSqlFromPacket(arg0: string, arg1: com.mysql.cj.api.mysqla.io.PacketPayload, arg2: int, arg3: int): string
                    public static getBinaryEncodedLength(arg0: int): int
                    public static class: java.lang.Class<any>
                }
                namespace authentication {
                    class MysqlClearPasswordPlugin implements com.mysql.cj.api.mysqla.authentication.AuthenticationPlugin {
                        public constructor()
                        public init(arg0: com.mysql.cj.api.io.Protocol): void
                        public destroy(): void
                        public getProtocolPluginName(): string
                        public requiresConfidentiality(): boolean
                        public isReusable(): boolean
                        public setAuthenticationParameters(arg0: string, arg1: string): void
                        public nextAuthenticationStep(arg0: com.mysql.cj.api.mysqla.io.PacketPayload, arg1: java.util.List<com.mysql.cj.api.mysqla.io.PacketPayload>): boolean
                        public static class: java.lang.Class<any>
                    }
                    class MysqlNativePasswordPlugin implements com.mysql.cj.api.mysqla.authentication.AuthenticationPlugin {
                        public constructor()
                        public init(arg0: com.mysql.cj.api.io.Protocol): void
                        public destroy(): void
                        public getProtocolPluginName(): string
                        public requiresConfidentiality(): boolean
                        public isReusable(): boolean
                        public setAuthenticationParameters(arg0: string, arg1: string): void
                        public nextAuthenticationStep(arg0: com.mysql.cj.api.mysqla.io.PacketPayload, arg1: java.util.List<com.mysql.cj.api.mysqla.io.PacketPayload>): boolean
                        public static class: java.lang.Class<any>
                    }
                    class MysqlOldPasswordPlugin implements com.mysql.cj.api.mysqla.authentication.AuthenticationPlugin {
                        public constructor()
                        public init(arg0: com.mysql.cj.api.io.Protocol): void
                        public destroy(): void
                        public getProtocolPluginName(): string
                        public requiresConfidentiality(): boolean
                        public isReusable(): boolean
                        public setAuthenticationParameters(arg0: string, arg1: string): void
                        public nextAuthenticationStep(arg0: com.mysql.cj.api.mysqla.io.PacketPayload, arg1: java.util.List<com.mysql.cj.api.mysqla.io.PacketPayload>): boolean
                        public static class: java.lang.Class<any>
                    }
                    class MysqlaAuthenticationProvider implements com.mysql.cj.api.authentication.AuthenticationProvider {
                        protected static AUTH_411_OVERHEAD: int
                        protected seed: string
                        public constructor(arg0: com.mysql.cj.api.log.Log)
                        public init(arg0: com.mysql.cj.api.io.Protocol, arg1: com.mysql.cj.api.conf.PropertySet, arg2: com.mysql.cj.api.exceptions.ExceptionInterceptor): void
                        public connect(arg0: com.mysql.cj.api.io.ServerSession, arg1: string, arg2: string, arg3: string): void
                        public getEncodingForHandshake(): string
                        public getExceptionInterceptor(): com.mysql.cj.api.exceptions.ExceptionInterceptor
                        public changeUser(arg0: com.mysql.cj.api.io.ServerSession, arg1: string, arg2: string, arg3: string): void
                        public static class: java.lang.Class<any>
                    }
                    class Sha256PasswordPlugin implements com.mysql.cj.api.mysqla.authentication.AuthenticationPlugin {
                        public static PLUGIN_NAME: string
                        public constructor()
                        public init(arg0: com.mysql.cj.api.io.Protocol): void
                        public destroy(): void
                        public getProtocolPluginName(): string
                        public requiresConfidentiality(): boolean
                        public isReusable(): boolean
                        public setAuthenticationParameters(arg0: string, arg1: string): void
                        public nextAuthenticationStep(arg0: com.mysql.cj.api.mysqla.io.PacketPayload, arg1: java.util.List<com.mysql.cj.api.mysqla.io.PacketPayload>): boolean
                        public static class: java.lang.Class<any>
                    }
                    
                }
                namespace io {
                    abstract class AbstractRowFactory implements com.mysql.cj.api.mysqla.io.ProtocolEntityFactory<com.mysql.cj.api.mysqla.result.ResultsetRow> {
                        protected columnDefinition: com.mysql.cj.api.mysqla.result.ColumnDefinition
                        protected resultSetConcurrency: com.mysql.cj.api.mysqla.result.Resultset$Concurrency
                        protected canReuseRowPacketForBufferRow: boolean
                        protected useBufferRowSizeThreshold: com.mysql.cj.api.conf.ReadableProperty<java.lang.Integer>
                        protected exceptionInterceptor: com.mysql.cj.api.exceptions.ExceptionInterceptor
                        protected valueDecoder: com.mysql.cj.api.io.ValueDecoder
                        public constructor()
                        public canReuseRowPacketForBufferRow(): boolean
                        public static class: java.lang.Class<any>
                    }
                    class BinaryResultsetReader implements com.mysql.cj.api.mysqla.io.ProtocolEntityReader<com.mysql.cj.api.mysqla.result.Resultset> {
                        protected protocol: com.mysql.cj.mysqla.io.MysqlaProtocol
                        public constructor(arg0: com.mysql.cj.mysqla.io.MysqlaProtocol)
                        public read(arg0: int, arg1: boolean, arg2: com.mysql.cj.api.mysqla.io.PacketPayload, arg3: com.mysql.cj.api.mysqla.result.ColumnDefinition, arg4: com.mysql.cj.api.mysqla.io.ProtocolEntityFactory<com.mysql.cj.api.mysqla.result.Resultset>): com.mysql.cj.api.mysqla.result.Resultset
                        public read(arg0: int, arg1: boolean, arg2: com.mysql.cj.api.mysqla.io.PacketPayload, arg3: com.mysql.cj.api.mysqla.result.ColumnDefinition, arg4: com.mysql.cj.api.mysqla.io.ProtocolEntityFactory): com.mysql.cj.api.mysqla.result.ProtocolEntity
                        public static class: java.lang.Class<any>
                    }
                    class BinaryRowFactory extends com.mysql.cj.mysqla.io.AbstractRowFactory implements com.mysql.cj.api.mysqla.io.ProtocolEntityFactory<com.mysql.cj.api.mysqla.result.ResultsetRow> {
                        public constructor(arg0: com.mysql.cj.mysqla.io.MysqlaProtocol, arg1: com.mysql.cj.api.mysqla.result.ColumnDefinition, arg2: com.mysql.cj.api.mysqla.result.Resultset$Concurrency, arg3: boolean)
                        public createFromPacketPayload(arg0: com.mysql.cj.api.mysqla.io.PacketPayload): com.mysql.cj.api.mysqla.result.ResultsetRow
                        public canReuseRowPacketForBufferRow(): boolean
                        public createFromPacketPayload(arg0: com.mysql.cj.api.mysqla.io.PacketPayload): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class Buffer$1 {
                        public static class: java.lang.Class<any>
                    }
                    class Buffer implements com.mysql.cj.api.mysqla.io.PacketPayload {
                        public toString(): string
                        public toSuperString(): string
                        public constructor(arg0: byte[])
                        public constructor(arg0: int)
                        public getCapacity(): int
                        public ensureCapacity(arg0: int): void
                        public getByteBuffer(): byte[]
                        public setByteBuffer(arg0: byte[]): void
                        public getPayloadLength(): int
                        public setPayloadLength(arg0: int): void
                        public getPosition(): int
                        public setPosition(arg0: int): void
                        public isEOFPacket(): boolean
                        public isAuthMethodSwitchRequestPacket(): boolean
                        public isOKPacket(): boolean
                        public isResultSetOKPacket(): boolean
                        public isAuthMoreData(): boolean
                        public writeInteger(arg0: com.mysql.cj.api.mysqla.io.NativeProtocol$IntegerDataType, arg1: long): void
                        public readInteger(arg0: com.mysql.cj.api.mysqla.io.NativeProtocol$IntegerDataType): long
                        public writeBytes(arg0: com.mysql.cj.api.mysqla.io.NativeProtocol$StringSelfDataType, arg1: byte[]): void
                        public writeBytes(arg0: com.mysql.cj.api.mysqla.io.NativeProtocol$StringLengthDataType, arg1: byte[]): void
                        public writeBytes(arg0: com.mysql.cj.api.mysqla.io.NativeProtocol$StringSelfDataType, arg1: byte[], arg2: int, arg3: int): void
                        public writeBytes(arg0: com.mysql.cj.api.mysqla.io.NativeProtocol$StringLengthDataType, arg1: byte[], arg2: int, arg3: int): void
                        public readBytes(arg0: com.mysql.cj.api.mysqla.io.NativeProtocol$StringSelfDataType): byte[]
                        public skipBytes(arg0: com.mysql.cj.api.mysqla.io.NativeProtocol$StringSelfDataType): void
                        public readBytes(arg0: com.mysql.cj.api.mysqla.io.NativeProtocol$StringLengthDataType, arg1: int): byte[]
                        public readString(arg0: com.mysql.cj.api.mysqla.io.NativeProtocol$StringSelfDataType, arg1: string): string
                        public readString(arg0: com.mysql.cj.api.mysqla.io.NativeProtocol$StringLengthDataType, arg1: string, arg2: int): string
                        public static class: java.lang.Class<any>
                    }
                    class ColumnDefinitionFactory implements com.mysql.cj.api.mysqla.io.ProtocolEntityFactory<com.mysql.cj.api.mysqla.result.ColumnDefinition> {
                        protected columnCount: long
                        protected columnDefinitionFromCache: com.mysql.cj.api.mysqla.result.ColumnDefinition
                        public constructor(arg0: long, arg1: com.mysql.cj.api.mysqla.result.ColumnDefinition)
                        public getColumnCount(): long
                        public getColumnDefinitionFromCache(): com.mysql.cj.api.mysqla.result.ColumnDefinition
                        public createFromPacketPayload(arg0: com.mysql.cj.api.mysqla.io.PacketPayload): com.mysql.cj.api.mysqla.result.ColumnDefinition
                        public mergeColumnDefinitions(): boolean
                        public createFromFields(arg0: com.mysql.cj.core.result.Field[]): com.mysql.cj.api.mysqla.result.ColumnDefinition
                        public createFromPacketPayload(arg0: com.mysql.cj.api.mysqla.io.PacketPayload): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class ColumnDefinitionReader implements com.mysql.cj.api.mysqla.io.ProtocolEntityReader<com.mysql.cj.api.mysqla.result.ColumnDefinition> {
                        public constructor(arg0: com.mysql.cj.mysqla.io.MysqlaProtocol)
                        public read(arg0: com.mysql.cj.api.mysqla.io.ProtocolEntityFactory<com.mysql.cj.api.mysqla.result.ColumnDefinition>): com.mysql.cj.api.mysqla.result.ColumnDefinition
                        protected unpackField(arg0: com.mysql.cj.api.mysqla.io.PacketPayload, arg1: string): com.mysql.cj.core.result.Field
                        public read(arg0: com.mysql.cj.api.mysqla.io.ProtocolEntityFactory): com.mysql.cj.api.mysqla.result.ProtocolEntity
                        public static class: java.lang.Class<any>
                    }
                    class CompressedInputStream extends java.io.InputStream {
                        public constructor(arg0: java.io.InputStream, arg1: com.mysql.cj.api.conf.ReadableProperty<java.lang.Boolean>, arg2: com.mysql.cj.api.log.Log)
                        public available(): int
                        public close(): void
                        public read(): int
                        public read(arg0: byte[]): int
                        public read(arg0: byte[], arg1: int, arg2: int): int
                        public skip(arg0: long): long
                        public static class: java.lang.Class<any>
                    }
                    class CompressedPacketSender implements com.mysql.cj.api.mysqla.io.PacketSender {
                        public static COMP_HEADER_LENGTH: int
                        public static MIN_COMPRESS_LEN: int
                        public constructor(arg0: java.io.BufferedOutputStream)
                        public stop(): void
                        public send(arg0: byte[], arg1: int, arg2: byte): void
                        public undecorateAll(): com.mysql.cj.api.mysqla.io.PacketSender
                        public undecorate(): com.mysql.cj.api.mysqla.io.PacketSender
                        public static class: java.lang.Class<any>
                    }
                    class DebugBufferingPacketReader implements com.mysql.cj.api.mysqla.io.PacketReader {
                        public constructor(arg0: com.mysql.cj.api.mysqla.io.PacketReader, arg1: java.util.LinkedList<java.lang.StringBuilder>, arg2: com.mysql.cj.api.conf.ReadableProperty<java.lang.Integer>)
                        public readHeader(): com.mysql.cj.api.mysqla.io.PacketHeader
                        public readPayload(arg0: java.util.Optional<com.mysql.cj.api.mysqla.io.PacketPayload>, arg1: int): com.mysql.cj.api.mysqla.io.PacketPayload
                        public getPacketSequence(): byte
                        public resetPacketSequence(): void
                        public undecorateAll(): com.mysql.cj.api.mysqla.io.PacketReader
                        public undecorate(): com.mysql.cj.api.mysqla.io.PacketReader
                        public static class: java.lang.Class<any>
                    }
                    class DebugBufferingPacketSender implements com.mysql.cj.api.mysqla.io.PacketSender {
                        public constructor(arg0: com.mysql.cj.api.mysqla.io.PacketSender, arg1: java.util.LinkedList<java.lang.StringBuilder>, arg2: com.mysql.cj.api.conf.ReadableProperty<java.lang.Integer>)
                        public setMaxPacketDumpLength(arg0: int): void
                        public send(arg0: byte[], arg1: int, arg2: byte): void
                        public undecorateAll(): com.mysql.cj.api.mysqla.io.PacketSender
                        public undecorate(): com.mysql.cj.api.mysqla.io.PacketSender
                        public static class: java.lang.Class<any>
                    }
                    class DefaultPacketHeader implements com.mysql.cj.api.mysqla.io.PacketHeader {
                        protected packetHeaderBuf: byte[]
                        public constructor()
                        public getBuffer(): byte[]
                        public getPacketLength(): int
                        public getPacketSequence(): byte
                        public static class: java.lang.Class<any>
                    }
                    class MergingColumnDefinitionFactory extends com.mysql.cj.mysqla.io.ColumnDefinitionFactory implements com.mysql.cj.api.mysqla.io.ProtocolEntityFactory<com.mysql.cj.api.mysqla.result.ColumnDefinition> {
                        public constructor(arg0: long, arg1: com.mysql.cj.api.mysqla.result.ColumnDefinition)
                        public mergeColumnDefinitions(): boolean
                        public createFromFields(arg0: com.mysql.cj.core.result.Field[]): com.mysql.cj.api.mysqla.result.ColumnDefinition
                        public static class: java.lang.Class<any>
                    }
                    class MultiPacketReader implements com.mysql.cj.api.mysqla.io.PacketReader {
                        public constructor(arg0: com.mysql.cj.api.mysqla.io.PacketReader)
                        public readHeader(): com.mysql.cj.api.mysqla.io.PacketHeader
                        public readPayload(arg0: java.util.Optional<com.mysql.cj.api.mysqla.io.PacketPayload>, arg1: int): com.mysql.cj.api.mysqla.io.PacketPayload
                        public getPacketSequence(): byte
                        public resetPacketSequence(): void
                        public undecorateAll(): com.mysql.cj.api.mysqla.io.PacketReader
                        public undecorate(): com.mysql.cj.api.mysqla.io.PacketReader
                        public static class: java.lang.Class<any>
                    }
                    class MysqlaCapabilities implements com.mysql.cj.api.io.ServerCapabilities {
                        public constructor()
                        public getInitialHandshakePacket(): com.mysql.cj.api.mysqla.io.PacketPayload
                        public setInitialHandshakePacket(arg0: com.mysql.cj.api.mysqla.io.PacketPayload): void
                        public getCapabilityFlags(): int
                        public setCapabilityFlags(arg0: int): void
                        public getProtocolVersion(): byte
                        public setProtocolVersion(arg0: byte): void
                        public getServerVersion(): com.mysql.cj.core.ServerVersion
                        public setServerVersion(arg0: com.mysql.cj.core.ServerVersion): void
                        public getThreadId(): long
                        public setThreadId(arg0: long): void
                        public getSeed(): string
                        public setSeed(arg0: string): void
                        public getServerDefaultCollationIndex(): int
                        public setServerDefaultCollationIndex(arg0: int): void
                        public getStatusFlags(): int
                        public setStatusFlags(arg0: int): void
                        public getAuthPluginDataLength(): int
                        public setAuthPluginDataLength(arg0: int): void
                        public static class: java.lang.Class<any>
                    }
                    class MysqlaProtocol$1 implements com.mysql.cj.api.io.PacketSentTimeHolder {
                        public getLastPacketSentTime(): long
                        public static class: java.lang.Class<any>
                    }
                    class MysqlaProtocol$2 implements com.mysql.cj.api.io.PacketReceivedTimeHolder {
                        public getLastPacketReceivedTime(): long
                        public static class: java.lang.Class<any>
                    }
                    class MysqlaProtocol extends com.mysql.cj.core.io.AbstractProtocol implements com.mysql.cj.api.mysqla.io.NativeProtocol , com.mysql.cj.api.conf.RuntimeProperty$RuntimePropertyListener {
                        protected static INITIAL_PACKET_SIZE: int
                        protected static COMP_HEADER_LENGTH: int
                        protected static MAX_QUERY_SIZE_TO_EXPLAIN: int
                        protected packetSender: com.mysql.cj.api.mysqla.io.PacketSender
                        protected packetReader: com.mysql.cj.api.mysqla.io.PacketReader
                        protected serverSession: com.mysql.cj.mysqla.io.MysqlaServerSession
                        protected compressedPacketSender: com.mysql.cj.mysqla.io.CompressedPacketSender
                        protected sharedSendPacket: com.mysql.cj.api.mysqla.io.PacketPayload
                        protected reusablePacket: com.mysql.cj.api.mysqla.io.PacketPayload
                        protected packetSequence: byte
                        protected useCompression: boolean
                        protected hadWarnings: boolean
                        protected PROTOCOL_ENTITY_CLASS_TO_TEXT_READER: java.util.Map<java.lang.Class<com.mysql.cj.api.mysqla.result.ProtocolEntity>, com.mysql.cj.api.mysqla.io.ProtocolEntityReader<com.mysql.cj.api.mysqla.result.ProtocolEntity>>
                        protected PROTOCOL_ENTITY_CLASS_TO_BINARY_READER: java.util.Map<java.lang.Class<com.mysql.cj.api.mysqla.result.ProtocolEntity>, com.mysql.cj.api.mysqla.io.ProtocolEntityReader<com.mysql.cj.api.mysqla.result.ProtocolEntity>>
                        protected platformDbCharsetMatches: boolean
                        public static getInstance(arg0: com.mysql.cj.api.MysqlConnection, arg1: com.mysql.cj.api.io.SocketConnection, arg2: com.mysql.cj.api.conf.PropertySet, arg3: com.mysql.cj.api.log.Log): com.mysql.cj.mysqla.io.MysqlaProtocol
                        public constructor(arg0: com.mysql.cj.api.log.Log)
                        public init(arg0: com.mysql.cj.api.MysqlConnection, arg1: int, arg2: com.mysql.cj.api.io.SocketConnection, arg3: com.mysql.cj.api.conf.PropertySet): void
                        public getPacketSender(): com.mysql.cj.api.mysqla.io.PacketSender
                        public getPacketReader(): com.mysql.cj.api.mysqla.io.PacketReader
                        public negotiateSSLConnection(arg0: int): void
                        public rejectConnection(arg0: string): void
                        public rejectProtocol(arg0: com.mysql.cj.api.mysqla.io.PacketPayload): void
                        public beforeHandshake(): void
                        public afterHandshake(): void
                        public handlePropertyChange(arg0: com.mysql.cj.api.conf.RuntimeProperty<any>): void
                        public applyPacketDecorators(arg0: com.mysql.cj.api.mysqla.io.PacketSender, arg1: com.mysql.cj.api.mysqla.io.PacketReader): void
                        public readServerCapabilities(): com.mysql.cj.mysqla.io.MysqlaCapabilities
                        public getServerSession(): com.mysql.cj.mysqla.io.MysqlaServerSession
                        public changeDatabase(arg0: string): void
                        public readPacket(arg0: com.mysql.cj.api.mysqla.io.PacketPayload): com.mysql.cj.api.mysqla.io.PacketPayload
                        public send(arg0: com.mysql.cj.api.mysqla.io.PacketPayload, arg1: int): void
                        public sendCommand(arg0: int, arg1: string, arg2: com.mysql.cj.api.mysqla.io.PacketPayload, arg3: boolean, arg4: string, arg5: int): com.mysql.cj.api.mysqla.io.PacketPayload
                        public checkTransactionState(): void
                        public checkErrorPacket(): com.mysql.cj.api.mysqla.io.PacketPayload
                        public checkErrorPacket(arg0: com.mysql.cj.api.mysqla.io.PacketPayload): void
                        public clearInputStream(): void
                        public reclaimLargeReusablePacket(): void
                        public sqlQueryDirect<T extends com.mysql.cj.api.mysqla.result.Resultset>(arg0: com.mysql.cj.jdbc.StatementImpl, arg1: string, arg2: string, arg3: com.mysql.cj.api.mysqla.io.PacketPayload, arg4: int, arg5: boolean, arg6: string, arg7: com.mysql.cj.api.mysqla.result.ColumnDefinition, arg8: com.mysql.cj.api.io.Protocol$GetProfilerEventHandlerInstanceFunction | com.mysql.cj.api.io.Protocol$GetProfilerEventHandlerInstanceFunction, arg9: com.mysql.cj.api.mysqla.io.ProtocolEntityFactory<T>): T
                        public invokeStatementInterceptorsPre<T extends com.mysql.cj.api.mysqla.result.Resultset>(arg0: string, arg1: com.mysql.cj.api.jdbc.Statement, arg2: boolean): T
                        public invokeStatementInterceptorsPost<T extends com.mysql.cj.api.mysqla.result.Resultset>(arg0: string, arg1: com.mysql.cj.api.jdbc.Statement, arg2: T, arg3: boolean, arg4: java.lang.Exception): T
                        public getCurrentTimeNanosOrMillis<T extends com.mysql.cj.api.mysqla.result.Resultset>(): long
                        public hadWarnings<T extends com.mysql.cj.api.mysqla.result.Resultset>(): boolean
                        public setHadWarnings<T extends com.mysql.cj.api.mysqla.result.Resultset>(arg0: boolean): void
                        public explainSlowQuery<T extends com.mysql.cj.api.mysqla.result.Resultset>(arg0: byte[], arg1: string): void
                        public skipPacket<T extends com.mysql.cj.api.mysqla.result.Resultset>(): void
                        public quit<T extends com.mysql.cj.api.mysqla.result.Resultset>(): void
                        public getSharedSendPacket<T extends com.mysql.cj.api.mysqla.result.Resultset>(): com.mysql.cj.api.mysqla.io.PacketPayload
                        public changeUser<T extends com.mysql.cj.api.mysqla.result.Resultset>(arg0: string, arg1: string, arg2: string): void
                        public checkForCharsetMismatch<T extends com.mysql.cj.api.mysqla.result.Resultset>(): void
                        public setServerSlowQueryFlags<T extends com.mysql.cj.api.mysqla.result.Resultset>(): void
                        protected useNanosForElapsedTime<T extends com.mysql.cj.api.mysqla.result.Resultset>(): boolean
                        public getSlowQueryThreshold<T extends com.mysql.cj.api.mysqla.result.Resultset>(): long
                        public getQueryTimingUnits<T extends com.mysql.cj.api.mysqla.result.Resultset>(): string
                        public getCommandCount<T extends com.mysql.cj.api.mysqla.result.Resultset>(): int
                        public setStatementInterceptors<T extends com.mysql.cj.api.mysqla.result.Resultset>(arg0: java.util.List<com.mysql.cj.api.jdbc.interceptors.StatementInterceptor>): void
                        public getStatementInterceptors<T extends com.mysql.cj.api.mysqla.result.Resultset>(): java.util.List<com.mysql.cj.api.jdbc.interceptors.StatementInterceptor>
                        public setSocketTimeout<T extends com.mysql.cj.api.mysqla.result.Resultset>(arg0: int): void
                        public releaseResources<T extends com.mysql.cj.api.mysqla.result.Resultset>(): void
                        public connect<T extends com.mysql.cj.api.mysqla.result.Resultset>(arg0: string, arg1: string, arg2: string): void
                        public getConnection<T extends com.mysql.cj.api.mysqla.result.Resultset>(): com.mysql.cj.api.jdbc.JdbcConnection
                        public setConnection<T extends com.mysql.cj.api.mysqla.result.Resultset>(arg0: com.mysql.cj.api.jdbc.JdbcConnection): void
                        protected isDataAvailable<T extends com.mysql.cj.api.mysqla.result.Resultset>(): boolean
                        public getReusablePacket<T extends com.mysql.cj.api.mysqla.result.Resultset>(): com.mysql.cj.api.mysqla.io.PacketPayload
                        public getWarningCount<T extends com.mysql.cj.api.mysqla.result.Resultset>(): int
                        public setWarningCount<T extends com.mysql.cj.api.mysqla.result.Resultset>(arg0: int): void
                        public dumpPacketRingBuffer<T extends com.mysql.cj.api.mysqla.result.Resultset>(): void
                        public doesPlatformDbCharsetMatches<T extends com.mysql.cj.api.mysqla.result.Resultset>(): boolean
                        public getPasswordCharacterEncoding<T extends com.mysql.cj.api.mysqla.result.Resultset>(): string
                        public versionMeetsMinimum<T extends com.mysql.cj.api.mysqla.result.Resultset>(arg0: int, arg1: int, arg2: int): boolean
                        public static findMysqlType<T extends com.mysql.cj.api.mysqla.result.Resultset>(arg0: com.mysql.cj.api.conf.PropertySet, arg1: int, arg2: short, arg3: long, arg4: com.mysql.cj.core.util.LazyString, arg5: com.mysql.cj.core.util.LazyString, arg6: int, arg7: string): com.mysql.cj.core.MysqlType
                        public read<T extends com.mysql.cj.api.mysqla.result.ProtocolEntity>(arg0: java.lang.Class<T>, arg1: com.mysql.cj.api.mysqla.io.ProtocolEntityFactory<T>): T
                        public read<T extends com.mysql.cj.api.mysqla.result.ProtocolEntity>(arg0: java.lang.Class<com.mysql.cj.api.mysqla.result.Resultset>, arg1: int, arg2: boolean, arg3: com.mysql.cj.api.mysqla.io.PacketPayload, arg4: boolean, arg5: com.mysql.cj.api.mysqla.result.ColumnDefinition, arg6: com.mysql.cj.api.mysqla.io.ProtocolEntityFactory<T>): T
                        public readNextResultset<T extends com.mysql.cj.api.mysqla.result.ProtocolEntity>(arg0: T, arg1: int, arg2: boolean, arg3: boolean, arg4: com.mysql.cj.api.mysqla.io.ProtocolEntityFactory<T>): T
                        public readAllResults<T extends com.mysql.cj.api.mysqla.result.Resultset>(arg0: int, arg1: boolean, arg2: com.mysql.cj.api.mysqla.io.PacketPayload, arg3: boolean, arg4: com.mysql.cj.api.mysqla.result.ColumnDefinition, arg5: com.mysql.cj.api.mysqla.io.ProtocolEntityFactory<T>): T
                        public readServerStatusForResultSets<T>(arg0: com.mysql.cj.api.mysqla.io.PacketPayload, arg1: boolean): T
                        public getLocalInfileInputStream<T extends com.mysql.cj.api.mysqla.result.Resultset>(): java.io.InputStream
                        public setLocalInfileInputStream<T extends com.mysql.cj.api.mysqla.result.Resultset>(arg0: java.io.InputStream): void
                        public sendFileToServer<T extends com.mysql.cj.api.mysqla.result.Resultset>(arg0: string): com.mysql.cj.api.mysqla.io.PacketPayload
                        public getStreamingData<T extends com.mysql.cj.api.mysqla.result.Resultset>(): com.mysql.cj.api.mysqla.result.ResultsetRows
                        public setStreamingData<T extends com.mysql.cj.api.mysqla.result.Resultset>(arg0: com.mysql.cj.api.mysqla.result.ResultsetRows): void
                        public checkForOutstandingStreamingData<T extends com.mysql.cj.api.mysqla.result.Resultset>(): void
                        public closeStreamer<T extends com.mysql.cj.api.mysqla.result.Resultset>(arg0: com.mysql.cj.api.mysqla.result.ResultsetRows): void
                        public scanForAndThrowDataTruncation<T extends com.mysql.cj.api.mysqla.result.Resultset>(): void
                        public getConnection<T extends com.mysql.cj.api.mysqla.result.Resultset>(): com.mysql.cj.api.MysqlConnection
                        public getServerSession<T extends com.mysql.cj.api.mysqla.result.Resultset>(): com.mysql.cj.api.io.ServerSession
                        public readServerCapabilities<T extends com.mysql.cj.api.mysqla.result.Resultset>(): com.mysql.cj.api.io.ServerCapabilities
                        public static class: java.lang.Class<any>
                    }
                    class MysqlaServerSession implements com.mysql.cj.api.io.ServerSession {
                        public static SERVER_STATUS_IN_TRANS: int
                        public static SERVER_STATUS_AUTOCOMMIT: int
                        public static SERVER_MORE_RESULTS_EXISTS: int
                        public static SERVER_QUERY_NO_GOOD_INDEX_USED: int
                        public static SERVER_QUERY_NO_INDEX_USED: int
                        public static SERVER_STATUS_CURSOR_EXISTS: int
                        public static SERVER_STATUS_LAST_ROW_SENT: int
                        public static SERVER_QUERY_WAS_SLOW: int
                        public static CLIENT_LONG_PASSWORD: int
                        public static CLIENT_FOUND_ROWS: int
                        public static CLIENT_LONG_FLAG: int
                        public static CLIENT_CONNECT_WITH_DB: int
                        public static CLIENT_COMPRESS: int
                        public static CLIENT_LOCAL_FILES: int
                        public static CLIENT_PROTOCOL_41: int
                        public static CLIENT_INTERACTIVE: int
                        public static CLIENT_SSL: int
                        public static CLIENT_TRANSACTIONS: int
                        public static CLIENT_RESERVED: int
                        public static CLIENT_SECURE_CONNECTION: int
                        public static CLIENT_MULTI_STATEMENTS: int
                        public static CLIENT_MULTI_RESULTS: int
                        public static CLIENT_PS_MULTI_RESULTS: int
                        public static CLIENT_PLUGIN_AUTH: int
                        public static CLIENT_CONNECT_ATTRS: int
                        public static CLIENT_PLUGIN_AUTH_LENENC_CLIENT_DATA: int
                        public static CLIENT_CAN_HANDLE_EXPIRED_PASSWORD: int
                        public static CLIENT_SESSION_TRACK: int
                        public static CLIENT_DEPRECATE_EOF: int
                        public indexToMysqlCharset: java.util.Map<java.lang.Integer, java.lang.String>
                        public indexToCustomMysqlCharset: java.util.Map<java.lang.Integer, java.lang.String>
                        public mysqlCharsetToCustomMblen: java.util.Map<java.lang.String, java.lang.Integer>
                        public constructor(arg0: com.mysql.cj.api.conf.PropertySet)
                        public getCapabilities(): com.mysql.cj.mysqla.io.MysqlaCapabilities
                        public setCapabilities(arg0: com.mysql.cj.api.io.ServerCapabilities): void
                        public getStatusFlags(): int
                        public setStatusFlags(arg0: int): void
                        public setStatusFlags(arg0: int, arg1: boolean): void
                        public getOldStatusFlags(): int
                        public setOldStatusFlags(arg0: int): void
                        public getTransactionState(): int
                        public inTransactionOnServer(): boolean
                        public cursorExists(): boolean
                        public isAutocommit(): boolean
                        public hasMoreResults(): boolean
                        public noGoodIndexUsed(): boolean
                        public noIndexUsed(): boolean
                        public queryWasSlow(): boolean
                        public isLastRowSent(): boolean
                        public getClientParam(): long
                        public setClientParam(arg0: long): void
                        public useMultiResults(): boolean
                        public isEOFDeprecated(): boolean
                        public getServerDefaultCollationIndex(): int
                        public setServerDefaultCollationIndex(arg0: int): void
                        public hasLongColumnInfo(): boolean
                        public setHasLongColumnInfo(arg0: boolean): void
                        public getServerVariables(): java.util.Map<java.lang.String, java.lang.String>
                        public getServerVariable(arg0: string): string
                        public getServerVariable(arg0: string, arg1: int): int
                        public setServerVariables(arg0: java.util.Map<java.lang.String, java.lang.String>): void
                        public characterSetNamesMatches(arg0: string): boolean
                        public getServerVersion(): com.mysql.cj.core.ServerVersion
                        public isVersion(arg0: com.mysql.cj.core.ServerVersion): boolean
                        public isSetNeededForAutoCommitMode(arg0: boolean, arg1: boolean): boolean
                        public getErrorMessageEncoding(): string
                        public setErrorMessageEncoding(arg0: string): void
                        public getServerDefaultCharset(): string
                        public getMaxBytesPerChar(arg0: string): int
                        public getMaxBytesPerChar(arg0: java.lang.Integer, arg1: string): int
                        public getEncodingForIndex(arg0: int): string
                        public configureCharacterSets(): void
                        public getCharacterSetMetadata(): string
                        public setCharacterSetMetadata(arg0: string): void
                        public getMetadataCollationIndex(): int
                        public setMetadataCollationIndex(arg0: int): void
                        public getCharacterSetResultsOnServer(): string
                        public setCharacterSetResultsOnServer(arg0: string): void
                        public preserveOldTransactionState(): void
                        public getCapabilities(): com.mysql.cj.api.io.ServerCapabilities
                        public static class: java.lang.Class<any>
                    }
                    class MysqlaSocketConnection extends com.mysql.cj.core.io.AbstractSocketConnection implements com.mysql.cj.api.io.SocketConnection {
                        public constructor()
                        public connect(arg0: string, arg1: int, arg2: java.util.Properties, arg3: com.mysql.cj.api.conf.PropertySet, arg4: com.mysql.cj.api.exceptions.ExceptionInterceptor, arg5: com.mysql.cj.api.log.Log, arg6: int): void
                        public static class: java.lang.Class<any>
                    }
                    class PacketSplitter {
                        public constructor(arg0: int)
                        public getPacketLen(): int
                        public getOffset(): int
                        public nextPacket(): boolean
                        public static class: java.lang.Class<any>
                    }
                    class ResultsetFactory implements com.mysql.cj.api.mysqla.io.ProtocolEntityFactory<com.mysql.cj.api.mysqla.result.Resultset> {
                        public constructor(arg0: com.mysql.cj.api.mysqla.result.Resultset$Type, arg1: com.mysql.cj.api.mysqla.result.Resultset$Concurrency)
                        public getResultSetType(): com.mysql.cj.api.mysqla.result.Resultset$Type
                        public getResultSetConcurrency(): com.mysql.cj.api.mysqla.result.Resultset$Concurrency
                        public createFromProtocolEntity(arg0: com.mysql.cj.api.mysqla.result.ProtocolEntity): com.mysql.cj.api.mysqla.result.Resultset
                        public createFromProtocolEntity(arg0: com.mysql.cj.api.mysqla.result.ProtocolEntity): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class ResultsetRowReader implements com.mysql.cj.api.mysqla.io.ProtocolEntityReader<com.mysql.cj.api.mysqla.result.ResultsetRow> {
                        protected protocol: com.mysql.cj.mysqla.io.MysqlaProtocol
                        protected propertySet: com.mysql.cj.api.conf.PropertySet
                        protected useBufferRowSizeThreshold: com.mysql.cj.api.conf.ReadableProperty<java.lang.Integer>
                        public constructor(arg0: com.mysql.cj.mysqla.io.MysqlaProtocol)
                        public read(arg0: com.mysql.cj.api.mysqla.io.ProtocolEntityFactory<com.mysql.cj.api.mysqla.result.ResultsetRow>): com.mysql.cj.api.mysqla.result.ResultsetRow
                        public read(arg0: com.mysql.cj.api.mysqla.io.ProtocolEntityFactory): com.mysql.cj.api.mysqla.result.ProtocolEntity
                        public static class: java.lang.Class<any>
                    }
                    class SimplePacketReader implements com.mysql.cj.api.mysqla.io.PacketReader {
                        protected socketConnection: com.mysql.cj.api.io.SocketConnection
                        protected maxAllowedPacket: com.mysql.cj.api.conf.ReadableProperty<java.lang.Integer>
                        public constructor(arg0: com.mysql.cj.api.io.SocketConnection, arg1: com.mysql.cj.api.conf.ReadableProperty<java.lang.Integer>)
                        public readHeader(): com.mysql.cj.api.mysqla.io.PacketHeader
                        public readPayload(arg0: java.util.Optional<com.mysql.cj.api.mysqla.io.PacketPayload>, arg1: int): com.mysql.cj.api.mysqla.io.PacketPayload
                        public getPacketSequence(): byte
                        public resetPacketSequence(): void
                        public undecorateAll(): com.mysql.cj.api.mysqla.io.PacketReader
                        public undecorate(): com.mysql.cj.api.mysqla.io.PacketReader
                        public static class: java.lang.Class<any>
                    }
                    class SimplePacketSender implements com.mysql.cj.api.mysqla.io.PacketSender {
                        public constructor(arg0: java.io.BufferedOutputStream)
                        public send(arg0: byte[], arg1: int, arg2: byte): void
                        public undecorateAll(): com.mysql.cj.api.mysqla.io.PacketSender
                        public undecorate(): com.mysql.cj.api.mysqla.io.PacketSender
                        public static class: java.lang.Class<any>
                    }
                    class TextResultsetReader implements com.mysql.cj.api.mysqla.io.ProtocolEntityReader<com.mysql.cj.api.mysqla.result.Resultset> {
                        protected protocol: com.mysql.cj.mysqla.io.MysqlaProtocol
                        public constructor(arg0: com.mysql.cj.mysqla.io.MysqlaProtocol)
                        public read(arg0: int, arg1: boolean, arg2: com.mysql.cj.api.mysqla.io.PacketPayload, arg3: com.mysql.cj.api.mysqla.result.ColumnDefinition, arg4: com.mysql.cj.api.mysqla.io.ProtocolEntityFactory<com.mysql.cj.api.mysqla.result.Resultset>): com.mysql.cj.api.mysqla.result.Resultset
                        public read(arg0: int, arg1: boolean, arg2: com.mysql.cj.api.mysqla.io.PacketPayload, arg3: com.mysql.cj.api.mysqla.result.ColumnDefinition, arg4: com.mysql.cj.api.mysqla.io.ProtocolEntityFactory): com.mysql.cj.api.mysqla.result.ProtocolEntity
                        public static class: java.lang.Class<any>
                    }
                    class TextRowFactory extends com.mysql.cj.mysqla.io.AbstractRowFactory implements com.mysql.cj.api.mysqla.io.ProtocolEntityFactory<com.mysql.cj.api.mysqla.result.ResultsetRow> {
                        protected columnDefinition: com.mysql.cj.api.mysqla.result.ColumnDefinition
                        protected resultSetConcurrency: com.mysql.cj.api.mysqla.result.Resultset$Concurrency
                        protected canReuseRowPacketForBufferRow: boolean
                        protected useBufferRowSizeThreshold: com.mysql.cj.api.conf.ReadableProperty<java.lang.Integer>
                        protected exceptionInterceptor: com.mysql.cj.api.exceptions.ExceptionInterceptor
                        public constructor(arg0: com.mysql.cj.mysqla.io.MysqlaProtocol, arg1: com.mysql.cj.api.mysqla.result.ColumnDefinition, arg2: com.mysql.cj.api.mysqla.result.Resultset$Concurrency, arg3: boolean)
                        public createFromPacketPayload(arg0: com.mysql.cj.api.mysqla.io.PacketPayload): com.mysql.cj.api.mysqla.result.ResultsetRow
                        public canReuseRowPacketForBufferRow(): boolean
                        public createFromPacketPayload(arg0: com.mysql.cj.api.mysqla.io.PacketPayload): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class TimeTrackingPacketReader implements com.mysql.cj.api.mysqla.io.PacketReader , com.mysql.cj.api.io.PacketReceivedTimeHolder {
                        public constructor(arg0: com.mysql.cj.api.mysqla.io.PacketReader)
                        public readHeader(): com.mysql.cj.api.mysqla.io.PacketHeader
                        public readPayload(arg0: java.util.Optional<com.mysql.cj.api.mysqla.io.PacketPayload>, arg1: int): com.mysql.cj.api.mysqla.io.PacketPayload
                        public getLastPacketReceivedTime(): long
                        public getPacketSequence(): byte
                        public resetPacketSequence(): void
                        public undecorateAll(): com.mysql.cj.api.mysqla.io.PacketReader
                        public undecorate(): com.mysql.cj.api.mysqla.io.PacketReader
                        public static class: java.lang.Class<any>
                    }
                    class TimeTrackingPacketSender implements com.mysql.cj.api.mysqla.io.PacketSender , com.mysql.cj.api.io.PacketSentTimeHolder {
                        public constructor(arg0: com.mysql.cj.api.mysqla.io.PacketSender)
                        public send(arg0: byte[], arg1: int, arg2: byte): void
                        public getLastPacketSentTime(): long
                        public undecorateAll(): com.mysql.cj.api.mysqla.io.PacketSender
                        public undecorate(): com.mysql.cj.api.mysqla.io.PacketSender
                        public static class: java.lang.Class<any>
                    }
                    class TracingPacketReader implements com.mysql.cj.api.mysqla.io.PacketReader {
                        public constructor(arg0: com.mysql.cj.api.mysqla.io.PacketReader, arg1: com.mysql.cj.api.log.Log)
                        public readHeader(): com.mysql.cj.api.mysqla.io.PacketHeader
                        public readPayload(arg0: java.util.Optional<com.mysql.cj.api.mysqla.io.PacketPayload>, arg1: int): com.mysql.cj.api.mysqla.io.PacketPayload
                        public getPacketSequence(): byte
                        public resetPacketSequence(): void
                        public undecorateAll(): com.mysql.cj.api.mysqla.io.PacketReader
                        public undecorate(): com.mysql.cj.api.mysqla.io.PacketReader
                        public static class: java.lang.Class<any>
                    }
                    class TracingPacketSender implements com.mysql.cj.api.mysqla.io.PacketSender {
                        public constructor(arg0: com.mysql.cj.api.mysqla.io.PacketSender, arg1: com.mysql.cj.api.log.Log, arg2: string, arg3: long)
                        public setServerThreadId(arg0: long): void
                        public send(arg0: byte[], arg1: int, arg2: byte): void
                        public undecorateAll(): com.mysql.cj.api.mysqla.io.PacketSender
                        public undecorate(): com.mysql.cj.api.mysqla.io.PacketSender
                        public static class: java.lang.Class<any>
                    }
                    
                }
                namespace result {
                    abstract class AbstractBufferRow extends com.mysql.cj.mysqla.result.AbstractResultsetRow {
                        protected rowFromServer: com.mysql.cj.api.mysqla.io.PacketPayload
                        protected homePosition: int
                        protected lastRequestedIndex: int
                        protected lastRequestedPos: int
                        protected constructor(arg0: com.mysql.cj.api.exceptions.ExceptionInterceptor)
                        public static class: java.lang.Class<any>
                    }
                    class AbstractResultsetRow$1 {
                        public static class: java.lang.Class<any>
                    }
                    abstract class AbstractResultsetRow implements com.mysql.cj.api.mysqla.result.ResultsetRow {
                        protected exceptionInterceptor: com.mysql.cj.api.exceptions.ExceptionInterceptor
                        protected metadata: com.mysql.cj.api.mysqla.result.ColumnDefinition
                        protected valueDecoder: com.mysql.cj.api.io.ValueDecoder
                        protected wasNull: boolean
                        protected constructor(arg0: com.mysql.cj.api.exceptions.ExceptionInterceptor)
                        protected getValueFromBytes<T>(arg0: int, arg1: byte[], arg2: int, arg3: int, arg4: com.mysql.cj.api.io.ValueFactory<T>): T
                        public setMetadata<T>(arg0: com.mysql.cj.api.mysqla.result.ColumnDefinition): com.mysql.cj.api.result.Row
                        public wasNull<T>(): boolean
                        public static class: java.lang.Class<any>
                    }
                    abstract class AbstractResultsetRows implements com.mysql.cj.api.mysqla.result.ResultsetRows {
                        protected static BEFORE_START_OF_ROWS: int
                        protected metadata: com.mysql.cj.api.mysqla.result.ColumnDefinition
                        protected currentPositionInFetchedRows: int
                        protected wasEmpty: boolean
                        protected owner: com.mysql.cj.api.mysqla.result.ResultsetRowsOwner
                        protected rowFactory: com.mysql.cj.api.mysqla.io.ProtocolEntityFactory<com.mysql.cj.api.mysqla.result.ResultsetRow>
                        public constructor()
                        public setOwner(arg0: com.mysql.cj.api.mysqla.result.ResultsetRowsOwner): void
                        public getOwner(): com.mysql.cj.api.mysqla.result.ResultsetRowsOwner
                        public setMetadata(arg0: com.mysql.cj.api.mysqla.result.ColumnDefinition): void
                        public getMetadata(): com.mysql.cj.api.mysqla.result.ColumnDefinition
                        public wasEmpty(): boolean
                        public static class: java.lang.Class<any>
                    }
                    class BinaryBufferRow extends com.mysql.cj.mysqla.result.AbstractBufferRow {
                        public constructor(arg0: com.mysql.cj.api.mysqla.io.PacketPayload, arg1: com.mysql.cj.api.mysqla.result.ColumnDefinition, arg2: com.mysql.cj.api.exceptions.ExceptionInterceptor, arg3: com.mysql.cj.api.io.ValueDecoder)
                        public isBinaryEncoded(): boolean
                        protected findAndSeekToOffset(arg0: int): int
                        public getBytes(arg0: int): byte[]
                        public getNull(arg0: int): boolean
                        public setMetadata(arg0: com.mysql.cj.api.mysqla.result.ColumnDefinition): com.mysql.cj.api.result.Row
                        public getValue<T>(arg0: int, arg1: com.mysql.cj.api.io.ValueFactory<T>): T
                        public setBytes<T>(arg0: int, arg1: byte[]): void
                        public static class: java.lang.Class<any>
                    }
                    class ByteArrayRow extends com.mysql.cj.mysqla.result.AbstractResultsetRow {
                        public constructor(arg0: byte[][], arg1: com.mysql.cj.api.exceptions.ExceptionInterceptor, arg2: com.mysql.cj.api.io.ValueDecoder)
                        public constructor(arg0: byte[][], arg1: com.mysql.cj.api.exceptions.ExceptionInterceptor)
                        public isBinaryEncoded(): boolean
                        public getBytes(arg0: int): byte[]
                        public setBytes(arg0: int, arg1: byte[]): void
                        public getNull(arg0: int): boolean
                        public getValue<T>(arg0: int, arg1: com.mysql.cj.api.io.ValueFactory<T>): T
                        public static class: java.lang.Class<any>
                    }
                    class MysqlaColumnDefinition$1 {
                        public static class: java.lang.Class<any>
                    }
                    class MysqlaColumnDefinition implements com.mysql.cj.api.mysqla.result.ColumnDefinition {
                        protected fields: com.mysql.cj.core.result.Field[]
                        public constructor()
                        public constructor(arg0: com.mysql.cj.core.result.Field[])
                        public getFields(): com.mysql.cj.core.result.Field[]
                        public setFields(arg0: com.mysql.cj.core.result.Field[]): void
                        public buildIndexMapping(): void
                        public hasBuiltIndexMapping(): boolean
                        public getColumnLabelToIndex(): java.util.Map<java.lang.String, java.lang.Integer>
                        public setColumnLabelToIndex(arg0: java.util.Map<java.lang.String, java.lang.Integer>): void
                        public getFullColumnNameToIndex(): java.util.Map<java.lang.String, java.lang.Integer>
                        public setFullColumnNameToIndex(arg0: java.util.Map<java.lang.String, java.lang.Integer>): void
                        public getColumnNameToIndex(): java.util.Map<java.lang.String, java.lang.Integer>
                        public setColumnNameToIndex(arg0: java.util.Map<java.lang.String, java.lang.Integer>): void
                        public getColumnToIndexCache(): java.util.Map<java.lang.String, java.lang.Integer>
                        public setColumnToIndexCache(arg0: java.util.Map<java.lang.String, java.lang.Integer>): void
                        public initializeFrom(arg0: com.mysql.cj.api.mysqla.result.ColumnDefinition): void
                        public exportTo(arg0: com.mysql.cj.api.mysqla.result.ColumnDefinition): void
                        public findColumn(arg0: string, arg1: boolean): int
                        public hasLargeFields(): boolean
                        public static class: java.lang.Class<any>
                    }
                    class MysqlaResultset implements com.mysql.cj.api.mysqla.result.Resultset {
                        protected columnDefinition: com.mysql.cj.api.mysqla.result.ColumnDefinition
                        protected rowData: com.mysql.cj.api.mysqla.result.ResultsetRows
                        protected nextResultset: com.mysql.cj.api.mysqla.result.Resultset
                        protected resultId: int
                        protected updateCount: long
                        protected updateId: long
                        protected serverInfo: string
                        protected thisRow: com.mysql.cj.api.result.Row
                        public constructor()
                        public constructor(arg0: com.mysql.cj.mysqla.result.OkPacket)
                        public constructor(arg0: com.mysql.cj.api.mysqla.result.ResultsetRows)
                        public setColumnDefinition(arg0: com.mysql.cj.api.mysqla.result.ColumnDefinition): void
                        public getColumnDefinition(): com.mysql.cj.api.mysqla.result.ColumnDefinition
                        public hasRows(): boolean
                        public getResultId(): int
                        public initRowsWithMetadata(): void
                        public setNextResultset(arg0: com.mysql.cj.api.mysqla.result.Resultset): void
                        public getNextResultset(): com.mysql.cj.api.mysqla.result.Resultset
                        public clearNextResultset(): void
                        public getUpdateCount(): long
                        public getUpdateID(): long
                        public getServerInfo(): string
                        public static class: java.lang.Class<any>
                    }
                    class OkPacket implements com.mysql.cj.api.mysqla.result.ProtocolEntity {
                        public constructor()
                        public static parse(arg0: com.mysql.cj.api.mysqla.io.PacketPayload, arg1: boolean, arg2: string): com.mysql.cj.mysqla.result.OkPacket
                        public getUpdateCount(): long
                        public setUpdateCount(arg0: long): void
                        public getUpdateID(): long
                        public setUpdateID(arg0: long): void
                        public getInfo(): string
                        public setInfo(arg0: string): void
                        public getStatusFlags(): int
                        public setStatusFlags(arg0: int): void
                        public getWarningCount(): int
                        public setWarningCount(arg0: int): void
                        public static class: java.lang.Class<any>
                    }
                    class ResultsetRowsCursor extends com.mysql.cj.mysqla.result.AbstractResultsetRows implements com.mysql.cj.api.mysqla.result.ResultsetRows {
                        public constructor(arg0: com.mysql.cj.mysqla.io.MysqlaProtocol, arg1: com.mysql.cj.api.mysqla.result.ColumnDefinition)
                        public isAfterLast(): boolean
                        public isBeforeFirst(): boolean
                        public getPosition(): int
                        public isEmpty(): boolean
                        public isFirst(): boolean
                        public isLast(): boolean
                        public close(): void
                        public hasNext(): boolean
                        public next(): com.mysql.cj.api.result.Row
                        public addRow(arg0: com.mysql.cj.api.result.Row): void
                        public afterLast(): void
                        public beforeFirst(): void
                        public beforeLast(): void
                        public moveRowRelative(arg0: int): void
                        public setCurrentRow(arg0: int): void
                        public next(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class ResultsetRowsStatic extends com.mysql.cj.mysqla.result.AbstractResultsetRows implements com.mysql.cj.api.mysqla.result.ResultsetRows {
                        public constructor(arg0: java.util.List<com.mysql.cj.api.result.Row>, arg1: com.mysql.cj.api.mysqla.result.ColumnDefinition)
                        public addRow(arg0: com.mysql.cj.api.result.Row): void
                        public afterLast(): void
                        public beforeFirst(): void
                        public beforeLast(): void
                        public get(arg0: int): com.mysql.cj.api.result.Row
                        public getPosition(): int
                        public hasNext(): boolean
                        public isAfterLast(): boolean
                        public isBeforeFirst(): boolean
                        public isDynamic(): boolean
                        public isEmpty(): boolean
                        public isFirst(): boolean
                        public isLast(): boolean
                        public moveRowRelative(arg0: int): void
                        public next(): com.mysql.cj.api.result.Row
                        public remove(): void
                        public setCurrentRow(arg0: int): void
                        public size(): int
                        public wasEmpty(): boolean
                        public next(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class ResultsetRowsStreaming<T extends com.mysql.cj.api.mysqla.result.ProtocolEntity> extends com.mysql.cj.mysqla.result.AbstractResultsetRows implements com.mysql.cj.api.mysqla.result.ResultsetRows {
                        public constructor(arg0: com.mysql.cj.mysqla.io.MysqlaProtocol, arg1: com.mysql.cj.api.mysqla.result.ColumnDefinition, arg2: boolean, arg3: com.mysql.cj.api.mysqla.io.ProtocolEntityFactory<T>)
                        public close(): void
                        public hasNext(): boolean
                        public isAfterLast(): boolean
                        public isBeforeFirst(): boolean
                        public isEmpty(): boolean
                        public isFirst(): boolean
                        public isLast(): boolean
                        public next(): com.mysql.cj.api.result.Row
                        public afterLast(): void
                        public beforeFirst(): void
                        public beforeLast(): void
                        public moveRowRelative(arg0: int): void
                        public setCurrentRow(arg0: int): void
                        public next(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class TextBufferRow extends com.mysql.cj.mysqla.result.AbstractBufferRow {
                        public constructor(arg0: com.mysql.cj.api.mysqla.io.PacketPayload, arg1: com.mysql.cj.api.mysqla.result.ColumnDefinition, arg2: com.mysql.cj.api.exceptions.ExceptionInterceptor, arg3: com.mysql.cj.api.io.ValueDecoder)
                        protected findAndSeekToOffset(arg0: int): int
                        public getBytes(arg0: int): byte[]
                        public getNull(arg0: int): boolean
                        public setMetadata(arg0: com.mysql.cj.api.mysqla.result.ColumnDefinition): com.mysql.cj.api.result.Row
                        public getValue<T>(arg0: int, arg1: com.mysql.cj.api.io.ValueFactory<T>): T
                        public static class: java.lang.Class<any>
                    }
                    
                }
                
            }
            namespace x {
                namespace core {
                    class CoreWarning implements com.mysql.cj.api.x.core.Warning {
                        public constructor(arg0: com.mysql.cj.x.protobuf.MysqlxNotice$Warning)
                        public getLevel(): int
                        public getCode(): long
                        public getMessage(): string
                        public static class: java.lang.Class<any>
                    }
                    class DatabaseObjectDescription {
                        public constructor(arg0: string, arg1: string)
                        public getObjectName(): string
                        public getObjectType(): com.mysql.cj.api.xdevapi.DatabaseObject$DbObjectType
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxSession implements com.mysql.cj.api.Session {
                        public constructor(arg0: java.util.Properties)
                        public getHost(): string
                        public getPort(): int
                        public getPropertySet(): com.mysql.cj.api.conf.PropertySet
                        public getProtocol(): com.mysql.cj.api.io.Protocol
                        public changeUser(arg0: string, arg1: string, arg2: string): void
                        public getExceptionInterceptor(): com.mysql.cj.api.exceptions.ExceptionInterceptor
                        public setExceptionInterceptor(arg0: com.mysql.cj.api.exceptions.ExceptionInterceptor): void
                        public characterSetNamesMatches(arg0: string): boolean
                        public inTransactionOnServer(): boolean
                        public getServerVariable(arg0: string): string
                        public getServerVariables(): java.util.Map<java.lang.String, java.lang.String>
                        public setServerVariables(arg0: java.util.Map<java.lang.String, java.lang.String>): void
                        public abortInternal(): void
                        public quit(): void
                        public forceClose(): void
                        public getServerVersion(): com.mysql.cj.core.ServerVersion
                        public versionMeetsMinimum(arg0: int, arg1: int, arg2: int): boolean
                        public getThreadId(): long
                        public isSetNeededForAutoCommitMode(arg0: boolean): boolean
                        public addDocs(arg0: string, arg1: string, arg2: java.util.List<java.lang.String>): com.mysql.cj.x.core.StatementExecuteOk
                        public insertRows(arg0: string, arg1: string, arg2: com.mysql.cj.xdevapi.InsertParams): com.mysql.cj.x.core.StatementExecuteOk
                        public updateDocs(arg0: com.mysql.cj.xdevapi.FilterParams, arg1: java.util.List<com.mysql.cj.xdevapi.UpdateSpec>): com.mysql.cj.x.core.StatementExecuteOk
                        public updateRows(arg0: com.mysql.cj.xdevapi.FilterParams, arg1: com.mysql.cj.xdevapi.UpdateParams): com.mysql.cj.x.core.StatementExecuteOk
                        public deleteDocs(arg0: com.mysql.cj.xdevapi.FilterParams): com.mysql.cj.x.core.StatementExecuteOk
                        public deleteRows(arg0: com.mysql.cj.xdevapi.FilterParams): com.mysql.cj.x.core.StatementExecuteOk
                        public findDocs(arg0: com.mysql.cj.xdevapi.FindParams): com.mysql.cj.xdevapi.DocResultImpl
                        public selectRows(arg0: com.mysql.cj.xdevapi.FindParams): com.mysql.cj.xdevapi.RowResultImpl
                        public createCollection(arg0: string, arg1: string): void
                        public dropCollection(arg0: string, arg1: string): void
                        public dropCollectionIfExists(arg0: string, arg1: string): void
                        public createCollectionIndex(arg0: string, arg1: string, arg2: com.mysql.cj.xdevapi.CreateIndexParams): com.mysql.cj.x.core.StatementExecuteOk
                        public dropCollectionIndex(arg0: string, arg1: string, arg2: string): com.mysql.cj.x.core.StatementExecuteOk
                        public tableCount(arg0: string, arg1: string): long
                        public schemaExists(arg0: string): boolean
                        public tableExists(arg0: string, arg1: string): boolean
                        public createView(arg0: string, arg1: string, arg2: boolean, arg3: java.util.List<java.lang.String>, arg4: com.mysql.cj.api.xdevapi.ViewDDL$ViewAlgorithm, arg5: com.mysql.cj.api.xdevapi.ViewDDL$ViewSqlSecurity, arg6: string, arg7: com.mysql.cj.xdevapi.FindParams, arg8: com.mysql.cj.api.xdevapi.ViewDDL$ViewCheckOption): void
                        public modifyView(arg0: string, arg1: string, arg2: java.util.List<java.lang.String>, arg3: com.mysql.cj.api.xdevapi.ViewDDL$ViewAlgorithm, arg4: com.mysql.cj.api.xdevapi.ViewDDL$ViewSqlSecurity, arg5: string, arg6: com.mysql.cj.xdevapi.FindParams, arg7: com.mysql.cj.api.xdevapi.ViewDDL$ViewCheckOption): void
                        public dropView(arg0: string, arg1: string, arg2: boolean): void
                        public getObjectNamesOfType(arg0: string, ...arg1: com.mysql.cj.api.xdevapi.DatabaseObject$DbObjectType[]): java.util.List<java.lang.String>
                        public getObjectNamesOfType(arg0: string, arg1: string, ...arg2: com.mysql.cj.api.xdevapi.DatabaseObject$DbObjectType[]): java.util.List<java.lang.String>
                        public listObjects(arg0: string, arg1: string): java.util.List<com.mysql.cj.x.core.DatabaseObjectDescription>
                        public query<RES_T, R>(arg0: string, arg1: java.util.function$.Function<com.mysql.cj.api.result.Row, R>, arg2: java.util.stream.Collector<R, any, RES_T>): RES_T
                        public executeSql<RES_T, R>(arg0: string, arg1: java.lang.Object): com.mysql.cj.api.xdevapi.SqlResult
                        public asyncExecuteSql<RES_T, R>(arg0: string, arg1: java.lang.Object): java.util.concurrent.CompletableFuture<com.mysql.cj.api.xdevapi.SqlResult>
                        public update<RES_T, R>(arg0: string): com.mysql.cj.x.core.StatementExecuteOk
                        public isOpen<RES_T, R>(): boolean
                        public close<RES_T, R>(): void
                        public asyncFindDocs<RES_T, R>(arg0: com.mysql.cj.xdevapi.FindParams): java.util.concurrent.CompletableFuture<com.mysql.cj.api.xdevapi.DocResult>
                        public asyncSelectRows<RES_T, R>(arg0: com.mysql.cj.xdevapi.FindParams): java.util.concurrent.CompletableFuture<com.mysql.cj.api.xdevapi.RowResult>
                        public asyncFindDocsReduce<R>(arg0: com.mysql.cj.xdevapi.FindParams, arg1: R, arg2: com.mysql.cj.api.xdevapi.DataStatement$Reducer<com.mysql.cj.xdevapi.DbDoc, R>): java.util.concurrent.CompletableFuture<R>
                        public asyncSelectRowsReduce<R>(arg0: com.mysql.cj.xdevapi.FindParams, arg1: R, arg2: com.mysql.cj.api.xdevapi.DataStatement$Reducer<com.mysql.cj.api.xdevapi.Row, R>): java.util.concurrent.CompletableFuture<R>
                        public asyncAddDocs<R>(arg0: string, arg1: string, arg2: java.util.List<java.lang.String>): java.util.concurrent.CompletableFuture<com.mysql.cj.x.core.StatementExecuteOk>
                        public asyncInsertRows<R>(arg0: string, arg1: string, arg2: com.mysql.cj.xdevapi.InsertParams): java.util.concurrent.CompletableFuture<com.mysql.cj.x.core.StatementExecuteOk>
                        public asyncUpdateDocs<R>(arg0: com.mysql.cj.xdevapi.FilterParams, arg1: java.util.List<com.mysql.cj.xdevapi.UpdateSpec>): java.util.concurrent.CompletableFuture<com.mysql.cj.x.core.StatementExecuteOk>
                        public asyncUpdateRows<R>(arg0: com.mysql.cj.xdevapi.FilterParams, arg1: com.mysql.cj.xdevapi.UpdateParams): java.util.concurrent.CompletableFuture<com.mysql.cj.x.core.StatementExecuteOk>
                        public asyncDeleteDocs<R>(arg0: com.mysql.cj.xdevapi.FilterParams): java.util.concurrent.CompletableFuture<com.mysql.cj.x.core.StatementExecuteOk>
                        public asyncDeleteRows<R>(arg0: com.mysql.cj.xdevapi.FilterParams): java.util.concurrent.CompletableFuture<com.mysql.cj.x.core.StatementExecuteOk>
                        public asyncCreateCollectionIndex<R>(arg0: string, arg1: string, arg2: com.mysql.cj.xdevapi.CreateIndexParams): java.util.concurrent.CompletableFuture<com.mysql.cj.x.core.StatementExecuteOk>
                        public asyncDropCollectionIndex<R>(arg0: string, arg1: string, arg2: string): java.util.concurrent.CompletableFuture<com.mysql.cj.x.core.StatementExecuteOk>
                        public getServerVariable<R>(arg0: string, arg1: int): int
                        public getServerDefaultCollationIndex<R>(): int
                        public setServerDefaultCollationIndex<R>(arg0: int): void
                        public getLog<R>(): com.mysql.cj.api.log.Log
                        public setLog<R>(arg0: com.mysql.cj.api.log.Log): void
                        public configureTimezone<R>(): void
                        public getDefaultTimeZone<R>(): java.util.TimeZone
                        public getErrorMessageEncoding<R>(): string
                        public setErrorMessageEncoding<R>(arg0: string): void
                        public getMaxBytesPerChar<R>(arg0: string): int
                        public getMaxBytesPerChar<R>(arg0: java.lang.Integer, arg1: string): int
                        public getEncodingForIndex<R>(arg0: int): string
                        public getProfilerEventHandler<R>(): com.mysql.cj.api.ProfilerEventHandler
                        public setProfilerEventHandler<R>(arg0: com.mysql.cj.api.ProfilerEventHandler): void
                        public getServerSession<R>(): com.mysql.cj.api.io.ServerSession
                        public isSSLEstablished<R>(): boolean
                        public getRemoteSocketAddress<R>(): java.net.SocketAddress
                        public serverSupportsFracSecs<R>(): boolean
                        public static class: java.lang.Class<any>
                    }
                    class StatementExecuteOk {
                        public constructor(arg0: long, arg1: java.lang.Long, arg2: java.util.List<com.mysql.cj.api.x.core.Warning>)
                        public getRowsAffected(): long
                        public getLastInsertId(): java.lang.Long
                        public getWarnings(): java.util.List<com.mysql.cj.api.x.core.Warning>
                        public static class: java.lang.Class<any>
                    }
                    class XDevAPIError extends com.mysql.cj.core.exceptions.CJException {
                        public constructor(arg0: com.mysql.cj.x.protobuf.Mysqlx$Error)
                        public constructor(arg0: com.mysql.cj.x.core.XDevAPIError)
                        public getErrorCode(): int
                        public getSQLState(): string
                        public static class: java.lang.Class<any>
                    }
                    
                }
                namespace io {
                    class AsyncMessageReader$ReadingState extends java.lang.Enum<com.mysql.cj.x.io.AsyncMessageReader$ReadingState> {
                        public static READING_HEADER: com.mysql.cj.x.io.AsyncMessageReader$ReadingState
                        public static READING_MESSAGE: com.mysql.cj.x.io.AsyncMessageReader$ReadingState
                        public static values(): com.mysql.cj.x.io.AsyncMessageReader$ReadingState[]
                        public static valueOf(arg0: string): com.mysql.cj.x.io.AsyncMessageReader$ReadingState
                        public static class: java.lang.Class<any>
                    }
                    class AsyncMessageReader$SyncReader<T> implements com.mysql.cj.api.x.io.MessageListener {
                        public constructor(arg0: com.mysql.cj.x.io.AsyncMessageReader, arg1: java.lang.Class<T>)
                        public apply(arg0: java.lang.Class<com.google.protobuf.GeneratedMessage>, arg1: com.google.protobuf.GeneratedMessage): boolean
                        public error(arg0: java.lang.Throwable): void
                        public closed(): void
                        public read(): T
                        public apply(arg0: java.lang.Object, arg1: java.lang.Object): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class AsyncMessageReader implements java.nio.channels.CompletionHandler<java.lang.Integer, java.lang.Void> , com.mysql.cj.api.x.io.MessageReader {
                        public constructor(arg0: java.nio.channels.AsynchronousByteChannel)
                        public start(): void
                        public stopAfterNextMessage(): void
                        public pushMessageListener(arg0: com.mysql.cj.api.x.io.MessageListener): void
                        public completed(arg0: java.lang.Integer, arg1: java.lang.Void): void
                        public failed(arg0: java.lang.Throwable, arg1: java.lang.Void): void
                        public getNextMessageClass(): java.lang.Class<com.google.protobuf.GeneratedMessage>
                        public read<T extends com.google.protobuf.GeneratedMessage>(arg0: java.lang.Class<T>): T
                        public setChannel<T extends com.google.protobuf.GeneratedMessage>(arg0: java.nio.channels.AsynchronousByteChannel): void
                        public failed<T extends com.google.protobuf.GeneratedMessage>(arg0: java.lang.Throwable, arg1: java.lang.Object): void
                        public completed<T extends com.google.protobuf.GeneratedMessage>(arg0: java.lang.Object, arg1: java.lang.Object): void
                        public static class: java.lang.Class<any>
                    }
                    class AsyncMessageWriter implements com.mysql.cj.api.x.io.MessageWriter {
                        public constructor(arg0: java.nio.channels.AsynchronousSocketChannel)
                        public write(arg0: com.google.protobuf.MessageLite): void
                        public writeAsync(arg0: com.google.protobuf.MessageLite, arg1: java.nio.channels.CompletionHandler<java.lang.Long, java.lang.Void>): void
                        public setMaxAllowedPacket(arg0: int): void
                        public setChannel(arg0: java.nio.channels.AsynchronousSocketChannel): void
                        public static class: java.lang.Class<any>
                    }
                    class DevapiRowFactory implements com.mysql.cj.api.x.core.RowToElement<com.mysql.cj.api.xdevapi.Row> {
                        public constructor(arg0: java.util.ArrayList<com.mysql.cj.core.result.Field>, arg1: java.util.TimeZone)
                        public apply(arg0: com.mysql.cj.api.result.Row): com.mysql.cj.api.xdevapi.Row
                        public apply(arg0: java.lang.Object): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class ErrorToFutureCompletionHandler<T> implements java.nio.channels.CompletionHandler<T, java.lang.Void> {
                        public constructor(arg0: java.util.concurrent.CompletableFuture<any>, arg1: java.lang.Runnable | java.lang.Runnable$$Lambda)
                        public completed(arg0: T, arg1: java.lang.Void): void
                        public failed(arg0: java.lang.Throwable, arg1: java.lang.Void): void
                        public failed(arg0: java.lang.Throwable, arg1: java.lang.Object): void
                        public completed(arg0: java.lang.Object, arg1: java.lang.Object): void
                        public static class: java.lang.Class<any>
                    }
                    class MessageBuilder$1 implements javax.security.auth.callback.CallbackHandler {
                        public handle(arg0: javax.security.auth.callback.Callback[]): void
                        public static class: java.lang.Class<any>
                    }
                    class MessageBuilder$2 {
                        public static class: java.lang.Class<any>
                    }
                    class MessageBuilder {
                        public constructor()
                        public buildCapabilitiesSet(arg0: string, arg1: java.lang.Object): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesSet
                        public buildCreateCollectionIndex(arg0: string, arg1: string, arg2: com.mysql.cj.xdevapi.CreateIndexParams): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecute
                        public buildDropCollectionIndex(arg0: string, arg1: string, arg2: string): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecute
                        public buildXpluginCommand(arg0: com.mysql.cj.api.x.io.XpluginStatementCommand, ...arg1: com.mysql.cj.x.protobuf.MysqlxDatatypes$Any[]): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecute
                        public buildSqlStatement(arg0: string, arg1: java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$Any>): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecute
                        public buildFind(arg0: com.mysql.cj.xdevapi.FindParams): com.mysql.cj.x.protobuf.MysqlxCrud$Find
                        public buildDocUpdate(arg0: com.mysql.cj.xdevapi.FilterParams, arg1: java.util.List<com.mysql.cj.xdevapi.UpdateSpec>): com.mysql.cj.x.protobuf.MysqlxCrud$Update
                        public buildRowUpdate(arg0: com.mysql.cj.xdevapi.FilterParams, arg1: com.mysql.cj.xdevapi.UpdateParams): com.mysql.cj.x.protobuf.MysqlxCrud$Update
                        public buildDelete(arg0: com.mysql.cj.xdevapi.FilterParams): com.mysql.cj.x.protobuf.MysqlxCrud$Delete
                        public buildDocInsert(arg0: string, arg1: string, arg2: java.util.List<java.lang.String>): com.mysql.cj.x.protobuf.MysqlxCrud$Insert
                        public buildRowInsert(arg0: string, arg1: string, arg2: com.mysql.cj.xdevapi.InsertParams): com.mysql.cj.x.protobuf.MysqlxCrud$Insert
                        public buildMysql41AuthContinue(arg0: string, arg1: string, arg2: byte[], arg3: string): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateContinue
                        public buildPlainAuthStart(arg0: string, arg1: string, arg2: string): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateStart
                        public buildCreateView(arg0: string, arg1: string, arg2: boolean, arg3: java.util.List<java.lang.String>, arg4: com.mysql.cj.api.xdevapi.ViewDDL$ViewAlgorithm, arg5: com.mysql.cj.api.xdevapi.ViewDDL$ViewSqlSecurity, arg6: string, arg7: com.mysql.cj.xdevapi.FindParams, arg8: com.mysql.cj.api.xdevapi.ViewDDL$ViewCheckOption): com.mysql.cj.x.protobuf.MysqlxCrud$CreateView
                        public buildModifyView(arg0: string, arg1: string, arg2: java.util.List<java.lang.String>, arg3: com.mysql.cj.api.xdevapi.ViewDDL$ViewAlgorithm, arg4: com.mysql.cj.api.xdevapi.ViewDDL$ViewSqlSecurity, arg5: string, arg6: com.mysql.cj.xdevapi.FindParams, arg7: com.mysql.cj.api.xdevapi.ViewDDL$ViewCheckOption): com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView
                        public buildDropView(arg0: string, arg1: string, arg2: boolean): com.mysql.cj.x.protobuf.MysqlxCrud$DropView
                        public static class: java.lang.Class<any>
                    }
                    class ResultCreatingResultListener<RES_T> implements com.mysql.cj.api.x.io.ResultListener {
                        public constructor(arg0: com.mysql.cj.api.x.core.ResultCtor<RES_T>, arg1: java.util.concurrent.CompletableFuture<RES_T>)
                        public onMetadata(arg0: java.util.ArrayList<com.mysql.cj.core.result.Field>): void
                        public onRow(arg0: com.mysql.cj.x.io.XProtocolRow): void
                        public onComplete(arg0: com.mysql.cj.x.core.StatementExecuteOk): void
                        public onError(arg0: com.mysql.cj.x.core.XDevAPIError): void
                        public onException(arg0: java.lang.Throwable): void
                        public static class: java.lang.Class<any>
                    }
                    class ResultMessageListener implements com.mysql.cj.api.x.io.MessageListener {
                        public constructor(arg0: com.mysql.cj.api.x.io.ColToFieldTransformer, arg1: com.mysql.cj.api.x.io.ResultListener)
                        public apply(arg0: java.lang.Class<com.google.protobuf.GeneratedMessage>, arg1: com.google.protobuf.GeneratedMessage): boolean
                        public closed(): void
                        public error(arg0: java.lang.Throwable): void
                        public apply(arg0: java.lang.Object, arg1: java.lang.Object): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class RowWiseReducingResultListener<RES_ELEMENT_T, R> implements com.mysql.cj.api.x.io.ResultListener {
                        public constructor(arg0: R, arg1: com.mysql.cj.api.xdevapi.DataStatement$Reducer<RES_ELEMENT_T, R>, arg2: java.util.concurrent.CompletableFuture<R>, arg3: com.mysql.cj.api.x.io.MetadataToRowToElement<RES_ELEMENT_T>)
                        public onMetadata(arg0: java.util.ArrayList<com.mysql.cj.core.result.Field>): void
                        public onRow(arg0: com.mysql.cj.x.io.XProtocolRow): void
                        public onComplete(arg0: com.mysql.cj.x.core.StatementExecuteOk): void
                        public onError(arg0: com.mysql.cj.x.core.XDevAPIError): void
                        public onException(arg0: java.lang.Throwable): void
                        public static class: java.lang.Class<any>
                    }
                    class SerializingBufferWriter implements java.nio.channels.CompletionHandler<java.lang.Long, java.lang.Void> {
                        protected channel: java.nio.channels.AsynchronousSocketChannel
                        public constructor(arg0: java.nio.channels.AsynchronousSocketChannel)
                        public queueBuffer(arg0: java.nio.ByteBuffer, arg1: java.nio.channels.CompletionHandler<java.lang.Long, java.lang.Void>): void
                        public completed(arg0: java.lang.Long, arg1: java.lang.Void): void
                        public failed(arg0: java.lang.Throwable, arg1: java.lang.Void): void
                        public setChannel(arg0: java.nio.channels.AsynchronousSocketChannel): void
                        public failed(arg0: java.lang.Throwable, arg1: java.lang.Object): void
                        public completed(arg0: java.lang.Object, arg1: java.lang.Object): void
                        public static class: java.lang.Class<any>
                    }
                    class SqlResultMessageListener$ResultType extends java.lang.Enum<com.mysql.cj.x.io.SqlResultMessageListener$ResultType> {
                        public static UPDATE: com.mysql.cj.x.io.SqlResultMessageListener$ResultType
                        public static DATA: com.mysql.cj.x.io.SqlResultMessageListener$ResultType
                        public static values(): com.mysql.cj.x.io.SqlResultMessageListener$ResultType[]
                        public static valueOf(arg0: string): com.mysql.cj.x.io.SqlResultMessageListener$ResultType
                        public static class: java.lang.Class<any>
                    }
                    class SqlResultMessageListener implements com.mysql.cj.api.x.io.MessageListener {
                        public constructor(arg0: java.util.concurrent.CompletableFuture<com.mysql.cj.api.xdevapi.SqlResult>, arg1: com.mysql.cj.api.x.io.ColToFieldTransformer, arg2: java.util.TimeZone)
                        public apply(arg0: java.lang.Class<com.google.protobuf.GeneratedMessage>, arg1: com.google.protobuf.GeneratedMessage): boolean
                        public closed(): void
                        public error(arg0: java.lang.Throwable): void
                        public apply(arg0: java.lang.Object, arg1: java.lang.Object): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class StatementExecuteOkBuilder$1 {
                        public static class: java.lang.Class<any>
                    }
                    class StatementExecuteOkBuilder {
                        public constructor()
                        public addNotice(arg0: com.mysql.cj.x.protobuf.MysqlxNotice$Frame): void
                        public build(): com.mysql.cj.x.core.StatementExecuteOk
                        public static class: java.lang.Class<any>
                    }
                    class StatementExecuteOkMessageListener implements com.mysql.cj.api.x.io.MessageListener {
                        public constructor(arg0: java.util.concurrent.CompletableFuture<com.mysql.cj.x.core.StatementExecuteOk>)
                        public apply(arg0: java.lang.Class<com.google.protobuf.GeneratedMessage>, arg1: com.google.protobuf.GeneratedMessage): boolean
                        public closed(): void
                        public error(arg0: java.lang.Throwable): void
                        public apply(arg0: java.lang.Object, arg1: java.lang.Object): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class SyncMessageReader implements com.mysql.cj.api.x.io.MessageReader {
                        public constructor(arg0: com.mysql.cj.core.io.FullReadInputStream)
                        public getNextMessageClass(): java.lang.Class<com.google.protobuf.GeneratedMessage>
                        public read<T extends com.google.protobuf.GeneratedMessage>(arg0: java.lang.Class<T>): T
                        public static class: java.lang.Class<any>
                    }
                    class SyncMessageWriter implements com.mysql.cj.api.x.io.MessageWriter , com.mysql.cj.api.io.PacketSentTimeHolder {
                        public constructor(arg0: java.io.BufferedOutputStream)
                        public write(arg0: com.google.protobuf.MessageLite): void
                        public getLastPacketSentTime(): long
                        public setMaxAllowedPacket(arg0: int): void
                        public static class: java.lang.Class<any>
                    }
                    class TlsDecryptingByteChannel$1 implements java.nio.channels.CompletionHandler<java.lang.Integer, java.lang.Void> {
                        public completed(arg0: java.lang.Integer, arg1: java.lang.Void): void
                        public failed(arg0: java.lang.Throwable, arg1: java.lang.Void): void
                        public failed(arg0: java.lang.Throwable, arg1: java.lang.Object): void
                        public completed(arg0: java.lang.Object, arg1: java.lang.Object): void
                        public static class: java.lang.Class<any>
                    }
                    class TlsDecryptingByteChannel$2 {
                        public static class: java.lang.Class<any>
                    }
                    class TlsDecryptingByteChannel implements java.nio.channels.AsynchronousByteChannel , java.nio.channels.CompletionHandler<java.lang.Integer, java.lang.Void> {
                        public constructor(arg0: java.nio.channels.AsynchronousByteChannel, arg1: javax.net.ssl.SSLEngine)
                        public completed(arg0: java.lang.Integer, arg1: java.lang.Void): void
                        public failed(arg0: java.lang.Throwable, arg1: java.lang.Void): void
                        public read<A>(arg0: java.nio.ByteBuffer, arg1: A, arg2: java.nio.channels.CompletionHandler<java.lang.Integer, A>): void
                        public close<A>(): void
                        public isOpen<A>(): boolean
                        public read<A>(arg0: java.nio.ByteBuffer): java.util.concurrent.Future<java.lang.Integer>
                        public write<A>(arg0: java.nio.ByteBuffer, arg1: A, arg2: java.nio.channels.CompletionHandler<java.lang.Integer, A>): void
                        public write<A>(arg0: java.nio.ByteBuffer): java.util.concurrent.Future<java.lang.Integer>
                        public failed<A>(arg0: java.lang.Throwable, arg1: java.lang.Object): void
                        public completed<A>(arg0: java.lang.Object, arg1: java.lang.Object): void
                        public static class: java.lang.Class<any>
                    }
                    class TlsEncryptingByteChannel$ErrorPropagatingCompletionHandler<V> implements java.nio.channels.CompletionHandler<V, java.lang.Void> {
                        public constructor(arg0: java.nio.channels.CompletionHandler<java.lang.Long, any>, arg1: java.lang.Runnable | java.lang.Runnable$$Lambda)
                        public completed(arg0: V, arg1: java.lang.Void): void
                        public failed(arg0: java.lang.Throwable, arg1: java.lang.Void): void
                        public failed(arg0: java.lang.Throwable, arg1: java.lang.Object): void
                        public completed(arg0: java.lang.Object, arg1: java.lang.Object): void
                        public static class: java.lang.Class<any>
                    }
                    class TlsEncryptingByteChannel extends java.nio.channels.AsynchronousSocketChannel {
                        public constructor(arg0: java.nio.channels.AsynchronousSocketChannel, arg1: javax.net.ssl.SSLEngine)
                        public write<A>(arg0: java.nio.ByteBuffer[], arg1: int, arg2: int, arg3: long, arg4: java.util.concurrent.TimeUnit, arg5: A, arg6: java.nio.channels.CompletionHandler<java.lang.Long, A>): void
                        public bind<A>(arg0: java.net.SocketAddress): java.nio.channels.AsynchronousSocketChannel
                        public supportedOptions<A>(): java.util.Set<java.net.SocketOption<any>>
                        public getOption<T>(arg0: java.net.SocketOption<T>): T
                        public setOption<T>(arg0: java.net.SocketOption<T>, arg1: T): java.nio.channels.AsynchronousSocketChannel
                        public shutdownInput<T>(): java.nio.channels.AsynchronousSocketChannel
                        public shutdownOutput<T>(): java.nio.channels.AsynchronousSocketChannel
                        public getRemoteAddress<T>(): java.net.SocketAddress
                        public connect<A>(arg0: java.net.SocketAddress, arg1: A, arg2: java.nio.channels.CompletionHandler<java.lang.Void, A>): void
                        public connect<A>(arg0: java.net.SocketAddress): java.util.concurrent.Future<java.lang.Void>
                        public read<A>(arg0: java.nio.ByteBuffer, arg1: long, arg2: java.util.concurrent.TimeUnit, arg3: A, arg4: java.nio.channels.CompletionHandler<java.lang.Integer, A>): void
                        public read<A>(arg0: java.nio.ByteBuffer): java.util.concurrent.Future<java.lang.Integer>
                        public read<A>(arg0: java.nio.ByteBuffer[], arg1: int, arg2: int, arg3: long, arg4: java.util.concurrent.TimeUnit, arg5: A, arg6: java.nio.channels.CompletionHandler<java.lang.Long, A>): void
                        public write<A>(arg0: java.nio.ByteBuffer, arg1: long, arg2: java.util.concurrent.TimeUnit, arg3: A, arg4: java.nio.channels.CompletionHandler<java.lang.Integer, A>): void
                        public write<A>(arg0: java.nio.ByteBuffer): java.util.concurrent.Future<java.lang.Integer>
                        public getLocalAddress<A>(): java.net.SocketAddress
                        public close<A>(): void
                        public isOpen<A>(): boolean
                        public setOption<A>(arg0: java.net.SocketOption, arg1: java.lang.Object): java.nio.channels.NetworkChannel
                        public bind<A>(arg0: java.net.SocketAddress): java.nio.channels.NetworkChannel
                        public static class: java.lang.Class<any>
                    }
                    class XProtocol$1 {
                        public static class: java.lang.Class<any>
                    }
                    class XProtocol implements com.mysql.cj.api.io.Protocol {
                        public static XPROTOCOL_COLUMN_BYTES_CONTENT_TYPE_JSON: int
                        public static XProtocolNoticeFrameType_WARNING: int
                        public static XProtocolNoticeFrameType_SESS_VAR_CHANGED: int
                        public static XProtocolNoticeFrameType_SESS_STATE_CHANGED: int
                        public static COLLATION_NAME_TO_COLLATION_INDEX: java.util.Map<java.lang.String, java.lang.Integer>
                        public constructor(arg0: com.mysql.cj.api.x.io.MessageReader, arg1: com.mysql.cj.api.x.io.MessageWriter, arg2: java.io.Closeable, arg3: com.mysql.cj.api.conf.PropertySet)
                        public init(arg0: com.mysql.cj.api.MysqlConnection, arg1: int, arg2: com.mysql.cj.api.io.SocketConnection, arg3: com.mysql.cj.api.conf.PropertySet): void
                        public getPropertySet(): com.mysql.cj.api.conf.PropertySet
                        public setPropertySet(arg0: com.mysql.cj.api.conf.PropertySet): void
                        public readServerCapabilities(): com.mysql.cj.api.io.ServerCapabilities
                        public getServerSession(): com.mysql.cj.api.io.ServerSession
                        public getConnection(): com.mysql.cj.api.MysqlConnection
                        public setConnection(arg0: com.mysql.cj.api.MysqlConnection): void
                        public getSocketConnection(): com.mysql.cj.api.io.SocketConnection
                        public getAuthenticationProvider(): com.mysql.cj.api.authentication.AuthenticationProvider
                        public getExceptionInterceptor(): com.mysql.cj.api.exceptions.ExceptionInterceptor
                        public getPacketSentTimeHolder(): com.mysql.cj.api.io.PacketSentTimeHolder
                        public setPacketSentTimeHolder(arg0: com.mysql.cj.api.io.PacketSentTimeHolder | com.mysql.cj.api.io.PacketSentTimeHolder$$Lambda): void
                        public getPacketReceivedTimeHolder(): com.mysql.cj.api.io.PacketReceivedTimeHolder
                        public setPacketReceivedTimeHolder(arg0: com.mysql.cj.api.io.PacketReceivedTimeHolder | com.mysql.cj.api.io.PacketReceivedTimeHolder$$Lambda): void
                        public setCapability(arg0: string, arg1: java.lang.Object): void
                        public sendSaslMysql41AuthStart(): void
                        public sendSaslMysql41AuthContinue(arg0: string, arg1: string, arg2: byte[], arg3: string): void
                        public sendSaslAuthStart(arg0: string, arg1: string, arg2: string): void
                        public negotiateSSLConnection(arg0: int): void
                        public rejectConnection(arg0: string): void
                        public beforeHandshake(): void
                        public afterHandshake(): void
                        public changeDatabase(arg0: string): void
                        public changeUser(arg0: string, arg1: string, arg2: string): void
                        public getPasswordCharacterEncoding(): string
                        public versionMeetsMinimum(arg0: int, arg1: int, arg2: int): boolean
                        public readOk(): void
                        public readAuthenticateOk(): void
                        public readAuthenticateContinue(): byte[]
                        public sendCreateCollection(arg0: string, arg1: string): void
                        public sendDropCollection(arg0: string, arg1: string): void
                        public sendListObjects(arg0: string, arg1: string): void
                        public sendListObjects(arg0: string): void
                        public sendListNotices(): void
                        public sendEnableNotices(...arg0: java.lang.String[]): void
                        public sendDisableNotices(...arg0: java.lang.String[]): void
                        public hasMoreResults(): boolean
                        public readStatementExecuteOk(): com.mysql.cj.x.core.StatementExecuteOk
                        public sendSqlStatement(arg0: string): void
                        public sendSqlStatement(arg0: string, arg1: java.lang.Object): void
                        public hasResults(): boolean
                        public drainRows(): void
                        public static findMysqlType(arg0: com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$FieldType, arg1: int, arg2: int, arg3: int): com.mysql.cj.core.MysqlType
                        public readMetadata(arg0: string): java.util.ArrayList<com.mysql.cj.core.result.Field>
                        public readRowOrNull(arg0: java.util.ArrayList<com.mysql.cj.core.result.Field>): com.mysql.cj.x.io.XProtocolRow
                        public getRowInputStream(arg0: java.util.ArrayList<com.mysql.cj.core.result.Field>): com.mysql.cj.x.io.XProtocolRowInputStream
                        public asyncExecuteSql(arg0: string, arg1: java.lang.Object, arg2: string, arg3: java.util.TimeZone): java.util.concurrent.CompletableFuture<com.mysql.cj.api.xdevapi.SqlResult>
                        public asyncFind(arg0: com.mysql.cj.xdevapi.FindParams, arg1: string, arg2: com.mysql.cj.api.x.io.ResultListener, arg3: java.util.concurrent.CompletableFuture<any>): void
                        public asyncAddDocs(arg0: string, arg1: string, arg2: java.util.List<java.lang.String>): java.util.concurrent.CompletableFuture<com.mysql.cj.x.core.StatementExecuteOk>
                        public asyncInsertRows(arg0: string, arg1: string, arg2: com.mysql.cj.xdevapi.InsertParams): java.util.concurrent.CompletableFuture<com.mysql.cj.x.core.StatementExecuteOk>
                        public asyncUpdateDocs(arg0: com.mysql.cj.xdevapi.FilterParams, arg1: java.util.List<com.mysql.cj.xdevapi.UpdateSpec>): java.util.concurrent.CompletableFuture<com.mysql.cj.x.core.StatementExecuteOk>
                        public asyncUpdateRows(arg0: com.mysql.cj.xdevapi.FilterParams, arg1: com.mysql.cj.xdevapi.UpdateParams): java.util.concurrent.CompletableFuture<com.mysql.cj.x.core.StatementExecuteOk>
                        public asyncDeleteDocs(arg0: com.mysql.cj.xdevapi.FilterParams): java.util.concurrent.CompletableFuture<com.mysql.cj.x.core.StatementExecuteOk>
                        public asyncCreateCollectionIndex(arg0: string, arg1: string, arg2: com.mysql.cj.xdevapi.CreateIndexParams): java.util.concurrent.CompletableFuture<com.mysql.cj.x.core.StatementExecuteOk>
                        public asyncDropCollectionIndex(arg0: string, arg1: string, arg2: string): java.util.concurrent.CompletableFuture<com.mysql.cj.x.core.StatementExecuteOk>
                        public sendFind(arg0: com.mysql.cj.xdevapi.FindParams): void
                        public sendDocUpdates(arg0: com.mysql.cj.xdevapi.FilterParams, arg1: java.util.List<com.mysql.cj.xdevapi.UpdateSpec>): void
                        public sendRowUpdates(arg0: com.mysql.cj.xdevapi.FilterParams, arg1: com.mysql.cj.xdevapi.UpdateParams): void
                        public sendDocDelete(arg0: com.mysql.cj.xdevapi.FilterParams): void
                        public sendDocInsert(arg0: string, arg1: string, arg2: java.util.List<java.lang.String>): void
                        public sendRowInsert(arg0: string, arg1: string, arg2: com.mysql.cj.xdevapi.InsertParams): void
                        public sendSessionClose(): void
                        public hasCapability(arg0: string): boolean
                        public getNodeType(): string
                        public getTls(): boolean
                        public getClientPwdExpireOk(): boolean
                        public getAuthenticationMechanisms(): java.util.List<java.lang.String>
                        public getDocFormats(): string
                        public sendCreateCollectionIndex(arg0: string, arg1: string, arg2: com.mysql.cj.xdevapi.CreateIndexParams): void
                        public sendDropCollectionIndex(arg0: string, arg1: string, arg2: string): void
                        public isOpen(): boolean
                        public close(): void
                        public isSqlResultPending(): boolean
                        public getClientId(): long
                        public connect(arg0: string, arg1: string, arg2: string): void
                        public setMaxAllowedPacket(arg0: int): void
                        public sendCreateView(arg0: string, arg1: string, arg2: boolean, arg3: java.util.List<java.lang.String>, arg4: com.mysql.cj.api.xdevapi.ViewDDL$ViewAlgorithm, arg5: com.mysql.cj.api.xdevapi.ViewDDL$ViewSqlSecurity, arg6: string, arg7: com.mysql.cj.xdevapi.FindParams, arg8: com.mysql.cj.api.xdevapi.ViewDDL$ViewCheckOption): void
                        public sendModifyView(arg0: string, arg1: string, arg2: java.util.List<java.lang.String>, arg3: com.mysql.cj.api.xdevapi.ViewDDL$ViewAlgorithm, arg4: com.mysql.cj.api.xdevapi.ViewDDL$ViewSqlSecurity, arg5: string, arg6: com.mysql.cj.xdevapi.FindParams, arg7: com.mysql.cj.api.xdevapi.ViewDDL$ViewCheckOption): void
                        public sendDropView(arg0: string, arg1: string, arg2: boolean): void
                        public static class: java.lang.Class<any>
                    }
                    class XProtocolDecoder {
                        public static instance: com.mysql.cj.x.io.XProtocolDecoder
                        public static MYSQL_TYPE_TO_DECODER_FUNCTION: java.util.Map<java.lang.Integer, com.mysql.cj.api.x.io.DecoderFunction>
                        public constructor()
                        public decodeBit<T>(arg0: com.google.protobuf.CodedInputStream, arg1: com.mysql.cj.api.io.ValueFactory<T>): T
                        public decodeString<T>(arg0: com.google.protobuf.CodedInputStream, arg1: com.mysql.cj.api.io.ValueFactory<T>): T
                        public decodeSet<T>(arg0: com.google.protobuf.CodedInputStream, arg1: com.mysql.cj.api.io.ValueFactory<T>): T
                        public decodeDateOrTimestamp<T>(arg0: com.google.protobuf.CodedInputStream, arg1: com.mysql.cj.api.io.ValueFactory<T>): T
                        public decodeTime<T>(arg0: com.google.protobuf.CodedInputStream, arg1: com.mysql.cj.api.io.ValueFactory<T>): T
                        public decodeFloat<T>(arg0: com.google.protobuf.CodedInputStream, arg1: com.mysql.cj.api.io.ValueFactory<T>): T
                        public decodeDouble<T>(arg0: com.google.protobuf.CodedInputStream, arg1: com.mysql.cj.api.io.ValueFactory<T>): T
                        public decodeSignedLong<T>(arg0: com.google.protobuf.CodedInputStream, arg1: com.mysql.cj.api.io.ValueFactory<T>): T
                        public decodeUnsignedLong<T>(arg0: com.google.protobuf.CodedInputStream, arg1: com.mysql.cj.api.io.ValueFactory<T>): T
                        public decodeDecimal<T>(arg0: com.google.protobuf.CodedInputStream, arg1: com.mysql.cj.api.io.ValueFactory<T>): T
                        public static class: java.lang.Class<any>
                    }
                    class XProtocolEncoder {
                        public constructor()
                        public static class: java.lang.Class<any>
                    }
                    class XProtocolFactory$1 implements java.nio.channels.CompletionHandler<java.lang.Integer, java.lang.Void> {
                        public completed(arg0: java.lang.Integer, arg1: java.lang.Void): void
                        public failed(arg0: java.lang.Throwable, arg1: java.lang.Void): void
                        public failed(arg0: java.lang.Throwable, arg1: java.lang.Object): void
                        public completed(arg0: java.lang.Object, arg1: java.lang.Object): void
                        public static class: java.lang.Class<any>
                    }
                    class XProtocolFactory {
                        public constructor()
                        public static getInstance(arg0: string, arg1: int, arg2: com.mysql.cj.api.conf.PropertySet): com.mysql.cj.x.io.XProtocol
                        public static getAsyncInstance(arg0: string, arg1: int, arg2: com.mysql.cj.api.conf.PropertySet): com.mysql.cj.x.io.XProtocol
                        public static class: java.lang.Class<any>
                    }
                    class XProtocolRow implements com.mysql.cj.api.result.Row {
                        public constructor(arg0: java.util.ArrayList<com.mysql.cj.core.result.Field>, arg1: com.mysql.cj.x.protobuf.MysqlxResultset$Row)
                        public getValue<T>(arg0: int, arg1: com.mysql.cj.api.io.ValueFactory<T>): T
                        public getNull<T>(arg0: int): boolean
                        public wasNull<T>(): boolean
                        public static class: java.lang.Class<any>
                    }
                    class XProtocolRowInputStream implements com.mysql.cj.api.result.RowList {
                        public constructor(arg0: java.util.ArrayList<com.mysql.cj.core.result.Field>, arg1: com.mysql.cj.x.io.XProtocol)
                        public readRow(): com.mysql.cj.x.io.XProtocolRow
                        public next(): com.mysql.cj.x.io.XProtocolRow
                        public hasNext(): boolean
                        public getPosition(): int
                        public next(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    
                }
                namespace protobuf {
                    class Mysqlx$1 implements com.google.protobuf.Descriptors$FileDescriptor$InternalDescriptorAssigner {
                        public assignDescriptors(arg0: com.google.protobuf.Descriptors$FileDescriptor): com.google.protobuf.ExtensionRegistry
                        public static class: java.lang.Class<any>
                    }
                    class Mysqlx$ClientMessages$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.Mysqlx$ClientMessages> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.Mysqlx$ClientMessages
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class Mysqlx$ClientMessages$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.Mysqlx$ClientMessages$Builder> implements com.mysql.cj.x.protobuf.Mysqlx$ClientMessagesOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.Mysqlx$ClientMessages$Builder
                        public clone(): com.mysql.cj.x.protobuf.Mysqlx$ClientMessages$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.Mysqlx$ClientMessages
                        public build(): com.mysql.cj.x.protobuf.Mysqlx$ClientMessages
                        public buildPartial(): com.mysql.cj.x.protobuf.Mysqlx$ClientMessages
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.Mysqlx$ClientMessages$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.Mysqlx$ClientMessages): com.mysql.cj.x.protobuf.Mysqlx$ClientMessages$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.Mysqlx$ClientMessages$Builder
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class Mysqlx$ClientMessages$Type$1 implements com.google.protobuf.Internal$EnumLiteMap<com.mysql.cj.x.protobuf.Mysqlx$ClientMessages$Type> {
                        public findValueByNumber(arg0: int): com.mysql.cj.x.protobuf.Mysqlx$ClientMessages$Type
                        public findValueByNumber(arg0: int): com.google.protobuf.Internal$EnumLite
                        public static class: java.lang.Class<any>
                    }
                    class Mysqlx$ClientMessages$Type extends java.lang.Enum<com.mysql.cj.x.protobuf.Mysqlx$ClientMessages$Type> implements com.google.protobuf.ProtocolMessageEnum {
                        public static CON_CAPABILITIES_GET: com.mysql.cj.x.protobuf.Mysqlx$ClientMessages$Type
                        public static CON_CAPABILITIES_SET: com.mysql.cj.x.protobuf.Mysqlx$ClientMessages$Type
                        public static CON_CLOSE: com.mysql.cj.x.protobuf.Mysqlx$ClientMessages$Type
                        public static SESS_AUTHENTICATE_START: com.mysql.cj.x.protobuf.Mysqlx$ClientMessages$Type
                        public static SESS_AUTHENTICATE_CONTINUE: com.mysql.cj.x.protobuf.Mysqlx$ClientMessages$Type
                        public static SESS_RESET: com.mysql.cj.x.protobuf.Mysqlx$ClientMessages$Type
                        public static SESS_CLOSE: com.mysql.cj.x.protobuf.Mysqlx$ClientMessages$Type
                        public static SQL_STMT_EXECUTE: com.mysql.cj.x.protobuf.Mysqlx$ClientMessages$Type
                        public static CRUD_FIND: com.mysql.cj.x.protobuf.Mysqlx$ClientMessages$Type
                        public static CRUD_INSERT: com.mysql.cj.x.protobuf.Mysqlx$ClientMessages$Type
                        public static CRUD_UPDATE: com.mysql.cj.x.protobuf.Mysqlx$ClientMessages$Type
                        public static CRUD_DELETE: com.mysql.cj.x.protobuf.Mysqlx$ClientMessages$Type
                        public static EXPECT_OPEN: com.mysql.cj.x.protobuf.Mysqlx$ClientMessages$Type
                        public static EXPECT_CLOSE: com.mysql.cj.x.protobuf.Mysqlx$ClientMessages$Type
                        public static CRUD_CREATE_VIEW: com.mysql.cj.x.protobuf.Mysqlx$ClientMessages$Type
                        public static CRUD_MODIFY_VIEW: com.mysql.cj.x.protobuf.Mysqlx$ClientMessages$Type
                        public static CRUD_DROP_VIEW: com.mysql.cj.x.protobuf.Mysqlx$ClientMessages$Type
                        public static CRUD_FIND_V2: com.mysql.cj.x.protobuf.Mysqlx$ClientMessages$Type
                        public static CON_CAPABILITIES_GET_VALUE: int
                        public static CON_CAPABILITIES_SET_VALUE: int
                        public static CON_CLOSE_VALUE: int
                        public static SESS_AUTHENTICATE_START_VALUE: int
                        public static SESS_AUTHENTICATE_CONTINUE_VALUE: int
                        public static SESS_RESET_VALUE: int
                        public static SESS_CLOSE_VALUE: int
                        public static SQL_STMT_EXECUTE_VALUE: int
                        public static CRUD_FIND_VALUE: int
                        public static CRUD_INSERT_VALUE: int
                        public static CRUD_UPDATE_VALUE: int
                        public static CRUD_DELETE_VALUE: int
                        public static EXPECT_OPEN_VALUE: int
                        public static EXPECT_CLOSE_VALUE: int
                        public static CRUD_CREATE_VIEW_VALUE: int
                        public static CRUD_MODIFY_VIEW_VALUE: int
                        public static CRUD_DROP_VIEW_VALUE: int
                        public static CRUD_FIND_V2_VALUE: int
                        public static values(): com.mysql.cj.x.protobuf.Mysqlx$ClientMessages$Type[]
                        public static valueOf(arg0: string): com.mysql.cj.x.protobuf.Mysqlx$ClientMessages$Type
                        public getNumber(): int
                        public static valueOf(arg0: int): com.mysql.cj.x.protobuf.Mysqlx$ClientMessages$Type
                        public static internalGetValueMap(): com.google.protobuf.Internal$EnumLiteMap<com.mysql.cj.x.protobuf.Mysqlx$ClientMessages$Type>
                        public getValueDescriptor(): com.google.protobuf.Descriptors$EnumValueDescriptor
                        public getDescriptorForType(): com.google.protobuf.Descriptors$EnumDescriptor
                        public static getDescriptor(): com.google.protobuf.Descriptors$EnumDescriptor
                        public static valueOf(arg0: com.google.protobuf.Descriptors$EnumValueDescriptor): com.mysql.cj.x.protobuf.Mysqlx$ClientMessages$Type
                        public static class: java.lang.Class<any>
                    }
                    class Mysqlx$ClientMessages extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.Mysqlx$ClientMessagesOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.Mysqlx$ClientMessages>
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.Mysqlx$ClientMessages
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.Mysqlx$ClientMessages
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.Mysqlx$ClientMessages>
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.Mysqlx$ClientMessages
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.Mysqlx$ClientMessages
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.Mysqlx$ClientMessages
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.Mysqlx$ClientMessages
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.Mysqlx$ClientMessages
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.Mysqlx$ClientMessages
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.Mysqlx$ClientMessages
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.Mysqlx$ClientMessages
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.Mysqlx$ClientMessages
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.Mysqlx$ClientMessages
                        public static newBuilder(): com.mysql.cj.x.protobuf.Mysqlx$ClientMessages$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.Mysqlx$ClientMessages$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.Mysqlx$ClientMessages): com.mysql.cj.x.protobuf.Mysqlx$ClientMessages$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.Mysqlx$ClientMessages$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.Mysqlx$ClientMessages$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface Mysqlx$ClientMessagesOrBuilder extends com.google.protobuf.MessageOrBuilder {
                    }
                    class Mysqlx$Error$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.Mysqlx$Error> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.Mysqlx$Error
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class Mysqlx$Error$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.Mysqlx$Error$Builder> implements com.mysql.cj.x.protobuf.Mysqlx$ErrorOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.Mysqlx$Error$Builder
                        public clone(): com.mysql.cj.x.protobuf.Mysqlx$Error$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.Mysqlx$Error
                        public build(): com.mysql.cj.x.protobuf.Mysqlx$Error
                        public buildPartial(): com.mysql.cj.x.protobuf.Mysqlx$Error
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.Mysqlx$Error$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.Mysqlx$Error): com.mysql.cj.x.protobuf.Mysqlx$Error$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.Mysqlx$Error$Builder
                        public hasSeverity(): boolean
                        public getSeverity(): com.mysql.cj.x.protobuf.Mysqlx$Error$Severity
                        public setSeverity(arg0: com.mysql.cj.x.protobuf.Mysqlx$Error$Severity): com.mysql.cj.x.protobuf.Mysqlx$Error$Builder
                        public clearSeverity(): com.mysql.cj.x.protobuf.Mysqlx$Error$Builder
                        public hasCode(): boolean
                        public getCode(): int
                        public setCode(arg0: int): com.mysql.cj.x.protobuf.Mysqlx$Error$Builder
                        public clearCode(): com.mysql.cj.x.protobuf.Mysqlx$Error$Builder
                        public hasSqlState(): boolean
                        public getSqlState(): string
                        public getSqlStateBytes(): com.google.protobuf.ByteString
                        public setSqlState(arg0: string): com.mysql.cj.x.protobuf.Mysqlx$Error$Builder
                        public clearSqlState(): com.mysql.cj.x.protobuf.Mysqlx$Error$Builder
                        public setSqlStateBytes(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.Mysqlx$Error$Builder
                        public hasMsg(): boolean
                        public getMsg(): string
                        public getMsgBytes(): com.google.protobuf.ByteString
                        public setMsg(arg0: string): com.mysql.cj.x.protobuf.Mysqlx$Error$Builder
                        public clearMsg(): com.mysql.cj.x.protobuf.Mysqlx$Error$Builder
                        public setMsgBytes(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.Mysqlx$Error$Builder
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class Mysqlx$Error$Severity$1 implements com.google.protobuf.Internal$EnumLiteMap<com.mysql.cj.x.protobuf.Mysqlx$Error$Severity> {
                        public findValueByNumber(arg0: int): com.mysql.cj.x.protobuf.Mysqlx$Error$Severity
                        public findValueByNumber(arg0: int): com.google.protobuf.Internal$EnumLite
                        public static class: java.lang.Class<any>
                    }
                    class Mysqlx$Error$Severity extends java.lang.Enum<com.mysql.cj.x.protobuf.Mysqlx$Error$Severity> implements com.google.protobuf.ProtocolMessageEnum {
                        public static ERROR: com.mysql.cj.x.protobuf.Mysqlx$Error$Severity
                        public static FATAL: com.mysql.cj.x.protobuf.Mysqlx$Error$Severity
                        public static ERROR_VALUE: int
                        public static FATAL_VALUE: int
                        public static values(): com.mysql.cj.x.protobuf.Mysqlx$Error$Severity[]
                        public static valueOf(arg0: string): com.mysql.cj.x.protobuf.Mysqlx$Error$Severity
                        public getNumber(): int
                        public static valueOf(arg0: int): com.mysql.cj.x.protobuf.Mysqlx$Error$Severity
                        public static internalGetValueMap(): com.google.protobuf.Internal$EnumLiteMap<com.mysql.cj.x.protobuf.Mysqlx$Error$Severity>
                        public getValueDescriptor(): com.google.protobuf.Descriptors$EnumValueDescriptor
                        public getDescriptorForType(): com.google.protobuf.Descriptors$EnumDescriptor
                        public static getDescriptor(): com.google.protobuf.Descriptors$EnumDescriptor
                        public static valueOf(arg0: com.google.protobuf.Descriptors$EnumValueDescriptor): com.mysql.cj.x.protobuf.Mysqlx$Error$Severity
                        public static class: java.lang.Class<any>
                    }
                    class Mysqlx$Error extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.Mysqlx$ErrorOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.Mysqlx$Error>
                        public static SEVERITY_FIELD_NUMBER: int
                        public static CODE_FIELD_NUMBER: int
                        public static SQL_STATE_FIELD_NUMBER: int
                        public static MSG_FIELD_NUMBER: int
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.Mysqlx$Error
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.Mysqlx$Error
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.Mysqlx$Error>
                        public hasSeverity(): boolean
                        public getSeverity(): com.mysql.cj.x.protobuf.Mysqlx$Error$Severity
                        public hasCode(): boolean
                        public getCode(): int
                        public hasSqlState(): boolean
                        public getSqlState(): string
                        public getSqlStateBytes(): com.google.protobuf.ByteString
                        public hasMsg(): boolean
                        public getMsg(): string
                        public getMsgBytes(): com.google.protobuf.ByteString
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.Mysqlx$Error
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.Mysqlx$Error
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.Mysqlx$Error
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.Mysqlx$Error
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.Mysqlx$Error
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.Mysqlx$Error
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.Mysqlx$Error
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.Mysqlx$Error
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.Mysqlx$Error
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.Mysqlx$Error
                        public static newBuilder(): com.mysql.cj.x.protobuf.Mysqlx$Error$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.Mysqlx$Error$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.Mysqlx$Error): com.mysql.cj.x.protobuf.Mysqlx$Error$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.Mysqlx$Error$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.Mysqlx$Error$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface Mysqlx$ErrorOrBuilder extends com.google.protobuf.MessageOrBuilder {
                        hasSeverity(): boolean
                        getSeverity(): com.mysql.cj.x.protobuf.Mysqlx$Error$Severity
                        hasCode(): boolean
                        getCode(): int
                        hasSqlState(): boolean
                        getSqlState(): string
                        getSqlStateBytes(): com.google.protobuf.ByteString
                        hasMsg(): boolean
                        getMsg(): string
                        getMsgBytes(): com.google.protobuf.ByteString
                    }
                    class Mysqlx$Ok$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.Mysqlx$Ok> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.Mysqlx$Ok
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class Mysqlx$Ok$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.Mysqlx$Ok$Builder> implements com.mysql.cj.x.protobuf.Mysqlx$OkOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.Mysqlx$Ok$Builder
                        public clone(): com.mysql.cj.x.protobuf.Mysqlx$Ok$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.Mysqlx$Ok
                        public build(): com.mysql.cj.x.protobuf.Mysqlx$Ok
                        public buildPartial(): com.mysql.cj.x.protobuf.Mysqlx$Ok
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.Mysqlx$Ok$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.Mysqlx$Ok): com.mysql.cj.x.protobuf.Mysqlx$Ok$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.Mysqlx$Ok$Builder
                        public hasMsg(): boolean
                        public getMsg(): string
                        public getMsgBytes(): com.google.protobuf.ByteString
                        public setMsg(arg0: string): com.mysql.cj.x.protobuf.Mysqlx$Ok$Builder
                        public clearMsg(): com.mysql.cj.x.protobuf.Mysqlx$Ok$Builder
                        public setMsgBytes(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.Mysqlx$Ok$Builder
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class Mysqlx$Ok extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.Mysqlx$OkOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.Mysqlx$Ok>
                        public static MSG_FIELD_NUMBER: int
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.Mysqlx$Ok
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.Mysqlx$Ok
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.Mysqlx$Ok>
                        public hasMsg(): boolean
                        public getMsg(): string
                        public getMsgBytes(): com.google.protobuf.ByteString
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.Mysqlx$Ok
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.Mysqlx$Ok
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.Mysqlx$Ok
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.Mysqlx$Ok
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.Mysqlx$Ok
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.Mysqlx$Ok
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.Mysqlx$Ok
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.Mysqlx$Ok
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.Mysqlx$Ok
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.Mysqlx$Ok
                        public static newBuilder(): com.mysql.cj.x.protobuf.Mysqlx$Ok$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.Mysqlx$Ok$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.Mysqlx$Ok): com.mysql.cj.x.protobuf.Mysqlx$Ok$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.Mysqlx$Ok$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.Mysqlx$Ok$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface Mysqlx$OkOrBuilder extends com.google.protobuf.MessageOrBuilder {
                        hasMsg(): boolean
                        getMsg(): string
                        getMsgBytes(): com.google.protobuf.ByteString
                    }
                    class Mysqlx$ServerMessages$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.Mysqlx$ServerMessages> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.Mysqlx$ServerMessages
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class Mysqlx$ServerMessages$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.Mysqlx$ServerMessages$Builder> implements com.mysql.cj.x.protobuf.Mysqlx$ServerMessagesOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.Mysqlx$ServerMessages$Builder
                        public clone(): com.mysql.cj.x.protobuf.Mysqlx$ServerMessages$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.Mysqlx$ServerMessages
                        public build(): com.mysql.cj.x.protobuf.Mysqlx$ServerMessages
                        public buildPartial(): com.mysql.cj.x.protobuf.Mysqlx$ServerMessages
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.Mysqlx$ServerMessages$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.Mysqlx$ServerMessages): com.mysql.cj.x.protobuf.Mysqlx$ServerMessages$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.Mysqlx$ServerMessages$Builder
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class Mysqlx$ServerMessages$Type$1 implements com.google.protobuf.Internal$EnumLiteMap<com.mysql.cj.x.protobuf.Mysqlx$ServerMessages$Type> {
                        public findValueByNumber(arg0: int): com.mysql.cj.x.protobuf.Mysqlx$ServerMessages$Type
                        public findValueByNumber(arg0: int): com.google.protobuf.Internal$EnumLite
                        public static class: java.lang.Class<any>
                    }
                    class Mysqlx$ServerMessages$Type extends java.lang.Enum<com.mysql.cj.x.protobuf.Mysqlx$ServerMessages$Type> implements com.google.protobuf.ProtocolMessageEnum {
                        public static OK: com.mysql.cj.x.protobuf.Mysqlx$ServerMessages$Type
                        public static ERROR: com.mysql.cj.x.protobuf.Mysqlx$ServerMessages$Type
                        public static CONN_CAPABILITIES: com.mysql.cj.x.protobuf.Mysqlx$ServerMessages$Type
                        public static SESS_AUTHENTICATE_CONTINUE: com.mysql.cj.x.protobuf.Mysqlx$ServerMessages$Type
                        public static SESS_AUTHENTICATE_OK: com.mysql.cj.x.protobuf.Mysqlx$ServerMessages$Type
                        public static NOTICE: com.mysql.cj.x.protobuf.Mysqlx$ServerMessages$Type
                        public static RESULTSET_COLUMN_META_DATA: com.mysql.cj.x.protobuf.Mysqlx$ServerMessages$Type
                        public static RESULTSET_ROW: com.mysql.cj.x.protobuf.Mysqlx$ServerMessages$Type
                        public static RESULTSET_FETCH_DONE: com.mysql.cj.x.protobuf.Mysqlx$ServerMessages$Type
                        public static RESULTSET_FETCH_SUSPENDED: com.mysql.cj.x.protobuf.Mysqlx$ServerMessages$Type
                        public static RESULTSET_FETCH_DONE_MORE_RESULTSETS: com.mysql.cj.x.protobuf.Mysqlx$ServerMessages$Type
                        public static SQL_STMT_EXECUTE_OK: com.mysql.cj.x.protobuf.Mysqlx$ServerMessages$Type
                        public static RESULTSET_FETCH_DONE_MORE_OUT_PARAMS: com.mysql.cj.x.protobuf.Mysqlx$ServerMessages$Type
                        public static OK_VALUE: int
                        public static ERROR_VALUE: int
                        public static CONN_CAPABILITIES_VALUE: int
                        public static SESS_AUTHENTICATE_CONTINUE_VALUE: int
                        public static SESS_AUTHENTICATE_OK_VALUE: int
                        public static NOTICE_VALUE: int
                        public static RESULTSET_COLUMN_META_DATA_VALUE: int
                        public static RESULTSET_ROW_VALUE: int
                        public static RESULTSET_FETCH_DONE_VALUE: int
                        public static RESULTSET_FETCH_SUSPENDED_VALUE: int
                        public static RESULTSET_FETCH_DONE_MORE_RESULTSETS_VALUE: int
                        public static SQL_STMT_EXECUTE_OK_VALUE: int
                        public static RESULTSET_FETCH_DONE_MORE_OUT_PARAMS_VALUE: int
                        public static values(): com.mysql.cj.x.protobuf.Mysqlx$ServerMessages$Type[]
                        public static valueOf(arg0: string): com.mysql.cj.x.protobuf.Mysqlx$ServerMessages$Type
                        public getNumber(): int
                        public static valueOf(arg0: int): com.mysql.cj.x.protobuf.Mysqlx$ServerMessages$Type
                        public static internalGetValueMap(): com.google.protobuf.Internal$EnumLiteMap<com.mysql.cj.x.protobuf.Mysqlx$ServerMessages$Type>
                        public getValueDescriptor(): com.google.protobuf.Descriptors$EnumValueDescriptor
                        public getDescriptorForType(): com.google.protobuf.Descriptors$EnumDescriptor
                        public static getDescriptor(): com.google.protobuf.Descriptors$EnumDescriptor
                        public static valueOf(arg0: com.google.protobuf.Descriptors$EnumValueDescriptor): com.mysql.cj.x.protobuf.Mysqlx$ServerMessages$Type
                        public static class: java.lang.Class<any>
                    }
                    class Mysqlx$ServerMessages extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.Mysqlx$ServerMessagesOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.Mysqlx$ServerMessages>
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.Mysqlx$ServerMessages
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.Mysqlx$ServerMessages
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.Mysqlx$ServerMessages>
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.Mysqlx$ServerMessages
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.Mysqlx$ServerMessages
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.Mysqlx$ServerMessages
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.Mysqlx$ServerMessages
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.Mysqlx$ServerMessages
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.Mysqlx$ServerMessages
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.Mysqlx$ServerMessages
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.Mysqlx$ServerMessages
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.Mysqlx$ServerMessages
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.Mysqlx$ServerMessages
                        public static newBuilder(): com.mysql.cj.x.protobuf.Mysqlx$ServerMessages$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.Mysqlx$ServerMessages$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.Mysqlx$ServerMessages): com.mysql.cj.x.protobuf.Mysqlx$ServerMessages$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.Mysqlx$ServerMessages$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.Mysqlx$ServerMessages$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface Mysqlx$ServerMessagesOrBuilder extends com.google.protobuf.MessageOrBuilder {
                    }
                    class Mysqlx {
                        public static registerAllExtensions(arg0: com.google.protobuf.ExtensionRegistry): void
                        public static getDescriptor(): com.google.protobuf.Descriptors$FileDescriptor
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxConnection$1 implements com.google.protobuf.Descriptors$FileDescriptor$InternalDescriptorAssigner {
                        public assignDescriptors(arg0: com.google.protobuf.Descriptors$FileDescriptor): com.google.protobuf.ExtensionRegistry
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxConnection$Capabilities$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxConnection$Capabilities> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxConnection$Capabilities
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxConnection$Capabilities$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxConnection$Capabilities$Builder> implements com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxConnection$Capabilities$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxConnection$Capabilities$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxConnection$Capabilities
                        public build(): com.mysql.cj.x.protobuf.MysqlxConnection$Capabilities
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxConnection$Capabilities
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxConnection$Capabilities$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxConnection$Capabilities): com.mysql.cj.x.protobuf.MysqlxConnection$Capabilities$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxConnection$Capabilities$Builder
                        public getCapabilitiesList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxConnection$Capability>
                        public getCapabilitiesCount(): int
                        public getCapabilities(arg0: int): com.mysql.cj.x.protobuf.MysqlxConnection$Capability
                        public setCapabilities(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxConnection$Capability): com.mysql.cj.x.protobuf.MysqlxConnection$Capabilities$Builder
                        public setCapabilities(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxConnection$Capability$Builder): com.mysql.cj.x.protobuf.MysqlxConnection$Capabilities$Builder
                        public addCapabilities(arg0: com.mysql.cj.x.protobuf.MysqlxConnection$Capability): com.mysql.cj.x.protobuf.MysqlxConnection$Capabilities$Builder
                        public addCapabilities(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxConnection$Capability): com.mysql.cj.x.protobuf.MysqlxConnection$Capabilities$Builder
                        public addCapabilities(arg0: com.mysql.cj.x.protobuf.MysqlxConnection$Capability$Builder): com.mysql.cj.x.protobuf.MysqlxConnection$Capabilities$Builder
                        public addCapabilities(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxConnection$Capability$Builder): com.mysql.cj.x.protobuf.MysqlxConnection$Capabilities$Builder
                        public addAllCapabilities(arg0: java.lang.Iterable<com.mysql.cj.x.protobuf.MysqlxConnection$Capability>): com.mysql.cj.x.protobuf.MysqlxConnection$Capabilities$Builder
                        public clearCapabilities(): com.mysql.cj.x.protobuf.MysqlxConnection$Capabilities$Builder
                        public removeCapabilities(arg0: int): com.mysql.cj.x.protobuf.MysqlxConnection$Capabilities$Builder
                        public getCapabilitiesBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxConnection$Capability$Builder
                        public getCapabilitiesOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilityOrBuilder
                        public getCapabilitiesOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxConnection$CapabilityOrBuilder>
                        public addCapabilitiesBuilder(): com.mysql.cj.x.protobuf.MysqlxConnection$Capability$Builder
                        public addCapabilitiesBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxConnection$Capability$Builder
                        public getCapabilitiesBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxConnection$Capability$Builder>
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxConnection$Capabilities extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxConnection$Capabilities>
                        public static CAPABILITIES_FIELD_NUMBER: int
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxConnection$Capabilities
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxConnection$Capabilities
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxConnection$Capabilities>
                        public getCapabilitiesList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxConnection$Capability>
                        public getCapabilitiesOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxConnection$CapabilityOrBuilder>
                        public getCapabilitiesCount(): int
                        public getCapabilities(arg0: int): com.mysql.cj.x.protobuf.MysqlxConnection$Capability
                        public getCapabilitiesOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilityOrBuilder
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxConnection$Capabilities
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxConnection$Capabilities
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxConnection$Capabilities
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxConnection$Capabilities
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxConnection$Capabilities
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxConnection$Capabilities
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxConnection$Capabilities
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxConnection$Capabilities
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxConnection$Capabilities
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxConnection$Capabilities
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxConnection$Capabilities$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxConnection$Capabilities$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxConnection$Capabilities): com.mysql.cj.x.protobuf.MysqlxConnection$Capabilities$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxConnection$Capabilities$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxConnection$Capabilities$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxConnection$CapabilitiesGet$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesGet> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesGet
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxConnection$CapabilitiesGet$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesGet$Builder> implements com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesGetOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesGet$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesGet$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesGet
                        public build(): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesGet
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesGet
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesGet$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesGet): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesGet$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesGet$Builder
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxConnection$CapabilitiesGet extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesGetOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesGet>
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesGet
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesGet
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesGet>
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesGet
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesGet
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesGet
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesGet
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesGet
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesGet
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesGet
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesGet
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesGet
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesGet
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesGet$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesGet$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesGet): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesGet$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesGet$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesGet$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface MysqlxConnection$CapabilitiesGetOrBuilder extends com.google.protobuf.MessageOrBuilder {
                    }
                    interface MysqlxConnection$CapabilitiesOrBuilder extends com.google.protobuf.MessageOrBuilder {
                        getCapabilitiesList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxConnection$Capability>
                        getCapabilities(arg0: int): com.mysql.cj.x.protobuf.MysqlxConnection$Capability
                        getCapabilitiesCount(): int
                        getCapabilitiesOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxConnection$CapabilityOrBuilder>
                        getCapabilitiesOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilityOrBuilder
                    }
                    class MysqlxConnection$CapabilitiesSet$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesSet> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesSet
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxConnection$CapabilitiesSet$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesSet$Builder> implements com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesSetOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesSet$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesSet$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesSet
                        public build(): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesSet
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesSet
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesSet$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesSet): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesSet$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesSet$Builder
                        public hasCapabilities(): boolean
                        public getCapabilities(): com.mysql.cj.x.protobuf.MysqlxConnection$Capabilities
                        public setCapabilities(arg0: com.mysql.cj.x.protobuf.MysqlxConnection$Capabilities): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesSet$Builder
                        public setCapabilities(arg0: com.mysql.cj.x.protobuf.MysqlxConnection$Capabilities$Builder): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesSet$Builder
                        public mergeCapabilities(arg0: com.mysql.cj.x.protobuf.MysqlxConnection$Capabilities): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesSet$Builder
                        public clearCapabilities(): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesSet$Builder
                        public getCapabilitiesBuilder(): com.mysql.cj.x.protobuf.MysqlxConnection$Capabilities$Builder
                        public getCapabilitiesOrBuilder(): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesOrBuilder
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxConnection$CapabilitiesSet extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesSetOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesSet>
                        public static CAPABILITIES_FIELD_NUMBER: int
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesSet
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesSet
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesSet>
                        public hasCapabilities(): boolean
                        public getCapabilities(): com.mysql.cj.x.protobuf.MysqlxConnection$Capabilities
                        public getCapabilitiesOrBuilder(): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesOrBuilder
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesSet
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesSet
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesSet
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesSet
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesSet
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesSet
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesSet
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesSet
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesSet
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesSet
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesSet$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesSet$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesSet): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesSet$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesSet$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesSet$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface MysqlxConnection$CapabilitiesSetOrBuilder extends com.google.protobuf.MessageOrBuilder {
                        hasCapabilities(): boolean
                        getCapabilities(): com.mysql.cj.x.protobuf.MysqlxConnection$Capabilities
                        getCapabilitiesOrBuilder(): com.mysql.cj.x.protobuf.MysqlxConnection$CapabilitiesOrBuilder
                    }
                    class MysqlxConnection$Capability$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxConnection$Capability> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxConnection$Capability
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxConnection$Capability$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxConnection$Capability$Builder> implements com.mysql.cj.x.protobuf.MysqlxConnection$CapabilityOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxConnection$Capability$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxConnection$Capability$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxConnection$Capability
                        public build(): com.mysql.cj.x.protobuf.MysqlxConnection$Capability
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxConnection$Capability
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxConnection$Capability$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxConnection$Capability): com.mysql.cj.x.protobuf.MysqlxConnection$Capability$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxConnection$Capability$Builder
                        public hasName(): boolean
                        public getName(): string
                        public getNameBytes(): com.google.protobuf.ByteString
                        public setName(arg0: string): com.mysql.cj.x.protobuf.MysqlxConnection$Capability$Builder
                        public clearName(): com.mysql.cj.x.protobuf.MysqlxConnection$Capability$Builder
                        public setNameBytes(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxConnection$Capability$Builder
                        public hasValue(): boolean
                        public getValue(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any
                        public setValue(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Any): com.mysql.cj.x.protobuf.MysqlxConnection$Capability$Builder
                        public setValue(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Builder): com.mysql.cj.x.protobuf.MysqlxConnection$Capability$Builder
                        public mergeValue(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Any): com.mysql.cj.x.protobuf.MysqlxConnection$Capability$Builder
                        public clearValue(): com.mysql.cj.x.protobuf.MysqlxConnection$Capability$Builder
                        public getValueBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Builder
                        public getValueOrBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$AnyOrBuilder
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxConnection$Capability extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxConnection$CapabilityOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxConnection$Capability>
                        public static NAME_FIELD_NUMBER: int
                        public static VALUE_FIELD_NUMBER: int
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxConnection$Capability
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxConnection$Capability
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxConnection$Capability>
                        public hasName(): boolean
                        public getName(): string
                        public getNameBytes(): com.google.protobuf.ByteString
                        public hasValue(): boolean
                        public getValue(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any
                        public getValueOrBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$AnyOrBuilder
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxConnection$Capability
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxConnection$Capability
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxConnection$Capability
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxConnection$Capability
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxConnection$Capability
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxConnection$Capability
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxConnection$Capability
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxConnection$Capability
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxConnection$Capability
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxConnection$Capability
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxConnection$Capability$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxConnection$Capability$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxConnection$Capability): com.mysql.cj.x.protobuf.MysqlxConnection$Capability$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxConnection$Capability$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxConnection$Capability$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface MysqlxConnection$CapabilityOrBuilder extends com.google.protobuf.MessageOrBuilder {
                        hasName(): boolean
                        getName(): string
                        getNameBytes(): com.google.protobuf.ByteString
                        hasValue(): boolean
                        getValue(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any
                        getValueOrBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$AnyOrBuilder
                    }
                    class MysqlxConnection$Close$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxConnection$Close> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxConnection$Close
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxConnection$Close$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxConnection$Close$Builder> implements com.mysql.cj.x.protobuf.MysqlxConnection$CloseOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxConnection$Close$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxConnection$Close$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxConnection$Close
                        public build(): com.mysql.cj.x.protobuf.MysqlxConnection$Close
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxConnection$Close
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxConnection$Close$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxConnection$Close): com.mysql.cj.x.protobuf.MysqlxConnection$Close$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxConnection$Close$Builder
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxConnection$Close extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxConnection$CloseOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxConnection$Close>
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxConnection$Close
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxConnection$Close
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxConnection$Close>
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxConnection$Close
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxConnection$Close
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxConnection$Close
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxConnection$Close
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxConnection$Close
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxConnection$Close
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxConnection$Close
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxConnection$Close
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxConnection$Close
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxConnection$Close
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxConnection$Close$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxConnection$Close$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxConnection$Close): com.mysql.cj.x.protobuf.MysqlxConnection$Close$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxConnection$Close$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxConnection$Close$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface MysqlxConnection$CloseOrBuilder extends com.google.protobuf.MessageOrBuilder {
                    }
                    class MysqlxConnection {
                        public static registerAllExtensions(arg0: com.google.protobuf.ExtensionRegistry): void
                        public static getDescriptor(): com.google.protobuf.Descriptors$FileDescriptor
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxCrud$1 implements com.google.protobuf.Descriptors$FileDescriptor$InternalDescriptorAssigner {
                        public assignDescriptors(arg0: com.google.protobuf.Descriptors$FileDescriptor): com.google.protobuf.ExtensionRegistry
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxCrud$Collection$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxCrud$Collection> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Collection
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxCrud$Collection$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxCrud$Collection$Builder> implements com.mysql.cj.x.protobuf.MysqlxCrud$CollectionOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxCrud$Collection$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxCrud$Collection$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxCrud$Collection
                        public build(): com.mysql.cj.x.protobuf.MysqlxCrud$Collection
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxCrud$Collection
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxCrud$Collection$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Collection): com.mysql.cj.x.protobuf.MysqlxCrud$Collection$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Collection$Builder
                        public hasName(): boolean
                        public getName(): string
                        public getNameBytes(): com.google.protobuf.ByteString
                        public setName(arg0: string): com.mysql.cj.x.protobuf.MysqlxCrud$Collection$Builder
                        public clearName(): com.mysql.cj.x.protobuf.MysqlxCrud$Collection$Builder
                        public setNameBytes(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxCrud$Collection$Builder
                        public hasSchema(): boolean
                        public getSchema(): string
                        public getSchemaBytes(): com.google.protobuf.ByteString
                        public setSchema(arg0: string): com.mysql.cj.x.protobuf.MysqlxCrud$Collection$Builder
                        public clearSchema(): com.mysql.cj.x.protobuf.MysqlxCrud$Collection$Builder
                        public setSchemaBytes(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxCrud$Collection$Builder
                        public hasAlias(): boolean
                        public getAlias(): string
                        public getAliasBytes(): com.google.protobuf.ByteString
                        public setAlias(arg0: string): com.mysql.cj.x.protobuf.MysqlxCrud$Collection$Builder
                        public clearAlias(): com.mysql.cj.x.protobuf.MysqlxCrud$Collection$Builder
                        public setAliasBytes(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxCrud$Collection$Builder
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxCrud$Collection extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxCrud$CollectionOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxCrud$Collection>
                        public static NAME_FIELD_NUMBER: int
                        public static SCHEMA_FIELD_NUMBER: int
                        public static ALIAS_FIELD_NUMBER: int
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxCrud$Collection
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxCrud$Collection
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxCrud$Collection>
                        public hasName(): boolean
                        public getName(): string
                        public getNameBytes(): com.google.protobuf.ByteString
                        public hasSchema(): boolean
                        public getSchema(): string
                        public getSchemaBytes(): com.google.protobuf.ByteString
                        public hasAlias(): boolean
                        public getAlias(): string
                        public getAliasBytes(): com.google.protobuf.ByteString
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxCrud$Collection
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Collection
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxCrud$Collection
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Collection
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxCrud$Collection
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Collection
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxCrud$Collection
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Collection
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxCrud$Collection
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Collection
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$Collection$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxCrud$Collection$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Collection): com.mysql.cj.x.protobuf.MysqlxCrud$Collection$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$Collection$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxCrud$Collection$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface MysqlxCrud$CollectionOrBuilder extends com.google.protobuf.MessageOrBuilder {
                        hasName(): boolean
                        getName(): string
                        getNameBytes(): com.google.protobuf.ByteString
                        hasSchema(): boolean
                        getSchema(): string
                        getSchemaBytes(): com.google.protobuf.ByteString
                        hasAlias(): boolean
                        getAlias(): string
                        getAliasBytes(): com.google.protobuf.ByteString
                    }
                    class MysqlxCrud$Column$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxCrud$Column> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Column
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxCrud$Column$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxCrud$Column$Builder> implements com.mysql.cj.x.protobuf.MysqlxCrud$ColumnOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxCrud$Column$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxCrud$Column$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxCrud$Column
                        public build(): com.mysql.cj.x.protobuf.MysqlxCrud$Column
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxCrud$Column
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxCrud$Column$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Column): com.mysql.cj.x.protobuf.MysqlxCrud$Column$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Column$Builder
                        public hasName(): boolean
                        public getName(): string
                        public getNameBytes(): com.google.protobuf.ByteString
                        public setName(arg0: string): com.mysql.cj.x.protobuf.MysqlxCrud$Column$Builder
                        public clearName(): com.mysql.cj.x.protobuf.MysqlxCrud$Column$Builder
                        public setNameBytes(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxCrud$Column$Builder
                        public hasAlias(): boolean
                        public getAlias(): string
                        public getAliasBytes(): com.google.protobuf.ByteString
                        public setAlias(arg0: string): com.mysql.cj.x.protobuf.MysqlxCrud$Column$Builder
                        public clearAlias(): com.mysql.cj.x.protobuf.MysqlxCrud$Column$Builder
                        public setAliasBytes(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxCrud$Column$Builder
                        public getDocumentPathList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem>
                        public getDocumentPathCount(): int
                        public getDocumentPath(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem
                        public setDocumentPath(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem): com.mysql.cj.x.protobuf.MysqlxCrud$Column$Builder
                        public setDocumentPath(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Column$Builder
                        public addDocumentPath(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem): com.mysql.cj.x.protobuf.MysqlxCrud$Column$Builder
                        public addDocumentPath(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem): com.mysql.cj.x.protobuf.MysqlxCrud$Column$Builder
                        public addDocumentPath(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Column$Builder
                        public addDocumentPath(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Column$Builder
                        public addAllDocumentPath(arg0: java.lang.Iterable<com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem>): com.mysql.cj.x.protobuf.MysqlxCrud$Column$Builder
                        public clearDocumentPath(): com.mysql.cj.x.protobuf.MysqlxCrud$Column$Builder
                        public removeDocumentPath(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Column$Builder
                        public getDocumentPathBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem$Builder
                        public getDocumentPathOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItemOrBuilder
                        public getDocumentPathOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItemOrBuilder>
                        public addDocumentPathBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem$Builder
                        public addDocumentPathBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem$Builder
                        public getDocumentPathBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem$Builder>
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxCrud$Column extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxCrud$ColumnOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxCrud$Column>
                        public static NAME_FIELD_NUMBER: int
                        public static ALIAS_FIELD_NUMBER: int
                        public static DOCUMENT_PATH_FIELD_NUMBER: int
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxCrud$Column
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxCrud$Column
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxCrud$Column>
                        public hasName(): boolean
                        public getName(): string
                        public getNameBytes(): com.google.protobuf.ByteString
                        public hasAlias(): boolean
                        public getAlias(): string
                        public getAliasBytes(): com.google.protobuf.ByteString
                        public getDocumentPathList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem>
                        public getDocumentPathOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItemOrBuilder>
                        public getDocumentPathCount(): int
                        public getDocumentPath(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem
                        public getDocumentPathOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItemOrBuilder
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxCrud$Column
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Column
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxCrud$Column
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Column
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxCrud$Column
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Column
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxCrud$Column
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Column
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxCrud$Column
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Column
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$Column$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxCrud$Column$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Column): com.mysql.cj.x.protobuf.MysqlxCrud$Column$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$Column$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxCrud$Column$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface MysqlxCrud$ColumnOrBuilder extends com.google.protobuf.MessageOrBuilder {
                        hasName(): boolean
                        getName(): string
                        getNameBytes(): com.google.protobuf.ByteString
                        hasAlias(): boolean
                        getAlias(): string
                        getAliasBytes(): com.google.protobuf.ByteString
                        getDocumentPathList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem>
                        getDocumentPath(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem
                        getDocumentPathCount(): int
                        getDocumentPathOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItemOrBuilder>
                        getDocumentPathOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItemOrBuilder
                    }
                    class MysqlxCrud$CreateView$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxCrud$CreateView> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$CreateView
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxCrud$CreateView$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxCrud$CreateView$Builder> implements com.mysql.cj.x.protobuf.MysqlxCrud$CreateViewOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxCrud$CreateView$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxCrud$CreateView$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxCrud$CreateView
                        public build(): com.mysql.cj.x.protobuf.MysqlxCrud$CreateView
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxCrud$CreateView
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxCrud$CreateView$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$CreateView): com.mysql.cj.x.protobuf.MysqlxCrud$CreateView$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$CreateView$Builder
                        public hasCollection(): boolean
                        public getCollection(): com.mysql.cj.x.protobuf.MysqlxCrud$Collection
                        public setCollection(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Collection): com.mysql.cj.x.protobuf.MysqlxCrud$CreateView$Builder
                        public setCollection(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Collection$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$CreateView$Builder
                        public mergeCollection(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Collection): com.mysql.cj.x.protobuf.MysqlxCrud$CreateView$Builder
                        public clearCollection(): com.mysql.cj.x.protobuf.MysqlxCrud$CreateView$Builder
                        public getCollectionBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$Collection$Builder
                        public getCollectionOrBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$CollectionOrBuilder
                        public hasDefiner(): boolean
                        public getDefiner(): string
                        public getDefinerBytes(): com.google.protobuf.ByteString
                        public setDefiner(arg0: string): com.mysql.cj.x.protobuf.MysqlxCrud$CreateView$Builder
                        public clearDefiner(): com.mysql.cj.x.protobuf.MysqlxCrud$CreateView$Builder
                        public setDefinerBytes(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxCrud$CreateView$Builder
                        public hasAlgorithm(): boolean
                        public getAlgorithm(): com.mysql.cj.x.protobuf.MysqlxCrud$ViewAlgorithm
                        public setAlgorithm(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$ViewAlgorithm): com.mysql.cj.x.protobuf.MysqlxCrud$CreateView$Builder
                        public clearAlgorithm(): com.mysql.cj.x.protobuf.MysqlxCrud$CreateView$Builder
                        public hasSecurity(): boolean
                        public getSecurity(): com.mysql.cj.x.protobuf.MysqlxCrud$ViewSqlSecurity
                        public setSecurity(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$ViewSqlSecurity): com.mysql.cj.x.protobuf.MysqlxCrud$CreateView$Builder
                        public clearSecurity(): com.mysql.cj.x.protobuf.MysqlxCrud$CreateView$Builder
                        public hasCheck(): boolean
                        public getCheck(): com.mysql.cj.x.protobuf.MysqlxCrud$ViewCheckOption
                        public setCheck(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$ViewCheckOption): com.mysql.cj.x.protobuf.MysqlxCrud$CreateView$Builder
                        public clearCheck(): com.mysql.cj.x.protobuf.MysqlxCrud$CreateView$Builder
                        public getColumnList(): com.google.protobuf.ProtocolStringList
                        public getColumnCount(): int
                        public getColumn(arg0: int): string
                        public getColumnBytes(arg0: int): com.google.protobuf.ByteString
                        public setColumn(arg0: int, arg1: string): com.mysql.cj.x.protobuf.MysqlxCrud$CreateView$Builder
                        public addColumn(arg0: string): com.mysql.cj.x.protobuf.MysqlxCrud$CreateView$Builder
                        public addAllColumn(arg0: java.lang.Iterable<java.lang.String>): com.mysql.cj.x.protobuf.MysqlxCrud$CreateView$Builder
                        public clearColumn(): com.mysql.cj.x.protobuf.MysqlxCrud$CreateView$Builder
                        public addColumnBytes(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxCrud$CreateView$Builder
                        public hasStmt(): boolean
                        public getStmt(): com.mysql.cj.x.protobuf.MysqlxCrud$Find
                        public setStmt(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Find): com.mysql.cj.x.protobuf.MysqlxCrud$CreateView$Builder
                        public setStmt(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$CreateView$Builder
                        public mergeStmt(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Find): com.mysql.cj.x.protobuf.MysqlxCrud$CreateView$Builder
                        public clearStmt(): com.mysql.cj.x.protobuf.MysqlxCrud$CreateView$Builder
                        public getStmtBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public getStmtOrBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$FindOrBuilder
                        public hasReplaceExisting(): boolean
                        public getReplaceExisting(): boolean
                        public setReplaceExisting(arg0: boolean): com.mysql.cj.x.protobuf.MysqlxCrud$CreateView$Builder
                        public clearReplaceExisting(): com.mysql.cj.x.protobuf.MysqlxCrud$CreateView$Builder
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxCrud$CreateView extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxCrud$CreateViewOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxCrud$CreateView>
                        public static COLLECTION_FIELD_NUMBER: int
                        public static DEFINER_FIELD_NUMBER: int
                        public static ALGORITHM_FIELD_NUMBER: int
                        public static SECURITY_FIELD_NUMBER: int
                        public static CHECK_FIELD_NUMBER: int
                        public static COLUMN_FIELD_NUMBER: int
                        public static STMT_FIELD_NUMBER: int
                        public static REPLACE_EXISTING_FIELD_NUMBER: int
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxCrud$CreateView
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxCrud$CreateView
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxCrud$CreateView>
                        public hasCollection(): boolean
                        public getCollection(): com.mysql.cj.x.protobuf.MysqlxCrud$Collection
                        public getCollectionOrBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$CollectionOrBuilder
                        public hasDefiner(): boolean
                        public getDefiner(): string
                        public getDefinerBytes(): com.google.protobuf.ByteString
                        public hasAlgorithm(): boolean
                        public getAlgorithm(): com.mysql.cj.x.protobuf.MysqlxCrud$ViewAlgorithm
                        public hasSecurity(): boolean
                        public getSecurity(): com.mysql.cj.x.protobuf.MysqlxCrud$ViewSqlSecurity
                        public hasCheck(): boolean
                        public getCheck(): com.mysql.cj.x.protobuf.MysqlxCrud$ViewCheckOption
                        public getColumnList(): com.google.protobuf.ProtocolStringList
                        public getColumnCount(): int
                        public getColumn(arg0: int): string
                        public getColumnBytes(arg0: int): com.google.protobuf.ByteString
                        public hasStmt(): boolean
                        public getStmt(): com.mysql.cj.x.protobuf.MysqlxCrud$Find
                        public getStmtOrBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$FindOrBuilder
                        public hasReplaceExisting(): boolean
                        public getReplaceExisting(): boolean
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxCrud$CreateView
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$CreateView
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxCrud$CreateView
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$CreateView
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxCrud$CreateView
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$CreateView
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxCrud$CreateView
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$CreateView
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxCrud$CreateView
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$CreateView
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$CreateView$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxCrud$CreateView$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$CreateView): com.mysql.cj.x.protobuf.MysqlxCrud$CreateView$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$CreateView$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxCrud$CreateView$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface MysqlxCrud$CreateViewOrBuilder extends com.google.protobuf.MessageOrBuilder {
                        hasCollection(): boolean
                        getCollection(): com.mysql.cj.x.protobuf.MysqlxCrud$Collection
                        getCollectionOrBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$CollectionOrBuilder
                        hasDefiner(): boolean
                        getDefiner(): string
                        getDefinerBytes(): com.google.protobuf.ByteString
                        hasAlgorithm(): boolean
                        getAlgorithm(): com.mysql.cj.x.protobuf.MysqlxCrud$ViewAlgorithm
                        hasSecurity(): boolean
                        getSecurity(): com.mysql.cj.x.protobuf.MysqlxCrud$ViewSqlSecurity
                        hasCheck(): boolean
                        getCheck(): com.mysql.cj.x.protobuf.MysqlxCrud$ViewCheckOption
                        getColumnList(): com.google.protobuf.ProtocolStringList
                        getColumnCount(): int
                        getColumn(arg0: int): string
                        getColumnBytes(arg0: int): com.google.protobuf.ByteString
                        hasStmt(): boolean
                        getStmt(): com.mysql.cj.x.protobuf.MysqlxCrud$Find
                        getStmtOrBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$FindOrBuilder
                        hasReplaceExisting(): boolean
                        getReplaceExisting(): boolean
                    }
                    class MysqlxCrud$DataModel$1 implements com.google.protobuf.Internal$EnumLiteMap<com.mysql.cj.x.protobuf.MysqlxCrud$DataModel> {
                        public findValueByNumber(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$DataModel
                        public findValueByNumber(arg0: int): com.google.protobuf.Internal$EnumLite
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxCrud$DataModel extends java.lang.Enum<com.mysql.cj.x.protobuf.MysqlxCrud$DataModel> implements com.google.protobuf.ProtocolMessageEnum {
                        public static DOCUMENT: com.mysql.cj.x.protobuf.MysqlxCrud$DataModel
                        public static TABLE: com.mysql.cj.x.protobuf.MysqlxCrud$DataModel
                        public static DOCUMENT_VALUE: int
                        public static TABLE_VALUE: int
                        public static values(): com.mysql.cj.x.protobuf.MysqlxCrud$DataModel[]
                        public static valueOf(arg0: string): com.mysql.cj.x.protobuf.MysqlxCrud$DataModel
                        public getNumber(): int
                        public static valueOf(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$DataModel
                        public static internalGetValueMap(): com.google.protobuf.Internal$EnumLiteMap<com.mysql.cj.x.protobuf.MysqlxCrud$DataModel>
                        public getValueDescriptor(): com.google.protobuf.Descriptors$EnumValueDescriptor
                        public getDescriptorForType(): com.google.protobuf.Descriptors$EnumDescriptor
                        public static getDescriptor(): com.google.protobuf.Descriptors$EnumDescriptor
                        public static valueOf(arg0: com.google.protobuf.Descriptors$EnumValueDescriptor): com.mysql.cj.x.protobuf.MysqlxCrud$DataModel
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxCrud$Delete$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxCrud$Delete> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Delete
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxCrud$Delete$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxCrud$Delete$Builder> implements com.mysql.cj.x.protobuf.MysqlxCrud$DeleteOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxCrud$Delete$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxCrud$Delete$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxCrud$Delete
                        public build(): com.mysql.cj.x.protobuf.MysqlxCrud$Delete
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxCrud$Delete
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxCrud$Delete$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Delete): com.mysql.cj.x.protobuf.MysqlxCrud$Delete$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Delete$Builder
                        public hasCollection(): boolean
                        public getCollection(): com.mysql.cj.x.protobuf.MysqlxCrud$Collection
                        public setCollection(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Collection): com.mysql.cj.x.protobuf.MysqlxCrud$Delete$Builder
                        public setCollection(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Collection$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Delete$Builder
                        public mergeCollection(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Collection): com.mysql.cj.x.protobuf.MysqlxCrud$Delete$Builder
                        public clearCollection(): com.mysql.cj.x.protobuf.MysqlxCrud$Delete$Builder
                        public getCollectionBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$Collection$Builder
                        public getCollectionOrBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$CollectionOrBuilder
                        public hasDataModel(): boolean
                        public getDataModel(): com.mysql.cj.x.protobuf.MysqlxCrud$DataModel
                        public setDataModel(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$DataModel): com.mysql.cj.x.protobuf.MysqlxCrud$Delete$Builder
                        public clearDataModel(): com.mysql.cj.x.protobuf.MysqlxCrud$Delete$Builder
                        public hasCriteria(): boolean
                        public getCriteria(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        public setCriteria(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Expr): com.mysql.cj.x.protobuf.MysqlxCrud$Delete$Builder
                        public setCriteria(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Delete$Builder
                        public mergeCriteria(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Expr): com.mysql.cj.x.protobuf.MysqlxCrud$Delete$Builder
                        public clearCriteria(): com.mysql.cj.x.protobuf.MysqlxCrud$Delete$Builder
                        public getCriteriaBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public getCriteriaOrBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder
                        public getArgsList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar>
                        public getArgsCount(): int
                        public getArgs(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar
                        public setArgs(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar): com.mysql.cj.x.protobuf.MysqlxCrud$Delete$Builder
                        public setArgs(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Delete$Builder
                        public addArgs(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar): com.mysql.cj.x.protobuf.MysqlxCrud$Delete$Builder
                        public addArgs(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar): com.mysql.cj.x.protobuf.MysqlxCrud$Delete$Builder
                        public addArgs(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Delete$Builder
                        public addArgs(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Delete$Builder
                        public addAllArgs(arg0: java.lang.Iterable<com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar>): com.mysql.cj.x.protobuf.MysqlxCrud$Delete$Builder
                        public clearArgs(): com.mysql.cj.x.protobuf.MysqlxCrud$Delete$Builder
                        public removeArgs(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Delete$Builder
                        public getArgsBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder
                        public getArgsOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$ScalarOrBuilder
                        public getArgsOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$ScalarOrBuilder>
                        public addArgsBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder
                        public addArgsBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder
                        public getArgsBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder>
                        public hasLimit(): boolean
                        public getLimit(): com.mysql.cj.x.protobuf.MysqlxCrud$Limit
                        public setLimit(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Limit): com.mysql.cj.x.protobuf.MysqlxCrud$Delete$Builder
                        public setLimit(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Limit$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Delete$Builder
                        public mergeLimit(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Limit): com.mysql.cj.x.protobuf.MysqlxCrud$Delete$Builder
                        public clearLimit(): com.mysql.cj.x.protobuf.MysqlxCrud$Delete$Builder
                        public getLimitBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$Limit$Builder
                        public getLimitOrBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$LimitOrBuilder
                        public getOrderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$Order>
                        public getOrderCount(): int
                        public getOrder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Order
                        public setOrder(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxCrud$Order): com.mysql.cj.x.protobuf.MysqlxCrud$Delete$Builder
                        public setOrder(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxCrud$Order$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Delete$Builder
                        public addOrder(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Order): com.mysql.cj.x.protobuf.MysqlxCrud$Delete$Builder
                        public addOrder(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxCrud$Order): com.mysql.cj.x.protobuf.MysqlxCrud$Delete$Builder
                        public addOrder(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Order$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Delete$Builder
                        public addOrder(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxCrud$Order$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Delete$Builder
                        public addAllOrder(arg0: java.lang.Iterable<com.mysql.cj.x.protobuf.MysqlxCrud$Order>): com.mysql.cj.x.protobuf.MysqlxCrud$Delete$Builder
                        public clearOrder(): com.mysql.cj.x.protobuf.MysqlxCrud$Delete$Builder
                        public removeOrder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Delete$Builder
                        public getOrderBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Order$Builder
                        public getOrderOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$OrderOrBuilder
                        public getOrderOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$OrderOrBuilder>
                        public addOrderBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$Order$Builder
                        public addOrderBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Order$Builder
                        public getOrderBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$Order$Builder>
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxCrud$Delete extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxCrud$DeleteOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxCrud$Delete>
                        public static COLLECTION_FIELD_NUMBER: int
                        public static DATA_MODEL_FIELD_NUMBER: int
                        public static CRITERIA_FIELD_NUMBER: int
                        public static ARGS_FIELD_NUMBER: int
                        public static LIMIT_FIELD_NUMBER: int
                        public static ORDER_FIELD_NUMBER: int
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxCrud$Delete
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxCrud$Delete
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxCrud$Delete>
                        public hasCollection(): boolean
                        public getCollection(): com.mysql.cj.x.protobuf.MysqlxCrud$Collection
                        public getCollectionOrBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$CollectionOrBuilder
                        public hasDataModel(): boolean
                        public getDataModel(): com.mysql.cj.x.protobuf.MysqlxCrud$DataModel
                        public hasCriteria(): boolean
                        public getCriteria(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        public getCriteriaOrBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder
                        public getArgsList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar>
                        public getArgsOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$ScalarOrBuilder>
                        public getArgsCount(): int
                        public getArgs(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar
                        public getArgsOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$ScalarOrBuilder
                        public hasLimit(): boolean
                        public getLimit(): com.mysql.cj.x.protobuf.MysqlxCrud$Limit
                        public getLimitOrBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$LimitOrBuilder
                        public getOrderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$Order>
                        public getOrderOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$OrderOrBuilder>
                        public getOrderCount(): int
                        public getOrder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Order
                        public getOrderOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$OrderOrBuilder
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxCrud$Delete
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Delete
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxCrud$Delete
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Delete
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxCrud$Delete
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Delete
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxCrud$Delete
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Delete
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxCrud$Delete
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Delete
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$Delete$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxCrud$Delete$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Delete): com.mysql.cj.x.protobuf.MysqlxCrud$Delete$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$Delete$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxCrud$Delete$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface MysqlxCrud$DeleteOrBuilder extends com.google.protobuf.MessageOrBuilder {
                        hasCollection(): boolean
                        getCollection(): com.mysql.cj.x.protobuf.MysqlxCrud$Collection
                        getCollectionOrBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$CollectionOrBuilder
                        hasDataModel(): boolean
                        getDataModel(): com.mysql.cj.x.protobuf.MysqlxCrud$DataModel
                        hasCriteria(): boolean
                        getCriteria(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        getCriteriaOrBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder
                        getArgsList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar>
                        getArgs(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar
                        getArgsCount(): int
                        getArgsOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$ScalarOrBuilder>
                        getArgsOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$ScalarOrBuilder
                        hasLimit(): boolean
                        getLimit(): com.mysql.cj.x.protobuf.MysqlxCrud$Limit
                        getLimitOrBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$LimitOrBuilder
                        getOrderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$Order>
                        getOrder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Order
                        getOrderCount(): int
                        getOrderOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$OrderOrBuilder>
                        getOrderOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$OrderOrBuilder
                    }
                    class MysqlxCrud$DropView$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxCrud$DropView> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$DropView
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxCrud$DropView$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxCrud$DropView$Builder> implements com.mysql.cj.x.protobuf.MysqlxCrud$DropViewOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxCrud$DropView$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxCrud$DropView$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxCrud$DropView
                        public build(): com.mysql.cj.x.protobuf.MysqlxCrud$DropView
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxCrud$DropView
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxCrud$DropView$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$DropView): com.mysql.cj.x.protobuf.MysqlxCrud$DropView$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$DropView$Builder
                        public hasCollection(): boolean
                        public getCollection(): com.mysql.cj.x.protobuf.MysqlxCrud$Collection
                        public setCollection(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Collection): com.mysql.cj.x.protobuf.MysqlxCrud$DropView$Builder
                        public setCollection(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Collection$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$DropView$Builder
                        public mergeCollection(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Collection): com.mysql.cj.x.protobuf.MysqlxCrud$DropView$Builder
                        public clearCollection(): com.mysql.cj.x.protobuf.MysqlxCrud$DropView$Builder
                        public getCollectionBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$Collection$Builder
                        public getCollectionOrBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$CollectionOrBuilder
                        public hasIfExists(): boolean
                        public getIfExists(): boolean
                        public setIfExists(arg0: boolean): com.mysql.cj.x.protobuf.MysqlxCrud$DropView$Builder
                        public clearIfExists(): com.mysql.cj.x.protobuf.MysqlxCrud$DropView$Builder
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxCrud$DropView extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxCrud$DropViewOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxCrud$DropView>
                        public static COLLECTION_FIELD_NUMBER: int
                        public static IF_EXISTS_FIELD_NUMBER: int
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxCrud$DropView
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxCrud$DropView
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxCrud$DropView>
                        public hasCollection(): boolean
                        public getCollection(): com.mysql.cj.x.protobuf.MysqlxCrud$Collection
                        public getCollectionOrBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$CollectionOrBuilder
                        public hasIfExists(): boolean
                        public getIfExists(): boolean
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxCrud$DropView
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$DropView
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxCrud$DropView
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$DropView
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxCrud$DropView
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$DropView
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxCrud$DropView
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$DropView
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxCrud$DropView
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$DropView
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$DropView$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxCrud$DropView$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$DropView): com.mysql.cj.x.protobuf.MysqlxCrud$DropView$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$DropView$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxCrud$DropView$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface MysqlxCrud$DropViewOrBuilder extends com.google.protobuf.MessageOrBuilder {
                        hasCollection(): boolean
                        getCollection(): com.mysql.cj.x.protobuf.MysqlxCrud$Collection
                        getCollectionOrBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$CollectionOrBuilder
                        hasIfExists(): boolean
                        getIfExists(): boolean
                    }
                    class MysqlxCrud$Find$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxCrud$Find> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Find
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxCrud$Find$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder> implements com.mysql.cj.x.protobuf.MysqlxCrud$FindOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxCrud$Find
                        public build(): com.mysql.cj.x.protobuf.MysqlxCrud$Find
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxCrud$Find
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Find): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public hasCollection(): boolean
                        public getCollection(): com.mysql.cj.x.protobuf.MysqlxCrud$Collection
                        public setCollection(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Collection): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public setCollection(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Collection$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public mergeCollection(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Collection): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public clearCollection(): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public getCollectionBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$Collection$Builder
                        public getCollectionOrBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$CollectionOrBuilder
                        public hasDataModel(): boolean
                        public getDataModel(): com.mysql.cj.x.protobuf.MysqlxCrud$DataModel
                        public setDataModel(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$DataModel): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public clearDataModel(): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public getProjectionList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$Projection>
                        public getProjectionCount(): int
                        public getProjection(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Projection
                        public setProjection(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxCrud$Projection): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public setProjection(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxCrud$Projection$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public addProjection(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Projection): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public addProjection(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxCrud$Projection): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public addProjection(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Projection$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public addProjection(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxCrud$Projection$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public addAllProjection(arg0: java.lang.Iterable<com.mysql.cj.x.protobuf.MysqlxCrud$Projection>): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public clearProjection(): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public removeProjection(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public getProjectionBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Projection$Builder
                        public getProjectionOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$ProjectionOrBuilder
                        public getProjectionOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$ProjectionOrBuilder>
                        public addProjectionBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$Projection$Builder
                        public addProjectionBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Projection$Builder
                        public getProjectionBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$Projection$Builder>
                        public hasCriteria(): boolean
                        public getCriteria(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        public setCriteria(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Expr): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public setCriteria(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public mergeCriteria(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Expr): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public clearCriteria(): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public getCriteriaBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public getCriteriaOrBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder
                        public getArgsList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar>
                        public getArgsCount(): int
                        public getArgs(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar
                        public setArgs(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public setArgs(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public addArgs(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public addArgs(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public addArgs(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public addArgs(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public addAllArgs(arg0: java.lang.Iterable<com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar>): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public clearArgs(): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public removeArgs(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public getArgsBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder
                        public getArgsOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$ScalarOrBuilder
                        public getArgsOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$ScalarOrBuilder>
                        public addArgsBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder
                        public addArgsBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder
                        public getArgsBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder>
                        public hasLimit(): boolean
                        public getLimit(): com.mysql.cj.x.protobuf.MysqlxCrud$Limit
                        public setLimit(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Limit): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public setLimit(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Limit$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public mergeLimit(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Limit): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public clearLimit(): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public getLimitBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$Limit$Builder
                        public getLimitOrBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$LimitOrBuilder
                        public getOrderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$Order>
                        public getOrderCount(): int
                        public getOrder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Order
                        public setOrder(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxCrud$Order): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public setOrder(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxCrud$Order$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public addOrder(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Order): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public addOrder(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxCrud$Order): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public addOrder(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Order$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public addOrder(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxCrud$Order$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public addAllOrder(arg0: java.lang.Iterable<com.mysql.cj.x.protobuf.MysqlxCrud$Order>): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public clearOrder(): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public removeOrder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public getOrderBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Order$Builder
                        public getOrderOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$OrderOrBuilder
                        public getOrderOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$OrderOrBuilder>
                        public addOrderBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$Order$Builder
                        public addOrderBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Order$Builder
                        public getOrderBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$Order$Builder>
                        public getGroupingList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$Expr>
                        public getGroupingCount(): int
                        public getGrouping(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        public setGrouping(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxExpr$Expr): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public setGrouping(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public addGrouping(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Expr): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public addGrouping(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxExpr$Expr): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public addGrouping(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public addGrouping(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public addAllGrouping(arg0: java.lang.Iterable<com.mysql.cj.x.protobuf.MysqlxExpr$Expr>): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public clearGrouping(): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public removeGrouping(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public getGroupingBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public getGroupingOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder
                        public getGroupingOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder>
                        public addGroupingBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public addGroupingBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public getGroupingBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder>
                        public hasGroupingCriteria(): boolean
                        public getGroupingCriteria(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        public setGroupingCriteria(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Expr): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public setGroupingCriteria(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public mergeGroupingCriteria(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Expr): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public clearGroupingCriteria(): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public getGroupingCriteriaBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public getGroupingCriteriaOrBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxCrud$Find extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxCrud$FindOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxCrud$Find>
                        public static COLLECTION_FIELD_NUMBER: int
                        public static DATA_MODEL_FIELD_NUMBER: int
                        public static PROJECTION_FIELD_NUMBER: int
                        public static CRITERIA_FIELD_NUMBER: int
                        public static ARGS_FIELD_NUMBER: int
                        public static LIMIT_FIELD_NUMBER: int
                        public static ORDER_FIELD_NUMBER: int
                        public static GROUPING_FIELD_NUMBER: int
                        public static GROUPING_CRITERIA_FIELD_NUMBER: int
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxCrud$Find
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxCrud$Find
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxCrud$Find>
                        public hasCollection(): boolean
                        public getCollection(): com.mysql.cj.x.protobuf.MysqlxCrud$Collection
                        public getCollectionOrBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$CollectionOrBuilder
                        public hasDataModel(): boolean
                        public getDataModel(): com.mysql.cj.x.protobuf.MysqlxCrud$DataModel
                        public getProjectionList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$Projection>
                        public getProjectionOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$ProjectionOrBuilder>
                        public getProjectionCount(): int
                        public getProjection(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Projection
                        public getProjectionOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$ProjectionOrBuilder
                        public hasCriteria(): boolean
                        public getCriteria(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        public getCriteriaOrBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder
                        public getArgsList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar>
                        public getArgsOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$ScalarOrBuilder>
                        public getArgsCount(): int
                        public getArgs(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar
                        public getArgsOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$ScalarOrBuilder
                        public hasLimit(): boolean
                        public getLimit(): com.mysql.cj.x.protobuf.MysqlxCrud$Limit
                        public getLimitOrBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$LimitOrBuilder
                        public getOrderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$Order>
                        public getOrderOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$OrderOrBuilder>
                        public getOrderCount(): int
                        public getOrder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Order
                        public getOrderOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$OrderOrBuilder
                        public getGroupingList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$Expr>
                        public getGroupingOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder>
                        public getGroupingCount(): int
                        public getGrouping(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        public getGroupingOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder
                        public hasGroupingCriteria(): boolean
                        public getGroupingCriteria(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        public getGroupingCriteriaOrBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxCrud$Find
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Find
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxCrud$Find
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Find
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxCrud$Find
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Find
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxCrud$Find
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Find
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxCrud$Find
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Find
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Find): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface MysqlxCrud$FindOrBuilder extends com.google.protobuf.MessageOrBuilder {
                        hasCollection(): boolean
                        getCollection(): com.mysql.cj.x.protobuf.MysqlxCrud$Collection
                        getCollectionOrBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$CollectionOrBuilder
                        hasDataModel(): boolean
                        getDataModel(): com.mysql.cj.x.protobuf.MysqlxCrud$DataModel
                        getProjectionList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$Projection>
                        getProjection(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Projection
                        getProjectionCount(): int
                        getProjectionOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$ProjectionOrBuilder>
                        getProjectionOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$ProjectionOrBuilder
                        hasCriteria(): boolean
                        getCriteria(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        getCriteriaOrBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder
                        getArgsList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar>
                        getArgs(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar
                        getArgsCount(): int
                        getArgsOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$ScalarOrBuilder>
                        getArgsOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$ScalarOrBuilder
                        hasLimit(): boolean
                        getLimit(): com.mysql.cj.x.protobuf.MysqlxCrud$Limit
                        getLimitOrBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$LimitOrBuilder
                        getOrderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$Order>
                        getOrder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Order
                        getOrderCount(): int
                        getOrderOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$OrderOrBuilder>
                        getOrderOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$OrderOrBuilder
                        getGroupingList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$Expr>
                        getGrouping(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        getGroupingCount(): int
                        getGroupingOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder>
                        getGroupingOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder
                        hasGroupingCriteria(): boolean
                        getGroupingCriteria(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        getGroupingCriteriaOrBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder
                    }
                    class MysqlxCrud$Find_v2$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxCrud$Find_v2$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder> implements com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2OrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2
                        public build(): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public hasCollection(): boolean
                        public getCollection(): com.mysql.cj.x.protobuf.MysqlxCrud$Collection
                        public setCollection(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Collection): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public setCollection(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Collection$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public mergeCollection(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Collection): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public clearCollection(): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public getCollectionBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$Collection$Builder
                        public getCollectionOrBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$CollectionOrBuilder
                        public hasDataModel(): boolean
                        public getDataModel(): com.mysql.cj.x.protobuf.MysqlxCrud$DataModel
                        public setDataModel(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$DataModel): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public clearDataModel(): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public getProjectionList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$Projection>
                        public getProjectionCount(): int
                        public getProjection(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Projection
                        public setProjection(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxCrud$Projection): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public setProjection(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxCrud$Projection$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public addProjection(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Projection): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public addProjection(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxCrud$Projection): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public addProjection(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Projection$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public addProjection(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxCrud$Projection$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public addAllProjection(arg0: java.lang.Iterable<com.mysql.cj.x.protobuf.MysqlxCrud$Projection>): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public clearProjection(): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public removeProjection(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public getProjectionBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Projection$Builder
                        public getProjectionOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$ProjectionOrBuilder
                        public getProjectionOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$ProjectionOrBuilder>
                        public addProjectionBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$Projection$Builder
                        public addProjectionBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Projection$Builder
                        public getProjectionBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$Projection$Builder>
                        public hasCriteria(): boolean
                        public getCriteria(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        public setCriteria(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Expr): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public setCriteria(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public mergeCriteria(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Expr): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public clearCriteria(): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public getCriteriaBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public getCriteriaOrBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder
                        public getArgsList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar>
                        public getArgsCount(): int
                        public getArgs(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar
                        public setArgs(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public setArgs(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public addArgs(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public addArgs(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public addArgs(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public addArgs(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public addAllArgs(arg0: java.lang.Iterable<com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar>): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public clearArgs(): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public removeArgs(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public getArgsBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder
                        public getArgsOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$ScalarOrBuilder
                        public getArgsOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$ScalarOrBuilder>
                        public addArgsBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder
                        public addArgsBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder
                        public getArgsBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder>
                        public hasLimit(): boolean
                        public getLimit(): com.mysql.cj.x.protobuf.MysqlxCrud$Limit
                        public setLimit(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Limit): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public setLimit(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Limit$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public mergeLimit(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Limit): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public clearLimit(): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public getLimitBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$Limit$Builder
                        public getLimitOrBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$LimitOrBuilder
                        public getOrderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$Order>
                        public getOrderCount(): int
                        public getOrder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Order
                        public setOrder(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxCrud$Order): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public setOrder(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxCrud$Order$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public addOrder(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Order): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public addOrder(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxCrud$Order): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public addOrder(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Order$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public addOrder(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxCrud$Order$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public addAllOrder(arg0: java.lang.Iterable<com.mysql.cj.x.protobuf.MysqlxCrud$Order>): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public clearOrder(): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public removeOrder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public getOrderBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Order$Builder
                        public getOrderOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$OrderOrBuilder
                        public getOrderOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$OrderOrBuilder>
                        public addOrderBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$Order$Builder
                        public addOrderBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Order$Builder
                        public getOrderBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$Order$Builder>
                        public getGroupingList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$Expr>
                        public getGroupingCount(): int
                        public getGrouping(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        public setGrouping(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxExpr$Expr): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public setGrouping(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public addGrouping(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Expr): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public addGrouping(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxExpr$Expr): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public addGrouping(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public addGrouping(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public addAllGrouping(arg0: java.lang.Iterable<com.mysql.cj.x.protobuf.MysqlxExpr$Expr>): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public clearGrouping(): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public removeGrouping(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public getGroupingBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public getGroupingOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder
                        public getGroupingOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder>
                        public addGroupingBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public addGroupingBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public getGroupingBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder>
                        public hasGroupingCriteria(): boolean
                        public getGroupingCriteria(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        public setGroupingCriteria(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Expr): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public setGroupingCriteria(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public mergeGroupingCriteria(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Expr): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public clearGroupingCriteria(): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public getGroupingCriteriaBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public getGroupingCriteriaOrBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder
                        public getJoinList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$Join>
                        public getJoinCount(): int
                        public getJoin(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Join
                        public setJoin(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxCrud$Join): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public setJoin(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxCrud$Join$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public addJoin(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Join): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public addJoin(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxCrud$Join): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public addJoin(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Join$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public addJoin(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxCrud$Join$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public addAllJoin(arg0: java.lang.Iterable<com.mysql.cj.x.protobuf.MysqlxCrud$Join>): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public clearJoin(): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public removeJoin(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public getJoinBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Join$Builder
                        public getJoinOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$JoinOrBuilder
                        public getJoinOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$JoinOrBuilder>
                        public addJoinBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$Join$Builder
                        public addJoinBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Join$Builder
                        public getJoinBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$Join$Builder>
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxCrud$Find_v2 extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2OrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2>
                        public static COLLECTION_FIELD_NUMBER: int
                        public static DATA_MODEL_FIELD_NUMBER: int
                        public static PROJECTION_FIELD_NUMBER: int
                        public static CRITERIA_FIELD_NUMBER: int
                        public static ARGS_FIELD_NUMBER: int
                        public static LIMIT_FIELD_NUMBER: int
                        public static ORDER_FIELD_NUMBER: int
                        public static GROUPING_FIELD_NUMBER: int
                        public static GROUPING_CRITERIA_FIELD_NUMBER: int
                        public static JOIN_FIELD_NUMBER: int
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2>
                        public hasCollection(): boolean
                        public getCollection(): com.mysql.cj.x.protobuf.MysqlxCrud$Collection
                        public getCollectionOrBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$CollectionOrBuilder
                        public hasDataModel(): boolean
                        public getDataModel(): com.mysql.cj.x.protobuf.MysqlxCrud$DataModel
                        public getProjectionList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$Projection>
                        public getProjectionOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$ProjectionOrBuilder>
                        public getProjectionCount(): int
                        public getProjection(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Projection
                        public getProjectionOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$ProjectionOrBuilder
                        public hasCriteria(): boolean
                        public getCriteria(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        public getCriteriaOrBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder
                        public getArgsList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar>
                        public getArgsOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$ScalarOrBuilder>
                        public getArgsCount(): int
                        public getArgs(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar
                        public getArgsOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$ScalarOrBuilder
                        public hasLimit(): boolean
                        public getLimit(): com.mysql.cj.x.protobuf.MysqlxCrud$Limit
                        public getLimitOrBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$LimitOrBuilder
                        public getOrderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$Order>
                        public getOrderOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$OrderOrBuilder>
                        public getOrderCount(): int
                        public getOrder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Order
                        public getOrderOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$OrderOrBuilder
                        public getGroupingList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$Expr>
                        public getGroupingOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder>
                        public getGroupingCount(): int
                        public getGrouping(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        public getGroupingOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder
                        public hasGroupingCriteria(): boolean
                        public getGroupingCriteria(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        public getGroupingCriteriaOrBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder
                        public getJoinList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$Join>
                        public getJoinOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$JoinOrBuilder>
                        public getJoinCount(): int
                        public getJoin(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Join
                        public getJoinOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$JoinOrBuilder
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxCrud$Find_v2$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface MysqlxCrud$Find_v2OrBuilder extends com.google.protobuf.MessageOrBuilder {
                        hasCollection(): boolean
                        getCollection(): com.mysql.cj.x.protobuf.MysqlxCrud$Collection
                        getCollectionOrBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$CollectionOrBuilder
                        hasDataModel(): boolean
                        getDataModel(): com.mysql.cj.x.protobuf.MysqlxCrud$DataModel
                        getProjectionList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$Projection>
                        getProjection(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Projection
                        getProjectionCount(): int
                        getProjectionOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$ProjectionOrBuilder>
                        getProjectionOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$ProjectionOrBuilder
                        hasCriteria(): boolean
                        getCriteria(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        getCriteriaOrBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder
                        getArgsList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar>
                        getArgs(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar
                        getArgsCount(): int
                        getArgsOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$ScalarOrBuilder>
                        getArgsOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$ScalarOrBuilder
                        hasLimit(): boolean
                        getLimit(): com.mysql.cj.x.protobuf.MysqlxCrud$Limit
                        getLimitOrBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$LimitOrBuilder
                        getOrderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$Order>
                        getOrder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Order
                        getOrderCount(): int
                        getOrderOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$OrderOrBuilder>
                        getOrderOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$OrderOrBuilder
                        getGroupingList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$Expr>
                        getGrouping(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        getGroupingCount(): int
                        getGroupingOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder>
                        getGroupingOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder
                        hasGroupingCriteria(): boolean
                        getGroupingCriteria(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        getGroupingCriteriaOrBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder
                        getJoinList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$Join>
                        getJoin(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Join
                        getJoinCount(): int
                        getJoinOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$JoinOrBuilder>
                        getJoinOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$JoinOrBuilder
                    }
                    class MysqlxCrud$Insert$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxCrud$Insert> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Insert
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxCrud$Insert$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxCrud$Insert$Builder> implements com.mysql.cj.x.protobuf.MysqlxCrud$InsertOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxCrud$Insert
                        public build(): com.mysql.cj.x.protobuf.MysqlxCrud$Insert
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxCrud$Insert
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Insert): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$Builder
                        public hasCollection(): boolean
                        public getCollection(): com.mysql.cj.x.protobuf.MysqlxCrud$Collection
                        public setCollection(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Collection): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$Builder
                        public setCollection(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Collection$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$Builder
                        public mergeCollection(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Collection): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$Builder
                        public clearCollection(): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$Builder
                        public getCollectionBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$Collection$Builder
                        public getCollectionOrBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$CollectionOrBuilder
                        public hasDataModel(): boolean
                        public getDataModel(): com.mysql.cj.x.protobuf.MysqlxCrud$DataModel
                        public setDataModel(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$DataModel): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$Builder
                        public clearDataModel(): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$Builder
                        public getProjectionList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$Column>
                        public getProjectionCount(): int
                        public getProjection(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Column
                        public setProjection(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxCrud$Column): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$Builder
                        public setProjection(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxCrud$Column$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$Builder
                        public addProjection(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Column): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$Builder
                        public addProjection(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxCrud$Column): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$Builder
                        public addProjection(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Column$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$Builder
                        public addProjection(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxCrud$Column$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$Builder
                        public addAllProjection(arg0: java.lang.Iterable<com.mysql.cj.x.protobuf.MysqlxCrud$Column>): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$Builder
                        public clearProjection(): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$Builder
                        public removeProjection(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$Builder
                        public getProjectionBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Column$Builder
                        public getProjectionOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$ColumnOrBuilder
                        public getProjectionOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$ColumnOrBuilder>
                        public addProjectionBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$Column$Builder
                        public addProjectionBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Column$Builder
                        public getProjectionBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$Column$Builder>
                        public getRowList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow>
                        public getRowCount(): int
                        public getRow(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow
                        public setRow(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$Builder
                        public setRow(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$Builder
                        public addRow(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$Builder
                        public addRow(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$Builder
                        public addRow(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$Builder
                        public addRow(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$Builder
                        public addAllRow(arg0: java.lang.Iterable<com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow>): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$Builder
                        public clearRow(): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$Builder
                        public removeRow(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$Builder
                        public getRowBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow$Builder
                        public getRowOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRowOrBuilder
                        public getRowOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRowOrBuilder>
                        public addRowBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow$Builder
                        public addRowBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow$Builder
                        public getRowBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow$Builder>
                        public getArgsList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar>
                        public getArgsCount(): int
                        public getArgs(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar
                        public setArgs(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$Builder
                        public setArgs(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$Builder
                        public addArgs(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$Builder
                        public addArgs(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$Builder
                        public addArgs(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$Builder
                        public addArgs(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$Builder
                        public addAllArgs(arg0: java.lang.Iterable<com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar>): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$Builder
                        public clearArgs(): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$Builder
                        public removeArgs(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$Builder
                        public getArgsBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder
                        public getArgsOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$ScalarOrBuilder
                        public getArgsOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$ScalarOrBuilder>
                        public addArgsBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder
                        public addArgsBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder
                        public getArgsBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder>
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxCrud$Insert$TypedRow$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxCrud$Insert$TypedRow$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow$Builder> implements com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRowOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow
                        public build(): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow$Builder
                        public getFieldList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$Expr>
                        public getFieldCount(): int
                        public getField(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        public setField(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxExpr$Expr): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow$Builder
                        public setField(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow$Builder
                        public addField(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Expr): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow$Builder
                        public addField(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxExpr$Expr): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow$Builder
                        public addField(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow$Builder
                        public addField(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow$Builder
                        public addAllField(arg0: java.lang.Iterable<com.mysql.cj.x.protobuf.MysqlxExpr$Expr>): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow$Builder
                        public clearField(): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow$Builder
                        public removeField(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow$Builder
                        public getFieldBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public getFieldOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder
                        public getFieldOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder>
                        public addFieldBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public addFieldBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public getFieldBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder>
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxCrud$Insert$TypedRow extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRowOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow>
                        public static FIELD_FIELD_NUMBER: int
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow>
                        public getFieldList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$Expr>
                        public getFieldOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder>
                        public getFieldCount(): int
                        public getField(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        public getFieldOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface MysqlxCrud$Insert$TypedRowOrBuilder extends com.google.protobuf.MessageOrBuilder {
                        getFieldList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$Expr>
                        getField(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        getFieldCount(): int
                        getFieldOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder>
                        getFieldOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder
                    }
                    class MysqlxCrud$Insert extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxCrud$InsertOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxCrud$Insert>
                        public static COLLECTION_FIELD_NUMBER: int
                        public static DATA_MODEL_FIELD_NUMBER: int
                        public static PROJECTION_FIELD_NUMBER: int
                        public static ROW_FIELD_NUMBER: int
                        public static ARGS_FIELD_NUMBER: int
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxCrud$Insert
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxCrud$Insert
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxCrud$Insert>
                        public hasCollection(): boolean
                        public getCollection(): com.mysql.cj.x.protobuf.MysqlxCrud$Collection
                        public getCollectionOrBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$CollectionOrBuilder
                        public hasDataModel(): boolean
                        public getDataModel(): com.mysql.cj.x.protobuf.MysqlxCrud$DataModel
                        public getProjectionList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$Column>
                        public getProjectionOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$ColumnOrBuilder>
                        public getProjectionCount(): int
                        public getProjection(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Column
                        public getProjectionOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$ColumnOrBuilder
                        public getRowList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow>
                        public getRowOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRowOrBuilder>
                        public getRowCount(): int
                        public getRow(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow
                        public getRowOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRowOrBuilder
                        public getArgsList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar>
                        public getArgsOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$ScalarOrBuilder>
                        public getArgsCount(): int
                        public getArgs(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar
                        public getArgsOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$ScalarOrBuilder
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxCrud$Insert
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Insert
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxCrud$Insert
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Insert
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxCrud$Insert
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Insert
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxCrud$Insert
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Insert
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxCrud$Insert
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Insert
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Insert): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface MysqlxCrud$InsertOrBuilder extends com.google.protobuf.MessageOrBuilder {
                        hasCollection(): boolean
                        getCollection(): com.mysql.cj.x.protobuf.MysqlxCrud$Collection
                        getCollectionOrBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$CollectionOrBuilder
                        hasDataModel(): boolean
                        getDataModel(): com.mysql.cj.x.protobuf.MysqlxCrud$DataModel
                        getProjectionList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$Column>
                        getProjection(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Column
                        getProjectionCount(): int
                        getProjectionOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$ColumnOrBuilder>
                        getProjectionOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$ColumnOrBuilder
                        getRowList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow>
                        getRow(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRow
                        getRowCount(): int
                        getRowOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRowOrBuilder>
                        getRowOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Insert$TypedRowOrBuilder
                        getArgsList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar>
                        getArgs(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar
                        getArgsCount(): int
                        getArgsOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$ScalarOrBuilder>
                        getArgsOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$ScalarOrBuilder
                    }
                    class MysqlxCrud$Join$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxCrud$Join> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Join
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxCrud$Join$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxCrud$Join$Builder> implements com.mysql.cj.x.protobuf.MysqlxCrud$JoinOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxCrud$Join$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxCrud$Join$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxCrud$Join
                        public build(): com.mysql.cj.x.protobuf.MysqlxCrud$Join
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxCrud$Join
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxCrud$Join$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Join): com.mysql.cj.x.protobuf.MysqlxCrud$Join$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Join$Builder
                        public hasCollection(): boolean
                        public getCollection(): com.mysql.cj.x.protobuf.MysqlxCrud$Collection
                        public setCollection(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Collection): com.mysql.cj.x.protobuf.MysqlxCrud$Join$Builder
                        public setCollection(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Collection$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Join$Builder
                        public mergeCollection(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Collection): com.mysql.cj.x.protobuf.MysqlxCrud$Join$Builder
                        public clearCollection(): com.mysql.cj.x.protobuf.MysqlxCrud$Join$Builder
                        public getCollectionBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$Collection$Builder
                        public getCollectionOrBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$CollectionOrBuilder
                        public hasMatch(): boolean
                        public getMatch(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        public setMatch(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Expr): com.mysql.cj.x.protobuf.MysqlxCrud$Join$Builder
                        public setMatch(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Join$Builder
                        public mergeMatch(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Expr): com.mysql.cj.x.protobuf.MysqlxCrud$Join$Builder
                        public clearMatch(): com.mysql.cj.x.protobuf.MysqlxCrud$Join$Builder
                        public getMatchBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public getMatchOrBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder
                        public hasOperation(): boolean
                        public getOperation(): com.mysql.cj.x.protobuf.MysqlxCrud$Join$Operation
                        public setOperation(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Join$Operation): com.mysql.cj.x.protobuf.MysqlxCrud$Join$Builder
                        public clearOperation(): com.mysql.cj.x.protobuf.MysqlxCrud$Join$Builder
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxCrud$Join$Operation$1 implements com.google.protobuf.Internal$EnumLiteMap<com.mysql.cj.x.protobuf.MysqlxCrud$Join$Operation> {
                        public findValueByNumber(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Join$Operation
                        public findValueByNumber(arg0: int): com.google.protobuf.Internal$EnumLite
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxCrud$Join$Operation extends java.lang.Enum<com.mysql.cj.x.protobuf.MysqlxCrud$Join$Operation> implements com.google.protobuf.ProtocolMessageEnum {
                        public static LEFT: com.mysql.cj.x.protobuf.MysqlxCrud$Join$Operation
                        public static RIGHT: com.mysql.cj.x.protobuf.MysqlxCrud$Join$Operation
                        public static INNER: com.mysql.cj.x.protobuf.MysqlxCrud$Join$Operation
                        public static LEFT_VALUE: int
                        public static RIGHT_VALUE: int
                        public static INNER_VALUE: int
                        public static values(): com.mysql.cj.x.protobuf.MysqlxCrud$Join$Operation[]
                        public static valueOf(arg0: string): com.mysql.cj.x.protobuf.MysqlxCrud$Join$Operation
                        public getNumber(): int
                        public static valueOf(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Join$Operation
                        public static internalGetValueMap(): com.google.protobuf.Internal$EnumLiteMap<com.mysql.cj.x.protobuf.MysqlxCrud$Join$Operation>
                        public getValueDescriptor(): com.google.protobuf.Descriptors$EnumValueDescriptor
                        public getDescriptorForType(): com.google.protobuf.Descriptors$EnumDescriptor
                        public static getDescriptor(): com.google.protobuf.Descriptors$EnumDescriptor
                        public static valueOf(arg0: com.google.protobuf.Descriptors$EnumValueDescriptor): com.mysql.cj.x.protobuf.MysqlxCrud$Join$Operation
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxCrud$Join extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxCrud$JoinOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxCrud$Join>
                        public static COLLECTION_FIELD_NUMBER: int
                        public static MATCH_FIELD_NUMBER: int
                        public static OPERATION_FIELD_NUMBER: int
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxCrud$Join
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxCrud$Join
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxCrud$Join>
                        public hasCollection(): boolean
                        public getCollection(): com.mysql.cj.x.protobuf.MysqlxCrud$Collection
                        public getCollectionOrBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$CollectionOrBuilder
                        public hasMatch(): boolean
                        public getMatch(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        public getMatchOrBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder
                        public hasOperation(): boolean
                        public getOperation(): com.mysql.cj.x.protobuf.MysqlxCrud$Join$Operation
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxCrud$Join
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Join
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxCrud$Join
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Join
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxCrud$Join
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Join
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxCrud$Join
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Join
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxCrud$Join
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Join
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$Join$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxCrud$Join$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Join): com.mysql.cj.x.protobuf.MysqlxCrud$Join$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$Join$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxCrud$Join$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface MysqlxCrud$JoinOrBuilder extends com.google.protobuf.MessageOrBuilder {
                        hasCollection(): boolean
                        getCollection(): com.mysql.cj.x.protobuf.MysqlxCrud$Collection
                        getCollectionOrBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$CollectionOrBuilder
                        hasMatch(): boolean
                        getMatch(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        getMatchOrBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder
                        hasOperation(): boolean
                        getOperation(): com.mysql.cj.x.protobuf.MysqlxCrud$Join$Operation
                    }
                    class MysqlxCrud$Limit$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxCrud$Limit> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Limit
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxCrud$Limit$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxCrud$Limit$Builder> implements com.mysql.cj.x.protobuf.MysqlxCrud$LimitOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxCrud$Limit$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxCrud$Limit$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxCrud$Limit
                        public build(): com.mysql.cj.x.protobuf.MysqlxCrud$Limit
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxCrud$Limit
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxCrud$Limit$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Limit): com.mysql.cj.x.protobuf.MysqlxCrud$Limit$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Limit$Builder
                        public hasRowCount(): boolean
                        public getRowCount(): long
                        public setRowCount(arg0: long): com.mysql.cj.x.protobuf.MysqlxCrud$Limit$Builder
                        public clearRowCount(): com.mysql.cj.x.protobuf.MysqlxCrud$Limit$Builder
                        public hasOffset(): boolean
                        public getOffset(): long
                        public setOffset(arg0: long): com.mysql.cj.x.protobuf.MysqlxCrud$Limit$Builder
                        public clearOffset(): com.mysql.cj.x.protobuf.MysqlxCrud$Limit$Builder
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxCrud$Limit extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxCrud$LimitOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxCrud$Limit>
                        public static ROW_COUNT_FIELD_NUMBER: int
                        public static OFFSET_FIELD_NUMBER: int
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxCrud$Limit
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxCrud$Limit
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxCrud$Limit>
                        public hasRowCount(): boolean
                        public getRowCount(): long
                        public hasOffset(): boolean
                        public getOffset(): long
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxCrud$Limit
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Limit
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxCrud$Limit
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Limit
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxCrud$Limit
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Limit
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxCrud$Limit
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Limit
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxCrud$Limit
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Limit
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$Limit$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxCrud$Limit$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Limit): com.mysql.cj.x.protobuf.MysqlxCrud$Limit$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$Limit$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxCrud$Limit$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface MysqlxCrud$LimitOrBuilder extends com.google.protobuf.MessageOrBuilder {
                        hasRowCount(): boolean
                        getRowCount(): long
                        hasOffset(): boolean
                        getOffset(): long
                    }
                    class MysqlxCrud$ModifyView$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxCrud$ModifyView$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView$Builder> implements com.mysql.cj.x.protobuf.MysqlxCrud$ModifyViewOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView
                        public build(): com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView): com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView$Builder
                        public hasCollection(): boolean
                        public getCollection(): com.mysql.cj.x.protobuf.MysqlxCrud$Collection
                        public setCollection(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Collection): com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView$Builder
                        public setCollection(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Collection$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView$Builder
                        public mergeCollection(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Collection): com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView$Builder
                        public clearCollection(): com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView$Builder
                        public getCollectionBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$Collection$Builder
                        public getCollectionOrBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$CollectionOrBuilder
                        public hasDefiner(): boolean
                        public getDefiner(): string
                        public getDefinerBytes(): com.google.protobuf.ByteString
                        public setDefiner(arg0: string): com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView$Builder
                        public clearDefiner(): com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView$Builder
                        public setDefinerBytes(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView$Builder
                        public hasAlgorithm(): boolean
                        public getAlgorithm(): com.mysql.cj.x.protobuf.MysqlxCrud$ViewAlgorithm
                        public setAlgorithm(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$ViewAlgorithm): com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView$Builder
                        public clearAlgorithm(): com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView$Builder
                        public hasSecurity(): boolean
                        public getSecurity(): com.mysql.cj.x.protobuf.MysqlxCrud$ViewSqlSecurity
                        public setSecurity(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$ViewSqlSecurity): com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView$Builder
                        public clearSecurity(): com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView$Builder
                        public hasCheck(): boolean
                        public getCheck(): com.mysql.cj.x.protobuf.MysqlxCrud$ViewCheckOption
                        public setCheck(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$ViewCheckOption): com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView$Builder
                        public clearCheck(): com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView$Builder
                        public getColumnList(): com.google.protobuf.ProtocolStringList
                        public getColumnCount(): int
                        public getColumn(arg0: int): string
                        public getColumnBytes(arg0: int): com.google.protobuf.ByteString
                        public setColumn(arg0: int, arg1: string): com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView$Builder
                        public addColumn(arg0: string): com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView$Builder
                        public addAllColumn(arg0: java.lang.Iterable<java.lang.String>): com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView$Builder
                        public clearColumn(): com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView$Builder
                        public addColumnBytes(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView$Builder
                        public hasStmt(): boolean
                        public getStmt(): com.mysql.cj.x.protobuf.MysqlxCrud$Find
                        public setStmt(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Find): com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView$Builder
                        public setStmt(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView$Builder
                        public mergeStmt(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Find): com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView$Builder
                        public clearStmt(): com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView$Builder
                        public getStmtBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$Find$Builder
                        public getStmtOrBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$FindOrBuilder
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxCrud$ModifyView extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxCrud$ModifyViewOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView>
                        public static COLLECTION_FIELD_NUMBER: int
                        public static DEFINER_FIELD_NUMBER: int
                        public static ALGORITHM_FIELD_NUMBER: int
                        public static SECURITY_FIELD_NUMBER: int
                        public static CHECK_FIELD_NUMBER: int
                        public static COLUMN_FIELD_NUMBER: int
                        public static STMT_FIELD_NUMBER: int
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView>
                        public hasCollection(): boolean
                        public getCollection(): com.mysql.cj.x.protobuf.MysqlxCrud$Collection
                        public getCollectionOrBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$CollectionOrBuilder
                        public hasDefiner(): boolean
                        public getDefiner(): string
                        public getDefinerBytes(): com.google.protobuf.ByteString
                        public hasAlgorithm(): boolean
                        public getAlgorithm(): com.mysql.cj.x.protobuf.MysqlxCrud$ViewAlgorithm
                        public hasSecurity(): boolean
                        public getSecurity(): com.mysql.cj.x.protobuf.MysqlxCrud$ViewSqlSecurity
                        public hasCheck(): boolean
                        public getCheck(): com.mysql.cj.x.protobuf.MysqlxCrud$ViewCheckOption
                        public getColumnList(): com.google.protobuf.ProtocolStringList
                        public getColumnCount(): int
                        public getColumn(arg0: int): string
                        public getColumnBytes(arg0: int): com.google.protobuf.ByteString
                        public hasStmt(): boolean
                        public getStmt(): com.mysql.cj.x.protobuf.MysqlxCrud$Find
                        public getStmtOrBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$FindOrBuilder
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView): com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxCrud$ModifyView$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface MysqlxCrud$ModifyViewOrBuilder extends com.google.protobuf.MessageOrBuilder {
                        hasCollection(): boolean
                        getCollection(): com.mysql.cj.x.protobuf.MysqlxCrud$Collection
                        getCollectionOrBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$CollectionOrBuilder
                        hasDefiner(): boolean
                        getDefiner(): string
                        getDefinerBytes(): com.google.protobuf.ByteString
                        hasAlgorithm(): boolean
                        getAlgorithm(): com.mysql.cj.x.protobuf.MysqlxCrud$ViewAlgorithm
                        hasSecurity(): boolean
                        getSecurity(): com.mysql.cj.x.protobuf.MysqlxCrud$ViewSqlSecurity
                        hasCheck(): boolean
                        getCheck(): com.mysql.cj.x.protobuf.MysqlxCrud$ViewCheckOption
                        getColumnList(): com.google.protobuf.ProtocolStringList
                        getColumnCount(): int
                        getColumn(arg0: int): string
                        getColumnBytes(arg0: int): com.google.protobuf.ByteString
                        hasStmt(): boolean
                        getStmt(): com.mysql.cj.x.protobuf.MysqlxCrud$Find
                        getStmtOrBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$FindOrBuilder
                    }
                    class MysqlxCrud$Order$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxCrud$Order> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Order
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxCrud$Order$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxCrud$Order$Builder> implements com.mysql.cj.x.protobuf.MysqlxCrud$OrderOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxCrud$Order$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxCrud$Order$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxCrud$Order
                        public build(): com.mysql.cj.x.protobuf.MysqlxCrud$Order
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxCrud$Order
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxCrud$Order$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Order): com.mysql.cj.x.protobuf.MysqlxCrud$Order$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Order$Builder
                        public hasExpr(): boolean
                        public getExpr(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        public setExpr(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Expr): com.mysql.cj.x.protobuf.MysqlxCrud$Order$Builder
                        public setExpr(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Order$Builder
                        public mergeExpr(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Expr): com.mysql.cj.x.protobuf.MysqlxCrud$Order$Builder
                        public clearExpr(): com.mysql.cj.x.protobuf.MysqlxCrud$Order$Builder
                        public getExprBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public getExprOrBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder
                        public hasDirection(): boolean
                        public getDirection(): com.mysql.cj.x.protobuf.MysqlxCrud$Order$Direction
                        public setDirection(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Order$Direction): com.mysql.cj.x.protobuf.MysqlxCrud$Order$Builder
                        public clearDirection(): com.mysql.cj.x.protobuf.MysqlxCrud$Order$Builder
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxCrud$Order$Direction$1 implements com.google.protobuf.Internal$EnumLiteMap<com.mysql.cj.x.protobuf.MysqlxCrud$Order$Direction> {
                        public findValueByNumber(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Order$Direction
                        public findValueByNumber(arg0: int): com.google.protobuf.Internal$EnumLite
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxCrud$Order$Direction extends java.lang.Enum<com.mysql.cj.x.protobuf.MysqlxCrud$Order$Direction> implements com.google.protobuf.ProtocolMessageEnum {
                        public static ASC: com.mysql.cj.x.protobuf.MysqlxCrud$Order$Direction
                        public static DESC: com.mysql.cj.x.protobuf.MysqlxCrud$Order$Direction
                        public static ASC_VALUE: int
                        public static DESC_VALUE: int
                        public static values(): com.mysql.cj.x.protobuf.MysqlxCrud$Order$Direction[]
                        public static valueOf(arg0: string): com.mysql.cj.x.protobuf.MysqlxCrud$Order$Direction
                        public getNumber(): int
                        public static valueOf(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Order$Direction
                        public static internalGetValueMap(): com.google.protobuf.Internal$EnumLiteMap<com.mysql.cj.x.protobuf.MysqlxCrud$Order$Direction>
                        public getValueDescriptor(): com.google.protobuf.Descriptors$EnumValueDescriptor
                        public getDescriptorForType(): com.google.protobuf.Descriptors$EnumDescriptor
                        public static getDescriptor(): com.google.protobuf.Descriptors$EnumDescriptor
                        public static valueOf(arg0: com.google.protobuf.Descriptors$EnumValueDescriptor): com.mysql.cj.x.protobuf.MysqlxCrud$Order$Direction
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxCrud$Order extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxCrud$OrderOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxCrud$Order>
                        public static EXPR_FIELD_NUMBER: int
                        public static DIRECTION_FIELD_NUMBER: int
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxCrud$Order
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxCrud$Order
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxCrud$Order>
                        public hasExpr(): boolean
                        public getExpr(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        public getExprOrBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder
                        public hasDirection(): boolean
                        public getDirection(): com.mysql.cj.x.protobuf.MysqlxCrud$Order$Direction
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxCrud$Order
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Order
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxCrud$Order
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Order
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxCrud$Order
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Order
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxCrud$Order
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Order
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxCrud$Order
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Order
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$Order$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxCrud$Order$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Order): com.mysql.cj.x.protobuf.MysqlxCrud$Order$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$Order$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxCrud$Order$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface MysqlxCrud$OrderOrBuilder extends com.google.protobuf.MessageOrBuilder {
                        hasExpr(): boolean
                        getExpr(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        getExprOrBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder
                        hasDirection(): boolean
                        getDirection(): com.mysql.cj.x.protobuf.MysqlxCrud$Order$Direction
                    }
                    class MysqlxCrud$Projection$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxCrud$Projection> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Projection
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxCrud$Projection$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxCrud$Projection$Builder> implements com.mysql.cj.x.protobuf.MysqlxCrud$ProjectionOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxCrud$Projection$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxCrud$Projection$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxCrud$Projection
                        public build(): com.mysql.cj.x.protobuf.MysqlxCrud$Projection
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxCrud$Projection
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxCrud$Projection$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Projection): com.mysql.cj.x.protobuf.MysqlxCrud$Projection$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Projection$Builder
                        public hasSource(): boolean
                        public getSource(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        public setSource(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Expr): com.mysql.cj.x.protobuf.MysqlxCrud$Projection$Builder
                        public setSource(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Projection$Builder
                        public mergeSource(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Expr): com.mysql.cj.x.protobuf.MysqlxCrud$Projection$Builder
                        public clearSource(): com.mysql.cj.x.protobuf.MysqlxCrud$Projection$Builder
                        public getSourceBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public getSourceOrBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder
                        public hasAlias(): boolean
                        public getAlias(): string
                        public getAliasBytes(): com.google.protobuf.ByteString
                        public setAlias(arg0: string): com.mysql.cj.x.protobuf.MysqlxCrud$Projection$Builder
                        public clearAlias(): com.mysql.cj.x.protobuf.MysqlxCrud$Projection$Builder
                        public setAliasBytes(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxCrud$Projection$Builder
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxCrud$Projection extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxCrud$ProjectionOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxCrud$Projection>
                        public static SOURCE_FIELD_NUMBER: int
                        public static ALIAS_FIELD_NUMBER: int
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxCrud$Projection
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxCrud$Projection
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxCrud$Projection>
                        public hasSource(): boolean
                        public getSource(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        public getSourceOrBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder
                        public hasAlias(): boolean
                        public getAlias(): string
                        public getAliasBytes(): com.google.protobuf.ByteString
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxCrud$Projection
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Projection
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxCrud$Projection
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Projection
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxCrud$Projection
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Projection
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxCrud$Projection
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Projection
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxCrud$Projection
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Projection
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$Projection$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxCrud$Projection$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Projection): com.mysql.cj.x.protobuf.MysqlxCrud$Projection$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$Projection$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxCrud$Projection$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface MysqlxCrud$ProjectionOrBuilder extends com.google.protobuf.MessageOrBuilder {
                        hasSource(): boolean
                        getSource(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        getSourceOrBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder
                        hasAlias(): boolean
                        getAlias(): string
                        getAliasBytes(): com.google.protobuf.ByteString
                    }
                    class MysqlxCrud$Update$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxCrud$Update> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Update
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxCrud$Update$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxCrud$Update$Builder> implements com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxCrud$Update$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxCrud$Update$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxCrud$Update
                        public build(): com.mysql.cj.x.protobuf.MysqlxCrud$Update
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxCrud$Update
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxCrud$Update$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Update): com.mysql.cj.x.protobuf.MysqlxCrud$Update$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Update$Builder
                        public hasCollection(): boolean
                        public getCollection(): com.mysql.cj.x.protobuf.MysqlxCrud$Collection
                        public setCollection(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Collection): com.mysql.cj.x.protobuf.MysqlxCrud$Update$Builder
                        public setCollection(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Collection$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Update$Builder
                        public mergeCollection(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Collection): com.mysql.cj.x.protobuf.MysqlxCrud$Update$Builder
                        public clearCollection(): com.mysql.cj.x.protobuf.MysqlxCrud$Update$Builder
                        public getCollectionBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$Collection$Builder
                        public getCollectionOrBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$CollectionOrBuilder
                        public hasDataModel(): boolean
                        public getDataModel(): com.mysql.cj.x.protobuf.MysqlxCrud$DataModel
                        public setDataModel(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$DataModel): com.mysql.cj.x.protobuf.MysqlxCrud$Update$Builder
                        public clearDataModel(): com.mysql.cj.x.protobuf.MysqlxCrud$Update$Builder
                        public hasCriteria(): boolean
                        public getCriteria(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        public setCriteria(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Expr): com.mysql.cj.x.protobuf.MysqlxCrud$Update$Builder
                        public setCriteria(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Update$Builder
                        public mergeCriteria(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Expr): com.mysql.cj.x.protobuf.MysqlxCrud$Update$Builder
                        public clearCriteria(): com.mysql.cj.x.protobuf.MysqlxCrud$Update$Builder
                        public getCriteriaBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public getCriteriaOrBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder
                        public getArgsList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar>
                        public getArgsCount(): int
                        public getArgs(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar
                        public setArgs(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar): com.mysql.cj.x.protobuf.MysqlxCrud$Update$Builder
                        public setArgs(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Update$Builder
                        public addArgs(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar): com.mysql.cj.x.protobuf.MysqlxCrud$Update$Builder
                        public addArgs(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar): com.mysql.cj.x.protobuf.MysqlxCrud$Update$Builder
                        public addArgs(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Update$Builder
                        public addArgs(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Update$Builder
                        public addAllArgs(arg0: java.lang.Iterable<com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar>): com.mysql.cj.x.protobuf.MysqlxCrud$Update$Builder
                        public clearArgs(): com.mysql.cj.x.protobuf.MysqlxCrud$Update$Builder
                        public removeArgs(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Update$Builder
                        public getArgsBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder
                        public getArgsOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$ScalarOrBuilder
                        public getArgsOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$ScalarOrBuilder>
                        public addArgsBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder
                        public addArgsBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder
                        public getArgsBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder>
                        public hasLimit(): boolean
                        public getLimit(): com.mysql.cj.x.protobuf.MysqlxCrud$Limit
                        public setLimit(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Limit): com.mysql.cj.x.protobuf.MysqlxCrud$Update$Builder
                        public setLimit(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Limit$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Update$Builder
                        public mergeLimit(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Limit): com.mysql.cj.x.protobuf.MysqlxCrud$Update$Builder
                        public clearLimit(): com.mysql.cj.x.protobuf.MysqlxCrud$Update$Builder
                        public getLimitBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$Limit$Builder
                        public getLimitOrBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$LimitOrBuilder
                        public getOrderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$Order>
                        public getOrderCount(): int
                        public getOrder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Order
                        public setOrder(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxCrud$Order): com.mysql.cj.x.protobuf.MysqlxCrud$Update$Builder
                        public setOrder(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxCrud$Order$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Update$Builder
                        public addOrder(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Order): com.mysql.cj.x.protobuf.MysqlxCrud$Update$Builder
                        public addOrder(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxCrud$Order): com.mysql.cj.x.protobuf.MysqlxCrud$Update$Builder
                        public addOrder(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Order$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Update$Builder
                        public addOrder(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxCrud$Order$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Update$Builder
                        public addAllOrder(arg0: java.lang.Iterable<com.mysql.cj.x.protobuf.MysqlxCrud$Order>): com.mysql.cj.x.protobuf.MysqlxCrud$Update$Builder
                        public clearOrder(): com.mysql.cj.x.protobuf.MysqlxCrud$Update$Builder
                        public removeOrder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Update$Builder
                        public getOrderBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Order$Builder
                        public getOrderOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$OrderOrBuilder
                        public getOrderOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$OrderOrBuilder>
                        public addOrderBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$Order$Builder
                        public addOrderBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Order$Builder
                        public getOrderBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$Order$Builder>
                        public getOperationList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation>
                        public getOperationCount(): int
                        public getOperation(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation
                        public setOperation(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation): com.mysql.cj.x.protobuf.MysqlxCrud$Update$Builder
                        public setOperation(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Update$Builder
                        public addOperation(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation): com.mysql.cj.x.protobuf.MysqlxCrud$Update$Builder
                        public addOperation(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation): com.mysql.cj.x.protobuf.MysqlxCrud$Update$Builder
                        public addOperation(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Update$Builder
                        public addOperation(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$Update$Builder
                        public addAllOperation(arg0: java.lang.Iterable<com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation>): com.mysql.cj.x.protobuf.MysqlxCrud$Update$Builder
                        public clearOperation(): com.mysql.cj.x.protobuf.MysqlxCrud$Update$Builder
                        public removeOperation(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Update$Builder
                        public getOperationBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation$Builder
                        public getOperationOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperationOrBuilder
                        public getOperationOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperationOrBuilder>
                        public addOperationBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation$Builder
                        public addOperationBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation$Builder
                        public getOperationBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation$Builder>
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxCrud$Update extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxCrud$Update>
                        public static COLLECTION_FIELD_NUMBER: int
                        public static DATA_MODEL_FIELD_NUMBER: int
                        public static CRITERIA_FIELD_NUMBER: int
                        public static ARGS_FIELD_NUMBER: int
                        public static LIMIT_FIELD_NUMBER: int
                        public static ORDER_FIELD_NUMBER: int
                        public static OPERATION_FIELD_NUMBER: int
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxCrud$Update
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxCrud$Update
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxCrud$Update>
                        public hasCollection(): boolean
                        public getCollection(): com.mysql.cj.x.protobuf.MysqlxCrud$Collection
                        public getCollectionOrBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$CollectionOrBuilder
                        public hasDataModel(): boolean
                        public getDataModel(): com.mysql.cj.x.protobuf.MysqlxCrud$DataModel
                        public hasCriteria(): boolean
                        public getCriteria(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        public getCriteriaOrBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder
                        public getArgsList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar>
                        public getArgsOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$ScalarOrBuilder>
                        public getArgsCount(): int
                        public getArgs(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar
                        public getArgsOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$ScalarOrBuilder
                        public hasLimit(): boolean
                        public getLimit(): com.mysql.cj.x.protobuf.MysqlxCrud$Limit
                        public getLimitOrBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$LimitOrBuilder
                        public getOrderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$Order>
                        public getOrderOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$OrderOrBuilder>
                        public getOrderCount(): int
                        public getOrder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Order
                        public getOrderOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$OrderOrBuilder
                        public getOperationList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation>
                        public getOperationOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperationOrBuilder>
                        public getOperationCount(): int
                        public getOperation(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation
                        public getOperationOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperationOrBuilder
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxCrud$Update
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Update
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxCrud$Update
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Update
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxCrud$Update
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Update
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxCrud$Update
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Update
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxCrud$Update
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$Update
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$Update$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxCrud$Update$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Update): com.mysql.cj.x.protobuf.MysqlxCrud$Update$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$Update$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxCrud$Update$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxCrud$UpdateOperation$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxCrud$UpdateOperation$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation$Builder> implements com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperationOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation
                        public build(): com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation): com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation$Builder
                        public hasSource(): boolean
                        public getSource(): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier
                        public setSource(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier): com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation$Builder
                        public setSource(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation$Builder
                        public mergeSource(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier): com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation$Builder
                        public clearSource(): com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation$Builder
                        public getSourceBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier$Builder
                        public getSourceOrBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifierOrBuilder
                        public hasOperation(): boolean
                        public getOperation(): com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation$UpdateType
                        public setOperation(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation$UpdateType): com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation$Builder
                        public clearOperation(): com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation$Builder
                        public hasValue(): boolean
                        public getValue(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        public setValue(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Expr): com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation$Builder
                        public setValue(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder): com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation$Builder
                        public mergeValue(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Expr): com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation$Builder
                        public clearValue(): com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation$Builder
                        public getValueBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public getValueOrBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxCrud$UpdateOperation$UpdateType$1 implements com.google.protobuf.Internal$EnumLiteMap<com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation$UpdateType> {
                        public findValueByNumber(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation$UpdateType
                        public findValueByNumber(arg0: int): com.google.protobuf.Internal$EnumLite
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxCrud$UpdateOperation$UpdateType extends java.lang.Enum<com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation$UpdateType> implements com.google.protobuf.ProtocolMessageEnum {
                        public static SET: com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation$UpdateType
                        public static ITEM_REMOVE: com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation$UpdateType
                        public static ITEM_SET: com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation$UpdateType
                        public static ITEM_REPLACE: com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation$UpdateType
                        public static ITEM_MERGE: com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation$UpdateType
                        public static ARRAY_INSERT: com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation$UpdateType
                        public static ARRAY_APPEND: com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation$UpdateType
                        public static SET_VALUE: int
                        public static ITEM_REMOVE_VALUE: int
                        public static ITEM_SET_VALUE: int
                        public static ITEM_REPLACE_VALUE: int
                        public static ITEM_MERGE_VALUE: int
                        public static ARRAY_INSERT_VALUE: int
                        public static ARRAY_APPEND_VALUE: int
                        public static values(): com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation$UpdateType[]
                        public static valueOf(arg0: string): com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation$UpdateType
                        public getNumber(): int
                        public static valueOf(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation$UpdateType
                        public static internalGetValueMap(): com.google.protobuf.Internal$EnumLiteMap<com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation$UpdateType>
                        public getValueDescriptor(): com.google.protobuf.Descriptors$EnumValueDescriptor
                        public getDescriptorForType(): com.google.protobuf.Descriptors$EnumDescriptor
                        public static getDescriptor(): com.google.protobuf.Descriptors$EnumDescriptor
                        public static valueOf(arg0: com.google.protobuf.Descriptors$EnumValueDescriptor): com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation$UpdateType
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxCrud$UpdateOperation extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperationOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation>
                        public static SOURCE_FIELD_NUMBER: int
                        public static OPERATION_FIELD_NUMBER: int
                        public static VALUE_FIELD_NUMBER: int
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation>
                        public hasSource(): boolean
                        public getSource(): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier
                        public getSourceOrBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifierOrBuilder
                        public hasOperation(): boolean
                        public getOperation(): com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation$UpdateType
                        public hasValue(): boolean
                        public getValue(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        public getValueOrBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation): com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface MysqlxCrud$UpdateOperationOrBuilder extends com.google.protobuf.MessageOrBuilder {
                        hasSource(): boolean
                        getSource(): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier
                        getSourceOrBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifierOrBuilder
                        hasOperation(): boolean
                        getOperation(): com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation$UpdateType
                        hasValue(): boolean
                        getValue(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        getValueOrBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder
                    }
                    interface MysqlxCrud$UpdateOrBuilder extends com.google.protobuf.MessageOrBuilder {
                        hasCollection(): boolean
                        getCollection(): com.mysql.cj.x.protobuf.MysqlxCrud$Collection
                        getCollectionOrBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$CollectionOrBuilder
                        hasDataModel(): boolean
                        getDataModel(): com.mysql.cj.x.protobuf.MysqlxCrud$DataModel
                        hasCriteria(): boolean
                        getCriteria(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        getCriteriaOrBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder
                        getArgsList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar>
                        getArgs(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar
                        getArgsCount(): int
                        getArgsOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$ScalarOrBuilder>
                        getArgsOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$ScalarOrBuilder
                        hasLimit(): boolean
                        getLimit(): com.mysql.cj.x.protobuf.MysqlxCrud$Limit
                        getLimitOrBuilder(): com.mysql.cj.x.protobuf.MysqlxCrud$LimitOrBuilder
                        getOrderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$Order>
                        getOrder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$Order
                        getOrderCount(): int
                        getOrderOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$OrderOrBuilder>
                        getOrderOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$OrderOrBuilder
                        getOperationList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation>
                        getOperation(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperation
                        getOperationCount(): int
                        getOperationOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperationOrBuilder>
                        getOperationOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$UpdateOperationOrBuilder
                    }
                    class MysqlxCrud$ViewAlgorithm$1 implements com.google.protobuf.Internal$EnumLiteMap<com.mysql.cj.x.protobuf.MysqlxCrud$ViewAlgorithm> {
                        public findValueByNumber(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$ViewAlgorithm
                        public findValueByNumber(arg0: int): com.google.protobuf.Internal$EnumLite
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxCrud$ViewAlgorithm extends java.lang.Enum<com.mysql.cj.x.protobuf.MysqlxCrud$ViewAlgorithm> implements com.google.protobuf.ProtocolMessageEnum {
                        public static UNDEFINED: com.mysql.cj.x.protobuf.MysqlxCrud$ViewAlgorithm
                        public static MERGE: com.mysql.cj.x.protobuf.MysqlxCrud$ViewAlgorithm
                        public static TEMPTABLE: com.mysql.cj.x.protobuf.MysqlxCrud$ViewAlgorithm
                        public static UNDEFINED_VALUE: int
                        public static MERGE_VALUE: int
                        public static TEMPTABLE_VALUE: int
                        public static values(): com.mysql.cj.x.protobuf.MysqlxCrud$ViewAlgorithm[]
                        public static valueOf(arg0: string): com.mysql.cj.x.protobuf.MysqlxCrud$ViewAlgorithm
                        public getNumber(): int
                        public static valueOf(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$ViewAlgorithm
                        public static internalGetValueMap(): com.google.protobuf.Internal$EnumLiteMap<com.mysql.cj.x.protobuf.MysqlxCrud$ViewAlgorithm>
                        public getValueDescriptor(): com.google.protobuf.Descriptors$EnumValueDescriptor
                        public getDescriptorForType(): com.google.protobuf.Descriptors$EnumDescriptor
                        public static getDescriptor(): com.google.protobuf.Descriptors$EnumDescriptor
                        public static valueOf(arg0: com.google.protobuf.Descriptors$EnumValueDescriptor): com.mysql.cj.x.protobuf.MysqlxCrud$ViewAlgorithm
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxCrud$ViewCheckOption$1 implements com.google.protobuf.Internal$EnumLiteMap<com.mysql.cj.x.protobuf.MysqlxCrud$ViewCheckOption> {
                        public findValueByNumber(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$ViewCheckOption
                        public findValueByNumber(arg0: int): com.google.protobuf.Internal$EnumLite
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxCrud$ViewCheckOption extends java.lang.Enum<com.mysql.cj.x.protobuf.MysqlxCrud$ViewCheckOption> implements com.google.protobuf.ProtocolMessageEnum {
                        public static LOCAL: com.mysql.cj.x.protobuf.MysqlxCrud$ViewCheckOption
                        public static CASCADED: com.mysql.cj.x.protobuf.MysqlxCrud$ViewCheckOption
                        public static LOCAL_VALUE: int
                        public static CASCADED_VALUE: int
                        public static values(): com.mysql.cj.x.protobuf.MysqlxCrud$ViewCheckOption[]
                        public static valueOf(arg0: string): com.mysql.cj.x.protobuf.MysqlxCrud$ViewCheckOption
                        public getNumber(): int
                        public static valueOf(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$ViewCheckOption
                        public static internalGetValueMap(): com.google.protobuf.Internal$EnumLiteMap<com.mysql.cj.x.protobuf.MysqlxCrud$ViewCheckOption>
                        public getValueDescriptor(): com.google.protobuf.Descriptors$EnumValueDescriptor
                        public getDescriptorForType(): com.google.protobuf.Descriptors$EnumDescriptor
                        public static getDescriptor(): com.google.protobuf.Descriptors$EnumDescriptor
                        public static valueOf(arg0: com.google.protobuf.Descriptors$EnumValueDescriptor): com.mysql.cj.x.protobuf.MysqlxCrud$ViewCheckOption
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxCrud$ViewSqlSecurity$1 implements com.google.protobuf.Internal$EnumLiteMap<com.mysql.cj.x.protobuf.MysqlxCrud$ViewSqlSecurity> {
                        public findValueByNumber(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$ViewSqlSecurity
                        public findValueByNumber(arg0: int): com.google.protobuf.Internal$EnumLite
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxCrud$ViewSqlSecurity extends java.lang.Enum<com.mysql.cj.x.protobuf.MysqlxCrud$ViewSqlSecurity> implements com.google.protobuf.ProtocolMessageEnum {
                        public static INVOKER: com.mysql.cj.x.protobuf.MysqlxCrud$ViewSqlSecurity
                        public static DEFINER: com.mysql.cj.x.protobuf.MysqlxCrud$ViewSqlSecurity
                        public static INVOKER_VALUE: int
                        public static DEFINER_VALUE: int
                        public static values(): com.mysql.cj.x.protobuf.MysqlxCrud$ViewSqlSecurity[]
                        public static valueOf(arg0: string): com.mysql.cj.x.protobuf.MysqlxCrud$ViewSqlSecurity
                        public getNumber(): int
                        public static valueOf(arg0: int): com.mysql.cj.x.protobuf.MysqlxCrud$ViewSqlSecurity
                        public static internalGetValueMap(): com.google.protobuf.Internal$EnumLiteMap<com.mysql.cj.x.protobuf.MysqlxCrud$ViewSqlSecurity>
                        public getValueDescriptor(): com.google.protobuf.Descriptors$EnumValueDescriptor
                        public getDescriptorForType(): com.google.protobuf.Descriptors$EnumDescriptor
                        public static getDescriptor(): com.google.protobuf.Descriptors$EnumDescriptor
                        public static valueOf(arg0: com.google.protobuf.Descriptors$EnumValueDescriptor): com.mysql.cj.x.protobuf.MysqlxCrud$ViewSqlSecurity
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxCrud {
                        public static registerAllExtensions(arg0: com.google.protobuf.ExtensionRegistry): void
                        public static getDescriptor(): com.google.protobuf.Descriptors$FileDescriptor
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxDatatypes$1 implements com.google.protobuf.Descriptors$FileDescriptor$InternalDescriptorAssigner {
                        public assignDescriptors(arg0: com.google.protobuf.Descriptors$FileDescriptor): com.google.protobuf.ExtensionRegistry
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxDatatypes$Any$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxDatatypes$Any> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxDatatypes$Any$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Builder> implements com.mysql.cj.x.protobuf.MysqlxDatatypes$AnyOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any
                        public build(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Any): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Builder
                        public hasType(): boolean
                        public getType(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Type
                        public setType(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Type): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Builder
                        public clearType(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Builder
                        public hasScalar(): boolean
                        public getScalar(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar
                        public setScalar(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Builder
                        public setScalar(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Builder
                        public mergeScalar(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Builder
                        public clearScalar(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Builder
                        public getScalarBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder
                        public getScalarOrBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$ScalarOrBuilder
                        public hasObj(): boolean
                        public getObj(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object
                        public setObj(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Object): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Builder
                        public setObj(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$Builder): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Builder
                        public mergeObj(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Object): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Builder
                        public clearObj(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Builder
                        public getObjBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$Builder
                        public getObjOrBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$ObjectOrBuilder
                        public hasArray(): boolean
                        public getArray(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Array
                        public setArray(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Array): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Builder
                        public setArray(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Array$Builder): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Builder
                        public mergeArray(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Array): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Builder
                        public clearArray(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Builder
                        public getArrayBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Array$Builder
                        public getArrayOrBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$ArrayOrBuilder
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxDatatypes$Any$Type$1 implements com.google.protobuf.Internal$EnumLiteMap<com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Type> {
                        public findValueByNumber(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Type
                        public findValueByNumber(arg0: int): com.google.protobuf.Internal$EnumLite
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxDatatypes$Any$Type extends java.lang.Enum<com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Type> implements com.google.protobuf.ProtocolMessageEnum {
                        public static SCALAR: com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Type
                        public static OBJECT: com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Type
                        public static ARRAY: com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Type
                        public static SCALAR_VALUE: int
                        public static OBJECT_VALUE: int
                        public static ARRAY_VALUE: int
                        public static values(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Type[]
                        public static valueOf(arg0: string): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Type
                        public getNumber(): int
                        public static valueOf(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Type
                        public static internalGetValueMap(): com.google.protobuf.Internal$EnumLiteMap<com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Type>
                        public getValueDescriptor(): com.google.protobuf.Descriptors$EnumValueDescriptor
                        public getDescriptorForType(): com.google.protobuf.Descriptors$EnumDescriptor
                        public static getDescriptor(): com.google.protobuf.Descriptors$EnumDescriptor
                        public static valueOf(arg0: com.google.protobuf.Descriptors$EnumValueDescriptor): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Type
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxDatatypes$Any extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxDatatypes$AnyOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxDatatypes$Any>
                        public static TYPE_FIELD_NUMBER: int
                        public static SCALAR_FIELD_NUMBER: int
                        public static OBJ_FIELD_NUMBER: int
                        public static ARRAY_FIELD_NUMBER: int
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxDatatypes$Any>
                        public hasType(): boolean
                        public getType(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Type
                        public hasScalar(): boolean
                        public getScalar(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar
                        public getScalarOrBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$ScalarOrBuilder
                        public hasObj(): boolean
                        public getObj(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object
                        public getObjOrBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$ObjectOrBuilder
                        public hasArray(): boolean
                        public getArray(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Array
                        public getArrayOrBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$ArrayOrBuilder
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Any): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface MysqlxDatatypes$AnyOrBuilder extends com.google.protobuf.MessageOrBuilder {
                        hasType(): boolean
                        getType(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Type
                        hasScalar(): boolean
                        getScalar(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar
                        getScalarOrBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$ScalarOrBuilder
                        hasObj(): boolean
                        getObj(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object
                        getObjOrBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$ObjectOrBuilder
                        hasArray(): boolean
                        getArray(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Array
                        getArrayOrBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$ArrayOrBuilder
                    }
                    class MysqlxDatatypes$Array$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxDatatypes$Array> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxDatatypes$Array
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxDatatypes$Array$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxDatatypes$Array$Builder> implements com.mysql.cj.x.protobuf.MysqlxDatatypes$ArrayOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Array$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Array$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Array
                        public build(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Array
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Array
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxDatatypes$Array$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Array): com.mysql.cj.x.protobuf.MysqlxDatatypes$Array$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxDatatypes$Array$Builder
                        public getValueList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$Any>
                        public getValueCount(): int
                        public getValue(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any
                        public setValue(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxDatatypes$Any): com.mysql.cj.x.protobuf.MysqlxDatatypes$Array$Builder
                        public setValue(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Builder): com.mysql.cj.x.protobuf.MysqlxDatatypes$Array$Builder
                        public addValue(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Any): com.mysql.cj.x.protobuf.MysqlxDatatypes$Array$Builder
                        public addValue(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxDatatypes$Any): com.mysql.cj.x.protobuf.MysqlxDatatypes$Array$Builder
                        public addValue(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Builder): com.mysql.cj.x.protobuf.MysqlxDatatypes$Array$Builder
                        public addValue(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Builder): com.mysql.cj.x.protobuf.MysqlxDatatypes$Array$Builder
                        public addAllValue(arg0: java.lang.Iterable<com.mysql.cj.x.protobuf.MysqlxDatatypes$Any>): com.mysql.cj.x.protobuf.MysqlxDatatypes$Array$Builder
                        public clearValue(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Array$Builder
                        public removeValue(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$Array$Builder
                        public getValueBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Builder
                        public getValueOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$AnyOrBuilder
                        public getValueOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$AnyOrBuilder>
                        public addValueBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Builder
                        public addValueBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Builder
                        public getValueBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Builder>
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxDatatypes$Array extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxDatatypes$ArrayOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxDatatypes$Array>
                        public static VALUE_FIELD_NUMBER: int
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Array
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Array
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxDatatypes$Array>
                        public getValueList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$Any>
                        public getValueOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$AnyOrBuilder>
                        public getValueCount(): int
                        public getValue(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any
                        public getValueOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$AnyOrBuilder
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxDatatypes$Array
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxDatatypes$Array
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxDatatypes$Array
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxDatatypes$Array
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxDatatypes$Array
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxDatatypes$Array
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxDatatypes$Array
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxDatatypes$Array
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxDatatypes$Array
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxDatatypes$Array
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Array$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Array$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Array): com.mysql.cj.x.protobuf.MysqlxDatatypes$Array$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Array$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxDatatypes$Array$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface MysqlxDatatypes$ArrayOrBuilder extends com.google.protobuf.MessageOrBuilder {
                        getValueList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$Any>
                        getValue(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any
                        getValueCount(): int
                        getValueOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$AnyOrBuilder>
                        getValueOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$AnyOrBuilder
                    }
                    class MysqlxDatatypes$Object$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxDatatypes$Object> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxDatatypes$Object$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$Builder> implements com.mysql.cj.x.protobuf.MysqlxDatatypes$ObjectOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object
                        public build(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Object): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$Builder
                        public getFldList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField>
                        public getFldCount(): int
                        public getFld(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField
                        public setFld(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$Builder
                        public setFld(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField$Builder): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$Builder
                        public addFld(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$Builder
                        public addFld(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$Builder
                        public addFld(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField$Builder): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$Builder
                        public addFld(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField$Builder): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$Builder
                        public addAllFld(arg0: java.lang.Iterable<com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField>): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$Builder
                        public clearFld(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$Builder
                        public removeFld(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$Builder
                        public getFldBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField$Builder
                        public getFldOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectFieldOrBuilder
                        public getFldOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectFieldOrBuilder>
                        public addFldBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField$Builder
                        public addFldBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField$Builder
                        public getFldBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField$Builder>
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxDatatypes$Object$ObjectField$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxDatatypes$Object$ObjectField$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField$Builder> implements com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectFieldOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField
                        public build(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField$Builder
                        public hasKey(): boolean
                        public getKey(): string
                        public getKeyBytes(): com.google.protobuf.ByteString
                        public setKey(arg0: string): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField$Builder
                        public clearKey(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField$Builder
                        public setKeyBytes(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField$Builder
                        public hasValue(): boolean
                        public getValue(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any
                        public setValue(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Any): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField$Builder
                        public setValue(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Builder): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField$Builder
                        public mergeValue(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Any): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField$Builder
                        public clearValue(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField$Builder
                        public getValueBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Builder
                        public getValueOrBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$AnyOrBuilder
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxDatatypes$Object$ObjectField extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectFieldOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField>
                        public static KEY_FIELD_NUMBER: int
                        public static VALUE_FIELD_NUMBER: int
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField>
                        public hasKey(): boolean
                        public getKey(): string
                        public getKeyBytes(): com.google.protobuf.ByteString
                        public hasValue(): boolean
                        public getValue(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any
                        public getValueOrBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$AnyOrBuilder
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface MysqlxDatatypes$Object$ObjectFieldOrBuilder extends com.google.protobuf.MessageOrBuilder {
                        hasKey(): boolean
                        getKey(): string
                        getKeyBytes(): com.google.protobuf.ByteString
                        hasValue(): boolean
                        getValue(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any
                        getValueOrBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$AnyOrBuilder
                    }
                    class MysqlxDatatypes$Object extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxDatatypes$ObjectOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxDatatypes$Object>
                        public static FLD_FIELD_NUMBER: int
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxDatatypes$Object>
                        public getFldList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField>
                        public getFldOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectFieldOrBuilder>
                        public getFldCount(): int
                        public getFld(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField
                        public getFldOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectFieldOrBuilder
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Object): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface MysqlxDatatypes$ObjectOrBuilder extends com.google.protobuf.MessageOrBuilder {
                        getFldList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField>
                        getFld(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectField
                        getFldCount(): int
                        getFldOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectFieldOrBuilder>
                        getFldOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$Object$ObjectFieldOrBuilder
                    }
                    class MysqlxDatatypes$Scalar$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxDatatypes$Scalar$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder> implements com.mysql.cj.x.protobuf.MysqlxDatatypes$ScalarOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar
                        public build(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder
                        public hasType(): boolean
                        public getType(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Type
                        public setType(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Type): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder
                        public clearType(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder
                        public hasVSignedInt(): boolean
                        public getVSignedInt(): long
                        public setVSignedInt(arg0: long): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder
                        public clearVSignedInt(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder
                        public hasVUnsignedInt(): boolean
                        public getVUnsignedInt(): long
                        public setVUnsignedInt(arg0: long): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder
                        public clearVUnsignedInt(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder
                        public hasVOctets(): boolean
                        public getVOctets(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Octets
                        public setVOctets(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Octets): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder
                        public setVOctets(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Octets$Builder): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder
                        public mergeVOctets(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Octets): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder
                        public clearVOctets(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder
                        public getVOctetsBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Octets$Builder
                        public getVOctetsOrBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$OctetsOrBuilder
                        public hasVDouble(): boolean
                        public getVDouble(): double
                        public setVDouble(arg0: double): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder
                        public clearVDouble(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder
                        public hasVFloat(): boolean
                        public getVFloat(): float
                        public setVFloat(arg0: float): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder
                        public clearVFloat(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder
                        public hasVBool(): boolean
                        public getVBool(): boolean
                        public setVBool(arg0: boolean): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder
                        public clearVBool(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder
                        public hasVString(): boolean
                        public getVString(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$String
                        public setVString(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$String): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder
                        public setVString(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$String$Builder): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder
                        public mergeVString(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$String): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder
                        public clearVString(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder
                        public getVStringBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$String$Builder
                        public getVStringOrBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$StringOrBuilder
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxDatatypes$Scalar$Octets$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Octets> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Octets
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxDatatypes$Scalar$Octets$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Octets$Builder> implements com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$OctetsOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Octets$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Octets$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Octets
                        public build(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Octets
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Octets
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Octets$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Octets): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Octets$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Octets$Builder
                        public hasValue(): boolean
                        public getValue(): com.google.protobuf.ByteString
                        public setValue(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Octets$Builder
                        public clearValue(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Octets$Builder
                        public hasContentType(): boolean
                        public getContentType(): int
                        public setContentType(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Octets$Builder
                        public clearContentType(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Octets$Builder
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxDatatypes$Scalar$Octets extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$OctetsOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Octets>
                        public static VALUE_FIELD_NUMBER: int
                        public static CONTENT_TYPE_FIELD_NUMBER: int
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Octets
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Octets
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Octets>
                        public hasValue(): boolean
                        public getValue(): com.google.protobuf.ByteString
                        public hasContentType(): boolean
                        public getContentType(): int
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Octets
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Octets
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Octets
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Octets
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Octets
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Octets
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Octets
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Octets
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Octets
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Octets
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Octets$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Octets$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Octets): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Octets$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Octets$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Octets$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface MysqlxDatatypes$Scalar$OctetsOrBuilder extends com.google.protobuf.MessageOrBuilder {
                        hasValue(): boolean
                        getValue(): com.google.protobuf.ByteString
                        hasContentType(): boolean
                        getContentType(): int
                    }
                    class MysqlxDatatypes$Scalar$String$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$String> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$String
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxDatatypes$Scalar$String$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$String$Builder> implements com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$StringOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$String$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$String$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$String
                        public build(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$String
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$String
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$String$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$String): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$String$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$String$Builder
                        public hasValue(): boolean
                        public getValue(): com.google.protobuf.ByteString
                        public setValue(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$String$Builder
                        public clearValue(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$String$Builder
                        public hasCollation(): boolean
                        public getCollation(): long
                        public setCollation(arg0: long): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$String$Builder
                        public clearCollation(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$String$Builder
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxDatatypes$Scalar$String extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$StringOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$String>
                        public static VALUE_FIELD_NUMBER: int
                        public static COLLATION_FIELD_NUMBER: int
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$String
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$String
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$String>
                        public hasValue(): boolean
                        public getValue(): com.google.protobuf.ByteString
                        public hasCollation(): boolean
                        public getCollation(): long
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$String
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$String
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$String
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$String
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$String
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$String
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$String
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$String
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$String
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$String
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$String$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$String$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$String): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$String$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$String$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$String$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface MysqlxDatatypes$Scalar$StringOrBuilder extends com.google.protobuf.MessageOrBuilder {
                        hasValue(): boolean
                        getValue(): com.google.protobuf.ByteString
                        hasCollation(): boolean
                        getCollation(): long
                    }
                    class MysqlxDatatypes$Scalar$Type$1 implements com.google.protobuf.Internal$EnumLiteMap<com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Type> {
                        public findValueByNumber(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Type
                        public findValueByNumber(arg0: int): com.google.protobuf.Internal$EnumLite
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxDatatypes$Scalar$Type extends java.lang.Enum<com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Type> implements com.google.protobuf.ProtocolMessageEnum {
                        public static V_SINT: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Type
                        public static V_UINT: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Type
                        public static V_NULL: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Type
                        public static V_OCTETS: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Type
                        public static V_DOUBLE: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Type
                        public static V_FLOAT: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Type
                        public static V_BOOL: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Type
                        public static V_STRING: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Type
                        public static V_SINT_VALUE: int
                        public static V_UINT_VALUE: int
                        public static V_NULL_VALUE: int
                        public static V_OCTETS_VALUE: int
                        public static V_DOUBLE_VALUE: int
                        public static V_FLOAT_VALUE: int
                        public static V_BOOL_VALUE: int
                        public static V_STRING_VALUE: int
                        public static values(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Type[]
                        public static valueOf(arg0: string): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Type
                        public getNumber(): int
                        public static valueOf(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Type
                        public static internalGetValueMap(): com.google.protobuf.Internal$EnumLiteMap<com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Type>
                        public getValueDescriptor(): com.google.protobuf.Descriptors$EnumValueDescriptor
                        public getDescriptorForType(): com.google.protobuf.Descriptors$EnumDescriptor
                        public static getDescriptor(): com.google.protobuf.Descriptors$EnumDescriptor
                        public static valueOf(arg0: com.google.protobuf.Descriptors$EnumValueDescriptor): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Type
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxDatatypes$Scalar extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxDatatypes$ScalarOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar>
                        public static TYPE_FIELD_NUMBER: int
                        public static V_SIGNED_INT_FIELD_NUMBER: int
                        public static V_UNSIGNED_INT_FIELD_NUMBER: int
                        public static V_OCTETS_FIELD_NUMBER: int
                        public static V_DOUBLE_FIELD_NUMBER: int
                        public static V_FLOAT_FIELD_NUMBER: int
                        public static V_BOOL_FIELD_NUMBER: int
                        public static V_STRING_FIELD_NUMBER: int
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar>
                        public hasType(): boolean
                        public getType(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Type
                        public hasVSignedInt(): boolean
                        public getVSignedInt(): long
                        public hasVUnsignedInt(): boolean
                        public getVUnsignedInt(): long
                        public hasVOctets(): boolean
                        public getVOctets(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Octets
                        public getVOctetsOrBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$OctetsOrBuilder
                        public hasVDouble(): boolean
                        public getVDouble(): double
                        public hasVFloat(): boolean
                        public getVFloat(): float
                        public hasVBool(): boolean
                        public getVBool(): boolean
                        public hasVString(): boolean
                        public getVString(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$String
                        public getVStringOrBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$StringOrBuilder
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface MysqlxDatatypes$ScalarOrBuilder extends com.google.protobuf.MessageOrBuilder {
                        hasType(): boolean
                        getType(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Type
                        hasVSignedInt(): boolean
                        getVSignedInt(): long
                        hasVUnsignedInt(): boolean
                        getVUnsignedInt(): long
                        hasVOctets(): boolean
                        getVOctets(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Octets
                        getVOctetsOrBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$OctetsOrBuilder
                        hasVDouble(): boolean
                        getVDouble(): double
                        hasVFloat(): boolean
                        getVFloat(): float
                        hasVBool(): boolean
                        getVBool(): boolean
                        hasVString(): boolean
                        getVString(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$String
                        getVStringOrBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$StringOrBuilder
                    }
                    class MysqlxDatatypes {
                        public static registerAllExtensions(arg0: com.google.protobuf.ExtensionRegistry): void
                        public static getDescriptor(): com.google.protobuf.Descriptors$FileDescriptor
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxExpect$1 implements com.google.protobuf.Descriptors$FileDescriptor$InternalDescriptorAssigner {
                        public assignDescriptors(arg0: com.google.protobuf.Descriptors$FileDescriptor): com.google.protobuf.ExtensionRegistry
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxExpect$Close$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxExpect$Close> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpect$Close
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxExpect$Close$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxExpect$Close$Builder> implements com.mysql.cj.x.protobuf.MysqlxExpect$CloseOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxExpect$Close$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxExpect$Close$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxExpect$Close
                        public build(): com.mysql.cj.x.protobuf.MysqlxExpect$Close
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxExpect$Close
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxExpect$Close$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxExpect$Close): com.mysql.cj.x.protobuf.MysqlxExpect$Close$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpect$Close$Builder
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxExpect$Close extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxExpect$CloseOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxExpect$Close>
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxExpect$Close
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxExpect$Close
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxExpect$Close>
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxExpect$Close
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpect$Close
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxExpect$Close
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpect$Close
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxExpect$Close
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpect$Close
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxExpect$Close
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpect$Close
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxExpect$Close
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpect$Close
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxExpect$Close$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxExpect$Close$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxExpect$Close): com.mysql.cj.x.protobuf.MysqlxExpect$Close$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxExpect$Close$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxExpect$Close$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface MysqlxExpect$CloseOrBuilder extends com.google.protobuf.MessageOrBuilder {
                    }
                    class MysqlxExpect$Open$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxExpect$Open> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpect$Open
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxExpect$Open$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxExpect$Open$Builder> implements com.mysql.cj.x.protobuf.MysqlxExpect$OpenOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxExpect$Open
                        public build(): com.mysql.cj.x.protobuf.MysqlxExpect$Open
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxExpect$Open
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxExpect$Open): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Builder
                        public hasOp(): boolean
                        public getOp(): com.mysql.cj.x.protobuf.MysqlxExpect$Open$CtxOperation
                        public setOp(arg0: com.mysql.cj.x.protobuf.MysqlxExpect$Open$CtxOperation): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Builder
                        public clearOp(): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Builder
                        public getCondList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition>
                        public getCondCount(): int
                        public getCond(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition
                        public setCond(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Builder
                        public setCond(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition$Builder): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Builder
                        public addCond(arg0: com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Builder
                        public addCond(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Builder
                        public addCond(arg0: com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition$Builder): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Builder
                        public addCond(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition$Builder): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Builder
                        public addAllCond(arg0: java.lang.Iterable<com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition>): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Builder
                        public clearCond(): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Builder
                        public removeCond(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Builder
                        public getCondBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition$Builder
                        public getCondOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpect$Open$ConditionOrBuilder
                        public getCondOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpect$Open$ConditionOrBuilder>
                        public addCondBuilder(): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition$Builder
                        public addCondBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition$Builder
                        public getCondBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition$Builder>
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxExpect$Open$Condition$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxExpect$Open$Condition$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition$Builder> implements com.mysql.cj.x.protobuf.MysqlxExpect$Open$ConditionOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition
                        public build(): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition$Builder
                        public hasConditionKey(): boolean
                        public getConditionKey(): int
                        public setConditionKey(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition$Builder
                        public clearConditionKey(): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition$Builder
                        public hasConditionValue(): boolean
                        public getConditionValue(): com.google.protobuf.ByteString
                        public setConditionValue(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition$Builder
                        public clearConditionValue(): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition$Builder
                        public hasOp(): boolean
                        public getOp(): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition$ConditionOperation
                        public setOp(arg0: com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition$ConditionOperation): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition$Builder
                        public clearOp(): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition$Builder
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxExpect$Open$Condition$ConditionOperation$1 implements com.google.protobuf.Internal$EnumLiteMap<com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition$ConditionOperation> {
                        public findValueByNumber(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition$ConditionOperation
                        public findValueByNumber(arg0: int): com.google.protobuf.Internal$EnumLite
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxExpect$Open$Condition$ConditionOperation extends java.lang.Enum<com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition$ConditionOperation> implements com.google.protobuf.ProtocolMessageEnum {
                        public static EXPECT_OP_SET: com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition$ConditionOperation
                        public static EXPECT_OP_UNSET: com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition$ConditionOperation
                        public static EXPECT_OP_SET_VALUE: int
                        public static EXPECT_OP_UNSET_VALUE: int
                        public static values(): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition$ConditionOperation[]
                        public static valueOf(arg0: string): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition$ConditionOperation
                        public getNumber(): int
                        public static valueOf(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition$ConditionOperation
                        public static internalGetValueMap(): com.google.protobuf.Internal$EnumLiteMap<com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition$ConditionOperation>
                        public getValueDescriptor(): com.google.protobuf.Descriptors$EnumValueDescriptor
                        public getDescriptorForType(): com.google.protobuf.Descriptors$EnumDescriptor
                        public static getDescriptor(): com.google.protobuf.Descriptors$EnumDescriptor
                        public static valueOf(arg0: com.google.protobuf.Descriptors$EnumValueDescriptor): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition$ConditionOperation
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxExpect$Open$Condition extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxExpect$Open$ConditionOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition>
                        public static CONDITION_KEY_FIELD_NUMBER: int
                        public static CONDITION_VALUE_FIELD_NUMBER: int
                        public static OP_FIELD_NUMBER: int
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition>
                        public hasConditionKey(): boolean
                        public getConditionKey(): int
                        public hasConditionValue(): boolean
                        public getConditionValue(): com.google.protobuf.ByteString
                        public hasOp(): boolean
                        public getOp(): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition$ConditionOperation
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface MysqlxExpect$Open$ConditionOrBuilder extends com.google.protobuf.MessageOrBuilder {
                        hasConditionKey(): boolean
                        getConditionKey(): int
                        hasConditionValue(): boolean
                        getConditionValue(): com.google.protobuf.ByteString
                        hasOp(): boolean
                        getOp(): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition$ConditionOperation
                    }
                    class MysqlxExpect$Open$CtxOperation$1 implements com.google.protobuf.Internal$EnumLiteMap<com.mysql.cj.x.protobuf.MysqlxExpect$Open$CtxOperation> {
                        public findValueByNumber(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpect$Open$CtxOperation
                        public findValueByNumber(arg0: int): com.google.protobuf.Internal$EnumLite
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxExpect$Open$CtxOperation extends java.lang.Enum<com.mysql.cj.x.protobuf.MysqlxExpect$Open$CtxOperation> implements com.google.protobuf.ProtocolMessageEnum {
                        public static EXPECT_CTX_COPY_PREV: com.mysql.cj.x.protobuf.MysqlxExpect$Open$CtxOperation
                        public static EXPECT_CTX_EMPTY: com.mysql.cj.x.protobuf.MysqlxExpect$Open$CtxOperation
                        public static EXPECT_CTX_COPY_PREV_VALUE: int
                        public static EXPECT_CTX_EMPTY_VALUE: int
                        public static values(): com.mysql.cj.x.protobuf.MysqlxExpect$Open$CtxOperation[]
                        public static valueOf(arg0: string): com.mysql.cj.x.protobuf.MysqlxExpect$Open$CtxOperation
                        public getNumber(): int
                        public static valueOf(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpect$Open$CtxOperation
                        public static internalGetValueMap(): com.google.protobuf.Internal$EnumLiteMap<com.mysql.cj.x.protobuf.MysqlxExpect$Open$CtxOperation>
                        public getValueDescriptor(): com.google.protobuf.Descriptors$EnumValueDescriptor
                        public getDescriptorForType(): com.google.protobuf.Descriptors$EnumDescriptor
                        public static getDescriptor(): com.google.protobuf.Descriptors$EnumDescriptor
                        public static valueOf(arg0: com.google.protobuf.Descriptors$EnumValueDescriptor): com.mysql.cj.x.protobuf.MysqlxExpect$Open$CtxOperation
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxExpect$Open extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxExpect$OpenOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxExpect$Open>
                        public static OP_FIELD_NUMBER: int
                        public static COND_FIELD_NUMBER: int
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxExpect$Open
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxExpect$Open
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxExpect$Open>
                        public hasOp(): boolean
                        public getOp(): com.mysql.cj.x.protobuf.MysqlxExpect$Open$CtxOperation
                        public getCondList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition>
                        public getCondOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpect$Open$ConditionOrBuilder>
                        public getCondCount(): int
                        public getCond(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition
                        public getCondOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpect$Open$ConditionOrBuilder
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxExpect$Open
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpect$Open
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxExpect$Open
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpect$Open
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxExpect$Open
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpect$Open
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxExpect$Open
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpect$Open
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxExpect$Open
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpect$Open
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxExpect$Open): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface MysqlxExpect$OpenOrBuilder extends com.google.protobuf.MessageOrBuilder {
                        hasOp(): boolean
                        getOp(): com.mysql.cj.x.protobuf.MysqlxExpect$Open$CtxOperation
                        getCondList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition>
                        getCond(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpect$Open$Condition
                        getCondCount(): int
                        getCondOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpect$Open$ConditionOrBuilder>
                        getCondOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpect$Open$ConditionOrBuilder
                    }
                    class MysqlxExpect {
                        public static registerAllExtensions(arg0: com.google.protobuf.ExtensionRegistry): void
                        public static getDescriptor(): com.google.protobuf.Descriptors$FileDescriptor
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxExpr$1 implements com.google.protobuf.Descriptors$FileDescriptor$InternalDescriptorAssigner {
                        public assignDescriptors(arg0: com.google.protobuf.Descriptors$FileDescriptor): com.google.protobuf.ExtensionRegistry
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxExpr$Array$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxExpr$Array> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$Array
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxExpr$Array$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxExpr$Array$Builder> implements com.mysql.cj.x.protobuf.MysqlxExpr$ArrayOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxExpr$Array$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxExpr$Array$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxExpr$Array
                        public build(): com.mysql.cj.x.protobuf.MysqlxExpr$Array
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxExpr$Array
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxExpr$Array$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Array): com.mysql.cj.x.protobuf.MysqlxExpr$Array$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$Array$Builder
                        public getValueList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$Expr>
                        public getValueCount(): int
                        public getValue(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        public setValue(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxExpr$Expr): com.mysql.cj.x.protobuf.MysqlxExpr$Array$Builder
                        public setValue(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder): com.mysql.cj.x.protobuf.MysqlxExpr$Array$Builder
                        public addValue(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Expr): com.mysql.cj.x.protobuf.MysqlxExpr$Array$Builder
                        public addValue(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxExpr$Expr): com.mysql.cj.x.protobuf.MysqlxExpr$Array$Builder
                        public addValue(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder): com.mysql.cj.x.protobuf.MysqlxExpr$Array$Builder
                        public addValue(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder): com.mysql.cj.x.protobuf.MysqlxExpr$Array$Builder
                        public addAllValue(arg0: java.lang.Iterable<com.mysql.cj.x.protobuf.MysqlxExpr$Expr>): com.mysql.cj.x.protobuf.MysqlxExpr$Array$Builder
                        public clearValue(): com.mysql.cj.x.protobuf.MysqlxExpr$Array$Builder
                        public removeValue(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$Array$Builder
                        public getValueBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public getValueOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder
                        public getValueOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder>
                        public addValueBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public addValueBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public getValueBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder>
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxExpr$Array extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxExpr$ArrayOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxExpr$Array>
                        public static VALUE_FIELD_NUMBER: int
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxExpr$Array
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxExpr$Array
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxExpr$Array>
                        public getValueList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$Expr>
                        public getValueOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder>
                        public getValueCount(): int
                        public getValue(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        public getValueOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxExpr$Array
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$Array
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxExpr$Array
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$Array
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxExpr$Array
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$Array
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxExpr$Array
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$Array
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxExpr$Array
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$Array
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$Array$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxExpr$Array$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Array): com.mysql.cj.x.protobuf.MysqlxExpr$Array$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$Array$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxExpr$Array$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface MysqlxExpr$ArrayOrBuilder extends com.google.protobuf.MessageOrBuilder {
                        getValueList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$Expr>
                        getValue(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        getValueCount(): int
                        getValueOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder>
                        getValueOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder
                    }
                    class MysqlxExpr$ColumnIdentifier$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxExpr$ColumnIdentifier$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier$Builder> implements com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifierOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier
                        public build(): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier$Builder
                        public getDocumentPathList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem>
                        public getDocumentPathCount(): int
                        public getDocumentPath(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem
                        public setDocumentPath(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier$Builder
                        public setDocumentPath(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem$Builder): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier$Builder
                        public addDocumentPath(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier$Builder
                        public addDocumentPath(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier$Builder
                        public addDocumentPath(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem$Builder): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier$Builder
                        public addDocumentPath(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem$Builder): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier$Builder
                        public addAllDocumentPath(arg0: java.lang.Iterable<com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem>): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier$Builder
                        public clearDocumentPath(): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier$Builder
                        public removeDocumentPath(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier$Builder
                        public getDocumentPathBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem$Builder
                        public getDocumentPathOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItemOrBuilder
                        public getDocumentPathOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItemOrBuilder>
                        public addDocumentPathBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem$Builder
                        public addDocumentPathBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem$Builder
                        public getDocumentPathBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem$Builder>
                        public hasName(): boolean
                        public getName(): string
                        public getNameBytes(): com.google.protobuf.ByteString
                        public setName(arg0: string): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier$Builder
                        public clearName(): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier$Builder
                        public setNameBytes(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier$Builder
                        public hasTableName(): boolean
                        public getTableName(): string
                        public getTableNameBytes(): com.google.protobuf.ByteString
                        public setTableName(arg0: string): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier$Builder
                        public clearTableName(): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier$Builder
                        public setTableNameBytes(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier$Builder
                        public hasSchemaName(): boolean
                        public getSchemaName(): string
                        public getSchemaNameBytes(): com.google.protobuf.ByteString
                        public setSchemaName(arg0: string): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier$Builder
                        public clearSchemaName(): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier$Builder
                        public setSchemaNameBytes(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier$Builder
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxExpr$ColumnIdentifier extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifierOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier>
                        public static DOCUMENT_PATH_FIELD_NUMBER: int
                        public static NAME_FIELD_NUMBER: int
                        public static TABLE_NAME_FIELD_NUMBER: int
                        public static SCHEMA_NAME_FIELD_NUMBER: int
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier>
                        public getDocumentPathList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem>
                        public getDocumentPathOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItemOrBuilder>
                        public getDocumentPathCount(): int
                        public getDocumentPath(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem
                        public getDocumentPathOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItemOrBuilder
                        public hasName(): boolean
                        public getName(): string
                        public getNameBytes(): com.google.protobuf.ByteString
                        public hasTableName(): boolean
                        public getTableName(): string
                        public getTableNameBytes(): com.google.protobuf.ByteString
                        public hasSchemaName(): boolean
                        public getSchemaName(): string
                        public getSchemaNameBytes(): com.google.protobuf.ByteString
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface MysqlxExpr$ColumnIdentifierOrBuilder extends com.google.protobuf.MessageOrBuilder {
                        getDocumentPathList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem>
                        getDocumentPath(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem
                        getDocumentPathCount(): int
                        getDocumentPathOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItemOrBuilder>
                        getDocumentPathOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItemOrBuilder
                        hasName(): boolean
                        getName(): string
                        getNameBytes(): com.google.protobuf.ByteString
                        hasTableName(): boolean
                        getTableName(): string
                        getTableNameBytes(): com.google.protobuf.ByteString
                        hasSchemaName(): boolean
                        getSchemaName(): string
                        getSchemaNameBytes(): com.google.protobuf.ByteString
                    }
                    class MysqlxExpr$DocumentPathItem$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxExpr$DocumentPathItem$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem$Builder> implements com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItemOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem
                        public build(): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem$Builder
                        public hasType(): boolean
                        public getType(): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem$Type
                        public setType(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem$Type): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem$Builder
                        public clearType(): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem$Builder
                        public hasValue(): boolean
                        public getValue(): string
                        public getValueBytes(): com.google.protobuf.ByteString
                        public setValue(arg0: string): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem$Builder
                        public clearValue(): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem$Builder
                        public setValueBytes(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem$Builder
                        public hasIndex(): boolean
                        public getIndex(): int
                        public setIndex(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem$Builder
                        public clearIndex(): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem$Builder
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxExpr$DocumentPathItem$Type$1 implements com.google.protobuf.Internal$EnumLiteMap<com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem$Type> {
                        public findValueByNumber(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem$Type
                        public findValueByNumber(arg0: int): com.google.protobuf.Internal$EnumLite
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxExpr$DocumentPathItem$Type extends java.lang.Enum<com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem$Type> implements com.google.protobuf.ProtocolMessageEnum {
                        public static MEMBER: com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem$Type
                        public static MEMBER_ASTERISK: com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem$Type
                        public static ARRAY_INDEX: com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem$Type
                        public static ARRAY_INDEX_ASTERISK: com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem$Type
                        public static DOUBLE_ASTERISK: com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem$Type
                        public static MEMBER_VALUE: int
                        public static MEMBER_ASTERISK_VALUE: int
                        public static ARRAY_INDEX_VALUE: int
                        public static ARRAY_INDEX_ASTERISK_VALUE: int
                        public static DOUBLE_ASTERISK_VALUE: int
                        public static values(): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem$Type[]
                        public static valueOf(arg0: string): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem$Type
                        public getNumber(): int
                        public static valueOf(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem$Type
                        public static internalGetValueMap(): com.google.protobuf.Internal$EnumLiteMap<com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem$Type>
                        public getValueDescriptor(): com.google.protobuf.Descriptors$EnumValueDescriptor
                        public getDescriptorForType(): com.google.protobuf.Descriptors$EnumDescriptor
                        public static getDescriptor(): com.google.protobuf.Descriptors$EnumDescriptor
                        public static valueOf(arg0: com.google.protobuf.Descriptors$EnumValueDescriptor): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem$Type
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxExpr$DocumentPathItem extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItemOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem>
                        public static TYPE_FIELD_NUMBER: int
                        public static VALUE_FIELD_NUMBER: int
                        public static INDEX_FIELD_NUMBER: int
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem>
                        public hasType(): boolean
                        public getType(): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem$Type
                        public hasValue(): boolean
                        public getValue(): string
                        public getValueBytes(): com.google.protobuf.ByteString
                        public hasIndex(): boolean
                        public getIndex(): int
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface MysqlxExpr$DocumentPathItemOrBuilder extends com.google.protobuf.MessageOrBuilder {
                        hasType(): boolean
                        getType(): com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem$Type
                        hasValue(): boolean
                        getValue(): string
                        getValueBytes(): com.google.protobuf.ByteString
                        hasIndex(): boolean
                        getIndex(): int
                    }
                    class MysqlxExpr$Expr$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxExpr$Expr> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxExpr$Expr$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder> implements com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        public build(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Expr): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public hasType(): boolean
                        public getType(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Type
                        public setType(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Type): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public clearType(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public hasIdentifier(): boolean
                        public getIdentifier(): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier
                        public setIdentifier(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public setIdentifier(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier$Builder): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public mergeIdentifier(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public clearIdentifier(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public getIdentifierBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier$Builder
                        public getIdentifierOrBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifierOrBuilder
                        public hasVariable(): boolean
                        public getVariable(): string
                        public getVariableBytes(): com.google.protobuf.ByteString
                        public setVariable(arg0: string): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public clearVariable(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public setVariableBytes(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public hasLiteral(): boolean
                        public getLiteral(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar
                        public setLiteral(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public setLiteral(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public mergeLiteral(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public clearLiteral(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public getLiteralBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder
                        public getLiteralOrBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$ScalarOrBuilder
                        public hasFunctionCall(): boolean
                        public getFunctionCall(): com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCall
                        public setFunctionCall(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCall): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public setFunctionCall(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCall$Builder): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public mergeFunctionCall(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCall): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public clearFunctionCall(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public getFunctionCallBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCall$Builder
                        public getFunctionCallOrBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCallOrBuilder
                        public hasOperator(): boolean
                        public getOperator(): com.mysql.cj.x.protobuf.MysqlxExpr$Operator
                        public setOperator(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Operator): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public setOperator(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Operator$Builder): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public mergeOperator(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Operator): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public clearOperator(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public getOperatorBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$Operator$Builder
                        public getOperatorOrBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$OperatorOrBuilder
                        public hasPosition(): boolean
                        public getPosition(): int
                        public setPosition(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public clearPosition(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public hasObject(): boolean
                        public getObject(): com.mysql.cj.x.protobuf.MysqlxExpr$Object
                        public setObject(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Object): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public setObject(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Object$Builder): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public mergeObject(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Object): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public clearObject(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public getObjectBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$Object$Builder
                        public getObjectOrBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$ObjectOrBuilder
                        public hasArray(): boolean
                        public getArray(): com.mysql.cj.x.protobuf.MysqlxExpr$Array
                        public setArray(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Array): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public setArray(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Array$Builder): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public mergeArray(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Array): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public clearArray(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public getArrayBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$Array$Builder
                        public getArrayOrBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$ArrayOrBuilder
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxExpr$Expr$Type$1 implements com.google.protobuf.Internal$EnumLiteMap<com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Type> {
                        public findValueByNumber(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Type
                        public findValueByNumber(arg0: int): com.google.protobuf.Internal$EnumLite
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxExpr$Expr$Type extends java.lang.Enum<com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Type> implements com.google.protobuf.ProtocolMessageEnum {
                        public static IDENT: com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Type
                        public static LITERAL: com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Type
                        public static VARIABLE: com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Type
                        public static FUNC_CALL: com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Type
                        public static OPERATOR: com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Type
                        public static PLACEHOLDER: com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Type
                        public static OBJECT: com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Type
                        public static ARRAY: com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Type
                        public static IDENT_VALUE: int
                        public static LITERAL_VALUE: int
                        public static VARIABLE_VALUE: int
                        public static FUNC_CALL_VALUE: int
                        public static OPERATOR_VALUE: int
                        public static PLACEHOLDER_VALUE: int
                        public static OBJECT_VALUE: int
                        public static ARRAY_VALUE: int
                        public static values(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Type[]
                        public static valueOf(arg0: string): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Type
                        public getNumber(): int
                        public static valueOf(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Type
                        public static internalGetValueMap(): com.google.protobuf.Internal$EnumLiteMap<com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Type>
                        public getValueDescriptor(): com.google.protobuf.Descriptors$EnumValueDescriptor
                        public getDescriptorForType(): com.google.protobuf.Descriptors$EnumDescriptor
                        public static getDescriptor(): com.google.protobuf.Descriptors$EnumDescriptor
                        public static valueOf(arg0: com.google.protobuf.Descriptors$EnumValueDescriptor): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Type
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxExpr$Expr extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxExpr$Expr>
                        public static TYPE_FIELD_NUMBER: int
                        public static IDENTIFIER_FIELD_NUMBER: int
                        public static VARIABLE_FIELD_NUMBER: int
                        public static LITERAL_FIELD_NUMBER: int
                        public static FUNCTION_CALL_FIELD_NUMBER: int
                        public static OPERATOR_FIELD_NUMBER: int
                        public static POSITION_FIELD_NUMBER: int
                        public static OBJECT_FIELD_NUMBER: int
                        public static ARRAY_FIELD_NUMBER: int
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxExpr$Expr>
                        public hasType(): boolean
                        public getType(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Type
                        public hasIdentifier(): boolean
                        public getIdentifier(): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier
                        public getIdentifierOrBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifierOrBuilder
                        public hasVariable(): boolean
                        public getVariable(): string
                        public getVariableBytes(): com.google.protobuf.ByteString
                        public hasLiteral(): boolean
                        public getLiteral(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar
                        public getLiteralOrBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$ScalarOrBuilder
                        public hasFunctionCall(): boolean
                        public getFunctionCall(): com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCall
                        public getFunctionCallOrBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCallOrBuilder
                        public hasOperator(): boolean
                        public getOperator(): com.mysql.cj.x.protobuf.MysqlxExpr$Operator
                        public getOperatorOrBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$OperatorOrBuilder
                        public hasPosition(): boolean
                        public getPosition(): int
                        public hasObject(): boolean
                        public getObject(): com.mysql.cj.x.protobuf.MysqlxExpr$Object
                        public getObjectOrBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$ObjectOrBuilder
                        public hasArray(): boolean
                        public getArray(): com.mysql.cj.x.protobuf.MysqlxExpr$Array
                        public getArrayOrBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$ArrayOrBuilder
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Expr): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface MysqlxExpr$ExprOrBuilder extends com.google.protobuf.MessageOrBuilder {
                        hasType(): boolean
                        getType(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Type
                        hasIdentifier(): boolean
                        getIdentifier(): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier
                        getIdentifierOrBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifierOrBuilder
                        hasVariable(): boolean
                        getVariable(): string
                        getVariableBytes(): com.google.protobuf.ByteString
                        hasLiteral(): boolean
                        getLiteral(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar
                        getLiteralOrBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$ScalarOrBuilder
                        hasFunctionCall(): boolean
                        getFunctionCall(): com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCall
                        getFunctionCallOrBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCallOrBuilder
                        hasOperator(): boolean
                        getOperator(): com.mysql.cj.x.protobuf.MysqlxExpr$Operator
                        getOperatorOrBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$OperatorOrBuilder
                        hasPosition(): boolean
                        getPosition(): int
                        hasObject(): boolean
                        getObject(): com.mysql.cj.x.protobuf.MysqlxExpr$Object
                        getObjectOrBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$ObjectOrBuilder
                        hasArray(): boolean
                        getArray(): com.mysql.cj.x.protobuf.MysqlxExpr$Array
                        getArrayOrBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$ArrayOrBuilder
                    }
                    class MysqlxExpr$FunctionCall$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCall> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCall
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxExpr$FunctionCall$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCall$Builder> implements com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCallOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCall$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCall$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCall
                        public build(): com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCall
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCall
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCall$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCall): com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCall$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCall$Builder
                        public hasName(): boolean
                        public getName(): com.mysql.cj.x.protobuf.MysqlxExpr$Identifier
                        public setName(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Identifier): com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCall$Builder
                        public setName(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Identifier$Builder): com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCall$Builder
                        public mergeName(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Identifier): com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCall$Builder
                        public clearName(): com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCall$Builder
                        public getNameBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$Identifier$Builder
                        public getNameOrBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$IdentifierOrBuilder
                        public getParamList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$Expr>
                        public getParamCount(): int
                        public getParam(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        public setParam(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxExpr$Expr): com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCall$Builder
                        public setParam(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder): com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCall$Builder
                        public addParam(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Expr): com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCall$Builder
                        public addParam(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxExpr$Expr): com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCall$Builder
                        public addParam(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder): com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCall$Builder
                        public addParam(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder): com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCall$Builder
                        public addAllParam(arg0: java.lang.Iterable<com.mysql.cj.x.protobuf.MysqlxExpr$Expr>): com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCall$Builder
                        public clearParam(): com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCall$Builder
                        public removeParam(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCall$Builder
                        public getParamBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public getParamOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder
                        public getParamOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder>
                        public addParamBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public addParamBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public getParamBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder>
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxExpr$FunctionCall extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCallOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCall>
                        public static NAME_FIELD_NUMBER: int
                        public static PARAM_FIELD_NUMBER: int
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCall
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCall
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCall>
                        public hasName(): boolean
                        public getName(): com.mysql.cj.x.protobuf.MysqlxExpr$Identifier
                        public getNameOrBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$IdentifierOrBuilder
                        public getParamList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$Expr>
                        public getParamOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder>
                        public getParamCount(): int
                        public getParam(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        public getParamOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCall
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCall
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCall
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCall
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCall
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCall
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCall
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCall
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCall
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCall
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCall$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCall$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCall): com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCall$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCall$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxExpr$FunctionCall$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface MysqlxExpr$FunctionCallOrBuilder extends com.google.protobuf.MessageOrBuilder {
                        hasName(): boolean
                        getName(): com.mysql.cj.x.protobuf.MysqlxExpr$Identifier
                        getNameOrBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$IdentifierOrBuilder
                        getParamList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$Expr>
                        getParam(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        getParamCount(): int
                        getParamOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder>
                        getParamOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder
                    }
                    class MysqlxExpr$Identifier$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxExpr$Identifier> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$Identifier
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxExpr$Identifier$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxExpr$Identifier$Builder> implements com.mysql.cj.x.protobuf.MysqlxExpr$IdentifierOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxExpr$Identifier$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxExpr$Identifier$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxExpr$Identifier
                        public build(): com.mysql.cj.x.protobuf.MysqlxExpr$Identifier
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxExpr$Identifier
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxExpr$Identifier$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Identifier): com.mysql.cj.x.protobuf.MysqlxExpr$Identifier$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$Identifier$Builder
                        public hasName(): boolean
                        public getName(): string
                        public getNameBytes(): com.google.protobuf.ByteString
                        public setName(arg0: string): com.mysql.cj.x.protobuf.MysqlxExpr$Identifier$Builder
                        public clearName(): com.mysql.cj.x.protobuf.MysqlxExpr$Identifier$Builder
                        public setNameBytes(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxExpr$Identifier$Builder
                        public hasSchemaName(): boolean
                        public getSchemaName(): string
                        public getSchemaNameBytes(): com.google.protobuf.ByteString
                        public setSchemaName(arg0: string): com.mysql.cj.x.protobuf.MysqlxExpr$Identifier$Builder
                        public clearSchemaName(): com.mysql.cj.x.protobuf.MysqlxExpr$Identifier$Builder
                        public setSchemaNameBytes(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxExpr$Identifier$Builder
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxExpr$Identifier extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxExpr$IdentifierOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxExpr$Identifier>
                        public static NAME_FIELD_NUMBER: int
                        public static SCHEMA_NAME_FIELD_NUMBER: int
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxExpr$Identifier
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxExpr$Identifier
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxExpr$Identifier>
                        public hasName(): boolean
                        public getName(): string
                        public getNameBytes(): com.google.protobuf.ByteString
                        public hasSchemaName(): boolean
                        public getSchemaName(): string
                        public getSchemaNameBytes(): com.google.protobuf.ByteString
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxExpr$Identifier
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$Identifier
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxExpr$Identifier
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$Identifier
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxExpr$Identifier
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$Identifier
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxExpr$Identifier
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$Identifier
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxExpr$Identifier
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$Identifier
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$Identifier$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxExpr$Identifier$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Identifier): com.mysql.cj.x.protobuf.MysqlxExpr$Identifier$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$Identifier$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxExpr$Identifier$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface MysqlxExpr$IdentifierOrBuilder extends com.google.protobuf.MessageOrBuilder {
                        hasName(): boolean
                        getName(): string
                        getNameBytes(): com.google.protobuf.ByteString
                        hasSchemaName(): boolean
                        getSchemaName(): string
                        getSchemaNameBytes(): com.google.protobuf.ByteString
                    }
                    class MysqlxExpr$Object$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxExpr$Object> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$Object
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxExpr$Object$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxExpr$Object$Builder> implements com.mysql.cj.x.protobuf.MysqlxExpr$ObjectOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxExpr$Object$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxExpr$Object$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxExpr$Object
                        public build(): com.mysql.cj.x.protobuf.MysqlxExpr$Object
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxExpr$Object
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxExpr$Object$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Object): com.mysql.cj.x.protobuf.MysqlxExpr$Object$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$Object$Builder
                        public getFldList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField>
                        public getFldCount(): int
                        public getFld(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField
                        public setFld(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField): com.mysql.cj.x.protobuf.MysqlxExpr$Object$Builder
                        public setFld(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField$Builder): com.mysql.cj.x.protobuf.MysqlxExpr$Object$Builder
                        public addFld(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField): com.mysql.cj.x.protobuf.MysqlxExpr$Object$Builder
                        public addFld(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField): com.mysql.cj.x.protobuf.MysqlxExpr$Object$Builder
                        public addFld(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField$Builder): com.mysql.cj.x.protobuf.MysqlxExpr$Object$Builder
                        public addFld(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField$Builder): com.mysql.cj.x.protobuf.MysqlxExpr$Object$Builder
                        public addAllFld(arg0: java.lang.Iterable<com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField>): com.mysql.cj.x.protobuf.MysqlxExpr$Object$Builder
                        public clearFld(): com.mysql.cj.x.protobuf.MysqlxExpr$Object$Builder
                        public removeFld(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$Object$Builder
                        public getFldBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField$Builder
                        public getFldOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectFieldOrBuilder
                        public getFldOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectFieldOrBuilder>
                        public addFldBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField$Builder
                        public addFldBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField$Builder
                        public getFldBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField$Builder>
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxExpr$Object$ObjectField$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxExpr$Object$ObjectField$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField$Builder> implements com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectFieldOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField
                        public build(): com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField): com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField$Builder
                        public hasKey(): boolean
                        public getKey(): string
                        public getKeyBytes(): com.google.protobuf.ByteString
                        public setKey(arg0: string): com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField$Builder
                        public clearKey(): com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField$Builder
                        public setKeyBytes(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField$Builder
                        public hasValue(): boolean
                        public getValue(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        public setValue(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Expr): com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField$Builder
                        public setValue(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder): com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField$Builder
                        public mergeValue(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Expr): com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField$Builder
                        public clearValue(): com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField$Builder
                        public getValueBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public getValueOrBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxExpr$Object$ObjectField extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectFieldOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField>
                        public static KEY_FIELD_NUMBER: int
                        public static VALUE_FIELD_NUMBER: int
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField>
                        public hasKey(): boolean
                        public getKey(): string
                        public getKeyBytes(): com.google.protobuf.ByteString
                        public hasValue(): boolean
                        public getValue(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        public getValueOrBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField): com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface MysqlxExpr$Object$ObjectFieldOrBuilder extends com.google.protobuf.MessageOrBuilder {
                        hasKey(): boolean
                        getKey(): string
                        getKeyBytes(): com.google.protobuf.ByteString
                        hasValue(): boolean
                        getValue(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        getValueOrBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder
                    }
                    class MysqlxExpr$Object extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxExpr$ObjectOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxExpr$Object>
                        public static FLD_FIELD_NUMBER: int
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxExpr$Object
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxExpr$Object
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxExpr$Object>
                        public getFldList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField>
                        public getFldOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectFieldOrBuilder>
                        public getFldCount(): int
                        public getFld(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField
                        public getFldOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectFieldOrBuilder
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxExpr$Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$Object
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxExpr$Object
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$Object
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxExpr$Object
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$Object
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxExpr$Object
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$Object
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxExpr$Object
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$Object
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$Object$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxExpr$Object$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Object): com.mysql.cj.x.protobuf.MysqlxExpr$Object$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$Object$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxExpr$Object$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface MysqlxExpr$ObjectOrBuilder extends com.google.protobuf.MessageOrBuilder {
                        getFldList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField>
                        getFld(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectField
                        getFldCount(): int
                        getFldOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectFieldOrBuilder>
                        getFldOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$Object$ObjectFieldOrBuilder
                    }
                    class MysqlxExpr$Operator$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxExpr$Operator> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$Operator
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxExpr$Operator$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxExpr$Operator$Builder> implements com.mysql.cj.x.protobuf.MysqlxExpr$OperatorOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxExpr$Operator$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxExpr$Operator$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxExpr$Operator
                        public build(): com.mysql.cj.x.protobuf.MysqlxExpr$Operator
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxExpr$Operator
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxExpr$Operator$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Operator): com.mysql.cj.x.protobuf.MysqlxExpr$Operator$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$Operator$Builder
                        public hasName(): boolean
                        public getName(): string
                        public getNameBytes(): com.google.protobuf.ByteString
                        public setName(arg0: string): com.mysql.cj.x.protobuf.MysqlxExpr$Operator$Builder
                        public clearName(): com.mysql.cj.x.protobuf.MysqlxExpr$Operator$Builder
                        public setNameBytes(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxExpr$Operator$Builder
                        public getParamList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$Expr>
                        public getParamCount(): int
                        public getParam(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        public setParam(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxExpr$Expr): com.mysql.cj.x.protobuf.MysqlxExpr$Operator$Builder
                        public setParam(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder): com.mysql.cj.x.protobuf.MysqlxExpr$Operator$Builder
                        public addParam(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Expr): com.mysql.cj.x.protobuf.MysqlxExpr$Operator$Builder
                        public addParam(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxExpr$Expr): com.mysql.cj.x.protobuf.MysqlxExpr$Operator$Builder
                        public addParam(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder): com.mysql.cj.x.protobuf.MysqlxExpr$Operator$Builder
                        public addParam(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder): com.mysql.cj.x.protobuf.MysqlxExpr$Operator$Builder
                        public addAllParam(arg0: java.lang.Iterable<com.mysql.cj.x.protobuf.MysqlxExpr$Expr>): com.mysql.cj.x.protobuf.MysqlxExpr$Operator$Builder
                        public clearParam(): com.mysql.cj.x.protobuf.MysqlxExpr$Operator$Builder
                        public removeParam(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$Operator$Builder
                        public getParamBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public getParamOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder
                        public getParamOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder>
                        public addParamBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public addParamBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder
                        public getParamBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$Expr$Builder>
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxExpr$Operator extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxExpr$OperatorOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxExpr$Operator>
                        public static NAME_FIELD_NUMBER: int
                        public static PARAM_FIELD_NUMBER: int
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxExpr$Operator
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxExpr$Operator
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxExpr$Operator>
                        public hasName(): boolean
                        public getName(): string
                        public getNameBytes(): com.google.protobuf.ByteString
                        public getParamList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$Expr>
                        public getParamOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder>
                        public getParamCount(): int
                        public getParam(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        public getParamOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxExpr$Operator
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$Operator
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxExpr$Operator
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$Operator
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxExpr$Operator
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$Operator
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxExpr$Operator
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$Operator
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxExpr$Operator
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxExpr$Operator
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$Operator$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxExpr$Operator$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Operator): com.mysql.cj.x.protobuf.MysqlxExpr$Operator$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxExpr$Operator$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxExpr$Operator$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface MysqlxExpr$OperatorOrBuilder extends com.google.protobuf.MessageOrBuilder {
                        hasName(): boolean
                        getName(): string
                        getNameBytes(): com.google.protobuf.ByteString
                        getParamList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$Expr>
                        getParam(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                        getParamCount(): int
                        getParamOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder>
                        getParamOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxExpr$ExprOrBuilder
                    }
                    class MysqlxExpr {
                        public static registerAllExtensions(arg0: com.google.protobuf.ExtensionRegistry): void
                        public static getDescriptor(): com.google.protobuf.Descriptors$FileDescriptor
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxNotice$1 implements com.google.protobuf.Descriptors$FileDescriptor$InternalDescriptorAssigner {
                        public assignDescriptors(arg0: com.google.protobuf.Descriptors$FileDescriptor): com.google.protobuf.ExtensionRegistry
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxNotice$Frame$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxNotice$Frame> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxNotice$Frame
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxNotice$Frame$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxNotice$Frame$Builder> implements com.mysql.cj.x.protobuf.MysqlxNotice$FrameOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxNotice$Frame$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxNotice$Frame$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxNotice$Frame
                        public build(): com.mysql.cj.x.protobuf.MysqlxNotice$Frame
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxNotice$Frame
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxNotice$Frame$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxNotice$Frame): com.mysql.cj.x.protobuf.MysqlxNotice$Frame$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxNotice$Frame$Builder
                        public hasType(): boolean
                        public getType(): int
                        public setType(arg0: int): com.mysql.cj.x.protobuf.MysqlxNotice$Frame$Builder
                        public clearType(): com.mysql.cj.x.protobuf.MysqlxNotice$Frame$Builder
                        public hasScope(): boolean
                        public getScope(): com.mysql.cj.x.protobuf.MysqlxNotice$Frame$Scope
                        public setScope(arg0: com.mysql.cj.x.protobuf.MysqlxNotice$Frame$Scope): com.mysql.cj.x.protobuf.MysqlxNotice$Frame$Builder
                        public clearScope(): com.mysql.cj.x.protobuf.MysqlxNotice$Frame$Builder
                        public hasPayload(): boolean
                        public getPayload(): com.google.protobuf.ByteString
                        public setPayload(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxNotice$Frame$Builder
                        public clearPayload(): com.mysql.cj.x.protobuf.MysqlxNotice$Frame$Builder
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxNotice$Frame$Scope$1 implements com.google.protobuf.Internal$EnumLiteMap<com.mysql.cj.x.protobuf.MysqlxNotice$Frame$Scope> {
                        public findValueByNumber(arg0: int): com.mysql.cj.x.protobuf.MysqlxNotice$Frame$Scope
                        public findValueByNumber(arg0: int): com.google.protobuf.Internal$EnumLite
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxNotice$Frame$Scope extends java.lang.Enum<com.mysql.cj.x.protobuf.MysqlxNotice$Frame$Scope> implements com.google.protobuf.ProtocolMessageEnum {
                        public static GLOBAL: com.mysql.cj.x.protobuf.MysqlxNotice$Frame$Scope
                        public static LOCAL: com.mysql.cj.x.protobuf.MysqlxNotice$Frame$Scope
                        public static GLOBAL_VALUE: int
                        public static LOCAL_VALUE: int
                        public static values(): com.mysql.cj.x.protobuf.MysqlxNotice$Frame$Scope[]
                        public static valueOf(arg0: string): com.mysql.cj.x.protobuf.MysqlxNotice$Frame$Scope
                        public getNumber(): int
                        public static valueOf(arg0: int): com.mysql.cj.x.protobuf.MysqlxNotice$Frame$Scope
                        public static internalGetValueMap(): com.google.protobuf.Internal$EnumLiteMap<com.mysql.cj.x.protobuf.MysqlxNotice$Frame$Scope>
                        public getValueDescriptor(): com.google.protobuf.Descriptors$EnumValueDescriptor
                        public getDescriptorForType(): com.google.protobuf.Descriptors$EnumDescriptor
                        public static getDescriptor(): com.google.protobuf.Descriptors$EnumDescriptor
                        public static valueOf(arg0: com.google.protobuf.Descriptors$EnumValueDescriptor): com.mysql.cj.x.protobuf.MysqlxNotice$Frame$Scope
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxNotice$Frame extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxNotice$FrameOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxNotice$Frame>
                        public static TYPE_FIELD_NUMBER: int
                        public static SCOPE_FIELD_NUMBER: int
                        public static PAYLOAD_FIELD_NUMBER: int
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxNotice$Frame
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxNotice$Frame
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxNotice$Frame>
                        public hasType(): boolean
                        public getType(): int
                        public hasScope(): boolean
                        public getScope(): com.mysql.cj.x.protobuf.MysqlxNotice$Frame$Scope
                        public hasPayload(): boolean
                        public getPayload(): com.google.protobuf.ByteString
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxNotice$Frame
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxNotice$Frame
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxNotice$Frame
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxNotice$Frame
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxNotice$Frame
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxNotice$Frame
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxNotice$Frame
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxNotice$Frame
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxNotice$Frame
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxNotice$Frame
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxNotice$Frame$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxNotice$Frame$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxNotice$Frame): com.mysql.cj.x.protobuf.MysqlxNotice$Frame$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxNotice$Frame$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxNotice$Frame$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface MysqlxNotice$FrameOrBuilder extends com.google.protobuf.MessageOrBuilder {
                        hasType(): boolean
                        getType(): int
                        hasScope(): boolean
                        getScope(): com.mysql.cj.x.protobuf.MysqlxNotice$Frame$Scope
                        hasPayload(): boolean
                        getPayload(): com.google.protobuf.ByteString
                    }
                    class MysqlxNotice$SessionStateChanged$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxNotice$SessionStateChanged$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged$Builder> implements com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChangedOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged
                        public build(): com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged): com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged$Builder
                        public hasParam(): boolean
                        public getParam(): com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged$Parameter
                        public setParam(arg0: com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged$Parameter): com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged$Builder
                        public clearParam(): com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged$Builder
                        public hasValue(): boolean
                        public getValue(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar
                        public setValue(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar): com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged$Builder
                        public setValue(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder): com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged$Builder
                        public mergeValue(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar): com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged$Builder
                        public clearValue(): com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged$Builder
                        public getValueBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder
                        public getValueOrBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$ScalarOrBuilder
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxNotice$SessionStateChanged$Parameter$1 implements com.google.protobuf.Internal$EnumLiteMap<com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged$Parameter> {
                        public findValueByNumber(arg0: int): com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged$Parameter
                        public findValueByNumber(arg0: int): com.google.protobuf.Internal$EnumLite
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxNotice$SessionStateChanged$Parameter extends java.lang.Enum<com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged$Parameter> implements com.google.protobuf.ProtocolMessageEnum {
                        public static CURRENT_SCHEMA: com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged$Parameter
                        public static ACCOUNT_EXPIRED: com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged$Parameter
                        public static GENERATED_INSERT_ID: com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged$Parameter
                        public static ROWS_AFFECTED: com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged$Parameter
                        public static ROWS_FOUND: com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged$Parameter
                        public static ROWS_MATCHED: com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged$Parameter
                        public static TRX_COMMITTED: com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged$Parameter
                        public static TRX_ROLLEDBACK: com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged$Parameter
                        public static PRODUCED_MESSAGE: com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged$Parameter
                        public static CLIENT_ID_ASSIGNED: com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged$Parameter
                        public static CURRENT_SCHEMA_VALUE: int
                        public static ACCOUNT_EXPIRED_VALUE: int
                        public static GENERATED_INSERT_ID_VALUE: int
                        public static ROWS_AFFECTED_VALUE: int
                        public static ROWS_FOUND_VALUE: int
                        public static ROWS_MATCHED_VALUE: int
                        public static TRX_COMMITTED_VALUE: int
                        public static TRX_ROLLEDBACK_VALUE: int
                        public static PRODUCED_MESSAGE_VALUE: int
                        public static CLIENT_ID_ASSIGNED_VALUE: int
                        public static values(): com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged$Parameter[]
                        public static valueOf(arg0: string): com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged$Parameter
                        public getNumber(): int
                        public static valueOf(arg0: int): com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged$Parameter
                        public static internalGetValueMap(): com.google.protobuf.Internal$EnumLiteMap<com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged$Parameter>
                        public getValueDescriptor(): com.google.protobuf.Descriptors$EnumValueDescriptor
                        public getDescriptorForType(): com.google.protobuf.Descriptors$EnumDescriptor
                        public static getDescriptor(): com.google.protobuf.Descriptors$EnumDescriptor
                        public static valueOf(arg0: com.google.protobuf.Descriptors$EnumValueDescriptor): com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged$Parameter
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxNotice$SessionStateChanged extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChangedOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged>
                        public static PARAM_FIELD_NUMBER: int
                        public static VALUE_FIELD_NUMBER: int
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged>
                        public hasParam(): boolean
                        public getParam(): com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged$Parameter
                        public hasValue(): boolean
                        public getValue(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar
                        public getValueOrBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$ScalarOrBuilder
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged): com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface MysqlxNotice$SessionStateChangedOrBuilder extends com.google.protobuf.MessageOrBuilder {
                        hasParam(): boolean
                        getParam(): com.mysql.cj.x.protobuf.MysqlxNotice$SessionStateChanged$Parameter
                        hasValue(): boolean
                        getValue(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar
                        getValueOrBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$ScalarOrBuilder
                    }
                    class MysqlxNotice$SessionVariableChanged$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxNotice$SessionVariableChanged> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxNotice$SessionVariableChanged
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxNotice$SessionVariableChanged$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxNotice$SessionVariableChanged$Builder> implements com.mysql.cj.x.protobuf.MysqlxNotice$SessionVariableChangedOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxNotice$SessionVariableChanged$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxNotice$SessionVariableChanged$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxNotice$SessionVariableChanged
                        public build(): com.mysql.cj.x.protobuf.MysqlxNotice$SessionVariableChanged
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxNotice$SessionVariableChanged
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxNotice$SessionVariableChanged$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxNotice$SessionVariableChanged): com.mysql.cj.x.protobuf.MysqlxNotice$SessionVariableChanged$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxNotice$SessionVariableChanged$Builder
                        public hasParam(): boolean
                        public getParam(): string
                        public getParamBytes(): com.google.protobuf.ByteString
                        public setParam(arg0: string): com.mysql.cj.x.protobuf.MysqlxNotice$SessionVariableChanged$Builder
                        public clearParam(): com.mysql.cj.x.protobuf.MysqlxNotice$SessionVariableChanged$Builder
                        public setParamBytes(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxNotice$SessionVariableChanged$Builder
                        public hasValue(): boolean
                        public getValue(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar
                        public setValue(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar): com.mysql.cj.x.protobuf.MysqlxNotice$SessionVariableChanged$Builder
                        public setValue(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder): com.mysql.cj.x.protobuf.MysqlxNotice$SessionVariableChanged$Builder
                        public mergeValue(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar): com.mysql.cj.x.protobuf.MysqlxNotice$SessionVariableChanged$Builder
                        public clearValue(): com.mysql.cj.x.protobuf.MysqlxNotice$SessionVariableChanged$Builder
                        public getValueBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar$Builder
                        public getValueOrBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$ScalarOrBuilder
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxNotice$SessionVariableChanged extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxNotice$SessionVariableChangedOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxNotice$SessionVariableChanged>
                        public static PARAM_FIELD_NUMBER: int
                        public static VALUE_FIELD_NUMBER: int
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxNotice$SessionVariableChanged
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxNotice$SessionVariableChanged
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxNotice$SessionVariableChanged>
                        public hasParam(): boolean
                        public getParam(): string
                        public getParamBytes(): com.google.protobuf.ByteString
                        public hasValue(): boolean
                        public getValue(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar
                        public getValueOrBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$ScalarOrBuilder
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxNotice$SessionVariableChanged
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxNotice$SessionVariableChanged
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxNotice$SessionVariableChanged
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxNotice$SessionVariableChanged
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxNotice$SessionVariableChanged
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxNotice$SessionVariableChanged
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxNotice$SessionVariableChanged
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxNotice$SessionVariableChanged
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxNotice$SessionVariableChanged
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxNotice$SessionVariableChanged
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxNotice$SessionVariableChanged$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxNotice$SessionVariableChanged$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxNotice$SessionVariableChanged): com.mysql.cj.x.protobuf.MysqlxNotice$SessionVariableChanged$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxNotice$SessionVariableChanged$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxNotice$SessionVariableChanged$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface MysqlxNotice$SessionVariableChangedOrBuilder extends com.google.protobuf.MessageOrBuilder {
                        hasParam(): boolean
                        getParam(): string
                        getParamBytes(): com.google.protobuf.ByteString
                        hasValue(): boolean
                        getValue(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar
                        getValueOrBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$ScalarOrBuilder
                    }
                    class MysqlxNotice$Warning$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxNotice$Warning> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxNotice$Warning
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxNotice$Warning$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxNotice$Warning$Builder> implements com.mysql.cj.x.protobuf.MysqlxNotice$WarningOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxNotice$Warning$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxNotice$Warning$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxNotice$Warning
                        public build(): com.mysql.cj.x.protobuf.MysqlxNotice$Warning
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxNotice$Warning
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxNotice$Warning$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxNotice$Warning): com.mysql.cj.x.protobuf.MysqlxNotice$Warning$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxNotice$Warning$Builder
                        public hasLevel(): boolean
                        public getLevel(): com.mysql.cj.x.protobuf.MysqlxNotice$Warning$Level
                        public setLevel(arg0: com.mysql.cj.x.protobuf.MysqlxNotice$Warning$Level): com.mysql.cj.x.protobuf.MysqlxNotice$Warning$Builder
                        public clearLevel(): com.mysql.cj.x.protobuf.MysqlxNotice$Warning$Builder
                        public hasCode(): boolean
                        public getCode(): int
                        public setCode(arg0: int): com.mysql.cj.x.protobuf.MysqlxNotice$Warning$Builder
                        public clearCode(): com.mysql.cj.x.protobuf.MysqlxNotice$Warning$Builder
                        public hasMsg(): boolean
                        public getMsg(): string
                        public getMsgBytes(): com.google.protobuf.ByteString
                        public setMsg(arg0: string): com.mysql.cj.x.protobuf.MysqlxNotice$Warning$Builder
                        public clearMsg(): com.mysql.cj.x.protobuf.MysqlxNotice$Warning$Builder
                        public setMsgBytes(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxNotice$Warning$Builder
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxNotice$Warning$Level$1 implements com.google.protobuf.Internal$EnumLiteMap<com.mysql.cj.x.protobuf.MysqlxNotice$Warning$Level> {
                        public findValueByNumber(arg0: int): com.mysql.cj.x.protobuf.MysqlxNotice$Warning$Level
                        public findValueByNumber(arg0: int): com.google.protobuf.Internal$EnumLite
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxNotice$Warning$Level extends java.lang.Enum<com.mysql.cj.x.protobuf.MysqlxNotice$Warning$Level> implements com.google.protobuf.ProtocolMessageEnum {
                        public static NOTE: com.mysql.cj.x.protobuf.MysqlxNotice$Warning$Level
                        public static WARNING: com.mysql.cj.x.protobuf.MysqlxNotice$Warning$Level
                        public static ERROR: com.mysql.cj.x.protobuf.MysqlxNotice$Warning$Level
                        public static NOTE_VALUE: int
                        public static WARNING_VALUE: int
                        public static ERROR_VALUE: int
                        public static values(): com.mysql.cj.x.protobuf.MysqlxNotice$Warning$Level[]
                        public static valueOf(arg0: string): com.mysql.cj.x.protobuf.MysqlxNotice$Warning$Level
                        public getNumber(): int
                        public static valueOf(arg0: int): com.mysql.cj.x.protobuf.MysqlxNotice$Warning$Level
                        public static internalGetValueMap(): com.google.protobuf.Internal$EnumLiteMap<com.mysql.cj.x.protobuf.MysqlxNotice$Warning$Level>
                        public getValueDescriptor(): com.google.protobuf.Descriptors$EnumValueDescriptor
                        public getDescriptorForType(): com.google.protobuf.Descriptors$EnumDescriptor
                        public static getDescriptor(): com.google.protobuf.Descriptors$EnumDescriptor
                        public static valueOf(arg0: com.google.protobuf.Descriptors$EnumValueDescriptor): com.mysql.cj.x.protobuf.MysqlxNotice$Warning$Level
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxNotice$Warning extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxNotice$WarningOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxNotice$Warning>
                        public static LEVEL_FIELD_NUMBER: int
                        public static CODE_FIELD_NUMBER: int
                        public static MSG_FIELD_NUMBER: int
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxNotice$Warning
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxNotice$Warning
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxNotice$Warning>
                        public hasLevel(): boolean
                        public getLevel(): com.mysql.cj.x.protobuf.MysqlxNotice$Warning$Level
                        public hasCode(): boolean
                        public getCode(): int
                        public hasMsg(): boolean
                        public getMsg(): string
                        public getMsgBytes(): com.google.protobuf.ByteString
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxNotice$Warning
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxNotice$Warning
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxNotice$Warning
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxNotice$Warning
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxNotice$Warning
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxNotice$Warning
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxNotice$Warning
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxNotice$Warning
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxNotice$Warning
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxNotice$Warning
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxNotice$Warning$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxNotice$Warning$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxNotice$Warning): com.mysql.cj.x.protobuf.MysqlxNotice$Warning$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxNotice$Warning$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxNotice$Warning$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface MysqlxNotice$WarningOrBuilder extends com.google.protobuf.MessageOrBuilder {
                        hasLevel(): boolean
                        getLevel(): com.mysql.cj.x.protobuf.MysqlxNotice$Warning$Level
                        hasCode(): boolean
                        getCode(): int
                        hasMsg(): boolean
                        getMsg(): string
                        getMsgBytes(): com.google.protobuf.ByteString
                    }
                    class MysqlxNotice {
                        public static registerAllExtensions(arg0: com.google.protobuf.ExtensionRegistry): void
                        public static getDescriptor(): com.google.protobuf.Descriptors$FileDescriptor
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxResultset$1 implements com.google.protobuf.Descriptors$FileDescriptor$InternalDescriptorAssigner {
                        public assignDescriptors(arg0: com.google.protobuf.Descriptors$FileDescriptor): com.google.protobuf.ExtensionRegistry
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxResultset$ColumnMetaData$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxResultset$ColumnMetaData$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$Builder> implements com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaDataOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData
                        public build(): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$Builder
                        public hasType(): boolean
                        public getType(): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$FieldType
                        public setType(arg0: com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$FieldType): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$Builder
                        public clearType(): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$Builder
                        public hasName(): boolean
                        public getName(): com.google.protobuf.ByteString
                        public setName(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$Builder
                        public clearName(): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$Builder
                        public hasOriginalName(): boolean
                        public getOriginalName(): com.google.protobuf.ByteString
                        public setOriginalName(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$Builder
                        public clearOriginalName(): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$Builder
                        public hasTable(): boolean
                        public getTable(): com.google.protobuf.ByteString
                        public setTable(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$Builder
                        public clearTable(): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$Builder
                        public hasOriginalTable(): boolean
                        public getOriginalTable(): com.google.protobuf.ByteString
                        public setOriginalTable(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$Builder
                        public clearOriginalTable(): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$Builder
                        public hasSchema(): boolean
                        public getSchema(): com.google.protobuf.ByteString
                        public setSchema(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$Builder
                        public clearSchema(): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$Builder
                        public hasCatalog(): boolean
                        public getCatalog(): com.google.protobuf.ByteString
                        public setCatalog(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$Builder
                        public clearCatalog(): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$Builder
                        public hasCollation(): boolean
                        public getCollation(): long
                        public setCollation(arg0: long): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$Builder
                        public clearCollation(): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$Builder
                        public hasFractionalDigits(): boolean
                        public getFractionalDigits(): int
                        public setFractionalDigits(arg0: int): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$Builder
                        public clearFractionalDigits(): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$Builder
                        public hasLength(): boolean
                        public getLength(): int
                        public setLength(arg0: int): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$Builder
                        public clearLength(): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$Builder
                        public hasFlags(): boolean
                        public getFlags(): int
                        public setFlags(arg0: int): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$Builder
                        public clearFlags(): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$Builder
                        public hasContentType(): boolean
                        public getContentType(): int
                        public setContentType(arg0: int): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$Builder
                        public clearContentType(): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$Builder
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxResultset$ColumnMetaData$FieldType$1 implements com.google.protobuf.Internal$EnumLiteMap<com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$FieldType> {
                        public findValueByNumber(arg0: int): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$FieldType
                        public findValueByNumber(arg0: int): com.google.protobuf.Internal$EnumLite
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxResultset$ColumnMetaData$FieldType extends java.lang.Enum<com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$FieldType> implements com.google.protobuf.ProtocolMessageEnum {
                        public static SINT: com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$FieldType
                        public static UINT: com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$FieldType
                        public static DOUBLE: com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$FieldType
                        public static FLOAT: com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$FieldType
                        public static BYTES: com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$FieldType
                        public static TIME: com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$FieldType
                        public static DATETIME: com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$FieldType
                        public static SET: com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$FieldType
                        public static ENUM: com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$FieldType
                        public static BIT: com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$FieldType
                        public static DECIMAL: com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$FieldType
                        public static SINT_VALUE: int
                        public static UINT_VALUE: int
                        public static DOUBLE_VALUE: int
                        public static FLOAT_VALUE: int
                        public static BYTES_VALUE: int
                        public static TIME_VALUE: int
                        public static DATETIME_VALUE: int
                        public static SET_VALUE: int
                        public static ENUM_VALUE: int
                        public static BIT_VALUE: int
                        public static DECIMAL_VALUE: int
                        public static values(): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$FieldType[]
                        public static valueOf(arg0: string): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$FieldType
                        public getNumber(): int
                        public static valueOf(arg0: int): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$FieldType
                        public static internalGetValueMap(): com.google.protobuf.Internal$EnumLiteMap<com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$FieldType>
                        public getValueDescriptor(): com.google.protobuf.Descriptors$EnumValueDescriptor
                        public getDescriptorForType(): com.google.protobuf.Descriptors$EnumDescriptor
                        public static getDescriptor(): com.google.protobuf.Descriptors$EnumDescriptor
                        public static valueOf(arg0: com.google.protobuf.Descriptors$EnumValueDescriptor): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$FieldType
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxResultset$ColumnMetaData extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaDataOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData>
                        public static TYPE_FIELD_NUMBER: int
                        public static NAME_FIELD_NUMBER: int
                        public static ORIGINAL_NAME_FIELD_NUMBER: int
                        public static TABLE_FIELD_NUMBER: int
                        public static ORIGINAL_TABLE_FIELD_NUMBER: int
                        public static SCHEMA_FIELD_NUMBER: int
                        public static CATALOG_FIELD_NUMBER: int
                        public static COLLATION_FIELD_NUMBER: int
                        public static FRACTIONAL_DIGITS_FIELD_NUMBER: int
                        public static LENGTH_FIELD_NUMBER: int
                        public static FLAGS_FIELD_NUMBER: int
                        public static CONTENT_TYPE_FIELD_NUMBER: int
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData>
                        public hasType(): boolean
                        public getType(): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$FieldType
                        public hasName(): boolean
                        public getName(): com.google.protobuf.ByteString
                        public hasOriginalName(): boolean
                        public getOriginalName(): com.google.protobuf.ByteString
                        public hasTable(): boolean
                        public getTable(): com.google.protobuf.ByteString
                        public hasOriginalTable(): boolean
                        public getOriginalTable(): com.google.protobuf.ByteString
                        public hasSchema(): boolean
                        public getSchema(): com.google.protobuf.ByteString
                        public hasCatalog(): boolean
                        public getCatalog(): com.google.protobuf.ByteString
                        public hasCollation(): boolean
                        public getCollation(): long
                        public hasFractionalDigits(): boolean
                        public getFractionalDigits(): int
                        public hasLength(): boolean
                        public getLength(): int
                        public hasFlags(): boolean
                        public getFlags(): int
                        public hasContentType(): boolean
                        public getContentType(): int
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface MysqlxResultset$ColumnMetaDataOrBuilder extends com.google.protobuf.MessageOrBuilder {
                        hasType(): boolean
                        getType(): com.mysql.cj.x.protobuf.MysqlxResultset$ColumnMetaData$FieldType
                        hasName(): boolean
                        getName(): com.google.protobuf.ByteString
                        hasOriginalName(): boolean
                        getOriginalName(): com.google.protobuf.ByteString
                        hasTable(): boolean
                        getTable(): com.google.protobuf.ByteString
                        hasOriginalTable(): boolean
                        getOriginalTable(): com.google.protobuf.ByteString
                        hasSchema(): boolean
                        getSchema(): com.google.protobuf.ByteString
                        hasCatalog(): boolean
                        getCatalog(): com.google.protobuf.ByteString
                        hasCollation(): boolean
                        getCollation(): long
                        hasFractionalDigits(): boolean
                        getFractionalDigits(): int
                        hasLength(): boolean
                        getLength(): int
                        hasFlags(): boolean
                        getFlags(): int
                        hasContentType(): boolean
                        getContentType(): int
                    }
                    class MysqlxResultset$FetchDone$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxResultset$FetchDone> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDone
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxResultset$FetchDone$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxResultset$FetchDone$Builder> implements com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDone$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDone$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDone
                        public build(): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDone
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDone
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDone$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxResultset$FetchDone): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDone$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDone$Builder
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxResultset$FetchDone extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxResultset$FetchDone>
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDone
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDone
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxResultset$FetchDone>
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDone
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDone
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDone
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDone
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDone
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDone
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDone
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDone
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDone
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDone
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDone$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDone$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxResultset$FetchDone): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDone$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDone$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDone$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxResultset$FetchDoneMoreOutParams$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreOutParams> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreOutParams
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxResultset$FetchDoneMoreOutParams$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreOutParams$Builder> implements com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreOutParamsOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreOutParams$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreOutParams$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreOutParams
                        public build(): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreOutParams
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreOutParams
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreOutParams$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreOutParams): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreOutParams$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreOutParams$Builder
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxResultset$FetchDoneMoreOutParams extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreOutParamsOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreOutParams>
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreOutParams
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreOutParams
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreOutParams>
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreOutParams
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreOutParams
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreOutParams
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreOutParams
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreOutParams
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreOutParams
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreOutParams
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreOutParams
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreOutParams
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreOutParams
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreOutParams$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreOutParams$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreOutParams): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreOutParams$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreOutParams$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreOutParams$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface MysqlxResultset$FetchDoneMoreOutParamsOrBuilder extends com.google.protobuf.MessageOrBuilder {
                    }
                    class MysqlxResultset$FetchDoneMoreResultsets$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreResultsets> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreResultsets
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxResultset$FetchDoneMoreResultsets$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreResultsets$Builder> implements com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreResultsetsOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreResultsets$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreResultsets$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreResultsets
                        public build(): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreResultsets
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreResultsets
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreResultsets$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreResultsets): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreResultsets$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreResultsets$Builder
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxResultset$FetchDoneMoreResultsets extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreResultsetsOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreResultsets>
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreResultsets
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreResultsets
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreResultsets>
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreResultsets
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreResultsets
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreResultsets
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreResultsets
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreResultsets
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreResultsets
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreResultsets
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreResultsets
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreResultsets
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreResultsets
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreResultsets$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreResultsets$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreResultsets): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreResultsets$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreResultsets$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxResultset$FetchDoneMoreResultsets$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface MysqlxResultset$FetchDoneMoreResultsetsOrBuilder extends com.google.protobuf.MessageOrBuilder {
                    }
                    interface MysqlxResultset$FetchDoneOrBuilder extends com.google.protobuf.MessageOrBuilder {
                    }
                    class MysqlxResultset$Row$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxResultset$Row> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxResultset$Row
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxResultset$Row$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxResultset$Row$Builder> implements com.mysql.cj.x.protobuf.MysqlxResultset$RowOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxResultset$Row$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxResultset$Row$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxResultset$Row
                        public build(): com.mysql.cj.x.protobuf.MysqlxResultset$Row
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxResultset$Row
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxResultset$Row$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxResultset$Row): com.mysql.cj.x.protobuf.MysqlxResultset$Row$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxResultset$Row$Builder
                        public getFieldList(): java.util.List<com.google.protobuf.ByteString>
                        public getFieldCount(): int
                        public getField(arg0: int): com.google.protobuf.ByteString
                        public setField(arg0: int, arg1: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxResultset$Row$Builder
                        public addField(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxResultset$Row$Builder
                        public addAllField(arg0: java.lang.Iterable<com.google.protobuf.ByteString>): com.mysql.cj.x.protobuf.MysqlxResultset$Row$Builder
                        public clearField(): com.mysql.cj.x.protobuf.MysqlxResultset$Row$Builder
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxResultset$Row extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxResultset$RowOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxResultset$Row>
                        public static FIELD_FIELD_NUMBER: int
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxResultset$Row
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxResultset$Row
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxResultset$Row>
                        public getFieldList(): java.util.List<com.google.protobuf.ByteString>
                        public getFieldCount(): int
                        public getField(arg0: int): com.google.protobuf.ByteString
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxResultset$Row
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxResultset$Row
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxResultset$Row
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxResultset$Row
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxResultset$Row
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxResultset$Row
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxResultset$Row
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxResultset$Row
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxResultset$Row
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxResultset$Row
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxResultset$Row$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxResultset$Row$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxResultset$Row): com.mysql.cj.x.protobuf.MysqlxResultset$Row$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxResultset$Row$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxResultset$Row$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface MysqlxResultset$RowOrBuilder extends com.google.protobuf.MessageOrBuilder {
                        getFieldList(): java.util.List<com.google.protobuf.ByteString>
                        getFieldCount(): int
                        getField(arg0: int): com.google.protobuf.ByteString
                    }
                    class MysqlxResultset {
                        public static registerAllExtensions(arg0: com.google.protobuf.ExtensionRegistry): void
                        public static getDescriptor(): com.google.protobuf.Descriptors$FileDescriptor
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxSession$1 implements com.google.protobuf.Descriptors$FileDescriptor$InternalDescriptorAssigner {
                        public assignDescriptors(arg0: com.google.protobuf.Descriptors$FileDescriptor): com.google.protobuf.ExtensionRegistry
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxSession$AuthenticateContinue$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateContinue> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateContinue
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxSession$AuthenticateContinue$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateContinue$Builder> implements com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateContinueOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateContinue$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateContinue$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateContinue
                        public build(): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateContinue
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateContinue
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateContinue$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateContinue): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateContinue$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateContinue$Builder
                        public hasAuthData(): boolean
                        public getAuthData(): com.google.protobuf.ByteString
                        public setAuthData(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateContinue$Builder
                        public clearAuthData(): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateContinue$Builder
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxSession$AuthenticateContinue extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateContinueOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateContinue>
                        public static AUTH_DATA_FIELD_NUMBER: int
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateContinue
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateContinue
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateContinue>
                        public hasAuthData(): boolean
                        public getAuthData(): com.google.protobuf.ByteString
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateContinue
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateContinue
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateContinue
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateContinue
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateContinue
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateContinue
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateContinue
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateContinue
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateContinue
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateContinue
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateContinue$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateContinue$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateContinue): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateContinue$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateContinue$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateContinue$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface MysqlxSession$AuthenticateContinueOrBuilder extends com.google.protobuf.MessageOrBuilder {
                        hasAuthData(): boolean
                        getAuthData(): com.google.protobuf.ByteString
                    }
                    class MysqlxSession$AuthenticateOk$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateOk> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateOk
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxSession$AuthenticateOk$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateOk$Builder> implements com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateOkOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateOk$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateOk$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateOk
                        public build(): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateOk
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateOk
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateOk$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateOk): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateOk$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateOk$Builder
                        public hasAuthData(): boolean
                        public getAuthData(): com.google.protobuf.ByteString
                        public setAuthData(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateOk$Builder
                        public clearAuthData(): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateOk$Builder
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxSession$AuthenticateOk extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateOkOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateOk>
                        public static AUTH_DATA_FIELD_NUMBER: int
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateOk
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateOk
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateOk>
                        public hasAuthData(): boolean
                        public getAuthData(): com.google.protobuf.ByteString
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateOk
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateOk
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateOk
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateOk
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateOk
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateOk
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateOk
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateOk
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateOk
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateOk
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateOk$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateOk$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateOk): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateOk$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateOk$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateOk$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface MysqlxSession$AuthenticateOkOrBuilder extends com.google.protobuf.MessageOrBuilder {
                        hasAuthData(): boolean
                        getAuthData(): com.google.protobuf.ByteString
                    }
                    class MysqlxSession$AuthenticateStart$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateStart> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateStart
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxSession$AuthenticateStart$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateStart$Builder> implements com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateStartOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateStart$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateStart$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateStart
                        public build(): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateStart
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateStart
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateStart$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateStart): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateStart$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateStart$Builder
                        public hasMechName(): boolean
                        public getMechName(): string
                        public getMechNameBytes(): com.google.protobuf.ByteString
                        public setMechName(arg0: string): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateStart$Builder
                        public clearMechName(): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateStart$Builder
                        public setMechNameBytes(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateStart$Builder
                        public hasAuthData(): boolean
                        public getAuthData(): com.google.protobuf.ByteString
                        public setAuthData(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateStart$Builder
                        public clearAuthData(): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateStart$Builder
                        public hasInitialResponse(): boolean
                        public getInitialResponse(): com.google.protobuf.ByteString
                        public setInitialResponse(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateStart$Builder
                        public clearInitialResponse(): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateStart$Builder
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxSession$AuthenticateStart extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateStartOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateStart>
                        public static MECH_NAME_FIELD_NUMBER: int
                        public static AUTH_DATA_FIELD_NUMBER: int
                        public static INITIAL_RESPONSE_FIELD_NUMBER: int
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateStart
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateStart
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateStart>
                        public hasMechName(): boolean
                        public getMechName(): string
                        public getMechNameBytes(): com.google.protobuf.ByteString
                        public hasAuthData(): boolean
                        public getAuthData(): com.google.protobuf.ByteString
                        public hasInitialResponse(): boolean
                        public getInitialResponse(): com.google.protobuf.ByteString
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateStart
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateStart
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateStart
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateStart
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateStart
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateStart
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateStart
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateStart
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateStart
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateStart
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateStart$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateStart$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateStart): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateStart$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateStart$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxSession$AuthenticateStart$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface MysqlxSession$AuthenticateStartOrBuilder extends com.google.protobuf.MessageOrBuilder {
                        hasMechName(): boolean
                        getMechName(): string
                        getMechNameBytes(): com.google.protobuf.ByteString
                        hasAuthData(): boolean
                        getAuthData(): com.google.protobuf.ByteString
                        hasInitialResponse(): boolean
                        getInitialResponse(): com.google.protobuf.ByteString
                    }
                    class MysqlxSession$Close$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxSession$Close> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxSession$Close
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxSession$Close$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxSession$Close$Builder> implements com.mysql.cj.x.protobuf.MysqlxSession$CloseOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxSession$Close$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxSession$Close$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxSession$Close
                        public build(): com.mysql.cj.x.protobuf.MysqlxSession$Close
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxSession$Close
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxSession$Close$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxSession$Close): com.mysql.cj.x.protobuf.MysqlxSession$Close$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxSession$Close$Builder
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxSession$Close extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxSession$CloseOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxSession$Close>
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxSession$Close
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxSession$Close
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxSession$Close>
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxSession$Close
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxSession$Close
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxSession$Close
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxSession$Close
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxSession$Close
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxSession$Close
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxSession$Close
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxSession$Close
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxSession$Close
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxSession$Close
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxSession$Close$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxSession$Close$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxSession$Close): com.mysql.cj.x.protobuf.MysqlxSession$Close$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxSession$Close$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxSession$Close$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface MysqlxSession$CloseOrBuilder extends com.google.protobuf.MessageOrBuilder {
                    }
                    class MysqlxSession$Reset$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxSession$Reset> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxSession$Reset
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxSession$Reset$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxSession$Reset$Builder> implements com.mysql.cj.x.protobuf.MysqlxSession$ResetOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxSession$Reset$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxSession$Reset$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxSession$Reset
                        public build(): com.mysql.cj.x.protobuf.MysqlxSession$Reset
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxSession$Reset
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxSession$Reset$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxSession$Reset): com.mysql.cj.x.protobuf.MysqlxSession$Reset$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxSession$Reset$Builder
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxSession$Reset extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxSession$ResetOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxSession$Reset>
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxSession$Reset
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxSession$Reset
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxSession$Reset>
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxSession$Reset
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxSession$Reset
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxSession$Reset
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxSession$Reset
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxSession$Reset
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxSession$Reset
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxSession$Reset
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxSession$Reset
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxSession$Reset
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxSession$Reset
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxSession$Reset$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxSession$Reset$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxSession$Reset): com.mysql.cj.x.protobuf.MysqlxSession$Reset$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxSession$Reset$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxSession$Reset$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface MysqlxSession$ResetOrBuilder extends com.google.protobuf.MessageOrBuilder {
                    }
                    class MysqlxSession {
                        public static registerAllExtensions(arg0: com.google.protobuf.ExtensionRegistry): void
                        public static getDescriptor(): com.google.protobuf.Descriptors$FileDescriptor
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxSql$1 implements com.google.protobuf.Descriptors$FileDescriptor$InternalDescriptorAssigner {
                        public assignDescriptors(arg0: com.google.protobuf.Descriptors$FileDescriptor): com.google.protobuf.ExtensionRegistry
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxSql$StmtExecute$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxSql$StmtExecute> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecute
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxSql$StmtExecute$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxSql$StmtExecute$Builder> implements com.mysql.cj.x.protobuf.MysqlxSql$StmtExecuteOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecute$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecute$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecute
                        public build(): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecute
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecute
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecute$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxSql$StmtExecute): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecute$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecute$Builder
                        public hasNamespace(): boolean
                        public getNamespace(): string
                        public getNamespaceBytes(): com.google.protobuf.ByteString
                        public setNamespace(arg0: string): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecute$Builder
                        public clearNamespace(): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecute$Builder
                        public setNamespaceBytes(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecute$Builder
                        public hasStmt(): boolean
                        public getStmt(): com.google.protobuf.ByteString
                        public setStmt(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecute$Builder
                        public clearStmt(): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecute$Builder
                        public getArgsList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$Any>
                        public getArgsCount(): int
                        public getArgs(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any
                        public setArgs(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxDatatypes$Any): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecute$Builder
                        public setArgs(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Builder): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecute$Builder
                        public addArgs(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Any): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecute$Builder
                        public addArgs(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxDatatypes$Any): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecute$Builder
                        public addArgs(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Builder): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecute$Builder
                        public addArgs(arg0: int, arg1: com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Builder): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecute$Builder
                        public addAllArgs(arg0: java.lang.Iterable<com.mysql.cj.x.protobuf.MysqlxDatatypes$Any>): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecute$Builder
                        public clearArgs(): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecute$Builder
                        public removeArgs(arg0: int): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecute$Builder
                        public getArgsBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Builder
                        public getArgsOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$AnyOrBuilder
                        public getArgsOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$AnyOrBuilder>
                        public addArgsBuilder(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Builder
                        public addArgsBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Builder
                        public getArgsBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$Any$Builder>
                        public hasCompactMetadata(): boolean
                        public getCompactMetadata(): boolean
                        public setCompactMetadata(arg0: boolean): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecute$Builder
                        public clearCompactMetadata(): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecute$Builder
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxSql$StmtExecute extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxSql$StmtExecuteOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxSql$StmtExecute>
                        public static NAMESPACE_FIELD_NUMBER: int
                        public static STMT_FIELD_NUMBER: int
                        public static ARGS_FIELD_NUMBER: int
                        public static COMPACT_METADATA_FIELD_NUMBER: int
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecute
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecute
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxSql$StmtExecute>
                        public hasNamespace(): boolean
                        public getNamespace(): string
                        public getNamespaceBytes(): com.google.protobuf.ByteString
                        public hasStmt(): boolean
                        public getStmt(): com.google.protobuf.ByteString
                        public getArgsList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$Any>
                        public getArgsOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$AnyOrBuilder>
                        public getArgsCount(): int
                        public getArgs(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any
                        public getArgsOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$AnyOrBuilder
                        public hasCompactMetadata(): boolean
                        public getCompactMetadata(): boolean
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecute
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecute
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecute
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecute
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecute
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecute
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecute
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecute
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecute
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecute
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecute$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecute$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxSql$StmtExecute): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecute$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecute$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecute$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxSql$StmtExecuteOk$1 extends com.google.protobuf.AbstractParser<com.mysql.cj.x.protobuf.MysqlxSql$StmtExecuteOk> {
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecuteOk
                        public parsePartialFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxSql$StmtExecuteOk$Builder extends com.google.protobuf.GeneratedMessage$Builder<com.mysql.cj.x.protobuf.MysqlxSql$StmtExecuteOk$Builder> implements com.mysql.cj.x.protobuf.MysqlxSql$StmtExecuteOkOrBuilder {
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public clear(): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecuteOk$Builder
                        public clone(): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecuteOk$Builder
                        public getDescriptorForType(): com.google.protobuf.Descriptors$Descriptor
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecuteOk
                        public build(): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecuteOk
                        public buildPartial(): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecuteOk
                        public mergeFrom(arg0: com.google.protobuf.Message): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecuteOk$Builder
                        public mergeFrom(arg0: com.mysql.cj.x.protobuf.MysqlxSql$StmtExecuteOk): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecuteOk$Builder
                        public isInitialized(): boolean
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecuteOk$Builder
                        public clear(): com.google.protobuf.GeneratedMessage$Builder
                        public clone(): com.google.protobuf.GeneratedMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.AbstractMessage$Builder
                        public clear(): com.google.protobuf.AbstractMessage$Builder
                        public clone(): com.google.protobuf.AbstractMessage$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.Message$Builder
                        public clone(): com.google.protobuf.Message$Builder
                        public buildPartial(): com.google.protobuf.Message
                        public build(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.Message): com.google.protobuf.Message$Builder
                        public clear(): com.google.protobuf.Message$Builder
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.MessageLite$Builder
                        public clone(): com.google.protobuf.MessageLite$Builder
                        public buildPartial(): com.google.protobuf.MessageLite
                        public build(): com.google.protobuf.MessageLite
                        public clear(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public mergeFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): com.google.protobuf.AbstractMessageLite$Builder
                        public clone(): java.lang.Object
                        public static class: java.lang.Class<any>
                    }
                    class MysqlxSql$StmtExecuteOk extends com.google.protobuf.GeneratedMessage implements com.mysql.cj.x.protobuf.MysqlxSql$StmtExecuteOkOrBuilder {
                        public static PARSER: com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxSql$StmtExecuteOk>
                        public static getDefaultInstance(): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecuteOk
                        public getDefaultInstanceForType(): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecuteOk
                        public getUnknownFields(): com.google.protobuf.UnknownFieldSet
                        public static getDescriptor(): com.google.protobuf.Descriptors$Descriptor
                        protected internalGetFieldAccessorTable(): com.google.protobuf.GeneratedMessage$FieldAccessorTable
                        public getParserForType(): com.google.protobuf.Parser<com.mysql.cj.x.protobuf.MysqlxSql$StmtExecuteOk>
                        public isInitialized(): boolean
                        public writeTo(arg0: com.google.protobuf.CodedOutputStream): void
                        public getSerializedSize(): int
                        protected writeReplace(): java.lang.Object
                        public static parseFrom(arg0: com.google.protobuf.ByteString): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecuteOk
                        public static parseFrom(arg0: com.google.protobuf.ByteString, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecuteOk
                        public static parseFrom(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecuteOk
                        public static parseFrom(arg0: byte[], arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecuteOk
                        public static parseFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecuteOk
                        public static parseFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecuteOk
                        public static parseDelimitedFrom(arg0: java.io.InputStream): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecuteOk
                        public static parseDelimitedFrom(arg0: java.io.InputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecuteOk
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecuteOk
                        public static parseFrom(arg0: com.google.protobuf.CodedInputStream, arg1: com.google.protobuf.ExtensionRegistryLite): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecuteOk
                        public static newBuilder(): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecuteOk$Builder
                        public newBuilderForType(): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecuteOk$Builder
                        public static newBuilder(arg0: com.mysql.cj.x.protobuf.MysqlxSql$StmtExecuteOk): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecuteOk$Builder
                        public toBuilder(): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecuteOk$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.mysql.cj.x.protobuf.MysqlxSql$StmtExecuteOk$Builder
                        protected newBuilderForType(arg0: com.google.protobuf.GeneratedMessage$BuilderParent): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.Message$Builder
                        public newBuilderForType(): com.google.protobuf.Message$Builder
                        public toBuilder(): com.google.protobuf.MessageLite$Builder
                        public newBuilderForType(): com.google.protobuf.MessageLite$Builder
                        public getDefaultInstanceForType(): com.google.protobuf.MessageLite
                        public getDefaultInstanceForType(): com.google.protobuf.Message
                        public static class: java.lang.Class<any>
                    }
                    interface MysqlxSql$StmtExecuteOkOrBuilder extends com.google.protobuf.MessageOrBuilder {
                    }
                    interface MysqlxSql$StmtExecuteOrBuilder extends com.google.protobuf.MessageOrBuilder {
                        hasNamespace(): boolean
                        getNamespace(): string
                        getNamespaceBytes(): com.google.protobuf.ByteString
                        hasStmt(): boolean
                        getStmt(): com.google.protobuf.ByteString
                        getArgsList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$Any>
                        getArgs(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any
                        getArgsCount(): int
                        getArgsOrBuilderList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxDatatypes$AnyOrBuilder>
                        getArgsOrBuilder(arg0: int): com.mysql.cj.x.protobuf.MysqlxDatatypes$AnyOrBuilder
                        hasCompactMetadata(): boolean
                        getCompactMetadata(): boolean
                    }
                    class MysqlxSql {
                        public static registerAllExtensions(arg0: com.google.protobuf.ExtensionRegistry): void
                        public static getDescriptor(): com.google.protobuf.Descriptors$FileDescriptor
                        public static class: java.lang.Class<any>
                    }
                    
                }
                
            }
            namespace xdevapi {
                class AbstractColumnDef$1 {
                    public static class: java.lang.Class<any>
                }
                abstract class AbstractColumnDef<T extends com.mysql.cj.api.xdevapi.ColumnDefinition<T>> implements com.mysql.cj.api.xdevapi.ColumnDefinition<T> {
                    protected name: string
                    protected type: com.mysql.cj.api.xdevapi.Type
                    protected length: java.lang.Number
                    protected notNull: boolean
                    protected uniqueIndex: boolean
                    protected primaryKey: boolean
                    protected comment: string
                    protected unsigned: boolean
                    protected decimals: java.lang.Number
                    protected charset: string
                    protected collation: string
                    protected binary: boolean
                    protected values: java.lang.String[]
                    public constructor()
                    public notNull(): T
                    public uniqueIndex(): T
                    public primaryKey(): T
                    public comment(arg0: string): T
                    public unsigned(): T
                    public decimals(arg0: int): T
                    public charset(arg0: string): T
                    public collation(arg0: string): T
                    public binary(): T
                    public values(...arg0: java.lang.String[]): T
                    protected getMysqlType(): string
                    public static class: java.lang.Class<any>
                }
                abstract class AbstractDataResult<T> implements com.mysql.cj.api.x.io.ResultStreamer , java.util.Iterator<T> {
                    protected position: int
                    protected count: int
                    protected rows: com.mysql.cj.api.result.RowList
                    protected completer: java.util.function$.Supplier<com.mysql.cj.x.core.StatementExecuteOk>
                    protected ok: com.mysql.cj.x.core.StatementExecuteOk
                    protected rowToData: com.mysql.cj.api.x.core.RowToElement<T>
                    protected all: java.util.List<T>
                    public constructor(arg0: com.mysql.cj.api.result.RowList, arg1: java.util.function$.Supplier<com.mysql.cj.x.core.StatementExecuteOk> | java.util.function$.Supplier$$Lambda<com.mysql.cj.x.core.StatementExecuteOk>, arg2: com.mysql.cj.api.x.core.RowToElement<T>)
                    public next(): T
                    public fetchAll(): java.util.List<T>
                    public count(): long
                    public hasNext(): boolean
                    public getStatementExecuteOk(): com.mysql.cj.x.core.StatementExecuteOk
                    public finishStreaming(): void
                    public getWarningsCount(): int
                    public getWarnings(): java.util.Iterator<com.mysql.cj.api.xdevapi.Warning>
                    public static class: java.lang.Class<any>
                }
                abstract class AbstractSession implements com.mysql.cj.api.xdevapi.BaseSession {
                    protected session: com.mysql.cj.x.core.MysqlxSession
                    protected defaultSchemaName: string
                    public constructor(arg0: java.util.Properties)
                    protected constructor()
                    public getSchemas(): java.util.List<com.mysql.cj.api.xdevapi.Schema>
                    public getSchema(arg0: string): com.mysql.cj.api.xdevapi.Schema
                    public getDefaultSchemaName(): string
                    public getDefaultSchema(): com.mysql.cj.api.xdevapi.Schema
                    public createSchema(arg0: string): com.mysql.cj.api.xdevapi.Schema
                    public createSchema(arg0: string, arg1: boolean): com.mysql.cj.api.xdevapi.Schema
                    public dropSchema(arg0: string): void
                    public dropCollection(arg0: string, arg1: string): void
                    public dropTable(arg0: string, arg1: string): void
                    public startTransaction(): void
                    public commit(): void
                    public rollback(): void
                    public getUri(): string
                    public isOpen(): boolean
                    public close(): void
                    public static class: java.lang.Class<any>
                }
                abstract class AbstractViewDDLStatement<T extends com.mysql.cj.api.xdevapi.ViewDDL<T, D>, D extends com.mysql.cj.api.xdevapi.ViewDDL<D, D>> implements com.mysql.cj.api.xdevapi.ViewDDL<T, D> {
                    protected mysqlxSession: com.mysql.cj.x.core.MysqlxSession
                    protected schema: com.mysql.cj.api.xdevapi.Schema
                    protected viewName: string
                    protected replace: boolean
                    protected columns: java.util.List<java.lang.String>
                    protected alg: com.mysql.cj.api.xdevapi.ViewDDL$ViewAlgorithm
                    protected sec: com.mysql.cj.api.xdevapi.ViewDDL$ViewSqlSecurity
                    protected definer: string
                    protected findParams: com.mysql.cj.xdevapi.FindParams
                    protected checkOpt: com.mysql.cj.api.xdevapi.ViewDDL$ViewCheckOption
                    public constructor()
                    public columns(...arg0: java.lang.String[]): T
                    public algorithm(arg0: com.mysql.cj.api.xdevapi.ViewDDL$ViewAlgorithm): T
                    public security(arg0: com.mysql.cj.api.xdevapi.ViewDDL$ViewSqlSecurity): T
                    public definer(arg0: string): T
                    public definedAs(arg0: com.mysql.cj.api.xdevapi.SelectStatement): D
                    public withCheckOption(arg0: com.mysql.cj.api.xdevapi.ViewDDL$ViewCheckOption): T
                    public withCheckOption(arg0: com.mysql.cj.api.xdevapi.ViewDDL$ViewCheckOption): java.lang.Object
                    public definedAs(arg0: com.mysql.cj.api.xdevapi.SelectStatement): java.lang.Object
                    public definer(arg0: string): java.lang.Object
                    public security(arg0: com.mysql.cj.api.xdevapi.ViewDDL$ViewSqlSecurity): java.lang.Object
                    public algorithm(arg0: com.mysql.cj.api.xdevapi.ViewDDL$ViewAlgorithm): java.lang.Object
                    public columns(arg0: java.lang.String[]): java.lang.Object
                    public static class: java.lang.Class<any>
                }
                class AddStatementImpl implements com.mysql.cj.api.xdevapi.AddStatement {
                    public add(arg0: string): com.mysql.cj.api.xdevapi.AddStatement
                    public add(...arg0: com.mysql.cj.xdevapi.DbDoc[]): com.mysql.cj.api.xdevapi.AddStatement
                    public execute(): com.mysql.cj.api.xdevapi.Result
                    public executeAsync(): java.util.concurrent.CompletableFuture<com.mysql.cj.api.xdevapi.Result>
                    public execute(): java.lang.Object
                    public static class: java.lang.Class<any>
                }
                class CollectionImpl implements com.mysql.cj.api.xdevapi.Collection {
                    public getSession(): com.mysql.cj.api.xdevapi.BaseSession
                    public getSchema(): com.mysql.cj.api.xdevapi.Schema
                    public getName(): string
                    public existsInDatabase(): com.mysql.cj.api.xdevapi.DatabaseObject$DbObjectStatus
                    public add(arg0: java.util.Map<java.lang.String, any>): com.mysql.cj.api.xdevapi.AddStatement
                    public add(...arg0: java.lang.String[]): com.mysql.cj.api.xdevapi.AddStatement
                    public add(arg0: com.mysql.cj.xdevapi.DbDoc): com.mysql.cj.api.xdevapi.AddStatement
                    public add(...arg0: com.mysql.cj.xdevapi.DbDoc[]): com.mysql.cj.api.xdevapi.AddStatement
                    public find(): com.mysql.cj.api.xdevapi.FindStatement
                    public find(arg0: string): com.mysql.cj.api.xdevapi.FindStatement
                    public modify(): com.mysql.cj.api.xdevapi.ModifyStatement
                    public modify(arg0: string): com.mysql.cj.api.xdevapi.ModifyStatement
                    public remove(): com.mysql.cj.api.xdevapi.RemoveStatement
                    public remove(arg0: string): com.mysql.cj.api.xdevapi.RemoveStatement
                    public createIndex(arg0: string, arg1: boolean): com.mysql.cj.api.xdevapi.CreateCollectionIndexStatement
                    public dropIndex(arg0: string): com.mysql.cj.api.xdevapi.DropCollectionIndexStatement
                    public count(): long
                    public newDoc(): com.mysql.cj.xdevapi.DbDoc
                    public equals(arg0: java.lang.Object): boolean
                    public hashCode(): int
                    public toString(): string
                    public static class: java.lang.Class<any>
                }
                class ColumnDef extends com.mysql.cj.xdevapi.AbstractColumnDef<com.mysql.cj.api.xdevapi.ColumnDefinition$StaticColumnDefinition> implements com.mysql.cj.api.xdevapi.ColumnDefinition$StaticColumnDefinition {
                    protected defaultExpr: string
                    protected defaultExprWasSet: boolean
                    protected autoIncrement: boolean
                    protected foreignKey: java.util.Map<java.lang.String, java.lang.String[]>
                    public constructor(arg0: string, arg1: com.mysql.cj.api.xdevapi.Type)
                    public constructor(arg0: string, arg1: com.mysql.cj.api.xdevapi.Type, arg2: int)
                    public setDefault(arg0: string): com.mysql.cj.api.xdevapi.ColumnDefinition$StaticColumnDefinition
                    public autoIncrement(): com.mysql.cj.api.xdevapi.ColumnDefinition$StaticColumnDefinition
                    public foreignKey(arg0: string, ...arg1: java.lang.String[]): com.mysql.cj.api.xdevapi.ColumnDefinition$StaticColumnDefinition
                    public toString(): string
                    public static class: java.lang.Class<any>
                }
                class ColumnImpl$1 {
                    public static class: java.lang.Class<any>
                }
                class ColumnImpl implements com.mysql.cj.api.xdevapi.Column {
                    public constructor(arg0: com.mysql.cj.core.result.Field)
                    public getSchemaName(): string
                    public getTableName(): string
                    public getTableLabel(): string
                    public getColumnName(): string
                    public getColumnLabel(): string
                    public getType(): com.mysql.cj.api.xdevapi.Type
                    public getLength(): long
                    public getFractionalDigits(): int
                    public isNumberSigned(): boolean
                    public getCollationName(): string
                    public getCharacterSetName(): string
                    public isPadded(): boolean
                    public isNullable(): boolean
                    public isAutoIncrement(): boolean
                    public isPrimaryKey(): boolean
                    public isUniqueKey(): boolean
                    public isPartKey(): boolean
                    public static class: java.lang.Class<any>
                }
                class CreateCollectionIndexStatementImpl implements com.mysql.cj.api.xdevapi.CreateCollectionIndexStatement {
                    public field(arg0: string, arg1: string, arg2: boolean): com.mysql.cj.api.xdevapi.CreateCollectionIndexStatement
                    public execute(): com.mysql.cj.api.xdevapi.Result
                    public executeAsync(): java.util.concurrent.CompletableFuture<com.mysql.cj.api.xdevapi.Result>
                    public execute(): java.lang.Object
                    public static class: java.lang.Class<any>
                }
                class CreateIndexParams {
                    public constructor(arg0: string, arg1: boolean)
                    public addField(arg0: string, arg1: string, arg2: boolean): void
                    public getIndexName(): string
                    public isUnique(): boolean
                    public getDocPaths(): java.util.List<java.lang.String>
                    public getTypes(): java.util.List<java.lang.String>
                    public getNotNulls(): java.util.List<java.lang.Boolean>
                    public static class: java.lang.Class<any>
                }
                class CreateTableStatementImpl implements com.mysql.cj.api.xdevapi.CreateTableStatement$CreateTableSplitStatement , com.mysql.cj.api.xdevapi.CreateTableStatement$CreateTableFullStatement , com.mysql.cj.api.xdevapi.CreateTableStatement$CreateTableLikeStatement {
                    public constructor(arg0: com.mysql.cj.x.core.MysqlxSession, arg1: com.mysql.cj.api.xdevapi.Schema, arg2: string)
                    public constructor(arg0: com.mysql.cj.x.core.MysqlxSession, arg1: com.mysql.cj.api.xdevapi.Schema, arg2: string, arg3: boolean)
                    public like(arg0: string): com.mysql.cj.api.xdevapi.CreateTableStatement$CreateTableLikeStatement
                    public addColumn(arg0: com.mysql.cj.api.xdevapi.ColumnDefinition<any>): com.mysql.cj.api.xdevapi.CreateTableStatement$CreateTableFullStatement
                    public addPrimaryKey(...arg0: java.lang.String[]): com.mysql.cj.api.xdevapi.CreateTableStatement$CreateTableFullStatement
                    public addIndex(arg0: string, ...arg1: java.lang.String[]): com.mysql.cj.api.xdevapi.CreateTableStatement$CreateTableFullStatement
                    public addUniqueIndex(arg0: string, ...arg1: java.lang.String[]): com.mysql.cj.api.xdevapi.CreateTableStatement$CreateTableFullStatement
                    public addForeignKey(arg0: string, arg1: com.mysql.cj.api.xdevapi.ForeignKeyDefinition): com.mysql.cj.api.xdevapi.CreateTableStatement$CreateTableFullStatement
                    public setInitialAutoIncrement(arg0: java.lang.Number): com.mysql.cj.api.xdevapi.CreateTableStatement$CreateTableFullStatement
                    public setDefaultCharset(arg0: string): com.mysql.cj.api.xdevapi.CreateTableStatement$CreateTableFullStatement
                    public setDefaultCollation(arg0: string): com.mysql.cj.api.xdevapi.CreateTableStatement$CreateTableFullStatement
                    public setComment(arg0: string): com.mysql.cj.api.xdevapi.CreateTableStatement$CreateTableFullStatement
                    public temporary(): com.mysql.cj.api.xdevapi.CreateTableStatement$CreateTableFullStatement
                    public as(arg0: string): com.mysql.cj.api.xdevapi.CreateTableStatement$CreateTableFullStatement
                    public as(arg0: com.mysql.cj.api.xdevapi.SelectStatement): com.mysql.cj.api.xdevapi.CreateTableStatement$CreateTableFullStatement
                    public execute(): com.mysql.cj.api.xdevapi.Table
                    public toString(): string
                    public static class: java.lang.Class<any>
                }
                class CreateViewDefinedStatement extends com.mysql.cj.xdevapi.AbstractViewDDLStatement<com.mysql.cj.api.xdevapi.ViewCreateDefined, com.mysql.cj.api.xdevapi.ViewCreateDefined> implements com.mysql.cj.api.xdevapi.ViewCreateDefined {
                    public constructor(arg0: com.mysql.cj.x.core.MysqlxSession, arg1: com.mysql.cj.xdevapi.CreateViewStatement)
                    public execute(): com.mysql.cj.api.xdevapi.Table
                    public static class: java.lang.Class<any>
                }
                class CreateViewStatement extends com.mysql.cj.xdevapi.AbstractViewDDLStatement<com.mysql.cj.api.xdevapi.ViewCreate, com.mysql.cj.api.xdevapi.ViewCreateDefined> implements com.mysql.cj.api.xdevapi.ViewCreate {
                    public constructor(arg0: com.mysql.cj.x.core.MysqlxSession, arg1: com.mysql.cj.api.xdevapi.Schema, arg2: string, arg3: boolean)
                    public static class: java.lang.Class<any>
                }
                class DbDoc extends java.util.TreeMap<java.lang.String, com.mysql.cj.api.xdevapi.JsonValue> implements com.mysql.cj.api.xdevapi.JsonValue {
                    public constructor()
                    public toString(): string
                    public toPackedString(): string
                    public add(arg0: string, arg1: com.mysql.cj.api.xdevapi.JsonValue): com.mysql.cj.xdevapi.DbDoc
                    public static class: java.lang.Class<any>
                }
                class DbDocValueFactory extends com.mysql.cj.core.io.DefaultValueFactory<com.mysql.cj.xdevapi.DbDoc> {
                    public constructor()
                    public constructor(arg0: string)
                    public createFromBytes(arg0: byte[], arg1: int, arg2: int): com.mysql.cj.xdevapi.DbDoc
                    public createFromNull(): com.mysql.cj.xdevapi.DbDoc
                    public getTargetTypeName(): string
                    public createFromNull(): java.lang.Object
                    public createFromBytes(arg0: byte[], arg1: int, arg2: int): java.lang.Object
                    public static class: java.lang.Class<any>
                }
                class DeleteStatementImpl extends com.mysql.cj.xdevapi.FilterableStatement<com.mysql.cj.api.xdevapi.DeleteStatement, com.mysql.cj.api.xdevapi.Result> implements com.mysql.cj.api.xdevapi.DeleteStatement {
                    public execute(): com.mysql.cj.api.xdevapi.Result
                    public executeAsync(): java.util.concurrent.CompletableFuture<com.mysql.cj.api.xdevapi.Result>
                    public execute(): java.lang.Object
                    public limit(arg0: long): com.mysql.cj.api.xdevapi.DeleteStatement
                    public orderBy(arg0: java.lang.String[]): com.mysql.cj.api.xdevapi.DeleteStatement
                    public where(arg0: string): com.mysql.cj.api.xdevapi.DeleteStatement
                    public static class: java.lang.Class<any>
                }
                class DocFindParams extends com.mysql.cj.xdevapi.FindParams {
                    public constructor(arg0: string, arg1: string)
                    public constructor(arg0: string, arg1: string, arg2: string)
                    public setFields(arg0: com.mysql.cj.api.xdevapi.Expression): void
                    public setFields(...arg0: java.lang.String[]): void
                    public clone(): com.mysql.cj.xdevapi.FindParams
                    public clone(): java.lang.Object
                    public static class: java.lang.Class<any>
                }
                class DocResultImpl extends com.mysql.cj.xdevapi.AbstractDataResult<com.mysql.cj.xdevapi.DbDoc> implements com.mysql.cj.api.xdevapi.DocResult {
                    public constructor(arg0: com.mysql.cj.api.result.RowList, arg1: java.util.function$.Supplier<com.mysql.cj.x.core.StatementExecuteOk> | java.util.function$.Supplier$$Lambda<com.mysql.cj.x.core.StatementExecuteOk>)
                    public static class: java.lang.Class<any>
                }
                class DocumentID {
                    public constructor()
                    public static generate(): string
                    public static class: java.lang.Class<any>
                }
                class DropCollectionIndexStatementImpl implements com.mysql.cj.api.xdevapi.DropCollectionIndexStatement {
                    public execute(): com.mysql.cj.api.xdevapi.Result
                    public executeAsync(): java.util.concurrent.CompletableFuture<com.mysql.cj.api.xdevapi.Result>
                    public execute(): java.lang.Object
                    public static class: java.lang.Class<any>
                }
                class DropViewStatement implements com.mysql.cj.api.xdevapi.ViewDrop {
                    public constructor(arg0: com.mysql.cj.x.core.MysqlxSession, arg1: com.mysql.cj.api.xdevapi.Schema, arg2: string)
                    public ifExists(): com.mysql.cj.api.xdevapi.ViewDrop
                    public execute(): void
                    public static class: java.lang.Class<any>
                }
                class ExprParser$1 {
                    public static class: java.lang.Class<any>
                }
                interface ExprParser$ParseExpr {
                    parseExpr(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                }
                
                interface ExprParser$ParseExpr$$Lambda {
                    (): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                }
                class ExprParser$Token {
                    public constructor(arg0: com.mysql.cj.xdevapi.ExprParser$TokenType, arg1: char)
                    public constructor(arg0: com.mysql.cj.xdevapi.ExprParser$TokenType, arg1: string)
                    public toString(): string
                    public static class: java.lang.Class<any>
                }
                class ExprParser$TokenType extends java.lang.Enum<com.mysql.cj.xdevapi.ExprParser$TokenType> {
                    public static NOT: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static AND: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static ANDAND: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static OR: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static OROR: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static XOR: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static IS: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static LPAREN: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static RPAREN: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static LSQBRACKET: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static RSQBRACKET: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static BETWEEN: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static TRUE: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static NULL: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static FALSE: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static IN: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static LIKE: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static INTERVAL: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static REGEXP: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static ESCAPE: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static IDENT: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static LSTRING: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static LNUM_INT: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static LNUM_DOUBLE: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static DOT: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static DOLLAR: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static COMMA: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static EQ: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static NE: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static GT: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static GE: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static LT: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static LE: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static BITAND: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static BITOR: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static BITXOR: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static LSHIFT: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static RSHIFT: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static PLUS: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static MINUS: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static STAR: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static SLASH: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static HEX: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static BIN: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static NEG: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static BANG: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static EROTEME: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static MICROSECOND: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static SECOND: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static MINUTE: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static HOUR: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static DAY: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static WEEK: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static MONTH: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static QUARTER: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static YEAR: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static SECOND_MICROSECOND: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static MINUTE_MICROSECOND: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static MINUTE_SECOND: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static HOUR_MICROSECOND: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static HOUR_SECOND: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static HOUR_MINUTE: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static DAY_MICROSECOND: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static DAY_SECOND: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static DAY_MINUTE: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static DAY_HOUR: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static YEAR_MONTH: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static DOUBLESTAR: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static MOD: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static COLON: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static ORDERBY_ASC: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static ORDERBY_DESC: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static AS: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static LCURLY: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static RCURLY: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static DOTSTAR: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static CAST: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static DECIMAL: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static UNSIGNED: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static SIGNED: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static INTEGER: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static DATE: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static TIME: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static DATETIME: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static CHAR: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static BINARY: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static JSON: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static COLDOCPATH: com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static values(): com.mysql.cj.xdevapi.ExprParser$TokenType[]
                    public static valueOf(arg0: string): com.mysql.cj.xdevapi.ExprParser$TokenType
                    public static class: java.lang.Class<any>
                }
                class ExprParser {
                    public constructor(arg0: string)
                    public constructor(arg0: string, arg1: boolean)
                    public documentPath(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$DocumentPathItem>
                    public documentField(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                    public parse(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                    public parseOrderSpec(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$Order>
                    public parseTableSelectProjection(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$Projection>
                    public parseTableInsertField(): com.mysql.cj.x.protobuf.MysqlxCrud$Column
                    public parseTableUpdateField(): com.mysql.cj.x.protobuf.MysqlxExpr$ColumnIdentifier
                    public parseDocumentProjection(): java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$Projection>
                    public parseExprList(): java.util.List<com.mysql.cj.x.protobuf.MysqlxExpr$Expr>
                    public getPositionalPlaceholderCount(): int
                    public getPlaceholderNameToPositionMap(): java.util.Map<java.lang.String, java.lang.Integer>
                    public static class: java.lang.Class<any>
                }
                class ExprUnparser$1 {
                    public static class: java.lang.Class<any>
                }
                class ExprUnparser {
                    public constructor()
                    public static escapeLiteral(arg0: string): string
                    public static quoteIdentifier(arg0: string): string
                    public static quoteJsonKey(arg0: string): string
                    public static quoteDocumentPathMember(arg0: string): string
                    public static exprToString(arg0: com.mysql.cj.x.protobuf.MysqlxExpr$Expr): string
                    public static class: java.lang.Class<any>
                }
                class ExprUtil {
                    public constructor()
                    public static buildLiteralNullScalar(): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                    public static buildLiteralScalar(arg0: double): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                    public static buildLiteralScalar(arg0: long): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                    public static buildLiteralScalar(arg0: string): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                    public static buildLiteralScalar(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                    public static buildLiteralScalar(arg0: boolean): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                    public static buildLiteralExpr(arg0: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                    public static nullScalar(): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar
                    public static scalarOf(arg0: double): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar
                    public static scalarOf(arg0: long): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar
                    public static scalarOf(arg0: string): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar
                    public static scalarOf(arg0: byte[]): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar
                    public static scalarOf(arg0: boolean): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar
                    public static buildAny(arg0: string): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any
                    public static buildAny(arg0: boolean): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any
                    public static buildCollection(arg0: string, arg1: string): com.mysql.cj.x.protobuf.MysqlxCrud$Collection
                    public static argObjectToScalar(arg0: java.lang.Object): com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar
                    public static argObjectToScalarAny(arg0: java.lang.Object): com.mysql.cj.x.protobuf.MysqlxDatatypes$Any
                    public static argObjectToExpr(arg0: java.lang.Object, arg1: boolean): com.mysql.cj.x.protobuf.MysqlxExpr$Expr
                    public static class: java.lang.Class<any>
                }
                class FilterParams {
                    protected collection: com.mysql.cj.x.protobuf.MysqlxCrud$Collection
                    protected limit: java.lang.Long
                    protected offset: java.lang.Long
                    protected orderExpr: java.lang.String[]
                    protected criteriaStr: string
                    protected args: com.mysql.cj.x.protobuf.MysqlxDatatypes$Scalar[]
                    protected isRelational: boolean
                    public constructor(arg0: string, arg1: string, arg2: boolean)
                    public constructor(arg0: string, arg1: string, arg2: string, arg3: boolean)
                    protected constructor(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Collection, arg1: boolean)
                    public getCollection(): java.lang.Object
                    public getOrder(): java.lang.Object
                    public setOrder(...arg0: java.lang.String[]): void
                    public getLimit(): java.lang.Long
                    public setLimit(arg0: java.lang.Long): void
                    public getOffset(): java.lang.Long
                    public setOffset(arg0: java.lang.Long): void
                    public getCriteria(): java.lang.Object
                    public setCriteria(arg0: string): void
                    public getArgs(): java.lang.Object
                    public addArg(arg0: string, arg1: java.lang.Object): void
                    public verifyAllArgsBound(): void
                    public clearArgs(): void
                    public isRelational(): boolean
                    public static class: java.lang.Class<any>
                }
                abstract class FilterableStatement<STMT_T, RES_T> implements com.mysql.cj.api.xdevapi.Statement<STMT_T, RES_T> {
                    protected filterParams: com.mysql.cj.xdevapi.FilterParams
                    public constructor(arg0: com.mysql.cj.xdevapi.FilterParams)
                    public constructor(arg0: string, arg1: string, arg2: boolean)
                    public where(arg0: string): STMT_T
                    public sort(...arg0: java.lang.String[]): STMT_T
                    public orderBy(...arg0: java.lang.String[]): STMT_T
                    public limit(arg0: long): STMT_T
                    public skip(arg0: long): STMT_T
                    public offset(arg0: long): STMT_T
                    public isRelational(): boolean
                    public clearBindings(): STMT_T
                    public bind(arg0: string, arg1: java.lang.Object): STMT_T
                    public static class: java.lang.Class<any>
                }
                abstract class FindParams extends com.mysql.cj.xdevapi.FilterParams {
                    protected groupBy: java.lang.String[]
                    protected projection: java.lang.String[]
                    protected fields: java.util.List<com.mysql.cj.x.protobuf.MysqlxCrud$Projection>
                    public constructor(arg0: string, arg1: string, arg2: boolean)
                    public constructor(arg0: string, arg1: string, arg2: string, arg3: boolean)
                    protected constructor(arg0: com.mysql.cj.x.protobuf.MysqlxCrud$Collection, arg1: boolean)
                    public setFields(...arg0: java.lang.String[]): void
                    public getFields(): java.lang.Object
                    public setGrouping(...arg0: java.lang.String[]): void
                    public getGrouping(): java.lang.Object
                    public setGroupingCriteria(arg0: string): void
                    public getGroupingCriteria(): java.lang.Object
                    protected clone(): com.mysql.cj.xdevapi.FindParams
                    protected clone(): java.lang.Object
                    public static class: java.lang.Class<any>
                }
                class FindStatementImpl extends com.mysql.cj.xdevapi.FilterableStatement<com.mysql.cj.api.xdevapi.FindStatement, com.mysql.cj.api.xdevapi.DocResult> implements com.mysql.cj.api.xdevapi.FindStatement {
                    public execute(): com.mysql.cj.xdevapi.DocResultImpl
                    public executeAsync(): java.util.concurrent.CompletableFuture<com.mysql.cj.api.xdevapi.DocResult>
                    public executeAsync<R>(arg0: R, arg1: com.mysql.cj.api.xdevapi.DataStatement$Reducer<com.mysql.cj.xdevapi.DbDoc, R>): java.util.concurrent.CompletableFuture<R>
                    public fields<R>(...arg0: java.lang.String[]): com.mysql.cj.api.xdevapi.FindStatement
                    public fields<R>(arg0: com.mysql.cj.api.xdevapi.Expression): com.mysql.cj.api.xdevapi.FindStatement
                    public groupBy<R>(...arg0: java.lang.String[]): com.mysql.cj.api.xdevapi.FindStatement
                    public having<R>(arg0: string): com.mysql.cj.api.xdevapi.FindStatement
                    public execute<R>(): java.lang.Object
                    public limit<R>(arg0: long): com.mysql.cj.api.xdevapi.FindStatement
                    public skip<R>(arg0: long): com.mysql.cj.api.xdevapi.FindStatement
                    public sort<R>(arg0: java.lang.String[]): com.mysql.cj.api.xdevapi.FindStatement
                    public orderBy<R>(arg0: java.lang.String[]): com.mysql.cj.api.xdevapi.FindStatement
                    public static class: java.lang.Class<any>
                }
                class ForeignKeyDef implements com.mysql.cj.api.xdevapi.ForeignKeyDefinition {
                    protected columns: java.lang.String[]
                    protected toTable: string
                    protected toColumns: java.lang.String[]
                    protected onDelete: com.mysql.cj.api.xdevapi.ForeignKeyDefinition$ChangeMode
                    protected onUpdate: com.mysql.cj.api.xdevapi.ForeignKeyDefinition$ChangeMode
                    public constructor()
                    public setName(arg0: string): com.mysql.cj.api.xdevapi.ForeignKeyDefinition
                    public fields(...arg0: java.lang.String[]): com.mysql.cj.api.xdevapi.ForeignKeyDefinition
                    public refersTo(arg0: string, ...arg1: java.lang.String[]): com.mysql.cj.api.xdevapi.ForeignKeyDefinition
                    public onDelete(arg0: com.mysql.cj.api.xdevapi.ForeignKeyDefinition$ChangeMode): com.mysql.cj.api.xdevapi.ForeignKeyDefinition
                    public onUpdate(arg0: com.mysql.cj.api.xdevapi.ForeignKeyDefinition$ChangeMode): com.mysql.cj.api.xdevapi.ForeignKeyDefinition
                    public toString(): string
                    public static class: java.lang.Class<any>
                }
                class GeneratedColumnDef extends com.mysql.cj.xdevapi.AbstractColumnDef<com.mysql.cj.api.xdevapi.ColumnDefinition$GeneratedColumnDefinition> implements com.mysql.cj.api.xdevapi.ColumnDefinition$GeneratedColumnDefinition {
                    public constructor(arg0: string, arg1: com.mysql.cj.api.xdevapi.Type, arg2: string)
                    public constructor(arg0: string, arg1: com.mysql.cj.api.xdevapi.Type, arg2: int, arg3: string)
                    public stored(): com.mysql.cj.api.xdevapi.ColumnDefinition$GeneratedColumnDefinition
                    public toString(): string
                    public static class: java.lang.Class<any>
                }
                class InsertParams {
                    public constructor()
                    public setProjection(arg0: java.lang.String[]): void
                    public getProjection(): java.lang.Object
                    public addRow(arg0: java.util.List<java.lang.Object>): void
                    public getRows(): java.lang.Object
                    public setFieldsAndValues(arg0: java.util.Map<java.lang.String, java.lang.Object>): void
                    public static class: java.lang.Class<any>
                }
                class InsertStatementImpl implements com.mysql.cj.api.xdevapi.InsertStatement {
                    public execute(): com.mysql.cj.api.xdevapi.Result
                    public executeAsync(): java.util.concurrent.CompletableFuture<com.mysql.cj.api.xdevapi.Result>
                    public values(arg0: java.util.List<java.lang.Object>): com.mysql.cj.api.xdevapi.InsertStatement
                    public execute(): java.lang.Object
                    public static class: java.lang.Class<any>
                }
                class JsonArray extends java.util.ArrayList<com.mysql.cj.api.xdevapi.JsonValue> implements com.mysql.cj.api.xdevapi.JsonValue {
                    public constructor()
                    public toString(): string
                    public toPackedString(): string
                    public addValue(arg0: com.mysql.cj.api.xdevapi.JsonValue): com.mysql.cj.xdevapi.JsonArray
                    public static class: java.lang.Class<any>
                }
                class JsonLiteral extends java.lang.Enum<com.mysql.cj.xdevapi.JsonLiteral> implements com.mysql.cj.api.xdevapi.JsonValue {
                    public static TRUE: com.mysql.cj.xdevapi.JsonLiteral
                    public static FALSE: com.mysql.cj.xdevapi.JsonLiteral
                    public static NULL: com.mysql.cj.xdevapi.JsonLiteral
                    public value: string
                    public static values(): com.mysql.cj.xdevapi.JsonLiteral[]
                    public static valueOf(arg0: string): com.mysql.cj.xdevapi.JsonLiteral
                    public toString(): string
                    public static class: java.lang.Class<any>
                }
                class JsonNumber implements com.mysql.cj.api.xdevapi.JsonValue {
                    public constructor()
                    public getInteger(): java.lang.Integer
                    public getBigDecimal(): java.math.BigDecimal
                    public setValue(arg0: string): com.mysql.cj.xdevapi.JsonNumber
                    public toString(): string
                    public static class: java.lang.Class<any>
                }
                class JsonParser$EscapeChar extends java.lang.Enum<com.mysql.cj.xdevapi.JsonParser$EscapeChar> {
                    public static QUOTE: com.mysql.cj.xdevapi.JsonParser$EscapeChar
                    public static RSOLIDUS: com.mysql.cj.xdevapi.JsonParser$EscapeChar
                    public static SOLIDUS: com.mysql.cj.xdevapi.JsonParser$EscapeChar
                    public static BACKSPACE: com.mysql.cj.xdevapi.JsonParser$EscapeChar
                    public static FF: com.mysql.cj.xdevapi.JsonParser$EscapeChar
                    public static LF: com.mysql.cj.xdevapi.JsonParser$EscapeChar
                    public static CR: com.mysql.cj.xdevapi.JsonParser$EscapeChar
                    public static TAB: com.mysql.cj.xdevapi.JsonParser$EscapeChar
                    public CHAR: char
                    public ESCAPED: string
                    public static values(): com.mysql.cj.xdevapi.JsonParser$EscapeChar[]
                    public static valueOf(arg0: string): com.mysql.cj.xdevapi.JsonParser$EscapeChar
                    public static class: java.lang.Class<any>
                }
                class JsonParser$StructuralToken extends java.lang.Enum<com.mysql.cj.xdevapi.JsonParser$StructuralToken> {
                    public static LSQBRACKET: com.mysql.cj.xdevapi.JsonParser$StructuralToken
                    public static RSQBRACKET: com.mysql.cj.xdevapi.JsonParser$StructuralToken
                    public static LCRBRACKET: com.mysql.cj.xdevapi.JsonParser$StructuralToken
                    public static RCRBRACKET: com.mysql.cj.xdevapi.JsonParser$StructuralToken
                    public static COLON: com.mysql.cj.xdevapi.JsonParser$StructuralToken
                    public static COMMA: com.mysql.cj.xdevapi.JsonParser$StructuralToken
                    public CHAR: char
                    public static values(): com.mysql.cj.xdevapi.JsonParser$StructuralToken[]
                    public static valueOf(arg0: string): com.mysql.cj.xdevapi.JsonParser$StructuralToken
                    public static class: java.lang.Class<any>
                }
                class JsonParser$Whitespace extends java.lang.Enum<com.mysql.cj.xdevapi.JsonParser$Whitespace> {
                    public static TAB: com.mysql.cj.xdevapi.JsonParser$Whitespace
                    public static LF: com.mysql.cj.xdevapi.JsonParser$Whitespace
                    public static CR: com.mysql.cj.xdevapi.JsonParser$Whitespace
                    public static SPACE: com.mysql.cj.xdevapi.JsonParser$Whitespace
                    public CHAR: char
                    public static values(): com.mysql.cj.xdevapi.JsonParser$Whitespace[]
                    public static valueOf(arg0: string): com.mysql.cj.xdevapi.JsonParser$Whitespace
                    public static class: java.lang.Class<any>
                }
                class JsonParser {
                    public constructor()
                    public static parseDoc(arg0: java.io.StringReader): com.mysql.cj.xdevapi.DbDoc
                    public static parseArray(arg0: java.io.StringReader): com.mysql.cj.xdevapi.JsonArray
                    public static class: java.lang.Class<any>
                }
                class JsonString implements com.mysql.cj.api.xdevapi.JsonValue {
                    public constructor()
                    public getString(): string
                    public setValue(arg0: string): com.mysql.cj.xdevapi.JsonString
                    public toString(): string
                    public static class: java.lang.Class<any>
                }
                class ModifyStatementImpl extends com.mysql.cj.xdevapi.FilterableStatement<com.mysql.cj.api.xdevapi.ModifyStatement, com.mysql.cj.api.xdevapi.Result> implements com.mysql.cj.api.xdevapi.ModifyStatement {
                    public execute(): com.mysql.cj.api.xdevapi.Result
                    public executeAsync(): java.util.concurrent.CompletableFuture<com.mysql.cj.api.xdevapi.Result>
                    public set(arg0: string, arg1: java.lang.Object): com.mysql.cj.api.xdevapi.ModifyStatement
                    public change(arg0: string, arg1: java.lang.Object): com.mysql.cj.api.xdevapi.ModifyStatement
                    public unset(...arg0: java.lang.String[]): com.mysql.cj.api.xdevapi.ModifyStatement
                    public merge(arg0: string): com.mysql.cj.api.xdevapi.ModifyStatement
                    public arrayInsert(arg0: string, arg1: java.lang.Object): com.mysql.cj.api.xdevapi.ModifyStatement
                    public arrayAppend(arg0: string, arg1: java.lang.Object): com.mysql.cj.api.xdevapi.ModifyStatement
                    public arrayDelete(arg0: string, arg1: int): com.mysql.cj.api.xdevapi.ModifyStatement
                    public execute(): java.lang.Object
                    public limit(arg0: long): com.mysql.cj.api.xdevapi.ModifyStatement
                    public sort(arg0: java.lang.String[]): com.mysql.cj.api.xdevapi.ModifyStatement
                    public static class: java.lang.Class<any>
                }
                class NodeSessionImpl extends com.mysql.cj.xdevapi.AbstractSession implements com.mysql.cj.api.xdevapi.NodeSession {
                    public constructor(arg0: java.util.Properties)
                    protected constructor()
                    public sql(arg0: string): com.mysql.cj.xdevapi.SqlStatementImpl
                    public sql(arg0: string): com.mysql.cj.api.xdevapi.SqlStatement
                    public static class: java.lang.Class<any>
                }
                class RemoveStatementImpl extends com.mysql.cj.xdevapi.FilterableStatement<com.mysql.cj.api.xdevapi.RemoveStatement, com.mysql.cj.api.xdevapi.Result> implements com.mysql.cj.api.xdevapi.RemoveStatement {
                    public constructor(arg0: com.mysql.cj.x.core.MysqlxSession, arg1: string, arg2: string, arg3: string)
                    public execute(): com.mysql.cj.api.xdevapi.Result
                    public executeAsync(): java.util.concurrent.CompletableFuture<com.mysql.cj.api.xdevapi.Result>
                    public execute(): java.lang.Object
                    public limit(arg0: long): com.mysql.cj.api.xdevapi.RemoveStatement
                    public orderBy(arg0: java.lang.String[]): com.mysql.cj.api.xdevapi.RemoveStatement
                    public static class: java.lang.Class<any>
                }
                class RowImpl implements com.mysql.cj.api.xdevapi.Row {
                    public constructor(arg0: com.mysql.cj.api.result.Row, arg1: java.util.function$.Supplier<java.util.Map<java.lang.String, java.lang.Integer>> | java.util.function$.Supplier$$Lambda<java.util.Map<java.lang.String, java.lang.Integer>>, arg2: java.util.TimeZone)
                    public getBigDecimal(arg0: string): java.math.BigDecimal
                    public getBigDecimal(arg0: int): java.math.BigDecimal
                    public getBoolean(arg0: string): boolean
                    public getBoolean(arg0: int): boolean
                    public getByte(arg0: string): byte
                    public getByte(arg0: int): byte
                    public getDate(arg0: string): java.sql.Date
                    public getDate(arg0: int): java.sql.Date
                    public getDbDoc(arg0: string): com.mysql.cj.xdevapi.DbDoc
                    public getDbDoc(arg0: int): com.mysql.cj.xdevapi.DbDoc
                    public getDouble(arg0: string): double
                    public getDouble(arg0: int): double
                    public getInt(arg0: string): int
                    public getInt(arg0: int): int
                    public getLong(arg0: string): long
                    public getLong(arg0: int): long
                    public getString(arg0: string): string
                    public getString(arg0: int): string
                    public getTime(arg0: string): java.sql.Time
                    public getTime(arg0: int): java.sql.Time
                    public getTimestamp(arg0: string): java.sql.Timestamp
                    public getTimestamp(arg0: int): java.sql.Timestamp
                    public static class: java.lang.Class<any>
                }
                class RowResultImpl extends com.mysql.cj.xdevapi.AbstractDataResult<com.mysql.cj.api.xdevapi.Row> implements com.mysql.cj.api.xdevapi.RowResult {
                    protected defaultTimeZone: java.util.TimeZone
                    public constructor(arg0: java.util.ArrayList<com.mysql.cj.core.result.Field>, arg1: java.util.TimeZone, arg2: com.mysql.cj.api.result.RowList, arg3: java.util.function$.Supplier<com.mysql.cj.x.core.StatementExecuteOk> | java.util.function$.Supplier$$Lambda<com.mysql.cj.x.core.StatementExecuteOk>)
                    public getColumnCount(): int
                    public getColumns(): java.util.List<com.mysql.cj.api.xdevapi.Column>
                    public getColumnNames(): java.util.List<java.lang.String>
                    public static class: java.lang.Class<any>
                }
                class SchemaImpl implements com.mysql.cj.api.xdevapi.Schema {
                    public getSession(): com.mysql.cj.api.xdevapi.BaseSession
                    public getSchema(): com.mysql.cj.api.xdevapi.Schema
                    public getName(): string
                    public existsInDatabase(): com.mysql.cj.api.xdevapi.DatabaseObject$DbObjectStatus
                    public getCollections(): java.util.List<com.mysql.cj.api.xdevapi.Collection>
                    public getCollections(arg0: string): java.util.List<com.mysql.cj.api.xdevapi.Collection>
                    public getTables(): java.util.List<com.mysql.cj.api.xdevapi.Table>
                    public getTables(arg0: string): java.util.List<com.mysql.cj.api.xdevapi.Table>
                    public getCollection(arg0: string): com.mysql.cj.api.xdevapi.Collection
                    public getCollection(arg0: string, arg1: boolean): com.mysql.cj.api.xdevapi.Collection
                    public getCollectionAsTable(arg0: string): com.mysql.cj.api.xdevapi.Table
                    public getTable(arg0: string): com.mysql.cj.api.xdevapi.Table
                    public getTable(arg0: string, arg1: boolean): com.mysql.cj.api.xdevapi.Table
                    public createCollection(arg0: string): com.mysql.cj.api.xdevapi.Collection
                    public createCollection(arg0: string, arg1: boolean): com.mysql.cj.api.xdevapi.Collection
                    public createTable(arg0: string): com.mysql.cj.api.xdevapi.CreateTableStatement$CreateTableSplitStatement
                    public createTable(arg0: string, arg1: boolean): com.mysql.cj.api.xdevapi.CreateTableStatement$CreateTableSplitStatement
                    public equals(arg0: java.lang.Object): boolean
                    public hashCode(): int
                    public toString(): string
                    public createView(arg0: string, arg1: boolean): com.mysql.cj.api.xdevapi.ViewCreate
                    public alterView(arg0: string): com.mysql.cj.api.xdevapi.ViewUpdate
                    public dropView(arg0: string): com.mysql.cj.api.xdevapi.ViewDrop
                    public static class: java.lang.Class<any>
                }
                class SelectStatementImpl extends com.mysql.cj.xdevapi.FilterableStatement<com.mysql.cj.api.xdevapi.SelectStatement, com.mysql.cj.api.xdevapi.RowResult> implements com.mysql.cj.api.xdevapi.SelectStatement {
                    public execute(): com.mysql.cj.xdevapi.RowResultImpl
                    public executeAsync(): java.util.concurrent.CompletableFuture<com.mysql.cj.api.xdevapi.RowResult>
                    public executeAsync<R>(arg0: R, arg1: com.mysql.cj.api.xdevapi.DataStatement$Reducer<com.mysql.cj.api.xdevapi.Row, R>): java.util.concurrent.CompletableFuture<R>
                    public groupBy<R>(...arg0: java.lang.String[]): com.mysql.cj.api.xdevapi.SelectStatement
                    public having<R>(arg0: string): com.mysql.cj.api.xdevapi.SelectStatement
                    public getFindParams<R>(): com.mysql.cj.xdevapi.FindParams
                    public execute<R>(): java.lang.Object
                    public offset<R>(arg0: long): com.mysql.cj.api.xdevapi.SelectStatement
                    public limit<R>(arg0: long): com.mysql.cj.api.xdevapi.SelectStatement
                    public orderBy<R>(arg0: java.lang.String[]): com.mysql.cj.api.xdevapi.SelectStatement
                    public where<R>(arg0: string): com.mysql.cj.api.xdevapi.SelectStatement
                    public static class: java.lang.Class<any>
                }
                class SqlDataResult extends com.mysql.cj.xdevapi.RowResultImpl implements com.mysql.cj.api.xdevapi.SqlResult {
                    public constructor(arg0: java.util.ArrayList<com.mysql.cj.core.result.Field>, arg1: java.util.TimeZone, arg2: com.mysql.cj.api.result.RowList, arg3: java.util.function$.Supplier<com.mysql.cj.x.core.StatementExecuteOk> | java.util.function$.Supplier$$Lambda<com.mysql.cj.x.core.StatementExecuteOk>)
                    public nextResult(): boolean
                    public getAffectedItemsCount(): long
                    public getAutoIncrementValue(): java.lang.Long
                    public getLastDocumentIds(): java.util.List<java.lang.String>
                    public static class: java.lang.Class<any>
                }
                class SqlResultImpl implements com.mysql.cj.api.xdevapi.SqlResult , com.mysql.cj.api.x.io.ResultStreamer {
                    public constructor(arg0: java.util.function$.Supplier<com.mysql.cj.api.xdevapi.SqlResult> | java.util.function$.Supplier$$Lambda<com.mysql.cj.api.xdevapi.SqlResult>)
                    public nextResult(): boolean
                    public finishStreaming(): void
                    public hasData(): boolean
                    public getAffectedItemsCount(): long
                    public getAutoIncrementValue(): java.lang.Long
                    public getLastDocumentIds(): java.util.List<java.lang.String>
                    public getWarningsCount(): int
                    public getWarnings(): java.util.Iterator<com.mysql.cj.api.xdevapi.Warning>
                    public getColumnCount(): int
                    public getColumns(): java.util.List<com.mysql.cj.api.xdevapi.Column>
                    public getColumnNames(): java.util.List<java.lang.String>
                    public count(): long
                    public fetchAll(): java.util.List<com.mysql.cj.api.xdevapi.Row>
                    public next(): com.mysql.cj.api.xdevapi.Row
                    public hasNext(): boolean
                    public next(): java.lang.Object
                    public static class: java.lang.Class<any>
                }
                class SqlStatementImpl implements com.mysql.cj.api.xdevapi.SqlStatement {
                    public constructor(arg0: com.mysql.cj.x.core.MysqlxSession, arg1: string)
                    public execute(): com.mysql.cj.api.xdevapi.SqlResult
                    public executeAsync(): java.util.concurrent.CompletableFuture<com.mysql.cj.api.xdevapi.SqlResult>
                    public clearBindings(): com.mysql.cj.api.xdevapi.SqlStatement
                    public bind(arg0: java.util.List<java.lang.Object>): com.mysql.cj.api.xdevapi.SqlStatement
                    public bind(arg0: java.util.Map<java.lang.String, java.lang.Object>): com.mysql.cj.api.xdevapi.SqlStatement
                    public bind(arg0: java.util.List): java.lang.Object
                    public bind(arg0: java.util.Map): java.lang.Object
                    public clearBindings(): java.lang.Object
                    public execute(): java.lang.Object
                    public static class: java.lang.Class<any>
                }
                class SqlUpdateResult extends com.mysql.cj.xdevapi.UpdateResult implements com.mysql.cj.api.xdevapi.SqlResult {
                    public constructor(arg0: com.mysql.cj.x.core.StatementExecuteOk)
                    public hasData(): boolean
                    public nextResult(): boolean
                    public getLastDocumentIds(): java.util.List<java.lang.String>
                    public fetchAll(): java.util.List<com.mysql.cj.api.xdevapi.Row>
                    public next(): com.mysql.cj.api.xdevapi.Row
                    public hasNext(): boolean
                    public getColumnCount(): int
                    public getColumns(): java.util.List<com.mysql.cj.api.xdevapi.Column>
                    public getColumnNames(): java.util.List<java.lang.String>
                    public count(): long
                    public next(): java.lang.Object
                    public static class: java.lang.Class<any>
                }
                class TableFindParams extends com.mysql.cj.xdevapi.FindParams {
                    public constructor(arg0: string, arg1: string)
                    public constructor(arg0: string, arg1: string, arg2: string)
                    public setFields(...arg0: java.lang.String[]): void
                    public clone(): com.mysql.cj.xdevapi.FindParams
                    public clone(): java.lang.Object
                    public static class: java.lang.Class<any>
                }
                class TableImpl implements com.mysql.cj.api.xdevapi.Table {
                    public getSession(): com.mysql.cj.api.xdevapi.BaseSession
                    public getSchema(): com.mysql.cj.api.xdevapi.Schema
                    public getName(): string
                    public existsInDatabase(): com.mysql.cj.api.xdevapi.DatabaseObject$DbObjectStatus
                    public insert(): com.mysql.cj.api.xdevapi.InsertStatement
                    public insert(...arg0: java.lang.String[]): com.mysql.cj.api.xdevapi.InsertStatement
                    public insert(arg0: java.util.Map<java.lang.String, java.lang.Object>): com.mysql.cj.api.xdevapi.InsertStatement
                    public select(...arg0: java.lang.String[]): com.mysql.cj.api.xdevapi.SelectStatement
                    public update(): com.mysql.cj.api.xdevapi.UpdateStatement
                    public delete(): com.mysql.cj.api.xdevapi.DeleteStatement
                    public count(): long
                    public equals(arg0: java.lang.Object): boolean
                    public hashCode(): int
                    public toString(): string
                    public isView(): boolean
                    public setView(arg0: boolean): void
                    public static class: java.lang.Class<any>
                }
                class UpdateParams {
                    public constructor()
                    public setUpdates(arg0: java.util.Map<java.lang.String, java.lang.Object>): void
                    public addUpdate(arg0: string, arg1: java.lang.Object): void
                    public getUpdates(): java.lang.Object
                    public static class: java.lang.Class<any>
                }
                class UpdateResult implements com.mysql.cj.api.xdevapi.Result {
                    public constructor(arg0: com.mysql.cj.x.core.StatementExecuteOk, arg1: java.util.List<java.lang.String>)
                    public getAffectedItemsCount(): long
                    public getAutoIncrementValue(): java.lang.Long
                    public getLastDocumentIds(): java.util.List<java.lang.String>
                    public getWarningsCount(): int
                    public getWarnings(): java.util.Iterator<com.mysql.cj.api.xdevapi.Warning>
                    public static class: java.lang.Class<any>
                }
                class UpdateSpec {
                    public constructor(arg0: com.mysql.cj.api.xdevapi.UpdateType, arg1: string)
                    public getUpdateType(): java.lang.Object
                    public getSource(): java.lang.Object
                    public setValue(arg0: java.lang.Object): com.mysql.cj.xdevapi.UpdateSpec
                    public getValue(): java.lang.Object
                    public static class: java.lang.Class<any>
                }
                class UpdateStatementImpl extends com.mysql.cj.xdevapi.FilterableStatement<com.mysql.cj.api.xdevapi.UpdateStatement, com.mysql.cj.api.xdevapi.Result> implements com.mysql.cj.api.xdevapi.UpdateStatement {
                    public execute(): com.mysql.cj.api.xdevapi.Result
                    public executeAsync(): java.util.concurrent.CompletableFuture<com.mysql.cj.api.xdevapi.Result>
                    public set(arg0: java.util.Map<java.lang.String, java.lang.Object>): com.mysql.cj.api.xdevapi.UpdateStatement
                    public set(arg0: string, arg1: java.lang.Object): com.mysql.cj.api.xdevapi.UpdateStatement
                    public execute(): java.lang.Object
                    public limit(arg0: long): com.mysql.cj.api.xdevapi.UpdateStatement
                    public orderBy(arg0: java.lang.String[]): com.mysql.cj.api.xdevapi.UpdateStatement
                    public where(arg0: string): com.mysql.cj.api.xdevapi.UpdateStatement
                    public static class: java.lang.Class<any>
                }
                class UpdateViewStatement extends com.mysql.cj.xdevapi.AbstractViewDDLStatement<com.mysql.cj.api.xdevapi.ViewUpdate, com.mysql.cj.api.xdevapi.ViewUpdate> implements com.mysql.cj.api.xdevapi.ViewUpdate {
                    public constructor(arg0: com.mysql.cj.x.core.MysqlxSession, arg1: com.mysql.cj.api.xdevapi.Schema, arg2: string)
                    public execute(): com.mysql.cj.api.xdevapi.Table
                    public static class: java.lang.Class<any>
                }
                class VirtualNodeSession extends com.mysql.cj.xdevapi.NodeSessionImpl {
                    protected constructor(arg0: com.mysql.cj.x.core.MysqlxSession, arg1: string)
                    public close(): void
                    public isOpen(): boolean
                    public static class: java.lang.Class<any>
                }
                class WarningImpl implements com.mysql.cj.api.xdevapi.Warning {
                    public constructor(arg0: com.mysql.cj.api.x.core.Warning)
                    public getLevel(): int
                    public getCode(): long
                    public getMessage(): string
                    public static class: java.lang.Class<any>
                }
                class XSessionFactory {
                    public constructor()
                    public getSession(arg0: string): com.mysql.cj.api.xdevapi.XSession
                    public getSession(arg0: java.util.Properties): com.mysql.cj.api.xdevapi.XSession
                    public getNodeSession(arg0: string): com.mysql.cj.api.xdevapi.NodeSession
                    public getNodeSession(arg0: java.util.Properties): com.mysql.cj.api.xdevapi.NodeSession
                    public static class: java.lang.Class<any>
                }
                class XSessionImpl extends com.mysql.cj.xdevapi.AbstractSession implements com.mysql.cj.api.xdevapi.XSession {
                    public constructor(arg0: java.util.Properties)
                    public bindToDefaultShard(): com.mysql.cj.api.xdevapi.NodeSession
                    public static class: java.lang.Class<any>
                }
                
            }
            
        }
        namespace jdbc {
            class Driver extends com.mysql.cj.jdbc.Driver {
                public constructor()
                public static class: java.lang.Class<any>
            }
            
        }
        
    }
    
}
